 /* +---------------------------------------------------------------- */
 /*                                                                   */
 /*  Microsoft Windows                                                */
 /*  Copyright (C) Microsoft Corporation, 1993-1998.                  */
 /*                                                                   */
 /*  File:        aclapi.cpy                                          */
 /*                                                                   */
 /*  Contents:    public header file for acl and trusted server       */
 /*               access control APIs                                 */
 /*                                                                   */
 /*------------------------------------------------------------------ */
 %dcl #_ACCESS_CONTROL_API__ char ext;
 %if #_ACCESS_CONTROL_API__ = '' %then %do;
 %#_ACCESS_CONTROL_API__ = 'Y';

 %dcl UNICODE char ext;

 %dcl #WINBASE_ char ext;
 %if #WINBASE_ = '' %then %do;
 %include winbase;
 %end;
 %dcl #_ACCESS_CONTROL__ char ext;
 %if #_ACCESS_CONTROL__ = '' %then  %do;
 %include accctrl;
 %end;

 dcl SetEntriesInAclA
     entry (type ULONG,
            (*) type EXPLICIT_ACCESS_A byaddr,
            type PACL,
            type PACL byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('SetEntriesInAclA');

 dcl SetEntriesInAclW
     entry (type ULONG,
            (*) type EXPLICIT_ACCESS_W byaddr,
            type PACL,
            type PACL byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('SetEntriesInAclW');

 %dcl SetEntriesInAcl char ext;
 %if UNICODE ^= '' %then %do;
   %SetEntriesInAcl='SetEntriesInAclW';
 %end; %else %do;
   %SetEntriesInAcl='SetEntriesInAclA';
 %end; /* !UNICODE */


 dcl GetExplicitEntriesFromAclA
     entry (type PACL,
            type ULONG byaddr,
            type PEXPLICIT_ACCESS_A byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetExplicitEntriesFromAclA');

 dcl GetExplicitEntriesFromAclW
     entry (type PACL,
            type ULONG byaddr,
            type PEXPLICIT_ACCESS_W byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetExplicitEntriesFromAclW');

 %dcl GetExplicitEntriesFromAcl char ext;
 %if UNICODE ^= '' %then %do;
   %GetExplicitEntriesFromAcl='GetExplicitEntriesFromAclW';
 %end; %else %do;
   %GetExplicitEntriesFromAcl='GetExplicitEntriesFromAclA';
 %end; /* !UNICODE */


 dcl GetEffectiveRightsFromAclA
     entry (type PACL,
            type TRUSTEE_A byaddr,
            type ACCESS_MASK byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetEffectiveRightsFromAclA');

 dcl GetEffectiveRightsFromAclW
     entry (type PACL,
            type TRUSTEE_W byaddr,
            type ACCESS_MASK byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetEffectiveRightsFromAclW');

 %dcl GetEffectiveRightsFromAcl char ext;
 %if UNICODE ^= '' %then %do;
   %GetEffectiveRightsFromAcl='GetEffectiveRightsFromAclW';
 %end; %else %do;
   %GetEffectiveRightsFromAcl='GetEffectiveRightsFromAclA';
 %end; /* !UNICODE */


 dcl GetAuditedPermissionsFromAclA
     entry (type PACL,
            type TRUSTEE_A byaddr,
            type ACCESS_MASK byaddr,
            type ACCESS_MASK byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetAuditedPermissionsFromAclA');

 dcl GetAuditedPermissionsFromAclW
     entry (type PACL,
            type TRUSTEE_W byaddr,
            type ACCESS_MASK byaddr,
            type ACCESS_MASK byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetAuditedPermissionsFromAclW');

 %dcl GetAuditedPermissionsFromAcl char ext;
 %if UNICODE ^= '' %then %do;
   %GetAuditedPermissionsFromAcl='GetAuditedPermissionsFromAclW';
 %end; %else %do;
   %GetAuditedPermissionsFromAcl='GetAuditedPermissionsFromAclA';
 %end; /* !UNICODE */


 dcl GetNamedSecurityInfoA
     entry (char (*) varz byaddr,
            type SE_OBJECT_TYPE,
            type SECURITY_INFORMATION,
            type PSID byaddr optional,
            type PSID byaddr optional,
            type PACL byaddr optional,
            type PACL byaddr optional,
            type PSECURITY_DESCRIPTOR byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetNamedSecurityInfoA');

 dcl GetNamedSecurityInfoW
     entry (WCHAR (*) varz byaddr,
            type SE_OBJECT_TYPE,
            type SECURITY_INFORMATION,
            type PSID byaddr optional,
            type PSID byaddr optional,
            type PACL byaddr optional,
            type PACL byaddr optional,
            type PSECURITY_DESCRIPTOR byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetNamedSecurityInfoW');

 %dcl GetNamedSecurityInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetNamedSecurityInfo='GetNamedSecurityInfoW';
 %end; %else %do;
   %GetNamedSecurityInfo='GetNamedSecurityInfoA';
 %end; /* !UNICODE */


 dcl GetSecurityInfo
     entry (type HANDLE,
            type SE_OBJECT_TYPE,
            type SECURITY_INFORMATION,
            type PSID byaddr optional,
            type PSID byaddr optional,
            type PACL byaddr optional,
            type PACL byaddr optional,
            type PSECURITY_DESCRIPTOR byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('GetSecurityInfo');


 dcl SetNamedSecurityInfoA
     entry (char (*) varz byaddr,
            type SE_OBJECT_TYPE,
            type SECURITY_INFORMATION,
            type PSID,
            type PSID,
            type PACL,
            type PACL)
     returns (type DWORD byvalue optional)
     WINAPI external('SetNamedSecurityInfoA');

 dcl SetNamedSecurityInfoW
     entry (WCHAR (*) varz byaddr,
            type SE_OBJECT_TYPE,
            type SECURITY_INFORMATION,
            type PSID,
            type PSID,
            type PACL,
            type PACL)
     returns (type DWORD byvalue optional)
     WINAPI external('SetNamedSecurityInfoW');

 %dcl SetNamedSecurityInfo char ext;
 %if UNICODE ^= '' %then %do;
   %SetNamedSecurityInfo='SetNamedSecurityInfoW';
 %end; %else %do;
   %SetNamedSecurityInfo='SetNamedSecurityInfoA';
 %end; /* !UNICODE */


 dcl SetSecurityInfo
     entry (type HANDLE,
            type SE_OBJECT_TYPE,
            type SECURITY_INFORMATION,
            type PSID,
            type PSID,
            type PACL,
            type PACL)
     returns (type DWORD byvalue optional)
     WINAPI external('SetSecurityInfo');


 /*------------------------------------------------------------------ */
 /* The following API are provided for trusted servers to use to      */
 /* implement access control on their own objects.                    */
 /*------------------------------------------------------------------ */

 dcl BuildSecurityDescriptorA
     entry (type TRUSTEE_A byaddr optional,
            type TRUSTEE_A byaddr optional,
            type ULONG,
            (*) type EXPLICIT_ACCESS_A byaddr,
            type ULONG,
            (*) type EXPLICIT_ACCESS_A byaddr,
            type PSECURITY_DESCRIPTOR,
            type ULONG byaddr,
            type PSECURITY_DESCRIPTOR byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('BuildSecurityDescriptorA');

 dcl BuildSecurityDescriptorW
     entry (type TRUSTEE_W byaddr optional,
            type TRUSTEE_W byaddr optional,
            type ULONG,
            (*) type EXPLICIT_ACCESS_W,
            type ULONG,
            (*) type EXPLICIT_ACCESS_W,
            type PSECURITY_DESCRIPTOR,
            type ULONG byaddr,
            type PSECURITY_DESCRIPTOR byaddr)
     returns (type DWORD byvalue optional)
     WINAPI external('BuildSecurityDescriptorW');

 %dcl BuildSecurityDescriptor char ext;
 %if UNICODE ^= '' %then %do;
   %BuildSecurityDescriptor='BuildSecurityDescriptorW';
 %end; %else %do;
   %BuildSecurityDescriptor='BuildSecurityDescriptorA';
 %end; /* !UNICODE */


 dcl LookupSecurityDescriptorPartsA
     entry (type PTRUSTEE_A byaddr optional,
            type PTRUSTEE_A byaddr optional,
            type ULONG byaddr optional,
            type PEXPLICIT_ACCESS_A byaddr optional,
            type ULONG byaddr optional,
            type PEXPLICIT_ACCESS_A byaddr optional,
            type PSECURITY_DESCRIPTOR)
     returns (type DWORD byvalue optional)
     WINAPI external('LookupSecurityDescriptorPartsA');

 dcl LookupSecurityDescriptorPartsW
     entry (type PTRUSTEE_W byaddr optional,
            type PTRUSTEE_W byaddr optional,
            type ULONG byaddr optional,
            type PEXPLICIT_ACCESS_W byaddr optional,
            type ULONG byaddr optional,
            type PEXPLICIT_ACCESS_W byaddr optional,
            type PSECURITY_DESCRIPTOR)
     returns (type DWORD byvalue optional)
     WINAPI external('LookupSecurityDescriptorPartsW');

 %dcl LookupSecurityDescriptorParts char ext;
 %if UNICODE ^= '' %then%do;
   %LookupSecurityDescriptorParts='LookupSecurityDescriptorPartsW';
 %end; %else %do;
   %LookupSecurityDescriptorParts='LookupSecurityDescriptorPartsA';
 %end; /* !UNICODE */


 /*------------------------------------------------------------------ */
 /* The following helper API are provided for building                */
 /* access control structures.                                        */
 /*------------------------------------------------------------------ */

 dcl BuildExplicitAccessWithNameA
     entry (type EXPLICIT_ACCESS_A byaddr optional,
            char (*) varz byaddr,
            type DWORD,
            type ACCESS_MODE,
            type DWORD)
     WINAPI external('BuildExplicitAccessWithNameA');

 dcl BuildExplicitAccessWithNameW
     entry (type EXPLICIT_ACCESS_W byaddr optional,
            WCHAR (*) varz byaddr,
            type DWORD,
            type ACCESS_MODE,
            type DWORD)
     WINAPI external('BuildExplicitAccessWithNameW');

 %dcl BuildExplicitAccessWithName char ext;
 %if UNICODE ^= '' %then %do;
   %BuildExplicitAccessWithName='BuildExplicitAccessWithNameW';
 %end; %else %do;
   %BuildExplicitAccessWithName='BuildExplicitAccessWithNameA';
 %end; /* !UNICODE */


 dcl BuildImpersonateExplicitAccessWithNameA
     entry (type EXPLICIT_ACCESS_A byaddr,
            char (*) varz byaddr,
            type TRUSTEE_A byaddr,
            type DWORD,
            type ACCESS_MODE,
            type DWORD)
     WINAPI external('BuildImpersonateExplicitAccessWithNameA');

 dcl BuildImpersonateExplicitAccessWithNameW
     entry (type EXPLICIT_ACCESS_W byaddr,
            WCHAR (*) varz byaddr,
            type TRUSTEE_W byaddr,
            type DWORD,
            type ACCESS_MODE,
            type DWORD)
     WINAPI external('BuildImpersonateExplicitAccessWithNameW');

 %dcl BuildImpersonateExplicitAccessWithName char ext;
 %if UNICODE ^= '' %then %do;
   %BuildImpersonateExplicitAccessWithName
      ='BuildImpersonateExplicitAccessWithNameW';
 %end; %else %do;
   %BuildImpersonateExplicitAccessWithName
      ='BuildImpersonateExplicitAccessWithNameA';
 %end; /* !UNICODE */


 dcl BuildTrusteeWithNameA
     entry (type TRUSTEE_A byaddr optional,
            char (*) varz byaddr)
     WINAPI external('BuildTrusteeWithNameA');

 dcl BuildTrusteeWithNameW
     entry (type TRUSTEE_W byaddr optional,
            WCHAR (*) varz byaddr)
     WINAPI external('BuildTrusteeWithNameW');

 %dcl BuildTrusteeWithName char ext;
 %if UNICODE ^= '' %then %do;
   %BuildTrusteeWithName='BuildTrusteeWithNameW';
 %end; %else %do;
   %BuildTrusteeWithName='BuildTrusteeWithNameA';
 %end; /* !UNICODE */


 dcl BuildImpersonateTrusteeA
     entry (type TRUSTEE_A byaddr,
            type TRUSTEE_A byaddr)
     WINAPI external('BuildImpersonateTrusteeA');

 dcl BuildImpersonateTrusteeW
     entry (type TRUSTEE_W byaddr,
            type TRUSTEE_W byaddr)
     WINAPI external('BuildImpersonateTrusteeW');

 %dcl BuildImpersonateTrustee char ext;
 %if UNICODE ^= '' %then %do;
   %BuildImpersonateTrustee='BuildImpersonateTrusteeW';
 %end; %else %do;
   %BuildImpersonateTrustee='BuildImpersonateTrusteeA';
 %end; /* !UNICODE */


 dcl BuildTrusteeWithSidA
     entry (type TRUSTEE_A byaddr,
            type PSID)
     WINAPI external('BuildTrusteeWithSidA');

 dcl BuildTrusteeWithSidW
     entry (type TRUSTEE_W byaddr,
            type PSID)
     WINAPI external('BuildTrusteeWithSidW');

 %dcl BuildTrusteeWithSid char ext;
 %if UNICODE ^= '' %then %do;
   %BuildTrusteeWithSid='BuildTrusteeWithSidW';
 %end; %else %do;
   %BuildTrusteeWithSid='BuildTrusteeWithSidA';
 %end; /* !UNICODE */


 dcl GetTrusteeNameA
     entry (type TRUSTEE_A byaddr)
     returns (type LPSTR byvalue optional)
     WINAPI external('GetTrusteeNameA');

 dcl GetTrusteeNameW
     entry (type TRUSTEE_W byaddr)
     returns (type LPWSTR byvalue optional)
     WINAPI external('GetTrusteeNameW');

 %dcl GetTrusteeName char ext;
 %if UNICODE ^= '' %then %do;
   %GetTrusteeName='GetTrusteeNameW';
 %end; %else %do;
   %GetTrusteeName='GetTrusteeNameA';
 %end; /* !UNICODE */


 dcl GetTrusteeTypeA
     entry (type TRUSTEE_A byaddr)
     returns (type TRUSTEE_TYPE byvalue optional)
     WINAPI external('GetTrusteeTypeA');

 dcl GetTrusteeTypeW
     entry (type TRUSTEE_W byaddr)
     returns (type TRUSTEE_TYPE byvalue optional)
     WINAPI external('GetTrusteeTypeW');

 %dcl GetTrusteeType char ext;
 %if UNICODE ^= '' %then %do;
   %GetTrusteeType='GetTrusteeTypeW';
 %end; %else %do;
   %GetTrusteeType='GetTrusteeTypeA';
 %end; /* !UNICODE */


 dcl GetTrusteeFormA
     entry (type TRUSTEE_A byaddr)
     returns (type TRUSTEE_FORM byvalue optional)
     WINAPI external('GetTrusteeFormA');

 dcl GetTrusteeFormW
     entry (type TRUSTEE_W byaddr)
     returns (type TRUSTEE_FORM byvalue optional)
     WINAPI external('GetTrusteeFormW');

 %dcl GetTrusteeForm char ext;
 %if UNICODE ^= '' %then %do;
   %GetTrusteeForm='GetTrusteeFormW';
 %end; %else %do;
   %GetTrusteeForm='GetTrusteeFormA';
 %end; /* !UNICODE */


 dcl GetMultipleTrusteeOperationA
     entry (type TRUSTEE_A byaddr)
     returns (type MULTIPLE_TRUSTEE_OPERATION byvalue optional)
     WINAPI external('GetMultipleTrusteeOperationA');

 dcl GetMultipleTrusteeOperationW
     entry (type TRUSTEE_W byaddr)
     returns (type MULTIPLE_TRUSTEE_OPERATION byvalue optional)
     WINAPI external('GetMultipleTrusteeOperationW');

 %dcl GetMultipleTrusteeOperation char ext;
 %if UNICODE ^= '' %then %do;
   %GetMultipleTrusteeOperation='GetMultipleTrusteeOperationW';
 %end; %else %do;
   %GetMultipleTrusteeOperation='GetMultipleTrusteeOperationA';
 %end; /* !UNICODE */


 dcl GetMultipleTrusteeA
     entry (type TRUSTEE_A byaddr)
     returns (type PTRUSTEE_A byvalue optional)
     WINAPI external('GetMultipleTrusteeA');

 dcl GetMultipleTrusteeW
     entry (type TRUSTEE_W byaddr)
     returns (type PTRUSTEE_W byvalue optional)
     WINAPI external('GetMultipleTrusteeW');

 %dcl GetMultipleTrustee char ext;
 %if UNICODE ^= '' %then %do;
   %GetMultipleTrustee='GetMultipleTrusteeW';
 %end; %else %do;
   %GetMultipleTrustee='GetMultipleTrusteeA';
 %end; /* !UNICODE */


 %end; /* __ACCESS_CONTROL_API__ */

