 /*********************************************************************/
 /*                                                                   */
 /* DIGITALV.CPY - Include file for the MCI Digital Video Command Set */
 /*                                                                   */
 /*                              Version 1.0                          */
 /*                                                                   */
 /*  Copyright 1995 - 1998 Microsoft Corp.  All rights reserved.      */
 /*                                                                   */
 /*  Date            Modification                                     */
 /*  ------------    ------------                                     */
 /*  Aug 19, 1992    -Version 1.0 Release                             */
 /*                                                                   */
 /*********************************************************************/

 %dcl #INC_DIGITALV fixed ext;
 %if #INC_DIGITALV = 0 %then %do;
 %#INC_DIGITALV = 100;

 %dcl UNICODE char ext;
 %dcl MCI_USE_OFFEXT char ext;

 %dcl #INC_MMSYSTEM char ext;
 %if #INC_MMSYSTEM = '' %then %do;
 %include mmsystem;
 %end;


 /* generic MCI constants move to MMSYSTEM.CPY */

 dcl MCI_DGV_FILE_MODE_SAVING         fixed bin(15) value('0001'xn);
 dcl MCI_DGV_FILE_MODE_LOADING        fixed bin(15) value('0002'xn);
 dcl MCI_DGV_FILE_MODE_EDITING        fixed bin(15) value('0003'xn);
 dcl MCI_DGV_FILE_MODE_IDLE           fixed bin(15) value('0004'xn);

 /* These identifiers are used only by device drivers */

 dcl MCI_ON_S                         fixed bin(31) value('00008000'xn);
 dcl MCI_OFF_S                        fixed bin(31) value('00008001'xn);
 dcl MCI_DGV_FILE_S                   fixed bin(31) value('00008002'xn);
 dcl MCI_DGV_INPUT_S                  fixed bin(31) value('00008003'xn);

 dcl MCI_DGV_FILE_MODE_SAVING_S       fixed bin(31) value('00008004'xn);
 dcl MCI_DGV_FILE_MODE_LOADING_S      fixed bin(31) value('00008005'xn);
 dcl MCI_DGV_FILE_MODE_EDITING_S      fixed bin(31) value('00008006'xn);
 dcl MCI_DGV_FILE_MODE_IDLE_S         fixed bin(31) value('00008007'xn);

 dcl MCI_DGV_SETVIDEO_SRC_NTSC_S      fixed bin(31) value('00008010'xn);
 dcl MCI_DGV_SETVIDEO_SRC_RGB_S       fixed bin(31) value('00008011'xn);
 dcl MCI_DGV_SETVIDEO_SRC_SVIDEO_S    fixed bin(31) value('00008012'xn);
 dcl MCI_DGV_SETVIDEO_SRC_PAL_S       fixed bin(31) value('00008013'xn);
 dcl MCI_DGV_SETVIDEO_SRC_SECAM_S     fixed bin(31) value('00008014'xn);
 dcl MCI_DGV_SETVIDEO_SRC_GENERIC_S   fixed bin(31) value('00008015'xn);

 dcl MCI_DGV_SETAUDIO_SRC_LEFT_S      fixed bin(31) value('00008020'xn);
 dcl MCI_DGV_SETAUDIO_SRC_RIGHT_S     fixed bin(31) value('00008021'xn);
 dcl MCI_DGV_SETAUDIO_SRC_AVERAGE_S   fixed bin(31) value('00008022'xn);
 dcl MCI_DGV_SETAUDIO_SRC_STEREO_S    fixed bin(31) value('00008023'xn);

 /* Window message for signal notification */
 /* dcl MM_MCISIGNAL fixed bin(15) value('3CB'xn) */


 dcl /* error values */
 ( MCIERR_DGV_DEVICE_LIMIT            value(MCIERR_CUSTOM_DRIVER_BASE+0)
 , MCIERR_DGV_IOERR                   value(MCIERR_CUSTOM_DRIVER_BASE+1)
 , MCIERR_DGV_WORKSPACE_EMPTY         value(MCIERR_CUSTOM_DRIVER_BASE+2)
 , MCIERR_DGV_DISK_FULL               value(MCIERR_CUSTOM_DRIVER_BASE+3)
 , MCIERR_DGV_DEVICE_MEMORY_FULL      value(MCIERR_CUSTOM_DRIVER_BASE+4)
 , MCIERR_DGV_BAD_CLIPBOARD_RANGE     value(MCIERR_CUSTOM_DRIVER_BASE+5)
 ) fixed bin(31);

 /* defines for monitor methods */

 dcl MCI_DGV_METHOD_PRE               fixed bin(31) value('0000a000'xn);
 dcl MCI_DGV_METHOD_POST              fixed bin(31) value('0000a001'xn);
 dcl MCI_DGV_METHOD_DIRECT            fixed bin(31) value('0000a002'xn);

 /* defines for known file formats */

 dcl MCI_DGV_FF_AVSS                  fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_FF_AVI                   fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_FF_DIB                   fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_FF_RDIB                  fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_FF_JPEG                  fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_FF_RJPEG                 fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_FF_JFIF                  fixed bin(31) value('00004006'xn);
 dcl MCI_DGV_FF_MPEG                  fixed bin(31) value('00004007'xn);

 /* values for dwItem field of MCI_CAPABILITY_PARMS structure */

 dcl MCI_DGV_GETDEVCAPS_CAN_LOCK      fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_GETDEVCAPS_CAN_STRETCH   fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_GETDEVCAPS_CAN_FREEZE    fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_GETDEVCAPS_MAX_WINDOWS   fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_GETDEVCAPS_CAN_REVERSE   fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_GETDEVCAPS_HAS_STILL     fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_GETDEVCAPS_PALETTES      fixed bin(31) value('00004006'xn);
 dcl MCI_DGV_GETDEVCAPS_CAN_STR_IN    fixed bin(31) value('00004008'xn);
 dcl MCI_DGV_GETDEVCAPS_CAN_TEST      fixed bin(31) value('00004009'xn);
 dcl MCI_DGV_GETDEVCAPS_MAXIMUM_RATE  fixed bin(31) value('0000400a'xn);
 dcl MCI_DGV_GETDEVCAPS_MINIMUM_RATE  fixed bin(31) value('0000400b'xn);

 /* flags for dwFlags parameter of MCI_CAPTURE command message */

 dcl MCI_DGV_CAPTURE_AS               fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_CAPTURE_AT               fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_COPY command message */

 dcl MCI_DGV_COPY_AT                  fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_COPY_AUDIO_STREAM        fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_COPY_VIDEO_STREAM        fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_CUE command message */

 dcl MCI_DGV_CUE_INPUT                fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_CUE_OUTPUT               fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_CUE_NOSHOW               fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_CUT command message */

 dcl MCI_DGV_CUT_AT                   fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_CUT_AUDIO_STREAM         fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_CUT_VIDEO_STREAM         fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_DELETE command message */

 dcl MCI_DGV_DELETE_AT                fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_DELETE_AUDIO_STREAM      fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_DELETE_VIDEO_STREAM      fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_FREEZE command message */

 dcl MCI_DGV_FREEZE_AT                fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_FREEZE_OUTSIDE           fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_INFO command message */

 dcl MCI_DGV_INFO_TEXT                fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_INFO_ITEM                fixed bin(31) value('00020000'xn);

 /* values for dwItem field of MCI_DGV_INFO_PARMS structure */

 dcl MCI_INFO_VERSION                 fixed bin(31) value('00000400'xn);

 dcl MCI_DGV_INFO_USAGE               fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_INFO_AUDIO_QUALITY       fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_INFO_STILL_QUALITY       fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_INFO_VIDEO_QUALITY       fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_INFO_AUDIO_ALG           fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_INFO_STILL_ALG           fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_INFO_VIDEO_ALG           fixed bin(31) value('00004006'xn);

 /* flags for dwFlags parameter of MCI_LIST command message */

 dcl MCI_DGV_LIST_ITEM                fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_LIST_COUNT               fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_LIST_NUMBER              fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_LIST_ALG                 fixed bin(31) value('00080000'xn);

 /* values for dwItem field of MCI_DGV_LIST_PARMS structure */

 dcl MCI_DGV_LIST_AUDIO_ALG           fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_LIST_AUDIO_QUALITY       fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_LIST_AUDIO_STREAM        fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_LIST_STILL_ALG           fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_LIST_STILL_QUALITY       fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_LIST_VIDEO_ALG           fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_LIST_VIDEO_QUALITY       fixed bin(31) value('00004006'xn);
 dcl MCI_DGV_LIST_VIDEO_STREAM        fixed bin(31) value('00004007'xn);
 dcl MCI_DGV_LIST_VIDEO_SOURCE        fixed bin(31) value('00004008'xn);


 /* flags for dwFlags parameter of MCI_MONITOR command message */

 dcl MCI_DGV_MONITOR_METHOD           fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_MONITOR_SOURCE           fixed bin(31) value('00020000'xn);

 /* values for dwSource parameter of the MCI_DGV_MONITOR_PARMS */
 /* structure */

 dcl MCI_DGV_MONITOR_INPUT            fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_MONITOR_FILE             fixed bin(31) value('00004001'xn);

 /* flags for dwFlags parameter of MCI_OPEN command message */

 dcl MCI_DGV_OPEN_WS                  fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_OPEN_PARENT              fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_OPEN_NOSTATIC            fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_OPEN_16BIT               fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_OPEN_32BIT               fixed bin(31) value('00100000'xn);

 /* flags for dwFlags parameter of MCI_PASTE command message */

 dcl MCI_DGV_PASTE_AT                 fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_PASTE_AUDIO_STREAM       fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_PASTE_VIDEO_STREAM       fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_PASTE_INSERT             fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_PASTE_OVERWRITE          fixed bin(31) value('00100000'xn);

 /* flags for dwFlags parameter of MCI_PLAY command message */

 dcl MCI_DGV_PLAY_REPEAT              fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_PLAY_REVERSE             fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_PUT command message */

 dcl MCI_DGV_RECT                     fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_PUT_SOURCE               fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_PUT_DESTINATION          fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_PUT_FRAME                fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_PUT_VIDEO                fixed bin(31) value('00100000'xn);
 dcl MCI_DGV_PUT_WINDOW               fixed bin(31) value('00200000'xn);
 dcl MCI_DGV_PUT_CLIENT               fixed bin(31) value('00400000'xn);

 /* flags for dwFlags parameter of MCI_QUALITY command message */

 dcl MCI_QUALITY_ITEM                 fixed bin(31) value('00010000'xn);
 dcl MCI_QUALITY_NAME                 fixed bin(31) value('00020000'xn);
 dcl MCI_QUALITY_ALG                  fixed bin(31) value('00040000'xn);
 dcl MCI_QUALITY_DIALOG               fixed bin(31) value('00080000'xn);
 dcl MCI_QUALITY_HANDLE               fixed bin(31) value('00100000'xn);

 /* values for dwItem field of MCI_QUALITY_PARMS structure */

 dcl MCI_QUALITY_ITEM_AUDIO           fixed bin(31) value('00004000'xn);
 dcl MCI_QUALITY_ITEM_STILL           fixed bin(31) value('00004001'xn);
 dcl MCI_QUALITY_ITEM_VIDEO           fixed bin(31) value('00004002'xn);

 /* flags for dwFlags parameter of MCI_REALIZE command message */

 dcl MCI_DGV_REALIZE_NORM             fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_REALIZE_BKGD             fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_RECORD command message */

 dcl MCI_DGV_RECORD_HOLD              fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_RECORD_AUDIO_STREAM      fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_RECORD_VIDEO_STREAM      fixed bin(31) value('00080000'xn);

 /* flags for dwFlags parameters of MCI_RESERVE command message */

 dcl MCI_DGV_RESERVE_IN               fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_RESERVE_SIZE             fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_RESTORE command message */

 dcl MCI_DGV_RESTORE_FROM             fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_RESTORE_AT               fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameters of MCI_SAVE command message */

 dcl MCI_DGV_SAVE_ABORT               fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_SAVE_KEEPRESERVE         fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameters of MCI_SET command message */

 dcl MCI_DGV_SET_SEEK_EXACTLY         fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_SET_SPEED                fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_SET_STILL                fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_SET_FILEFORMAT           fixed bin(31) value('00080000'xn);

 /* flags for the dwFlags parameter of MCI_SETAUDIO command message */

 dcl MCI_DGV_SETAUDIO_OVER            fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_SETAUDIO_CLOCKTIME       fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_SETAUDIO_ALG             fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_SETAUDIO_QUALITY         fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_SETAUDIO_RECORD          fixed bin(31) value('00100000'xn);
 dcl MCI_DGV_SETAUDIO_LEFT            fixed bin(31) value('00200000'xn);
 dcl MCI_DGV_SETAUDIO_RIGHT           fixed bin(31) value('00400000'xn);
 dcl MCI_DGV_SETAUDIO_ITEM            fixed bin(31) value('00800000'xn);
 dcl MCI_DGV_SETAUDIO_VALUE           fixed bin(31) value('01000000'xn);
 dcl MCI_DGV_SETAUDIO_INPUT           fixed bin(31) value('02000000'xn);
 dcl MCI_DGV_SETAUDIO_OUTPUT          fixed bin(31) value('04000000'xn);

 /* values for the dwItem parameter of MCI_DGV_SETAUDIO_PARMS */

 dcl MCI_DGV_SETAUDIO_TREBLE          fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_SETAUDIO_BASS            fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_SETAUDIO_VOLUME          fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_SETAUDIO_STREAM          fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_SETAUDIO_SOURCE          fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_SETAUDIO_SAMPLESPERSEC   fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_SETAUDIO_AVGBYTESPERSEC  fixed bin(31) value('00004006'xn);
 dcl MCI_DGV_SETAUDIO_BLOCKALIGN      fixed bin(31) value('00004007'xn);
 dcl MCI_DGV_SETAUDIO_BITSPERSAMPLE   fixed bin(31) value('00004008'xn);

 /* values for the dwValue parameter of MCI_DGV_SETAUDIO_PARMS */
 /* used with MCI_DGV_SETAUDIO_SOURCE */

 dcl MCI_DGV_SETAUDIO_SOURCE_STEREO   fixed bin(31) value('00000000'xn);
 dcl MCI_DGV_SETAUDIO_SOURCE_LEFT     fixed bin(31) value('00000001'xn);
 dcl MCI_DGV_SETAUDIO_SOURCE_RIGHT    fixed bin(31) value('00000002'xn);
 dcl MCI_DGV_SETAUDIO_SOURCE_AVERAGE  fixed bin(31) value('00004000'xn);

 /* flags for the dwFlags parameter of MCI_SETVIDEO command */

 dcl MCI_DGV_SETVIDEO_QUALITY         fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_SETVIDEO_ALG             fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_SETVIDEO_CLOCKTIME       fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_SETVIDEO_SRC_NUMBER      fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_SETVIDEO_ITEM            fixed bin(31) value('00100000'xn);
 dcl MCI_DGV_SETVIDEO_OVER            fixed bin(31) value('00200000'xn);
 dcl MCI_DGV_SETVIDEO_RECORD          fixed bin(31) value('00400000'xn);
 dcl MCI_DGV_SETVIDEO_STILL           fixed bin(31) value('00800000'xn);
 dcl MCI_DGV_SETVIDEO_VALUE           fixed bin(31) value('01000000'xn);
 dcl MCI_DGV_SETVIDEO_INPUT           fixed bin(31) value('02000000'xn);
 dcl MCI_DGV_SETVIDEO_OUTPUT          fixed bin(31) value('04000000'xn);

 /* values for the dwTo field of MCI_SETVIDEO_PARMS */
 /* used with MCI_DGV_SETVIDEO_SOURCE */

 dcl MCI_DGV_SETVIDEO_SRC_NTSC        fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_SETVIDEO_SRC_RGB         fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_SETVIDEO_SRC_SVIDEO      fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_SETVIDEO_SRC_PAL         fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_SETVIDEO_SRC_SECAM       fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_SETVIDEO_SRC_GENERIC     fixed bin(31) value('00004005'xn);

 /* values for the dwItem field of MCI_SETVIDEO_PARMS */

 dcl MCI_DGV_SETVIDEO_BRIGHTNESS      fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_SETVIDEO_COLOR           fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_SETVIDEO_CONTRAST        fixed bin(31) value('00004002'xn);
 dcl MCI_DGV_SETVIDEO_TINT            fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_SETVIDEO_SHARPNESS       fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_SETVIDEO_GAMMA           fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_SETVIDEO_STREAM          fixed bin(31) value('00004006'xn);
 dcl MCI_DGV_SETVIDEO_PALHANDLE       fixed bin(31) value('00004007'xn);
 dcl MCI_DGV_SETVIDEO_FRAME_RATE      fixed bin(31) value('00004008'xn);
 dcl MCI_DGV_SETVIDEO_SOURCE          fixed bin(31) value('00004009'xn);
 dcl MCI_DGV_SETVIDEO_KEY_INDEX       fixed bin(31) value('0000400a'xn);
 dcl MCI_DGV_SETVIDEO_KEY_COLOR       fixed bin(31) value('0000400b'xn);
 dcl MCI_DGV_SETVIDEO_BITSPERPEL      fixed bin(31) value('0000400c'xn);

 /* flags for the dwFlags parameter of MCI_SIGNAL */

 dcl MCI_DGV_SIGNAL_AT                fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_SIGNAL_EVERY             fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_SIGNAL_USERVAL           fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_SIGNAL_CANCEL            fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_SIGNAL_POSITION          fixed bin(31) value('00100000'xn);

 /* The following is the function digitalvideo drivers must use       */
 /* to signal when a frame marked by the SIGNAL command has been      */
 /*  rendered:                                                        */
 /*                                                                   */
 /*  SEND_DGVSIGNAL(dwFlags, dwCallback, hDriver, wDeviceID, dwUser,  */
 /*                 dwPos)                                            */
 /*                                                                   */
 /* The following is a description of the parameters:                 */
 /*                                                                   */
 /*  dwFlags    - the dwFlags parameter passed when the signal was set*/
 /*  dwCallback - the dwCallback value from the MCI_DGV_SIGNAL_PARMS  */
 /*               struct used to set the signal                       */
 /*  hDriver    - the handle assigned to the driver by MMSYSTEM when  */
 /*               the device was opened                               */
 /*  wDeviceID  - the device ID                                       */
 /*  dwUser     - the dwUserParm value from the MCI_DGV_SIGNAL_PARMS  */
 /*               struct used to set the signal                       */
 /*  dwPos      - the position at which the signal was sent, in the   */
 /*               current time format.                                */
 /*                                                                   */
 /* The window indicated by the handle in the dwCallback field is     */
 /* notified by means of a Windows message with the following form:   */
 /*                                                                   */
 /* msg    = MM_MCISIGNAL                                             */
 /* wParam = wDeviceID of the sending driver                          */
 /* lParam = the uservalue specified or the position the signal was   */
 /*          sent at - the latter if the MCI_DGV_SIGNAL_POSITION flag */
 /*          was set in the dwFlags parameter when the signal was     */
 /*          created.                                                 */

 /* Note: DriverCallback is a routine declared by the user.           */
 /* To permit PL/I support, user should set HAS_DRIVERCALLBACK to 'Y'.*/
 /* Template for DriverCallback:                                      */
 /* DriverCallback: proc (dwCallBack, dwFlags, hdrvr,                 */
 /*                       msg, dwUser, dwParam1, dwParam2)            */
 /*                 returns (type BOOLEAN byvalue optional)           */
 /*   dcl dwCallBack type DWORD byvalue,                              */
 /*       dwFlags    type DWORD byvalue,                              */
 /*       hdrvr      type HDRVR byvalue,                              */
 /*       msg        type DWORD byvalue,                              */
 /*       dwUser     type DWORD byvalue,                              */
 /*       dwParam1   type DWORD byvalue,                              */
 /*       dwParam2   type DWORD byvalue                               */
 /* end DriverCallback                                                */
 %dcl HAS_DRIVERCALLBACK char ext;
 %if HAS_DRIVERCALLBACK ^= '' %then %do;
 SEND_DGVSIGNAL: proc (dwFlags, dwCallback, hDriver,
                       wDeviceID, dwUser, dwPos)
                 returns (fixed bin (31) byvalue optional)
                 options (inline reorder) internal;
   dcl dwFlags    type DWORD byvalue,
       dwCallBack type DWORD byvalue,
       hDriver    type HDRVR byvalue,
       wDeviceId  type HANDLE byvalue,
       dwUser     type DWORD byvalue,
       dwPos      type DWORD byvalue;

   dcl iand builtin;
   dcl dwParam1   type DWORD,
       dwParam2   type DWORD;

   if iand (dwFlags, MCI_DGV_SIGNAL_POSITION) ^= 0 then
     dwParam1 = dwPos;
   else
     dwParam1 = dwUser;
   if iand (dwFlags, MCI_DGV_SIGNAL_POSITION) ^= 0 then
     dwParam2 = dwUser;
   else
     dwParam2 = dwPos;
   return (DriverCallback (dwCallback, DCB_WINDOW, wDeviceID,
           MM_MCISIGNAL, binvalue(hDriver), dwParam1, dwParam2));
 end SEND_DGVSIGNAL;
 %end;

 /* flags for the dwFlags parameter of MCI_STATUS command */

 dcl MCI_DGV_STATUS_NOMINAL           fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_STATUS_REFERENCE         fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_STATUS_LEFT              fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_STATUS_RIGHT             fixed bin(31) value('00100000'xn);
 dcl MCI_DGV_STATUS_DISKSPACE         fixed bin(31) value('00200000'xn);
 dcl MCI_DGV_STATUS_INPUT             fixed bin(31) value('00400000'xn);
 dcl MCI_DGV_STATUS_OUTPUT            fixed bin(31) value('00800000'xn);
 dcl MCI_DGV_STATUS_RECORD            fixed bin(31) value('01000000'xn);

 /* values for dwItem field of MCI_STATUS_PARMS structure */

 dcl MCI_DGV_STATUS_AUDIO_INPUT       fixed bin(31) value('00004000'xn);
 dcl MCI_DGV_STATUS_HWND              fixed bin(31) value('00004001'xn);
 dcl MCI_DGV_STATUS_SPEED             fixed bin(31) value('00004003'xn);
 dcl MCI_DGV_STATUS_HPAL              fixed bin(31) value('00004004'xn);
 dcl MCI_DGV_STATUS_BRIGHTNESS        fixed bin(31) value('00004005'xn);
 dcl MCI_DGV_STATUS_COLOR             fixed bin(31) value('00004006'xn);
 dcl MCI_DGV_STATUS_CONTRAST          fixed bin(31) value('00004007'xn);
 dcl MCI_DGV_STATUS_FILEFORMAT        fixed bin(31) value('00004008'xn);
 dcl MCI_DGV_STATUS_AUDIO_SOURCE      fixed bin(31) value('00004009'xn);
 dcl MCI_DGV_STATUS_GAMMA             fixed bin(31) value('0000400a'xn);
 dcl MCI_DGV_STATUS_MONITOR           fixed bin(31) value('0000400b'xn);
 dcl MCI_DGV_STATUS_MONITOR_METHOD    fixed bin(31) value('0000400c'xn);
 dcl MCI_DGV_STATUS_FRAME_RATE        fixed bin(31) value('0000400e'xn);
 dcl MCI_DGV_STATUS_BASS              fixed bin(31) value('0000400f'xn);
 dcl MCI_DGV_STATUS_SIZE              fixed bin(31) value('00004010'xn);
 dcl MCI_DGV_STATUS_SEEK_EXACTLY      fixed bin(31) value('00004011'xn);
 dcl MCI_DGV_STATUS_SHARPNESS         fixed bin(31) value('00004012'xn);
 dcl MCI_DGV_STATUS_SMPTE             fixed bin(31) value('00004013'xn);
 dcl MCI_DGV_STATUS_AUDIO             fixed bin(31) value('00004014'xn);
 dcl MCI_DGV_STATUS_TINT              fixed bin(31) value('00004015'xn);
 dcl MCI_DGV_STATUS_TREBLE            fixed bin(31) value('00004016'xn);
 dcl MCI_DGV_STATUS_UNSAVED           fixed bin(31) value('00004017'xn);
 dcl MCI_DGV_STATUS_VIDEO             fixed bin(31) value('00004018'xn);
 dcl MCI_DGV_STATUS_VOLUME            fixed bin(31) value('00004019'xn);
 dcl MCI_DGV_STATUS_AUDIO_RECORD      fixed bin(31) value('0000401a'xn);
 dcl MCI_DGV_STATUS_VIDEO_SOURCE      fixed bin(31) value('0000401b'xn);
 dcl MCI_DGV_STATUS_VIDEO_RECORD      fixed bin(31) value('0000401c'xn);
 dcl MCI_DGV_STATUS_STILL_FILEFORMAT  fixed bin(31) value('0000401d'xn);
 dcl MCI_DGV_STATUS_VIDEO_SRC_NUM     fixed bin(31) value('0000401e'xn);
 dcl MCI_DGV_STATUS_FILE_MODE         fixed bin(31) value('0000401f'xn);
 dcl MCI_DGV_STATUS_FILE_COMPLETION   fixed bin(31) value('00004020'xn);
 dcl MCI_DGV_STATUS_WINDOW_VISIBLE    fixed bin(31) value('00004021'xn);
 dcl MCI_DGV_STATUS_WINDOW_MINIMIZED  fixed bin(31) value('00004022'xn);
 dcl MCI_DGV_STATUS_WINDOW_MAXIMIZED  fixed bin(31) value('00004023'xn);
 dcl MCI_DGV_STATUS_KEY_INDEX         fixed bin(31) value('00004024'xn);
 dcl MCI_DGV_STATUS_KEY_COLOR         fixed bin(31) value('00004025'xn);
 dcl MCI_DGV_STATUS_PAUSE_MODE        fixed bin(31) value('00004026'xn);
 dcl MCI_DGV_STATUS_SAMPLESPERSEC     fixed bin(31) value('00004027'xn);
 dcl MCI_DGV_STATUS_AVGBYTESPERSEC    fixed bin(31) value('00004028'xn);
 dcl MCI_DGV_STATUS_BLOCKALIGN        fixed bin(31) value('00004029'xn);
 dcl MCI_DGV_STATUS_BITSPERSAMPLE     fixed bin(31) value('0000402a'xn);
 dcl MCI_DGV_STATUS_BITSPERPEL        fixed bin(31) value('0000402b'xn);
 dcl MCI_DGV_STATUS_FORWARD           fixed bin(31) value('0000402c'xn);
 dcl MCI_DGV_STATUS_AUDIO_STREAM      fixed bin(31) value('0000402d'xn);
 dcl MCI_DGV_STATUS_VIDEO_STREAM      fixed bin(31) value('0000402e'xn);

 /* flags for dwFlags parameter of MCI_STEP command message */

 dcl MCI_DGV_STEP_REVERSE             fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_STEP_FRAMES              fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_STOP command message */

 dcl MCI_DGV_STOP_HOLD                fixed bin(31) value('00010000'xn);

 /* flags for dwFlags parameter of MCI_UPDATE command message */

 dcl MCI_DGV_UPDATE_HDC               fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_UPDATE_PAINT             fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_WHERE command message */

 dcl MCI_DGV_WHERE_SOURCE             fixed bin(31) value('00020000'xn);
 dcl MCI_DGV_WHERE_DESTINATION        fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_WHERE_FRAME              fixed bin(31) value('00080000'xn);
 dcl MCI_DGV_WHERE_VIDEO              fixed bin(31) value('00100000'xn);
 dcl MCI_DGV_WHERE_WINDOW             fixed bin(31) value('00200000'xn);
 dcl MCI_DGV_WHERE_MAX                fixed bin(31) value('00400000'xn);

 /* flags for dwFlags parameter of MCI_WINDOW command message */

 dcl MCI_DGV_WINDOW_HWND              fixed bin(31) value('00010000'xn);
 dcl MCI_DGV_WINDOW_STATE             fixed bin(31) value('00040000'xn);
 dcl MCI_DGV_WINDOW_TEXT              fixed bin(31) value('00080000'xn);

 /* flags for hWnd parameter of MCI_DGV_WINDOW_PARMS parameter block */

 dcl MCI_DGV_WINDOW_DEFAULT           fixed bin(31) value('00000000'xn);

 /* parameter block for MCI_WHERE, MCI_PUT, MCI_FREEZE, MCI_UNFREEZE */
 /* command messages */

 define structure
   1 MCI_DGV_RECT_PARMS,
     2 dwCallback type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset   type POINT,
     2 ptExtent   type POINT;
 %end; %else %do;
     2 rc         type RECT;
 %end;

 define alias LPMCI_DGV_RECT_PARMS handle MCI_DGV_RECT_PARMS;

 /* parameter block for MCI_CAPTURE command message */

 define structure
   1 MCI_DGV_CAPTURE_PARMSA,
     2 dwCallback    type DWORD,
     2 lpstrFileName type LPSTR,
 %if MCI_USE_OFFEXT ^= '' %then %do ;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT;
 %end; %else %do;
     2 rc            type RECT;
 %end;

 define structure
   1 MCI_DGV_CAPTURE_PARMSW,
     2 dwCallback    type DWORD,
     2 lpstrFileName type LPWSTR,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT;
 %end; %else %do;
     2 rc            type RECT;
 %end;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_CAPTURE_PARMS type MCI_DGV_CAPTURE_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_CAPTURE_PARMS type MCI_DGV_CAPTURE_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_CAPTURE_PARMSA handle MCI_DGV_CAPTURE_PARMSA;
 define alias LPMCI_DGV_CAPTURE_PARMSW handle MCI_DGV_CAPTURE_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_CAPTURE_PARMS type LPMCI_DGV_CAPTURE_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_CAPTURE_PARMS type LPMCI_DGV_CAPTURE_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_CLOSE command message */

 define alias   MCI_CLOSE_PARMS type   MCI_GENERIC_PARMS;
 define alias LPMCI_CLOSE_PARMS handle MCI_CLOSE_PARMS;

 /* parameter block for MCI_COPY command message */

 define structure
   1 MCI_DGV_COPY_PARMS,
     2 dwCallback    type DWORD,
     2 dwFrom        type DWORD,
     2 dwTo          type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT,
 %end; %else %do;
     2 rc            type RECT,
 %end;
     2 dwAudioStream type DWORD,
     2 dwVideoStream type DWORD;
 define alias LPMCI_DGV_COPY_PARMS handle MCI_DGV_COPY_PARMS;

 /* parameter block for MCI_CUE command message */

 define structure
   1 MCI_DGV_CUE_PARMS,
     2 dwCallback type DWORD,
     2 dwTo       type DWORD;
 define alias LPMCI_DGV_CUE_PARMS handle MCI_DGV_CUE_PARMS;

 /* parameter block for MCI_CUT command message */

 define structure
   1 MCI_DGV_CUT_PARMS,
     2 dwCallback    type DWORD,
     2 dwFrom        type DWORD,
     2 dwTo          type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT,
 %end; %else %do;
     2 rc            type RECT,
 %end;
     2 dwAudioStream type DWORD,
     2 dwVideoStream type DWORD;
 define alias LPMCI_DGV_CUT_PARMS handle MCI_DGV_CUT_PARMS;

 /* parameter block for MCI_DELETE command message */

 define structure
   1 MCI_DGV_DELETE_PARMS,
     2 dwCallback    type DWORD,
     2 dwFrom        type DWORD,
     2 dwTo          type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT,
 %end; %else %do;
     2 rc            type RECT,
 %end;
     2 dwAudioStream type DWORD,
     2 dwVideoStream type DWORD;
 define alias LPMCI_DGV_DELETE_PARMS handle MCI_DGV_DELETE_PARMS;

 /* parameter block for MCI_FREEZE command message */

 define alias   MCI_DGV_FREEZE_PARMS type   MCI_DGV_RECT_PARMS;
 define alias LPMCI_DGV_FREEZE_PARMS handle MCI_DGV_FREEZE_PARMS;

 /* parameter block for MCI_INFO command message */

 define structure
   1 MCI_DGV_INFO_PARMSA,
     2 dwCallback  type DWORD,
     2 lpstrReturn type LPSTR,
     2 dwRetSize   type DWORD,
     2 dwItem      type DWORD;

 define structure
   1 MCI_DGV_INFO_PARMSW,
     2 dwCallback  type DWORD,
     2 lpstrReturn type LPWSTR,
     2 dwRetSize   type DWORD,
     2 dwItem      type DWORD;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_INFO_PARMS type MCI_DGV_INFO_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_INFO_PARMS type MCI_DGV_INFO_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_INFO_PARMSA handle MCI_DGV_INFO_PARMSA;
 define alias LPMCI_DGV_INFO_PARMSW handle MCI_DGV_INFO_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_INFO_PARMS type LPMCI_DGV_INFO_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_INFO_PARMS type LPMCI_DGV_INFO_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_LIST command message */

 define structure
   1 MCI_DGV_LIST_PARMSA,
     2 dwCallback     type DWORD,
     2 lpstrReturn    type LPSTR,
     2 dwLength       type DWORD,
     2 dwNumber       type DWORD,
     2 dwItem         type DWORD,
     2 lpstrAlgorithm type LPSTR;

 define structure
   1 MCI_DGV_LIST_PARMSW,
     2 dwCallback     type DWORD,
     2 lpstrReturn    type LPWSTR,
     2 dwLength       type DWORD,
     2 dwNumber       type DWORD,
     2 dwItem         type DWORD,
     2 lpstrAlgorithm type LPWSTR;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_LIST_PARMS type MCI_DGV_LIST_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_LIST_PARMS type MCI_DGV_LIST_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_LIST_PARMSA handle MCI_DGV_LIST_PARMSA;
 define alias LPMCI_DGV_LIST_PARMSW handle MCI_DGV_LIST_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_LIST_PARMS type LPMCI_DGV_LIST_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_LIST_PARMS type LPMCI_DGV_LIST_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_LOAD command message */

 define alias   MCI_DGV_LOAD_PARMS type   MCI_LOAD_PARMS;
 define alias LPMCI_DGV_LOAD_PARMS handle MCI_DGV_LOAD_PARMS;

 /* parameter block for MCI_MONITOR command message */

 define structure
   1 MCI_DGV_MONITOR_PARMS,
     2 dwCallback type DWORD,
     2 dwSource   type DWORD,
     2 dwMethod   type DWORD;
 define alias LPMCI_DGV_MONITOR_PARMS handle MCI_DGV_MONITOR_PARMS;

 /* parameter block for MCI_OPEN command message */

 define structure
   1 MCI_DGV_OPEN_PARMSA,
     2 dwCallback       type DWORD,
     2 wDeviceID        type UINT,
     2 lpstrDeviceType  type LPSTR,
     2 lpstrElementName type LPSTR,
     2 lpstrAlias       type LPSTR,
     2 dwStyle          type DWORD,
     2 hWndParent       type HWND;

 define structure
   1 MCI_DGV_OPEN_PARMSW,
     2 dwCallback       type DWORD,
     2 wDeviceID        type UINT,
     2 lpstrDeviceType  type LPWSTR,
     2 lpstrElementName type LPWSTR,
     2 lpstrAlias       type LPWSTR,
     2 dwStyle          type DWORD,
     2 hWndParent       type HWND;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_OPEN_PARMS type MCI_DGV_OPEN_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_OPEN_PARMS type MCI_DGV_OPEN_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_OPEN_PARMSA handle MCI_DGV_OPEN_PARMSA;
 define alias LPMCI_DGV_OPEN_PARMSW handle MCI_DGV_OPEN_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_OPEN_PARMS type LPMCI_DGV_OPEN_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_OPEN_PARMS type LPMCI_DGV_OPEN_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_PAUSE command message */

 define alias   MCI_DGV_PAUSE_PARMS type   MCI_GENERIC_PARMS;
 define alias LPMCI_DGV_PAUSE_PARMS handle MCI_DGV_PAUSE_PARMS;

 /* parameter block for MCI_PASTE command message */

 define structure
   1 MCI_DGV_PASTE_PARMS,
     2 dwCallback    type DWORD,
     2 dwTo          type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT,
 %end; %else %do;
     2 rc            type RECT,
 %end;
     2 dwAudioStream type DWORD,
     2 dwVideoStream type DWORD;

 define alias LPMCI_DGV_PASTE_PARMS handle MCI_DGV_PASTE_PARMS;

 /* parameter block for MCI_PLAY command message */

 define alias MCI_DGV_PLAY_PARMS type MCI_PLAY_PARMS;
 define alias LPMCI_DGV_PLAY_PARMS handle MCI_DGV_PLAY_PARMS;

 /* parameter block for MCI_PUT command message */

 define alias   MCI_DGV_PUT_PARMS type   MCI_DGV_RECT_PARMS;
 define alias LPMCI_DGV_PUT_PARMS handle MCI_DGV_PUT_PARMS;

 /* parameter block for MCI_QUALITY command message */

 define structure
   1 MCI_DGV_QUALITY_PARMSA,
     2 dwCallback     type DWORD,
     2 dwItem         type DWORD,
     2 lpstrName      type LPSTR,
     2 lpstrAlgorithm type DWORD,
     2 dwHandle       type DWORD;

 define structure
   1 MCI_DGV_QUALITY_PARMSW,
     2 dwCallback     type DWORD,
     2 dwItem         type DWORD,
     2 lpstrName      type LPWSTR,
     2 lpstrAlgorithm type DWORD,
     2 dwHandle       type DWORD;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_QUALITY_PARMS type MCI_DGV_QUALITY_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_QUALITY_PARMS type MCI_DGV_QUALITY_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_QUALITY_PARMSA handle MCI_DGV_QUALITY_PARMSA;
 define alias LPMCI_DGV_QUALITY_PARMSW handle MCI_DGV_QUALITY_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_QUALITY_PARMS type LPMCI_DGV_QUALITY_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_QUALITY_PARMS type LPMCI_DGV_QUALITY_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_REALIZE command message */

 define alias   MCI_REALIZE_PARMS type   MCI_GENERIC_PARMS;
 define alias LPMCI_REALIZE_PARMS handle MCI_REALIZE_PARMS;

 /* parameter block for MCI_RECORD command message */

 define structure
   1 MCI_DGV_RECORD_PARMS,
     2 dwCallback    type DWORD,
     2 dwFrom        type DWORD,
     2 dwTo          type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT,
 %end; %else %do;
     2 rc            type RECT,
 %end;
     2 dwAudioStream type DWORD,
     2 dwVideoStream type DWORD;
 define alias LPMCI_DGV_RECORD_PARMS handle MCI_DGV_RECORD_PARMS;

 /* parameter block for MCI_RESERVE command message */

 define structure
   1 MCI_DGV_RESERVE_PARMSA,
     2 dwCallback type DWORD,
     2 lpstrPath  type LPSTR,
     2 dwSize     type DWORD;

 define structure
   1 MCI_DGV_RESERVE_PARMSW,
     2 dwCallback type DWORD,
     2 lpstrPath  type LPWSTR,
     2 dwSize     type DWORD;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_RESERVE_PARMS type MCI_DGV_RESERVE_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_RESERVE_PARMS type MCI_DGV_RESERVE_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_RESERVE_PARMSA handle MCI_DGV_RESERVE_PARMSA;
 define alias LPMCI_DGV_RESERVE_PARMSW handle MCI_DGV_RESERVE_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_RESERVE_PARMS type LPMCI_DGV_RESERVE_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_RESERVE_PARMS type LPMCI_DGV_RESERVE_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_RESTORE command message */

 define structure
   1 MCI_DGV_RESTORE_PARMSA,
     2 dwCallback    type DWORD,
     2 lpstrFileName type LPSTR,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT;
 %end; %else %do;
     2 rc            type RECT;
 %end;

 define structure
   1 MCI_DGV_RESTORE_PARMSW,
     2 dwCallback    type DWORD,
     2 lpstrFileName type LPWSTR,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset      type POINT,
     2 ptExtent      type POINT;
 %end; %else %do;
     2 rc            type RECT;
 %end;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_RESTORE_PARMS type MCI_DGV_RESTORE_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_RESTORE_PARMS type MCI_DGV_RESTORE_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_RESTORE_PARMSA handle MCI_DGV_RESTORE_PARMSA;
 define alias LPMCI_DGV_RESTORE_PARMSW handle MCI_DGV_RESTORE_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_RESTORE_PARMS type LPMCI_DGV_RESTORE_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_RESTORE_PARMS type LPMCI_DGV_RESTORE_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_RESUME command message */

 define alias   MCI_DGV_RESUME_PARMS type   MCI_GENERIC_PARMS;
 define alias LPMCI_DGV_RESUME_PARMS handle MCI_DGV_RESUME_PARMS;

 /* parameter block for MCI_SAVE command message */

 define structure
   1 MCI_DGV_SAVE_PARMSA,
     2 dwCallback    type DWORD,
     2 lpstrFileName type LPSTR,
     2 rc            type RECT;

 define structure
   1 MCI_DGV_SAVE_PARMSW,
     2 dwCallback    type DWORD,
     2 lpstrFileName type LPWSTR,
     2 rc            type RECT;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_SAVE_PARMS type MCI_DGV_SAVE_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_SAVE_PARMS type MCI_DGV_SAVE_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_SAVE_PARMSA handle MCI_DGV_SAVE_PARMSA;
 define alias LPMCI_DGV_SAVE_PARMSW handle MCI_DGV_SAVE_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_SAVE_PARMS type LPMCI_DGV_SAVE_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_SAVE_PARMS type LPMCI_DGV_SAVE_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_SET command message */

 define structure
   1 MCI_DGV_SET_PARMS,
     2 dwCallback   type DWORD,
     2 dwTimeFormat type DWORD,
     2 dwAudio      type DWORD,
     2 dwFileFormat type DWORD,
     2 dwSpeed      type DWORD;
 define alias LPMCI_DGV_SET_PARMS handle MCI_DGV_SET_PARMS;

 /* parameter block for MCI_SETAUDIO command message */

 define structure
   1 MCI_DGV_SETAUDIO_PARMSA,
     2 dwCallback     type DWORD,
     2 dwItem         type DWORD,
     2 dwValue        type DWORD,
     2 dwOver         type DWORD,
     2 lpstrAlgorithm type LPSTR,
     2 lpstrQuality   type LPSTR;

 define structure
   1 MCI_DGV_SETAUDIO_PARMSW,
     2 dwCallback     type DWORD,
     2 dwItem         type DWORD,
     2 dwValue        type DWORD,
     2 dwOver         type DWORD,
     2 lpstrAlgorithm type LPWSTR,
     2 lpstrQuality   type LPWSTR;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_SETAUDIO_PARMS type MCI_DGV_SETAUDIO_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_SETAUDIO_PARMS type MCI_DGV_SETAUDIO_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_SETAUDIO_PARMSA handle MCI_DGV_SETAUDIO_PARMSA;
 define alias LPMCI_DGV_SETAUDIO_PARMSW handle MCI_DGV_SETAUDIO_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_SETAUDIO_PARMS type LPMCI_DGV_SETAUDIO_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_SETAUDIO_PARMS type LPMCI_DGV_SETAUDIO_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_SIGNAL command message */

 define structure
   1 MCI_DGV_SIGNAL_PARMS,
     2 dwCallback type DWORD,
     2 dwPosition type DWORD,
     2 dwPeriod   type DWORD,
     2 dwUserParm type DWORD;
 define alias LPMCI_DGV_SIGNAL_PARMS handle MCI_DGV_SIGNAL_PARMS;

 /* parameter block for MCI_SETVIDEO command message */

 define structure
   1 MCI_DGV_SETVIDEO_PARMSA,
     2 dwCallback     type DWORD,
     2 dwItem         type DWORD,
     2 dwValue        type DWORD,
     2 dwOver         type DWORD,
     2 lpstrAlgorithm type LPSTR,
     2 lpstrQuality   type LPSTR,
     2 dwSourceNumber type DWORD;

 define structure
   1 MCI_DGV_SETVIDEO_PARMSW,
     2 dwCallback     type DWORD,
     2 dwItem         type DWORD,
     2 dwValue        type DWORD,
     2 dwOver         type DWORD,
     2 lpstrAlgorithm type LPWSTR,
     2 lpstrQuality   type LPWSTR,
     2 dwSourceNumber type DWORD;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_SETVIDEO_PARMS type MCI_DGV_SETVIDEO_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_SETVIDEO_PARMS type MCI_DGV_SETVIDEO_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_SETVIDEO_PARMSA handle MCI_DGV_SETVIDEO_PARMSA;
 define alias LPMCI_DGV_SETVIDEO_PARMSW handle MCI_DGV_SETVIDEO_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_SETVIDEO_PARMS type LPMCI_DGV_SETVIDEO_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_SETVIDEO_PARMS type LPMCI_DGV_SETVIDEO_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_STATUS command message */

 define structure
   1 MCI_DGV_STATUS_PARMSA,
     2 dwCallback  type DWORD,
     2 dwReturn    type DWORD,
     2 dwItem      type DWORD,
     2 dwTrack     type DWORD,
     2 lpstrDrive  type LPSTR,
     2 dwReference type DWORD;

 define structure
   1 MCI_DGV_STATUS_PARMSW,
     2 dwCallback  type DWORD,
     2 dwReturn    type DWORD,
     2 dwItem      type DWORD,
     2 dwTrack     type DWORD,
     2 lpstrDrive  type LPWSTR,
     2 dwReference type DWORD;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_STATUS_PARMS type MCI_DGV_STATUS_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_STATUS_PARMS type MCI_DGV_STATUS_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_STATUS_PARMSA handle MCI_DGV_STATUS_PARMSA;
 define alias LPMCI_DGV_STATUS_PARMSW handle MCI_DGV_STATUS_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_STATUS_PARMS type LPMCI_DGV_STATUS_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_STATUS_PARMS type LPMCI_DGV_STATUS_PARMSA;
 %end; /* UNICODE */

 /* parameter block for MCI_STEP command message */

 define structure
   1 MCI_DGV_STEP_PARMS,
     2 dwCallback type DWORD,
     2 dwFrames   type DWORD;
 define alias LPMCI_DGV_STEP_PARMS handle MCI_DGV_STEP_PARMS;

 /* parameter block for MCI_STOP command message */

 define alias   MCI_DGV_STOP_PARMS type   MCI_GENERIC_PARMS;
 define alias LPMCI_DGV_STOP_PARMS handle MCI_DGV_STOP_PARMS;

 /* parameter block for MCI_UNFREEZE command message */

 define alias   MCI_DGV_UNFREEZE_PARMS type   MCI_DGV_RECT_PARMS;
 define alias LPMCI_DGV_UNFREEZE_PARMS handle MCI_DGV_UNFREEZE_PARMS;

 /* parameter block for MCI_UPDATE command message */

 define structure
   1 MCI_DGV_UPDATE_PARMS,
     2 dwCallback type DWORD,
 %if MCI_USE_OFFEXT ^= '' %then %do;
     2 ptOffset   type POINT,
     2 ptExtent   type POINT,
 %end; %else %do;
     2 rc         type RECT,
 %end;
     2 hDC        type HDC;
 define alias LPMCI_DGV_UPDATE_PARMS handle MCI_DGV_UPDATE_PARMS;

 /* parameter block for MCI_WHERE command message */

 define alias   MCI_DGV_WHERE_PARMS type   MCI_DGV_RECT_PARMS;
 define alias LPMCI_DGV_WHERE_PARMS handle MCI_DGV_WHERE_PARMS;

 /* parameter block for MCI_WINDOW command message */

 define structure
   1 MCI_DGV_WINDOW_PARMSA,
     2 dwCallback type DWORD,
     2 hWnd       type HWND,
     2 nCmdShow   type UINT,
     2 lpstrText  type LPSTR;

 define structure
   1 MCI_DGV_WINDOW_PARMSW,
     2 dwCallback type DWORD,
     2 hWnd       type HWND,
     2 nCmdShow   type UINT,
     2 lpstrText  type LPWSTR;

 %if UNICODE ^= '' %then %do;
 define alias MCI_DGV_WINDOW_PARMS type MCI_DGV_WINDOW_PARMSW;
 %end; %else %do;
 define alias MCI_DGV_WINDOW_PARMS type MCI_DGV_WINDOW_PARMSA;
 %end; /* UNICODE */

 define alias LPMCI_DGV_WINDOW_PARMSA handle MCI_DGV_WINDOW_PARMSA;
 define alias LPMCI_DGV_WINDOW_PARMSW handle MCI_DGV_WINDOW_PARMSW;

 %if UNICODE ^= '' %then %do;
 define alias LPMCI_DGV_WINDOW_PARMS type LPMCI_DGV_WINDOW_PARMSW;
 %end; %else %do;
 define alias LPMCI_DGV_WINDOW_PARMS type LPMCI_DGV_WINDOW_PARMSA;
 %end; /* UNICODE */

 %end; /* !_INC_DIGITALV */
