 /* ++ BUILD Version: 0004                                            */
 /*   -- Increment this if a change has global effects                */
 /*                                                                   */
 /* Copyright (c) 1985-95, Microsoft Corporation                      */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   glaux.cpy                                                       */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   Procedure declarations, constant definitions and macros for     */
 /*   the OpenGL Auxiliary Library.                                   */
 /*                                                                   */
 /* --                                                                */

 /* Very Important PL/I Usage Note:                                   */
 /* ===============================                                   */
 /* The original Microsoft bundling is as a LIB file containing the   */
 /* object code. This code has dependencies on the C run-time library */
 /* and even if you resolve these, mixing PL/I and C run-times        */
 /* together in the same dll or exe is a recipe for disaster.         */
 /*                                                                   */
 /* You must build a "C" DLL with an import LIB, and link against     */
 /* this LIB. You will also have to ship your DLL to your users.      */
 /*                                                                   */
 /* Microsoft supply the source for the OpenGL Auxiliary Library      */
 /* under \MSSDK\samples\graphics\opengl\glaux.                       */
 /*                                                                   */
 /* I can supply a suitable glaux32.dll and glaux32.lib on request    */


 %dcl #_GLAUX_H__ char ext;
 %if #_GLAUX_H__ = '' %then %do;
 %#_GLAUX_H__ = 'Y';


 /* (c) Copyright 1993, Silicon Graphics, Inc.                        */
 /* ALL RIGHTS RESERVED                                               */
 /* Permission to use, copy, modify, and distribute this software for */
 /* any purpose and without fee is hereby granted, provided that the  */
 /* above copyright notice appear in all copies and that both the     */
 /* copyright notice and this permission notice appear in supporting  */
 /* documentation, and that the name of Silicon Graphics, Inc. not be */
 /* used in advertising or publicity pertaining to distribution of    */
 /* the software without specific, written prior permission.          */
 /*                                                                   */
 /* THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS" */
 /* AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,  */
 /* INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR  */
 /* FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON      */
 /* GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,   */
 /* SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY     */
 /* KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,    */
 /* LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF */
 /* THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN    */
 /* ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON    */
 /* ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE */
 /* POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.                  */
 /*                                                                   */
 /* US Government Users Restricted Rights                             */
 /* Use, duplication, or disclosure by the Government is subject to   */
 /* restrictions set forth in FAR 52.227.19(c)(2) or subparagraph     */
 /* (c)(1)(ii) of the Rights in Technical Data and Computer Software  */
 /* clause at DFARS 252.227-7013 and/or in similar or successor       */
 /* clauses in the FAR or the DOD or NASA FAR Supplement.             */
 /* Unpublished-- rights reserved under the copyright laws of the     */
 /* United States.  Contractor/manufacturer is Silicon Graphics,      */
 /* Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.     */
 /*                                                                   */
 /* OpenGL(TM) is a trademark of Silicon Graphics, Inc.               */

 %dcl #WINDEF_ char ext;
 %if #WINDEF_ = '' %then %do;
 %include windef;
 %end;
 %dcl #_gl_h_ char ext;
 %if #_gl_h_ = '' %then %do;
 %include gl;
 %end;
 %dcl #_glu_h__ char ext;
 %if #_glu_h__ = '' %then %do;
 %include glu;
 %end;

 %dcl UNICODE char ext;


 /* ToolKit Window Types                                              */
 /* In the future, AUX_RGBA may be a combination of both RGB and ALPHA*/

 dcl AUX_RGB           fixed bin(31) value(0);
 dcl AUX_RGBA          fixed bin(31) value(AUX_RGB);
 dcl AUX_INDEX         fixed bin(31) value(1);
 dcl AUX_SINGLE        fixed bin(31) value(0);
 dcl AUX_DOUBLE        fixed bin(31) value(2);
 dcl AUX_DIRECT        fixed bin(31) value(0);
 dcl AUX_INDIRECT      fixed bin(31) value(4);

 dcl AUX_ACCUM         fixed bin(31) value(8);
 dcl AUX_ALPHA         fixed bin(31) value(16);
 dcl AUX_DEPTH24       fixed bin(31) value(32); /* 24-bit depth buffer*/
 dcl AUX_STENCIL       fixed bin(31) value(64);
 dcl AUX_AUX           fixed bin(31) value(128);
 dcl AUX_DEPTH16       fixed bin(31) value(256);/* 16-bit depth buffer*/
 dcl AUX_FIXED_332_PAL fixed bin(31) value(512);
 dcl AUX_DEPTH         fixed bin(31) value(AUX_DEPTH16);
     /* default is 16-bit depth buffer */

 /* Window Masks */

 AUX_WIND_IS_RGB: proc (x) returns (bit (1) aligned)
                 options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_INDEX) = 0);
 end AUX_WIND_IS_RGB;

 AUX_WIND_IS_INDEX: proc (x) returns (bit (1) aligned)
                    options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_INDEX) ^= 0);
 end AUX_WIND_IS_INDEX;

 AUX_WIND_IS_SINGLE: proc (x) returns (bit (1) aligned)
                     options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_DOUBLE) = 0);
 end AUX_WIND_IS_SINGLE;

 AUX_WIND_IS_DOUBLE: proc (x) returns (bit (1) aligned)
                     options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_DOUBLE) ^= 0);
 end AUX_WIND_IS_DOUBLE;

 AUX_WIND_IS_INDIRECT: proc (x) returns (bit (1) aligned)
                       options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_INDIRECT) ^= 0);
 end AUX_WIND_IS_INDIRECT;

 AUX_WIND_IS_DIRECT: proc (x) returns (bit (1) aligned)
                     options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_INDIRECT) = 0);
 end AUX_WIND_IS_DIRECT;

 AUX_WIND_HAS_ACCUM: proc (x) returns (bit (1) aligned)
                     options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_ACCUM) ^= 0);
 end AUX_WIND_HAS_ACCUM;

 AUX_WIND_HAS_ALPHA: proc (x) returns (bit (1) aligned)
                     options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_ALPHA) ^= 0);
 end AUX_WIND_HAS_ALPHA;

 AUX_WIND_HAS_DEPTH: proc (x) returns (bit (1) aligned)
                     options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl (iand, ior) builtin;
   return (iand (x, ior (AUX_DEPTH24, AUX_DEPTH16)) ^= 0);
 end AUX_WIND_HAS_DEPTH;

 AUX_WIND_HAS_STENCIL: proc (x) returns (bit (1) aligned)
                       options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_STENCIL) ^= 0);
 end AUX_WIND_HAS_STENCIL;

 AUX_WIND_USES_FIXED_332_PAL: proc (x) returns (bit (1) aligned)
                              options(inline reorder) internal;
   dcl x fixed bin (31);
   dcl iand builtin;
   return (iand (x, AUX_FIXED_332_PAL) ^= 0);
 end AUX_WIND_USES_FIXED_332_PAL;


 /* ToolKit Event Structure */

 define structure
   1 AUX_EVENTREC,
     2 event    type GLint,
     2 data (4) type GLint;

 /* ToolKit Event Types */
 dcl AUX_EXPOSE       fixed bin(31) value(1);
 dcl AUX_CONFIG       fixed bin(31) value(2);
 dcl AUX_DRAW         fixed bin(31) value(4);
 dcl AUX_KEYEVENT     fixed bin(31) value(8);
 dcl AUX_MOUSEDOWN    fixed bin(31) value(16);
 dcl AUX_MOUSEUP      fixed bin(31) value(32);
 dcl AUX_MOUSELOC     fixed bin(31) value(64);

 /* Toolkit Event Data Indices */
 dcl AUX_WINDOWX      fixed bin(31) value(0);
 dcl AUX_WINDOWY      fixed bin(31) value(1);
 dcl AUX_MOUSEX       fixed bin(31) value(0);
 dcl AUX_MOUSEY       fixed bin(31) value(1);
 dcl AUX_MOUSESTATUS  fixed bin(31) value(3);
 dcl AUX_KEY          fixed bin(31) value(0);
 dcl AUX_KEYSTATUS    fixed bin(31) value(1);

 /* ToolKit Event Status Messages */
 dcl AUX_LEFTBUTTON   fixed bin(31) value(1);
 dcl AUX_RIGHTBUTTON  fixed bin(31) value(2);
 dcl AUX_MIDDLEBUTTON fixed bin(31) value(4);
 dcl AUX_SHIFT        fixed bin(31) value(1);
 dcl AUX_CONTROL      fixed bin(31) value(2);

 /* ToolKit Key Codes */
 dcl AUX_RETURN       char value('0D'x);
 dcl AUX_ESCAPE       char value('1B'x);
 dcl AUX_SPACE        char value('20'x);
 dcl AUX_LEFT         char value('25'x);
 dcl AUX_UP           char value('26'x);
 dcl AUX_RIGHT        char value('27'x);
 dcl AUX_DOWN         char value('28'x);
 /* PL/I note: upper case AUX letters have a $ suffix */
 dcl AUX_A$           char value('A');
 dcl AUX_B$           char value('B');
 dcl AUX_C$           char value('C');
 dcl AUX_D$           char value('D');
 dcl AUX_E$           char value('E');
 dcl AUX_f$           char value('F');
 dcl AUX_G$           char value('G');
 dcl AUX_H$           char value('H');
 dcl AUX_I$           char value('I');
 dcl AUX_J$           char value('J');
 dcl AUX_K$           char value('K');
 dcl AUX_L$           char value('L');
 dcl AUX_M$           char value('M');
 dcl AUX_N$           char value('N');
 dcl AUX_O$           char value('O');
 dcl AUX_P$           char value('P');
 dcl AUX_Q$           char value('Q');
 dcl AUX_R$           char value('R');
 dcl AUX_S$           char value('S');
 dcl AUX_T$           char value('T');
 dcl AUX_U$           char value('U');
 dcl AUX_V$           char value('V');
 dcl AUX_W$           char value('W');
 dcl AUX_X$           char value('X');
 dcl AUX_Y$           char value('Y');
 dcl AUX_Z$           char value('Z');
 dcl AUX_a            char value('a');
 dcl AUX_b            char value('b');
 dcl AUX_c            char value('c');
 dcl AUX_d            char value('d');
 dcl AUX_e            char value('e');
 dcl AUX_f            char value('f');
 dcl AUX_g            char value('g');
 dcl AUX_h            char value('h');
 dcl AUX_i            char value('i');
 dcl AUX_j            char value('j');
 dcl AUX_k            char value('k');
 dcl AUX_l            char value('l');
 dcl AUX_m            char value('m');
 dcl AUX_n            char value('n');
 dcl AUX_o            char value('o');
 dcl AUX_p            char value('p');
 dcl AUX_q            char value('q');
 dcl AUX_r            char value('r');
 dcl AUX_s            char value('s');
 dcl AUX_t            char value('t');
 dcl AUX_u            char value('u');
 dcl AUX_v            char value('v');
 dcl AUX_w            char value('w');
 dcl AUX_x            char value('x');
 dcl AUX_y            char value('y');
 dcl AUX_z            char value('z');
 dcl AUX_0            char value('0');
 dcl AUX_1            char value('1');
 dcl AUX_2            char value('2');
 dcl AUX_3            char value('3');
 dcl AUX_4            char value('4');
 dcl AUX_5            char value('5');
 dcl AUX_6            char value('6');
 dcl AUX_7            char value('7');
 dcl AUX_8            char value('8');
 dcl AUX_9            char value('9');

 /* ToolKit Gets and Sets */
 dcl AUX_FD           fixed bin(31) value(1); /* return fd (long) */
 dcl AUX_COLORMAP     fixed bin(31) value(3);
     /* pass buf of r, g and b (unsigned char) */
 dcl AUX_GREYSCALEMAP fixed bin(31) value(4);
 dcl AUX_FOGMAP       fixed bin(31) value(5);
     /* pass fog and color bits (long) */
 dcl AUX_ONECOLOR     fixed bin(31) value(6);
     /* pass index, r, g, and b (long) */

 /* Color Macros */

 dcl AUX_BLACK        fixed bin(31) value(0);
 dcl AUX_RED          fixed bin(31) value(13);
 dcl AUX_GREEN        fixed bin(31) value(14);
 dcl AUX_YELLOW       fixed bin(31) value(15);
 dcl AUX_BLUE         fixed bin(31) value(16);
 dcl AUX_MAGENTA      fixed bin(31) value(17);
 dcl AUX_CYAN         fixed bin(31) value(18);
 dcl AUX_WHITE        fixed bin(31) value(19);


 dcl auxRGBMap (0:19, 3) float bin (21) static reserved (imported)
                         external ('_auxRGBMap');

 /* PL/I note: original is also a mess, with y both float and fixed */
 AUX_SETCOLOR: proc (x, y) options (inline reorder) internal;
   dcl x fixed bin (31),
       y type GLfloat; /* can't resolve type */
   if AUX_WIND_IS_RGB (x) then
     call glColor3fv (auxRGBMap (y, *));
   else
     call glIndexf (y);
 end AUX_SETCOLOR;


 /* RGB Image Structure */

 define structure
   1 AUX_RGBImageRec,
     2 sizeX type GLint,
     2 sizeY type GLint,
     2 data  pointer;

 /* Prototypes */

 dcl auxInitDisplayMode
     entry (type GLenum)
     OPENGLENTRY external('auxInitDisplayMode');

 dcl auxInitPosition
     entry (fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31))
     OPENGLENTRY external('auxInitPosition');

 dcl auxInitWindowA
     entry (char (*) varz byaddr nonasgn)
     returns (type GLenum byvalue optional)
     OPENGLENTRY external('auxInitWindowA');

 dcl auxInitWindowW
     entry (WCHAR (*) varz byaddr nonasgn)
     returns (type GLenum byvalue optional)
     OPENGLENTRY external('auxInitWindowW');

 %dcl auxInitWindow char ext;
 %if UNICODE ^= '' %then %do;
   %auxInitWindow='auxInitWindowW';
 %end; %else %do;
   %auxInitWindow='auxInitWindowA';
 %end;

 dcl auxCloseWindow
     entry ()
     OPENGLENTRY external('auxCloseWindow');

 dcl auxQuit
     entry ()
     OPENGLENTRY external('auxQuit');

 dcl auxSwapBuffers
     entry ()
     OPENGLENTRY external('auxSwapBuffers');

 define alias AUXMAINPROC
        entry ()
        limited OPENGLCALLBACK;

 dcl auxMainLoop
     entry (type AUXMAINPROC optional byvalue)
     OPENGLENTRY external('auxMainLoop');

 define alias AUXEXPOSEPROC
        entry (fixed bin(31),
               fixed bin(31))
        limited OPENGLCALLBACK;

 dcl auxExposeFunc
     entry (type AUXEXPOSEPROC optional byvalue)
     OPENGLENTRY external('auxExposeFunc');

 define alias AUXRESHAPEPROC
        entry (type GLsizei,
               type GLsizei)
        limited OPENGLCALLBACK;

 dcl auxReshapeFunc
     entry (type AUXRESHAPEPROC optional byvalue)
     OPENGLENTRY external('auxReshapeFunc');

 define alias AUXIDLEPROC
        entry ()
        limited OPENGLCALLBACK;

 dcl auxIdleFunc
     entry (type AUXIDLEPROC optional byvalue)
     OPENGLENTRY external('auxIdleFunc');

 define alias AUXKEYPROC
        entry ()
        limited OPENGLCALLBACK;

 dcl auxKeyFunc
     entry (fixed bin(31),
            type AUXKEYPROC optional byvalue)
     OPENGLENTRY external('auxKeyFunc');

 define alias AUXMOUSEPROC
        entry (type AUX_EVENTREC byaddr)
        limited OPENGLCALLBACK;

 dcl auxMouseFunc
     entry (fixed bin(31),
            fixed bin(31),
            type AUXMOUSEPROC optional byvalue)
     OPENGLENTRY external('auxMouseFunc');

 dcl auxGetColorMapSize
     entry ()
     returns (fixed bin(31) byvalue optional)
     OPENGLENTRY external('auxGetColorMapSize');

 dcl auxGetMouseLoc
     entry (fixed bin (31) byaddr,
            fixed bin (31) byaddr)
     OPENGLENTRY external('auxGetMouseLoc');

 dcl auxSetOneColor
     entry (fixed bin(31),
            float bin(21),
            float bin(21),
            float bin(21))
     OPENGLENTRY external('auxSetOneColor');

 dcl auxSetFogRamp
     entry (fixed bin(31),
            fixed bin(31))
     OPENGLENTRY external('auxSetFogRamp');

 dcl auxSetGreyRamp
     entry ()
     OPENGLENTRY external('auxSetGreyRamp');

 dcl auxSetRGBMap
     entry (fixed bin(31),
            (*) float bin(21) byaddr)
     OPENGLENTRY external('auxSetRGBMap');

 dcl auxRGBImageLoadA
     entry (char (*) varz byaddr nonasgn)
     returns (handle AUX_RGBImageRec byvalue optional)
     OPENGLENTRY external('auxRGBImageLoadA');

 dcl auxRGBImageLoadW
     entry (WCHAR (*) varz byaddr nonasgn)
     returns (handle AUX_RGBImageRec byvalue optional)
     OPENGLENTRY external('auxRGBImageLoadW');

 %dcl auxRGBImageLoad char ext;
 %if UNICODE ^= '' %then %do;
   %auxRGBImageLoad='auxRGBImageLoadW';
 %end; %else %do;
   %auxRGBImageLoad='auxRGBImageLoadA';
 %end;

 dcl auxDIBImageLoadA
     entry (char (*) varz byaddr nonasgn)
     returns (handle AUX_RGBImageRec byvalue optional)
     OPENGLENTRY external('auxDIBImageLoadA');

 dcl auxDIBImageLoadW
     entry (WCHAR (*) varz byaddr nonasgn)
     returns (handle AUX_RGBImageRec byvalue optional)
     OPENGLENTRY external('auxDIBImageLoadW');

 %dcl auxDIBImageLoad char ext;
 %if UNICODE ^= '' %then %do;
   %auxDIBImageLoad='auxDIBImageLoadW';
 %end; %else %do;
   %auxDIBImageLoad='auxDIBImageLoadA';
 %end;

 dcl auxCreateFont
     entry ()
     OPENGLENTRY external('auxCreateFont');

 dcl auxDrawStrA
     entry (char (*) varz byaddr nonasgn)
     OPENGLENTRY external('auxDrawStrA');

 dcl auxDrawStrW
     entry (WCHAR (*) varz byaddr nonasgn)
     OPENGLENTRY external('auxDrawStrW');

 %dcl auxDrawStr char ext;
 %if UNICODE ^= '' %then %do;
   %auxDrawStr='auxDrawStrW';
 %end; %else %do;
   %auxDrawStr='auxDrawStrA';
 %end;

 dcl auxWireSphere
     entry (type GLdouble)
     OPENGLENTRY external('auxWireSphere');

 dcl auxSolidSphere
     entry (type GLdouble)
     OPENGLENTRY external('auxSolidSphere');

 dcl auxWireCube
     entry (type GLdouble)
     OPENGLENTRY external('auxWireCube');

 dcl auxSolidCube
     entry (type GLdouble)
     OPENGLENTRY external('auxSolidCube');

 dcl auxWireBox
     entry (type GLdouble,
            type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxWireBox');

 dcl auxSolidBox
     entry (type GLdouble,
            type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxSolidBox');

 dcl auxWireTorus
     entry (type GLdouble,
           type GLdouble)
     OPENGLENTRY external('auxWireTorus');

 dcl auxSolidTorus
     entry (type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxSolidTorus');

 dcl auxWireCylinder
     entry (type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxWireCylinder');

 dcl auxSolidCylinder
     entry (type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxSolidCylinder');

 dcl auxWireIcosahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxWireIcosahedron');

 dcl auxSolidIcosahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxSolidIcosahedron');

 dcl auxWireOctahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxWireOctahedron');

 dcl auxSolidOctahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxSolidOctahedron');

 dcl auxWireTetrahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxWireTetrahedron');

 dcl auxSolidTetrahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxSolidTetrahedron');

 dcl auxWireDodecahedron
     entry (type GLdouble)
     OPENGLENTRY external('auxWireDodecahedron');

 dcl auxSolidDodecahedron
     entry (type GLdouble )
     OPENGLENTRY external('auxSolidDodecahedron');

 dcl auxWireCone
     entry (type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxWireCone');

 dcl auxSolidCone
     entry (type GLdouble,
            type GLdouble)
     OPENGLENTRY external('auxSolidCone');

 dcl auxWireTeapot
     entry (type GLdouble)
     OPENGLENTRY external('auxWireTeapot');

 dcl auxSolidTeapot
     entry (type GLdouble )
     OPENGLENTRY external('auxSolidTeapot');

 /* Window specific functions                        */
 /* hwnd, hdc, and hglrc valid after auxInitWindow() */

 dcl auxGetHWND
     entry ()
     returns (type HWND byvalue optional)
     OPENGLENTRY external('auxGetHWND');

 dcl auxGetHDC
     entry ()
     returns (type HDC byvalue optional)
     OPENGLENTRY external('auxGetHDC');

 dcl auxGetHGLRC
     entry ()
     returns (type HGLRC byvalue optional)
     OPENGLENTRY external('auxGetHGLRC');


 /* Viewperf support functions and constants */
 /* Display Mode Selection Criteria */
 dcl AUX_USE_ID           type GLEnum value(1);
 dcl AUX_EXACT_MATCH      type GLEnum value(2);
 dcl AUX_MINIMUM_CRITERIA type GLEnum value(3);

 dcl auxInitDisplayModePolicy
     entry (type GLenum)
     OPENGLENTRY external('auxInitDisplayModePolicy');

 dcl auxInitDisplayModeID
     entry (type GLint)
     returns (type GLenum byvalue optional)
     OPENGLENTRY external('auxInitDisplayModeID');

 dcl auxGetDisplayModePolicy
     entry ()
     returns (type GLenum byvalue optional)
     OPENGLENTRY external('auxGetDisplayModePolicy');

 dcl auxGetDisplayModeID
     entry ()
     returns (type GLint byvalue optional)
     OPENGLENTRY external('auxGetDisplayModeID');

 dcl auxGetDisplayMode
     entry ()
     returns (type GLenum byvalue optional)
     OPENGLENTRY external('auxGetDisplayMode');

 %end; /* __GLAUX_H__ */
