 /* ++ BUILD Version: 0004                                            */
 /*    -- Increment this if a change has global effects               */
 /*                                                                   */
 /* Copyright 1991-1998 Microsoft Corporation                         */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   LmRepl.cpy                                                      */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   This file contains structures, function prototypes, and         */
 /*   definitions for the replicator APIs.                            */
 /*                                                                   */
 /* Environment:                                                      */
 /*                                                                   */
 /*   User Mode - Win32                                               */
 /*   Portable to any flat, 32-bit environment. (Uses Win32 typedefs.)*/
 /*                                                                   */
 /* Notes:                                                            */
 /*                                                                   */
 /*   You must include LmCons.cpy before this file.                   */
 /*                                                                   */
 /* --                                                                */

 %dcl #LMREPL_ char ext;
 %if #LMREPL_ = '' %then %do;
 %#LMREPL_ = 'Y';


 /* Replicator Configuration APIs */

 dcl REPL_ROLE_EXPORT type DWORD value(1);
 dcl REPL_ROLE_IMPORT type DWORD value(2);
 dcl REPL_ROLE_BOTH   type DWORD value(3);


 dcl ( REPL_INTERVAL_INFOLEVEL  value(PARMNUM_BASE_INFOLEVEL + 0)
     , REPL_PULSE_INFOLEVEL     value(PARMNUM_BASE_INFOLEVEL + 1)
     , REPL_GUARDTIME_INFOLEVEL value(PARMNUM_BASE_INFOLEVEL + 2)
     , REPL_RANDOM_INFOLEVEL    value(PARMNUM_BASE_INFOLEVEL + 3)
     ) type DWORD;


 define structure
   1 REPL_INFO_0,
     2 rp0_role          type DWORD,
     2 rp0_exportpath    type LPWSTR,
     2 rp0_exportlist    type LPWSTR,
     2 rp0_importpath    type LPWSTR,
     2 rp0_importlist    type LPWSTR,
     2 rp0_logonusername type LPWSTR,
     2 rp0_interval      type DWORD,
     2 rp0_pulse         type DWORD,
     2 rp0_guardtime     type DWORD,
     2 rp0_random        type DWORD;
 define alias  PREPL_INFO_0 handle REPL_INFO_0;
 define alias LPREPL_INFO_0 handle REPL_INFO_0;

 define structure
   1 REPL_INFO_1000,
     2 rp1000_interval   type DWORD;
 define alias  PREPL_INFO_1000 handle REPL_INFO_1000;
 define alias LPREPL_INFO_1000 handle REPL_INFO_1000;

 define structure
   1 REPL_INFO_1001,
     2 rp1001_pulse      type DWORD;
 define alias  PREPL_INFO_1001 handle REPL_INFO_1001;
 define alias LPREPL_INFO_1001 handle REPL_INFO_1001;

 define structure
   1 REPL_INFO_1002,
     2 rp1002_guardtime  type DWORD;
 define alias  PREPL_INFO_1002 handle REPL_INFO_1002;
 define alias LPREPL_INFO_1002 handle REPL_INFO_1002;

 define structure
   1 REPL_INFO_1003,
     2 rp1003_random     type DWORD;
 define alias  PREPL_INFO_1003 handle REPL_INFO_1003;
 define alias LPREPL_INFO_1003 handle REPL_INFO_1003;


 dcl NetReplGetInfo
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplGetInfo');

 dcl NetReplSetInfo
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE ,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplSetInfo');


 /* Replicator Export Directory APIs */


 dcl REPL_INTEGRITY_FILE type DWORD value(1);
 dcl REPL_INTEGRITY_TREE type DWORD value(2);


 dcl REPL_EXTENT_FILE    type DWORD value(1);
 dcl REPL_EXTENT_TREE    type DWORD value(2);


 dcl ( REPL_EXPORT_INTEGRITY_INFOLEVEL value(PARMNUM_BASE_INFOLEVEL + 0)
     , REPL_EXPORT_EXTENT_INFOLEVEL    value(PARMNUM_BASE_INFOLEVEL + 1)
     ) type DWORD;


 define structure
   1 REPL_EDIR_INFO_0,
     2 rped0_dirname      type LPWSTR;
 define alias  PREPL_EDIR_INFO_0 handle REPL_EDIR_INFO_0;
 define alias LPREPL_EDIR_INFO_0 handle REPL_EDIR_INFO_0;

 define structure
   1 REPL_EDIR_INFO_1,
     2 rped1_dirname      type LPWSTR,
     2 rped1_integrity    type DWORD,
     2 rped1_extent       type DWORD;
 define alias  PREPL_EDIR_INFO_1 handle REPL_EDIR_INFO_1;
 define alias LPREPL_EDIR_INFO_1 handle REPL_EDIR_INFO_1;

 define structure
   1 REPL_EDIR_INFO_2,
     2 rped2_dirname      type LPWSTR,
     2 rped2_integrity    type DWORD,
     2 rped2_extent       type DWORD,
     2 rped2_lockcount    type DWORD,
     2 rped2_locktime     type DWORD;
 define alias  PREPL_EDIR_INFO_2 handle REPL_EDIR_INFO_2;
 define alias LPREPL_EDIR_INFO_2 handle REPL_EDIR_INFO_2;

 define structure
   1 REPL_EDIR_INFO_1000,
     2 rped1000_integrity type DWORD;
 define alias  PREPL_EDIR_INFO_1000 handle REPL_EDIR_INFO_1000;
 define alias LPREPL_EDIR_INFO_1000 handle REPL_EDIR_INFO_1000;

 define structure
   1 REPL_EDIR_INFO_1001,
     2 rped1001_extent    type DWORD;
 define alias  PREPL_EDIR_INFO_1001 handle REPL_EDIR_INFO_1001;
 define alias LPREPL_EDIR_INFO_1001 handle REPL_EDIR_INFO_1001;


 dcl NetReplExportDirAdd
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE ,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirAdd');

 dcl NetReplExportDirDel
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirDel');

 dcl NetReplExportDirEnum
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirEnum');

 dcl NetReplExportDirGetInfo
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type LPBYTE byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirGetInfo');

 dcl NetReplExportDirSetInfo
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type LPBYTE ,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirSetInfo');

 dcl NetReplExportDirLock
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirLock');

 dcl NetReplExportDirUnlock
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type DWORD)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplExportDirUnlock');


 dcl REPL_UNLOCK_NOFORCE type DWORD value(0);
 dcl REPL_UNLOCK_FORCE   type DWORD value(1);


 /* Replicator Import Directory APIs */


 define structure
   1 REPL_IDIR_INFO_0,
     2 rpid0_dirname type LPWSTR;
 define alias  PREPL_IDIR_INFO_0 handle REPL_IDIR_INFO_0;
 define alias LPREPL_IDIR_INFO_0 handle REPL_IDIR_INFO_0;

 define structure
   1 REPL_IDIR_INFO_1,
     2 rpid1_dirname          type LPWSTR,
     2 rpid1_state            type DWORD,
     2 rpid1_mastername       type LPWSTR,
     2 rpid1_last_update_time type DWORD,
     2 rpid1_lockcount        type DWORD,
     2 rpid1_locktime         type DWORD;
 define alias  PREPL_IDIR_INFO_1 handle REPL_IDIR_INFO_1;
 define alias LPREPL_IDIR_INFO_1 handle REPL_IDIR_INFO_1;


 dcl NetReplImportDirAdd
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE ,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplImportDirAdd');

 dcl NetReplImportDirDel
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplImportDirDel');

 dcl NetReplImportDirEnum
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplImportDirEnum');

 dcl NetReplImportDirGetInfo
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type LPBYTE byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplImportDirGetInfo');

 dcl NetReplImportDirLock
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplImportDirLock');

 dcl NetReplImportDirUnlock
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type DWORD)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetReplImportDirUnlock');


 dcl REPL_STATE_OK               type DWORD value(0);
 dcl REPL_STATE_NO_MASTER        type DWORD value(1);
 dcl REPL_STATE_NO_SYNC          type DWORD value(2);
 dcl REPL_STATE_NEVER_REPLICATED type DWORD value(3);

 %end; /*_LMREPL_ */
