 /* ++ BUILD VERSION: 0007                                            */
 /*      -- INCREMENT THIS IF A CHANGE HAS GLOBAL EFFECTS             */
 /*                                                                   */
 /* Copyright 1990 - 1999 Microsoft Corporation                       */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   lmserver.cpy                                                    */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   This file contains information about NetServer APIs.            */
 /*       Function Prototypes                                         */
 /*       Data Structures                                             */
 /*       Definition of special values                                */
 /*                                                                   */
 /* Environment:                                                      */
 /*                                                                   */
 /*   User Mode - Win32                                               */
 /*                                                                   */
 /* Notes:                                                            */
 /*                                                                   */
 /*   You must include NETCONS.CPY before this file, since this file  */
 /*   depends on values defined in NETCONS.CPY.                       */
 /*                                                                   */
 /* --                                                                */

 %dcl #LMSERVER_ char ext;
 %if #LMSERVER_ = '' %then %do;
 %#LMSERVER_ = 'Y';

 %dcl #WINSVC_ char ext;
 %if #WINSVC_ = '' %then %do;
 %include winsvc; /* SERVICE_STATUS_HANDLE */
 %end;


 /* Function Prototypes - SERVER */

 dcl NetServerEnum
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD,
            WCHAR(*) varz byaddr nonasgn optional,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerEnum');

 dcl NetServerEnumEx
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerEnumEx');

 dcl NetServerGetInfo
     entry (WCHAR(*) varz byaddr optional,
            type DWORD,
            type LPBYTE byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerGetInfo');

 dcl NetServerSetInfo
     entry (WCHAR(*) varz byaddr optional,
            type DWORD,
            type LPBYTE,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerSetInfo');

 /* Temporary hack function. */

 /* !!! MS doesn't include NET_API_FUNCTION !!! */
 dcl NetServerSetInfoCommandLine
     entry (type WORD,
            (*) type LPTSTR byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerSetInfoCommandLine');

 dcl NetServerDiskEnum
     entry (WCHAR(*) varz byaddr optional,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerDiskEnum');

 dcl NetServerComputerNameAdd
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerComputerNameAdd');

 dcl NetServerComputerNameDel
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerComputerNameDel');

 dcl NetServerTransportAdd
     entry (WCHAR(*) varz byaddr,
            type DWORD,
            type LPBYTE)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerTransportAdd');

 dcl NetServerTransportAddEx
     entry (WCHAR(*) varz byaddr optional,
            type DWORD,
            type LPBYTE)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerTransportAddEx');

 dcl NetServerTransportDel
     entry (WCHAR(*) varz byaddr,
            type DWORD,
            type LPBYTE)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerTransportDel');

 dcl NetServerTransportEnum
     entry (WCHAR(*) varz byaddr,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetServerTransportEnum');

 /* The following function can be called by Win NT services to      */
 /* register their service type. This function is exported from     */
 /* advapi32.dll.                                                   */
 /* Therefore, if this is the only function called by that service, */
 /* then it is not necessary to link to netapi32.lib.               */

 /* !!! MS doesn't specify WINAPI, but what else should it be?  !!! */
 dcl SetServiceBits
     entry (type SERVICE_STATUS_HANDLE,
            type DWORD,
            type BOOL,
            type BOOL)
     returns (type BOOL byvalue optional)
     WINAPI external('SetServiceBits');

 /* Data Structures - SERVER */


 define structure
   1 SERVER_INFO_100,
     2 sv100_platform_id   type DWORD,
     2 sv100_name          type LPTSTR;
 define alias  PSERVER_INFO_100 handle SERVER_INFO_100;
 define alias LPSERVER_INFO_100 handle SERVER_INFO_100;

 define structure
   1 SERVER_INFO_101,
     2 sv101_platform_id   type DWORD,
     2 sv101_name          type LPTSTR,
     2 sv101_version_major type DWORD,
     2 sv101_version_minor type DWORD,
     2 sv101_type          type DWORD,
     2 sv101_comment       type LPTSTR;
 define alias  PSERVER_INFO_101 handle SERVER_INFO_101;
 define alias LPSERVER_INFO_101 handle SERVER_INFO_101;

 define structure
   1 SERVER_INFO_102,
     2 sv102_platform_id   type DWORD,
     2 sv102_name          type LPTSTR,
     2 sv102_version_major type DWORD,
     2 sv102_version_minor type DWORD,
     2 sv102_type          type DWORD,
     2 sv102_comment       type LPTSTR,
     2 sv102_users         type DWORD,
     2 sv102_disc          type LONG,
     2 sv102_hidden        type BOOL,
     2 sv102_announce      type DWORD,
     2 sv102_anndelta      type DWORD,
     2 sv102_licenses      type DWORD,
     2 sv102_userpath      type LPTSTR;
 define alias  PSERVER_INFO_102 handle SERVER_INFO_102;
 define alias LPSERVER_INFO_102 handle SERVER_INFO_102;

 define structure
   1 SERVER_INFO_402,
     2 sv402_ulist_mtime   type DWORD,
     2 sv402_glist_mtime   type DWORD,
     2 sv402_alist_mtime   type DWORD,
     2 sv402_alerts        type LPTSTR,
     2 sv402_security      type DWORD,
     2 sv402_numadmin      type DWORD,
     2 sv402_lanmask       type DWORD,
     2 sv402_guestacct     type LPTSTR,
     2 sv402_chdevs        type DWORD,
     2 sv402_chdevq        type DWORD,
     2 sv402_chdevjobs     type DWORD,
     2 sv402_connections   type DWORD,
     2 sv402_shares        type DWORD,
     2 sv402_openfiles     type DWORD,
     2 sv402_sessopens     type DWORD,
     2 sv402_sessvcs       type DWORD,
     2 sv402_sessreqs      type DWORD,
     2 sv402_opensearch    type DWORD,
     2 sv402_activelocks   type DWORD,
     2 sv402_numreqbuf     type DWORD,
     2 sv402_sizreqbuf     type DWORD,
     2 sv402_numbigbuf     type DWORD,
     2 sv402_numfiletasks  type DWORD,
     2 sv402_alertsched    type DWORD,
     2 sv402_erroralert    type DWORD,
     2 sv402_logonalert    type DWORD,
     2 sv402_accessalert   type DWORD,
     2 sv402_diskalert     type DWORD,
     2 sv402_netioalert    type DWORD,
     2 sv402_maxauditsz    type DWORD,
     2 sv402_srvheuristics type LPTSTR;
 define alias  PSERVER_INFO_402 handle SERVER_INFO_402;
 define alias LPSERVER_INFO_402 handle SERVER_INFO_402;

 define structure
   1 SERVER_INFO_403,
     2 sv403_ulist_mtime   type DWORD,
     2 sv403_glist_mtime   type DWORD,
     2 sv403_alist_mtime   type DWORD,
     2 sv403_alerts        type LPTSTR,
     2 sv403_security      type DWORD,
     2 sv403_numadmin      type DWORD,
     2 sv403_lanmask       type DWORD,
     2 sv403_guestacct     type LPTSTR,
     2 sv403_chdevs        type DWORD,
     2 sv403_chdevq        type DWORD,
     2 sv403_chdevjobs     type DWORD,
     2 sv403_connections   type DWORD,
     2 sv403_shares        type DWORD,
     2 sv403_openfiles     type DWORD,
     2 sv403_sessopens     type DWORD,
     2 sv403_sessvcs       type DWORD,
     2 sv403_sessreqs      type DWORD,
     2 sv403_opensearch    type DWORD,
     2 sv403_activelocks   type DWORD,
     2 sv403_numreqbuf     type DWORD,
     2 sv403_sizreqbuf     type DWORD,
     2 sv403_numbigbuf     type DWORD,
     2 sv403_numfiletasks  type DWORD,
     2 sv403_alertsched    type DWORD,
     2 sv403_erroralert    type DWORD,
     2 sv403_logonalert    type DWORD,
     2 sv403_accessalert   type DWORD,
     2 sv403_diskalert     type DWORD,
     2 sv403_netioalert    type DWORD,
     2 sv403_maxauditsz    type DWORD,
     2 sv403_srvheuristics type LPTSTR,
     2 sv403_auditedevents type DWORD,
     2 sv403_autoprofile   type DWORD,
     2 sv403_autopath      type LPTSTR;
 define alias  PSERVER_INFO_403 handle SERVER_INFO_403;
 define alias LPSERVER_INFO_403 handle SERVER_INFO_403;

 define structure
   1 SERVER_INFO_502,
     2 sv502_sessopens               type DWORD,
     2 sv502_sessvcs                 type DWORD,
     2 sv502_opensearch              type DWORD,
     2 sv502_sizreqbuf               type DWORD,
     2 sv502_initworkitems           type DWORD,
     2 sv502_maxworkitems            type DWORD,
     2 sv502_rawworkitems            type DWORD,
     2 sv502_irpstacksize            type DWORD,
     2 sv502_maxrawbuflen            type DWORD,
     2 sv502_sessusers               type DWORD,
     2 sv502_sessconns               type DWORD,
     2 sv502_maxpagedmemoryusage     type DWORD,
     2 sv502_maxnonpagedmemoryusage  type DWORD,
     2 sv502_enablesoftcompat        type BOOL,
     2 sv502_enableforcedlogoff      type BOOL,
     2 sv502_timesource              type BOOL,
     2 sv502_acceptdownlevelapis     type BOOL,
     2 sv502_lmannounce              type BOOL;
 define alias  PSERVER_INFO_502 handle SERVER_INFO_502;
 define alias LPSERVER_INFO_502 handle SERVER_INFO_502;

 define structure
   1 SERVER_INFO_503,
     2 sv503_sessopens               type DWORD,
     2 sv503_sessvcs                 type DWORD,
     2 sv503_opensearch              type DWORD,
     2 sv503_sizreqbuf               type DWORD,
     2 sv503_initworkitems           type DWORD,
     2 sv503_maxworkitems            type DWORD,
     2 sv503_rawworkitems            type DWORD,
     2 sv503_irpstacksize            type DWORD,
     2 sv503_maxrawbuflen            type DWORD,
     2 sv503_sessusers               type DWORD,
     2 sv503_sessconns               type DWORD,
     2 sv503_maxpagedmemoryusage     type DWORD,
     2 sv503_maxnonpagedmemoryusage  type DWORD,
     2 sv503_enablesoftcompat        type BOOL,
     2 sv503_enableforcedlogoff      type BOOL,
     2 sv503_timesource              type BOOL,
     2 sv503_acceptdownlevelapis     type BOOL,
     2 sv503_lmannounce              type BOOL,
     2 sv503_domain                  type LPTSTR,
     2 sv503_maxcopyreadlen          type DWORD,
     2 sv503_maxcopywritelen         type DWORD,
     2 sv503_minkeepsearch           type DWORD,
     2 sv503_maxkeepsearch           type DWORD,
     2 sv503_minkeepcomplsearch      type DWORD,
     2 sv503_maxkeepcomplsearch      type DWORD,
     2 sv503_threadcountadd          type DWORD,
     2 sv503_numblockthreads         type DWORD,
     2 sv503_scavtimeout             type DWORD,
     2 sv503_minrcvqueue             type DWORD,
     2 sv503_minfreeworkitems        type DWORD,
     2 sv503_xactmemsize             type DWORD,
     2 sv503_threadpriority          type DWORD,
     2 sv503_maxmpxct                type DWORD,
     2 sv503_oplockbreakwait         type DWORD,
     2 sv503_oplockbreakresponsewait type DWORD,
     2 sv503_enableoplocks           type BOOL,
     2 sv503_enableoplockforceclose  type BOOL,
     2 sv503_enablefcbopens          type BOOL,
     2 sv503_enableraw               type BOOL,
     2 sv503_enablesharednetdrives   type BOOL,
     2 sv503_minfreeconnections type DWORD,
     2 sv503_maxfreeconnections type DWORD;
 define alias  PSERVER_INFO_503 handle SERVER_INFO_503;
 define alias LPSERVER_INFO_503 handle SERVER_INFO_503;

 define structure
   1 SERVER_INFO_599,
     2 sv599_sessopens               type DWORD,
     2 sv599_sessvcs                 type DWORD,
     2 sv599_opensearch              type DWORD,
     2 sv599_sizreqbuf               type DWORD,
     2 sv599_initworkitems           type DWORD,
     2 sv599_maxworkitems            type DWORD,
     2 sv599_rawworkitems            type DWORD,
     2 sv599_irpstacksize            type DWORD,
     2 sv599_maxrawbuflen            type DWORD,
     2 sv599_sessusers               type DWORD,
     2 sv599_sessconns               type DWORD,
     2 sv599_maxpagedmemoryusage     type DWORD,
     2 sv599_maxnonpagedmemoryusage  type DWORD,
     2 sv599_enablesoftcompat        type BOOL,
     2 sv599_enableforcedlogoff      type BOOL,
     2 sv599_timesource              type BOOL,
     2 sv599_acceptdownlevelapis     type BOOL,
     2 sv599_lmannounce              type BOOL,
     2 sv599_domain                  type LPTSTR,
     2 sv599_maxcopyreadlen          type DWORD,
     2 sv599_maxcopywritelen         type DWORD,
     2 sv599_minkeepsearch           type DWORD,
     2 sv599_maxkeepsearch           type DWORD,
     2 sv599_minkeepcomplsearch      type DWORD,
     2 sv599_maxkeepcomplsearch      type DWORD,
     2 sv599_threadcountadd          type DWORD,
     2 sv599_numblockthreads         type DWORD,
     2 sv599_scavtimeout             type DWORD,
     2 sv599_minrcvqueue             type DWORD,
     2 sv599_minfreeworkitems        type DWORD,
     2 sv599_xactmemsize             type DWORD,
     2 sv599_threadpriority          type DWORD,
     2 sv599_maxmpxct                type DWORD,
     2 sv599_oplockbreakwait         type DWORD,
     2 sv599_oplockbreakresponsewait type DWORD,
     2 sv599_enableoplocks           type BOOL,
     2 sv599_enableoplockforceclose  type BOOL,
     2 sv599_enablefcbopens          type BOOL,
     2 sv599_enableraw               type BOOL,
     2 sv599_enablesharednetdrives   type BOOL,
     2 sv599_minfreeconnections      type DWORD,
     2 sv599_maxfreeconnections      type DWORD,
     2 sv599_initsesstable           type DWORD,
     2 sv599_initconntable           type DWORD,
     2 sv599_initfiletable           type DWORD,
     2 sv599_initsearchtable         type DWORD,
     2 sv599_alertschedule           type DWORD,
     2 sv599_errorthreshold          type DWORD,
     2 sv599_networkerrorthreshold   type DWORD,
     2 sv599_diskspacethreshold      type DWORD,
     2 sv599_reserved                type DWORD,
     2 sv599_maxlinkdelay            type DWORD,
     2 sv599_minlinkthroughput       type DWORD,
     2 sv599_linkinfovalidtime       type DWORD,
     2 sv599_scavqosinfoupdatetime   type DWORD,
     2 sv599_maxworkitemidletime     type DWORD;
 define alias  PSERVER_INFO_599 handle SERVER_INFO_599;
 define alias LPSERVER_INFO_599 handle SERVER_INFO_599;

 define structure
   1 SERVER_INFO_598,
     2 sv598_maxrawworkitems             type DWORD,
     2 sv598_maxthreadsperqueue          type DWORD,
     2 sv598_producttype                 type DWORD,
     2 sv598_serversize                  type DWORD,
     2 sv598_connectionlessautodisc      type DWORD,
     2 sv598_sharingviolationretries     type DWORD,
     2 sv598_sharingviolationdelay       type DWORD,
     2 sv598_maxglobalopensearch         type DWORD,
     2 sv598_removeduplicatesearches     type DWORD,
     2 sv598_lockviolationoffset         type DWORD,
     2 sv598_lockviolationdelay          type DWORD,
     2 sv598_mdlreadswitchover           type DWORD,
     2 sv598_cachedopenlimit             type DWORD,
     2 sv598_otherqueueaffinity          type DWORD,
     2 sv598_restrictnullsessaccess      type BOOL,
     2 sv598_enablewfw311directipx       type BOOL,
     2 sv598_queuesamplesecs             type DWORD,
     2 sv598_balancecount                type DWORD,
     2 sv598_preferredaffinity           type DWORD,
     2 sv598_maxfreerfcbs                type DWORD,
     2 sv598_maxfreemfcbs                type DWORD,
     2 sv598_maxfreelfcbs                type DWORD,
     2 sv598_maxfreepagedpoolchunks      type DWORD,
     2 sv598_minpagedpoolchunksize       type DWORD,
     2 sv598_maxpagedpoolchunksize       type DWORD,
     2 sv598_sendsfrompreferredprocessor type BOOL,
     2 sv598_cacheddirectorylimit        type DWORD,
     2 sv598_maxcopylength               type DWORD,
     2 sv598_enablebulktransfer          type BOOL,
     2 sv598_enablecompression           type BOOL,
     2 sv598_autosharewks                type BOOL,
     2 sv598_autoshareserver             type BOOL,
     2 sv598_enablesecuritysignature     type BOOL,
     2 sv598_requiresecuritysignature    type BOOL,
     2 sv598_minclientbuffersize         type DWORD,
     2 sv598_serverguid                  type GUID,
     2 sv598_ConnectionNoSessionsTimeout type DWORD;
 define alias  PSERVER_INFO_598 handle SERVER_INFO_598;
 define alias LPSERVER_INFO_598 handle SERVER_INFO_598;

 define structure
   1 SERVER_INFO_1005,
     2 sv1005_comment type LPTSTR;
 define alias  PSERVER_INFO_1005 handle SERVER_INFO_1005;
 define alias LPSERVER_INFO_1005 handle SERVER_INFO_1005;

 define structure
   1 SERVER_INFO_1107,
     2 sv1107_users type DWORD;
 define alias  PSERVER_INFO_1107 handle SERVER_INFO_1107;
 define alias LPSERVER_INFO_1107 handle SERVER_INFO_1107;

 define structure
   1 SERVER_INFO_1010,
     2 sv1010_disc type LONG;
 define alias  PSERVER_INFO_1010 handle SERVER_INFO_1010;
 define alias LPSERVER_INFO_1010 handle SERVER_INFO_1010;

 define structure
   1 SERVER_INFO_1016,
     2 sv1016_hidden type BOOL;
 define alias  PSERVER_INFO_1016 handle SERVER_INFO_1016;
 define alias LPSERVER_INFO_1016 handle SERVER_INFO_1016;

 define structure
   1 SERVER_INFO_1017,
     2 sv1017_announce type DWORD;
 define alias  PSERVER_INFO_1017 handle SERVER_INFO_1017;
 define alias LPSERVER_INFO_1017 handle SERVER_INFO_1017;

 define structure
   1 SERVER_INFO_1018,
     2 sv1018_anndelta type DWORD;
 define alias  PSERVER_INFO_1018 handle SERVER_INFO_1018;
 define alias LPSERVER_INFO_1018 handle SERVER_INFO_1018;

 define structure
   1 SERVER_INFO_1501,
     2 sv1501_sessopens type DWORD;
 define alias  PSERVER_INFO_1501 handle SERVER_INFO_1501;
 define alias LPSERVER_INFO_1501 handle SERVER_INFO_1501;

 define structure
   1 SERVER_INFO_1502,
     2 sv1502_sessvcs type DWORD;
 define alias  PSERVER_INFO_1502 handle SERVER_INFO_1502;
 define alias LPSERVER_INFO_1502 handle SERVER_INFO_1502;

 define structure
   1 SERVER_INFO_1503,
     2 sv1503_opensearch type DWORD;
 define alias  PSERVER_INFO_1503 handle SERVER_INFO_1503;
 define alias LPSERVER_INFO_1503 handle SERVER_INFO_1503;

 define structure
   1 SERVER_INFO_1506,
     2 sv1506_maxworkitems type DWORD;
 define alias  PSERVER_INFO_1506 handle SERVER_INFO_1506;
 define alias LPSERVER_INFO_1506 handle SERVER_INFO_1506;

 define structure
   1 SERVER_INFO_1509,
     2 sv1509_maxrawbuflen type DWORD;
 define alias  PSERVER_INFO_1509 handle SERVER_INFO_1509;
 define alias LPSERVER_INFO_1509 handle SERVER_INFO_1509;

 define structure
   1 SERVER_INFO_1510,
     2 sv1510_sessusers type DWORD;
 define alias  PSERVER_INFO_1510 handle SERVER_INFO_1510;
 define alias LPSERVER_INFO_1510 handle SERVER_INFO_1510;

 define structure
   1 SERVER_INFO_1511,
     2 sv1511_sessconns type DWORD;
 define alias  PSERVER_INFO_1511 handle SERVER_INFO_1511;
 define alias LPSERVER_INFO_1511 handle SERVER_INFO_1511;

 define structure
   1 SERVER_INFO_1512,
     2 sv1512_maxnonpagedmemoryusage type DWORD;
 define alias  PSERVER_INFO_1512 handle SERVER_INFO_1512;
 define alias LPSERVER_INFO_1512 handle SERVER_INFO_1512;

 define structure
   1 SERVER_INFO_1513,
     2 sv1513_maxpagedmemoryusage type DWORD;
 define alias  PSERVER_INFO_1513 handle SERVER_INFO_1513;
 define alias LPSERVER_INFO_1513 handle SERVER_INFO_1513;

 define structure
   1 SERVER_INFO_1514,
     2 sv1514_enablesoftcompat type BOOL;
 define alias  PSERVER_INFO_1514 handle SERVER_INFO_1514;
 define alias LPSERVER_INFO_1514 handle SERVER_INFO_1514;

 define structure
   1 SERVER_INFO_1515,
     2 sv1515_enableforcedlogoff type BOOL;
 define alias  PSERVER_INFO_1515 handle SERVER_INFO_1515;
 define alias LPSERVER_INFO_1515 handle SERVER_INFO_1515;

 define structure
   1 SERVER_INFO_1516,
     2 sv1516_timesource type BOOL;
 define alias  PSERVER_INFO_1516 handle SERVER_INFO_1516;
 define alias LPSERVER_INFO_1516 handle SERVER_INFO_1516;

 define structure
   1 SERVER_INFO_1518,
     2 sv1518_lmannounce type BOOL;
 define alias  PSERVER_INFO_1518 handle SERVER_INFO_1518;
 define alias LPSERVER_INFO_1518 handle SERVER_INFO_1518;

 define structure
   1 SERVER_INFO_1520,
     2 sv1520_maxcopyreadlen type DWORD;
 define alias  PSERVER_INFO_1520 handle SERVER_INFO_1520;
 define alias LPSERVER_INFO_1520 handle SERVER_INFO_1520;

 define structure
   1 SERVER_INFO_1521,
     2 sv1521_maxcopywritelen type DWORD;
 define alias  PSERVER_INFO_1521 handle SERVER_INFO_1521;
 define alias LPSERVER_INFO_1521 handle SERVER_INFO_1521;

 define structure
   1 SERVER_INFO_1522,
     2 sv1522_minkeepsearch type DWORD;
 define alias  PSERVER_INFO_1522 handle SERVER_INFO_1522;
 define alias LPSERVER_INFO_1522 handle SERVER_INFO_1522;

 define structure
   1 SERVER_INFO_1523,
     2 sv1523_maxkeepsearch type DWORD;
 define alias  PSERVER_INFO_1523 handle SERVER_INFO_1523;
 define alias LPSERVER_INFO_1523 handle SERVER_INFO_1523;

 define structure
   1 SERVER_INFO_1524,
     2 sv1524_minkeepcomplsearch type DWORD;
 define alias  PSERVER_INFO_1524 handle SERVER_INFO_1524;
 define alias LPSERVER_INFO_1524 handle SERVER_INFO_1524;

 define structure
   1 SERVER_INFO_1525,
     2 sv1525_maxkeepcomplsearch type DWORD;
 define alias  PSERVER_INFO_1525 handle SERVER_INFO_1525;
 define alias LPSERVER_INFO_1525 handle SERVER_INFO_1525;

 define structure
   1 SERVER_INFO_1528,
     2 sv1528_scavtimeout type DWORD;
 define alias  PSERVER_INFO_1528 handle SERVER_INFO_1528;
 define alias LPSERVER_INFO_1528 handle SERVER_INFO_1528;

 define structure
   1 SERVER_INFO_1529,
     2 sv1529_minrcvqueue type DWORD;
 define alias  PSERVER_INFO_1529 handle SERVER_INFO_1529;
 define alias LPSERVER_INFO_1529 handle SERVER_INFO_1529;

 define structure
   1 SERVER_INFO_1530,
     2 sv1530_minfreeworkitems type DWORD;
 define alias  PSERVER_INFO_1530 handle SERVER_INFO_1530;
 define alias LPSERVER_INFO_1530 handle SERVER_INFO_1530;

 define structure
   1 SERVER_INFO_1533,
     2 sv1533_maxmpxct type DWORD;
 define alias  PSERVER_INFO_1533 handle SERVER_INFO_1533;
 define alias LPSERVER_INFO_1533 handle SERVER_INFO_1533;

 define structure
   1 SERVER_INFO_1534,
     2 sv1534_oplockbreakwait type DWORD;
 define alias  PSERVER_INFO_1534 handle SERVER_INFO_1534;
 define alias LPSERVER_INFO_1534 handle SERVER_INFO_1534;

 define structure
   1 SERVER_INFO_1535,
     2 sv1535_oplockbreakresponsewait type DWORD;
 define alias  PSERVER_INFO_1535 handle SERVER_INFO_1535;
 define alias LPSERVER_INFO_1535 handle SERVER_INFO_1535;

 define structure
   1 SERVER_INFO_1536,
     2 sv1536_enableoplocks type BOOL;
 define alias  PSERVER_INFO_1536 handle SERVER_INFO_1536;
 define alias LPSERVER_INFO_1536 handle SERVER_INFO_1536;

 define structure
   1 SERVER_INFO_1537,
     2 sv1537_enableoplockforceclose type BOOL;
 define alias  PSERVER_INFO_1537 handle SERVER_INFO_1537;
 define alias LPSERVER_INFO_1537 handle SERVER_INFO_1537;

 define structure
   1 SERVER_INFO_1538,
     2 sv1538_enablefcbopens type BOOL;
 define alias  PSERVER_INFO_1538 handle SERVER_INFO_1538;
 define alias LPSERVER_INFO_1538 handle SERVER_INFO_1538;

 define structure
   1 SERVER_INFO_1539,
     2 sv1539_enableraw type BOOL;
 define alias  PSERVER_INFO_1539 handle SERVER_INFO_1539;
 define alias LPSERVER_INFO_1539 handle SERVER_INFO_1539;

 define structure
   1 SERVER_INFO_1540,
     2 sv1540_enablesharednetdrives type BOOL;
 define alias  PSERVER_INFO_1540 handle SERVER_INFO_1540;
 define alias LPSERVER_INFO_1540 handle SERVER_INFO_1540;

 define structure
   1 SERVER_INFO_1541,
     2 sv1541_minfreeconnections type BOOL;
 define alias  PSERVER_INFO_1541 handle SERVER_INFO_1541;
 define alias LPSERVER_INFO_1541 handle SERVER_INFO_1541;

 define structure
   1 SERVER_INFO_1542,
     2 sv1542_maxfreeconnections type BOOL;
 define alias  PSERVER_INFO_1542 handle SERVER_INFO_1542;
 define alias LPSERVER_INFO_1542 handle SERVER_INFO_1542;

 define structure
   1 SERVER_INFO_1543,
     2 sv1543_initsesstable type DWORD;
 define alias  PSERVER_INFO_1543 handle SERVER_INFO_1543;
 define alias LPSERVER_INFO_1543 handle SERVER_INFO_1543;

 define structure
   1 SERVER_INFO_1544,
     2 sv1544_initconntable type DWORD;
 define alias  PSERVER_INFO_1544 handle SERVER_INFO_1544;
 define alias LPSERVER_INFO_1544 handle SERVER_INFO_1544;

 define structure
   1 SERVER_INFO_1545,
     2 sv1545_initfiletable type DWORD;
 define alias  PSERVER_INFO_1545 handle SERVER_INFO_1545;
 define alias LPSERVER_INFO_1545 handle SERVER_INFO_1545;

 define structure
   1 SERVER_INFO_1546,
     2 sv1546_initsearchtable type DWORD;
 define alias  PSERVER_INFO_1546 handle SERVER_INFO_1546;
 define alias LPSERVER_INFO_1546 handle SERVER_INFO_1546;

 define structure
   1 SERVER_INFO_1547,
     2 sv1547_alertschedule type DWORD;
 define alias  PSERVER_INFO_1547 handle SERVER_INFO_1547;
 define alias LPSERVER_INFO_1547 handle SERVER_INFO_1547;

 define structure
   1 SERVER_INFO_1548,
     2 sv1548_errorthreshold type DWORD;
 define alias  PSERVER_INFO_1548 handle SERVER_INFO_1548;
 define alias LPSERVER_INFO_1548 handle SERVER_INFO_1548;

 define structure
   1 SERVER_INFO_1549,
     2 sv1549_networkerrorthreshold type DWORD;
 define alias  PSERVER_INFO_1549 handle SERVER_INFO_1549;
 define alias LPSERVER_INFO_1549 handle SERVER_INFO_1549;

 define structure
   1 SERVER_INFO_1550,
     2 sv1550_diskspacethreshold type DWORD;
 define alias  PSERVER_INFO_1550 handle SERVER_INFO_1550;
 define alias LPSERVER_INFO_1550 handle SERVER_INFO_1550;

 define structure
   1 SERVER_INFO_1552,
     2 sv1552_maxlinkdelay type DWORD;
 define alias  PSERVER_INFO_1552 handle SERVER_INFO_1552;
 define alias LPSERVER_INFO_1552 handle SERVER_INFO_1552;

 define structure
   1 SERVER_INFO_1553,
     2 sv1553_minlinkthroughput type DWORD;
 define alias  PSERVER_INFO_1553 handle SERVER_INFO_1553;
 define alias LPSERVER_INFO_1553 handle SERVER_INFO_1553;

 define structure
   1 SERVER_INFO_1554,
     2 sv1554_linkinfovalidtime type DWORD;
 define alias  PSERVER_INFO_1554 handle SERVER_INFO_1554;
 define alias LPSERVER_INFO_1554 handle SERVER_INFO_1554;

 define structure
   1 SERVER_INFO_1555,
     2 sv1555_scavqosinfoupdatetime type DWORD;
 define alias  PSERVER_INFO_1555 handle SERVER_INFO_1555;
 define alias LPSERVER_INFO_1555 handle SERVER_INFO_1555;

 define structure
   1 SERVER_INFO_1556,
     2 sv1556_maxworkitemidletime type DWORD;
 define alias  PSERVER_INFO_1556 handle SERVER_INFO_1556;
 define alias LPSERVER_INFO_1556 handle SERVER_INFO_1556;

 define structure
   1 SERVER_INFO_1557,
     2 sv1557_maxrawworkitems type DWORD;
 define alias  PSERVER_INFO_1557 handle SERVER_INFO_1557;
 define alias LPSERVER_INFO_1557 handle SERVER_INFO_1557;

 define structure
   1 SERVER_INFO_1560,
     2 sv1560_producttype type DWORD;
 define alias  PSERVER_INFO_1560 handle SERVER_INFO_1560;
 define alias LPSERVER_INFO_1560 handle SERVER_INFO_1560;

 define structure
   1 SERVER_INFO_1561,
     2 sv1561_serversize type DWORD;
 define alias  PSERVER_INFO_1561 handle SERVER_INFO_1561;
 define alias LPSERVER_INFO_1561 handle SERVER_INFO_1561;

 define structure
   1 SERVER_INFO_1562,
     2 sv1562_connectionlessautodisc type DWORD;
 define alias  PSERVER_INFO_1562 handle SERVER_INFO_1562;
 define alias LPSERVER_INFO_1562 handle SERVER_INFO_1562;

 define structure
   1 SERVER_INFO_1563,
     2 sv1563_sharingviolationretries type DWORD;
 define alias  PSERVER_INFO_1563 handle SERVER_INFO_1563;
 define alias LPSERVER_INFO_1563 handle SERVER_INFO_1563;

 define structure
   1 SERVER_INFO_1564,
     2 sv1564_sharingviolationdelay type DWORD;
 define alias  PSERVER_INFO_1564 handle SERVER_INFO_1564;
 define alias LPSERVER_INFO_1564 handle SERVER_INFO_1564;

 define structure
   1 SERVER_INFO_1565,
     2 sv1565_maxglobalopensearch type DWORD;
 define alias  PSERVER_INFO_1565 handle SERVER_INFO_1565;
 define alias LPSERVER_INFO_1565 handle SERVER_INFO_1565;

 define structure
   1 SERVER_INFO_1566,
     2 sv1566_removeduplicatesearches type BOOL;
 define alias  PSERVER_INFO_1566 handle SERVER_INFO_1566;
 define alias LPSERVER_INFO_1566 handle SERVER_INFO_1566;

 define structure
   1 SERVER_INFO_1567,
     2 sv1567_lockviolationretries type DWORD;
 define alias  PSERVER_INFO_1567 handle SERVER_INFO_1567;
 define alias LPSERVER_INFO_1567 handle SERVER_INFO_1567;

 define structure
   1 SERVER_INFO_1568,
     2 sv1568_lockviolationoffset type DWORD;
 define alias  PSERVER_INFO_1568 handle SERVER_INFO_1568;
 define alias LPSERVER_INFO_1568 handle SERVER_INFO_1568;

 define structure
   1 SERVER_INFO_1569,
     2 sv1569_lockviolationdelay type DWORD;
 define alias  PSERVER_INFO_1569 handle SERVER_INFO_1569;
 define alias LPSERVER_INFO_1569 handle SERVER_INFO_1569;

 define structure
   1 SERVER_INFO_1570,
     2 sv1570_mdlreadswitchover type DWORD;
 define alias  PSERVER_INFO_1570 handle SERVER_INFO_1570;
 define alias LPSERVER_INFO_1570 handle SERVER_INFO_1570;

 define structure
   1 SERVER_INFO_1571,
     2 sv1571_cachedopenlimit type DWORD;
 define alias  PSERVER_INFO_1571 handle SERVER_INFO_1571;
 define alias LPSERVER_INFO_1571 handle SERVER_INFO_1571;

 define structure
   1 SERVER_INFO_1572,
     2 sv1572_criticalthreads type DWORD;
 define alias  PSERVER_INFO_1572 handle SERVER_INFO_1572;
 define alias LPSERVER_INFO_1572 handle SERVER_INFO_1572;

 define structure
   1 SERVER_INFO_1573,
     2 sv1573_restrictnullsessaccess type DWORD;
 define alias  PSERVER_INFO_1573 handle SERVER_INFO_1573;
 define alias LPSERVER_INFO_1573 handle SERVER_INFO_1573;

 define structure
   1 SERVER_INFO_1574,
     2 sv1574_enablewfw311directipx type DWORD;
 define alias  PSERVER_INFO_1574 handle SERVER_INFO_1574;
 define alias LPSERVER_INFO_1574 handle SERVER_INFO_1574;

 define structure
   1 SERVER_INFO_1575,
     2 sv1575_otherqueueaffinity type DWORD;
 define alias  PSERVER_INFO_1575 handle SERVER_INFO_1575;
 define alias LPSERVER_INFO_1575 handle SERVER_INFO_1575;

 define structure
   1 SERVER_INFO_1576,
     2 sv1576_queuesamplesecs type DWORD;
 define alias  PSERVER_INFO_1576 handle SERVER_INFO_1576;
 define alias LPSERVER_INFO_1576 handle SERVER_INFO_1576;

 define structure
   1 SERVER_INFO_1577,
     2 sv1577_balancecount type DWORD;
 define alias  PSERVER_INFO_1577 handle SERVER_INFO_1577;
 define alias LPSERVER_INFO_1577 handle SERVER_INFO_1577;

 define structure
   1 SERVER_INFO_1578,
     2 sv1578_preferredaffinity type DWORD;
 define alias  PSERVER_INFO_1578 handle SERVER_INFO_1578;
 define alias LPSERVER_INFO_1578 handle SERVER_INFO_1578;

 define structure
   1 SERVER_INFO_1579,
     2 sv1579_maxfreerfcbs type DWORD;
 define alias  PSERVER_INFO_1579 handle SERVER_INFO_1579;
 define alias LPSERVER_INFO_1579 handle SERVER_INFO_1579;

 define structure
   1 SERVER_INFO_1580,
     2 sv1580_maxfreemfcbs type DWORD;
 define alias  PSERVER_INFO_1580 handle SERVER_INFO_1580;
 define alias LPSERVER_INFO_1580 handle SERVER_INFO_1580;

 define structure
   1 SERVER_INFO_1581,
     2 sv1581_maxfreemlcbs type DWORD;
 define alias  PSERVER_INFO_1581 handle SERVER_INFO_1581;
 define alias LPSERVER_INFO_1581 handle SERVER_INFO_1581;

 define structure
   1 SERVER_INFO_1582,
     2 sv1582_maxfreepagedpoolchunks type DWORD;
 define alias  PSERVER_INFO_1582 handle SERVER_INFO_1582;
 define alias LPSERVER_INFO_1582 handle SERVER_INFO_1582;

 define structure
   1 SERVER_INFO_1583,
     2 sv1583_minpagedpoolchunksize type DWORD;
 define alias  PSERVER_INFO_1583 handle SERVER_INFO_1583;
 define alias LPSERVER_INFO_1583 handle SERVER_INFO_1583;

 define structure
   1 SERVER_INFO_1584,
     2 sv1584_maxpagedpoolchunksize type DWORD;
 define alias  PSERVER_INFO_1584 handle SERVER_INFO_1584;
 define alias LPSERVER_INFO_1584 handle SERVER_INFO_1584;

 define structure
   1 SERVER_INFO_1585,
     2 sv1585_sendsfrompreferredprocessor type BOOL;
 define alias  PSERVER_INFO_1585 handle SERVER_INFO_1585;
 define alias LPSERVER_INFO_1585 handle SERVER_INFO_1585;

 define structure
   1 SERVER_INFO_1586,
     2 sv1586_maxthreadsperqueue type DWORD;
 define alias  PSERVER_INFO_1586 handle SERVER_INFO_1586;
 define alias LPSERVER_INFO_1586 handle SERVER_INFO_1586;

 define structure
   1 SERVER_INFO_1587,
     2 sv1587_cacheddirectorylimit type DWORD;
 define alias  PSERVER_INFO_1587 handle SERVER_INFO_1587;
 define alias LPSERVER_INFO_1587 handle SERVER_INFO_1587;

 define structure
   1 SERVER_INFO_1588,
     2 sv1588_maxcopylength type DWORD;
 define alias  PSERVER_INFO_1588 handle SERVER_INFO_1588;
 define alias LPSERVER_INFO_1588 handle SERVER_INFO_1588;

 define structure
   1 SERVER_INFO_1590,
     2 sv1590_enablecompression type DWORD;
 define alias  PSERVER_INFO_1590 handle SERVER_INFO_1590;
 define alias LPSERVER_INFO_1590 handle SERVER_INFO_1590;

 define structure
   1 SERVER_INFO_1591,
     2 sv1591_autosharewks type DWORD;
 define alias  PSERVER_INFO_1591 handle SERVER_INFO_1591;
 define alias LPSERVER_INFO_1591 handle SERVER_INFO_1591;

 define structure
   1 SERVER_INFO_1592,
     2 sv1592_autosharewks type DWORD;
 define alias  PSERVER_INFO_1592 handle SERVER_INFO_1592;
 define alias LPSERVER_INFO_1592 handle SERVER_INFO_1592;

 define structure
   1 SERVER_INFO_1593,
     2 sv1593_enablesecuritysignature type DWORD;
 define alias  PSERVER_INFO_1593 handle SERVER_INFO_1593;
 define alias LPSERVER_INFO_1593 handle SERVER_INFO_1593;

 define structure
   1 SERVER_INFO_1594,
     2 sv1594_requiresecuritysignature type DWORD;
 define alias  PSERVER_INFO_1594 handle SERVER_INFO_1594;
 define alias LPSERVER_INFO_1594 handle SERVER_INFO_1594;

 define structure
   1 SERVER_INFO_1595,
     2 sv1595_minclientbuffersize type DWORD;
 define alias  PSERVER_INFO_1595 handle SERVER_INFO_1595;
 define alias LPSERVER_INFO_1595 handle SERVER_INFO_1595;

 define structure
   1 SERVER_INFO_1596,
     2 sv1596_ConnectionNoSessionsTimeout type DWORD;
 define alias  PSERVER_INFO_1596 handle SERVER_INFO_1596;
 define alias LPSERVER_INFO_1596 handle SERVER_INFO_1596;

 define structure
   1 SERVER_INFO_1597,
     2 sv1597_IdleThreadTimeOut type DWORD;
 define alias  PSERVER_INFO_1597 handle SERVER_INFO_1597;
 define alias LPSERVER_INFO_1597 handle SERVER_INFO_1597;

 define structure
   1 SERVER_INFO_1598,
     2 sv1598_enableW9xsecuritysignature type DWORD;
 define alias  PSERVER_INFO_1598 handle SERVER_INFO_1598;
 define alias LPSERVER_INFO_1598 handle SERVER_INFO_1598;


 /* A special structure definition is required in order for this */
 /* structure to work with RPC. The problem is that having       */
 /* addresslength indicate the number of bytes in address means  */
 /* that RPC must know the link between the two.                 */

 define structure
   1 SERVER_TRANSPORT_INFO_0,
     2 svti0_numberofvcs            type DWORD,
     2 svti0_transportname          type LPTSTR,
     2 svti0_transportaddress       type LPBYTE,
     2 svti0_transportaddresslength type DWORD,
     2 svti0_networkaddress         type LPTSTR;
 define alias  PSERVER_TRANSPORT_INFO_0 handle SERVER_TRANSPORT_INFO_0;
 define alias LPSERVER_TRANSPORT_INFO_0 handle SERVER_TRANSPORT_INFO_0;

 define structure
   1 SERVER_TRANSPORT_INFO_1,
     2 svti1_numberofvcs            type DWORD,
     2 svti1_transportname          type LPTSTR,
     2 svti1_transportaddress       type LPBYTE,
     2 svti1_transportaddresslength type DWORD,
     2 svti1_networkaddress         type LPTSTR,
     2 svti1_domain                 type LPTSTR;
 define alias  PSERVER_TRANSPORT_INFO_1 handle SERVER_TRANSPORT_INFO_1;
 define alias LPSERVER_TRANSPORT_INFO_1 handle SERVER_TRANSPORT_INFO_1;

 define structure
   1 SERVER_TRANSPORT_INFO_2,
     2 svti2_numberofvcs            type DWORD,
     2 svti2_transportname          type LPTSTR,
     2 svti2_transportaddress       type LPBYTE,
     2 svti2_transportaddresslength type DWORD,
     2 svti2_networkaddress         type LPTSTR,
     2 svti2_domain                 type LPTSTR,
     2 svti2_flags                  type ULONG;
 define alias  PSERVER_TRANSPORT_INFO_2 handle SERVER_TRANSPORT_INFO_2;
 define alias LPSERVER_TRANSPORT_INFO_2 handle SERVER_TRANSPORT_INFO_2;

 /* Defines - SERVER */

 /* The platform ID indicates the levels to use for platform-specific */
 /* information.                                                      */

 dcl SV_PLATFORM_ID_OS2 fixed bin(31) value(400);
 dcl SV_PLATFORM_ID_NT  fixed bin(31) value(500);

 /* Mask to be applied to svX_version_major in order to obtain */
 /* the major version number. */

 dcl MAJOR_VERSION_MASK fixed bin(15) value('0F'xn);

 /* Bit-mapped values for svX_type fields. X = 1, 2 or 3. */

 dcl SV_TYPE_WORKSTATION       type DWORD value('00000001'xu);
 dcl SV_TYPE_SERVER            type DWORD value('00000002'xu);
 dcl SV_TYPE_SQLSERVER         type DWORD value('00000004'xu);
 dcl SV_TYPE_DOMAIN_CTRL       type DWORD value('00000008'xu);
 dcl SV_TYPE_DOMAIN_BAKCTRL    type DWORD value('00000010'xu);
 dcl SV_TYPE_TIME_SOURCE       type DWORD value('00000020'xu);
 dcl SV_TYPE_AFP               type DWORD value('00000040'xu);
 dcl SV_TYPE_NOVELL            type DWORD value('00000080'xu);
 dcl SV_TYPE_DOMAIN_MEMBER     type DWORD value('00000100'xu);
 dcl SV_TYPE_PRINTQ_SERVER     type DWORD value('00000200'xu);
 dcl SV_TYPE_DIALIN_SERVER     type DWORD value('00000400'xu);
 dcl SV_TYPE_XENIX_SERVER      type DWORD value('00000800'xu);
 dcl SV_TYPE_SERVER_UNIX       type DWORD value(SV_TYPE_XENIX_SERVER);
 dcl SV_TYPE_NT                type DWORD value('00001000'xu);
 dcl SV_TYPE_WFW               type DWORD value('00002000'xu);
 dcl SV_TYPE_SERVER_MFPN       type DWORD value('00004000'xu);
 dcl SV_TYPE_SERVER_NT         type DWORD value('00008000'xu);
 dcl SV_TYPE_POTENTIAL_BROWSER type DWORD value('00010000'xu);
 dcl SV_TYPE_BACKUP_BROWSER    type DWORD value('00020000'xu);
 dcl SV_TYPE_MASTER_BROWSER    type DWORD value('00040000'xu);
 dcl SV_TYPE_DOMAIN_MASTER     type DWORD value('00080000'xu);
 dcl SV_TYPE_SERVER_OSF        type DWORD value('00100000'xu);
 dcl SV_TYPE_SERVER_VMS        type DWORD value('00200000'xu);
 dcl SV_TYPE_WINDOWS           type DWORD value('00400000'xu);
     /* Windows95 and above */
 dcl SV_TYPE_DFS               type DWORD value('00800000'xu);
     /* Root of a DFS tree */
 dcl SV_TYPE_CLUSTER_NT        type DWORD value('01000000'xu);
     /* NT Cluster */
 dcl SV_TYPE_TERMINALSERVER    type DWORD value('02000000'xu);
     /* Terminal Server(Hydra) */
 dcl SV_TYPE_DCE               type DWORD value('10000000'xu);
     /* IBM DSS (Directory and Security Services) or equivalent */
 dcl SV_TYPE_ALTERNATE_XPORT   type DWORD value('20000000'xu);
     /* return list for alternate transport */
 dcl SV_TYPE_LOCAL_LIST_ONLY   type DWORD value('40000000'xu);
     /* Return local list only */
 dcl SV_TYPE_DOMAIN_ENUM       type DWORD value('80000000'xu);
 dcl SV_TYPE_ALL               type DWORD value('FFFFFFFF'xu);
     /* handy for NetServerEnum2 */

 /* Special value for sv102_disc that specifies infinite disconnect */
 /* time.                                                           */

 dcl SV_NODISC                 type LONG value(-1);
     /* No autodisconnect timeout enforced */

 /* Values of svX_security field. X = 2 or 3. */

 dcl SV_USERSECURITY           type DWORD value(1);
 dcl SV_SHARESECURITY          type DWORD value(0);

 /* Values of svX_hidden field. X = 2 or 3. */

 dcl SV_HIDDEN                 type DWORD value(1);
 dcl SV_VISIBLE                type DWORD value(0);

 /* Values for ParmError parameter to NetServerSetInfo. */

 dcl SV_PLATFORM_ID_PARMNUM                 type DWORD value(101);
 dcl SV_NAME_PARMNUM                        type DWORD value(102);
 dcl SV_VERSION_MAJOR_PARMNUM               type DWORD value(103);
 dcl SV_VERSION_MINOR_PARMNUM               type DWORD value(104);
 dcl SV_TYPE_PARMNUM                        type DWORD value(105);
 dcl SV_COMMENT_PARMNUM                     type DWORD value(5);
 dcl SV_USERS_PARMNUM                       type DWORD value(107);
 dcl SV_DISC_PARMNUM                        type DWORD value(10);
 dcl SV_HIDDEN_PARMNUM                      type DWORD value(16);
 dcl SV_ANNOUNCE_PARMNUM                    type DWORD value(17);
 dcl SV_ANNDELTA_PARMNUM                    type DWORD value(18);
 dcl SV_USERPATH_PARMNUM                    type DWORD value(112);

 dcl SV_ULIST_MTIME_PARMNUM                 type DWORD value(401);
 dcl SV_GLIST_MTIME_PARMNUM                 type DWORD value(402);
 dcl SV_ALIST_MTIME_PARMNUM                 type DWORD value(403);
 dcl SV_ALERTS_PARMNUM                      type DWORD value(11);
 dcl SV_SECURITY_PARMNUM                    type DWORD value(405);
 dcl SV_NUMADMIN_PARMNUM                    type DWORD value(406);
 dcl SV_LANMASK_PARMNUM                     type DWORD value(407);
 dcl SV_GUESTACC_PARMNUM                    type DWORD value(408);
 dcl SV_CHDEVQ_PARMNUM                      type DWORD value(410);
 dcl SV_CHDEVJOBS_PARMNUM                   type DWORD value(411);
 dcl SV_CONNECTIONS_PARMNUM                 type DWORD value(412);
 dcl SV_SHARES_PARMNUM                      type DWORD value(413);
 dcl SV_OPENFILES_PARMNUM                   type DWORD value(414);
 dcl SV_SESSREQS_PARMNUM                    type DWORD value(417);
 dcl SV_ACTIVELOCKS_PARMNUM                 type DWORD value(419);
 dcl SV_NUMREQBUF_PARMNUM                   type DWORD value(420);
 dcl SV_NUMBIGBUF_PARMNUM                   type DWORD value(422);
 dcl SV_NUMFILETASKS_PARMNUM                type DWORD value(423);
 dcl SV_ALERTSCHED_PARMNUM                  type DWORD value(37);
 dcl SV_ERRORALERT_PARMNUM                  type DWORD value(38);
 dcl SV_LOGONALERT_PARMNUM                  type DWORD value(39);
 dcl SV_ACCESSALERT_PARMNUM                 type DWORD value(40);
 dcl SV_DISKALERT_PARMNUM                   type DWORD value(41);
 dcl SV_NETIOALERT_PARMNUM                  type DWORD value(42);
 dcl SV_MAXAUDITSZ_PARMNUM                  type DWORD value(43);
 dcl SV_SRVHEURISTICS_PARMNUM               type DWORD value(431);

 dcl SV_SESSOPENS_PARMNUM                   type DWORD value(501);
 dcl SV_SESSVCS_PARMNUM                     type DWORD value(502);
 dcl SV_OPENSEARCH_PARMNUM                  type DWORD value(503);
 dcl SV_SIZREQBUF_PARMNUM                   type DWORD value(504);
 dcl SV_INITWORKITEMS_PARMNUM               type DWORD value(505);
 dcl SV_MAXWORKITEMS_PARMNUM                type DWORD value(506);
 dcl SV_RAWWORKITEMS_PARMNUM                type DWORD value(507);
 dcl SV_IRPSTACKSIZE_PARMNUM                type DWORD value(508);
 dcl SV_MAXRAWBUFLEN_PARMNUM                type DWORD value(509);
 dcl SV_SESSUSERS_PARMNUM                   type DWORD value(510);
 dcl SV_SESSCONNS_PARMNUM                   type DWORD value(511);
 dcl SV_MAXNONPAGEDMEMORYUSAGE_PARMNUM      type DWORD value(512);
 dcl SV_MAXPAGEDMEMORYUSAGE_PARMNUM         type DWORD value(513);
 dcl SV_ENABLESOFTCOMPAT_PARMNUM            type DWORD value(514);
 dcl SV_ENABLEFORCEDLOGOFF_PARMNUM          type DWORD value(515);
 dcl SV_TIMESOURCE_PARMNUM                  type DWORD value(516);
 dcl SV_ACCEPTDOWNLEVELAPIS_PARMNUM         type DWORD value(517);
 dcl SV_LMANNOUNCE_PARMNUM                  type DWORD value(518);
 dcl SV_DOMAIN_PARMNUM                      type DWORD value(519);
 dcl SV_MAXCOPYREADLEN_PARMNUM              type DWORD value(520);
 dcl SV_MAXCOPYWRITELEN_PARMNUM             type DWORD value(521);
 dcl SV_MINKEEPSEARCH_PARMNUM               type DWORD value(522);
 dcl SV_MAXKEEPSEARCH_PARMNUM               type DWORD value(523);
 dcl SV_MINKEEPCOMPLSEARCH_PARMNUM          type DWORD value(524);
 dcl SV_MAXKEEPCOMPLSEARCH_PARMNUM          type DWORD value(525);
 dcl SV_THREADCOUNTADD_PARMNUM              type DWORD value(526);
 dcl SV_NUMBLOCKTHREADS_PARMNUM             type DWORD value(527);
 dcl SV_SCAVTIMEOUT_PARMNUM                 type DWORD value(528);
 dcl SV_MINRCVQUEUE_PARMNUM                 type DWORD value(529);
 dcl SV_MINFREEWORKITEMS_PARMNUM            type DWORD value(530);
 dcl SV_XACTMEMSIZE_PARMNUM                 type DWORD value(531);
 dcl SV_THREADPRIORITY_PARMNUM              type DWORD value(532);
 dcl SV_MAXMPXCT_PARMNUM                    type DWORD value(533);
 dcl SV_OPLOCKBREAKWAIT_PARMNUM             type DWORD value(534);
 dcl SV_OPLOCKBREAKRESPONSEWAIT_PARMNUM     type DWORD value(535);
 dcl SV_ENABLEOPLOCKS_PARMNUM               type DWORD value(536);
 dcl SV_ENABLEOPLOCKFORCECLOSE_PARMNUM      type DWORD value(537);
 dcl SV_ENABLEFCBOPENS_PARMNUM              type DWORD value(538);
 dcl SV_ENABLERAW_PARMNUM                   type DWORD value(539);
 dcl SV_ENABLESHAREDNETDRIVES_PARMNUM       type DWORD value(540);
 dcl SV_MINFREECONNECTIONS_PARMNUM          type DWORD value(541);
 dcl SV_MAXFREECONNECTIONS_PARMNUM          type DWORD value(542);
 dcl SV_INITSESSTABLE_PARMNUM               type DWORD value(543);
 dcl SV_INITCONNTABLE_PARMNUM               type DWORD value(544);
 dcl SV_INITFILETABLE_PARMNUM               type DWORD value(545);
 dcl SV_INITSEARCHTABLE_PARMNUM             type DWORD value(546);
 dcl SV_ALERTSCHEDULE_PARMNUM               type DWORD value(547);
 dcl SV_ERRORTHRESHOLD_PARMNUM              type DWORD value(548);
 dcl SV_NETWORKERRORTHRESHOLD_PARMNUM       type DWORD value(549);
 dcl SV_DISKSPACETHRESHOLD_PARMNUM          type DWORD value(550);
 dcl SV_MAXLINKDELAY_PARMNUM                type DWORD value(552);
 dcl SV_MINLINKTHROUGHPUT_PARMNUM           type DWORD value(553);
 dcl SV_LINKINFOVALIDTIME_PARMNUM           type DWORD value(554);
 dcl SV_SCAVQOSINFOUPDATETIME_PARMNUM       type DWORD value(555);
 dcl SV_MAXWORKITEMIDLETIME_PARMNUM         type DWORD value(556);
 dcl SV_MAXRAWWORKITEMS_PARMNUM             type DWORD value(557);
 dcl SV_PRODUCTTYPE_PARMNUM                 type DWORD value(560);
 dcl SV_SERVERSIZE_PARMNUM                  type DWORD value(561);
 dcl SV_CONNECTIONLESSAUTODISC_PARMNUM      type DWORD value(562);
 dcl SV_SHARINGVIOLATIONRETRIES_PARMNUM     type DWORD value(563);
 dcl SV_SHARINGVIOLATIONDELAY_PARMNUM       type DWORD value(564);
 dcl SV_MAXGLOBALOPENSEARCH_PARMNUM         type DWORD value(565);
 dcl SV_REMOVEDUPLICATESEARCHES_PARMNUM     type DWORD value(566);
 dcl SV_LOCKVIOLATIONRETRIES_PARMNUM        type DWORD value(567);
 dcl SV_LOCKVIOLATIONOFFSET_PARMNUM         type DWORD value(568);
 dcl SV_LOCKVIOLATIONDELAY_PARMNUM          type DWORD value(569);
 dcl SV_MDLREADSWITCHOVER_PARMNUM           type DWORD value(570);
 dcl SV_CACHEDOPENLIMIT_PARMNUM             type DWORD value(571);
 dcl SV_CRITICALTHREADS_PARMNUM             type DWORD value(572);
 dcl SV_RESTRICTNULLSESSACCESS_PARMNUM      type DWORD value(573);
 dcl SV_ENABLEWFW311DIRECTIPX_PARMNUM       type DWORD value(574);
 dcl SV_OTHERQUEUEAFFINITY_PARMNUM          type DWORD value(575);
 dcl SV_QUEUESAMPLESECS_PARMNUM             type DWORD value(576);
 dcl SV_BALANCECOUNT_PARMNUM                type DWORD value(577);
 dcl SV_PREFERREDAFFINITY_PARMNUM           type DWORD value(578);
 dcl SV_MAXFREERFCBS_PARMNUM                type DWORD value(579);
 dcl SV_MAXFREEMFCBS_PARMNUM                type DWORD value(580);
 dcl SV_MAXFREELFCBS_PARMNUM                type DWORD value(581);
 dcl SV_MAXFREEPAGEDPOOLCHUNKS_PARMNUM      type DWORD value(582);
 dcl SV_MINPAGEDPOOLCHUNKSIZE_PARMNUM       type DWORD value(583);
 dcl SV_MAXPAGEDPOOLCHUNKSIZE_PARMNUM       type DWORD value(584);
 dcl SV_SENDSFROMPREFERREDPROCESSOR_PARMNUM type DWORD value(585);
 dcl SV_MAXTHREADSPERQUEUE_PARMNUM          type DWORD value(586);
 dcl SV_CACHEDDIRECTORYLIMIT_PARMNUM        type DWORD value(587);
 dcl SV_MAXCOPYLENGTH_PARMNUM               type DWORD value(588);
 dcl SV_ENABLECOMPRESSION_PARMNUM           type DWORD value(590);
 dcl SV_AUTOSHAREWKS_PARMNUM                type DWORD value(591);
 dcl SV_AUTOSHARESERVER_PARMNUM             type DWORD value(592);
 dcl SV_ENABLESECURITYSIGNATURE_PARMNUM     type DWORD value(593);
 dcl SV_REQUIRESECURITYSIGNATURE_PARMNUM    type DWORD value(594);
 dcl SV_MINCLIENTBUFFERSIZE_PARMNUM         type DWORD value(595);
 dcl SV_CONNECTIONNOSESSIONSTIMEOUT_PARMNUM type DWORD value(596);
 dcl SV_IDLETHREADTIMEOUT_PARMNUM           type DWORD value(597);
 dcl SV_ENABLEW9XSECURITYSIGNATURE_PARMNUM  type DWORD value(598);

 /* Single-field infolevels for NetServerSetInfo. */

 dcl SV_COMMENT_INFOLEVEL                   type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_COMMENT_PARMNUM);
 dcl SV_USERS_INFOLEVEL                     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_USERS_PARMNUM);
 dcl SV_DISC_INFOLEVEL                      type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_DISC_PARMNUM);
 dcl SV_HIDDEN_INFOLEVEL                    type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_HIDDEN_PARMNUM);
 dcl SV_ANNOUNCE_INFOLEVEL                  type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ANNOUNCE_PARMNUM);
 dcl SV_ANNDELTA_INFOLEVEL                  type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ANNDELTA_PARMNUM);
 dcl SV_SESSOPENS_INFOLEVEL                 type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SESSOPENS_PARMNUM);
 dcl SV_SESSVCS_INFOLEVEL                   type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SESSVCS_PARMNUM);
 dcl SV_OPENSEARCH_INFOLEVEL                type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_OPENSEARCH_PARMNUM);
 dcl SV_MAXWORKITEMS_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXWORKITEMS_PARMNUM);
 dcl SV_MAXRAWBUFLEN_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXRAWBUFLEN_PARMNUM);
 dcl SV_SESSUSERS_INFOLEVEL                 type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SESSUSERS_PARMNUM);
 dcl SV_SESSCONNS_INFOLEVEL                 type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SESSCONNS_PARMNUM);
 dcl SV_MAXNONPAGEDMEMORYUSAGE_INFOLEVEL    type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXNONPAGEDMEMORYUSAGE_PARMNUM);
 dcl SV_MAXPAGEDMEMORYUSAGE_INFOLEVEL       type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXPAGEDMEMORYUSAGE_PARMNUM);
 dcl SV_ENABLESOFTCOMPAT_INFOLEVEL          type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLESOFTCOMPAT_PARMNUM);
 dcl SV_ENABLEFORCEDLOGOFF_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLEFORCEDLOGOFF_PARMNUM);
 dcl SV_TIMESOURCE_INFOLEVEL                type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_TIMESOURCE_PARMNUM);
 dcl SV_LMANNOUNCE_INFOLEVEL                type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_LMANNOUNCE_PARMNUM);
 dcl SV_MAXCOPYREADLEN_INFOLEVEL            type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXCOPYREADLEN_PARMNUM);
 dcl SV_MAXCOPYWRITELEN_INFOLEVEL           type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXCOPYWRITELEN_PARMNUM);
 dcl SV_MINKEEPSEARCH_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINKEEPSEARCH_PARMNUM);
 dcl SV_MAXKEEPSEARCH_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXKEEPSEARCH_PARMNUM);
 dcl SV_MINKEEPCOMPLSEARCH_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINKEEPCOMPLSEARCH_PARMNUM);
 dcl SV_MAXKEEPCOMPLSEARCH_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXKEEPCOMPLSEARCH_PARMNUM);
 dcl SV_SCAVTIMEOUT_INFOLEVEL               type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SCAVTIMEOUT_PARMNUM);
 dcl SV_MINRCVQUEUE_INFOLEVEL               type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINRCVQUEUE_PARMNUM);
 dcl SV_MINFREEWORKITEMS_INFOLEVEL          type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINFREEWORKITEMS_PARMNUM);
 dcl SV_MAXMPXCT_INFOLEVEL                  type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXMPXCT_PARMNUM);
 dcl SV_OPLOCKBREAKWAIT_INFOLEVEL           type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_OPLOCKBREAKWAIT_PARMNUM);
 dcl SV_OPLOCKBREAKRESPONSEWAIT_INFOLEVEL   type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_OPLOCKBREAKRESPONSEWAIT_PARMNUM);
 dcl SV_ENABLEOPLOCKS_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLEOPLOCKS_PARMNUM);
 dcl SV_ENABLEOPLOCKFORCECLOSE_INFOLEVEL    type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLEOPLOCKFORCECLOSE_PARMNUM);
 dcl SV_ENABLEFCBOPENS_INFOLEVEL            type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLEFCBOPENS_PARMNUM);
 dcl SV_ENABLERAW_INFOLEVEL                 type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLERAW_PARMNUM);
 dcl SV_ENABLESHAREDNETDRIVES_INFOLEVEL     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLESHAREDNETDRIVES_PARMNUM);
 dcl SV_MINFREECONNECTIONS_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINFREECONNECTIONS_PARMNUM);
 dcl SV_MAXFREECONNECTIONS_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXFREECONNECTIONS_PARMNUM);
 dcl SV_INITSESSTABLE_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_INITSESSTABLE_PARMNUM);
 dcl SV_INITCONNTABLE_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_INITCONNTABLE_PARMNUM);
 dcl SV_INITFILETABLE_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_INITFILETABLE_PARMNUM);
 dcl SV_INITSEARCHTABLE_INFOLEVEL           type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_INITSEARCHTABLE_PARMNUM);
 dcl SV_ALERTSCHEDULE_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ALERTSCHEDULE_PARMNUM);
 dcl SV_ERRORTHRESHOLD_INFOLEVEL            type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ERRORTHRESHOLD_PARMNUM);
 dcl SV_NETWORKERRORTHRESHOLD_INFOLEVEL     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_NETWORKERRORTHRESHOLD_PARMNUM);
 dcl SV_DISKSPACETHRESHOLD_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_DISKSPACETHRESHOLD_PARMNUM);
 dcl SV_MAXLINKDELAY_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXLINKDELAY_PARMNUM);
 dcl SV_MINLINKTHROUGHPUT_INFOLEVEL         type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINLINKTHROUGHPUT_PARMNUM);
 dcl SV_LINKINFOVALIDTIME_INFOLEVEL         type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_LINKINFOVALIDTIME_PARMNUM);
 dcl SV_SCAVQOSINFOUPDATETIME_INFOLEVEL     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SCAVQOSINFOUPDATETIME_PARMNUM);
 dcl SV_MAXWORKITEMIDLETIME_INFOLEVEL       type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXWORKITEMIDLETIME_PARMNUM);
 dcl SV_MAXRAWWORKITEMS_INFOLOEVEL          type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXRAWWORKITEMS_PARMNUM);
 dcl SV_PRODUCTTYPE_INFOLOEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_PRODUCTTYPE_PARMNUM);
 dcl SV_SERVERSIZE_INFOLOEVEL               type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SERVERSIZE_PARMNUM);
 dcl SV_CONNECTIONLESSAUTODISC_INFOLOEVEL   type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_CONNECTIONLESSAUTODISC_PARMNUM);
 dcl SV_SHARINGVIOLATIONRETRIES_INFOLOEVEL  type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SHARINGVIOLATIONRETRIES_PARMNUM);
 dcl SV_SHARINGVIOLATIONDELAY_INFOLOEVEL    type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_SHARINGVIOLATIONDELAY_PARMNUM);
 dcl SV_MAXGLOBALOPENSEARCH_INFOLOEVEL      type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXGLOBALOPENSEARCH_PARMNUM);
 dcl SV_REMOVEDUPLICATESEARCHES_INFOLOEVEL  type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_REMOVEDUPLICATESEARCHES_PARMNUM);
 dcl SV_LOCKVIOLATIONRETRIES_INFOLOEVEL     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_LOCKVIOLATIONRETRIES_PARMNUM);
 dcl SV_LOCKVIOLATIONOFFSET_INFOLOEVEL      type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_LOCKVIOLATIONOFFSET_PARMNUM);
 dcl SV_LOCKVIOLATIONDELAY_INFOLOEVEL       type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_LOCKVIOLATIONDELAY_PARMNUM);
 dcl SV_MDLREADSWITCHOVER_INFOLOEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MDLREADSWITCHOVER_PARMNUM);
 dcl SV_CACHEDOPENLIMIT_INFOLOEVEL          type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_CACHEDOPENLIMIT_PARMNUM);
 dcl SV_CRITICALTHREADS_INFOLOEVEL          type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_CRITICALTHREADS_PARMNUM);
 dcl SV_RESTRICTNULLSESSACCESS_INFOLOEVEL   type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_RESTRICTNULLSESSACCESS_PARMNUM);
 dcl SV_ENABLEWFW311DIRECTIPX_INFOLOEVEL    type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLEWFW311DIRECTIPX_PARMNUM);
 dcl SV_OTHERQUEUEAFFINITY_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_OTHERQUEUEAFFINITY_PARMNUM);
 dcl SV_QUEUESAMPLESECS_INFOLEVEL           type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_QUEUESAMPLESECS_PARMNUM);
 dcl SV_BALANCECOUNT_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_BALANCECOUNT_PARMNUM);
 dcl SV_PREFERREDAFFINITY_INFOLEVEL         type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_PREFERREDAFFINITY_PARMNUM);
 dcl SV_MAXFREERFCBS_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXFREERFCBS_PARMNUM);
 dcl SV_MAXFREEMFCBS_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXFREEMFCBS_PARMNUM);
 dcl SV_MAXFREELFCBS_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXFREELFCBS_PARMNUM);
 dcl SV_MAXFREEPAGEDPOOLCHUNKS_INFOLEVEL    type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXFREEPAGEDPOOLCHUNKS_PARMNUM);
 dcl SV_MINPAGEDPOOLCHUNKSIZE_INFOLEVEL     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINPAGEDPOOLCHUNKSIZE_PARMNUM);
 dcl SV_MAXPAGEDPOOLCHUNKSIZE_INFOLEVEL     type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXPAGEDPOOLCHUNKSIZE_PARMNUM);
 dcl SV_SENDSFROMPREFERREDPROCESSOR_INFOLEVEL type DWORD
     value(PARMNUM_BASE_INFOLEVEL
           + SV_SENDSFROMPREFERREDPROCESSOR_PARMNUM);
 dcl SV_MAXTHREADSPERQUEUE_INFOLEVEL        type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXTHREADSPERQUEUE_PARMNUM);
 dcl SV_CACHEDDIRECTORYLIMIT_INFOLEVEL      type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_CACHEDDIRECTORYLIMIT_PARMNUM);
 dcl SV_MAXCOPYLENGTH_INFOLEVEL             type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MAXCOPYLENGTH_PARMNUM);
 dcl SV_ENABLECOMPRESSION_INFOLEVEL         type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLECOMPRESSION_PARMNUM);
 dcl SV_AUTOSHAREWKS_INFOLEVEL              type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_AUTOSHAREWKS_PARMNUM);
 dcl SV_AUTOSHARESERVER_INFOLEVEL           type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_AUTOSHARESERVER_PARMNUM);
 dcl SV_ENABLESECURITYSIGNATURE_INFOLEVEL   type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_ENABLESECURITYSIGNATURE_PARMNUM);
 dcl SV_REQUIRESECURITYSIGNATURE_INFOLEVEL  type DWORD
     value(PARMNUM_BASE_INFOLEVEL
           + SV_REQUIRESECURITYSIGNATURE_PARMNUM);
 dcl SV_MINCLIENTBUFFERSIZE_INFOLEVEL       type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_MINCLIENTBUFFERSIZE_PARMNUM);
 dcl SV_CONNECTIONNOSESSIONSTIMEOUT_INFOLEVEL type DWORD
     value(PARMNUM_BASE_INFOLEVEL
           + SV_CONNECTIONNOSESSIONSTIMEOUT_PARMNUM);
 dcl SV_IDLETHREADTIMEOUT_INFOLEVEL           type DWORD
     value(PARMNUM_BASE_INFOLEVEL + SV_IDLETHREADTIMEOUT_PARMNUM);
 dcl SV_ENABLEW9XSECURITYSIGNATURE_INFOLEVEL  type DWORD
     value(PARMNUM_BASE_INFOLEVEL
           + SV_ENABLEW9XSECURITYSIGNATURE_PARMNUM);

 dcl SVI1_NUM_ELEMENTS fixed bin(31) value(5);
 dcl SVI2_NUM_ELEMENTS fixed bin(31) value(40);
 dcl SVI3_NUM_ELEMENTS fixed bin(31) value(44);

 /* Maxmimum length for command string to NetServerAdminCommand. */

 dcl SV_MAX_CMD_LEN    fixed bin(15) value(PATHLEN);

 /* asks describing AUTOPROFILE parameters */

 dcl SW_AUTOPROF_LOAD_MASK  type DWORD value('1'xu);
 dcl SW_AUTOPROF_SAVE_MASK  type DWORD value('2'xu);

 /* Max size of svX_srvheuristics. */

 dcl SV_MAX_SRV_HEUR_LEN    fixed bin(31) value(32);
     /* Max heuristics info string length. */

 /* Equate for use with sv102_licenses. */

 dcl SV_USERS_PER_LICENSE   fixed bin(31) value(5);

 /* Equate for use with svti2_flags in NetServerTransportAddEx. */

 dcl SVTI2_REMAP_PIPE_NAMES type DWORD value('2'xu);

 %end; /* _LMSERVER_ */

