 /* ++                                                                */
 /*                                                                   */
 /* Copyright (c) 1992-1998 Microsoft Corporation                     */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   rpcnsip.cpy                                                     */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   This file contains the types and function definitions to use    */
 /*   to implement the autohandle features of the runtime.            */
 /*                                                                   */
 /* --                                                                */

 %dcl #_RPCNSIP_H__ char ext;
 %if #_RPCNSIP_H__ = '' %then %do;
 %#_RPCNSIP_H__ = 'Y';

 define structure
   1 RPC_IMPORT_CONTEXT_P,
     2 LookupContext  type RPC_NS_HANDLE,
     2 ProposedHandle type RPC_BINDING_HANDLE,
     2 Bindings       handle RPC_BINDING_VECTOR;
 define alias PRPC_IMPORT_CONTEXT_P handle RPC_IMPORT_CONTEXT_P;


 /* Stub Auto Binding routines. */

 dcl I_RpcNsGetBuffer
     entry (type RPC_MESSAGE byaddr)
     returns (type RPC_STATUS byvalue optional)
     RPCNSAPI RPC_ENTRY external('I_RpcNsGetBuffer');

 dcl I_RpcNsSendReceive
     entry (type RPC_MESSAGE byaddr,
            type RPC_BINDING_HANDLE)
     returns (type RPC_STATUS byvalue optional)
     RPCNSAPI RPC_ENTRY external('I_RpcNsSendReceive');

 dcl I_RpcNsRaiseException
     entry (type RPC_MESSAGE byaddr,
            type RPC_STATUS)
     RPCNSAPI RPC_ENTRY external('I_RpcNsRaiseException');

 dcl I_RpcReBindBuffer
     entry (type RPC_MESSAGE byaddr)
     returns (type RPC_STATUS byvalue optional)
     RPCNSAPI RPC_ENTRY external('I_RpcReBindBuffer');

 dcl I_NsServerBindSearch
     entry ()
     returns (type RPC_STATUS byvalue optional)
     RPCNSAPI RPC_ENTRY external('I_NsServerBindSearch');

 dcl I_NsClientBindSearch
     entry ()
     returns (type RPC_STATUS byvalue optional)
     RPCNSAPI RPC_ENTRY external('I_NsClientBindSearch');

 dcl I_NsClientBindDone
     entry ()
     RPCNSAPI RPC_ENTRY external('I_NsClientBindDone');

 %end; /* __RPCNSIP_H__ */
