 /*********************************************************************/
 /*                                                                   */
 /*  PL/I Include file: SQLJACB.CPY                                   */
 /*                                                                   */
 /*  This file is installed in the \IBMPLI\INCLUDE\SDKWIN\ directory. */
 /*                                                                   */
 /*                                                                   */
 /*  NAME - SQLJACB.CPY                                               */
 /*                                                                   */
 /*  DESCRIPTION                                                      */
 /*                                                                   */
 /*    (C) Copyright IBM Corp. 1994, 1997. All Rights Reserved.       */
 /*    US Government Users Restricted Rights-- Use, duplication or    */
 /*    disclosure restricted by GSA ADP Schedule Contract with        */
 /*    IBM Corp.                                                      */
 /*  Licensed Materials - Property of IBM                             */
 /*                                                                   */
 /*  Function =                                                       */
 /*     Include File defining:                                        */
 /*       Database Connection Services (DCS) Interface - Constants    */
 /*       DCS Interface - SQLJ_ACBH, SQLJACB handle structure         */
 /*       DCS Interface - SQLJACB, DCS Interface Control Block        */
 /*                                                                   */
 /*                                                                   */
 /*  Operating System = Windows                                       */
 /*                                                                   */
 /*                                                                   */
 /*  DISCLAIMER OF WARRANTIES                                         */
 /*    The following enclosed code is sample code created by IBM    */
 /*    Corporation. This sample code is not part of any standard      */
 /*    IBM product and is provided to you solely for the purpose of   */
 /*    assisting you in the development of your applications.  The    */
 /*    code is provided "AS IS", without warranty of any kind.        */
 /*    IBM shall not be liable for any damages arising out of your    */
 /*    use of the sample code, even if IBM has been advised of the    */
 /*    possibility of such damages.                                   */
 /*                                                                   */
 /*********************************************************************/

 %dcl SQL_H_SQLJACB char ext;
 %if SQL_H_SQLJACB = '' %then %do;
 %SQL_H_SQLJACB = 'Y';

 %dcl SQL_H_SQLSYSTM char ext;
 %if SQL_H_SQLSYSTM = '' %then %do;
 %include sqlsystm;
 %end;

 dcl SQLJACB_TTL char value("SQLJACB ");          /* SQLJACB Title    */
 dcl SQLJACB_VER fixed bin(31) value('0100'xn);   /* SQLJACB Version  */

 /* Connection type - SQLJ_ACBH.conn_type */

 dcl SQLJ_CONN_DRD1 fixed bin(15) value(1);
 dcl SQLJ_CONN_ASP0 fixed bin(15) value(2);
 dcl SQLJ_CONN_LOC  fixed bin(15) value(3);
 dcl SQLJ_CONN_VNDR fixed bin(15) value(5);

 /* ACB type - SQLJACB.sqlapcont */
 dcl SQLJALOC fixed bin(16) unsigned value('00'xu);
                                /* Database is local to Application   */
 dcl SQLJAREM fixed bin(16) unsigned value('01'xu);
                                /* Database is remote to Application  */

 /* ACB Connection States - SQLJACB.sqlapconst */
 dcl SQLJAINA                    type sqluint32 value('00000000'xu);
                                 /* Application not connected         */
 dcl SQLJAIDL                    type sqluint32 value('00000001'xu);
                                 /* Application is connected to DB    */
 dcl SQLJAREQ                    type sqluint32 value('00000003'xu);
                                 /* SQL in progress, interrupt valid  */
 dcl SQLJAERR                    type sqluint32 value('00000004'xu);
                                 /* Connection in error state         */
 dcl SQLJRCVY                    type sqluint32 value('00000005'xu);
                                 /* Connection in Recovery state      */
 dcl SQLJ_CONN_PAUS              type sqluint32 value('00000009'xu);
                                 /* Connection in Paused state        */
 dcl SQLJ_IN_LUW                 type sqluint32 value('00000010'xu);
                                 /* In Logical Unit of Work.          */

 /* ACB Connection Pending States - SQLJACB.sqlapconst */
 dcl SQLJAACT                    type sqluint32 value('00000000'xu);
                                 /* Nothing Pending                   */
 dcl SQLJASTA                    type sqluint32 value('00000100'xu);
                                 /* Start Database Pending            */
 dcl SQLJASTO                    type sqluint32 value('00000200'xu);
                                 /* Stop Database Pending             */
 dcl SQLJAINT                    type sqluint32 value('00000400'xu);
                                 /* Request interrupted               */
 dcl SQLJ_PAUS_PEND              type sqluint32 value('00000800'xu);
                                 /* Pause Database Pending            */
 dcl SQLJ_DB_TERM                type sqluint32 value('00001000'xu);
                                 /* Database has Terminated           */

 /* ACB Information States - SQLJACB.sqlapconst */
 dcl SQLJLOCR                    type sqluint32 value('00000000'xu);
                                 /* Local Request                     */
 dcl SQLJREMR                    type sqluint32 value('00010000'xu);
                                 /* Remote Request
                                 /* Restart Request in Progress       */
 dcl SQLJCDIP                    type sqluint32 value('02000000'xu);
                                 /* Create Database in Progress       */
 dcl SQLJBURS                    type sqluint32 value('04000000'xu);
                                 /* Backup/Restore in Progress        */
 dcl SQLJMIGR                    type sqluint32 value('08000000'xu);
                                 /* Migrate in Progress               */
 dcl SQLJBACK                    type sqluint32 value('10000000'xu);
                                 /* Backup Only in Progress           */

 /* ACB Information States - SQLJACB.sqlapcons2 */
 dcl SQLJTYP1                    type sqluint32 value('00000001'xu);
                                 /* Connection is Type-1              */
 dcl SQLJTYP2                    type sqluint32 value('00000002'xu);
                                 /* Connection is Type-2              */
 dcl SQLJDRD1                    type sqluint32 value('00000004'xu);
                                 /* Connection is DRDA-1              */
 dcl SQLJDRD2                    type sqluint32 value('00000008'xu);
                                 /* Connection is DRDA-2              */
 dcl SQLJREL                     type sqluint32 value('00000010'xu);
                                 /* Connection is released            */
 dcl SQLJDORM                    type sqluint32 value('00000020'xu);
                                 /* Connection is dormant             */


 define structure
   1 sqlj_acb,                     /* Connection is dormant           */
     2 sqlacbid  char(8),          /* Control block eye catcher       */
     2 sqlacbsz  type sqluint32,   /* Size in bytes                   */
     2 sqlacbver fixed bin(16) unsigned,/* Version number             */
     2 sqlnacb   fixed bin(16) unsigned,
                 /* Reserved for Database Connection Router use only  */
     /*****************************************************************/
     /* the following two pointer fields are in support of the        */
     /* Application connection set. Each SQLJACB is linked onto one   */
     /* of the synonym chains within the sqlecvt array in the         */
     /* sqlerglob structure.                                          */
     /*****************************************************************/
     2 sqljfwd   handle sqlj_acb,  /* forward chain field             */
     2 sqljback  handle sqlj_acb,  /* backward chain field            */
     2 sqlhash   fixed bin(15),    /* index into sqlecvt              */
     /*****************************************************************/
     /* the database use, product signature and country code are      */
     /* moved from the sqlerglob to the sqljacb as they are           */
     /* attributes of the connection.                                 */
     /*****************************************************************/
     2 use       char(1),          /* database use                    */
     2 prod_sig  char(8),          /* served product signature        */
     2 dbcpcc    char(32),         /* Database country and code page  */
     2 sqlapcont fixed bin(16) unsigned,/*Application connection type */
     2 sqlapconst type sqluint32,  /* Application connection state    */
     2 sqlapcons2 type sqluint32,  /* Application connection          */
                                   /* state word 2                    */
   /* Process and thread id */
     2 sqlappid fixed bin(16) unsigned,/* Process ID of server process*/
     2 sqlaptid fixed bin(16) unsigned,/* Thread ID of server process */

   /* Codepages */

     2 sqlapcpg  fixed bin(16) unsigned,/* Codepage of originating    */
                                        /* application                */
     2 sqldbcpg  fixed bin(16) unsigned,/* Codepage of database       */

   /* Datastream type */
     2 sqldtast  fixed bin(16) unsigned,/* Datastream type            */

   /* Originating Application node */
     2 sqlapnnl type sqluint32, /* Length of application node name    */
     2 sqlapnnt fixed bin(16) unsigned,
                                /* Data type of application node name */
     2 sqlapnn  pointer,        /* Pointer to application node name   */

   /* Originating Application ID */
     2 sqlapidl type sqluint32,        /* Length of application id    */
     2 sqlapidt fixed bin(16) unsigned,/* Data type of application id */
     2 sqlapid  pointer,               /* Pointer to application id   */

   /* Database Connection Router internal control block */
     2 sqlcrtcbl type sqluint32,  /* Length of Database Connection    */
                                  /* Router internal control block    */
     2 sqlcrtcbt fixed bin(16) unsigned,
                             /* Data type of Database Connection      */
                             /* Router internal control block         */
     2 sqlcrtcb  pointer,    /* Pointer to Database Connection        */
                             /* Router internal control block         */
                             /* (Database Connection Router use only) */

   /* Target internal control block */

     2 sqlcsvcbl type sqluint32,  /* Length of target internal        */
                                  /* control block                    */
     2 sqlcsvcbt fixed bin(16) unsigned, /* Data type of target       */
                                         /* internal control block    */
     2 sqlcsvcb  pointer, /* Pointer to target internal control block */

   /* Userid */
     2 sqlusl    type sqluint32,         /* Length of userid          */
     2 sqlust    fixed bin(16) unsigned, /* Data type of userid       */
     2 sqluser   pointer,                /* Pointer to userid         */

   /* Alias name in system database directory */
     2 sqldball  type sqluint32,         /* Length of alias name      */
     2 sqldbalt  fixed bin(16) unsigned, /* Data type of alias name   */
     2 sqldbal   pointer,        /* Pointer to alias name of database */
                                 /* in system database directory      */

   /* Database name in system database directory */
     2 sqlldbnl  type sqluint32,         /* Length of database name   */
     2 sqlldbnt  fixed bin(16) unsigned, /* Data type of database name*/
     2 sqlldbn   pointer,            /* Pointer to name of database   */
                                     /* in system database directory  */

   /* Node name in system database directory */
     2 sqlnnl    type sqluint32,         /* Length of node name       */
     2 sqlnnt    fixed bin(16) unsigned, /* Data type of node name    */
     2 sqlnn     pointer,                /* Pointer to node name in   */
                                         /* system database directory */

   /* Database name in Database Connection Services directory */
     2 sqlsdbnl  type sqluint32,         /* Length of database name   */
     2 sqlsdbnt  fixed bin(16) unsigned, /* Data type of database name*/
     2 sqlsdbn   pointer,   /* Pointer to database name in            */
                            /* Database Connection Services directory */

   /* Target library name */
     2 sqlpgmnl  type sqluint32,         /* Length of library name    */
     2 sqlpgmnt  fixed bin(16) unsigned, /* Data type of library name */
     2 sqlpgmn   pointer,                /* Pointer to library name   */
                                         /* of target element         */

   /* Parameter string */
     2 sqlparml  type sqluint32,         /* Length of parameter string*/
     2 sqlparmt  fixed bin(16) unsigned,
                                     /* Data type of parameter string */
     2 sqlparm   pointer,   /* Pointer to parameter string from       */
                            /* Database Connection Services directory */

   /* Target element data heap */
     2 sqlrshpl  type sqluint32,         /* Length of target data heap*/
     2 sqlrshpt  fixed bin(16) unsigned,
                                     /* Data type of target data heap */
     2 sqlrshp   pointer;            /* Pointer to target data heap   */

 define alias SQLJACB type sqlj_acb;

 dcl SQLJ_LEN_SQLJACB fixed bin (31) value (SIZE (: SQLJACB :) );

 /* SQLJ_ACBH */

 define structure
   1 sqlj_acbh,
     2 handle    fixed bin(31),
     2 conn_type fixed bin(15);                   /* int to short */

 %end; /* SQL_H_SQLJACB */
