 /*********************************************************************/
 /*                                                                   */
 /*  PL/I Include file: SQLJRA.CPY                                    */
 /*                                                                   */
 /*  This file is installed in the \IBMPLI\INCLUDE\SDKWIN\ directory. */
 /*                                                                   */
 /*                                                                   */
 /*  NAME - SQLJRA.CPY                                                */
 /*                                                                   */
 /*  DESCRIPTION                                                      */
 /*                                                                   */
 /*    (C) Copyright IBM Corp. 1994, 1996. All Rights Reserved.       */
 /*    US Government Users Restricted Rights-- Use, duplication or    */
 /*    disclosure restricted by GSA ADP Schedule Contract with        */
 /*    IBM Corp.                                                      */
 /*  Licensed Materials - Property of IBM                             */
 /*                                                                   */
 /*  Function =                                                       */
 /*     Include File defining:                                        */
 /*       Database Connection Services (DCS) Interface Constants      */
 /*       DCS Interface Return Codes                                  */
 /*       SQLJRA and Other Related DCS Interface Structures           */
 /*                                                                   */
 /*                                                                   */
 /*  Operating System = Windows                                       */
 /*                                                                   */
 /*                                                                   */
 /*  DISCLAIMER OF WARRANTIES                                         */
 /*    The following enclosed code is sample code created by IBM    */
 /*    Corporation. This sample code is not part of any standard      */
 /*    IBM product and is provided to you solely for the purpose of   */
 /*    assisting you in the development of your applications.  The    */
 /*    code is provided "AS IS", without warranty of any kind.        */
 /*    IBM shall not be liable for any damages arising out of your    */
 /*    use of the sample code, even if IBM has been advised of the    */
 /*    possibility of such damages.                                   */
 /*                                                                   */
 /*********************************************************************/

 %dcl SQL_H_SQLJRA char ext;
 %if SQL_H_SQLJRA = '' %then %do;
 /* Permit duplicate Includes      */
 %SQL_H_SQLJRA = 'Y';

 /* Provides char           */
 %dcl SQL_H_SQLSYSTM char ext;
 %if SQL_H_SQLSYSTM = '' %then %do;
 %include sqlsystm;
 %end;

 /* Service type */


 dcl SQLJ_DCSSV fixed bin(31) value(1); /* Connection Services        */

 dcl SQLJ_DBSV  fixed bin(31) value(2); /* Database Services          */

 /* Connection Service request types */

 dcl SQLJR_NOOP                    fixed bin(31) value(0);
                                   /* Reserved (No-op)               */
 dcl SQLJR_STOPGW                  fixed bin(31) value(1);
                                   /* Stop Database function         */
 dcl SQLJR_INT                     fixed bin(31) value(2);
                                   /* Interrupt the request          */
 dcl SQLJR_STARTGW                 fixed bin(31) value(3);
                                   /* Start Database Connection      */
 dcl SQLJR_RPC                     fixed bin(31) value(4);
                                   /* Application Remote Interface   */
 dcl SQLJR_RESET                   fixed bin(31) value(5);
                                   /* Reset database state           */
 dcl SQLJR_CS_MAXOP                fixed bin(31) value(6);
                                   /* Highest Valid Request + 1      */

 /* Database Services request types */

 dcl SQLJR_PREPINIT                fixed bin(31) value(1);
                               /* Precompiler/Binder Initialization  */
 dcl SQLJR_PREPFINI                fixed bin(31) value(2);
                                   /* Precompiler/Binder Termination */
 dcl SQLJR_COMPILE                 fixed bin(31) value(3);
                                   /* Compile                        */
 dcl SQLJR_FREEDA                  fixed bin(31) value(4);
                                   /* Free SQLDA                     */
 dcl SQLJR_OPEN                    fixed bin(31) value(5);
                                   /* Open Cursor                    */
 dcl SQLJR_FETCH                   fixed bin(31) value(6);
                                   /* Fetch with Cursor              */
 dcl SQLJR_CLOSE                   fixed bin(31) value(7);
                                   /* Close Cursor                   */
 dcl SQLJR_EXECUTE                 fixed bin(31) value(8);
                                   /* Execute                        */
 dcl SQLJR_PREPARE                 fixed bin(31) value(9);
                                   /* Prepare                        */
 dcl SQLJR_EXECIMMD                fixed bin(31) value(10);
                                   /* Execute Immediate              */
 dcl SQLJR_COMMIT                  fixed bin(31) value(11);
                                   /* Commit                         */
 dcl SQLJR_ROLLBACK                fixed bin(31) value(12);
                                   /* Rollback                       */
 dcl SQLJR_RUNSTATS                fixed bin(31) value(13);
                                   /* Runstats                       */
 dcl SQLJR_PREREORG                fixed bin(31) value(14);
                           /* Reserved for Database Manager use only */
 dcl SQLJR_DESCRIBE                fixed bin(31) value(15);
                                   /* Describe                       */
 dcl SQLJR_RQSVPT                  fixed bin(31) value(17);
                                   /* Request Savepoint              */
 dcl SQLJR_ENSVPT                  fixed bin(31) value(18);
                                   /* End Savepoint                  */
 dcl SQLJR_RBSVPT                  fixed bin(31) value(19);
                                   /* Rollback Savepoint             */
 dcl SQLJR_GETAA                   fixed bin(31) value(20);
                           /* Reserved for Database Manager use only */
 dcl SQLJR_NOT_USED                fixed bin(31) value(21);
                                   /* Not used                       */
 dcl SQLJR_REORG                   fixed bin(31) value(22);
                           /* Reserved for Database Manager use only */
 dcl SQLJR_GETTA                   fixed bin(31) value(23);
                                   /* Get Table/View Authorizations  */
 dcl SQLJR_CMPNDSQL                fixed bin(31) value(24);
                                   /* Compound SQL request.          */

 /* XA defines in here.            */
 dcl SQLJR_XRECOVER                fixed bin(31) value(25);
                                   /* XA Recover  request.           */
 dcl SQLJR_XFORGET                 fixed bin(31) value(26);
                                   /* XA Forget   request.           */
 dcl SQLJR_XPREPARE                fixed bin(31) value(27);
                                   /* XA Prepare  request.           */
 dcl SQLJR_XCOMMIT                 fixed bin(31) value(28);
                                   /* XA Commit   request.           */
 dcl SQLJR_XROLLBACK               fixed bin(31) value(29);
                                   /* XA Rollback request.           */
 dcl SQLJR_XEND                    fixed bin(31) value(30);
                                   /* XA End      request.           */
 dcl SQLJR_XREG                    fixed bin(31) value(31);
                                   /* XA Register request.           */

 dcl SQLJR_FREE_HANDLES            fixed bin(31) value(32);
                                   /* Free BLOB handles (Temporary)  */

 dcl SQLJR_CMPNDSQL_NA             fixed bin(31) value(33);
                                   /* Not Atomic Compound SQL.       */

 dcl SQLJR_REBIND                  fixed bin(31) value(34);
                                   /* Rebind package    (Temporary)  */
 dcl SQLJR_INTDESC                 fixed bin(31) value(35);
                                   /* Internal Describe (Temporary)  */
 dcl SQLJR_TRUNC_TABLE             fixed bin(31) value(37);
                                   /* Truncate table                 */
 dcl SQLJR_DS_MAXOP                fixed bin(31) value(38);
                                   /* Highest Valid Request + 1      */


 /* DCS Interface Positive Return Codes returned to and by sqledcsr */

 dcl SQLJR_RCF_OK                  fixed bin(31) value('0000'xn);
                                   /* Successful Execution           */
 dcl SQLJR_RCF_COMMIT              fixed bin(31) value('0001'xn);
                                   /* Commit Performed               */
 dcl SQLJR_RCF_ROLLBACK            fixed bin(31) value('0002'xn);
                                   /* Rollback Performed             */
 dcl SQLJR_RCF_CLOSED              fixed bin(31) value('0004'xn);
                                   /* Cursors Closed                 */
 dcl SQLJR_RCF_HOLD                fixed bin(31) value('0008'xn);
                                   /* Cursor has Hold option         */
 dcl SQLJR_RCF_BLOCK               fixed bin(31) value('0010'xn);
                                   /* Cursor can be blocked          */
 dcl SQLJR_RCF_NOBLK               fixed bin(31) value('0020'xn);
                                   /* Cursor cannot be blocked       */
 dcl SQLJR_RCF_SQLCA               fixed bin(31) value('0040'xn);
                                   /* SQLCA Modified                 */
 dcl SQLJR_RCF_FETCHERR            fixed bin(31) value('0080'xn);
                                   /* Cursor closed on fetch         */
 dcl SQLJR_RCF_TERMINATE           fixed bin(31) value('0100'xn);
                                   /* Database Connection Terminated */
 dcl SQLJR_RCF_SECURITY            fixed bin(31) value('0200'xn);
                                   /* Security error                 */
 dcl SQLJR_RCF_FORCE_RLBK          fixed bin(31) value('0400'xn);
                                   /* Forced rollback                */
 dcl SQLJR_RCF_END                 fixed bin(31) value('0800'xn);
                                   /* XA End                         */
 dcl SQLJR_RCF_OPEN                fixed bin(31) value('1000'xn);
                                   /* Cursor already open            */

 /* Number of triplets in sqljra */

 dcl SQLJCSRA_DATA_ITEMS      fixed bin(31) value(5);
                              /* Default Connection Services         */
 dcl SQLJDSRA_DATA_ITEMS      fixed bin(31) value(9);
                              /* Default Database Services           */
                              /* STARTGW_DATA_ITEMS from 5.          */
 dcl SQLJR_STARTGW_DATA_ITEMS fixed bin(31) value(6);
                              /* Extra triplets for STARTGW          */
 dcl SQLJR_MAX_DATA_ITEMS     fixed bin(31) value(11);
                              /* Maximum triplets for any request    */


 /* Data types */

 dcl SQLJ_TYP_CHAR            fixed bin(31) value(1);
                              /* Fixed length character string       */
 dcl SQLJ_TYP_INTEGER         fixed bin(31) value(2);
                              /* 4 byte unsigned short               */
 dcl SQLJ_TYP_SMALL           fixed bin(31) value(3);
                              /* 2 byte unsigned long                */
 dcl SQLJ_TYP_BIN             fixed bin(31) value(4);
                              /* Fixed length binary data            */
 dcl SQLJ_TYP_INSQLDA         fixed bin(31) value(5);
                              /* Input SQLDA                         */
 dcl SQLJ_TYP_OUTSQLDA        fixed bin(31) value(6);
                              /* Output SQLDA                        */
 dcl SQLJ_TYP_INHV            fixed bin(31) value(7);
                              /* In SQLDA for host var description.  */
 dcl SQLJ_TYP_OUTHV           fixed bin(31) value(8);
                              /* Out SQLDA for host var description. */
 dcl SQLJ_TYP_SQLCA           fixed bin(31) value(9);
                              /* SQLCA                               */
 dcl SQLJ_TYP_BNDOPT          fixed bin(31) value(10);
                              /* Bind option array                   */
 dcl SQLJ_TYP_CSTRING         fixed bin(31) value(11);
                              /* Null-terminated char string.        */
 dcl SQLJ_TYP_DBMON           fixed bin(31) value(12);
                              /* DB monitor triplet.                 */
 dcl SQLJ_TYP_XACALL          fixed bin(31) value(13);
                              /* X/Open XA triplet type              */
 dcl SQLJ_TYP_CMPNDSQL        fixed bin(31) value(14);
                              /* Compound SQL control block          */


 /* Length and count defaults */

 dcl SQLJ_LEN_SQLCA                fixed bin(31) value(136);
                                   /* SQLCA                          */
 dcl SQLJ_LEN_CTK                  fixed bin(31) value(8);
                                   /* Consistency token              */
 dcl SQLJ_LEN_USERID               fixed bin(31) value(8);
                                   /* Userid                         */
 dcl SQLJ_LEN_PGMN                 fixed bin(31) value(8);
                                   /* Package name                   */
 dcl SQLJ_LEN_SMALL                fixed bin(31) value(2);
                                   /* 2-Byte signed integer          */
 dcl SQLJ_LEN_CDPG                 fixed bin(31) value(4);
                                 /* Application or Database codepage */
 dcl SQLJ_LEN_TBLNAM               fixed bin(31) value(18);
                                   /* Table name                     */

 dcl SQLJ_LEN_DBNAME               fixed bin(31) value(8);
                                   /* Len of database name.          */
 dcl SQLJ_LEN_APPLID               fixed bin(31) value(32);
                                   /* Len of database mon appid.     */
 dcl SQLJ_LEN_PRODID               fixed bin(31) value(8);
                                   /* Length of prodid.              */
 dcl SQLJ_LEN_PRNAME               fixed bin(31) value(20);
                                   /* Length of prog name.           */

 dcl SQLJ_LEN_DRDADBNAME           fixed bin(31) value(18);
                                   /* DRDA-1 database name           */
 dcl SQLJ_LEN_PSWD                 fixed bin(31) value(18);
                                   /* User password                  */
 dcl SQLJ_LEN_NODE                 fixed bin(31) value(8);
                                   /* Node name                      */
 dcl SQLJ_BNDOPT_CNT               fixed bin(31) value(6);
                                   /* Bind option array count        */
 dcl SQLJ_INDICATOR_ARRAY_SIZE     fixed bin(31) value(8);
                                   /* Indicator array count          */

 dcl SQLJ_RELNO fixed bin(31) value('0101'xn);
                                   /* SQLJRA version number          */
 dcl SQLJRA_TTL char value('SQLJRA  ');
                                   /* SQLJRA title                   */

 /********************************************************************/
 /* Indicator array offset defintions                                */
 /********************************************************************/

 /* sqlrtype = SQLJR_STARTGW                                         */
 /*                            - sqlrflag[SQLJ_CONN_OFF]             */
 /*                            - sqlrflag[SQLJ_USE_OFF]              */
 /*                            - sqlrflag[SQLJ_AUTH_OFF]             */
 /*                            - sqlrflag[SQLJ_UNAME_FROM_OFF]       */

 dcl SQLJ_CONN_OFF                 fixed bin(31) value(0);
                                   /* Offset for Connection type     */
 dcl SQLJ_USE_OFF                  fixed bin(31) value(1);
                                   /* Offset for database use        */
 dcl SQLJ_AUTH_OFF                 fixed bin(31) value(2);
                                   /* Security authentication type   */
 dcl SQLJ_UNAME_FROM_OFF           fixed bin(31) value(3);
                                   /* Authentication source          */

 /* SQLJ_CONN_OFF values */
 dcl SQLJ_CONNECT                  fixed bin(31) value(1);
                                   /* Connection operation           */
 dcl SQLJ_MIGRATE                  fixed bin(31) value(2);
                                   /* Migrate operation              */
 dcl SQLJ_RESTORE                  fixed bin(31) value(3);
                                   /* Restore database               */
 dcl SQLJ_RESTART                  fixed bin(31) value(4);
                                   /* Restart/recover database       */
 dcl SQLJ_BACKUP                   fixed bin(31) value(5);
                                   /* Backup database                */
 dcl SQLJ_RECOVER                  fixed bin(31) value(6);
                                   /* Recover database               */

 /* SQLJ_USE_OFF values   */
 dcl SQLJ_USE_SHR                  char value('S');
                                   /* Shared use connection          */
 dcl SQLJ_USE_EXC                  char value('X');
                                   /* Exclusive use connection       */


 /* sqlrtype = all SQLJ_DBSV sqlrtypes : Standards option            */
 /*                            - sqlrflag[SQLJ_STND_OFF]             */

 dcl SQLJ_STND_OFF                 fixed bin(31) value(0);
                                   /* Offset for standards option    */

 /* SQLJ_STND_OFF values   */
 dcl SQLJ_STND_NONE                char value('0');
                                   /* No compliance required         */
 dcl SQLJ_STND_MIA                 char value('1');
                                   /* MIA compliance required        */
 dcl SQLJ_STND_SQL89               char value('2');
                                   /* SQL 89 compliance required     */


 /* sqlrtype = SQLJR_COMMIT                                          */
 /*                            - sqlrflag[SQLJ_CMMT_OFF]             */
 /*                            - sqlrflag[SQLJ_CMMT_DTP_OFF]         */

 dcl SQLJ_CMMT_OFF                 fixed bin(31) value(1);
                                   /* Offset for hold option         */
 dcl SQLJ_CMMT_DTP_OFF             fixed bin(31) value(2);
                                   /* DTP state offset.              */
 dcl SQLJ_CMMT_SNDRCV_OFF          fixed bin(31) value(3);
                                   /* Sync/Async offset              */

 /* SQLJ_CMMT_OFF values   */
 dcl SQLJ_CMMT_NOHOLD              fixed bin(31) value(0);
                                   /* Commit                         */
 dcl SQLJ_CMMT_HOLD                fixed bin(31) value(1);
                                   /* Commit hold                    */

 /* SQLJ_CMMT_SNDRCV_OFF values                                      */
 /*    SQLE_DB2RA_SNDRCV_BOTH                                        */
 /*    SQLE_DB2RA_SNDRCV_SEND                                        */
 /*    SQLE_DB2RA_SNDRCV_RECV                                        */

 /* ROLLBACK FLAG values                                             */
 dcl SQLJ_ROLL_SNDRCV_OFF          fixed bin(31) value(0);
                                   /* Indicator for send or receive  */

 /* SQLJ_ROLL_SNDRCV_OFF values are the same as SQLJ_CMMT_SNDRCV_OFF */

 /* sqlrtype = SQLJR_COMPILE                                         */
 /*                            - sqlrflag[SQLJ_DCSR_OFF]             */
 /*                            - sqlrflag[SQLJ_CSRH_OFF]             */
 /*                            - sqlrflag[SQLJ_SG_OFF]               */
 /*                            - sqlrflag[SQLJ_COMP_DTP_OFF]         */

 dcl SQLJ_DCSR_OFF                 fixed bin(31) value(1);
                                   /* Offset for Statement type      */
 dcl SQLJ_CSRH_OFF                 fixed bin(31) value(2);
                                   /* Offset for Cursor Hold option  */
 dcl SQLJ_SG_OFF                   fixed bin(31) value(3);
                                   /* Offset for Shallow Grammar     */
 dcl SQLJ_COMP_DTP_OFF             fixed bin(31) value(4);
                                   /* DTP state offset.              */

 /* SQLJ_DCSR_OFF values */
 dcl SQLJ_STMT_NDCLR               fixed bin(31) value(0);
                                   /* Statement is not Declare Cursor*/
 dcl SQLJ_STMT_DCLR                fixed bin(31) value(1);
                                   /* Statement is Declare Cursor    */

 /* SQLJ_CSRH_OFF values */
 dcl SQLJ_CSR_NOHOLD               fixed bin(31) value(0);
                                   /* Cursor not declared with Hold  */
 dcl SQLJ_CSR_HOLD                 fixed bin(31) value(1);
                                   /* Cursor declared with Hold      */

 /* SQLJ_SG_OFF values   */
 dcl SQLJ_STMT_VALID               fixed bin(31) value(0);
                          /* Statement recognized by precompiler     */
 dcl SQLJ_STMT_UNKNOWN             fixed bin(31) value(1);
                          /* Statement not recognized by precompiler */

 /* sqlrtype = SQLJR_CLOSE                                 @d32824acc*/
 /*                   - sqlrflag[SQLJ_DTP_OFF] (see below) @d32824acc*/
 /*                   - sqlrflag[SQLJ_REL_OFF]             @d32824acc*/

 dcl SQLJ_REL_OFF                  fixed bin(31) value(2);
                                /* RELEASE option offset   @d32824acc*/


 /* sqlrtype = SQLJR_EXECUTE  - sqlrflag[SQLJ_EXEC_OFF]              */
 /*                           - sqlrflag[SQLJ_EXEC_DTP_OFF]          */

 dcl SQLJ_EXEC_OFF                 fixed bin(31) value(1);
                                   /* Offset for output SQLDA option */
 dcl SQLJ_EXEC_DTP_OFF             fixed bin(31) value(2);
                                   /* DTP state offset.              */

 /* SQLJ_EXEC_OFF and SQLJ_CSRDA_OFF values */
 dcl SQLJ_NO_OUTSQLDA              fixed bin(31) value(0);
                                   /* Do not return output SQLDA     */
 dcl SQLJ_OUTSQLDA                 fixed bin(31) value(1);
                                   /* Return output SQLDA            */

 /* sqlrtype =  SQLJR_OPEN                                           */
 /*                            - sqlrflag[SQLJ_CSRDA_OFF]            */
 /*                            - sqlrflag[SQLJ_CSRRW_OFF]            */
 /*                            - sqlrflag[SQLJ_BLKREQ_OFF]           */
 /*                            - sqlrflag[SQLJ_OPEN_DTP_OFF]         */

 dcl SQLJ_CSRDA_OFF                fixed bin(31) value(1);
                                   /* Offset for SQLDA option        */
 dcl SQLJ_CSRRW_OFF                fixed bin(31) value(2);
                                   /* Offset for READ/UPDATE option  */
 dcl SQLJ_BLKREQ_OFF               fixed bin(31) value(3);
                                   /* Offset for blocking flag.      */
 dcl SQLJ_OPEN_DTP_OFF             fixed bin(31) value(4);
                                   /* DTP state offset.              */

 /* SQLJ_CSRRW_OFF values */
 dcl SQLJ_READ                     fixed bin(31) value(0);
                                   /* Output SQLDA for read-only     */
 dcl SQLJ_UPDATE                   fixed bin(31) value(1);
                                   /* Output SQLDA will be modified  */

 /* SQLJ_BLKREQ_OFF values  */
 dcl SQLJ_NO_BLOCK                 fixed bin(31) value(0);
                                   /* Ask for no blocking            */
 dcl SQLJ_BLOCK                    fixed bin(31) value(1);
                                   /* Ask for blocking               */


 /* sqlrtype = SQLJR_PREPFINI                                        */
 /*                           - sqlrflag[SQLJ_PFINI_OFF]             */
 /*                           - sqlrflag[SQLJ_PFINI_DTP_OFF]         */

 dcl SQLJ_PFINI_OFF                fixed bin(31) value(0);
                                   /* Offset for Commit/Rollback     */
 dcl SQLJ_PFINI_DTP_OFF            fixed bin(31) value(1);
                                   /* DTP state offset.              */

 /* SQLJ_PFINI_OFF values */
 dcl SQLJ_COMMIT                   fixed bin(31) value(1);
                                   /* Commit package                 */
 dcl SQLJ_ROLLBACK                 fixed bin(31) value(0);
                                   /* Rollback package               */


 /* sqlrtype = SQLJR_RUNSTATS                                        */
 /*                           - sqlrflag[SQLJ_STATS_OFF]             */
 /*                           - sqlrflag[SQLJ_SHRLV_OFF]             */
 /*                           - sqlrflag[SQLJ_RUNST_DTP_OFF]         */

 dcl SQLJ_STATS_OFF                fixed bin(31) value(1);
                                   /* Offset for Statistics option   */
 dcl SQLJ_SHRLV_OFF                fixed bin(31) value(2);
                                   /* Offset for Share level         */
 dcl SQLJ_RUNST_DTP_OFF            fixed bin(31) value(3);
                                   /* DTP state offset.              */

 /* SQLJ_STATS_OFF values are defined in sqlutil.cpy                 */

 /* SQLJ_SHRLV_OFF values  are defined in sqlutil.cpy                */


 /* sqlrtype = all SQLJ_DBSV sqlrtypes EXCEPT the following ...      */
 /*            SQLJR_COMMIT                                          */
 /*            SQLJR_COMPILE                                         */
 /*            SQLJR_EXECUTE                                         */
 /*            SQLJR_OPEN                                            */
 /*            SQLJR_PREPFINI                                        */
 /*            SQLJR_RUNSTATS                                        */
 /*                          - sqlrflag[SQLJ_DTP_OFF]                */

 dcl SQLJ_DTP_OFF                  fixed bin(31) value(1);
                                   /* DTP state offset.  */

 /* SQLJ_DTP_OFF       values are defined in sqlra.cpy as the        */
 /*                    SQLR_XA_CONNECT values.                       */


 /********************************************************************/
 /* Triplet defintions                                               */
 /********************************************************************/

 /* sqlrtype = SQLJR_STARTGW */

 dcl SQLJ_UPW_OFF                  fixed bin(31) value(0);
                                   /*  user password                 */
 dcl SQLJ_ACP_OFF                  fixed bin(31) value(1);
                                   /*  application code page         */
 dcl SQLJ_ANN_OFF                  fixed bin(31) value(2);
                                   /*  application node name         */
 dcl SQLJ_APN_OFF                  fixed bin(31) value(3);
                                   /*  application name              */
 dcl SQLJ_DPW_OFF                  fixed bin(31) value(4);
                                   /*  database password             */
 dcl SQLJ_MON_OFF                  fixed bin(31) value(5);
                                   /*  database monitor              */
 dcl SQLJ_DCE_OFF                  fixed bin(31) value(6);
                                   /*  DCE Ticket                    */
 dcl SQLJ_ACC_OFF                  fixed bin(31) value(7);
                                   /*  User-supplied DDCS accounting */
                                   /*  string component.             */

 /* sqlrtype = SQLJR_RPC */

 dcl SQLJ_PRC_OFF                  fixed bin(31) value(0);
                                   /*  procedure return code         */
 dcl SQLJ_RPN_OFF                  fixed bin(31) value(1);
                                   /*  remote procedure name         */
 dcl SQLJ_DAT_OFF                  fixed bin(31) value(2);
                                   /*  input data area               */
 dcl SQLJ_IDA_OFF                  fixed bin(31) value(2);
                                   /*  input sqlda                   */
 dcl SQLJ_ODA_OFF                  fixed bin(31) value(3);
                                   /*  output sqlda                  */

 /* sqlrtype = SQLJR_COMPILE */

 dcl SQLJ_STN_OFF                  fixed bin(31) value(0);
                                   /*  statement number              */
 dcl SQLJ_STT_OFF                  fixed bin(31) value(1);
                                   /*  statement text                */
 dcl SQLJ_CRN_OFF                  fixed bin(31) value(2);
                                   /*  cursor name                   */
 dcl SQLJ_SEL_OFF                  fixed bin(31) value(3);
                                   /*  select string                 */


 /* sqlrtype = SQLJR_EXECIMMD */
 /*            SQLJR_PREPARE */
 /*            SQLJR_REORG  */

 dcl SQLJ_TXT_OFF                  fixed bin(31) value(0);
                                   /*  statement text                */
 dcl SQLJ_ALP_OFF                  fixed bin(31) value(1);
                                   /*  alternate path                */


 /* sqlrtype = SQLJR_GETTA                                           */
 /*            SQLJR_RUNSTATS                                        */

 dcl SQLJ_TNM_OFF                  fixed bin(31) value(0);
                                   /*  table name                    */
 dcl SQLJ_INX_OFF                  fixed bin(31) value(1);
                                   /*  index list                    */

 /* sqlrtype = SQLJR_TRUNC_TABLE                                     */

 dcl SQLJ_TBN_OFF                  fixed bin(31) value(0);
                                   /*  table name                    */
 dcl SQLJ_SCH_OFF                  fixed bin(31) value(1);
                                   /*  index list                    */


 /* sqlrtype = SQLJR_PREPINIT                                        */

 dcl SQLJ_BOA_OFF                  fixed bin(31) value(0);
                                   /*  bind option array             */
 dcl SQLJ_BIND_OFF                 fixed bin(31) value(1);
                                   /*  New bind option array         */


 /* sqlrtype = SQLJR_CMPNDSQL                                        */

 dcl SQLJ_CMPND_OFF                fixed bin(31) value(0);
                                   /* cmpd SQL control               */


 /* sqlrtype = SQLJR_XA_RECOVER                                      */
 /*            SQLJR_XA_PREPARE                                      */
 /*            SQLJR_XA_FORGET                                       */
 /*            SQLJR_XA_COMMIT                                       */
 /*            SQLJR_XA_ROLLBACK                                     */
 /*            SQLJR_XA_END                                          */

 dcl SQLJ_XACALL_OFF              fixed bin(31) value(0);
                                  /* XA Call Info struct             */

 /********************************************************************/
 /* Bind Option codepoints                                           */
 /* These are the DDM codepoints which correspond to the all the bind*/
 /* options  which may be specified with the Database Connection     */
 /* Services Programming  Interface. */
 /********************************************************************/

 /* sqlrtype = SQLJR_PREPINIT, sqljra.sqlrdata[SQLJ_BOA_OFF], */
 /*            sqljra_bindopts.option                         */

 dcl SQLJ_BO_TITLE              fixed bin(16) unsigned value('0045'xu);
                                  /* A brief description             */
 dcl SQLJ_BO_VRSNAM             fixed bin(16) unsigned value('1144'xu);
                                  /* Version name                    */
 dcl SQLJ_BO_PKGDFTCC           fixed bin(16) unsigned value('119A'xu);
                                  /* Package default CCSIDs of col   */
 dcl SQLJ_BO_CCSIDSBC           fixed bin(16) unsigned value('119C'xu);
                                  /* CCSID for single-byte chars     */
 dcl SQLJ_BO_CCSIDDBC           fixed bin(16) unsigned value('119D'xu);
                                  /* CCSID for double-byte chars     */
 dcl SQLJ_BO_CCSIDMBC           fixed bin(16) unsigned value('119E'xu);
                                  /* CCSID for mixed-byte chars      */
 dcl SQLJ_BO_DECPRC             fixed bin(16) unsigned value('2106'xu);
                                  /* Decimal precision               */
 dcl SQLJ_BO_PKGCNSTKN          fixed bin(16) unsigned value('210D'xu);
                                  /* RDB package consistency token   */
 dcl SQLJ_BO_BNDCHKEXS          fixed bin(16) unsigned value('211B'xu);
                                  /* Bind existence checking         */
 dcl SQLJ_BO_PKGRPLOPT          fixed bin(16) unsigned value('211C'xu);
                                  /* Bind package replacement option */
 dcl SQLJ_BO_BNDCRTCTL          fixed bin(16) unsigned value('211D'xu);
                                  /* Bind create package option      */
 dcl SQLJ_BO_PKGATHOPT          fixed bin(16) unsigned value('211E'xu);
                                  /* Bind package authorization      */
 dcl SQLJ_BO_STTSTRDEL          fixed bin(16) unsigned value('2120'xu);
                                  /* Bind statement string delimiter */
 dcl SQLJ_BO_STTDECDEL          fixed bin(16) unsigned value('2121'xu);
                                  /* Bind statement decimal delimiter*/
 dcl SQLJ_BO_STTDATFMT          fixed bin(16) unsigned value('2122'xu);
                                  /* Bind date format option         */
 dcl SQLJ_BO_STTTIMFMT          fixed bin(16) unsigned value('2123'xu);
                                  /* Bind time format option         */
 dcl SQLJ_BO_PKGISOLVL          fixed bin(16) unsigned value('2124'xu);
                                  /* Isolation level                 */
 dcl SQLJ_BO_PKGDFTCST          fixed bin(16) unsigned value('2125'xu);
                                  /* Package default char subtype    */
 dcl SQLJ_BO_DFTRDBCOL          fixed bin(16) unsigned value('2128'xu);
                                  /* Default RDB collection id       */
 dcl SQLJ_BO_RDBRLSOPT          fixed bin(16) unsigned value('2129'xu);
                                  /* RDB release option              */
 dcl SQLJ_BO_PKGRPLVRS          fixed bin(16) unsigned value('212D'xu);
                                  /* Replaced package version name   */
 dcl SQLJ_BO_DGRIOPRL           fixed bin(16) unsigned value('212F'xu);
                                  /* Degree of I/O parallelism       */
 dcl SQLJ_BO_BNDEXPOPT          fixed bin(16) unsigned value('2130'xu);
                                  /* Bind explain option             */
 dcl SQLJ_BO_PKGOWNID           fixed bin(16) unsigned value('2131'xu);
                                  /* Package owner id                */
 dcl SQLJ_BO_QRYBLKCTL          fixed bin(16) unsigned value('2132'xu);
                                  /* Query block protocol            */
 dcl SQLJ_BO_PKGATHRUL          fixed bin(16) unsigned value('213F'xu);
                                  /* Package authorization rules     */

 /*   Database Manager internal values */
 dcl SQLJ_BO_STANDARD           fixed bin(16) unsigned value('F901'xu);
                                  /* Standards compliance option     */

 /********************************************************************/
 /* Bind Option values                                               */
 /* These are the DDM codepoints which correspond to the values for  */
 /* the  bind  options which may be specified with the Database      */
 /* Connection Services Programming Interface. */
 /********************************************************************/

 /* sqlrtype = SQLJR_PREPINIT, sqljra.sqlrdata[SQLJ_BOA_OFF], */
 /*            sqljra_bindopts.value                          */

 dcl SQLJ_BO_FRCSNGROW          fixed bin(16) unsigned value('2410'xu);
                                  /* Force single row query          */
 dcl SQLJ_BO_LMTBLCK            fixed bin(16) unsigned value('2417'xu);
                                  /* Limited block query             */
 dcl SQLJ_BO_SNGROW             fixed bin(16) unsigned value('2418'xu);
                                  /* Single row query                */
 dcl SQLJ_BO_BNDEXSRQR          fixed bin(16) unsigned value('241C'xu);
                                  /* Bind object existence required  */
 dcl SQLJ_BO_BNDEXSOPT          fixed bin(16) unsigned value('241D'xu);
                                  /* Bind object existence optional  */
 dcl SQLJ_BO_PKGATHRUL_OWN      fixed bin(16) unsigned value('0001'xu);
                                  /* Package auth. rule owner        */
 dcl SQLJ_BO_PKGATHRUL_REQ      fixed bin(16) unsigned value('0000'xu);
                                  /* Package auth. rule requester    */
 dcl SQLJ_BO_PKGRPLALW          fixed bin(16) unsigned value('241F'xu);
                                  /* Package replacement allowed     */
 dcl SQLJ_BO_PKGRPLNA           fixed bin(16) unsigned value('2420'xu);
                                  /* Package replacement not allowed */
 dcl SQLJ_BO_BNDCHKONL          fixed bin(16) unsigned value('2421'xu);
                                  /* Syntax Check only               */
 dcl SQLJ_BO_BNDNERALW          fixed bin(16) unsigned value('2422'xu);
                                  /* Create package if no errors     */
 dcl SQLJ_BO_BNDERRALW          fixed bin(16) unsigned value('2423'xu);
                                  /* Create Package even if errors   */
 dcl SQLJ_BO_BNDCHK    fixed bin(16) unsigned value(SQLJ_BO_BNDCHKONL);
 dcl SQLJ_BO_BNDCRT    fixed bin(16) unsigned value(SQLJ_BO_BNDNERALW);
 dcl SQLJ_BO_BNDERR    fixed bin(16) unsigned value(SQLJ_BO_BNDERRALW);
 dcl SQLJ_BO_PKGATHRVK          fixed bin(16) unsigned value('2424'xu);
                                  /* Package authorizations revoked  */
 dcl SQLJ_BO_PKGATHKP           fixed bin(16) unsigned value('2425'xu);
                                  /* Package authorizations keep     */
 dcl SQLJ_BO_STRDELAP           fixed bin(16) unsigned value('2426'xu);
                                  /* String delimeter apostrophe     */
 dcl SQLJ_BO_STRDELDQ           fixed bin(16) unsigned value('2427'xu);
                                  /* String delimeter double quote   */
 dcl SQLJ_BO_ISOFMT             fixed bin(16) unsigned value('2429'xu);
                                  /* ISO date format                 */
 dcl SQLJ_BO_USAFMT             fixed bin(16) unsigned value('242A'xu);
                                  /* USA date format                 */
 dcl SQLJ_BO_EURFMT             fixed bin(16) unsigned value('242B'xu);
                                  /* European date format            */
 dcl SQLJ_BO_JAPANFMT           fixed bin(16) unsigned value('242C'xu);
                                  /* Japanese date format            */
 dcl SQLJ_BO_ISOTIMFMT          fixed bin(16) unsigned value('242E'xu);
                                  /* ISO time format                 */
 dcl SQLJ_BO_USATIMFMT          fixed bin(16) unsigned value('242F'xu);
                                  /* USA time format                 */
 dcl SQLJ_BO_EURTIMFMT          fixed bin(16) unsigned value('2430'xu);
                                  /* European time format            */
 dcl SQLJ_BO_JISTIMFMT          fixed bin(16) unsigned value('2431'xu);
                                  /* Japanese time format            */
 dcl SQLJ_BO_CSTSYSDFT          fixed bin(16) unsigned value('2432'xu);
                                  /* Character subtype system default*/
 dcl SQLJ_BO_CSTBITS            fixed bin(16) unsigned value('2433'xu);
                                  /* Character subtype bits          */
 dcl SQLJ_BO_CSTSBCS            fixed bin(16) unsigned value('2434'xu);
                                  /* Character subtype SBCS          */
 dcl SQLJ_BO_CSTMBCS            fixed bin(16) unsigned value('2435'xu);
                                  /* Character subtype MBCS          */
 dcl SQLJ_BO_RDBRLSCMM          fixed bin(16) unsigned value('2438'xu);
                                  /* RDB release at commit           */
 dcl SQLJ_BO_RDBRLSCNV          fixed bin(16) unsigned value('2439'xu);
                                  /* RDB release at conversation     */
                                  /* deallocation                    */
 dcl SQLJ_BO_EXPNON             fixed bin(16) unsigned value('243A'xu);
                                  /* Explain no SQL statements       */
 dcl SQLJ_BO_EXPALL             fixed bin(16) unsigned value('243B'xu);
                                  /* Explain all explainable SQL     */
                                  /* statements.                     */
 dcl SQLJ_BO_DECDELPRD          fixed bin(16) unsigned value('243C'xu);
                                  /* Decimal delimeter is period     */
 dcl SQLJ_BO_DECDELCMA          fixed bin(16) unsigned value('243D'xu);
                                  /* Decimal delimeter is comma      */
 dcl SQLJ_BO_ISOLVLCHG          fixed bin(16) unsigned value('2441'xu);
                                  /* Isolation lvl = change          */
 dcl SQLJ_BO_ISOLVLCS           fixed bin(16) unsigned value('2442'xu);
                                  /* Isolation lvl = cursor stability*/
 dcl SQLJ_BO_ISOLVLALL          fixed bin(16) unsigned value('2443'xu);
                                  /* Isolation lvl = all             */
 dcl SQLJ_BO_ISOLVLRR           fixed bin(16) unsigned value('2444'xu);
                                  /* Isolation lvl = repeatable read */
 dcl SQLJ_BO_ISOLVLNC           fixed bin(16) unsigned value('2445'xu);
                                  /* Isolation lvl = no check        */


 /*   Database Manager internal values */
 dcl SQLJ_BO_STDSQL89           fixed bin(16) unsigned value('F902'xu);
                                  /* SQL 89 standards compliance     */
 dcl SQLJ_BO_STDMIA             fixed bin(16) unsigned value('F903'xu);
                                  /* MIA standards compliance        */
 dcl SQLJ_BO_STDNONE            fixed bin(16) unsigned value('F904'xu);
                                  /* No standards compliance required*/
 dcl SQLJ_BO_DEFFMT             fixed bin(16) unsigned value('F905'xu);
                                  /* Default country date format     */
 dcl SQLJ_BO_DEFTIMFMT          fixed bin(16) unsigned value('F907'xu);
                                  /* Default country time format     */
 dcl SQLJ_BO_LOCAL              fixed bin(16) unsigned value('F906'xu);
                                  /* Local country date format       */
 dcl SQLJ_BO_LOCALTIM           fixed bin(16) unsigned value('F906'xu);
                                  /* Local country time format       */
 dcl SQLJ_BO_INSERT             fixed bin(16) unsigned value('F908'xu);
                                  /* Buffered insert                 */
 dcl SQLJ_BO_INSDEF             fixed bin(16) unsigned value('F909'xu);
                                  /* No buffering of inserts         */
 dcl SQLJ_BO_INSBUF             fixed bin(16) unsigned value('F90A'xu);
                                  /* Buffering of inserts            */

 /********************************************************************/
 /* Structure Definitions                                            */
 /********************************************************************/

 /* Database Monitor and NLS - Start Using Triplet structure         */
 define structure
    1 SQLJ_DBMON_TRIPLET,
      2 country         fixed bin(16) unsigned,      /* For NLS use. */
      2 comheap_size    fixed bin(16) unsigned,
      2 appl_id         char(SQLJ_LEN_APPLID) varz,
      2 dbalias         char(SQLJ_LEN_DBNAME) varz,
      2 client_prod_id  char(SQLJ_LEN_PRODID) varz,
      2 prog_name       char(SQLJ_LEN_PRNAME) varz,
      2 client_platform type sqluint32;


 /* Bind Option Array Element                                        */
 define structure
   1 sqljra_bindopts,
     2 length       fixed bin(16) unsigned,
     2 option       fixed bin(16) unsigned,
     2 value        fixed bin(16) unsigned;


 /* New Bind Options Array Element                                   */
 define structure
   1 sqljra_bind_options,
     2 length       fixed bin(16) unsigned,
     2 option       fixed bin(16) unsigned,
     2 user_defined fixed bin(16) unsigned,
     2 bind_data,
       3 value      fixed bin(16) unsigned,
       3 valopt     char(1);


 /* SQLJRA Triplet element                                           */
 define structure
   1 SQLJDATA,
     2 sqlrdtl      type sqluint32,
     2 sqlrdtt      type sqluint32,
     2 sqlrdtp      pointer;


 /* SQLJRA                                                            */

 define structure
   1 sqljra,
     2 sqlraid  char(8),               /* Eye catcher = 'SQLJRA '     */
     2 sqlrabc  type sqluint32,        /* Size in bytes               */
     2 sqlrelno fixed bin(16) unsigned,/* Version number              */
     2 sqltype  fixed bin(16) unsigned,/* Service type                */
     2 sqlrtype fixed bin(16) unsigned,/* Request type                */
     2 sqlrdnum fixed bin(16) unsigned,/* Number of triplets          */
                                       /* SQLCA                       */
     2 sqlrcal  type sqluint32,        /*   Length of SQLCA           */
     2 sqlrcat  type sqluint32,        /*   Data type of SQLCA        */
     2 sqlrcap  pointer,               /*   Pointer to SQLCA          */
                                       /* Input SQLDA                 */
     2 sqlrdail type sqluint32,        /*   Length of input SQLDA     */
     2 sqlrdait type sqluint32,        /*   Data type of input SQLDA  */
     2 sqlrdapi handle sqlda,          /*   Pointer to input SQLDA    */
                                       /* Output SQLDA                */
     2 sqlrdaol type sqluint32,        /*   Length of output SQLDA    */
     2 sqlrdaot type sqluint32,        /*   Data type of output SQLDA */
     2 sqlrdapo handle sqlda,          /*   Pointer to output SQLDA   */
                                       /* Indicator array             */
     2 sqlrflgl type sqluint32,        /*   Length of indicator array */
     2 sqlrflgt type sqluint32,        /*   Data type of indic. array */
     2 sqlrflag pointer,               /*   Pointer to indic. array   */
                                       /* Userid                      */
     2 sqlrusrl type sqluint32,        /*   Length of userid          */
     2 sqlrusrt type sqluint32,        /*   Data type of userid       */
     2 sqlruser pointer,               /*   Pointer to userid         */
                                       /* Database name               */
     2 sqlrdbnl type sqluint32,        /*   Length of database name   */
     2 sqlrdbnt type sqluint32,        /*   Data type of database name*/
     2 sqlrdbnm pointer,               /*   Pointer to database name  */
                                       /* Package creator             */
     2 sqlrcrel type sqluint32,        /*   Length of package creator */
     2 sqlrcret type sqluint32,        /* Data type of package creator*/
     2 sqlrcrea pointer,               /*   Pointer to package creator*/
                                       /* Section Number              */
     2 sqlrsctl type sqluint32,        /*   Length of section number  */
     2 sqlrsctt type sqluint32,        /*  Data type of section number*/
     2 sqlrsect pointer,               /*   Pointer to section number */
                                       /* Package Name                */
     2 sqlrpgml type sqluint32,        /*   Length of package name    */
     2 sqlrpgmt type sqluint32,        /*   Data type of package name */
     2 sqlrpgmn pointer,               /*   Pointer to package name   */
                                       /* Consistency token           */
     2 sqlrctkl type sqluint32,        /*  Length of consistency token*/
     2 sqlrctkt type sqluint32,      /* Data type of consistency token*/
     2 sqlrctkp pointer,               /* Pointer to consistency token*/
                                       /*   Data triplets             */
     2 sqlrdata (SQLJR_MAX_DATA_ITEMS) type SQLJDATA;

 define alias SQLJCSRA type SQLJRA;  /* Connection Services    SQLJRA */
 define alias SQLJDSRA type SQLJRA;  /* Database Services      SQLJRA */

 dcl SQLJ_LEN_SQLJRA   fixed bin (31) value (SIZE (: SQLJRA :) );
                                            /* SQLJRA size           */
 dcl SQLJ_LEN_SQLJCSRA fixed bin (31) value (SIZE (: SQLJRA :) );
                                            /* SQLJCSRA size         */
 dcl SQLJ_LEN_SQLJDSRA fixed bin (31) value (SIZE (: SQLJRA :) ) ;
                                            /* SQLJDSRA size         */

 %end; /* SQL_H_SQLJRA */
