 /* tclDecls.cpy --                                                   */
 /*                                                                   */
 /*	Declarations of functions in the platform independent public Tcl  */
 /* API.                                                              */
 /*                                                                   */
 /* Copyright (c) 1998-1999 by Scriptics Corporation.                 */
 /* Copyright (c) 1998-2000 Mark Yudkin (PL/I translation)            */

 %dcl #TCLDECLS char ext;
 %if #TCLDECLS = '' %then %do;
 %#TCLDECLS = 'Y';

 %dcl TCL_ENTRY_API     char;
 %TCL_ENTRY_API      = 'options (byvalue nodescriptor linkage(cdecl))';
 %dcl TCL_LISTENTRY_API char;
 %TCL_LISTENTRY_API  = 'options (byaddr nodescriptor linkage(cdecl))';

 %dcl TCL_MEM_DEBUG char ext;

 %dcl VA_LIST_DEFINED char ext;
 %if VA_LIST_DEFINED = '' %then %do;
   %VA_LIST_DEFINED = 'Y';
   define alias va_list pointer;
 %end;

 %dcl USE_TCL_STUBS      char;
 %dcl USE_TCL_STUB_PROCS char;

 %if USE_TCL_STUBS = '' | USE_TCL_STUB_PROCS ^= '' %then %do;

 /* Exported Tcl procedures: */

 dcl Tcl_Access
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Access');

 dcl Tcl_AddErrorInfo
     entry (handle Tcl_Interp,
            char (*) varz byaddr nonasgn)
     TCL_ENTRY_API
     external('Tcl_AddErrorInfo');

 dcl Tcl_AddObjErrorInfo
     entry (handle Tcl_Interp,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_AddObjErrorInfo');

 dcl Tcl_AlertNotifier
     entry (type ClientData)
     TCL_ENTRY_API
     external('Tcl_AlertNotifier');

 dcl Tcl_Alloc
     entry (fixed bin (32) unsigned)
     returns(pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_Alloc');

 dcl Tcl_AllowExceptions
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_AllowExceptions');

 dcl Tcl_AppendAllObjTypes
     entry (handle Tcl_Interp,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_AppendAllObjTypes');

 dcl Tcl_AppendElement
     entry (handle Tcl_Interp,
            char (*) varz byaddr nonasgn)
     TCL_ENTRY_API
     external('Tcl_AppendElement');

 dcl Tcl_AppendObjToObj
     entry (handle Tcl_Obj,
            handle Tcl_Obj)
     TCL_ENTRY_API
     external('Tcl_AppendObjToObj');

 dcl Tcl_AppendResult
     entry (handle Tcl_Interp byvalue,
            char (*) varz byaddr optional list)
     TCL_LISTENTRY_API
     external('Tcl_AppendResult');

 dcl Tcl_AppendResultVA
     entry (handle Tcl_Interp byvalue,
            type va_list byaddr)
     TCL_ENTRY_API
     external('Tcl_AppendResultVA');

 dcl Tcl_AppendStringsToObj
     entry (handle Tcl_Obj byvalue,
            char (*) varz byaddr optional list)
     TCL_LISTENTRY_API
     external('Tcl_AppendStringsToObj');

 dcl Tcl_AppendStringsToObjVA
     entry (handle Tcl_Obj byvalue,
            type va_list byaddr)
     TCL_ENTRY_API
     external('Tcl_AppendStringsToObjVA');

 dcl Tcl_AppendToObj
     entry (handle Tcl_Obj,
            char (*) varz byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_AppendToObj');

 dcl Tcl_AppendUnicodeToObj
     entry (handle Tcl_Obj byvalue,
            Tcl_UniChar (*) varz byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_AppendUnicodeToObj');

 dcl Tcl_AsyncCreate
     entry (type Tcl_AsyncProc,
            type ClientData)
     returns (type Tcl_AsyncHandler byvalue optional)
     TCL_ENTRY_API
     external('Tcl_AsyncCreate');

 dcl Tcl_AsyncDelete
     entry (type Tcl_AsyncHandler)
     TCL_ENTRY_API
     external('Tcl_AsyncDelete');

 dcl Tcl_AsyncInvoke
     entry (handle Tcl_Interp,
           fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_AsyncInvoke');

 dcl Tcl_AsyncMark
     entry (type Tcl_AsyncHandler)
     TCL_ENTRY_API
     external('Tcl_AsyncMark');

 dcl Tcl_AsyncReady
     entry ()
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_AsyncReady');

 dcl Tcl_BackgroundError
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_BackgroundError');

 dcl Tcl_Backslash
     entry (char (*) varz byaddr nonasgn,
           fixed bin (31) byaddr)
     returns (char byvalue)
     TCL_ENTRY_API
     external('Tcl_Backslash');

 dcl Tcl_BadChannelOption
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_BadChannelOption');

 dcl Tcl_CallWhenDeleted
     entry (handle Tcl_Interp,
            type Tcl_InterpDeleteProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CallWhenDeleted');

 dcl Tcl_CancelIdleCall
     entry (type Tcl_IdleProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CancelIdleCall');

 dcl Tcl_ChannelBlockModeProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverBlockModeProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelBlockModeProc');

 dcl Tcl_ChannelBuffered
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ChannelBuffered');

 dcl Tcl_ChannelCloseProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverCloseProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelCloseProc');

 dcl Tcl_ChannelClose2Proc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverClose2Proc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelClose2Proc');

 dcl Tcl_ChannelFlushProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverFlushProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelFlushProc');

 dcl Tcl_ChannelGetHandleProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverGetHandleProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelGetHandleProc');

 dcl Tcl_ChannelGetOptionProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverGetOptionProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelGetOptionProc');

 dcl Tcl_ChannelHandlerProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverHandlerProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelHandlerProc');

 dcl Tcl_ChannelInputProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverInputProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelInputProc');

 dcl Tcl_ChannelName
     entry (handle Tcl_ChannelType)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_ChannelName');

 dcl Tcl_ChannelOutputProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverOutputProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelOutputProc');

 dcl Tcl_ChannelSeekProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverSeekProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelSeekProc');

 dcl Tcl_ChannelSetOptionProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverSetOptionProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelSetOptionProc');

 dcl Tcl_ChannelVersion
     entry (handle Tcl_ChannelType)
     returns (type Tcl_ChannelTypeVersion byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelVersion');

 dcl Tcl_ChannelWatchProc
     entry (handle Tcl_ChannelType)
     returns (type Tcl_DriverWatchProc byvalue)
     TCL_ENTRY_API
     external('Tcl_ChannelWatchProc');

 dcl Tcl_Chdir
     entry (char (*) varz byaddr nonasgn)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Chdir');

 dcl Tcl_Close
     entry (handle Tcl_Interp,
            type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Close');

 dcl Tcl_CommandComplete
     entry (char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CommandComplete');

 dcl Tcl_Concat
     entry (fixed bin (31),
            (*) pointer byaddr) /* each to char (*) varz */
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Concat');

 dcl Tcl_ConcatObj
     entry (fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn)
     returns (handle Tcl_Obj byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ConcatObj');

 %if TCL_THREADS ^= '' %then %do;
 dcl Tcl_ConditionFinalize
     entry (type Tcl_Condition byaddr)
     TCL_ENTRY_API
     external('Tcl_ConditionFinalize');

 dcl Tcl_ConditionNotify
     entry (type Tcl_Condition byaddr)
     TCL_ENTRY_API
     external('Tcl_ConditionNotify');

 dcl Tcl_ConditionWait
     entry (type Tcl_Condition byaddr,
            type Tcl_Mutex byaddr,
            type Tcl_Time byaddr optional)
     TCL_ENTRY_API
     external('Tcl_ConditionWWait');
 %end; /* TCL_THREADS */

 dcl Tcl_ConvertCountedElement
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31),
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ConvertCountedElement');

 dcl Tcl_ConvertElement
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ConvertElement');

 dcl Tcl_ConvertToType
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_ObjType)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ConvertToType');

 dcl Tcl_CreateAlias
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            (*) pointer byaddr) /* each to char (*) varz */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateAlias');

 dcl Tcl_CreateAliasObj
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateAliasObj');

 dcl Tcl_CreateChannel
     entry (type Tcl_ChannelType byaddr,
            char (*) varz byaddr,
            type ClientData,
            fixed bin (31))
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateChannel');

 dcl Tcl_CreateChannelHandler
     entry (type Tcl_Channel,
            fixed bin (31),
            type Tcl_ChannelProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateChannelHandler');

 dcl Tcl_CreateCloseHandler
     entry (type Tcl_Channel,
            type Tcl_CloseProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateCloseHandler');

 dcl Tcl_CreateCommand
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_CmdProc,
            type ClientData,
            type Tcl_CmdDeleteProc)
     returns (type Tcl_Command byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateCommand');

 dcl Tcl_CreateEncoding
     entry (type Tcl_EncodingType byaddr)
     returns (type Tcl_Encoding byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateEncoding');

 dcl Tcl_CreateEventSource
     entry (type Tcl_EventSetupProc,
            type Tcl_EventCheckProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateEventSource');

 dcl Tcl_CreateExitHandler
     entry (type Tcl_ExitProc,
           type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateExitHandler');

 dcl Tcl_CreateFileHandler
     entry (fixed bin (31),
            fixed bin (31),
            type Tcl_FileProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateFileHandler');

 dcl Tcl_CreateInterp
     entry ()
     returns (handle Tcl_Interp byvalue)
     TCL_ENTRY_API
     external('Tcl_CreateInterp');

 dcl Tcl_CreateMathFunc
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            (*) type Tcl_ValueType byaddr,
            type Tcl_MathProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateMathFunc');

 dcl Tcl_CreateObjCommand
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_ObjCmdProc,
            type ClientData,
            type Tcl_CmdDeleteProc)
     returns (type Tcl_Command byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateObjCommand');

 dcl Tcl_CreateSlave
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31))
     returns (handle Tcl_Interp byvalue)
     TCL_ENTRY_API
     external('Tcl_CreateSlave');


 dcl Tcl_CreateThread
     entry (type Tcl_ThreadId byaddr,
            type Tcl_ThreadCreateProc,
            type ClientData,
            fixed bin (31),
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateThread');

 dcl Tcl_CreateThreadExitHandler
     entry (type Tcl_ExitProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_CreateThreadExitHandler');

 dcl Tcl_CreateTimerHandler
     entry (fixed bin (31),
            type Tcl_TimerProc,
            type ClientData)
     returns (type Tcl_TimerToken byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateTimerHandler');

 dcl Tcl_CreateTrace
     entry (handle Tcl_Interp,
            fixed bin (31),
            type Tcl_CmdTraceProc,
            type ClientData)
     returns (type Tcl_Trace byvalue optional)
     TCL_ENTRY_API
     external('Tcl_CreateTrace');

 dcl Tcl_DbCkalloc
     entry (fixed bin (32) unsigned,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_DbCkalloc');

 dcl Tcl_DbCkfree
     entry (pointer,           /* memory to free */
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DbCkfree');

 dcl Tcl_DbCkrealloc
     entry (pointer,           /* memory to reallocate */
            fixed bin (32) unsigned,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_DbCkrealloc');

 dcl Tcl_DbDecrRefCount
     entry (handle Tcl_Obj,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_DbDecrRefCount');

 dcl Tcl_DbIncrRefCount
     entry (handle Tcl_Obj,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_DbIncrRefCount');

 dcl Tcl_DbIsShared
     entry (handle Tcl_Obj,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DbIsShared');

 dcl Tcl_DbNewBooleanObj
     entry (fixed bin (31),
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewBooleanObj');

 dcl Tcl_DbNewByteArrayObj
     entry (pointer,
            fixed bin (31),
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewByteArrayObj');

 dcl Tcl_DbNewDoubleObj
     entry (float bin (53),
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewDoubleObj');

 dcl Tcl_DbNewListObj
     entry (fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewListObj');

 dcl Tcl_DbNewLongObj
     entry (fixed bin (31),
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewLongObj');

 dcl Tcl_DbNewObj
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewObj');

 dcl Tcl_DbNewStringObj
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31),
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_DbNewStringObj');

 dcl Tcl_DeleteAssocData
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     TCL_ENTRY_API
     external('Tcl_DeleteAssocData');

 dcl Tcl_DeleteCommand
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DeleteCommand');

 dcl Tcl_DeleteCommandFromToken
     entry (handle Tcl_Interp,
            type Tcl_Command)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DeleteCommandFromToken');

 dcl Tcl_DeleteChannelHandler
     entry (type Tcl_Channel,
            type Tcl_ChannelProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DeleteChannelHandler');

 dcl Tcl_DeleteCloseHandler
     entry (type Tcl_Channel,
            type Tcl_CloseProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DeleteCloseHandler');

 dcl Tcl_DeleteEvents
     entry (type Tcl_EventDeleteProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DeleteEvents');

 dcl Tcl_DeleteEventSource
     entry (type Tcl_EventSetupProc,
            type Tcl_EventCheckProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DeleteEventSource');

 dcl Tcl_DeleteExitHandler
     entry (type Tcl_ExitProc,
             type ClientData)
     TCL_ENTRY_API
     external('Tcl_DeleteExitHandler');

 dcl Tcl_DeleteFileHandler
     entry (fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_DeleteFileHandler');

 dcl Tcl_DeleteHashEntry
     entry (type Tcl_HashEntry byaddr)
     TCL_ENTRY_API
     external('Tcl_DeleteHashEntry');

 dcl Tcl_DeleteHashTable
     entry (type Tcl_HashTable byaddr)
     TCL_ENTRY_API
     external('Tcl_DeleteHashTable');

 dcl Tcl_DeleteInterp
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_DeleteInterp');

 dcl Tcl_DeleteThreadExitHandler
     entry (type Tcl_ExitProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DeleteThreadExitHandler');

 dcl Tcl_DeleteTimerHandler
     entry (type Tcl_TimerToken)
     TCL_ENTRY_API
     external('Tcl_DeleteTimerHandler');

 dcl Tcl_DeleteTrace
     entry (handle Tcl_Interp,
            type Tcl_Trace)
     TCL_ENTRY_API
     external('Tcl_DeleteTrace');

 dcl Tcl_DetachPids
     entry (fixed bin (31),
            (*) type Tcl_Pid byaddr)
     TCL_ENTRY_API
     external('Tcl_DetachPids');

 dcl Tcl_DiscardResult
     entry (type Tcl_SavedResult byaddr)
     TCL_ENTRY_API
     external('Tcl_DiscardResult');

 dcl Tcl_DontCallWhenDeleted
     entry (handle Tcl_Interp,
            type Tcl_InterpDeleteProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DontCallWhenDeleted');

 dcl Tcl_DoOneEvent
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DoOneEvent');

 dcl Tcl_DoWhenIdle
     entry (type Tcl_IdleProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_DoWhenIdle');

 dcl Tcl_DStringAppend
     entry (type Tcl_Dstring byaddr,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DStringAppend');

 dcl Tcl_DStringAppendElement
     entry (type Tcl_Dstring byaddr,
            char (*) varz byaddr nonasgn)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DStringAppendElement');

 dcl Tcl_DStringEndSublist
     entry (type Tcl_Dstring byaddr)
     TCL_ENTRY_API
     external('Tcl_DStringEndSublist');

 dcl Tcl_DStringFree
     entry (type Tcl_Dstring byaddr)
     TCL_ENTRY_API
     external('Tcl_DStringFree');

 dcl Tcl_DStringGetResult
     entry (handle Tcl_Interp,
            type Tcl_Dstring byaddr)
     TCL_ENTRY_API
     external('Tcl_DStringGetResult');

 dcl Tcl_DStringInit
     entry (type Tcl_Dstring byaddr)
     TCL_ENTRY_API
     external('Tcl_DStringInit');

 dcl Tcl_DStringResult
     entry (handle Tcl_Interp,
            type Tcl_Dstring byaddr)
     TCL_ENTRY_API
     external('Tcl_DStringResult');

 dcl Tcl_DStringSetLength
     entry (type Tcl_Dstring byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_DStringSetLength');

 dcl Tcl_DStringStartSublist
     entry (type Tcl_Dstring byaddr)
     TCL_ENTRY_API
     external('Tcl_DStringStartSublist');

 %if TCL_MEM_DEBUG ^= '' %then %do;
 dcl Tcl_DumpActiveMemory
     entry (char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DumpActiveMemory');
 %end;

 dcl Tcl_DuplicateObj
     entry (handle Tcl_Obj)
     returns (handle Tcl_Obj byvalue optional)
     TCL_ENTRY_API
     external('Tcl_DuplicateObj');

 dcl Tcl_Eof
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Eof');

 dcl Tcl_ErrnoId
     entry ()
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_ErrnoId');

 dcl Tcl_ErrnoMsg
     entry (fixed bin (31))
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_ErrnoMsg');

 dcl Tcl_Eval
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Eval');

 dcl Tcl_EvalEx
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_EvalEx');

 dcl Tcl_EvalFile
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_EvalFile');

 dcl Tcl_EventuallyFree
     entry (type ClientData,
            type Tcl_FreeProc)
     TCL_ENTRY_API
     external('Tcl_EventuallyFree');

 dcl Tcl_EvalObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_EvalObj');

 dcl Tcl_EvalObjEx
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_EvalObjEx');

 dcl Tcl_EvalObjv
     entry (handle Tcl_Interp,
            fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_EvalObjv');

 dcl Tcl_EvalTokens
     entry (handle Tcl_Interp,
            type Tcl_Token byaddr,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue optional)
     TCL_ENTRY_API
     external('Tcl_EvalTokens');

 dcl Tcl_Exit
     entry (fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_Exit');

 dcl Tcl_ExitThread
     entry (fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_ExitThread');

 dcl Tcl_ExposeCommand
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExposeCommand');

 dcl Tcl_ExprBoolean
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprBoolean');

 dcl Tcl_ExprBooleanObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprBooleanObj');

 dcl Tcl_ExprDouble
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            float bin (53) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprDouble');

 dcl Tcl_ExprDoubleObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            float bin (53) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprDoubleObj');

 dcl Tcl_ExprLong
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprLong');

 dcl Tcl_ExprLongObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprLongObj');

 dcl Tcl_ExprObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprObj');

 dcl Tcl_ExprString
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExprString');

 dcl Tcl_ExternalToUtf
     entry (handle Tcl_Interp,
            type Tcl_Encoding,
            pointer, /* to source buffer */
            fixed bin (31),
            fixed bin (31),
            type Tcl_EncodingState byaddr,
            pointer, /* to dest buffer */
            fixed bin (31),
            fixed bin (31) byaddr,
            fixed bin (31) byaddr,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExternalToUtf');

 dcl Tcl_ExternalToUtfDString
     entry (type Tcl_Encoding,
            pointer, /* to source buffer */
            fixed bin (31),
            type Tcl_DString byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ExternalToUtfDString');

 dcl Tcl_Finalize
     entry ()
     TCL_ENTRY_API
     external('Tcl_Finalize');

 dcl Tcl_FinalizeThread
     entry ()
     TCL_ENTRY_API
     external('Tcl_FinalizeThread');

 dcl Tcl_FinalizeNotifier
     entry (type ClientData)
     TCL_ENTRY_API
     external('Tcl_FinalizeNotifier');

 dcl Tcl_FindExecutable
     entry (char (*) varz byaddr nonasgn)
     TCL_ENTRY_API
     external('Tcl_FindExecutable');

 dcl Tcl_FirstHashEntry
     entry (type Tcl_HashTable byaddr,
            type Tcl_HashSearch byaddr)
     returns (handle Tcl_HashEntry byvalue optional)
     TCL_ENTRY_API
     external('Tcl_FirstHashEntry');

 dcl Tcl_Flush
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Flush');

 dcl Tcl_Free
     entry (pointer)
     TCL_ENTRY_API
     external('Tcl_Free');

 dcl Tcl_FreeEncoding
     entry (type Tcl_Encoding)
     TCL_ENTRY_API
     external('Tcl_FreeEncoding');

 dcl Tcl_FreeObj
     entry (handle Tcl_Obj)
     TCL_ENTRY_API
     external('Tcl_FreeObj');

 dcl Tcl_FreeParse
     entry (type Tcl_Parse byaddr)
     TCL_ENTRY_API
     external('Tcl_FreeParse');

 dcl Tcl_FreeResult
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_FreeResult');

 dcl Tcl_GetAlias
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            handle Tcl_Interp byaddr,
            pointer byaddr, /* to char (*) varz - target command name */
            fixed bin (31) byaddr,
            pointer byaddr) /* to array of target command arguments */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetAlias');

 dcl Tcl_GetAliasObj
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            handle Tcl_Interp byaddr,
            pointer byaddr, /* to char (*) varz - target command name */
            fixed bin (31) byaddr,
            pointer byaddr) /* to array of target Tcl_Obj handle */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetAliasObj');

 dcl Tcl_GetAllocMutex
     entry ()
     returns (pointer byvalue) /* to array of Tcl_Mutex */
     TCL_ENTRY_API
     external('Tcl_GetAllocMutex');

 dcl Tcl_GetAssocData
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_InterpDeleteProc byaddr)
     returns (type ClientData byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetAssocData');

 dcl Tcl_GetBoolean
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetBoolean');

 dcl Tcl_GetBooleanFromObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetBooleanFromObj');

 dcl Tcl_GetByteArrayFromObj
     entry (handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetByteArrayFromObj');

 dcl Tcl_GetChannel
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31) byaddr)
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetChannel');

 dcl Tcl_GetChannelBufferSize
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetChannelBufferSize');

 dcl Tcl_GetChannelHandle
     entry (type Tcl_Channel,
            fixed bin (31),
            type ClientData byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetChannelHandle');

 dcl Tcl_GetChannelInstanceData
     entry (type Tcl_Channel)
     returns (type ClientData byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetChannelInstanceData');

 dcl Tcl_GetChannelMode
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetChannelMode');

 dcl Tcl_GetChannelName
     entry (type Tcl_Channel)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetChannelName');

 dcl Tcl_GetChannelNames
     entry (handle Tcl_Interp)
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetChannelNames');

 dcl Tcl_GetChannelNamesEx
     entry (handle Tcl_Interp,
            char (*) varz byaddr optional)
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetChannelNamesEx');

 dcl Tcl_GetChannelOption
     entry (handle Tcl_Interp,
            type Tcl_Channel,
            char (*) varz byaddr,
            type Tcl_Dstring byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetChannelOption');

 dcl Tcl_GetChannelType
     entry (type Tcl_Channel)
     returns (handle Tcl_ChannelType byvalue)
     TCL_ENTRY_API
     external('Tcl_GetChannelType');

 dcl Tcl_GetCharLength
     entry (handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetCharLength');

 dcl Tcl_GetCommandInfo
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_CmdInfo byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetCommandInfo');

 dcl Tcl_GetCommandName
     entry (handle Tcl_Interp,
            type Tcl_Command)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetCommandName');

 dcl Tcl_GetCurrentThread
     entry ()
     returns (type Tcl_ThreadId byvalue)
     TCL_ENTRY_API
     external('Tcl_GetCurrentThread');

 dcl Tcl_GetCwd
     entry (handle Tcl_Interp,
            type Tcl_DString byaddr)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetCwd');

 dcl Tcl_GetDefaultEncodingDir
     entry ()
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetDefaultEncodingDir');

 dcl Tcl_GetDouble
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            float bin (53) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetDouble');

 dcl Tcl_GetDoubleFromObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            float bin (53) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetDoubleFromObj');

 dcl Tcl_GetEncoding
     entry (handle Tcl_Interp,
            char (*) varz byaddr nonasgn)
     returns (type Tcl_Encoding byvalue)
     TCL_ENTRY_API
     external('Tcl_GetEncoding');

 dcl Tcl_GetEncodingName
     entry (type Tcl_Encoding)
     returns (pointer byvalue) /* to char(*) varz */
     TCL_ENTRY_API
     external('Tcl_GetEncodingName');

 dcl Tcl_GetEncodingNames
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_GetEncodingNames');

 dcl Tcl_GetErrno
     entry ()
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetErrno');

 dcl Tcl_GetErrorLine
     entry (handle Tcl_Interp)
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetErrorLine');

 dcl Tcl_GetHostName
     entry ()
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetHostName');

 dcl Tcl_GetIndexFromObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            (*) pointer byaddr, /* each to char (*) varz */
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetIndexFromObj');

 dcl Tcl_GetIndexFromObjStruct
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            (*) pointer byaddr, /* each to char (*) varz */
            fixed bin (31),
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetIndexFromObjStruct');

 dcl Tcl_GetInt
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetInt');

 dcl Tcl_GetInterpPath
     entry (handle Tcl_Interp,
            handle Tcl_Interp)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetInterpPath');

 dcl Tcl_GetIntFromObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetIntFromObj');

 dcl Tcl_GetLongFromObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetLongFromObj');

 dcl Tcl_GetMaster
     entry (handle Tcl_Interp)
     returns (handle Tcl_Interp byvalue)
     TCL_ENTRY_API
     external('Tcl_GetMaster');

 dcl Tcl_GetNameOfExecutable
     entry ()
     returns (pointer byvalue) /* to char(*) varz */
     TCL_ENTRY_API
     external('Tcl_GetNameOfExecutable');

 dcl Tcl_GetObjResult
     entry (handle Tcl_Interp)
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_GetObjResult');

 dcl Tcl_GetObjType
     entry (char (*) varz byaddr)
     returns (handle Tcl_ObjType byvalue)
     TCL_ENTRY_API
     external('Tcl_GetObjType');

 dcl Tcl_GetOpenFile
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31),
            type ClientData byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetOpenFile');

 dcl Tcl_GetOriginalCommand
     entry (type Tcl_Command)
     returns (type Tcl_Command byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetOriginalCommand');

 dcl Tcl_GetPathType
     entry (char (*) varz byaddr)
     returns (type Tcl_PathType byvalue)
     TCL_ENTRY_API
     external('Tcl_GetPathType');

 dcl Tcl_GetRange
     entry (handle Tcl_Obj,
            fixed bin (31),
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_GetRange');

 dcl Tcl_GetRegExpFromObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31))
     returns (type Tcl_RegExp byvalue)
     TCL_ENTRY_API
     external('Tcl_GetRegExpFromObj');

 dcl Tcl_Gets
     entry (type Tcl_Channel,
            type Tcl_Dstring byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Gets');

 dcl Tcl_GetsObj
     entry (type Tcl_Channel,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GetsObj');

 dcl Tcl_GetServiceMode
     entry ()
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_GetServiceMode');

 dcl Tcl_GetSlave
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (handle Tcl_Interp byvalue)
     TCL_ENTRY_API
     external('Tcl_GetSlave');

 dcl Tcl_GetStackedChannel
     entry (type Tcl_Channel)
     returns (type Tcl_Channel byvalue)
     TCL_ENTRY_API
     external('Tcl_GetStackedChannel');

 dcl Tcl_GetStdChannel
     entry (fixed bin (31))
     returns (type Tcl_Channel byvalue)
     TCL_ENTRY_API
     external('Tcl_GetStdChannel');

 dcl Tcl_GetString
     entry (handle Tcl_Obj)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetString');

 dcl Tcl_GetStringFromObj
     entry (handle Tcl_Obj,
            fixed bin (31) byvalue)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetStringFromObj');

 dcl Tcl_GetStringResult
     entry (handle Tcl_Interp)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetStringResult');

 dcl Tcl_GetThreadData
     entry (type Tcl_ThreadDataKey byaddr,
            fixed bin (31))
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_GetThreadData');

 dcl Tcl_GetTopChannel
     entry (type Tcl_Channel)
     returns (type Tcl_Channel byvalue)
     TCL_ENTRY_API
     external('Tcl_GetTopChannel');

 dcl Tcl_GetUniChar
     entry (handle Tcl_Obj,
            fixed bin (31))
     returns (Tcl_UniChar byvalue)
     TCL_ENTRY_API
     external('Tcl_GetUniChar');

 dcl Tcl_GetUnicode
     entry (handle Tcl_Obj)
     returns (pointer byvalue) /* to Tcl_UniChar(*) varz */
     TCL_ENTRY_API
     external('Tcl_GetUnicode');

 dcl Tcl_GetVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31))
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetVar');

 dcl Tcl_GetVar2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_GetVar2');

 dcl Tcl_GetVar2Ex
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_GetVar2Ex');

 dcl Tcl_GetVersion
     entry (fixed bin (31) byaddr,
            fixed bin (31) byaddr,
            fixed bin (31) byaddr,
            fixed bin (31) byaddr)
     TCL_ENTRY_API
     external('Tcl_GetVersion');

 dcl Tcl_GlobalEval
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GlobalEval');

 dcl Tcl_GlobalEvalObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_GlobalEvalObj');

 dcl Tcl_HashStats
     entry (type Tcl_HashTable byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_HashStats');

 dcl Tcl_HideCommand
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_HideCommand');

 dcl Tcl_Init
     entry (handle Tcl_Interp)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Init');

 dcl Tcl_InitHashTable
     entry (type Tcl_HashTable byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_InitHashTable');

 %if TCL_MEM_DEBUG ^= '' %then %do;
 dcl Tcl_InitMemory
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_InitMemory');
 %end;

 dcl Tcl_InitNotifier
     entry ()
     returns (type ClientData byvalue optional)
     TCL_ENTRY_API
     external ('Tcl_InitNotifier');

 dcl Tcl_InputBlocked
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_InputBlocked');

 dcl Tcl_InputBuffered
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_InputBuffered');

 dcl Tcl_InterpDeleted
     entry (handle Tcl_Interp)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_InterpDeleted');

 dcl Tcl_IsSafe
     entry (handle Tcl_Interp)
     returns (fixed bin (31) byvalue)
     TCL_ENTRY_API
     external('Tcl_IsSafe');

 dcl Tcl_InvalidateStringRep
     entry (handle Tcl_Obj)
     TCL_ENTRY_API
     external('Tcl_InvalidateStringRep');

 dcl Tcl_JoinPath
     entry (fixed bin (31),
            (*) pointer byaddr, /* each to char (*) varz */
            type Tcl_Dstring byaddr)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_JoinPath');

 dcl Tcl_LinkVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            pointer,            /* to storage being linked */
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_LinkVar');

 dcl Tcl_ListObjAppendList
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ListObjAppendList');

 dcl Tcl_ListObjAppendElement
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ListObjAppendElement');

 dcl Tcl_ListObjGetElements
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr,
            pointer byaddr) /* to (*) handle Tcl_Obj */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ListObjGetElements');

 dcl Tcl_ListObjIndex
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31),
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ListObjIndex');

 dcl Tcl_ListObjLength
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ListObjLength');

 dcl Tcl_ListObjReplace
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31),
            fixed bin (31),
            fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ListObjReplace');

 dcl Tcl_LogCommandInfo
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_LogCommandInfo');

 dcl Tcl_MakeFileChannel
     entry (type ClientData,
            fixed bin (31))
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_MakeFileChannel');

 dcl Tcl_MakeSafe
     entry (handle Tcl_Interp)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_MakeSafe');

 dcl Tcl_MakeTcpClientChannel
     entry (type ClientData)
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_MakeTcpClientChannel');

 dcl Tcl_Merge
     entry (fixed bin (31),
            (*) pointer byaddr) /* each to char (*) varz */
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_Merge');

 %if TCL_THREADS ^= '' %then %do;
 dcl Tcl_MutexFinalize
     entry (type Tcl_Mutex byaddr)
     TCL_ENTRY_API
     external('Tcl_MutexFinalize');

 dcl Tcl_MutexLock
     entry (type Tcl_Mutex byaddr)
     TCL_ENTRY_API
     external('Tcl_MutexLock');

 dcl Tcl_MutexUnlock
     entry (type Tcl_Mutex byaddr)
     TCL_ENTRY_API
     external('Tcl_MutexUnock');
 %end; /* TCL_THREADS */

 %if TCL_MEM_DEBUG = '' %then %do;
 dcl Tcl_NewBooleanObj
     entry (fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewBooleanObj');

 dcl Tcl_NewByteArrayObj
     entry (pointer,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewByteArrayObj');

 dcl Tcl_NewDoubleObj
     entry (float bin (53))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewDoubleObj');

 dcl Tcl_NewIntObj
     entry (fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewIntObj');

 dcl Tcl_NewListObj
     entry (fixed bin (31),
            (*) type Tcl_Obj byaddr nonasgn)
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewListObj');

 dcl Tcl_NewLongObj
     entry (fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewLongObj');

 dcl Tcl_NewObj
     entry ()
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewObj');

 dcl Tcl_NewStringObj
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewStringObj');
 %end; /* TCL_MEM_DEBUG */

 dcl Tcl_NewUnicodeObj
     entry (Tcl_UniChar (*) varz byaddr,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_NewUnicodeObj');

 dcl Tcl_NextHashEntry
     entry (type Tcl_HashSearch byaddr)
     returns (handle Tcl_HashEntry byvalue)
     TCL_ENTRY_API
     external('Tcl_NextHashEntry');

 dcl Tcl_NotifyChannel
     entry (type Tcl_Channel,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_NotifyChannel');

 dcl Tcl_NumUtfChars
     entry (pointer, /* to utf-8 string */
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_NumUtfChars');

 dcl Tcl_ObjGetVar2
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_Obj,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue)
     TCL_ENTRY_API
     external('Tcl_ObjGetVar2');

 dcl Tcl_ObjSetVar2
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_Obj,
            handle Tcl_Obj,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ObjSetVar2');

 dcl Tcl_OpenCommandChannel
     entry (handle Tcl_Interp,
            fixed bin (31),
            (*) pointer byaddr, /* each to char (*) varz */
            fixed bin (31))
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_OpenCommandChannel');

 dcl Tcl_OpenFileChannel
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_OpenFileChannel');

 dcl Tcl_OpenTcpClient
     entry (handle Tcl_Interp,
            fixed bin (31),
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31))
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_OpenTcpClient');

 dcl Tcl_OpenTcpServer
     entry (handle Tcl_Interp,
            fixed bin (31),
            char (*) varz byaddr,
            type Tcl_TcpAcceptProc,
            type ClientData)
     returns (type Tcl_Channel byvalue optional)
     TCL_ENTRY_API
     external('Tcl_OpenTcpServer');

 dcl Tcl_Panic
     entry (char (*) varz byaddr,
            * byaddr optional list)
     TCL_LISTENTRY_API
     external('Tcl_Panic');

 dcl Tcl_PanicVA
     entry (char (*) varz byaddr,
            type va_list byaddr)
     TCL_ENTRY_API
     external('Tcl_PanicVA');

 dcl Tcl_ParseBraces
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_Parse byaddr,
            fixed bin (31),
            pointer byaddr optional)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ParseBraces');

 dcl Tcl_ParseCommand
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31),
            type Tcl_Parse byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ParseCommand');

 dcl Tcl_ParseExpr
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_Parse byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ParseExpr');

 dcl Tcl_ParseQuotedString
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_Parse byaddr,
            fixed bin (31),
            pointer byaddr optional)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ParseQuotedString');

 dcl Tcl_ParseVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            (*) pointer byaddr) /* to char (*) varz */
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_ParseVar');

 dcl Tcl_ParseVarName
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_Parse byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ParseVarName');

 dcl Tcl_PkgPresent
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PkgPresent');

 dcl Tcl_PkgPresentEx
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31),
            type ClientData byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PkgPresentEx');

 dcl Tcl_PkgProvide
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PkgProvide');

 dcl Tcl_PkgProvideEx
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            type ClientData)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PkgProvideEx');

 dcl Tcl_PkgRequire
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PkgRequire');

 dcl Tcl_PkgRequireEx
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31),
            type ClientData byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PkgRequireEx');

 dcl Tcl_PosixError
     entry (handle Tcl_Interp)
     returns (pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_PosixError');

 dcl Tcl_Preserve
     entry (type ClientData)
     TCL_ENTRY_API
     external('Tcl_Preserve');

 dcl Tcl_PrintDouble
     entry (handle Tcl_Interp,
            float bin (53),
            char (*) varz byaddr)
     TCL_ENTRY_API
     external('Tcl_PrintDouble');

 dcl Tcl_ProcObjCmd
     entry (type ClientData,
            handle Tcl_Interp,
            fixed bin (31),
            (*) handle Tcl_Obj nonasgn byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external ('Tcl_ProcObjCmd');

 dcl Tcl_PutEnv
     entry (char (*) varz byaddr nonasgn)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_PutEnv');

 dcl Tcl_QueueEvent
     entry (handle Tcl_Event,
            type Tcl_QueuePosition)
     TCL_ENTRY_API
     external('Tcl_QueueEvent');

 dcl Tcl_Read
     entry (type Tcl_Channel,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Read');

 dcl Tcl_ReadChars
     entry (type Tcl_Channel,
            handle Tcl_Obj,
            fixed bin (31),
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ReadChars');

 dcl Tcl_ReadRaw
     entry (type Tcl_Channel,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ReadRaw');

 dcl Tcl_Realloc
     entry (pointer,
            fixed bin (32) unsigned)
     returns(pointer byvalue)
     TCL_ENTRY_API
     external('Tcl_Realloc');

 dcl Tcl_ReapDetachedProcs
     entry ()
     TCL_ENTRY_API
     external('Tcl_ReapDetachedProcs');

 dcl Tcl_RecordAndEval
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_RecordAndEval');

 dcl Tcl_RecordAndEvalObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_RecordAndEvalObj');

 dcl Tcl_RegExpCompile
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     returns (type Tcl_RegExp byvalue)
     TCL_ENTRY_API
     external('Tcl_RegExpCompile');

 dcl Tcl_RegExpExec
     entry (handle Tcl_Interp,
            type Tcl_RegExp,
            pointer,              /* address actual start in 4th arg */
            char (*) varz byaddr nonasgn) /* string to match */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_RegExpExec');

 dcl Tcl_RegExpExecObj
     entry (handle Tcl_Interp,
            type Tcl_RegExp,
            handle Tcl_Obj,
            fixed bin (31),
            fixed bin (31),
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_RegExpExecObj');

 dcl Tcl_RegExpGetInfo
     entry (type Tcl_RegExp,
            type Tcl_RegExpInfo byaddr)
     TCL_ENTRY_API
     external('Tcl_RegExpGetInfo');

 dcl Tcl_RegExpMatch
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_RegExpMatch');

 dcl Tcl_RegExpMatchObj
     entry (handle Tcl_Interp,
            handle Tcl_Obj,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_RegExpMatchObj');

 dcl Tcl_RegExpRange
     entry (type Tcl_RegExp,
            fixed bin (31),
            pointer byaddr, /* start of match, or null */
            pointer byaddr) /* end of match, or null */
     TCL_ENTRY_API
     external('Tcl_RegExpRange');

 dcl Tcl_RegisterChannel
     entry (handle Tcl_Interp,
            type Tcl_Channel)
     TCL_ENTRY_API
     external('Tcl_RegisterChannel');

 dcl Tcl_RegisterObjType
     entry (handle Tcl_ObjType)
     TCL_ENTRY_API
     external('Tcl_RegisterObjType');

 dcl Tcl_Release
     entry (type ClientData)
     TCL_ENTRY_API
     external('Tcl_Release');

 dcl Tcl_ResetResult
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_ResetResult');

 dcl Tcl_RestartIdleTimer
     entry ()
     TCL_ENTRY_API
     external('Tcl_RestartIdleTimer');

 dcl Tcl_RestoreResult
     entry (handle Tcl_Interp,
            type Tcl_SavedResult byaddr)
     TCL_ENTRY_API
     external('Tcl_RestoreResult');

 dcl Tcl_SaveResult
     entry (handle Tcl_Interp,
            type Tcl_SavedResult byaddr)
     TCL_ENTRY_API
     external('Tcl_SaveResult');

 dcl Tcl_ScanCountedElement
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31),
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ScanCountedElement');

 dcl Tcl_ScanElement
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ScanElement');

 dcl Tcl_Seek
     entry (type Tcl_Channel,
            fixed bin (31),
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Seek');

 dcl Tcl_ServiceAll
     entry ()
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ServiceAll');

 dcl Tcl_ServiceEvent
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_ServiceEvent');

 dcl Tcl_ServiceModeHook
     entry (fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_ServiceModeHook');

 dcl Tcl_SetAssocData
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_InterpDeleteProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_SetAssocData');

 dcl Tcl_SetBooleanObj
     entry (handle Tcl_Obj,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetBooleanObj');

 dcl Tcl_SetByteArrayLength
     entry (handle Tcl_Obj,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetByteArrayLength');

 dcl Tcl_SetByteArrayObj
     entry (handle Tcl_Obj,
            pointer,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetByteArrayObj');

 dcl Tcl_SetChannelBufferSize
     entry (type Tcl_Channel,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetChannelBufferSize');

 dcl Tcl_SetChannelOption
     entry (handle Tcl_Interp,
            type Tcl_Channel,
            char (*) varz byaddr,
            char (*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetChannelOption');

 dcl Tcl_SetCommandInfo
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            handle Tcl_CmdInfo)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetCommandInfo');

 dcl Tcl_SetDefaultEncodingDir
     entry (char (*) varz byaddr)
     TCL_ENTRY_API
     external('Tcl_SetDefaultEncodingDir');

 dcl Tcl_SetDoubleObj
     entry (handle Tcl_Obj,
            float bin (53))
     TCL_ENTRY_API
     external('Tcl_SetDoubleObj');

 dcl Tcl_SetErrno
     entry (fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetErrno');

 dcl Tcl_SetErrorCode
     entry (handle Tcl_Interp byvalue,
            char (*) varz byaddr optional list)
     TCL_LISTENTRY_API
     external('Tcl_SetErrorCode');

 dcl Tcl_SetErrorCodeVA
     entry (handle Tcl_Interp byvalue,
            type va_list byaddr)
     TCL_ENTRY_API
     external('Tcl_SetErrorCodeVA');

 dcl Tcl_SetIntObj
     entry (handle Tcl_Obj,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetIntObj');

 dcl Tcl_SetListObj
     entry (handle Tcl_Obj,
            fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn)
     TCL_ENTRY_API
     external('Tcl_SetListObj');

 dcl Tcl_SetLongObj
     entry (handle Tcl_Obj,
           fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetLongObj');

 dcl Tcl_SetMaxBlockTime
     entry (type Tcl_Time byaddr)
     TCL_ENTRY_API
     external('Tcl_SetMaxBlockTime');

 dcl Tcl_SetNotifier
     entry (type Tcl_NotifierProcs byaddr)
     TCL_ENTRY_API
     external('Tcl_SetNotifier');

 dcl Tcl_SetObjErrorCode
     entry (handle Tcl_Interp,
            handle Tcl_Obj)
     TCL_ENTRY_API
     external('Tcl_SetObjErrorCode');

 dcl Tcl_SetObjLength
     entry (handle Tcl_Obj,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetObjLength');

 dcl Tcl_SetObjResult
     entry (handle Tcl_Interp,
            handle Tcl_Obj)
     TCL_ENTRY_API
     external('Tcl_SetObjResult');

 dcl Tcl_SetPanicProc
     entry (type Tcl_PanicProc optional)
     TCL_ENTRY_API
     external('Tcl_SetPanicProc');

 dcl Tcl_SetRecursionLimit
     entry (handle Tcl_Interp,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetRecursionLimit');

 dcl Tcl_SetResult
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_FreeProc)
     TCL_ENTRY_API
     external('Tcl_SetResult');

 dcl Tcl_SetServiceMode
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetServiceMode');

 dcl Tcl_SetStdChannel
     entry (type Tcl_Channel,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetStdChannel');

 dcl Tcl_SetStringObj
     entry (handle Tcl_Obj,
            char (*) varz byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetStringObj');

 dcl Tcl_SetSystemEncoding
     entry (handle Tcl_Interp,
            char (*) varz byaddr nonasgn)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetSystemEncoding');

 dcl Tcl_SetUnicodeObj
     entry (handle Tcl_Obj,
            Tcl_UniChar(*) varz byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_SetUnicodeObj');

 dcl Tcl_SetTimer
     entry (type Tcl_Time byaddr)
     TCL_ENTRY_API
     external('Tcl_SetTimer');

 dcl Tcl_SetVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetVar');

 dcl Tcl_SetVar2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetVar2');

 dcl Tcl_SetVar2Ex
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            handle Tcl_Obj,
            fixed bin (31))
     returns (handle Tcl_Obj byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SetVar2Ex');

 dcl Tcl_SignalId
     entry (fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SignalId');

 dcl Tcl_SignalMsg
     entry (fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SignalMsg');

 dcl Tcl_Sleep
     entry (fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_Sleep');

 dcl Tcl_SourceRCFile
     entry (handle Tcl_Interp)
     TCL_ENTRY_API
     external('Tcl_SourceRCFile');

 dcl Tcl_SplitList
     entry (handle Tcl_Interp,
            char (*) varz byaddr nonasgn,
            fixed bin (31) byaddr,
            pointer byaddr) /* to array of pointers to char (*) varz */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_SplitList');

 dcl Tcl_SplitPath
     entry (char (*) varz byaddr nonasgn,
            fixed bin (31) byaddr,
            pointer byaddr) /* to array of pointer to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_SplitPath');

 dcl Tcl_StackChannel
     entry (handle Tcl_Interp,
            type Tcl_ChannelType byaddr,
            type ClientData,
            fixed bin (31),
            type Tcl_Channel)
     returns (type Tcl_Channel optional byvalue)
     TCL_ENTRY_API
     external('Tcl_StackChannel');

 dcl Tcl_Stat
     entry (char (*) varz byaddr nonasgn,
            pointer) /* to a C stat struct as per stat.cpy */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Stat');

 dcl Tcl_StaticPackage
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_PackageInitProc,
            type Tcl_PackageInitProc)
     TCL_ENTRY_API
     external('Tcl_StaticPackage');

 dcl Tcl_StringCaseMatch
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_StringCaseMatch');

 dcl Tcl_StringMatch
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr nonasgn)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_StringMatch');

 dcl Tcl_Tell
     entry (type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Tell');

 dcl Tcl_ThreadAlert
     entry (type Tcl_ThreadId)
     TCL_ENTRY_API
     external('Tcl_ThreadAlert');

 dcl Tcl_ThreadQueueEvent
     entry (type Tcl_ThreadId,
            type Tcl_Event byaddr,
            type Tcl_QueuePosition)
     TCL_ENTRY_API
     external('Tcl_ThreadQueueEvent');

 dcl Tcl_TraceVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_VarTraceProc,
            type ClientData)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_TraceVar');

 dcl Tcl_TraceVar2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_VarTraceProc,
            type ClientData)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_TraceVar2');

 dcl Tcl_TranslateFileName
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            type Tcl_Dstring byaddr)
     returns (pointer byvalue) /* to char (*) varz */
     TCL_ENTRY_API
     external('Tcl_TranslateFileName');

 dcl Tcl_Ungets
     entry (type Tcl_Channel,
            char (*) varz byaddr,
            fixed bin (31),
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Ungets');

 dcl Tcl_UniCharAtIndex
     entry (pointer,
            fixed bin (31))
     returns (Tcl_UniChar(1) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharAtIndex');

 /* PL/I note: Tcl uses fixed bin (31) for Unicode char here */
 dcl Tcl_UniCharIsAlnum
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsAlnum');

 dcl Tcl_UniCharIsAlpha
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsAlpha');

 dcl Tcl_UniCharIsControl
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsControl');

 dcl Tcl_UniCharIsDigit
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsDigit');

 dcl Tcl_UniCharIsGraph
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsGraph');

 dcl Tcl_UniCharIsLower
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsLower');

 dcl Tcl_UniCharIsPrint
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsPrint');

 dcl Tcl_UniCharIsPunct
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsPunct');

 dcl Tcl_UniCharIsSpace
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsSpace');

 dcl Tcl_UniCharIsUpper
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsUpper');

 dcl Tcl_UniCharIsWordChar
     entry (fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharIsWordChar');

 dcl Tcl_UniCharLen
     entry (Tcl_UniChar(*) varz byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharLen');

 dcl Tcl_UniCharNcmp
     entry (Tcl_UniChar(*) varz byaddr nonasgn,
            Tcl_UniChar(*) varz byaddr nonasgn,
            fixed bin (31)) /* type size_t */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharNcmp');

 dcl Tcl_UniCharToLower
     entry (fixed bin (31))
     returns (Tcl_UniChar(1) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharToLower');

 dcl Tcl_UniCharToTitle
     entry (fixed bin (31))
     returns (Tcl_UniChar(1) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharToTitle');

 dcl Tcl_UniCharToUpper
     entry (fixed bin (31))
     returns (Tcl_UniChar(1) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharToUpper');

 dcl Tcl_UniCharToUtf
     entry (fixed bin (31),
            pointer)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharToUtf');

 dcl Tcl_UniCharToUtfDString
     entry (Tcl_UniChar(*) varz byaddr nonasgn,
            fixed bin (31),
            type Tcl_DString byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UniCharToUtfDString');

 dcl Tcl_UnlinkVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     TCL_ENTRY_API
     external('Tcl_UnlinkVar');

 dcl Tcl_UnregisterChannel
     entry (handle Tcl_Interp,
            type Tcl_Channel)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UnregisterChannel');

 dcl Tcl_UnsetVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UnsetVar');

 dcl Tcl_UnsetVar2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UnsetVar2');

 dcl Tcl_UnstackChannel
     entry (handle Tcl_Interp,
            type Tcl_Channel)
     TCL_ENTRY_API
     external('Tcl_UnstackChannel');

 dcl Tcl_UntraceVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_VarTraceProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_UntraceVar');

 dcl Tcl_UntraceVar2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_VarTraceProc,
            type ClientData)
     TCL_ENTRY_API
     external('Tcl_UntraceVar2');

 dcl Tcl_UpdateLinkedVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr)
     TCL_ENTRY_API
     external('Tcl_UpdateLinkedVar');

 dcl Tcl_UpVar
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UpVar');

 dcl Tcl_UpVar2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UpVar2');

 dcl Tcl_UtfAtIndex
     entry (pointer,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfAtIndex');

 dcl Tcl_UtfCharComplete
     entry (pointer,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfCharComplete');

 dcl Tcl_UtfBackslash
     entry (pointer,
            fixed bin (31) byaddr,
            pointer)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfBackslash');

 dcl Tcl_UtfFindFirst
     entry (pointer,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfFindFirst');

 dcl Tcl_UtfFindLast
     entry (pointer,
            fixed bin (31))
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfFindLast');

 dcl Tcl_UtfNcmp
     entry (pointer,
            pointer,
            fixed bin (31)) /* type size_t */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfNcmp');

 dcl Tcl_UtfNcasecmp
     entry (pointer,
            pointer,
            fixed bin (31)) /* type size_t */
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfNcasecmp');

 dcl Tcl_UtfNext
     entry (pointer)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfNext');

 dcl Tcl_UtfPrev
     entry (pointer,
            pointer)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfPrev');

 dcl Tcl_UtfToExternal
     entry (handle Tcl_Interp,
            type Tcl_Encoding,
            pointer,
            fixed bin (31),
            fixed bin (31),
            type Tcl_EncodingState byaddr,
            pointer,
            fixed bin (31),
            fixed bin (31) byaddr,
            fixed bin (31) byaddr,
            fixed bin (31) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToExternal');

 dcl Tcl_UtfToExternalDString
     entry (type Tcl_Encoding,
            pointer,
            fixed bin (31),
            type Tcl_DString byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToExternalDString');

 dcl Tcl_UtfToLower
     entry (pointer)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToLower');

 dcl Tcl_UtfToTitle
     entry (pointer)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToTitle');

 dcl Tcl_UtfToUpper
     entry (pointer)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToUpper');

 dcl Tcl_UtfToUniChar
     entry (pointer,
            Tcl_UniChar(1) byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToUniChar');

 dcl Tcl_UtfToUniCharDString
     entry (pointer,
            fixed bin (31),
            type Tcl_DString byaddr)
     returns (pointer byvalue optional)
     TCL_ENTRY_API
     external('Tcl_UtfToUniCharDString');

 %if TCL_MEM_DEBUG ^= '' %then %do;
 dcl Tcl_ValidateAllMemory
     entry (char (*) varz byaddr,
            fixed bin (31))
     TCL_ENTRY_API
     external('Tcl_ValidateAllMemory');
 %end;

 dcl Tcl_VarEval
     entry (handle Tcl_Interp,
            char (*) varz byaddr optional list)
     returns (fixed bin (31) byvalue optional)
     TCL_LISTENTRY_API
     external('Tcl_VarEval');

 dcl Tcl_VarEvalVA
     entry (handle Tcl_Interp,
            type va_list)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_VarEvalVA');

 dcl Tcl_VarTraceInfo
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_VarTraceProc,
            type ClientData)
     returns (type ClientData byvalue optional)
     TCL_ENTRY_API
     external('Tcl_VarTraceInfo');

 dcl Tcl_VarTraceInfo2
     entry (handle Tcl_Interp,
            char (*) varz byaddr,
            char (*) varz byaddr,
            fixed bin (31),
            type Tcl_VarTraceProc,
            type ClientData)
     returns (type ClientData byvalue optional)
     TCL_ENTRY_API
     external('Tcl_VarTraceInfo2');

 dcl Tcl_WaitForEvent
     entry (type Tcl_Time byaddr)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_WaitForEvent');

 dcl Tcl_WaitPid
     entry (type Tcl_Pid,
            fixed bin (31) byaddr,
            fixed bin (31))
     returns (type Tcl_Pid byvalue optional)
     TCL_ENTRY_API
     external('Tcl_WaitPid');

 dcl Tcl_Write
     entry (type Tcl_Channel,
            char (*) varz byaddr,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_Write');

 dcl Tcl_WriteChars
     entry (type Tcl_Channel,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_WriteChars');

 dcl Tcl_WriteObj
     entry (type Tcl_Channel,
            handle Tcl_Obj)
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_WriteObj');

 dcl Tcl_WriteRaw
     entry (type Tcl_Channel,
            char (*) varz byaddr nonasgn,
            fixed bin (31))
     returns (fixed bin (31) byvalue optional)
     TCL_ENTRY_API
     external('Tcl_WriteRaw');

 dcl Tcl_WrongNumArgs
     entry (handle Tcl_Interp,
            fixed bin (31),
            (*) handle Tcl_Obj byaddr nonasgn,
            char (*) varz byaddr)
     TCL_ENTRY_API
     external('Tcl_WrongNumArgs');

 %end; %else %do; /* USE_TCL_STUBS ^= '' & USE_TCL_STUB_PROCS = '' */

 %dcl TCL_STUB_API     char;
 %TCL_STUB_API      = TCL_ENTRY_API     || ' limited';
 %dcl TCL_LISTSTUB_API char;
 %TCL_LISTSTUB_API  = TCL_LISTENTRY_API || ' limited';

 define structure
   1 TclStubHooks,
     2 tclPlatStubs    pointer,
     2 tclIntStubs     pointer,
     2 tclIntPlatStubs pointer;

 dcl
   1 TclStubs                 based (tclStubsPtr),
     2 magic                  fixed bin (31),
     2 hooks                  handle TclStubHooks,
     2 (
 /*   0 */ tcl_PkgProvideEx   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     type ClientData)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*   1 */ tcl_PkgRequireEx   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type ClientData byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /*   2 */ tcl_Panic          entry (char (*) varz byaddr,
                                     * byaddr optional list)
                              TCL_LISTSTUB_API,
 /*   3 */ tcl_Alloc          entry (fixed bin (32) unsigned)
                              returns(pointer byvalue)
                              TCL_STUB_API,
 /*   4 */ tcl_Free           entry (pointer)
                              TCL_STUB_API,
 /*   5 */ tcl_Realloc        entry (pointer,
                                     fixed bin (32) unsigned)
                              returns(pointer byvalue)
                              TCL_STUB_API,
 /*   6 */ tcl_DbCkalloc      entry (fixed bin (32) unsigned,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /*   7 */ tcl_DbCkfree       entry (pointer,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*   8 */ tcl_DbCkrealloc    entry (pointer,
                                     fixed bin (32) unsigned,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /*   9 */ Tcl_CreateFileHandler entry (fixed bin (31),
                                     fixed bin (31),
                                     type Tcl_FileProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  10 */ tcl_DeleteFileHandler entry (fixed bin (31),
                                     fixed bin (31),
                                     type Tcl_FileProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  11 */ tcl_SetTimer       entry (type Tcl_Time byaddr)
                              TCL_STUB_API,
 /*  12 */ tcl_Sleep          entry (fixed bin (31))
                              TCL_STUB_API,
 /*  13 */ tcl_WaitForEvent   entry (type Tcl_Time byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  14 */ tcl_AppendAllObjTypes entry (handle Tcl_Interp,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  15 */ tcl_AppendStringsToObj entry (handle Tcl_Obj byvalue,
                                     char (*) varz byaddr optional list)
                              TCL_LISTSTUB_API,
 /*  16 */ tcl_AppendToObj    entry (handle Tcl_Obj,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  17 */ tcl_ConcatObj      entry (fixed bin (31),
                                     (*) handle Tcl_Obj byaddr nonasgn)
                              returns (handle Tcl_Obj byvalue optional)
                              TCL_STUB_API,
 /*  18 */ tcl_ConvertToType  entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_ObjType)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  19 */ tcl_DbDecrRefCount entry (handle Tcl_Obj,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  20 */ tcl_DbIncrRefCount entry (handle Tcl_Obj,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  21 */ tcl_DbIsShared     entry (handle Tcl_Obj,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  22 */ tcl_DbNewBooleanObj entry (fixed bin (31),
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  23 */ tcl_DbNewByteArrayObj entry (pointer,
                                     fixed bin (31),
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  24 */ tcl_DbNewDoubleObj entry (float bin (53),
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  25 */ tcl_DbNewListObj   entry (fixed bin (31),
                                     (*) handle Tcl_Obj byaddr nonasgn,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  26 */ tcl_DbNewLongObj   entry (fixed bin (31),
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  27 */ tcl_DbNewObj       entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  28 */ tcl_DbNewStringObj entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31),
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  29 */ tcl_DuplicateObj   entry (handle Tcl_Obj)
                              returns (handle Tcl_Obj byvalue optional)
                              TCL_STUB_API,
 /*  30 */ tclFreeObj         entry (handle Tcl_Obj)
                              TCL_STUB_API,
 /*  31 */ tcl_GetBoolean     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  32 */ tcl_GetBooleanFromObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  33 */ tcl_GetByteArrayFromObj entry (handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /*  34 */ tcl_GetDouble      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     float bin (53) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  35 */ tcl_GetDoubleFromObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     float bin (53) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  36 */ tcl_GetIndexFromObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     (*) pointer byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  37 */ tcl_GetInt         entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  38 */ tcl_GetIntFromObj  entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  39 */ tcl_GetLongFromObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  40 */ tcl_GetObjType     entry (char (*) varz byaddr)
                              returns (handle Tcl_ObjType byvalue)
                              TCL_STUB_API,
 /*  41 */ tcl_GetStringFromObj entry (handle Tcl_Obj,
                                     fixed bin (31) byvalue)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /*  42 */ tcl_InvalidateStringRep entry (handle Tcl_Obj)
                              TCL_STUB_API,
 /*  43 */ tcl_ListObjAppendList entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  44 */ tcl_ListObjAppendElement entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  45 */ tcl_ListObjGetElements entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr,
                                     pointer byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  46 */ tcl_ListObjIndex   entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31),
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  47 */ tcl_ListObjLength  entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  48 */ tcl_ListObjReplace entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31),
                                     fixed bin (31),
                                     fixed bin (31),
                                     (*) handle Tcl_Obj byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  49 */ tcl_NewBooleanObj  entry (fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  50 */ tcl_NewByteArrayObj entry (pointer,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  51 */ tcl_NewDoubleObj   entry (float bin (53))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  52 */ tcl_NewIntObj      entry (fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  53 */ tcl_NewListObj     entry (fixed bin (31),
                                     (*) type Tcl_Obj byaddr nonasgn)
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  54 */ tcl_NewLongObj     entry (fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  55 */ tcl_NewObj         entry ()
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  56 */ tcl_NewStringObj   entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /*  57 */ tcl_SetBooleanObj  entry (handle Tcl_Obj,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  58 */ tcl_SetByteArrayLength entry (handle Tcl_Obj,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /*  59 */ tcl_SetByteArrayObj entry (handle Tcl_Obj,
                                     pointer,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  60 */ tcl_SetDoubleObj   entry (handle Tcl_Obj,
                                     float bin (53))
                              TCL_STUB_API,
 /*  61 */ tcl_SetIntObj      entry (handle Tcl_Obj,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  62 */ tcl_SetListObj     entry (handle Tcl_Obj,
                              fixed bin (31),
                              (*) handle Tcl_Obj byaddr nonasgn)
                              TCL_STUB_API,
 /*  63 */ tcl_SetLongObj     entry (handle Tcl_Obj,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  64 */ tcl_SetObjLength   entry (handle Tcl_Obj,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  65 */ tcl_SetStringObj   entry (handle Tcl_Obj,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  66 */ tcl_AddErrorInfo   entry (handle Tcl_Interp,
                                     char (*) varz byaddr nonasgn)
                              TCL_STUB_API,
 /*  67 */ tcl_AddObjErrorInfo entry (handle Tcl_Interp,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              TCL_STUB_API,
 /*  68 */ tcl_AllowExceptions entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /*  69 */ tcl_AppendElement  entry (handle Tcl_Interp,
                                     char (*) varz byaddr nonasgn)
                              TCL_STUB_API,
 /*  70 */ tcl_AppendResult   entry (handle Tcl_Interp byvalue,
                                     char (*) varz byaddr optional list)
                              TCL_LISTSTUB_API,
 /*  71 */ tcl_AsyncCreate    entry (type Tcl_AsyncProc,
                                     type ClientData)
                        returns (type Tcl_AsyncHandler byvalue optional)
                              TCL_STUB_API,
 /*  72 */ tcl_AsyncDelete    entry (type Tcl_AsyncHandler)
                              TCL_STUB_API,
 /*  73 */ tcl_AsyncInvoke    entry (handle Tcl_Interp,
                                    fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  74 */ tcl_AsyncMark      entry (type Tcl_AsyncHandler)
                              TCL_STUB_API,
 /*  75 */ tcl_AsyncReady     entry ()
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /*  76 */ tcl_BackgroundError entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /*  77 */ tcl_Backslash      entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31) byaddr)
                              returns (char byvalue)
                              TCL_STUB_API,
 /*  78 */ tcl_BadChannelOption entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  79 */ tcl_CallWhenDeleted entry (handle Tcl_Interp,
                                     type Tcl_InterpDeleteProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  80 */ tcl_CancelIdleCall entry (type Tcl_IdleProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  81 */ tcl_Close          entry (handle Tcl_Interp,
                                     type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  82 */ tcl_CommandComplete entry (char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  83 */ tcl_Concat         entry (fixed bin (31),
                                     (*) pointer byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /*  84 */ tcl_ConvertElement entry (char (*) varz byaddr nonasgn,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  85 */ tcl_ConvertCountedElement
                              entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31),
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  86 */ tcl_CreateAlias    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     (*) pointer byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  87 */ tcl_CreateAliasObj entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     (*) handle Tcl_Obj byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /*  88 */ tcl_CreateChannel  entry (type Tcl_ChannelType byaddr,
                                     char (*) varz byaddr,
                                     type ClientData,
                                     fixed bin (31))
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /*  89 */ tcl_CreateChannelHandler entry (type Tcl_Channel,
                                     fixed bin (31),
                                     type Tcl_ChannelProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  90 */ tcl_CreateCloseHandler entry (type Tcl_Channel,
                                     type Tcl_CloseProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  91 */ tcl_CreateCommand  entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_CmdProc,
                                     type ClientData,
                                     type Tcl_CmdDeleteProc)
                             returns (type Tcl_Command byvalue optional)
                              TCL_STUB_API,
 /*  92 */ Tcl_CreateEventSource entry (type Tcl_EventSetupProc,
                                     type Tcl_EventCheckProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  93 */ tcl_CreateExitHandler entry (type Tcl_ExitProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  94 */ tcl_CreateInterp   entry ()
                              returns (handle Tcl_Interp byvalue)
                              TCL_STUB_API,
 /*  95 */ tcl_CreateMathFunc entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     (*) type Tcl_ValueType byaddr,
                                     type Tcl_MathProc,
                                     type ClientData)
                              TCL_STUB_API,
 /*  96 */ tcl_CreateObjCommand entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_ObjCmdProc,
                                     type ClientData,
                                     type Tcl_CmdDeleteProc)
                             returns (type Tcl_Command byvalue optional)
                              TCL_STUB_API,
 /*  97 */ tcl_CreateSlave    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (handle Tcl_Interp byvalue)
                              TCL_STUB_API,
 /*  98 */ tcl_CreateTimerHandler entry (fixed bin (31),
                                     type Tcl_TimerProc,
                                     type ClientData)
                          returns (type Tcl_TimerToken byvalue optional)
                              TCL_STUB_API,
 /*  99 */ tcl_CreateTrace    entry (handle Tcl_Interp,
                                     fixed bin (31),
                                     type Tcl_CmdTraceProc,
                                     type ClientData)
                              returns (type Tcl_Trace byvalue optional)
                              TCL_STUB_API,
 /* 100 */ tcl_DeleteAssocData entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              TCL_STUB_API,
 /* 101 */ tcl_DeleteChannelHandler entry (type Tcl_Channel,
                                     type Tcl_ChannelProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 102 */ tcl_DeleteCloseHandler entry (type Tcl_Channel,
                                     type Tcl_CloseProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 103 */ tcl_DeleteCommand  entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 104 */ tcl_DeleteCommandFromToken entry (handle Tcl_Interp,
                                     type Tcl_Command)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 105 */ tcl_DeleteEvents   entry (type Tcl_EventDeleteProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 106 */ tcl_DeleteEventSource entry (type Tcl_EventSetupProc,
                                     type Tcl_EventCheckProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 107 */ tcl_DeleteExitHandler entry (type Tcl_ExitProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 108 */ tcl_DeleteHashEntry entry (type Tcl_HashEntry byaddr)
                              TCL_STUB_API,
 /* 109 */ tcl_DeleteHashTable entry (type Tcl_HashTable byaddr)
                              TCL_STUB_API,
 /* 110 */ tcl_DeleteInterp   entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /* 111 */ tcl_DetachPids     entry (fixed bin (31),
                                     (*) type Tcl_Pid byaddr)
                              TCL_STUB_API,
 /* 112 */ tcl_DeleteTimerHandler entry (type Tcl_TimerToken)
                              TCL_STUB_API,
 /* 113 */ tcl_DeleteTrace entry (handle Tcl_Interp,
                                     type Tcl_Trace)
                              TCL_STUB_API,
 /* 114 */ tcl_DontCallWhenDeleted entry (handle Tcl_Interp,
                                     type Tcl_InterpDeleteProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 115 */ tcl_DoOneEvent     entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 116 */ tcl_DoWhenIdle     entry (type Tcl_IdleProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 117 */ tcl_DStringAppend  entry (type Tcl_Dstring byaddr,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 118 */ tcl_DStringAppendElement entry (type Tcl_Dstring byaddr,
                                     char (*) varz byaddr nonasgn)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 119 */ tcl_DStringEndSublist entry (type Tcl_Dstring byaddr)
                              TCL_STUB_API,
 /* 120 */ tcl_DStringFree    entry (type Tcl_Dstring byaddr)
                              TCL_STUB_API,
 /* 121 */ tcl_DStringGetResult entry (handle Tcl_Interp,
                                     type Tcl_Dstring byaddr)
                              TCL_STUB_API,
 /* 122 */ tcl_DStringInit    entry (type Tcl_Dstring byaddr)
                              TCL_STUB_API,
 /* 123 */ tcl_DStringResult  entry (handle Tcl_Interp,
                                     type Tcl_Dstring byaddr)
                              TCL_STUB_API,
 /* 124 */ tcl_DStringSetLength entry (type Tcl_Dstring byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 125 */ tcl_DStringStartSublist entry (type Tcl_Dstring byaddr)
                              TCL_STUB_API,
 /* 126 */ tcl_Eof            entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 127 */ tcl_ErrnoId        entry ()
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 128 */ tcl_ErrnoMsg       entry (fixed bin (31))
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 129 */ tcl_Eval           entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 130 */ tcl_EvalFile       entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 131 */ tcl_EvalObj        entry (handle Tcl_Interp,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 132 */ tcl_EventuallyFree entry (type ClientData,
                                     type Tcl_FreeProc)
                              TCL_STUB_API,
 /* 133 */ tcl_Exit           entry (fixed bin (31))
                              TCL_STUB_API,
 /* 134 */ tcl_ExposeCommand  entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 135 */ tcl_ExprBoolean    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 136 */ tcl_ExprBooleanObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 137 */ tcl_ExprDouble     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     float bin (53) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 138 */ tcl_ExprDoubleObj  entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     float bin (53) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 139 */ tcl_ExprLong       entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 140 */ tcl_ExprLongObj    entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 141 */ tcl_ExprObj        entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 142 */ tcl_ExprString     entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 143 */ tcl_Finalize       entry ()
                              TCL_STUB_API,
 /* 144 */ tcl_FindExecutable entry (char (*) varz byaddr nonasgn)
                              TCL_STUB_API,
 /* 145 */ tcl_FirstHashEntry entry (type Tcl_HashTable byaddr,
                                     type Tcl_HashSearch byaddr)
                         returns (handle Tcl_HashEntry byvalue optional)
                              TCL_STUB_API,
 /* 146 */ Tcl_Flush          entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 147 */ tcl_FreeResult     entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /* 148 */ tcl_GetAlias       entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     handle Tcl_Interp byaddr,
                                     pointer byaddr,
                                     fixed bin (31) byaddr,
                                     pointer byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 149 */ tcl_GetAliasObj    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     handle Tcl_Interp byaddr,
                                     pointer byaddr,
                                     fixed bin (31) byaddr,
                                     pointer byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 150 */ tcl_GetAssocData   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_InterpDeleteProc byaddr)
                              returns (type ClientData byvalue optional)
                              TCL_STUB_API,
 /* 151 */ tcl_GetChannel     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31) byaddr)
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 152 */ tcl_GetChannelBufferSize entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 153 */ tcl_GetChannelHandle entry (type Tcl_Channel,
                                     fixed bin (31),
                                     type ClientData byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 154 */ tcl_GetChannelInstanceData entry (type Tcl_Channel)
                              returns (type ClientData byvalue optional)
                              TCL_STUB_API,
 /* 155 */ tcl_GetChannelMode entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 156 */ tcl_GetChannelName entry (type Tcl_Channel)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 157 */ tcl_GetChannelOption entry (handle Tcl_Interp,
                                     type Tcl_Channel,
                                     char (*) varz byaddr,
                                     type Tcl_Dstring byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 158 */ tcl_GetChannelType entry (type Tcl_Channel)
                              returns (handle Tcl_ChannelType byvalue)
                              TCL_STUB_API,
 /* 159 */ tcl_GetCommandInfo entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_CmdInfo byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 160 */ tcl_GetCommandName entry (handle Tcl_Interp,
                                     type Tcl_Command)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 161 */ tcl_GetErrno       entry ()
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 162 */ tcl_GetHostName    entry ()
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 163 */ tcl_GetInterpPath  entry (handle Tcl_Interp,
                                     handle Tcl_Interp)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 164 */ tcl_GetMaster      entry (handle Tcl_Interp)
                              returns (handle Tcl_Interp byvalue)
                              TCL_STUB_API,
 /* 165 */ tcl_GetNameOfExecutable entry ()
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 166 */ tcl_GetObjResult   entry (handle Tcl_Interp)
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /* 167 */ tcl_GetOpenFile    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31),
                                     type ClientData byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 168 */ tcl_GetPathType    entry (char (*) varz byaddr)
                              returns (type Tcl_PathType byvalue)
                              TCL_STUB_API,
 /* 169 */ tcl_Gets           entry (type Tcl_Channel,
                                     type Tcl_Dstring byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 170 */ tcl_GetsObj        entry (type Tcl_Channel,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 171 */ tcl_GetServiceMode entry ()
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 172 */ tcl_GetSlave       entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (handle Tcl_Interp byvalue)
                              TCL_STUB_API,
 /* 173 */ tcl_GetStdChannel  entry (fixed bin (31))
                              returns (type Tcl_Channel byvalue)
                              TCL_STUB_API,
 /* 174 */ tcl_GetStringResult entry (handle Tcl_Interp)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 175 */ tcl_GetVar         entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 176 */ tcl_GetVar2        entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 177 */ tcl_GlobalEval     entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 178 */ tcl_GlobalEvalObj  entry (handle Tcl_Interp,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 179 */ tcl_HideCommand    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 180 */ tcl_Init           entry (handle Tcl_Interp)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 181 */ tcl_InitHashTable  entry (type Tcl_HashTable byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 182 */ tcl_InputBlocked   entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 183 */ tcl_InputBuffered  entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 184 */ tcl_InterpDeleted  entry (handle Tcl_Interp)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 185 */ tcl_IsSafe         entry (handle Tcl_Interp)
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 186 */ tcl_JoinPath       entry (fixed bin (31),
                                     (*) pointer byaddr,
                                     type Tcl_Dstring byaddr)
                                     returns (pointer byvalue)
                              TCL_STUB_API,
 /* 187 */ tcl_LinkVar        entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     pointer,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 188 */ reserved188        pointer,
 /* 189 */ tcl_MakeFileChannel entry (type ClientData,
                                     fixed bin (31))
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 190 */ tcl_MakeSafe       entry (handle Tcl_Interp)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 191 */ tcl_MakeTcpClientChannel entry (type ClientData)
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 192 */ tcl_Merge          entry (fixed bin (31),
                                     (*) pointer byaddr)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 193 */ tcl_NextHashEntry  entry (type Tcl_HashSearch byaddr)
                              returns (handle Tcl_HashEntry byvalue)
                              TCL_STUB_API,
 /* 194 */ tcl_NotifyChannel  entry (type Tcl_Channel,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 195 */ tcl_ObjGetVar2     entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /* 196 */ tcl_ObjSetVar2     entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue optional)
                              TCL_STUB_API,
 /* 197 */ tcl_OpenCommandChannel entry (handle Tcl_Interp,
                                     fixed bin (31),
                                     (*) pointer byaddr,
                                     fixed bin (31))
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 198 */ tcl_OpenFileChannel entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 199 */ tcl_OpenTcpClient  entry (handle Tcl_Interp,
                                     fixed bin (31),
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31))
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 200 */ tcl_OpenTcpServer  entry (handle Tcl_Interp,
                                     fixed bin (31),
                                     char (*) varz byaddr,
                                     type Tcl_TcpAcceptProc,
                                     type ClientData)
                             returns (type Tcl_Channel byvalue optional)
                              TCL_STUB_API,
 /* 201 */ tcl_Preserve       entry (type ClientData)
                              TCL_STUB_API,
 /* 202 */ tcl_PrintDouble    entry (handle Tcl_Interp,
                                     float bin (53),
                                     char (*) varz byaddr)
                              TCL_STUB_API,
 /* 203 */ tcl_PutEnv         entry (char (*) varz byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 204 */ tcl_PosixError     entry (handle Tcl_Interp)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 205 */ tcl_QueueEvent     entry (handle Tcl_Event,
                                     type Tcl_QueuePosition)
                              TCL_STUB_API,
 /* 206 */ tcl_Read           entry (type Tcl_Channel,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 207 */ tcl_ReapDetachedProcs entry ()
                              TCL_STUB_API,
 /* 208 */ tcl_RecordAndEval  entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 209 */ tcl_RecordAndEvalObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 210 */ tcl_RegisterChannel entry (handle Tcl_Interp,
                                     type Tcl_Channel)
                              TCL_STUB_API,
 /* 211 */ tcl_RegisterObjType entry (handle Tcl_ObjType)
                              TCL_STUB_API,
 /* 212 */ tcl_RegExpCompile  entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              returns (type Tcl_RegExp byvalue)
                              TCL_STUB_API,
 /* 213 */ tcl_RegExpExec     entry (handle Tcl_Interp,
                                     type Tcl_RegExp,
                                     pointer,
                                     char (*) varz byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 214 */ tcl_RegExpMatch    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 215 */ tcl_RegExpRange    entry (type Tcl_RegExp,
                                     fixed bin (31),
                                     pointer byaddr,
                                     pointer byaddr)
                              TCL_STUB_API,
 /* 216 */ tcl_Release        entry (type ClientData)
                              TCL_STUB_API,
 /* 217 */ tcl_ResetResult    entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /* 218 */ tcl_ScanElement    entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 219 */ tcl_ScanCountedElement entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31),
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 220 */ tcl_Seek           entry (type Tcl_Channel,
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 221 */ tcl_ServiceAll     entry ()
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 222 */ tcl_ServiceEvent   entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 223 */ tcl_SetAssocData   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_InterpDeleteProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 224 */ tcl_SetChannelBufferSize entry (type Tcl_Channel,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 225 */ tcl_SetChannelOption entry (handle Tcl_Interp,
                                     type Tcl_Channel,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 226 */ tcl_SetCommandInfo entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     handle Tcl_CmdInfo)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 227 */ tcl_SetErrno       entry (fixed bin (31))
                              TCL_STUB_API,
 /* 228 */ tcl_SetErrorCode   entry (handle Tcl_Interp byvalue,
                                     char (*) varz byaddr optional list)
                              TCL_LISTSTUB_API,
 /* 229 */ tcl_SetMaxBlockTime entry (type Tcl_Time byaddr)
                              TCL_STUB_API,
 /* 230 */ tcl_SetPanicProc   entry (type Tcl_PanicProc optional)
                              TCL_STUB_API,
 /* 231 */ tcl_SetRecursionLimit entry (handle Tcl_Interp,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 232 */ tcl_SetResult      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_FreeProc)
                              TCL_STUB_API,
 /* 233 */ tcl_SetServiceMode entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 234 */ tcl_SetObjErrorCode entry (handle Tcl_Interp,
                                     handle Tcl_Obj)
                              TCL_STUB_API,
 /* 235 */ tcl_SetObjResult   entry (handle Tcl_Interp,
                                     handle Tcl_Obj)
                              TCL_STUB_API,
 /* 236 */ tcl_SetStdChannel  entry (type Tcl_Channel,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 237 */ tcl_SetVar         entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 238 */ tcl_SetVar2        entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 239 */ tcl_SignalId       entry (fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 240 */ tcl_SignalMsg      entry (fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 241 */ tcl_SourceRCFile   entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /* 242 */ tcl_SplitList      entry (handle Tcl_Interp,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31) byaddr,
                                     pointer byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 243 */ tcl_SplitPath      entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31) byaddr,
                                     pointer byaddr)
                              TCL_STUB_API,
 /* 244 */ tcl_StaticPackage  entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_PackageInitProc,
                                     type Tcl_PackageInitProc)
                              TCL_STUB_API,
 /* 245 */ tcl_StringMatch    entry (char (*) varz byaddr nonasgn,
                                     char (*) varz byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 246 */ tcl_Tell           entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 247 */ tcl_TraceVar       entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_VarTraceProc,
                                     type ClientData)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 248 */ tcl_TraceVar2      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_VarTraceProc,
                                     type ClientData)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 249 */ tcl_TranslateFileName entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     type Tcl_Dstring byaddr)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 250 */ tcl_Ungets         entry (type Tcl_Channel,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 251 */ tcl_UnlinkVar      entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              TCL_STUB_API,
 /* 252 */ tcl_UnregisterChannel entry (handle Tcl_Interp,
                                     type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 253 */ tcl_UnsetVar       entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 254 */ tcl_UnsetVar2      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 255 */ tcl_UntraceVar     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_VarTraceProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 256 */ tcl_UntraceVar2    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_VarTraceProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 257 */ tcl_UpdateLinkedVar entry (handle Tcl_Interp,
                                     char (*) varz byaddr)
                              TCL_STUB_API,
 /* 258 */ tcl_UpVar          entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 259 */ tcl_UpVar2         entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 260 */ tcl_VarEval        entry (handle Tcl_Interp,
                                     char (*) varz byaddr optional list)
                              returns (fixed bin (31) byvalue optional)
                              TCL_LISTSTUB_API,
 /* 261 */ tcl_VarTraceInfo   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_VarTraceProc,
                                     type ClientData)
                              returns (type ClientData byvalue optional)
                              TCL_STUB_API,
 /* 262 */ tcl_VarTraceInfo2  entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_VarTraceProc,
                                     type ClientData)
                              returns (type ClientData byvalue optional)
                              TCL_STUB_API,
 /* 263 */ tcl_Write          entry (type Tcl_Channel,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 264 */ tcl_WrongNumArgs   entry (handle Tcl_Interp,
                                     fixed bin (31),
                                     (*) handle Tcl_Obj byaddr nonasgn,
                                     char (*) varz byaddr)
                              TCL_STUB_API,
 /* 265 */ tcl_DumpActiveMemory entry (char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 266 */ tcl_ValidateAllMemory entry (char (*) varz byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 267 */ tcl_AppendResultVA entry (handle Tcl_Interp byvalue,
                                     type va_list byaddr)
                              TCL_STUB_API,
 /* 268 */ tcl_AppendStringsToObjVA entry (handle Tcl_Obj byvalue,
                                     type va_list byaddr)
                              TCL_STUB_API,
 /* 269 */ tcl_HashStats      entry (type Tcl_HashTable byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 270 */ tcl_ParseVar       entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     (*) pointer byaddr)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 271 */ tcl_PkgPresent     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 272 */ tcl_PkgPresentEx   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type ClientData byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 273 */ tcl_PkgProvide     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 274 */ tcl_PkgRequire     entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 275 */ tcl_SetErrorCodeVA entry (handle Tcl_Interp byvalue,
                                     type va_list byaddr)
                              TCL_STUB_API,
 /* 276 */ tcl_VarEvalVA      entry (handle Tcl_Interp,
                                     type va_list)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 277 */ tcl_WaitPid        entry (type Tcl_Pid,
                                     fixed bin (31) byaddr,
                                     fixed bin (31))
                              returns (type Tcl_Pid byvalue optional)
                              TCL_STUB_API,
 /* 278 */ tcl_PanicVA        entry (char (*) varz byaddr,
                                     type va_list byaddr)
                              TCL_STUB_API,
 /* 279 */ tcl_GetVersion     entry (fixed bin (31) byaddr,
                                     fixed bin (31) byaddr,
                                     fixed bin (31) byaddr,
                                     fixed bin (31) byaddr)
                              TCL_STUB_API,
 /* 280 */ tcl_InitMemory     entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /* 281 */ tcl_StackChannel   entry (handle Tcl_Interp,
                                     type Tcl_ChannelType byaddr,
                                     type ClientData,
                                     fixed bin (31),
                                     type Tcl_Channel)
                             returns (type Tcl_Channel optional byvalue)
                              TCL_STUB_API,
 /* 282 */ tcl_UnstackChannel entry (handle Tcl_Interp,
                                     type Tcl_Channel)
                              TCL_STUB_API,
 /* 283 */ tcl_GetStackedChannel entry (type Tcl_Channel)
                              returns (type Tcl_Channel byvalue)
                              TCL_STUB_API,
 /* 284 */ reserved284        pointer,
 /* 285 */ reserved285        pointer,
 /* 286 */ tcl_AppendObjToObj entry (handle Tcl_Obj,
                                     handle Tcl_Obj)
                              TCL_STUB_API,
 /* 287 */ tcl_CreateEncoding entry (type Tcl_EncodingType byaddr)
                            returns (type Tcl_Encoding byvalue optional)
                              TCL_STUB_API,
 /* 288 */ tcl_CreateThreadExitHandler entry (type Tcl_ExitProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 289 */ tcl_DeleteThreadExitHandler entry (type Tcl_ExitProc,
                                     type ClientData)
                              TCL_STUB_API,
 /* 290 */ tcl_DiscardResult  entry (type Tcl_SavedResult byaddr)
                              TCL_STUB_API,
 /* 291 */ tcl_EvalEx         entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 292 */ tcl_EvalObjv       entry (handle Tcl_Interp,
                                     fixed bin (31),
                                     (*) handle Tcl_Obj byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 293 */ tcl_EvalObjEx      entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 294 */ tcl_ExitThread     entry (fixed bin (31))
                              TCL_STUB_API,
 /* 295 */ tcl_ExternalToUtf  entry (handle Tcl_Interp,
                                     type Tcl_Encoding,
                                     pointer,
                                     fixed bin (31),
                                     fixed bin (31),
                                     type Tcl_EncodingState byaddr,
                                     pointer,
                                     fixed bin (31),
                                     fixed bin (31) byaddr,
                                     fixed bin (31) byaddr,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 296 */ tcl_ExternalToUtfDString entry (type Tcl_Encoding,
                                     pointer,
                                     fixed bin (31),
                                     type Tcl_DString byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 297 */ tcl_FinalizeThread entry ()
                              TCL_STUB_API,
 /* 298 */ tcl_FinalizeNotifier entry (type ClientData)
                              TCL_STUB_API,
 /* 299 */ tcl_FreeEncoding   entry (type Tcl_Encoding)
                              TCL_STUB_API,
 /* 300 */ tcl_GetCurrentThread entry ()
                              returns (type Tcl_ThreadId byvalue)
                              TCL_STUB_API,
 /* 301 */ tcl_GetEncoding    entry (handle Tcl_Interp,
                                     char (*) varz byaddr nonasgn)
                              returns (type Tcl_Encoding byvalue)
                              TCL_STUB_API,
 /* 302 */ tcl_GetEncodingName entry (type Tcl_Encoding)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 303 */ tcl_GetEncodingNames entry (handle Tcl_Interp)
                              TCL_STUB_API,
 /* 304 */ tcl_GetIndexFromObjStruct entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     (*) pointer byaddr,
                                     fixed bin (31),
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 305 */ tcl_GetThreadData  entry (type Tcl_ThreadDataKey byaddr,
                                     fixed bin (31))
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 306 */ tcl_GetVar2Ex      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /* 307 */ tcl_InitNotifier   entry ()
                              returns (type ClientData byvalue optional)
                              TCL_STUB_API,
 /* 308 */ tcl_MutexLock      entry (type Tcl_Mutex byaddr)
                              TCL_STUB_API,
 /* 309 */ tcl_MutexUnlock    entry (type Tcl_Mutex byaddr)
                              TCL_STUB_API,
 /* 310 */ tcl_ConditionNotify entry (type Tcl_Condition byaddr)
                              TCL_STUB_API,
 /* 311 */ tcl_ConditionWait  entry (type Tcl_Condition byaddr,
                                     type Tcl_Mutex byaddr,
                                     type Tcl_Time byaddr optional)
                              TCL_STUB_API,
 /* 312 */ tcl_NumUtfChars    entry (pointer,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 313 */ tcl_ReadChars      entry (type Tcl_Channel,
                                     handle Tcl_Obj,
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 314 */ tcl_RestoreResult  entry (handle Tcl_Interp,
                                     type Tcl_SavedResult byaddr)
                              TCL_STUB_API,
 /* 315 */ tcl_SaveResult     entry (handle Tcl_Interp,
                                     type Tcl_SavedResult byaddr)
                              TCL_STUB_API,
 /* 316 */ tcl_SetSystemEncoding entry (handle Tcl_Interp,
                                     char (*) varz byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 317 */ tcl_SetVar2Ex      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     handle Tcl_Obj,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue optional)
                              TCL_STUB_API,
 /* 318 */ tcl_ThreadAlert    entry (type Tcl_ThreadId)
                              TCL_STUB_API,
 /* 319 */ tcl_ThreadQueueEvent entry (type Tcl_ThreadId,
                                     type Tcl_Event byaddr,
                                     type Tcl_QueuePosition)
                              TCL_STUB_API,
 /* 320 */ tcl_UniCharAtIndex entry (pointer,
                                    fixed bin (31))
                              returns (Tcl_UniChar(1) byvalue optional)
                              TCL_STUB_API,
 /* 321 */ tcl_UniCharToLower entry (fixed bin (31))
                              returns (Tcl_UniChar(1) byvalue optional)
                              TCL_STUB_API,
 /* 322 */ tcl_UniCharToTitle entry (fixed bin (31))
                              returns (Tcl_UniChar(1) byvalue optional)
                              TCL_STUB_API,
 /* 323 */ tcl_UniCharToUpper entry (fixed bin (31))
                              returns (Tcl_UniChar(1) byvalue optional)
                              TCL_STUB_API,
 /* 324 */ tcl_UniCharToUtf   entry (fixed bin (31),
                                     pointer)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 325 */ tcl_UtfAtIndex     entry (pointer,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 326 */ tcl_UtfCharComplete entry (pointer,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 327 */ tcl_UtfBackslash   entry (pointer,
                                     fixed bin (31) byaddr,
                                     pointer)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 328 */ tcl_UtfFindFirst   entry (pointer,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 329 */ tcl_UtfFindLast    entry (pointer,
                                     fixed bin (31))
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 330 */ tcl_UtfNext        entry (pointer)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 331 */ tcl_UtfPrev        entry (pointer,
                                     pointer)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 332 */ tcl_UtfToExternal  entry (handle Tcl_Interp,
                                     type Tcl_Encoding,
                                     pointer,
                                     fixed bin (31),
                                     fixed bin (31),
                                     type Tcl_EncodingState byaddr,
                                     pointer,
                                     fixed bin (31),
                                     fixed bin (31) byaddr,
                                     fixed bin (31) byaddr,
                                     fixed bin (31) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 333 */ tcl_UtfToExternalDString entry (type Tcl_Encoding,
                                     pointer,
                                     fixed bin (31),
                                     type Tcl_DString byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 334 */ tcl_UtfToLower     entry (pointer)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 335 */ tcl_UtfToTitle     entry (pointer)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 336 */ tcl_UtfToUniChar   entry (pointer,
                                     Tcl_UniChar(1) byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 337 */ tcl_UtfToUpper     entry (pointer)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 338 */ tcl_WriteChars     entry (type Tcl_Channel,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 339 */ tcl_WriteObj       entry (type Tcl_Channel,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 340 */ tcl_GetString      entry (handle Tcl_Obj)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 341 */ tcl_GetDefaultEncodingDir entry ()
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 342 */ tcl_SetDefaultEncodingDir entry (char (*) varz byaddr)
                              TCL_STUB_API,
 /* 343 */ tcl_AlertNotifier  entry (type ClientData)
                              TCL_STUB_API,
 /* 344 */ tcl_ServiceModeHook entry (fixed bin (31))
                              TCL_STUB_API,
 /* 345 */ tcl_UniCharIsAlnum entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 346 */ tcl_UniCharIsAlpha entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 347 */ tcl_UniCharIsDigit entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 348 */ tcl_UniCharIsLower entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 349 */ tcl_UniCharIsSpace entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 350 */ tcl_UniCharIsUpper entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 351 */ tcl_UniCharIsWordChar entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 352 */ tcl_UniCharLen     entry (Tcl_UniChar(*) varz byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 353 */ tcl_UniCharNcmp    entry (Tcl_UniChar(*) varz byaddr nonasgn,
                                     Tcl_UniChar(*) varz byaddr nonasgn,
                                     fixed bin (31)) /* type size_t */
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 354 */ tcl_UniCharToUtfDString
                              entry (Tcl_UniChar(*) varz byaddr nonasgn,
                                     fixed bin (31),
                                     type Tcl_DString byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 355 */ tcl_UtfToUniCharDString entry (pointer,
                                     fixed bin (31),
                                     type Tcl_DString byaddr)
                              returns (pointer byvalue optional)
                              TCL_STUB_API,
 /* 356 */ tcl_GetRegExpFromObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     fixed bin (31))
                              returns (type Tcl_RegExp byvalue)
                              TCL_STUB_API,
 /* 357 */ tcl_EvalTokens     entry (handle Tcl_Interp,
                                     type Tcl_Token byaddr,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue optional)
                              TCL_STUB_API,
 /* 358 */ tcl_FreeParse      entry (type Tcl_Parse byaddr)
                              TCL_STUB_API,
 /* 359 */ tcl_LogCommandInfo entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 360 */ tcl_ParseBraces    entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_Parse byaddr,
                                     fixed bin (31),
                                     pointer byaddr optional)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 361 */ tcl_ParseCommand   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     fixed bin (31),
                                     type Tcl_Parse byaddr)
                              TCL_STUB_API,
 /* 362 */ tcl_ParseExpr      entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_Parse byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 363 */ tcl_ParseQuotedString entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_Parse byaddr,
                                     fixed bin (31),
                                     pointer byaddr optional)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 364 */ tcl_ParseVarName   entry (handle Tcl_Interp,
                                     char (*) varz byaddr,
                                     fixed bin (31),
                                     type Tcl_Parse byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 365 */ tcl_GetCwd         entry (handle Tcl_Interp,
                                     type Tcl_DString byaddr)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 366 */ tcl_Chdir          entry (char (*) varz byaddr nonasgn)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 367 */ tcl_Access         entry (char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 368 */ tcl_Stat           entry (char (*) varz byaddr nonasgn,
                                     pointer)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 369 */ tcl_UtfNcmp        entry (pointer,
                                     pointer,
                                     fixed bin (31)) /* type size_t */
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 370 */ tcl_UtfNcasecmp    entry (pointer,
                                     pointer,
                                     fixed bin (31)) /* type size_t */
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 371 */ tcl_StringCaseMatch entry (char (*) varz byaddr nonasgn,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 372 */ tcl_UniCharIsControl entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 373 */ tcl_UniCharIsGraph entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 374 */ tcl_UniCharIsPrint entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 375 */ tcl_UniCharIsPunct entry (fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 376 */ tcl_RegExpExecObj  entry (handle Tcl_Interp,
                                     type Tcl_RegExp,
                                     handle Tcl_Obj,
                                     fixed bin (31),
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 377 */ tcl_RegExpGetInfo  entry (type Tcl_RegExp,
                                     type Tcl_RegExpInfo byaddr)
                              TCL_STUB_API,
 /* 378 */ tcl_NewUnicodeObj  entry (Tcl_UniChar (*) varz byaddr,
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /* 379 */ tcl_SetUnicodeObj  entry (handle Tcl_Obj,
                                     Tcl_UniChar(*) varz byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 380 */ tcl_GetCharLength  entry (handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 381 */ tcl_GetUniChar     entry (handle Tcl_Obj,
                                     fixed bin (31))
                              returns (Tcl_UniChar byvalue)
                              TCL_STUB_API,
 /* 382 */ tcl_GetUnicode     entry (handle Tcl_Obj)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 383 */ tcl_GetRange       entry (handle Tcl_Obj,
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (handle Tcl_Obj byvalue)
                              TCL_STUB_API,
 /* 384 */ tcl_AppendUnicodeToObj entry (handle Tcl_Obj byvalue,
                                     Tcl_UniChar (*) varz byaddr,
                                     fixed bin (31))
                              TCL_STUB_API,
 /* 385 */ tcl_RegExpMatchObj entry (handle Tcl_Interp,
                                     handle Tcl_Obj,
                                     handle Tcl_Obj)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 386 */ tcl_SetNotifier    entry (type Tcl_NotifierProcs byaddr)
                              TCL_STUB_API,
 /* 387 */ tcl_GetAllocMutex  entry ()
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 388 */ tcl_GetChannelNames entry (handle Tcl_Interp)
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 389 */ tcl_GetChannelNamesEx entry (handle Tcl_Interp,
                                     char (*) varz byaddr optional)
                              returns (fixed bin (31) byvalue)
                              TCL_STUB_API,
 /* 390 */ tcl_ProcObjCmd     entry (type ClientData,
                                     handle Tcl_Interp,
                                     fixed bin (31),
                                     (*) handle Tcl_Obj nonasgn byaddr)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 391 */ tcl_ConditionFinalize entry (type Tcl_Condition byaddr)
                              TCL_STUB_API,
 /* 392 */ tcl_MutexFinalize  entry (type Tcl_Mutex byaddr)
                              TCL_STUB_API,
 /* 393 */ tcl_CreateThread   entry (type Tcl_ThreadId byaddr,
                                     type Tcl_ThreadCreateProc,
                                     type ClientData,
                                     fixed bin (31),
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 394 */ tcl_ReadRaw        entry (type Tcl_Channel,
                                     char (*) varz byaddr,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 395 */ tcl_WriteRaw       entry (type Tcl_Channel,
                                     char (*) varz byaddr nonasgn,
                                     fixed bin (31))
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 396 */ tcl_GetTopChannel  entry (type Tcl_Channel)
                              returns (type Tcl_Channel byvalue)
                              TCL_STUB_API,
 /* 397 */ tcl_ChannelBuffered entry (type Tcl_Channel)
                              returns (fixed bin (31) byvalue optional)
                              TCL_STUB_API,
 /* 398 */ tcl_ChannelName    entry (handle Tcl_ChannelType)
                              returns (pointer byvalue)
                              TCL_STUB_API,
 /* 399 */ tcl_ChannelVersion entry (handle Tcl_ChannelType)
                          returns (type Tcl_ChannelTypeVersion byvalue)
                              TCL_STUB_API,
 /* 400 */ tcl_ChannelBlockModeProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverBlockModeProc byvalue)
                              TCL_STUB_API,
 /* 401 */ tcl_ChannelCloseProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverCloseProc byvalue)
                              TCL_STUB_API,
 /* 402 */ tcl_ChannelClose2Proc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverClose2Proc byvalue)
                              TCL_STUB_API,
 /* 403 */ tcl_ChannelInputProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverInputProc byvalue)
                              TCL_STUB_API,
 /* 404 */ tcl_ChannelOutputProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverOutputProc byvalue)
                              TCL_STUB_API,
 /* 405 */ tcl_ChannelSeekProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverSeekProc byvalue)
                              TCL_STUB_API,
 /* 406 */ tcl_ChannelSetOptionProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverSetOptionProc byvalue)
                              TCL_STUB_API,
 /* 407 */ tcl_ChannelGetOptionProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverGetOptionProc byvalue)
                              TCL_STUB_API,
 /* 408 */ tcl_ChannelWatchProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverWatchProc byvalue)
                              TCL_STUB_API,
 /* 409 */ tcl_ChannelGetHandleProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverGetHandleProc byvalue)
                              TCL_STUB_API,
 /* 410 */ tcl_ChannelFlushProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverFlushProc byvalue)
                              TCL_STUB_API,
 /* 411 */ tcl_ChannelHandlerProc entry (handle Tcl_ChannelType)
                          returns (type Tcl_DriverHandlerProc byvalue)
                              TCL_STUB_API);
 %end; /* USE_TCL_STUBS ^= '' & USE_TCL_STUB_PROCS = '' */

 dcl tclStubsPtr pointer reserved(imported) external('_tclStubsPtr');

 %end; /* #TCLDECLS */
