 /* no longer used  - but might get                                   */
 /* our own facility in the future?                                   */
 /* FacilityNames=(FACILITY_VFW=0x4)                                  */
 /* To add a message:                                                 */
 /*                                                                   */
 /* The MessageId is the number of the message.                       */
 /* Accepted severities are 'Success' and 'Warning'.                  */
 /*                                                                   */
 /* Facility should be FACILITY_ITF (was FACILITY_VFW).               */
 /*                                                                   */
 /* The SymbolicName is the name used in the code to identify the     */
 /* message.                                                          */
 /* The text of a message starts the line after 'Language=' and       */
 /* ends before a line with only a '.' in column one.                 */
 /*                                                                   */
 /*  Values are 32 bit values layed out as follows:                   */
 /*                                                                   */
 /*   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1                     */
 /*   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 */
 /*  +---+-+-+-----------------------+-------------------------------+*/
 /*  |Sev|C|R|     Facility          |               Code            |*/
 /*  +---+-+-+-----------------------+-------------------------------+*/
 /*                                                                   */
 /*  where                                                            */
 /*                                                                   */
 /*      Sev - is the severity code                                   */
 /*                                                                   */
 /*          00 - Success                                             */
 /*          01 - Informational                                       */
 /*          10 - Warning                                             */
 /*          11 - Error                                               */
 /*                                                                   */
 /*      C - is the Customer code flag                                */
 /*                                                                   */
 /*      R - is a reserved bit                                        */
 /*                                                                   */
 /*      Facility - is the facility code                              */
 /*                                                                   */
 /*      Code - is the facility's status code                         */
 /*                                                                   */
 /*                                                                   */
 /* Define the facility codes                                         */
 /*                                                                   */

 %dcl #VFW_MSG_H_ char ext;
 %if #VFW_MSG_H_ = '' %then %do;
 %#VFW_MSG_H_ = 'Y';

 /*                                                                   */
 /* Define the severity codes                                         */
 /*                                                                   */

 /*                                                                   */
 /* MessageId: VFW_E_INVALIDMEDIATYPE                                 */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An invalid media type was specified.                             */
 /*                                                                   */
 dcl VFW_E_INVALIDMEDIATYPE            type HRESULT value('80040200'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALIDSUBTYPE                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An invalid media subtype was specified.                          */
 /*                                                                   */
 dcl VFW_E_INVALIDSUBTYPE              type HRESULT value('80040201'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NEED_OWNER                                       */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This object can only be created as an aggregated object.         */
 /*                                                                   */
 dcl VFW_E_NEED_OWNER                  type HRESULT value('80040202'xn);

 /*                                                                   */
 /* MessageId: VFW_E_ENUM_OUT_OF_SYNC                                 */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The enumerator has become invalid.                               */
 /*                                                                   */
 dcl VFW_E_ENUM_OUT_OF_SYNC            type HRESULT value('80040203'xn);

 /*                                                                   */
 /* MessageId: VFW_E_ALREADY_CONNECTED                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  At least one of the pins involved in the operation is already
 /* connected.                                                        */
 /*                                                                   */
 dcl VFW_E_ALREADY_CONNECTED           type HRESULT value('80040204'xn);

 /*                                                                   */
 /* MessageId: VFW_E_FILTER_ACTIVE                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This operation cannot be performed because the filter is active. */
 /*                                                                   */
 dcl VFW_E_FILTER_ACTIVE               type HRESULT value('80040205'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_TYPES                                         */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  One of the specified pins supports no media types.               */
 /*                                                                   */
 dcl VFW_E_NO_TYPES                    type HRESULT value('80040206'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_ACCEPTABLE_TYPES                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  There is no common media type between these pins.                */
 /*                                                                   */
 dcl VFW_E_NO_ACCEPTABLE_TYPES         type HRESULT value('80040207'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALID_DIRECTION                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Two pins of the same direction cannot be connected together.     */
 /*                                                                   */
 dcl VFW_E_INVALID_DIRECTION           type HRESULT value('80040208'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_CONNECTED                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The operation cannot be performed because the pins are not
 /*  connected.                                                       */
 /*                                                                   */
 dcl VFW_E_NOT_CONNECTED               type HRESULT value('80040209'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_ALLOCATOR                                     */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No sample buffer allocator is available.                         */
 /*                                                                   */
 dcl VFW_E_NO_ALLOCATOR                type HRESULT value('8004020A'xn);

 /*                                                                   */
 /* MessageId: VFW_E_RUNTIME_ERROR                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A run-time error occurred.                                       */
 /*                                                                   */
 dcl VFW_E_RUNTIME_ERROR               type HRESULT value('8004020B'xn);

 /*                                                                   */
 /* MessageId: VFW_E_BUFFER_NOTSET                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No buffer space has been set.                                    */
 /*                                                                   */
 dcl VFW_E_BUFFER_NOTSET               type HRESULT value('8004020C'xn);

 /*                                                                   */
 /* MessageId: VFW_E_BUFFER_OVERFLOW                                  */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The buffer is not big enough.                                    */
 /*                                                                   */
 dcl VFW_E_BUFFER_OVERFLOW             type HRESULT value('8004020D'xn);

 /*                                                                   */
 /* MessageId: VFW_E_BADALIGN                                         */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An invalid alignment was specified.                              */
 /*                                                                   */
 dcl VFW_E_BADALIGN                    type HRESULT value('8004020E'xn);

 /*                                                                   */
 /* MessageId: VFW_E_ALREADY_COMMITTED                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot change allocated memory while the filter is active.       */
 /*                                                                   */
 dcl VFW_E_ALREADY_COMMITTED           type HRESULT value('8004020F'xn);

 /*                                                                   */
 /* MessageId: VFW_E_BUFFERS_OUTSTANDING                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  One or more buffers are still active.                            */
 /*                                                                   */
 dcl VFW_E_BUFFERS_OUTSTANDING         type HRESULT value('80040210'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_COMMITTED                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot allocate a sample when the allocator is not active.       */
 /*                                                                   */
 dcl VFW_E_NOT_COMMITTED               type HRESULT value('80040211'xn);

 /*                                                                   */
 /* MessageId: VFW_E_SIZENOTSET                                       */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot allocate memory because no size has been set.             */
 /*                                                                   */
 dcl VFW_E_SIZENOTSET                  type HRESULT value('80040212'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_CLOCK                                         */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot lock for synchronization because no clock has             */
 /*  been defined.                                                    */
 /*                                                                   */
 dcl VFW_E_NO_CLOCK                    type HRESULT value('80040213'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_SINK                                          */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Quality messages could not be sent because no quality sink has   */
 /*  been defined.                                                    */
 /*                                                                   */
 dcl VFW_E_NO_SINK                     type HRESULT value('80040214'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_INTERFACE                                     */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A required interface has not been implemented.                   */
 /*                                                                   */
 dcl VFW_E_NO_INTERFACE                type HRESULT value('80040215'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_FOUND                                        */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An object or name was not found.                                 */
 /*                                                                   */
 dcl VFW_E_NOT_FOUND                   type HRESULT value('80040216'xn);

 /*                                                                   */
 /* MessageId: VFW_E_CANNOT_CONNECT                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No combination of intermediate filters could be found to make    */
 /*  the connection.                                                  */
 /*                                                                   */
 dcl VFW_E_CANNOT_CONNECT              type HRESULT value('80040217'xn);

 /*                                                                   */
 /* MessageId: VFW_E_CANNOT_RENDER                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No combination of filters could be found to render the stream.   */
 /*                                                                   */
 dcl VFW_E_CANNOT_RENDER               type HRESULT value('80040218'xn);

 /*                                                                   */
 /* MessageId: VFW_E_CHANGING_FORMAT                                  */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Could not change formats dynamically.                            */
 /*                                                                   */
 dcl VFW_E_CHANGING_FORMAT             type HRESULT value('80040219'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_COLOR_KEY_SET                                 */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No color key has been set.                                       */
 /*                                                                   */
 dcl VFW_E_NO_COLOR_KEY_SET            type HRESULT value('8004021A'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_OVERLAY_CONNECTION                           */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Current pin connection is not using the IOverlay transport.      */
 /*                                                                   */
 dcl VFW_E_NOT_OVERLAY_CONNECTION      type HRESULT value('8004021B'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_SAMPLE_CONNECTION                            */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Current pin connection is not using the IMemInputPin transport.  */
 /*                                                                   */
 dcl VFW_E_NOT_SAMPLE_CONNECTION       type HRESULT value('8004021C'xn);

 /*                                                                   */
 /* MessageId: VFW_E_PALETTE_SET                                      */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Setting a color key would conflict with the palette already set. */
 /*                                                                   */
 dcl VFW_E_PALETTE_SET                 type HRESULT value('8004021D'xn);

 /*                                                                   */
 /* MessageId: VFW_E_COLOR_KEY_SET                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Setting a palette would conflict with the color key already set. */
 /*                                                                   */
 dcl VFW_E_COLOR_KEY_SET               type HRESULT value('8004021E'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_COLOR_KEY_FOUND                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No matching color key is available.                              */
 /*                                                                   */
 dcl VFW_E_NO_COLOR_KEY_FOUND          type HRESULT value('8004021F'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_PALETTE_AVAILABLE                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No palette is available.                                         */
 /*                                                                   */
 dcl VFW_E_NO_PALETTE_AVAILABLE        type HRESULT value('80040220'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_DISPLAY_PALETTE                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Display does not use a palette.                                  */
 /*                                                                   */
 dcl VFW_E_NO_DISPLAY_PALETTE          type HRESULT value('80040221'xn);

 /*                                                                   */
 /* MessageId: VFW_E_TOO_MANY_COLORS                                  */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Too many colors for the current display settings.                */
 /*                                                                   */
 dcl VFW_E_TOO_MANY_COLORS             type HRESULT value('80040222'xn);

 /*                                                                   */
 /* MessageId: VFW_E_STATE_CHANGED                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The state changed while waiting to process the sample.           */
 /*                                                                   */
 dcl VFW_E_STATE_CHANGED               type HRESULT value('80040223'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_STOPPED                                      */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The operation could not be performed because the filter is not   */
 /*  stopped.                                                         */
 /*                                                                   */
 dcl VFW_E_NOT_STOPPED                 type HRESULT value('80040224'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_PAUSED                                       */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The operation could not be performed because the filter is not
 /*  paused.                                                          */
 /*                                                                   */
 dcl VFW_E_NOT_PAUSED                  type HRESULT value('80040225'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_RUNNING                                      */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The operation could not be performed because the filter is not   */
 /*  running.                                                         */
 /*                                                                   */
 dcl VFW_E_NOT_RUNNING                 type HRESULT value('80040226'xn);

 /*                                                                   */
 /* MessageId: VFW_E_WRONG_STATE                                      */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The operation could not be performed because the filter is in    */
 /* the wrong state.                                                  */
 /*                                                                   */
 dcl VFW_E_WRONG_STATE                 type HRESULT value('80040227'xn);

 /*                                                                   */
 /* MessageId: VFW_E_START_TIME_AFTER_END                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The sample start time is after the sample end time.              */
 /*                                                                   */
 dcl VFW_E_START_TIME_AFTER_END        type HRESULT value('80040228'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALID_RECT                                     */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The supplied rectangle is invalid.                               */
 /*                                                                   */
 dcl VFW_E_INVALID_RECT                type HRESULT value('80040229'xn);

 /*                                                                   */
 /* MessageId: VFW_E_TYPE_NOT_ACCEPTED                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This pin cannot use the supplied media type.                     */
 /*                                                                   */
 dcl VFW_E_TYPE_NOT_ACCEPTED           type HRESULT value('8004022A'xn);

 /*                                                                   */
 /* MessageId: VFW_E_SAMPLE_REJECTED                                  */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This sample cannot be rendered.                                  */
 /*                                                                   */
 dcl VFW_E_SAMPLE_REJECTED             type HRESULT value('8004022B'xn);

 /*                                                                   */
 /* MessageId: VFW_E_SAMPLE_REJECTED_EOS                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This sample cannot be rendered because the end of the stream     */
 /*  has been reached.                                                */
 /*                                                                   */
 dcl VFW_E_SAMPLE_REJECTED_EOS         type HRESULT value('8004022C'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DUPLICATE_NAME                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An attempt to add a filter with a duplicate name failed.         */
 /*                                                                   */
 dcl VFW_E_DUPLICATE_NAME              type HRESULT value('8004022D'xn);

 /*                                                                   */
 /* MessageId: VFW_S_DUPLICATE_NAME                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An attempt to add a filter with a duplicate name succeeded       */
 /*  with a modified name.                                            */
 /*                                                                   */
 dcl VFW_S_DUPLICATE_NAME              type HRESULT value('0004022D'xn);

 /*                                                                   */
 /* MessageId: VFW_E_TIMEOUT                                          */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A time-out has expired.                                          */
 /*                                                                   */
 dcl VFW_E_TIMEOUT                     type HRESULT value('8004022E'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALID_FILE_FORMAT                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The file format is invalid.                                      */
 /*                                                                   */
 dcl VFW_E_INVALID_FILE_FORMAT         type HRESULT value('8004022F'xn);

 /*                                                                   */
 /* MessageId: VFW_E_ENUM_OUT_OF_RANGE                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The list has already been exhausted.                             */
 /*                                                                   */
 dcl VFW_E_ENUM_OUT_OF_RANGE           type HRESULT value('80040230'xn);

 /*                                                                   */
 /* MessageId: VFW_E_CIRCULAR_GRAPH                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The filter graph is circular.                                    */
 /*                                                                   */
 dcl VFW_E_CIRCULAR_GRAPH              type HRESULT value('80040231'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_ALLOWED_TO_SAVE                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Updates are not allowed in this state.                           */
 /*                                                                   */
 dcl VFW_E_NOT_ALLOWED_TO_SAVE         type HRESULT value('80040232'xn);

 /*                                                                   */
 /* MessageId: VFW_E_TIME_ALREADY_PASSED                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An attempt was made to queue a command for a time in the past.   */
 /*                                                                   */
 dcl VFW_E_TIME_ALREADY_PASSED         type HRESULT value('80040233'xn);

 /*                                                                   */
 /* MessageId: VFW_E_ALREADY_CANCELLED                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The queued command has already been canceled.                    */
 /*                                                                   */
 dcl VFW_E_ALREADY_CANCELLED           type HRESULT value('80040234'xn);

 /*                                                                   */
 /* MessageId: VFW_E_CORRUPT_GRAPH_FILE                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot render the file because it is corrupt.                    */
 /*                                                                   */
 dcl VFW_E_CORRUPT_GRAPH_FILE          type HRESULT value('80040235'xn);

 /*                                                                   */
 /* MessageId: VFW_E_ADVISE_ALREADY_SET                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  An overlay advise link already exists.                           */
 /*                                                                   */
 dcl VFW_E_ADVISE_ALREADY_SET          type HRESULT value('80040236'xn);

 /*                                                                   */
 /* MessageId: VFW_S_STATE_INTERMEDIATE                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The state transition has not completed.                          */
 /*                                                                   */
 dcl VFW_S_STATE_INTERMEDIATE          type HRESULT value('00040237'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_MODEX_AVAILABLE                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No full-screen modes are available.                              */
 /*                                                                   */
 dcl VFW_E_NO_MODEX_AVAILABLE          type HRESULT value('80040238'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_ADVISE_SET                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This Advise cannot be canceled because it was not successfully   */
 /*  set.                                                             */
 /*                                                                   */
 dcl VFW_E_NO_ADVISE_SET               type HRESULT value('80040239'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_FULLSCREEN                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A full-screen mode is not available.                             */
 /*                                                                   */
 dcl VFW_E_NO_FULLSCREEN               type HRESULT value('8004023A'xn);

 /*                                                                   */
 /* MessageId: VFW_E_IN_FULLSCREEN_MODE                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot call IVideoWindow methods while in full-screen mode.      */
 /*                                                                   */
 dcl VFW_E_IN_FULLSCREEN_MODE          type HRESULT value('8004023B'xn);

 /*                                                                   */
 /* MessageId: VFW_E_UNKNOWN_FILE_TYPE                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The media type of this file is not recognized.                   */
 /*                                                                   */
 dcl VFW_E_UNKNOWN_FILE_TYPE           type HRESULT value('80040240'xn);

 /*                                                                   */
 /* MessageId: VFW_E_CANNOT_LOAD_SOURCE_FILTER                        */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The source filter for this file could not be loaded.             */
 /*                                                                   */
 dcl VFW_E_CANNOT_LOAD_SOURCE_FILTER   type HRESULT value('80040241'xn);

 /*                                                                   */
 /* MessageId: VFW_S_PARTIAL_RENDER                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Some of the streams in this movie are in an unsupported format.  */
 /*                                                                   */
 dcl VFW_S_PARTIAL_RENDER              type HRESULT value('00040242'xn);

 /*                                                                   */
 /* MessageId: VFW_E_FILE_TOO_SHORT                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A file appeared to be incomplete.                                */
 /*                                                                   */
 dcl VFW_E_FILE_TOO_SHORT              type HRESULT value('80040243'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALID_FILE_VERSION                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The version number of the file is invalid.                       */
 /*                                                                   */
 dcl VFW_E_INVALID_FILE_VERSION        type HRESULT value('80040244'xn);

 /*                                                                   */
 /* MessageId: VFW_S_SOME_DATA_IGNORED                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The file contained some property settings that were not used.    */
 /*                                                                   */
 dcl VFW_S_SOME_DATA_IGNORED           type HRESULT value('00040245'xn);

 /*                                                                   */
 /* MessageId: VFW_S_CONNECTIONS_DEFERRED                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Some connections have failed and have been deferred.             */
 /*                                                                   */
 dcl VFW_S_CONNECTIONS_DEFERRED        type HRESULT value('00040246'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALID_CLSID                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This file is corrupt: it contains an invalid class identifier.   */
 /*                                                                   */
 dcl VFW_E_INVALID_CLSID               type HRESULT value('80040247'xn);

 /*                                                                   */
 /* MessageId: VFW_E_INVALID_MEDIA_TYPE                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This file is corrupt: it contains an invalid media type.         */
 /*                                                                   */
 dcl VFW_E_INVALID_MEDIA_TYPE          type HRESULT value('80040248'xn);

 /* Message id from WINWarning.H                                      */
 /*                                                                   */
 /* MessageId: VFW_E_BAD_KEY                                          */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A registry entry is corrupt.                                     */
 /*                                                                   */
 dcl VFW_E_BAD_KEY                     type HRESULT value('800403F2'xn);

 /* Message id from WINWarning.H                                      */
 /*                                                                   */
 /* MessageId: VFW_S_NO_MORE_ITEMS                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The end of the list has been reached.                            */
 /*                                                                   */
 dcl VFW_S_NO_MORE_ITEMS               type HRESULT value('00040103'xn);

 /*                                                                   */
 /* MessageId: VFW_E_SAMPLE_TIME_NOT_SET                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No time stamp has been set for this sample.                      */
 /*                                                                   */
 dcl VFW_E_SAMPLE_TIME_NOT_SET         type HRESULT value('80040249'xn);

 /*                                                                   */
 /* MessageId: VFW_S_RESOURCE_NOT_NEEDED                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The resource specified is no longer needed.                      */
 /*                                                                   */
 dcl VFW_S_RESOURCE_NOT_NEEDED         type HRESULT value('00040250'xn);

 /*                                                                   */
 /* MessageId: VFW_E_MEDIA_TIME_NOT_SET                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No media time stamp has been set for this sample.                */
 /*                                                                   */
 dcl VFW_E_MEDIA_TIME_NOT_SET          type HRESULT value('80040251'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_TIME_FORMAT_SET                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No media time format has been selected.                          */
 /*                                                                   */
 dcl VFW_E_NO_TIME_FORMAT_SET          type HRESULT value('80040252'xn);

 /*                                                                   */
 /* MessageId: VFW_E_MONO_AUDIO_HW                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot change balance because audio device is mono only.         */
 /*                                                                   */
 dcl VFW_E_MONO_AUDIO_HW               type HRESULT value('80040253'xn);

 /*                                                                   */
 /* MessageId: VFW_S_MEDIA_TYPE_IGNORED                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  A connection could not be made with the media type in the        */
 /*  persistent graph, but has been made with a negotiated media type.*/
 /*                                                                   */
 dcl VFW_S_MEDIA_TYPE_IGNORED          type HRESULT value('00040254'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_DECOMPRESSOR                                  */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the video stream: no suitable decompressor      */
 /*  could be found.                                                  */
 /*                                                                   */
 dcl VFW_E_NO_DECOMPRESSOR             type HRESULT value('80040255'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_AUDIO_HARDWARE                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the audio stream: no audio hardware is          */
 /*  available, or the hardware is not responding.                    */
 /*                                                                   */
 dcl VFW_E_NO_AUDIO_HARDWARE           type HRESULT value('80040256'xn);

 /*                                                                   */
 /* MessageId: VFW_S_VIDEO_NOT_RENDERED                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the video stream: no suitable decompressor      */
 /*  could be found.                                                  */
 /*                                                                   */
 dcl VFW_S_VIDEO_NOT_RENDERED          type HRESULT value('00040257'xn);

 /*                                                                   */
 /* MessageId: VFW_S_AUDIO_NOT_RENDERED                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the audio stream: no audio hardware is          */
 /*  available.                                                       */
 /*                                                                   */
 dcl VFW_S_AUDIO_NOT_RENDERED          type HRESULT value('00040258'xn);

 /*                                                                   */
 /* MessageId: VFW_E_RPZA                                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the video stream: format 'RPZA' is not          */
 /*  supported.                                                       */
 /*                                                                   */
 dcl VFW_E_RPZA                        type HRESULT value('80040259'xn);

 /*                                                                   */
 /* MessageId: VFW_S_RPZA                                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the video stream: format 'RPZA' is not          */
 /*  supported.                                                       */
 /*                                                                   */
 dcl VFW_S_RPZA                        type HRESULT value('0004025A'xn);

 /*                                                                   */
 /* MessageId: VFW_E_PROCESSOR_NOT_SUITABLE                           */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  ActiveMovie cannot play MPEG movies on this processor.           */
 /*                                                                   */
 dcl VFW_E_PROCESSOR_NOT_SUITABLE      type HRESULT value('8004025B'xn);

 /*                                                                   */
 /* MessageId: VFW_E_UNSUPPORTED_AUDIO                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the audio stream: the audio format is not       */
 /*  supported.                                                       */
 /*                                                                   */
 dcl VFW_E_UNSUPPORTED_AUDIO           type HRESULT value('8004025C'xn);

 /*                                                                   */
 /* MessageId: VFW_E_UNSUPPORTED_VIDEO                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the video stream: the video format is not       */
 /*  supported.                                                       */
 /*                                                                   */
 dcl VFW_E_UNSUPPORTED_VIDEO           type HRESULT value('8004025D'xn);

 /*                                                                   */
 /* MessageId: VFW_E_MPEG_NOT_CONSTRAINED                             */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  ActiveMovie cannot play this video stream because it falls       */
 /*  outside the constrained standard.                                */
 /*                                                                   */
 dcl VFW_E_MPEG_NOT_CONSTRAINED        type HRESULT value('8004025E'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NOT_IN_GRAPH                                     */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot perform the requested function on an object that is not   */
 /*  in the filter graph.                                             */
 /*                                                                   */
 dcl VFW_E_NOT_IN_GRAPH                type HRESULT value('8004025F'xn);

 /*                                                                   */
 /* MessageId: VFW_S_ESTIMATED                                        */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The value returned had to be estimated.                          */
 /*  Its accuracy can not be guaranteed.                              */
 /*                                                                   */
 dcl VFW_S_ESTIMATED                   type HRESULT value('00040260'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_TIME_FORMAT                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot get or set time related information on an object that is  */
 /*  using a time format of TIME_FORMAT_NONE.                         */
 /*                                                                   */
 dcl VFW_E_NO_TIME_FORMAT              type HRESULT value('80040261'xn);

 /*                                                                   */
 /* MessageId: VFW_E_READ_ONLY                                        */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The connection cannot be made because the stream is read only    */
 /*  and the filter alters the data.                                  */
 /*                                                                   */
 dcl VFW_E_READ_ONLY                   type HRESULT value('80040262'xn);

 /*                                                                   */
 /* MessageId: VFW_S_RESERVED                                         */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This success code is reserved for internal purposes within       */
 /*  ActiveMovie.                                                     */
 /*                                                                   */
 dcl VFW_S_RESERVED                    type HRESULT value('00040263'xn);

 /*                                                                   */
 /* MessageId: VFW_E_BUFFER_UNDERFLOW                                 */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The buffer is not full enough.                                   */
 /*                                                                   */
 dcl VFW_E_BUFFER_UNDERFLOW            type HRESULT value('80040264'xn);

 /*                                                                   */
 /* MessageId: VFW_E_UNSUPPORTED_STREAM                               */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Cannot play back the file.  The format is not supported.         */
 /*                                                                   */
 dcl VFW_E_UNSUPPORTED_STREAM          type HRESULT value('80040265'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_TRANSPORT                                     */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Pins cannot connect due to not supporting the same transport.    */
 /*                                                                   */
 dcl VFW_E_NO_TRANSPORT                type HRESULT value('80040266'xn);

 /*                                                                   */
 /* MessageId: VFW_S_STREAM_OFF                                       */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The stream has been turned off.                                  */
 /*                                                                   */
 dcl VFW_S_STREAM_OFF                  type HRESULT value('00040267'xn);

 /*                                                                   */
 /* MessageId: VFW_S_CANT_CUE                                         */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The graph can't be cued because of lack of or corrupt data.      */
 /*                                                                   */
 dcl VFW_S_CANT_CUE                    type HRESULT value('00040268'xn);

 /*                                                                   */
 /* MessageId: VFW_E_BAD_VIDEOCD                                      */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The Video CD can't be read correctly by the device or is the     */
 /*  data is corrupt.                                                 */
 /*                                                                   */
 dcl VFW_E_BAD_VIDEOCD type HRESULT                 value('80040269'xn);

 /*                                                                   */
 /* MessageId: VFW_S_NO_STOP_TIME                                     */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The stop time for the sample was not set.                        */
 /*                                                                   */
 dcl VFW_S_NO_STOP_TIME                type HRESULT value('00040270'xn);

 /*                                                                   */
 /* MessageId: VFW_E_OUT_OF_VIDEO_MEMORY                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  There is not enough Video Memory at this display resolution      */
 /*  and number of colors. Reducing resolution might help.            */
 /*                                                                   */
 dcl VFW_E_OUT_OF_VIDEO_MEMORY         type HRESULT value('80040271'xn);

 /*                                                                   */
 /* MessageId: VFW_E_VP_NEGOTIATION_FAILED                            */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The VideoPort connection negotiation process has failed.         */
 /*                                                                   */
 dcl VFW_E_VP_NEGOTIATION_FAILED       type HRESULT value('80040272'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DDRAW_CAPS_NOT_SUITABLE                          */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Either DirectDraw has not been installed or the Video Card       */
 /*  capabilities are not suitable. Make sure the display is not in   */
 /*  16 color mode.                                                   */
 /*                                                                   */
 dcl VFW_E_DDRAW_CAPS_NOT_SUITABLE     type HRESULT value('80040273'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_VP_HARDWARE                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No VideoPort hardware is available, or the hardware is not       */
 /*  responding.                                                      */
 /*                                                                   */
 dcl VFW_E_NO_VP_HARDWARE              type HRESULT value('80040274'xn);

 /*                                                                   */
 /* MessageId: VFW_E_NO_CAPTURE_HARDWARE                              */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  No Capture hardware is available, or the hardware is not         */
 /*  responding.                                                      */
 /*                                                                   */
 dcl VFW_E_NO_CAPTURE_HARDWARE         type HRESULT value('80040275'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DVD_OPERATION_INHIBITED                          */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This User Operation is inhibited by DVD Content at this time.    */
 /*                                                                   */
 dcl VFW_E_DVD_OPERATION_INHIBITED     type HRESULT value('80040276'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DVD_INVALIDDOMAIN                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  This Operation is not permitted in the current domain.           */
 /*                                                                   */
 dcl VFW_E_DVD_INVALIDDOMAIN           type HRESULT value('80040277'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DVD_NO_BUTTON                                    */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Requested Button is not available.                               */
 /*                                                                   */
 dcl VFW_E_DVD_NO_BUTTON               type HRESULT value('80040278'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DVD_GRAPHNOTREADY                                */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  DVD-Video playback graph has not been built yet.                 */
 /*                                                                   */
 dcl VFW_E_DVD_GRAPHNOTREADY           type HRESULT value('80040279'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DVD_RENDERFAIL                                   */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  DVD-Video playback graph building failed.                        */
 /*                                                                   */
 dcl VFW_E_DVD_RENDERFAIL              type HRESULT value('8004027A'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DVD_DECNOTENOUGH                                 */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  DVD-Video playback graph could not be built due to insufficient  */
 /*  decoders.                                                        */
 /*                                                                   */
 dcl VFW_E_DVD_DECNOTENOUGH            type HRESULT value('8004027B'xn);

 /*                                                                   */
 /* MessageId: VFW_E_DDRAW_VERSION_NOT_SUITABLE                       */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  Version number of direct draw not suitable. Make sure to install */
 /*  dx5 or higher version.                                           */
 /*                                                                   */
 dcl VFW_E_DDRAW_VERSION_NOT_SUITABLE  type HRESULT value('8004027C'xn);

 /*                                                                   */
 /* E_PROP_SET_UNSUPPORTED and E_PROP_ID_UNSUPPORTED are added here   */
 /* using HRESULT_FROM_WIN32() because VC5 doesn't have WinNT's new   */
 /* error codes from winerror.h, and because it is more convienent    */
 /* to have them already formed as HRESULTs.                          */
 /* These should correspond to:                                       */
 /*  HRESULT_FROM_WIN32(ERROR_NOT_FOUND)     = E_PROP_ID_UNSUPPORTED  */
 /*  HRESULT_FROM_WIN32(ERROR_SET_NOT_FOUND) = E_PROP_SET_UNSUPPORTED */
 %dcl #E_PROP_SET_UNSUPPORTED char ext;
 %if #E_PROP_SET_UNSUPPORTED = '' %then %do;
 /*                                                                   */
 /* MessageId: E_PROP_SET_UNSUPPORTED                                 */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The Specified property set is not supported.                     */
 /*                                                                   */
 dcl E_PROP_SET_UNSUPPORTED            type HRESULT value('80070492'xn);
 %end; /*!defined(E_PROP_SET_UNSUPPORTED) */

 %dcl #E_PROP_ID_UNSUPPORTED char ext;
 %if #E_PROP_ID_UNSUPPORTED = '' %then %do;
 /*                                                                   */
 /* MessageId: E_PROP_ID_UNSUPPORTED                                  */
 /*                                                                   */
 /* MessageText:                                                      */
 /*                                                                   */
 /*  The specified property ID is not supported for the specified     */
 /* property set.                                                     */
 /*                                                                   */
 dcl E_PROP_ID_UNSUPPORTED             type HRESULT value('80070490'xn);
 %end; /*!defined(E_PROP_ID_UNSUPPORTED) */
 %end; /* #VFW_MSG_H_ */
