 /********************************************************************/
 /*                                                                  */
 /*  PL/I Include file: SQLUTIL.CPY                                  */
 /*                                                                  */
 /*  NAME - SQLUTIL.CPY                                              */
 /*                                                                  */
 /*    (C) Copyright IBM Corp. 1994, 1996. All Rights Reserved.      */
 /*    US Government Users Restricted Rights-- Use, duplication or   */
 /*    disclosure restricted by GSA ADP Schedule Contract with       */
 /*    IBM Corp.                                                     */
 /*    Licensed Materials - Property of IBM                          */
 /*                                                                  */
 /*  Function =                                                      */
 /*        Include File defining:                                    */
 /*          Utility / Configuration Commands - Constants            */
 /*          Utility / Configuration Commands - Data Structures      */
 /*          Utility / Configuration Commands - Function Prototypes  */
 /*          Utility / Configuration Commands - Labels for SQLCODES  */
 /*                                                                  */
 /*                                                                  */
 /*  Operating System = Windows                                      */
 /*                                                                  */
 /*                                                                  */
 /*  DISCLAIMER OF WARRANTIES                                        */
 /*    The following enclosed code is sample code created by IBM   */
 /*    Corporation. This sample code is not part of any standard     */
 /*    IBM product and is provided to you solely for the purpose of  */
 /*    assisting you in the development of your applications.  The   */
 /*    code is provided "AS IS", without warranty of any kind.       */
 /*    IBM shall not be liable for any damages arising out of your   */
 /*    use of the sample code, even if IBM has been advised of the   */
 /*    possibility of such damages.                                  */
 /*                                                                  */
 /********************************************************************/
 %dcl SQL_H_SQLUTIL char ext;
 %if SQL_H_SQLUTIL = '' %then %do;
 %SQL_H_SQLUTIL = 'Y';

 %dcl SQL_H_SQL char ext;
 %if SQL_H_SQL = '' %then %do;
 /* Includes sqlca.h & sqlsystm.h */
 %include sql;
 %end;

 /* Interface Parameters/Structures/Return Codes */

 /* Parameters for Rollforward caller action */
 dcl SQLUM_ROLLFWD            fixed bin(31) value(1);
                              /* Roll forward to requested point     */
 dcl SQLUM_STOP               fixed bin(31) value(2);
                              /* End roll-forward recovery           */
 dcl SQLUM_COMPLETE           fixed bin(31) value(2);
                              /* End roll-forward recovery           */
 dcl SQLUM_ROLLFWD_STOP       fixed bin(31) value(3);
                              /* Roll forward to requested point     */
                              /* and end roll-forward recovery       */
 dcl SQLUM_QUERY              fixed bin(31) value(4);
                              /* Query nextArcFile, firstDeleteArc,  */
                              /* lastDeleteArc, lastCommitTime       */
 dcl SQLUM_CANCEL             fixed bin(31) value(8);
                              /* Cancel current rollforward          */
 dcl SQLUM_PARM_CHECK         fixed bin(31) value(10);
                              /* Parameter check                     */
 dcl SQLUM_LOADREC_CONTINUE   fixed bin(31) value(11);
                              /* Continue load recovery.             */
 dcl SQLUM_LOADREC_TERMINATE  fixed bin(31) value(12);
                              /* Terminate load recovery.            */
 dcl SQLUM_LOADREC_DEVICE_TERMINATE fixed bin(31) value(13);
                              /* Terminate device.Caller action   */

                              /* codes 31 - 35 reserved for          */
                              /* internal use.                       */

 /* Constants used for Rollforward */
 dcl SQLUM_INFINITY_TIMESTAMP char value('9999-12-31-23.59.59.999999');
                              /* Roll forward until STOP specified   */
 dcl SQLUM_ARCHIVE_FILE_LEN   fixed bin(31) value(12);
                              /* Length of Archive File name         */
 dcl SQLUM_TIMESTAMP_LEN      fixed bin(31) value(26);
                              /* Length of ISO format Timestamp      */

 /* Roll forward input version values                                */
 dcl SQLUM_RFWD_VERSION       fixed bin(31) value(5);
                              /* current rollforward input version   */

 /* Roll forward allNodeFlag values                                  */
 dcl SQLURF_NODE_LIST         fixed bin(31) value(0);
                              /* submit to all nodes in the node     */
                              /* list                                */
 dcl SQLURF_ALL_NODES         fixed bin(31) value(1);
                              /* submit to all nodes in the          */
                              /* nodeconfiguration file              */
 dcl SQLURF_ALL_EXCEPT        fixed bin(31) value(2);
                              /* submit to all nodes except the      */
                              /* onesspecified by the nodelist       */
                              /* parameter                           */
 dcl SQLURF_CAT_NODE_ONLY     fixed bin(31) value(3);
                              /* submit to catalog node only         */

 /* Roll forward query status codes                                  */
 dcl SQLURFQ_NOT_AVAILABLE    fixed bin(31) value(0);
                              /* cannot query node                   */
 dcl SQLURFQ_NOT_RFW_PENDING  fixed bin(31) value(1);
                              /* rollforward is not pending          */
 dcl SQLURFQ_DB_RFW_PENDING   fixed bin(31) value(2);
                              /* database rollforward pending        */
 dcl SQLURFQ_TBL_RFW_PENDING  fixed bin(31) value(3);
                              /* tablespace rollforward pending      */
 dcl SQLURFQ_DB_RFW_IN_PROGRESS fixed bin(31) value(4);
                              /* database rollforward in progress    */
 dcl SQLURFQ_TBL_RFW_IN_PROGRESS fixed bin(31) value(5);
                              /* tablespace rollforward in progress  */
 dcl SQLURFQ_DB_RFW_STOPPING  fixed bin(31) value(6);
                              /* database rollforward processing     */
                              /* STOP                                */
 dcl SQLURFQ_TBL_RFW_STOPPING fixed bin(31) value(7);
                              /* tablespace rollforward processing   */
                              /* STOP                                */

 /* Rollforward connect mode       */
 dcl SQLUM_OFFLINE            fixed bin(16) unsigned value('0'xn);
                              /* Offline rollforward mode            */
 dcl SQLUM_ONLINE             fixed bin(16) unsigned value('1'xn);
                              /* Online rollforward mode             */

 /* Backup mode        */
 dcl SQLUB_OFFLINE            fixed bin(16) unsigned value('0'xu);
                              /* Offline backup mode                 */
 dcl SQLUB_ONLINE             fixed bin(16) unsigned value('1'xu);
                              /* Online backup mode                  */
 dcl SQLUB_SPLITMIRROR        fixed bin(16) unsigned value('10'xu);
                              /* Split mirror backup                 */
 dcl SQLUB_MODE_MASK          fixed bin(16) unsigned value('f'xu);
                              /* Backup modes                        */
 dcl SQLUB_OPT_MASK           fixed bin(16) unsigned value('0'xu);
                              /* Backup options                      */

 /* Backup type               */
 dcl SQLUB_DB                 fixed bin(16) unsigned value(0);
 dcl SQLUB_FULL               fixed bin(16) unsigned value(0);
 dcl SQLUB_TABLESPACE         fixed bin(16) unsigned value(3);
 dcl SQLUB_INCREMENTAL        fixed bin(16) unsigned value('10'xu);
 dcl SQLUB_DELTA              fixed bin(16) unsigned value('30'xu);
 dcl SQLUB_INC_LEVEL_MASK     fixed bin(16) unsigned value('ff00'xu);

 /* Backup type masks     */
 dcl SQLUB_TYPE_MASK          fixed bin(16) unsigned value('f'xu);
                              /* Determines if full/tbsp bckp.       */
 dcl SQLUB_INCR_MASK          fixed bin(16) unsigned value('f0'xu);
                              /* Determines if incr/delta bckp.      */

 /* Backup calling action values  */
 dcl SQLUB_BACKUP             type sqluint32 value(0);
                              /* initial call                        */
 dcl SQLUB_CONTINUE           type sqluint32 value(1);
                              /* Subsequent call                     */
 dcl SQLUB_TERMINATE          type sqluint32 value(2);
                              /* Terminating call                    */
 dcl SQLUB_NOINTERRUPT        type sqluint32 value(3);
                              /* Initial call to run without         */
                              /* prompting                           */
 dcl SQLUB_DEVICE_TERMINATE   type sqluint32 value(9);
                              /* End media device.                   */
 dcl SQLUB_PARM_CHECK         type sqluint32 value(10);
                              /* for parameter check only.           */
 dcl SQLUB_PARM_CHECK_INIT_AND_WAIT type sqluint32 value(10);
                              /* for parameter check and             */
                              /* initialization.                     */
 dcl SQLUB_PARM_CHECK_ONLY    type sqluint32 value(11);
                              /* for parameter checking only.        */

 /* Restore rollforward mode                  */
 dcl SQLUD_ROLLFWD            type sqluint32 value('0'xu);
 dcl SQLUD_NOROLLFWD          type sqluint32 value('1'xu);

 /* Restore mode                                                     */
 dcl SQLUD_OFFLINE            type sqluint32 value('0'xu);
                              /* Offline restore mode                */
 dcl SQLUD_ONLINE             type sqluint32 value('1'xu);
                              /* Online restore mode                 */

 /* Datalink mode                                                    */
 dcl SQLUD_DATALINK           type sqluint32 value('0'xu);
 dcl SQLUD_NODATALINK         type sqluint32 value('1'xu);

 /* Restore calling action values */
 dcl SQLUD_RESTORE            type sqluint32 value(0);
                              /* initial call                        */
 dcl SQLUD_CONTINUE           type sqluint32 value(1);
                              /* Subsequent call                     */
 dcl SQLUD_TERMINATE          type sqluint32 value(2);
                              /* Terminating call                    */
 dcl SQLUD_NOINTERRUPT        type sqluint32 value(3);
                              /* Initial call to run without         */
                              /* prompting                           */
 dcl SQLUD_DEVICE_TERMINATE   type sqluint32 value(9);
                              /* End media device.                   */
 dcl SQLUD_PARM_CHECK         type sqluint32 value(10);
                              /* for parameter check only.           */
 dcl SQLUD_PARM_CHECK_INIT_AND_WAIT type sqluint32 value(10);
                              /* for parameter check and             */
                              /* initialization.                     */
 dcl SQLUD_PARM_CHECK_ONLY    type sqluint32 value(11);
                              /* for parameter checking only.        */
 dcl SQLUD_RESTORE_TABLESPACE_LIST type sqluint32 value(12);
                              /* list of tablespaces/containers.     */
 dcl SQLUD_TERMINATE_INCREMENTAL   type sqluint32 value(13);
                              /* abort incremental restore           */
 dcl SQLUD_RESTORE_STORDEF    type sqluint32 value(100);
                              /* initial call, tablespace container  */
                              /* redefinition requested              */
 dcl SQLUD_STORDEF_NOINTERRUPT type sqluint32 value(101);
                              /* initial call, tablespace container  */
                              /* redefinition requested without      */
                              /* prompting                           */

 /* Restore type */
 dcl SQLUD_FULL               fixed bin(31) value(0);
 dcl SQLUD_ONLINE_TABLESPACE  fixed bin(31) value(3);
 dcl SQLUD_TABLESPACE         fixed bin(31) value(4);
 dcl SQLUD_HISTORY            fixed bin(31) value(5);
 dcl SQLUD_INCREMENTAL        fixed bin(31) value('10'xn);
 dcl SQLUD_AUTOMATIC          fixed bin(31) value('100'xn);

 /* The following are not supported in V2.1.0 */
 dcl SQLUD_TABLESPACE_TBL     fixed bin(31) value(6);
 dcl SQLUD_HIST_TBLSPACE_TBL  fixed bin(31) value(7);

 /* Restore type masks      */
 dcl SQLUD_TYPE_MASK          fixed bin(16) unsigned value('f'xu);
                              /* Determines if full/tbsp restore     */
 dcl SQLUD_INCR_MASK          fixed bin(16) unsigned value('f0'xu);
                              /* Determines if incr. restore         */

 /* Backup/Restore Definitions                */
 dcl SQLU_ALIAS_SZ            fixed bin(31) value(8);
                              /* length of database alias name       */
 dcl SQLU_USERID_LEN          fixed bin(31) value(1024);
                              /* length of userid                    */
 dcl SQLU_PWD_LEN             fixed bin(31) value(18);
                              /* length of password                  */
 dcl SQLU_TIME_STAMP_LEN      fixed bin(31) value(14);
                              /* length of the backup timestamp in   */
                              /* yyyymmddhhmmss format               */

 dcl SQLU_INSTNAME_SZ         fixed bin(31) value(8);
                              /* max length of an instance name      */
 /* length of filename of backup image:   */
 /* dbalias.type.db2instance.node.timestamp.seq */
 dcl SQLU_BACKUP_NAME_SZ      fixed bin (31)
     value (SQLU_ALIAS_SZ+5+SQLU_INSTNAME_SZ+5+SQLU_TIME_STAMP_LEN+4);

 /* length of directory where backup file will  */
 /* reside:dir - '/' - filename     */
 dcl SQLU_BACKUP_DIR_SZ       fixed bin (31)
     value (1023-1-SQLU_BACKUP_NAME_SZ);

 /* Data map separator for LOAD utility;  Partition Key Identifier   */
 dcl SQL_HEADER_DATA_SEPARATOR char value('===PDB===');
 dcl SQLU_PARTITIONKEY         char value('Key:');

 /* Parameters for Backup/Restore old api's  */
 dcl SQLU_NSD_ID               char value('0');
                              /* User exit used, not SD interface    */

 /* Media type for old api's                 */
 dcl SQLUB_MEDIA_TARGET             fixed bin(31) value('0'xn);
 dcl SQLUB_ADSM                     fixed bin(31) value('1'xn);
 dcl SQLUB_OTHER                    fixed bin(31) value('2'xn);

 /* Old OS/2 Backup/restore media type values  */
 dcl SQLUD_MEDIA_SRC                fixed bin(31) value('0'xn);
 dcl SQLUD_ADSM                     fixed bin(31) value('1'xn);
 dcl SQLUD_OTHER                    fixed bin(31) value('2'xn);

 /* Parameters for SQLUHPRN force option       */
 dcl SQLUH_NO_FORCE                 fixed bin(31) value(0);
 dcl SQLUH_FORCE                    fixed bin(31) value(1);

 /* Parameters for SQLUHOPS caller action      */
 dcl SQLUH_LIST_BACKUP              fixed bin(31) value(0);
 dcl SQLUH_LIST_HISTORY             fixed bin(31) value(1);
 dcl SQLUH_LIST_ADM_BACKUP          fixed bin(31) value(2);
 dcl SQLUH_LIST_ADM_ROLLFORWARD     fixed bin(31) value(3);
 dcl SQLUH_LIST_ADM_RUNSTATS        fixed bin(31) value(4);
 dcl SQLUH_LIST_ADM_REORG           fixed bin(31) value(5);
 dcl SQLUH_LIST_ADM_ALT_TABLESPACE  fixed bin(31) value(6);
 dcl SQLUH_LIST_ADM_DROPPED_TABLE   fixed bin(31) value(7);
 dcl SQLUH_LIST_ADM_LOAD            fixed bin(31) value(8);
 dcl SQLUH_LIST_ADM_HISTORY         fixed bin(31) value(9);

 /* Parameters for SQLUHGNE caller action      */
 dcl SQLUH_GET_NEXT_ENTRY           fixed bin(31) value(0);
 dcl SQLUH_GET_DDL                  fixed bin(31) value(1);
 dcl SQLUH_GET_NEXT_ENTRY_DDL       fixed bin(31) value(2);

 /* History File structure sizes               */
 dcl SQLUH_OP_SZ                    fixed bin(31) value(1);
 dcl SQLUH_OBJ_SZ                   fixed bin(31) value(1);
 dcl SQLUH_OBJPART_SZ               fixed bin(31) value(17);
 dcl SQLUH_OPTYPE_SZ                fixed bin(31) value(1);
 dcl SQLUH_DEVTYPE_SZ               fixed bin(31) value(1);
 dcl SQLUH_FIRSTLOG_SZ              fixed bin(31) value(12);
 dcl SQLUH_LASTLOG_SZ               fixed bin(31) value(12);
 dcl SQLUH_BACKID_SZ                fixed bin(31) value(14);
 dcl SQLUH_TCREATE_SZ               fixed bin(31) value(8);
 dcl SQLUH_TNAME_SZ                 fixed bin(31) value(18);
 dcl SQLUH_NUMTABLESPACE_SZ         fixed bin(31) value(5);
 dcl SQLUH_LOC_SZ                   fixed bin(31) value(255);
 dcl SQLUH_COMMENT_SZ               fixed bin(31) value(30);
 dcl SQLUH_TABLESPACENAME_SZ        fixed bin(31) value(18);
 dcl SQLUH_TIMESTAMP_SZ             fixed bin(31) value(14);
 dcl SQLUH_ID_SZ                    fixed bin(31) value(24);

 /* Parameters for RUNSTATS                    */
 dcl SQL_STATS_TABLE          char value('T');
                              /* TABLEOPT = Table w/o Indexes        */
 dcl SQL_STATS_BOTH           char value('B');
                              /* TABLEOPT = Table and Indexes        */
 dcl SQL_STATS_INDEX          char value('I');
                              /* TABLEOPT = Indexes w/o Table        */
 dcl SQL_STATS_EXTTABLE_ONLY  char value('D');
                              /* TABLEOPT = Table and dist stats     */
 dcl SQL_STATS_EXTTABLE_INDEX char value('E');
                              /* TABLEOPT = Table and dist stats     */
                              /* and basic indexes                   */
 dcl SQL_STATS_EXTINDEX_ONLY  char value('X');
                              /* TABLEOPT = Ext stats for indexes    */
                              /* only                                */
 dcl SQL_STATS_EXTINDEX_TABLE char value('Y');
                              /* TABLEOPT = Ext stats for indexes    */
                              /* and basic table stats               */
 dcl SQL_STATS_ALL            char value('A');
                              /* TABLEOPT = Ext stats for indexes    */
                              /* and table with dist stats           */
 dcl SQL_STATS_REF            char value('R');
                              /* SHAREOPT = Reference                */
 dcl SQL_STATS_CHG            char value('C');
                              /* SHAREOPT = Change                   */

 dcl SQLU_STATS_NONE          char value(' ');
                              /* TABLEOPT - no statistics are to be  */
                              /* gathered - Load only                */

 /* Parameters for selection method in sqldcol  */
 dcl SQL_METH_N               fixed bin(31) value(78);
                              /* Names                               */
 dcl SQL_METH_P               fixed bin(31) value(80);
                              /* Positional                          */
 dcl SQL_METH_D               fixed bin(31) value(68);
                              /* Default                             */
 dcl SQL_METH_L               fixed bin(31) value(76);
                              /* Locations                           */

 /* File Types for Import/Export                */
 dcl SQL_IXF                  char value('IXF');
 dcl SQL_WSF                  char value('WSF');
 dcl SQL_DEL                  char value('DEL');
 dcl SQL_ASC                  char value('ASC');
 dcl SQL_DB2CS                char value('DB2CS'); /* load/unload    */

 /* Import/Export/Load/Unload calling action values  */
 dcl SQLU_INITIAL             fixed bin(31) value('0'xn);
                              /* Initial call                        */
 dcl SQLU_CONTINUE            fixed bin(31) value('1'xn);
                              /* Subsequent call                     */
 dcl SQLU_TERMINATE           fixed bin(31) value('2'xn);
                              /* Terminating call                    */
 dcl SQLU_NOINTERRUPT         fixed bin(31) value('3'xn);
                              /* Initial call - Load/Unload only     */
 dcl SQLU_ABORT               fixed bin(31) value('4'xn);
                              /* Abort call - Load only              */
 dcl SQLU_RESTART             fixed bin(31) value('5'xn);
                              /* Restart call - Load only            */
 dcl SQLU_DEVICE_TERMINATE    fixed bin(31) value('9'xn);
                              /* Subsequent call - Load/Unload only  */

 /* Actions for quiesce tablespaces for table        */
 dcl SQLU_QUIESCEMODE_SHARE         fixed bin(31) value(0);
 dcl SQLU_QUIESCEMODE_INTENT_UPDATE fixed bin(31) value(1);
 dcl SQLU_QUIESCEMODE_EXCLUSIVE     fixed bin(31) value(2);
 dcl SQLU_QUIESCEMODE_RESET         fixed bin(31) value(9);
 dcl SQLU_QUIESCEMODE_RESET_OWNED   fixed bin(31) value(10);

 /********************************************************************/
 /* Equates for Configuration Utilities                              */
 /********************************************************************/

 /* Token equates for SQLFupd structure for Kernel config file*/
 dcl SQLF_KTN_RQRIOBLK              fixed bin(31) value(1);
 dcl SQLF_KTN_NUMDB                 fixed bin(31) value(6);
 dcl SQLF_KTN_NNAME                 fixed bin(31) value(7);
 dcl SQLF_KTN_MAXAGENTS             fixed bin(31) value(12);
 dcl SQLF_KTN_MAXCAGENTS            fixed bin(31) value(13);
 dcl SQLF_KTN_ASLHEAPSZ             fixed bin(31) value(15);
 dcl SQLF_KTN_BACKBUFSZ             fixed bin(31) value(18);
 dcl SQLF_KTN_RESTBUFSZ             fixed bin(31) value(19);
 dcl SQLF_KTN_INDEXREC              fixed bin(31) value(20);
 dcl SQLF_KTN_SHEAPTHRES            fixed bin(31) value(21);
 dcl SQLF_KTN_MAXDARI               fixed bin(31) value(80);
 dcl SQLF_KTN_KEEPDARI              fixed bin(31) value(81);
 dcl SQLF_KTN_SVCENAME              fixed bin(31) value(24);
 dcl SQLF_KTN_TPNAME                fixed bin(31) value(25);
 dcl SQLF_KTN_AGENTPRI              fixed bin(31) value(26);
 dcl SQLF_KTN_DFTDBPATH             fixed bin(31) value(27);

 /* You may manipulate the bits of SQLF_KTN_DFT_MONSWITCHES or you   */
 /* can enable disable, or query the current setting through the     */
 /* individual tokens                                                */
 dcl SQLF_KTN_DFT_MONSWITCHES       fixed bin(31) value(29);
 dcl SQLF_KTN_DFT_MON_UOW           fixed bin(31) value(30);
                              /* Bit 1 of SQLF_KTN_DFT_MONSWITCHES   */
 dcl SQLF_KTN_DFT_MON_STMT          fixed bin(31) value(31);
                              /* Bit 2 of SQLF_KTN_DFT_MONSWITCHES   */
 dcl SQLF_KTN_DFT_MON_TABLE         fixed bin(31) value(32);
                              /* Bit 3 of SQLF_KTN_DFT_MONSWITCHES   */
 dcl SQLF_KTN_DFT_MON_BUFPOOL       fixed bin(31) value(33);
                              /* Bit 4 of SQLF_KTN_DFT_MONSWITCHES   */
 dcl SQLF_KTN_DFT_MON_LOCK          fixed bin(31) value(34);
                              /* Bit 5 of SQLF_KTN_DFT_MONSWITCHES   */
 dcl SQLF_KTN_DFT_MON_SORT          fixed bin(31) value(35);
                              /* Bit 6 of SQLF_KTN_DFT_MONSWITCHES   */
 dcl SQLF_KTN_DFT_ACCOUNT_STR       fixed bin(31) value(28);
 dcl SQLF_KTN_SYSADM_GROUP          fixed bin(31) value(39);
 dcl SQLF_KTN_DIR_CACHE             fixed bin(31) value(40);
 dcl SQLF_KTN_DRDA_HEAP_SZ          fixed bin(31) value(41);
 dcl SQLF_KTN_CPUSPEED              fixed bin(31) value(42);
 dcl SQLF_KTN_MIN_PRIV_MEM          fixed bin(31) value(43);
 dcl SQLF_KTN_PRIV_MEM_THRESH       fixed bin(31) value(44);
 dcl SQLF_KTN_MAXTOTFILOP           fixed bin(31) value(45);
 dcl SQLF_KTN_FILESERVER            fixed bin(31) value(47);
 dcl SQLF_KTN_OBJECTNAME            fixed bin(31) value(48);
 dcl SQLF_KTN_QUERY_HEAP_SZ         fixed bin(31) value(49);
 dcl SQLF_KTN_AGENT_STACK_SZ        fixed bin(31) value(61);
 dcl SQLF_KTN_SYSMAINT_GROUP        fixed bin(31) value(62);
 dcl SQLF_KTN_SYSCTRL_GROUP         fixed bin(31) value(63);
 dcl SQLF_KTN_DIAGLEVEL             fixed bin(31) value(64);
 dcl SQLF_KTN_DIAGPATH              fixed bin(31) value(65);
 dcl SQLF_KTN_TP_MON_NAME           fixed bin(31) value(66);
 dcl SQLF_KTN_TM_DATABASE           fixed bin(31) value(67);
 dcl SQLF_KTN_RESYNC_INTERVAL       fixed bin(31) value(68);
 dcl SQLF_KTN_UDF_MEM_SZ            fixed bin(31) value(69);
 dcl SQLF_KTN_IPX_SOCKET            fixed bin(31) value(71);
 dcl SQLF_KTN_DOS_RQRIOBLK          fixed bin(31) value(72);
 dcl SQLF_KTN_DIR_TYPE              fixed bin(31) value(73);
 dcl SQLF_KTN_DIR_PATH_NAME         fixed bin(31) value(74);
 dcl SQLF_KTN_DIR_OBJ_NAME          fixed bin(31) value(75);
 dcl SQLF_KTN_ROUTE_OBJ_NAME        fixed bin(31) value(76);
 dcl SQLF_KTN_DFT_CLIENT_COMM       fixed bin(31) value(77);
 dcl SQLF_KTN_DFT_CLIENT_ADPT       fixed bin(31) value(82);
 dcl SQLF_KTN_AUTHENTICATION        fixed bin(31) value(78);
 dcl SQLF_KTN_MON_HEAP_SZ           fixed bin(31) value(79);
 dcl SQLF_KTN_SPM_LOG_FILE_SZ       fixed bin(31) value(90);
 dcl SQLF_KTN_SPM_MAX_RESYNC        fixed bin(31) value(91);
 dcl SQLF_KTN_SPM_NAME              fixed bin(31) value(92);
 dcl SQLF_KTN_NUM_INITAGENTS        fixed bin(31) value(500);
 dcl SQLF_KTN_MAX_COORDAGENTS       fixed bin(31) value(501);
 dcl SQLF_KTN_NUM_POOLAGENTS        fixed bin(31) value(502);
 dcl SQLF_KTN_FCM_NUM_BUFFERS       fixed bin(31) value(503);
 dcl SQLF_KTN_FCM_NUM_RQB           fixed bin(31) value(504);
 dcl SQLF_KTN_FCM_NUM_CONNECT       fixed bin(31) value(505);
 dcl SQLF_KTN_FCM_NUM_ANCHORS       fixed bin(31) value(506);
 dcl SQLF_KTN_CONN_ELAPSE           fixed bin(31) value(508);
 dcl SQLF_KTN_MAX_CONNRETRIES       fixed bin(31) value(509);
 dcl SQLF_KTN_MAX_TIME_DIFF         fixed bin(31) value(510);
 dcl SQLF_KTN_START_STOP_TIME       fixed bin(31) value(511);
 dcl SQLF_KTN_TRUST_ALLCLNTS        fixed bin(31) value(301);
 dcl SQLF_KTN_TRUST_CLNTAUTH        fixed bin(31) value(302);
 dcl SQLF_KTN_MAX_QUERYDEGREE       fixed bin(31) value(303);
 dcl SQLF_KTN_DISCOVER              fixed bin(31) value(304);
 dcl SQLF_KTN_DISCOVER_COMM         fixed bin(31) value(305);
 dcl SQLF_KTN_INTRA_PARALLEL        fixed bin(31) value(306);
 dcl SQLF_KTN_COMM_BANDWIDTH        fixed bin(31) value(307);
 dcl SQLF_KTN_DISCOVER_INST         fixed bin(31) value(308);
 dcl SQLF_KTN_SS_LOGON              fixed bin(31) value(309);
 dcl SQLF_KTN_JAVA_HEAP_SZ          fixed bin(31) value(310);
 dcl SQLF_KTN_JDK11_PATH            fixed bin(31) value(311);
 dcl SQLF_KTN_AUDIT_BUF_SZ          fixed bin(31) value(312);
 dcl SQLF_KTN_SPM_LOG_PATH          fixed bin(31) value(313);
 dcl SQLF_KTN_CATALOG_NOAUTH        fixed bin(31) value(314);
 dcl SQLF_KTN_NUM_INITDARIS         fixed bin(31) value(601);
 dcl SQLF_KTN_INITDARI_JVM          fixed bin(31) value(602);
 dcl SQLF_KTN_DATALINKS             fixed bin(31) value(603);
 dcl SQLF_KTN_FEDERATED             fixed bin(31) value(604);
 dcl SQLF_KTN_NOTIFYLEVEL           fixed bin(31) value(605);
 dcl SQLF_KTN_MAX_LOGICAGENTS       fixed bin(31) value(701);
 /* tokens for informational parameters   */
 dcl SQLF_KTN_NODETYPE              fixed bin(31) value(100);
 dcl SQLF_KTN_RELEASE               fixed bin(31) value(101);
 dcl SQLF_KTN_NOTOKEN               fixed bin(31) value(200);

 /*********************************************************************/
 /* defines for database manager configuration parameter values       */
 /*********************************************************************/
 /* equates for directory type (for dir_type configuration parameter) */
 dcl SQLF_DIRTYPE_NONE              fixed bin(31) value(0);
 dcl SQLF_DIRTYPE_DCE               fixed bin(31) value(1);

 /* Nodetype equates                */
 dcl SQLF_NT_STANDALONE             fixed bin(31) value(0);
 dcl SQLF_NT_SERVER                 fixed bin(31) value(1);
 dcl SQLF_NT_REQUESTOR              fixed bin(31) value(2);
 dcl SQLF_NT_STAND_REQ              fixed bin(31) value(3);
 dcl SQLF_NT_MPP                    fixed bin(31) value(4);
 dcl SQLF_NT_SATELLITE              fixed bin(31) value(5);
 /* Note: SQLF_NT_DCE is not a possible instance nodetype.  I       */
 /* It represents a host database server                            */
 dcl SQLF_NT_DCS                    fixed bin(31) value(6);
                             /* reserved for host database server   */

 /*******************************************************************/
 /** Defines for Database Monitor Switches- SQLF_KTN_DFT_MONSWITCHES*/
 /**                                                                */
 /** The following meanings apply when the bits are set on.         */
 /**                                                                */
 /** SQLF_ENABLE_MON_UOW     -                                      */
 /** SQLF_ENABLE_MON_STMT    -                                      */
 /** SQLF_ENABLE_MON_TABLE   -                                      */
 /** SQLF_ENABLE_MON_BUFPOOL -                                      */
 /** SQLF_ENABLE_MON_LOCK    -                                      */
 /** SQLF_ENABLE_MON_SORT    -                                      */
 /*******************************************************************/

 dcl SQLF_ENABLE_MON_UOW      type sqluint32 value('1'xu);
                              /* xxxx xxxx xxxx xxx1                 */
 dcl SQLF_ENABLE_MON_STMT     type sqluint32 value('2'xu);
                              /* xxxx xxxx xxxx xx1x                 */
 dcl SQLF_ENABLE_MON_TABLE    type sqluint32 value('4'xu);
                              /* xxxx xxxx xxxx x1xx                 */
 dcl SQLF_ENABLE_MON_BUFPOOL  type sqluint32 value('8'xu);
                              /* xxxx xxxx xxxx 1xxx                 */
 dcl SQLF_ENABLE_MON_LOCK     type sqluint32 value('10'xu);
                              /* xxxx xxxx xxx1 xxxx                 */
 dcl SQLF_ENABLE_MON_SORT     type sqluint32 value('20'xu);
                              /* xxxx xxxx xx1x xxxx                 */

 /* Client Communication Protocols              */
 dcl SQLF_PROTOCOL_TCPIP      char value('TCPIP');
 dcl SQLF_PROTOCOL_APPC       char value('APPC');
 dcl SQLF_PROTOCOL_NETB       char value('NETBIOS');
 dcl SQLF_PROTOCOL_IPXSPX     char value('IPXSPX');

 /* Admin. server discover definitions (discover parameter)           */
 dcl SQLF_DSCVR_KNOWN             fixed bin(31) value(1);
 dcl SQLF_DSCVR_SEARCH            fixed bin(31) value(2);

 /* Constants for trusted client options                              */
 dcl SQLF_TRUST_ALLCLNTS_NO       fixed bin(31) value(0);
 dcl SQLF_TRUST_ALLCLNTS_YES      fixed bin(31) value(1);
 dcl SQLF_TRUST_ALLCLNTS_DRDAONLY fixed bin(31) value(2);

 /* Token equates for SQLFupd structure for DB config file */
 dcl SQLF_DBTN_BUFF_PAGE          fixed bin(31) value(90);
 dcl SQLF_DBTN_MAXFILOP           fixed bin(31) value(3);
 dcl SQLF_DBTN_SOFTMAX            fixed bin(31) value(5);
 dcl SQLF_DBTN_MAXAPPLS           fixed bin(31) value(6);
 dcl SQLF_DBTN_APPLHEAPSZ         fixed bin(31) value(51);
 dcl SQLF_DBTN_DB_HEAP            fixed bin(31) value(58);
 dcl SQLF_DBTN_DLCHKTIME          fixed bin(31) value(9);
 dcl SQLF_DBTN_SORT_HEAP          fixed bin(31) value(52);
 dcl SQLF_DBTN_MAXLOCKS           fixed bin(31) value(15);
 dcl SQLF_DBTN_LOGPRIMARY         fixed bin(31) value(16);
 dcl SQLF_DBTN_LOGSECOND          fixed bin(31) value(17);
 dcl SQLF_DBTN_LOGFIL_SIZ         fixed bin(31) value(92);
 dcl SQLF_DBTN_STMTHEAP           fixed bin(31) value(53);
 dcl SQLF_DBTN_NEWLOGPATH         fixed bin(31) value(20);
 dcl SQLF_DBTN_COPY_PROTECT       fixed bin(31) value(22);
 dcl SQLF_DBTN_LOG_RETAIN         fixed bin(31) value(23);
 dcl SQLF_DBTN_USER_EXIT          fixed bin(31) value(24);
 dcl SQLF_DBTN_AUTO_RESTART       fixed bin(31) value(25);
 dcl SQLF_DBTN_INDEXREC           fixed bin(31) value(30);
 dcl SQLF_DBTN_PCKCACHESZ         fixed bin(31) value(31);
 dcl SQLF_DBTN_MINCOMMIT          fixed bin(31) value(32);
 dcl SQLF_DBTN_LOGBUFSZ           fixed bin(31) value(33);
 dcl SQLF_DBTN_LOCKTIMEOUT        fixed bin(31) value(34);
 dcl SQLF_DBTN_INDEXSORT          fixed bin(31) value(35);
 dcl SQLF_DBTN_NUM_FREQVALUES     fixed bin(31) value(36);
 dcl SQLF_DBTN_NUM_IOCLEANERS     fixed bin(31) value(37);
 dcl SQLF_DBTN_CHNGPGS_THRESH     fixed bin(31) value(38);
 dcl SQLF_DBTN_NUM_IOSERVERS      fixed bin(31) value(39);
 dcl SQLF_DBTN_DFT_PREFETCH_SZ    fixed bin(31) value(40);
 dcl SQLF_DBTN_SEQDETECT          fixed bin(31) value(41);
 dcl SQLF_DBTN_DFT_LOADREC_SES    fixed bin(31) value(42);
 dcl SQLF_DBTN_REC_HIS_RETENTN    fixed bin(31) value(43);
 dcl SQLF_DBTN_STAT_HEAP_SZ       fixed bin(31) value(45);
 dcl SQLF_DBTN_DIR_OBJ_NAME       fixed bin(31) value(46);
                                  /* token for directory services     */
 dcl SQLF_DBTN_AVG_APPLS          fixed bin(31) value(47);
 dcl SQLF_DBTN_NUM_QUANTILES      fixed bin(31) value(48);
 dcl SQLF_DBTN_DFT_EXTENT_SZ      fixed bin(31) value(54);
 dcl SQLF_DBTN_UTIL_HEAP_SZ       fixed bin(31) value(55);
 dcl SQLF_DBTN_CATALOGCACHE_SZ    fixed bin(31) value(56);
 dcl SQLF_DBTN_DFT_QUERYOPT       fixed bin(31) value(57);
 dcl SQLF_DBTN_APP_CTL_HEAP_SZ    fixed bin(31) value(500);
 dcl SQLF_DBTN_TSM_PASSWORD       fixed bin(31) value(501);
 dcl SQLF_DBTN_PCKCACHE_SZ        fixed bin(31) value(505);
 dcl SQLF_DBTN_MULTIPAGE_ALLOC    fixed bin(31) value(506);
 dcl SQLF_DBTN_DFT_DEGREE         fixed bin(31) value(301);
 dcl SQLF_DBTN_ESTORE_SEG_SZ      fixed bin(31) value(303);
 dcl SQLF_DBTN_NUM_ESTORE_SEGS    fixed bin(31) value(304);
 dcl SQLF_DBTN_TSM_OWNER          fixed bin(31) value(305);
 dcl SQLF_DBTN_TSM_NODENAME       fixed bin(31) value(306);
 dcl SQLF_DBTN_TSM_MGMTCLASS      fixed bin(31) value(307);
 dcl SQLF_DBTN_DISCOVER           fixed bin(31) value(308);
 dcl SQLF_DBTN_DFT_SQLMATHWARN    fixed bin(31) value(309);
 dcl SQLF_DBTN_DL_EXPINT          fixed bin(31) value(350);
 dcl SQLF_DBTN_DL_NUM_COPIES      fixed bin(31) value(351);
 dcl SQLF_DBTN_DL_TIME_DROP       fixed bin(31) value(353);
 dcl SQLF_DBTN_NUM_DB_BACKUPS     fixed bin(31) value(601);
 dcl SQLF_DBTN_DL_TOKEN           fixed bin(31) value(602);
 dcl SQLF_DBTN_DL_UPPER           fixed bin(31) value(603);
 dcl SQLF_DBTN_DYN_QUERY_MGMT     fixed bin(31) value(604);
 dcl SQLF_DBTN_MIN_DEC_DIV_3      fixed bin(31) value(605);
 dcl SQLF_DBTN_DFT_REFRESH_AGE    fixed bin(31) value(702);
 dcl SQLF_DBTN_TRACKMOD           fixed bin(31) value(703);
 dcl SQLF_DBTN_LOCK_LIST          fixed bin(31) value(704);
 /* tokens for informational (non-modifiable) parameters */
 dcl SQLF_DBTN_COLLATE_INFO       fixed bin(31) value(44);
 dcl SQLF_DBTN_COUNTRY            fixed bin(31) value(100);
 dcl SQLF_DBTN_CODEPAGE           fixed bin(31) value(101);
 dcl SQLF_DBTN_RELEASE            fixed bin(31) value(102);
 dcl SQLF_DBTN_LOGPATH            fixed bin(31) value(103);
 dcl SQLF_DBTN_LOGHEAD            fixed bin(31) value(105);
 dcl SQLF_DBTN_CONSISTENT         fixed bin(31) value(111);
 dcl SQLF_DBTN_BACKUP_PENDING     fixed bin(31) value(112);
 dcl SQLF_DBTN_ROLLFWD_PENDING    fixed bin(31) value(113);
 dcl SQLF_DBTN_LOG_RETAIN_STATUS  fixed bin(31) value(114);
 dcl SQLF_DBTN_USER_EXIT_STATUS   fixed bin(31) value(115);
 dcl SQLF_DBTN_CODESET            fixed bin(31) value(120);
 dcl SQLF_DBTN_TERRITORY          fixed bin(31) value(121);
 dcl SQLF_DBTN_NUMSEGS            fixed bin(31) value(122);
 dcl SQLF_DBTN_DATABASE_LEVEL     fixed bin(31) value(124);
 dcl SQLF_DBTN_NOTOKEN            fixed bin(31) value(200);
 dcl SQLF_DBTN_RESTORE_PENDING    fixed bin(31) value(503);

 /* defines for database configuration parameter values               */

 /* Generic Disable/Enable values for configuration parameters        */
 dcl SQLF_DISABLE              fixed bin(31) value(0);
 dcl SQLF_ENABLE               fixed bin(31) value(1);

 /* Index recreate type (INDEXREC values)                             */
 dcl SQLF_INX_REC_SYSTEM       fixed bin(31) value(0);
 dcl SQLF_INX_REC_REFERENCE    fixed bin(31) value(1);
 dcl SQLF_INX_REC_RESTART      fixed bin(31) value(2);

 /* Possible values for: SQLF_DBTN_ROLLFWD_PENDING are:               */
 /* SQLF_DISABLE, SQLF_ENABLE, and SQLF_ROLLFWD_TABLESPACE            */
 dcl SQLF_ROLLFWD_TABLESPACE   fixed bin(31) value(2);

 /* Defines for SQLF_DBTN_LOG_RETAIN and SQLF_DBTN_LOG_RETAIN_STATUS  */
 dcl SQLF_LOGRETAIN_DISABLE    fixed bin(31) value(0);
                               /* Not configured with LOGRETAIN       */
 dcl SQLF_LOGRETAIN_RECOVERY   fixed bin(31) value(1);
                               /* Log file retained for recovery      */
 dcl SQLF_LOGRETAIN_CAPTURE    fixed bin(31) value(2);
                               /* Log file retained for CAPTURE,      */
                               /* will be deleted after CAPTURE       */
                               /* finished processing                 */

 /*********************************************************************/
 /* Constants for configuration parameter maximum lengths             */
 /*********************************************************************/
 dcl SQL_SPM_NAME_SZ           fixed bin(31) value(8);
                               /* length of syncpoint manager name    */

 dcl SQL_LOGPATH_SZ            fixed bin(31) value(242);
                               /* max length of log parms             */
 dcl SQL_LOGFILE_NAME_SZ       fixed bin(31) value(12);
                               /* max length of log file name         */
 dcl SQL_DBPATH_SZ             fixed bin(31) value(215);
                               /* max length of db path parm          */
 dcl SQL_FFDCPATH_SZ           fixed bin(31) value(215);
                               /* max length of diagpath parm         */

 /* Constants for types of Data Redistribution operation              */
 dcl SQLUT_UNIFORM             char value('U');
                               /* Uniform redistribution              */
 dcl SQLUT_TARGETMAP           char value('T');
                               /* Using target partitioning map       */
 dcl SQLUT_CONTINUE            char value('C');
                               /* Resuming a stopped data redist.     */
 dcl SQLUT_ROLLBACK            char value('R');
                               /* Rolling back a stopped data         */

 /* LOAD and UNLOAD defines */
 dcl SQLU_AUTOMATIC_RESTART    char value('A');
                               /* Automatic Restart                   */
 dcl SQLU_LOAD_PHASE           char value('L');
                               /* restart at load phase               */
 dcl SQLU_BUILD_PHASE          char value('B');
                               /* restart at build phase              */
 dcl SQLU_DELETE_PHASE         char value('D');
                               /* restart at delete phase             */

 /* Constants for LOAD indexing_mode                                  */
 dcl SQLU_INX_AUTOSELECT       fixed bin(31) value(0);
                               /* Load chooses between REBUILD and    */
                               /* INCRMENTAL                          */
 dcl SQLU_INX_REBUILD          fixed bin(31) value(1);
                               /* Rebuild table indexes               */
 dcl SQLU_INX_INCREMENTAL      fixed bin(31) value(2);
                               /* Extend table indexes                */
 dcl SQLU_INX_DEFERRED         fixed bin(31) value(3);
                               /* Do not update table indexes         */

 define structure
   1 sqldcoln,
     2 dcolnlen         fixed bin(15),
     2 *                char(2),       /* match C pack(4) alignment   */
     2 dcolnptr         pointer;

 define structure
   1 sqldcol,
     2 dcolmeth         fixed bin(15),
     2 dcolnum          fixed bin(15),
     2 dcolname (1)     type sqldcoln; /* actual size must be dcolnum */


 /* Structure for Pairs of Locations for ASC files */
 define structure
   1 sqllocpair,
     2 begin_loc        fixed bin(15),
     2 end_loc          fixed bin(15);

 define structure
   1 sqlloctab,
     2 locpair (1)      type sqllocpair;/* actual size must be dcolnum*/

 /* Structures for Input and Output Data for Import and Export */

 define structure
   1 sqluimpt_in,
     2 sizeOfStruct     type sqluint32,
     2 commitcnt        type sqluint32,
     2 restartcnt       type sqluint32;

 define structure
   1 sqluimpt_out,
     2 sizeOfStruct     type sqluint32,
     2 rowsRead         type sqluint32,
     2 rowsSkipped      type sqluint32,
     2 rowsInserted     type sqluint32,
     2 rowsUpdated      type sqluint32,
     2 rowsRejected     type sqluint32,
     2 rowsCommitted    type sqluint32;

 define structure
   1 sqluexpt_out,
     2 sizeOfStruct     type sqluint32,
     2 rowsExported     type sqluint32 ;

 dcl SQLUIMPT_IN_SIZE   fixed bin(31) value(size (: sqluimpt_in  :) );
 dcl SQLUIMPT_OUT_SIZE  fixed bin(31) value(size (: sqluimpt_out :) );
 dcl SQLUEXPT_OUT_SIZE  fixed bin(31) value(size (: sqluexpt_out :) );

 /* Structures for Input and Output Data for Load and Unload   */

 define structure
   1 sqluload_in,
     2 sizeOfStruct     type sqluint32,
     2 savecnt          type sqluint32,
     2 restartcnt       type sqluint32,
     2 rowcnt           type sqluint32,
     2 warningcnt       type sqluint32,
     2 data_buffer_size type sqluint32,
     2 sort_buffer_size type sqluint32,
     2 hold_quiesce     fixed bin(16) unsigned,
     2 restartphase     char(1),
     2 statsopt         char(1),
     2 cpu_parallelism  fixed bin(16) unsigned,
     2 disk_parallelism fixed bin(16) unsigned,
     2 non_recoverable  fixed bin(16) unsigned,
     2 indexing_mode    fixed bin(16) unsigned;

 define structure
   1 sqluload_out,
     2 sizeOfStruct     type sqluint32,
     2 rowsRead         type sqluint32,
     2 rowsSkipped      type sqluint32,
     2 rowsLoaded       type sqluint32,
     2 rowsRejected     type sqluint32,
     2 rowsDeleted      type sqluint32,
     2 rowsCommitted    type sqluint32;

 define structure
   1 sqluunld_in,
     2 sizeOfStruct     type sqluint32,
     2 data_buffer_size type sqluint32,
     2 sort_buffer_size type sqluint32,
     2 hold_quiesce     fixed bin(16) unsigned,
     2 intent_update    fixed bin(16) unsigned,
     2 serial_write     fixed bin(16) unsigned,
     2 num_buffers      fixed bin(16) unsigned,
     2 reorg_lobs       fixed bin(16) unsigned,
     2 filler           fixed bin(16) unsigned;

 define structure
   1 sqluunld_out,
     2 sizeOfStruct     type sqluint32,
     2 rowsUnloaded     type sqluint32 ;

 dcl SQLULOAD_IN_SIZE   fixed bin (31) value(size (: sqluload_in  :) );
 dcl SQLULOAD_OUT_SIZE  fixed bin (31) value(size (: sqluload_out :) );
 dcl SQLUUNLD_IN_SIZE   fixed bin (31) value(size (: sqluunld_in  :) );
 dcl SQLUUNLD_OUT_SIZE  fixed bin (31) value(size (: sqluunld_out :) );

 /* Constants and Structures for the Asynchronous Read Log API */

 dcl SQLU_RLOG_READ           fixed bin(31) value(1);
                              /* read the database log               */
 dcl SQLU_RLOG_READ_SINGLE    fixed bin(31) value(2);
                              /* read a single log record            */
 dcl SQLU_RLOG_QUERY          fixed bin(31) value(3);
                              /* query the database log              */

 define structure
   1 SQLU_LSN union,
     2 lsnChar char(6),     /* 6 byte character representation*/
     2 lsnWord (3) fixed bin (16) unsigned;
                            /* 6 byte short representation */

 define structure
   1 SQLU_RLOG_INFO,
     2 initialLSN      type SQLU_LSN, /* initial lsn at first connect */
     2 firstReadLSN    type SQLU_LSN, /* first lsn read on call       */
     2 lastReadLSN     type SQLU_LSN, /* last lsn read on call        */
     2 curActiveLSN    type SQLU_LSN, /* current active lsn           */
     2 logRecsWritten  type sqluint32,/*number of log records returned*/
     2 logBytesWritten type sqluint32;/* number of log bytes returned */

 /* Structures for Configuration Utility APIs. */

 define structure
   1 sqlfupd,
     2 token            fixed bin(16) unsigned,
     2 *                char(2),       /* match C pack(4) alignment   */
     2 ptrvalue         pointer;


 /* Constants and structure used by sqlgadau and sqluadau. */
 dcl SQL_USER_AUTHORIZED        fixed bin(31) value(1);
 dcl SQL_USER_UNAUTHORIZED      fixed bin(31) value(0);
 dcl SQL_AUTHORIZATION_SIZE_OLD fixed bin(31) value(22);
 dcl SQL_AUTHORIZATION_SIZE_V2  fixed bin(31) value(34);
 dcl SQL_AUTHORIZATION_SIZE_V3  fixed bin(31) value(38);
 dcl SQL_AUTHORIZATION_SIZE     fixed bin(31) value(42);

 define structure
   1 sql_authorizations,
     2 sql_authorizations_len       fixed bin(15),
     2 sql_sysadm_auth              fixed bin(15),
     2 sql_dbadm_auth               fixed bin(15),
     2 sql_createtab_auth           fixed bin(15),
     2 sql_bindadd_auth             fixed bin(15),
     2 sql_connect_auth             fixed bin(15),
     2 sql_sysadm_grp_auth          fixed bin(15),
     2 sql_dbadm_grp_auth           fixed bin(15),
     2 sql_createtab_grp_auth       fixed bin(15),
     2 sql_bindadd_grp_auth         fixed bin(15),
     2 sql_connect_grp_auth         fixed bin(15),
     2 sql_sysctrl_auth             fixed bin(15),
     2 sql_sysctrl_grp_auth         fixed bin(15),
     2 sql_sysmaint_auth            fixed bin(15),
     2 sql_sysmaint_grp_auth        fixed bin(15),
     2 sql_create_not_fenc_auth     fixed bin(15),
     2 sql_create_not_fenc_grp_auth fixed bin(15),
     2 sql_implicit_schema_auth     fixed bin(15),
     2 sql_implicit_schema_grp_auth fixed bin(15),
     2 sql_load_auth                fixed bin(15),
     2 sql_load_grp_auth            fixed bin(15);

 /* Constants and structure used for backup and restore    */
 dcl SQLU_MAX_TBS_NAME_LEN          fixed bin(31) value(18);
 dcl SQLU_DB_DIR_LEN                fixed bin(31) value(215);
 dcl SQLU_SHR_LIB_LEN               fixed bin(31) value(255);
 dcl SQLU_MEDIA_LOCATION_LEN        fixed bin(31) value(255);
 dcl SQLU_APPLID_LEN                fixed bin(31) value(32);
 dcl SQLU_MAX_SESSIONS              fixed bin(31) value(999);

 define structure
   1 sqlu_tablespace_entry,
     2 reserve_len      type sqluint32,
     2 tablespace_entry char(SQLU_MAX_TBS_NAME_LEN) varz,
     2 filler           char(1);

 define structure
   1 sqlu_tablespace_bkrst_list,
     2 num_entry        fixed bin(31),
     2 tablespace       handle sqlu_tablespace_entry;

 define structure
   1 sqlu_media_entry,
     2 reserve_len      type sqluint32,
     2 media_entry      char(SQLU_DB_DIR_LEN) varz;

 define structure
   1 sqlu_vendor,
     2 reserve_len1     type sqluint32,
     2 shr_lib          char(SQLU_SHR_LIB_LEN) varz,
     2 reserve_len2     type sqluint32,
     2 filename         char(SQLU_SHR_LIB_LEN) varz;

 define structure
   1 sqlu_location_entry,
     2 reserve_len      type sqluint32,
     2 location_entry   char(SQLU_MEDIA_LOCATION_LEN) varz;

 define structure
   1 sqlurf_newlogpath,
     2 nodenum type SQL_PDB_NODE_TYPE, /* node number                 */
     2 pathlen fixed bin(16) unsigned, /* length of new logpath       */
     2 logpath char(SQL_LOGPATH_SZ+SQL_LOGFILE_NAME_SZ) varz;
                                       /* new overflow log path       */

 define structure
   1 sqlurf_info,
     2 nodenum type SQL_PDB_NODE_TYPE, /* node number                 */
     2 *       char(2),                /* match C pack(4) alignment   */
     2 state   type sqlint32,          /* state information           */
     2 nextarclog  char(SQLUM_ARCHIVE_FILE_LEN) varz, /* next archive */
                                       /* file needed                 */
     2 firstarcdel char(SQLUM_ARCHIVE_FILE_LEN) varz, /* first archive*/
                                       /* file to be deleted          */
     2 lastarcdel  char(SQLUM_ARCHIVE_FILE_LEN) varz,  /* last archive*/
                                       /* file to be deleted          */
     2 lastcommit  char(SQLUM_TIMESTAMP_LEN) varz;
                                       /* returned timestamp          */

 define structure
   1 sqlurf_stat,
     2 numNodes type sqlint32,
     2 nodeInfo (SQL_PDB_MAX_NUM_NODE) type sqlurf_info;

 define structure
   1 rfwd_input,
     2 version      type sqluint32,    /* rollforward version         */
     2 pDbAlias     pointer,           /* database alias              */
     2 CallerAction fixed bin(16) unsigned, /* action                 */
     2 pStopTime    pointer,           /* stop time                   */
     2 pUserName    pointer,           /* user name                   */
     2 pPassword    pointer,           /* password                    */
     2 pOverflowLogPath pointer,       /* overflow log path           */
     2 NumChngLgOvrflw  fixed bin(16) unsigned,
                                  /* no. of changed overflow log paths*/
     2 pChngLogOvrflw   handle sqlurf_newlogpath,
                                       /* changed overflow log paths  */
     2 ConnectMode  fixed bin(16) unsigned, /* connect mode           */
     2 pTablespaceList  handle sqlu_tablespace_bkrst_list,
                                       /* tablespace list             */
     2 AllNodeFlag  fixed bin(15),     /* all node flag               */
     2 NumNodes     fixed bin(15),     /* size of nodelist            */
     2 pNodeList    pointer,           /* list of node numbers        */
     2 NumNodeInfo fixed bin(15), /* size of pNodeInfo in rfwd_output */
     2 DlMode    fixed bin(16) unsigned, /* not used                  */
     2 pReportFile  pointer,           /* not used                    */
     2 pDroppedTblID pointer,          /* dropped table id            */
     2 pExportDir   pointer;        /* dropped table export directory */

 define structure
   1 grfwd_input,
     2 DbAliasLen  fixed bin(16) unsigned,
                                       /* length in bytes of DbAlias  */
     2 StopTimeLen fixed bin(16) unsigned,
                                       /* length in bytes of StopTime */
     2 UserNameLen fixed bin(16) unsigned,
                                       /* length in bytes of UserName */
     2 PasswordLen fixed bin(16) unsigned,
                                       /* length in bytes of Password */
     2 OvrflwLogPathLen fixed bin(16) unsigned,
                                /* length in bytes of OverflowLogPath */
     2 ReportFileLen fixed bin(16) unsigned,
                                    /* length in bytes of ReportFile  */
     2 version      type sqluint32,    /* rollforward version         */
     2 pDbAlias     pointer,           /* database alias              */
     2 CallerAction fixed bin(16) unsigned, /* action                 */
     2 pStopTime    pointer,           /* stop time                   */
     2 pUserName    pointer,           /* user name                   */
     2 pPassword    pointer,           /* password                    */
     2 pOverflowLogPath pointer,       /* overflow log path           */
     2 NumChngLgOvrflw  fixed bin(16) unsigned,
                                  /* no. of changed overflow log paths*/
     2 pChngLogOvrflw   handle sqlurf_newlogpath,
                                       /* changed overflow log paths  */
     2 ConnectMode  fixed bin(16) unsigned, /* connect mode           */
     2 pTablespaceList  handle sqlu_tablespace_bkrst_list,
                                       /* tablespace list             */
     2 AllNodeFlag  fixed bin(15),     /* all node flag               */
     2 NumNodes     fixed bin(15),     /* size of nodelist            */
     2 pNodeList    pointer,           /* list of node numbers        */
     2 NumNodeInfo fixed bin(15), /* size of pNodeInfo in rfwd_output */
     2 DlMode    fixed bin(16) unsigned, /* not used                  */
     2 pReportFile  pointer,           /* not used                    */
     2 pDroppedTblID pointer,          /* dropped table id            */
     2 pExportDir   pointer;        /* dropped table export directory */

 define structure
   1 rfwd_output,
     2 pApplicationId pointer,           /* application id            */
     2 pNumReplies    pointer,           /* number of replies received*/
     2 pNodeInfo      handle sqlurf_info;/* node reply info           */

 dcl SQLU_LOCAL_MEDIA          char value('L');
                               /* path/device                         */
 dcl SQLU_SERVER_LOCATION      char value('S');
                               /* remote file/device/named pipe       */
 dcl SQLU_CLIENT_LOCATION      char value('C');
                               /* local file/device/named pipe        */
 dcl SQLU_TSM_MEDIA            char value('A');
                               /* Tivoli Storage Manager              */
 dcl SQLU_XBSA_MEDIA           char value('X');
                               /* X/Open XBSA interface               */
 dcl SQLU_OTHER_MEDIA          char value('O');
                               /* vendor library                      */
 dcl SQLU_USER_EXIT            char value('U');
                               /* user exit                           */
 dcl SQLU_DISK_MEDIA           char value('D');
                               /* Generated only by vendors           */
 dcl SQLU_DISKETTE_MEDIA       char value('K');
                               /* Generated only by vendors           */
 dcl SQLU_TAPE_MEDIA           char value('T');
                               /* Generated only by vendors           */
 dcl SQLU_PIPE_MEDIA           char value('P');
                               /* Generated only by vendors           */

 define structure
   1 sqlu_media_list_targets union,
     2 media    handle sqlu_media_entry,/* For media_type L - for     */
                                        /* BACKUP, RESTORE and LOAD   */
                                        /* copytarget, workdirectory, */
                                        /* lobpaths, IMPORT and       */
                                        /* EXPORT lobpaths            */
     2 vendor   handle sqlu_vendor,     /* For media_type O           */
     2 location handle sqlu_location_entry;/* For media_type S - for  */
                                           /* LOAD and LOAD recovery  */
                                           /* For media type C - for  */
                                           /* EXPORT lobfile          */

 define structure
   1 sqlu_media_list,
     2 media_type char(1),
     2 filler     char(3),
     2 sessions   fixed bin(31),
     2 target     type sqlu_media_list_targets;

 /* Struct used by sqlugtpi, sqlugrpi and sqlugrpn to store           */
 /* partitioning information                                          */
 define structure
   1 sqlpartkey,
     2 sqltype fixed bin(16) unsigned,  /* Date Type of Key           */
     2 sqllen  fixed bin(16) unsigned;  /* Data Length of Key         */

 define structure
   1 sqlupi,
     2 pmaplen fixed bin(16) unsigned,  /* Length of partitioning map */
     2 pmap (SQL_PDB_MAP_SIZE) type SQL_PDB_NODE_TYPE,
                                        /* Partitioning map           */
     2 sqld    fixed bin(16) unsigned,/* # of used SQLPARTKEY elements*/
     2 sqlpartkey (SQL_MAX_NUM_PART_KEYS) type sqlpartkey;
                                        /* Partitioning Keys          */

 define structure
   1 sqluhtsp,
     2 tablespace_name char(SQLUH_TABLESPACENAME_SZ) varz,
                                           /* tablespace name        */
     2 filler          char(1);

 define structure
   1 sqluhadm,
     2 end_time    char(SQLUH_TIMESTAMP_SZ) varz,/* Completion time   */
                                                 /* of operation      */
     2 id          char(SQLUH_ID_SZ) varz,/* Unique object identifier */
     2 event_sqlca type sqlca,            /* Result SQLCA from event  */
     2 command     type sqlchar;          /* Command text             */

 define structure
   1 sqluhinfo,
     2 sqluhinfoid char(8),               /* Eye catcher = 'SQLUHINF' */
     2 sqluhinfobc type sqlint32,         /* SQLUHINFO in bytes=( )   */
     2 sqln        fixed bin(15),         /* Number of tablespace     */
                                          /* elements available       */
     2 sqld        fixed bin(15),         /* # of used tablespace     */
                                          /* elements                 */
     2 operation   char(SQLUH_OP_SZ) varz,/* Type of event            */
     2 object      char(SQLUH_OBJ_SZ) varz,/* Granularity of operation*/
     2 object_part char(SQLUH_OBJPART_SZ) varz, /* Start time +       */
                                          /* sequence number.         */
     2 optype      char(SQLUH_OPTYPE_SZ) varz,
                                          /* More details of operation*/
     2 device_type char(SQLUH_DEVTYPE_SZ) varz,
     2 first_log   char(SQLUH_FIRSTLOG_SZ) varz,
     2 last_log    char(SQLUH_LASTLOG_SZ) varz,
     2 backup_id   char(SQLUH_BACKID_SZ) varz,
     2 table_creator char(SQLUH_TCREATE_SZ) varz,
     2 table_name  char(SQLUH_TNAME_SZ) varz,
     2 num_of_tablespaces char(SQLUH_NUMTABLESPACE_SZ) varz,
     2 location    char(SQLUH_LOC_SZ) varz,
     2 comment     char(SQLUH_COMMENT_SZ) varz,
     2 tablespace (1) type sqluhtsp;      /* REFERsqluhinfo.sqln */

 /* Macro for size of sqluhinfo */
 %SQLUHINFOSIZE: proc (n) returns (char);
   dcl n char;
   return ('(size (: sqluhinfo :) + ' ||
            'max ((' || n || ') - 1, 0) * size (: sqluhtsp :))');
 %end SQLUHINFOSIZE;
 %activate SQLUHINFOSIZE;

 /* Macro for size of sqluhadm  */
 %SQLUHADMSIZE: proc (n) returns (char);
   dcl n char;
   return ('(size (: sqluhadm :) + ' ||
            'max ((' || n || ') - 1, 0))');
 %end SQLUHADMSIZE;
 %activate SQLUHADMSIZE;

 /*  structure and defines for sqldzcfg API      */
 /*                                              */
 /* nb: 'tbs' is an abbreviaton for 'TABLESPACE' */

 dcl SQLDZ_MAX_FS_NAME_LEN     fixed bin(31) value(256);
                               /* max len of File Manager server name */
 dcl NATIVE_DLFF               fixed bin(31) value(0);
                               /* JFS support for Datalinks           */
 dcl DFS_DLFF                  fixed bin(31) value(1);
                               /* DFS support for Datalinks           */
 dcl ACTIVE_DLFM               fixed bin(31) value(0);
                               /* Active Datalinks Manager            */
 dcl INACTIVE_DLFM             fixed bin(31) value(1);
                               /* Deleted Datalinks Manager           */

 define structure
   1 sqldz_serverinfo,
     2 fileServer char(SQLDZ_MAX_FS_NAME_LEN) varz, /* DLFM TCPIP     */
                                                    /* hostname       */
     2 fileServerPort type sqlint32;     /* TCPIP Port Number         */

 dcl SQLDZ_SIZE                fixed bin(31) value(1);
                               /* Returns number of defined File      */
                               /* Manager Servers                     */
 dcl SQLDZ_LIST                fixed bin(31) value(2);
                               /* Returns sqludz_serverinfo entries   */
                               /* for all defined File Manager        */
                               /* Servers                             */
 dcl SQLDZ_ADD                 fixed bin(31) value(3);
                               /* Adds File Manager Servers to        */
                               /* datalink.cfg config file            */
 dcl SQLDZ_UPDATE              fixed bin(31) value(4);
                               /* Updates File Manager Servers in     */
                               /* datalink.cfg config file            */
 dcl SQLDZ_DELETE              fixed bin(31) value(5);
                               /* Deletes File Manager Servers from   */

 /* Definitions needed for the sqlb api calls    */
 /*                                              */
 /* nb: 'tbs' is an abbreviaton for 'TABLESPACE' */

 dcl SQLB_SVERSION_SIZE       fixed bin(31) value(8);
                              /* length of structure version         */
 dcl SQLB_MAX_TBS_NAME_SZ     fixed bin(31) value(128);
                              /* maximum length of a table space     */
                              /* name                                */

 /* NB: this constant is set to the maximum size that is likely to    */
 /* be needed in future. Don't confuse this with SQLU_MAX_TBS_NAME_LEN*/
 /* which is set to the current maximum size (18).                    */

 /* Externally visible flags of a table space  */
 /* storage manager class                      */
 dcl SQLB_TBS_SMS             type sqluint32 value('1'xu);
                              /* System   Managed Space              */
 dcl SQLB_TBS_DMS             type sqluint32 value('2'xu);
                              /* Database Managed Space              */
 /* table space contents                       */
 dcl SQLB_TBS_ANY             type sqluint32 value('0'xu);
                              /* regular contents                    */
 dcl SQLB_TBS_LONG            type sqluint32 value('20'xu);
                              /* long field data                     */
 dcl SQLB_TBS_SYSTMP          type sqluint32 value('10'xu);
                              /* system temp data                    */
 dcl SQLB_TBS_USRTMP          type sqluint32 value('40'xu);
                              /* user temp data                      */
 dcl SQLB_TBS_TMP             type sqluint32 value(SQLB_TBS_SYSTMP);
                              /* kept for compatibility              */
 /* other flags values                         */
 dcl SQLB_TBS_TMP_RECOVERY    type sqluint32  value('20000'xu);
                              /* temp table space is reserved for    */
                              /* completion of reorg recovery        */

 /* The externally visible state of a table space is composed of the  */
 /* hexadecimal sum of various of the following state values.         */
 /* For example if the state is 'quiesced exclusive' and 'load        */
 /* pending', the value would be  0x0004 + 0x0008 which is 0x000c.    */
 /*                                                                   */
 /* You may use the tool db2tbst to do the reverse calculation        */
 /* (from 0x000c to 'load pending' and 'quiesced exclusive',          */
 /* for example) which is more complex. In our example, execute:      */
 /*                                                                   */
 /*  db2tbst 0x000c                                                   */
 /*                                                                   */
 /* which yields:                                                     */
 /*                                                                   */
 /* State = Quiesced Exclusive                                        */
 /*       + Load Pending                                              */
 dcl SQLB_NORMAL                   type sqluint32 value('0'xu);
                                   /* Normal                         */
 dcl SQLB_QUIESCED_SHARE           type sqluint32 value('1'xu);
                                   /* Quiesced: SHARE                */
 dcl SQLB_QUIESCED_UPDATE          type sqluint32 value('2'xu);
                                   /* Quiesced: UPDATE               */
 dcl SQLB_QUIESCED_EXCLUSIVE       type sqluint32 value('4'xu);
                                   /* Quiesced: EXCLUSIVE            */
 dcl SQLB_LOAD_PENDING             type sqluint32 value('8'xu);
                                   /* Load pending                   */
 dcl SQLB_DELETE_PENDING           type sqluint32 value('10'xu);
                                   /* Delete pending                 */
 dcl SQLB_BACKUP_PENDING           type sqluint32 value('20'xu);
                                   /* Backup pending                 */
 dcl SQLB_ROLLFORWARD_IN_PROGRESS  type sqluint32 value('40'xu);
                                   /* Roll forward in progress       */
 dcl SQLB_ROLLFORWARD_PENDING      type sqluint32 value('80'xu);
                                   /* Roll forward pending           */
 dcl SQLB_RESTORE_PENDING          type sqluint32 value('100'xu);
                                   /* Restore pending                */
 dcl SQLB_RECOVERY_PENDING         type sqluint32 value('100'xu);
                                   /* Recovery pending (use SQLB     */
                                   /* RESTORE_PENDING)               */
 dcl SQLB_DISABLE_PENDING          type sqluint32 value('200'xu);
                                   /* Disable pending                */
 dcl SQLB_REORG_IN_PROGRESS        type sqluint32 value('400'xu);
                                   /* Reorg in progress              */
 dcl SQLB_BACKUP_IN_PROGRESS       type sqluint32 value('800'xu);
                                   /* Backup in progress             */
 dcl SQLB_STORDEF_PENDING          type sqluint32 value('1000'xu);
                                   /* storage must be defined        */
 dcl SQLB_RESTORE_IN_PROGRESS      type sqluint32 value('2000'xu);
                                   /* Restore in progress            */
 dcl SQLB_OFFLINE                  type sqluint32 value('4000'xu);
                                   /* Offline and not accessible     */
 dcl SQLB_DROP_PENDING             type sqluint32 value('8000'xu);
                                   /* Only action is to drop         */
 dcl SQLB_SUSPEND_WRITE            type sqluint32 value('10000'xu);
                                   /* No write is allowed           */
 dcl SQLB_STORDEF_ALLOWED          type sqluint32 value('2000000'xu);
                                   /* storage may be defined         */
 dcl SQLB_STORDEF_FINAL_VERSION    type sqluint32 value('4000000'xu);
                                   /* storDef is in 'final' state    */
 dcl SQLB_STORDEF_CHANGED          type sqluint32 value('8000000'xu);
                                   /* storDef was changed prior      */
                                   /* to rollforward                 */
 dcl SQLB_REBAL_IN_PROGRESS        type sqluint32 value('10000000'xu);
                                   /* dms rebalancer is active       */
 dcl SQLB_PSTAT_DELETION           type sqluint32 value('20000000'xu);
                                   /* TBS deletion in progress       */
 dcl SQLB_PSTAT_CREATION           type sqluint32 value('40000000'xu);
                                   /* TBS creation in progress       */

 dcl SQLB_STATE_SET                type sqluint32 value('8'xu);
                                   /* For service use only.          */

 /* provide information about the quiescers of a tablespace          */
 define structure
   1 SQLB_QUIESCER_DATA,
     2 quiesceId     type sqluint32, /* tablespace id of quiesceObject*/
     2 quiesceObject type sqluint32; /* object in quiesceId           */

 dcl SQLB_MAX_QUIESCERS            fixed bin(31) value(5);
                                   /* Maximum number of quiescers    */
 dcl SQLB_TBSPQRY_DATA_ID          char value('TBSQ0030');
                                   /* SQLB_TBSPQRY_DATA version id   */

 /* Provide info about a tableSpace in a database */
 define structure
   1 SQLB_TBSPQRY_DATA,
     2 tbspqver    char(SQLB_SVERSION_SIZE), /* version               */
     2 id          type sqluint32, /* internal id for the pool        */
     2 nameLen     type sqluint32, /* length of the name (for cobol   */
                                   /* and other nonC lang.)           */
     2 name        char(SQLB_MAX_TBS_NAME_SZ - 1) varz,
     2 totalPages  type sqluint32, /* DMS : Pages specified by CREATE */
                                   /*       TABLESPACE.               */
                                   /* SMS : N/A                       */
     2 useablePages type sqluint32,/* DMS : totalPages - overhead     */
                                   /* SMS : N/A                       */
     2 flags       type sqluint32, /* bit attributes for the pool --  */
                                   /* includes 'class' & other stuff  */
                                   /* to be defined                   */
     2 pageSize    type sqluint32, /* pagesize of tablespace (in      */
                                   /* bytes)..currently fixed at 4K   */
     2 extSize     type sqluint32, /* extent size (in pages)          */
     2 prefetchSize type sqluint32,/* prefetch size                   */
     2 nContainers type sqluint32, /* number of containers            */
     2 tbsState    type sqluint32, /* SQLB_NORMAL, SQLB_LOAD_PENDING, */
                                   /* etc.                            */
     2 lifeLSN     char(6),        /* 'timestamp' identifying the     */
                                   /* origin of the tbs               */
     2 pad         char(2),        /* for alignment                   */
     2 flags2      type sqluint32, /* bit attributes for the pool     */
     2 minimumRecTime char(SQL_STAMP_STRLEN) varz,/* Minimum Recovery */
                                   /* Time                            */
     2 pad1        char(1),        /* for alignment                   */
     2 StateChngObj type sqluint32,/* For Load or Delete Pending      */
     2 StateChngID type sqluint32, /* For Load or Delete Pending      */
     2 nQuiescers  type sqluint32, /* Number of queiscers             */
     2 quiescer (SQLB_MAX_QUIESCERS) type SQLB_QUIESCER_DATA,
                                   /* quiescer info                   */
     2 reserved    char(32);       /* for future use                  */


 /* container type                        */
 dcl SQLB_CONT_PATH           fixed bin(31) value(0);
                              /* SMS: directory path specs           */
 dcl SQLB_CONT_DISK           fixed bin(31) value(1);
                              /* DMS: a 'raw' or 'device' spec       */
 dcl SQLB_CONT_FILE           fixed bin(31) value(2);
                              /* DMS: a 'cooked file' -> file spec   */
 dcl SQLB_CONT_STRIPED_DISK   fixed bin(31) value(5);
                              /* DMS: 'striped' disk spec            */
 dcl SQLB_CONT_STRIPED_FILE   fixed bin(31) value(6);
                              /* DMS: 'striped' file spec            */

 /* provide info about the containers on which tablespaces are based  */
 define structure
   1 SQLB_TBSCONTQRY_DATA,
     2 id           type sqluint32, /* container id                   */
     2 nTbs         type sqluint32, /* num table spaces sharing this  */
                                    /* container (is always 1 for DMS */
                                    /* tablespaces)                   */
     2 tbsID        type sqluint32, /* tableSpace id, when 'nTbs' is1 */
     2 nameLen      type sqluint32, /* length of name (for non-C lang)*/
     2 name char(SQLB_MAX_CONTAIN_NAME_SZ - 1) varz,/* nul term. name */
     2 underDBDir   type sqluint32, /* 1 if container is underthe DB  */
                                    /* directory, 0 if not            */
     2 contType     type sqluint32, /* SQLB_CONT_PATH/DISK/FILE       */
     2 totalPages   type sqluint32, /* DMS : Pages specified by CREATE*/
                                    /* TABLESPACE. SMS : N/A          */
     2 useablePages type sqluint32, /* DMS : totalPages - overhead    */
                                    /* SMS : N/A                      */
     2 ok           type sqluint32; /* 1 if container is accessible,  */
                                    /* 0 ifthere is a problem         */


 /* provide statistics on a tablespace                                */
 /* BETA NOTE: currently, we only provide stats on DMS tablespaces    */
 /* SRSFIX: determine what SMS support to ship with V2                */
 define structure
   1 SQLB_TBS_STATS,
     2 totalPages    type sqluint32,/* DMS : Pages specified by       */
                                    /* CREATE TABLESPACE.             */
                                    /* SMS : Pages of all files in    */
                                    /* the directories.               */
     2 useablePages  type sqluint32,/* DMS : totalPages - overhead    */
                                    /* SMS : same as totalPages       */
     2 usedPages     type sqluint32,/* DMS : used and allocated pages */
                                    /* in the pool                    */
                                    /* SMS : same as totalPages       */
     2 freePages     type sqluint32,/* DMS : useablePages - usedPages */
                                    /* SMS : N/A                      */
     2 highWaterMark type sqluint32;/* DMS : high water markof used   */
                                    /* page number, SMS : N/A         */

 /*********************************************************************/
 /** Function proto-types: 'sqlb' prefix for internal use.            */
 /** All functions require a database connection, and return          */
 /** info about that database.                                        */
 /*********************************************************************/

 /* stpq - Single TableSpace Query                                    */
 dcl sqlbstpq                              /* Single Tablespace Query */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* in: tableSpace id       */
            type SQLB_TBSPQRY_DATA byaddr, /* out: tableSpace data    */
            type sqluint32)                /* in: SQLB_RESERVED1      */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbstpq');


 /* otsq - Open TableSpace Query -> use for retrieving a full list    */
 dcl SQLB_OPEN_TBS_ALL                  type sqluint32 value('0'xu);
                                        /* all tablespaces in         */
                                        /* database                   */
 dcl SQLB_OPEN_TBS_RESTORE              type sqluint32 value('1'xu);
                                        /* all tablespaces my agent   */
                                        /* is restoring               */
 dcl SQLB_OPEN_TBS_STORDEF              type sqluint32 value('2'xu);
                                        /* all tablespaces where      */
                                        /* storage definition is      */
                                        /* allowed                    */
 dcl SQLB_OPEN_TBS_TEMP                 type sqluint32 value('4'xu);
                                        /* all temp tablespaces       */


 dcl sqlbotsq                              /* Open Tablespace Query   */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* in: processing options: */
                                           /* SQLB_TBS_OPEN_xxx       */
            type sqluint32 byaddr)         /* out: # tablespaces      */
                                           /* defined in db           */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbotsq');

 /* ftpq - Fetch TableSpace Query -> fetch the next block of tbs data */
 dcl sqlbftpq                              /* Fetch Tablespace Query  */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* max num of tbs the      */
                                           /* output area can hold    */
            (*) type SQLB_TBSPQRY_DATA byaddr,/* out: array of length */
                                           /* maxTbs                  */
            type sqluint32)                /* out: #data entries      */
                                           /* returned                */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbftpq');

 /* ctsq - Close TableSpace Query -> term the query opened by sqlbotsq*/
 dcl sqlbctsq                              /* Close Tablespace Query  */
     entry (pointer)                       /* SQLCA                   */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbctsq');

 /* mtsq - TableSpace Query -> uses the above primitives to return    */
 /* the FULL list of tablespaces in an array allocated and returned   */
 /* to the application.  The application should free this memory with */
 /* the sqlefmem() api when it is finished with it. Even if this api  */
 /* fails with an 'insufficient memory' error, 'nTbs' is set to the   */
 /* number of tablespaces in the database. 'nTbs' is set to zero if   */
 /* we fail to sucessfully open a query. 'tbsData' is returned as     */
 /* NULL (0, no mem alloc) if we fail for any reason.                 */
 dcl sqlbmtsq                              /* Tablespace Query        */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32 byaddr,         /* out: total number of    */
                                           /* table spaces            */
            pointer byaddr,                /* out: mem returned to    */
                                           /* application             */
            type sqluint32,                /* in: SQLB_RESERVED1      */
            type sqluint32)                /* in: SQLB_RESERVED2      */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbmtsq');

 /* container level queries.They all accept either a tableSpace id    */
 /* (as tbs) ora special id (SQLB_ALL_TABLESPACES) which triggers the */
 /* fetch of a list of containers for the entire database.            */

 /* constant used in place of tablespace id to indicate all table     */
 /* spaces in  db*/
 dcl SQLB_ALL_TABLESPACES             type sqluint32 value('fffe'xu);

 /* constants used for reserved parameters                            */
 dcl SQLB_RESERVED1                   type sqluint32 value('fffd'xu);
 dcl SQLB_RESERVED2                   type sqluint32 value('fffe'xu);

 /* otcq - Open Tablespace Container Query -- prepares for fetching   */
 /*        a list of container data                                   */
 dcl sqlbotcq                              /* Open Tablespace         */
                                           /* Container Query         */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* in: id tbs or SQLB_ALL  */
                                           /* TABLESPACES             */
            type sqluint32 byaddr)         /* out:  output...the      */
                                           /* number of containers    */
                                           /* for the table space     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbotcq');

 /* ftcq - Fetch Tablespace Container Query. Fetch the next block of  */
 /*        container info.                                            */
 dcl sqlbftcq                              /* Fetch Tablespace        */
                                           /* Container Query         */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* in:  max # entries to   */
                                           /* return in 'data'        */
            (*) type SQLB_TBSCONTQRY_DATA byaddr, /* out: array of    */
                                                  /* 'maxCont' entries*/
            type sqluint32 byaddr)         /* out: # data entries     */
                                           /* returned on this query  */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbftcq');

 /* ctcq - Close Tablespace Container Query. Terminate processing for */
 /*        this query                                                 */
 dcl sqlbctcq                              /* Close Tablespace        */
                                           /* Container Query         */
     entry (pointer)                       /* SQLCA                   */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbctcq');

 /* tcq - Tablespace Container Query                                  */
 /* Like 'sqlbmtsq', this api generates a complete list, allocating   */
 /* sufficient memory. The application is responsible for freeing     */
 /* the memory when  it is finished with it: call sqlefmem(ca,ptr).   */
 dcl sqlbtcq
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* in: id a tbs or SQLB_ALL*/
                                           /* TABLESPACES             */
            type sqluint32 byaddr,         /* out: # entries returned */
            handle SQLB_TBSCONTQRY_DATA byaddr)
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbtcq');

 /* stsc - Set TableSpace Containers                                  */
 /* This api is to be used when the tablespace is in a 'storage       */
 /* definition pending' or 'storage definition allowed' state.        */
 /* These states are possible during a restore operation,             */
 /* immediately prior to the restoration of database pages.           */
 /* This API is intended to assist in the provision of a 'redirected' */
 /* restore, where the user is restoring a database and a different   */
 /* set of OS storage containers is desired/required.                 */
 /* As input the application provides a list of storage definitions in*/
 /* the SQLB_TBSCONTQRY_DATA structure (also used for query purposes).*/
 /* For this api only the following fields are examined:              */
 /*                                                                   */
 /* unsigned long   nameLen     length of name (for non-C lang.)      */
 /* char            name[SQLB_MAX_CONTAIN_NAME_SZ]   null term. name  */
 /* unsigned long   contType     SQLB_CONT_PATH/DISK/FILE             */
 /* unsigned long   totalPages   DMS only                             */
 /*                                                                   */
 /* processing options...pass 0 for 'nothing-special', OR in the spec */
 /* bits.                                                             */
 /*                                                                   */
 /* when setting containers prior to a restore/rollforward, the user  */
 /* may want to IGNORE any 'add containers' in the logs.              */
 /* He may simply be providing a different 'final' state for the      */
 /* tablespace configuration. The default behavior is to redo 'alter' */
 /* logrecords after a new container list has been set.               */

 dcl SQLB_SET_CONT_INIT_STATE         fixed bin(31) value(0);
 dcl SQLB_SET_CONT_FINAL_STATE        fixed bin(31) value(1);

 dcl sqlbstsc                              /* Set Tablespace          */
                                           /* Containers              */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,                /* in: processing options: */
                                           /* SQLB_SET_CONT_xxx       */
            type sqluint32,                /* in: table space which   */
                                           /* is to be changed        */
            type sqluint32,                /* in: #containers in the  */
                                           /* list                    */
            type SQLB_TBSCONTQRY_DATA byaddr) /* container            */
                                           /* specifications          */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbstsc');

 /* gtss - Get TableSpace Statistics */
 /* Provide some basic info about the utilization of a tablespace.    */
 /* BETA NOTE: only DMS tablespace are supported at this time - SRSFIX*/
 dcl sqlbgtss                              /* Get Tablespace          */
                                           /* Statistics              */
     entry (pointer,                       /* SQLCA                   */
            type sqluint32,
            type SQLB_TBS_STATS byaddr)
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbgtss');

 /* END OF TABLESPACE RELATED API'S  */

 /* Database Utility Commands -- Function Prototypes  */

 %dcl SQLZ_STACK char ext;
 %if SQLZ_STACK = '' %then %do;

 %dcl SQL_REL_10 char ext;
 %if SQL_REL_10 ^= '' %then %do;

 %dcl sqluauth char;   %sqluauth = 'sqluauth_api';
 %dcl sqlustat char;   %sqlustat = 'sqlustat_api';

 %end; %else %do;

 %dcl sqluauth char;   %sqluauth = 'sqluauth_api';
 %dcl sqludrdt char;   %sqludrdt = 'sqludrdt_api';

 sqluexpt: proc (df, dcol, tcol, ft, ftm, mf, ac, out, ca)
           returns (byvalue optional type SQL_API_RC)
           options (inline) internal;
    dcl df   char(*) varz byaddr,      /* data file                   */
        dcol type sqldcol byaddr,      /* dcoldata                    */
        tcol type sqlchar byaddr,      /* tcolstrg                    */
        ft   char(*) varz byaddr,      /* file type                   */
        ftm  type sqlchar byaddr optional, /* file type mod           */
        mf   char(*) varz byaddr,      /* msg file                    */
        ac   fixed bin(15) byvalue,    /* caller action               */
        out  type sqluexpt_out byaddr, /* rows exported               */
        ca   pointer byvalue;          /* SQLCA                       */
   return (sqluexpr_api (df, *, *, dcol, tcol,
                         ft, ftm, mf, ac, out, sysnull(), ca));
 end sqluexpt;

 %dcl sqluflsh char;   %sqluflsh = 'sqluflsh_api';

 sqluimpt: proc (df, dcol, tcol, ft, ftm, mf, ac, in, out, ca)
           returns (byvalue optional type SQL_API_RC)
           options (inline) internal;
    dcl df   char(*) varz byaddr,      /* data file                   */
        dcol type sqldcol byaddr,      /* dcoldata                    */
        tcol type sqlchar byaddr,      /* tcolstrg                    */
        ft   char(*) varz byaddr,      /* file type                   */
        ftm  type sqlchar byaddr optional, /* file type mod           */
        mf   char(*) varz byaddr,      /* msg file                    */
        ac   fixed bin(15) byvalue,    /* caller action               */
        in   type sqluimpt_in  byaddr, /* input parms                 */
        out  type sqluimpt_out byaddr, /* output parms                */
        ca   pointer byvalue;          /* SQLCA                       */
   return (sqluimpr_api (df, *, dcol, tcol,
                         ft, ftm, mf, ac, in, out, *, sysnull(), ca));
 end sqluimpt;

 %dcl sqluexpr char;   %sqluexpr = 'sqluexpr_api';
 %dcl sqluimpr char;   %sqluimpr = 'sqluimpr_api';
 %dcl sqlureot char;   %sqlureot = 'sqlureot_api';
 %dcl sqlurfwd char;   %sqlurfwd = 'sqlurfwd_api';
 %dcl sqlurllf char;   %sqlurllf = 'sqlurllf_api';
 %dcl sqluprfw char;   %sqluprfw = 'sqluprfw_api';
 %dcl sqluroll char;   %sqluroll = 'sqluroll_api';
 %dcl sqluload char;   %sqluload = 'sqluload_api';
 %dcl sqluqry  char;   %sqluqry  = 'sqluqry_api';
 %dcl sqlustat char;   %sqlustat = 'sqlustat_api';
 %dcl sqlurlog char;   %sqlurlog = 'sqlurlog_api';
 %dcl sqlugrpi char;   %sqlugrpi = 'sqlugrpi_api';
 %dcl sqlugrpn char;   %sqlugrpn = 'sqlugrpn_api';
 %dcl sqlugtpi char;   %sqlugtpi = 'sqlugtpi_api';

 %end; /* SQL_REL_10 */

 %end; /* SQLZ_STACK */

 /* General Utility Commands */

 dcl sqluhops                         /* Open Recovery History File   */
                                      /* Scan                         */
     entry (char(*) varz byaddr,      /* database alias to open the   */
                                      /* scan for                     */
            char(*) varz byaddr optional,/* complete/partial timestamp*/
            char(*) varz byaddr optional,
                                      /* table name or tablespace name*/
            fixed bin(16) unsigned byaddr,
                                      /* rows that match parameters   */
            fixed bin(16) unsigned byaddr,
                                      /* handle used for gne/cls      */
            fixed bin(16) unsigned,   /* list: 0-backup; 1-history    */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluhops');

 dcl sqluhgne                         /* Get Next Recovery History    */
                                      /* File Entry                   */
     entry (fixed bin(16) unsigned,   /* handle returned from open    */
            type sqluhadm byaddr,     /* pointer to enhanced data     */
            type sqluhinfo byaddr,    /* pointer to entry             */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluhgne');

 dcl sqluhget                         /* Get Next Recovery History    */
                                      /* File Entry - Enhanced for    */
                                      /* V5.2                         */
     entry (fixed bin(16) unsigned,   /* handle returned from open    */
            fixed bin(16) unsigned,   /* special handling of DDL data */
            type sqluint32,           /* reserved for future use      */
            type sqluhinfo byaddr,    /* pointer to entry             */
            type sqluhadm byaddr,     /* pointer to enhanced data     */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluhget');

 dcl sqluhcls                         /* Close Recovery History File  */
                                      /* Scan                         */
     entry (fixed bin(16) unsigned,   /* handle returned from open    */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluhcls');

 dcl sqluhprn                         /* Prune Recovery History File  */
     entry (char(*) varz byaddr,      /* timestamp (or partial one)   */
            fixed bin(16) unsigned,   /* 0 for DON'T FORCE            */
                                      /* 1 for FORCE                  */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluhprn');

 dcl sqluhupd                         /* Update Recovery History File */
     entry (char(*) varz byaddr optional, /* timestamp||(001 -> 999)  */
            char(*) varz byaddr optional, /* the new location         */
            char(*) varz byaddr optional, /* the new device type      */
            char(*) varz byaddr optional, /* new comment              */
            pointer,                      /* reserved for future use  */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluhupd');

 dcl sqluvqdp                         /* Quiesce Tablespaces for Table*/
     entry (char(*) varz byaddr,      /* fully qualified table name   */
            type sqlint32,            /* 0 for share                  */
                                      /* 1 for intent to update       */
                                      /* 2 for exclusive              */
                                      /* 9 to reset                   */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluvqdp');

 dcl sqlurcon                         /* Reconcile                    */
     entry (char(*) varz byaddr,      /* fully qualified table name   */
            char(*) varz byaddr,      /* fully qualified exception    */
                                      /* table name                   */
            char(*) varz byaddr,      /* REPORT file name             */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlurcon');

 dcl sqluadau                         /* Get Authorizations           */
     entry (type sql_authorizations byaddr,
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluadau');

 dcl sqluauth_api                     /* Get Authorizations           */
     entry (pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluauth_api');

 dcl sqlubkp                          /* Backup Database              */
     entry (char(*) varz byaddr,      /* database alias               */
            type sqluint32,           /* backup buffer size           */
            type sqluint32,           /* online or offline            */
            type sqluint32,           /* backup type.                 */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr,      /* application ID.              */
            char(*) varz byaddr,      /* timestamp returned           */
            type sqluint32,           /* num of buffers               */
            type sqlu_tablespace_bkrst_list byaddr,
                                      /* list of tablespace names     */
            type sqlu_media_list byaddr,/* list of media targets      */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor          */
            type sqluint32,           /* Degree of parallelism        */
            type sqluint32 byaddr,    /* Size of backup               */
            pointer,                  /* reserved for future          */
            pointer,                  /* reserved for future          */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlubkp');

 dcl sqlubkup                         /* V2 Backup Database           */
     entry (char(*) varz byaddr,      /* database alias               */
            type sqluint32,           /* backup buffer size           */
            type sqluint32,           /* online or offline            */
            type sqluint32,           /* backup type.                 */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr,      /* application ID.              */
            char(*) varz byaddr,      /* timestamp returned           */
            type sqluint32,           /* num of buffers               */
            type sqlu_tablespace_bkrst_list byaddr,
                                      /* list of tablespace names     */
            type sqlu_media_list byaddr,/* list of media targets      */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor          */
            pointer,                  /* reserved for future          */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlubkup');

 dcl sqludsdb                         /* Describe Database            */
     entry (char(*) varz byaddr,      /* Target path                  */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqludsdb');


 dcl sqludrdt_api                     /* Data Redistribution          */
     entry (char(*) varz byaddr,      /* Nodegroup name               */
            char(*) varz byaddr,      /* Target partition map file    */
                                      /* name                         */
            char(*) varz byaddr,      /* Data distribution file name  */
            (*) type SQL_PDB_NODE_TYPE byaddr optional,
                                      /* List of nodes to be added    */
            fixed bin(16) unsigned,   /* No. of nodes to be added     */
            (*) type SQL_PDB_NODE_TYPE byaddr optional,
                                      /* List of nodes to be dropped  */
            fixed bin(16) unsigned,   /* No. of nodes to be dropped   */
            char(1),                  /* Data redistribution option   */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqludrdt_api');

 dcl sqlurestore                      /* Restore Database             */
     entry (char(*) varz byaddr,      /* source alias name            */
            char(*) varz byaddr optional, /* target dbalias           */
            type sqluint32,           /* restore buffer size          */
            type sqluint32,           /* 0 - roll forward             */
                                      /* 1 - do not roll fwd          */
            type sqluint32,           /* 0 - with datalink            */
                                      /* 1 - without datalink         */
            type sqluint32,           /* 0 - normal restore           */
                                      /* 3 - online restore for       */
                                      /* tablespace only              */
                                      /* 5 - history file only        */
            type sqluint32,           /* Online/Offline               */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr optional, /* application ID.          */
            char(*) varz byaddr optional,
                                      /* timestamp for backup image   */
            char(*) varz byaddr optional,
                                      /* target path for new database */
            type sqluint32,           /* num of buffers               */
            char(*) varz byaddr optional, /* Report filename          */
            (*) type sqlu_tablespace_bkrst_list byaddr optional,
                                      /* reserved for future use.     */
            (*) type sqlu_media_list byaddr optional,
                                      /* list of media controllers    */
                                      /* to use.                      */
            char(*) varz byaddr optional, /* userid                   */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            type sqluint32,           /* Degree of parallelism        */
            pointer,                  /* reserved                     */
            pointer,                  /* Container/Page restore list  */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlurestore');

 dcl sqlurst                          /* Restore Database             */
     entry (char(*) varz byaddr,      /* source alias name            */
            char(*) varz byaddr optional, /* target dbalias           */
            type sqluint32,           /* restore buffer size          */
            type sqluint32,           /* 0 - roll forward             */
                                      /* 1 - do not roll fwd          */
            type sqluint32,           /* 0 - normal restore           */
                                      /* 3 - online restore for       */
                                      /* tablespace only              */
                                      /* 5 - history file only        */
            type sqluint32,           /* Online/Offline               */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr optional, /* application ID.          */
            char(*) varz byaddr optional,
                                      /* timestamp for backup image   */
            char(*) varz byaddr optional,
                                      /* target path for new database */
            type sqluint32,           /* num of buffers               */
            (*) type sqlu_tablespace_bkrst_list byaddr optional,
                                      /* reserved for future use.     */
            (*) type sqlu_media_list byaddr optional,
                                      /* list of media controllers    */
                                      /* to use.                      */
            char(*) varz byaddr optional, /* userid                   */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            type sqluint32,           /* Degree of parallelism        */
            pointer,                  /* reserved                     */
            pointer,                  /* Container/Page restore list  */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlurst');

 dcl sqlursto                         /* V2 Restore Database          */
     entry (char(*) varz byaddr,      /* source alias name            */
            char(*) varz byaddr optional, /* target dbalias           */
            type sqluint32,           /* restore buffer size          */
            type sqluint32,           /* 0 - roll forward             */
                                      /* 1 - do not roll fwd          */
            type sqluint32,           /* 0 - normal restore           */
                                      /* 3 - online restore for       */
                                      /* tablespace only              */
                                      /* 5 - history file only        */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr optional, /* application ID.          */
            char(*) varz byaddr optional,
                                      /* timestamp for backup image   */
            char(*) varz byaddr optional,
                                      /* target path for new database */
            type sqluint32,           /* num of buffers               */
            (*) type sqlu_tablespace_bkrst_list byaddr optional,
                                      /* reserved for future use.     */
            (*) type sqlu_media_list byaddr optional,
                                      /* list of media controllers    */
                                      /* to use.                      */
            char(*) varz byaddr optional, /* userid                   */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlursto');

 dcl sqlurllf_api                     /* Old Rollforward Database     */
     entry (char(*) varz byaddr,      /* database alias               */
            fixed bin(16) unsigned,   /* action                       */
            char(*) varz byaddr optional, /* application id           */
            char(*) varz byaddr optional, /* stop time                */
            char(*) varz byaddr optional, /* next archive file needed */
            char(*) varz byaddr optional, /* first archive file to be */
                                          /* deleted                  */
            char(*) varz byaddr optional, /* last archive file to be  */
                                          /* deleted                  */
            char(*) varz byaddr optional, /* last commit time         */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            char(*) varz byaddr optional, /* overflow log path        */
            fixed bin(16) unsigned,   /* connect mode                 */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlurllf_api');

 /* Old PE Rollforward Database - sqluprfw_api - omitted as old */

 dcl sqlurfwd_api                     /* Old Rollforward Database     */
     entry (char(*) varz byaddr,      /* database name                */
            fixed bin(16) unsigned,   /* action                       */
            char(*) varz byaddr optional, /* Stop Timestamp           */
            char(*) varz byaddr optional, /* Next Archive File needed */
            char(*) varz byaddr optional, /* First Archive File to be */
                                          /* deleted                  */
            char(*) varz byaddr optional, /* Last Archive File to be  */
                                          /* deleted                  */
            char(*) varz byaddr,          /* Returned Timestamp       */
            char(*) varz byaddr optional, /* userid                   */
            char(*) varz byaddr optional, /* password                 */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlurfwd_api');

 dcl sqluroll_api                     /* Rollforward Database         */
     entry (type rfwd_input byaddr,   /* input structure              */
            type rfwd_output byaddr,  /* output structure             */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluroll_api');


 dcl sqluexpr_api                     /* Export                       */
     entry (char(*) varz byaddr,      /* data file                    */
            type sqlu_media_list byaddr optional, /* lob paths        */
            type sqlu_media_list byaddr optional, /* lob files        */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* file type                    */
            type sqlchar byaddr optional, /* file type mod            */
            char(*) varz byaddr,      /* msg file                     */
            fixed bin(15),            /* caller action                */
            type sqluexpt_out byaddr, /* rows exported                */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluexpr_api');

 dcl sqluflsh_api                     /* Flush Table                  */
     entry (char(*) varz byaddr,      /* Fully qualified table name   */
            type SQLU_LSN byaddr,     /* Log Sequence Nbr             */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluflsh_api');

 dcl sqluexpt_api                     /* Export                       */
     entry (char(*) varz byaddr,      /* datafile                     */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* filetype                     */
            type sqlchar byaddr optional, /* filetmod                 */
            char(*) varz byaddr,      /* msgfile                      */
            fixed bin(15),            /* caller action                */
            type sqluexpt_out byaddr, /* rows exported                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluexpt_api');

 dcl sqlugrpi_api                     /* Get Row Partitioning         */
                                      /* Information                  */
     entry (fixed bin(16) unsigned,   /* Number of pointers           */
            (*) pointer byaddr,       /* An array of pointers         */
            (*) fixed bin(16) unsigned byaddr,
                                      /* An array of string lengths   */
            fixed bin(16) unsigned,   /* Countrycode                  */
            fixed bin(16) unsigned,   /* Codepage                     */
            type sqlupi byaddr,       /* Partitioning Information     */
            fixed bin(16) unsigned byaddr, /* Partition number        */
            type SQL_PDB_NODE_TYPE byaddr optional, /* Node number    */
            fixed bin(16) unsigned,   /* Check level                  */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlugrpi_api');

 dcl sqlugrpn_api                     /* Get Row Partitioning Number  */
     entry (fixed bin(16) unsigned,   /* Number of pointers           */
            (*) pointer byaddr,       /* An array of pointers         */
            (*) fixed bin(16) unsigned byaddr,
                                      /* An array of string lengths   */
            fixed bin(16) unsigned,   /* Countrycode                  */
            fixed bin(16) unsigned,   /* Codepage                     */
            type sqlupi byaddr,       /* Partitioning Information     */
            fixed bin(16) unsigned byaddr, /* Partition number        */
            type SQL_PDB_NODE_TYPE byaddr optional, /* Node number    */
            fixed bin(16) unsigned,   /* Check level                  */
            pointer,                  /* SQLCA                        */
            fixed bin(15),            /* data format                  */
            pointer,                  /* reserved for future use      */
            pointer)                  /* reserved for future use      */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlugrpn_api');

 dcl sqlugtpi_api                     /* Get Table Partitioning       */
                                      /* Information                  */
     entry (char (*) varz byaddr,     /* Table name                   */
            type sqlupi byaddr,       /* Partitioning Information     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlugtpi_api');

 dcl sqluimpt_api                     /* Import                       */
     entry (char(*) varz byaddr,      /* datafile                     */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* filetype                     */
            type sqlchar byaddr optional, /* filetmod                 */
            char(*) varz byaddr,      /* msgfile                      */
            fixed bin(15),            /* caller action                */
            type sqluimpt_in byaddr,  /* input parms                  */
            type sqluimpt_out byaddr, /* output parms                 */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluimpt_api');

 dcl sqluimpr_api                     /* Import                       */
     entry (char(*) varz byaddr,      /* datafile                     */
            type sqlu_media_list byaddr optional, /* lobpath          */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* filetype                     */
            type sqlchar byaddr optional, /* filetmod                 */
            char(*) varz byaddr,      /* msgfile                      */
            fixed bin(15),            /* caller action                */
            type sqluimpt_in byaddr,  /* input parms                  */
            type sqluimpt_out byaddr, /* output parms                 */
            (*) type sqlint32 byaddr optional,    /* nullind          */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluimpr_api');


 dcl sqluload_api                     /* Load                         */
     entry (type sqlu_media_list byaddr optional, /* input data files */
            type sqlu_media_list byaddr optional, /* input lob paths  */
            type sqldcol byaddr,      /* dcoldata - describes input   */
                                      /* data                         */
            type sqlchar byaddr,      /* tcolstrg - describes the     */
                                      /* columns of the table to load */
            char(*) varz byaddr,      /* file type                    */
            type sqlchar byaddr optional, /* filetmod                 */
            char(*) varz byaddr,      /* message file name            */
            char(*) varz byaddr,      /* remote file name             */
            fixed bin(15),            /* caller action                */
            type sqluload_in byaddr,  /* input                        */
            type sqluload_out byaddr, /* output                       */
            type sqlu_media_list byaddr optional, /* work dirs        */
            type sqlu_media_list byaddr,          /* copy targets     */
            (*) type sqlint32 byaddr optional,    /* nullind          */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluload_api');

 dcl sqluqry_api                      /* Query                        */
     entry (char(*) varz byaddr,      /* local msg file               */
            char(*) varz byaddr,      /* remote msg file              */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluqry_api');

 dcl sqlurlog_api                     /* Asynchronous Read Log        */
     entry (type sqluint32,           /* caller action                */
            type SQLU_LSN byaddr,     /* read start log sequence      */
                                      /* number                       */
            type SQLU_LSN byaddr,     /* read end log sequence number */
            pointer,                  /* user buffer                  */
            type sqluint32,           /* size of user buffer          */
            type SQLU_RLOG_INFO byaddr, /* read log information struc */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlurlog_api');

 dcl sqlureot_api                     /* Reorganize Table             */
     entry (char(*) varz byaddr,      /* table name                   */
            char(*) varz byaddr optional,/* fully-qualified index name*/
            char(*) varz byaddr optional,/* tablespace                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlureot_api');

 dcl sqlustat_api                     /* Run Statistics               */
     entry (char(*) varz byaddr,      /* table name                   */
            fixed bin(16) unsigned,   /* number of indexes            */
            (*) pointer byaddr optional, /* indexlist                 */
            char(1),                  /* statsopt                     */
            char(1),                  /* sharelvl                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlustat_api');

 dcl sqlutbau                         /* Get Table Authorizations     */
     entry (char(*) varz byaddr,      /* fully-qualified table name   */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlutbau');

 dcl sqluihsh                         /* Get Int Col Part Key Value   */
                                      /* For Given Part Map Index     */
     entry (type sqlint32,            /* input partition map index    */
            type sqlint32 byaddr,     /* output integer column part   */
                                      /* key value                    */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqluihsh');


 /* Generic APIs */

 dcl sqlgadau                         /* Get Authorizations           */
     entry (type sql_authorizations byaddr,
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgadau');

 dcl sqlgddb                          /* Get Default Database         */
                                      /* Configuration                */
     entry (fixed bin(16) unsigned,   /* database alias length        */
            fixed bin(16) unsigned,   /* count of requested no of     */
                                      /* items                        */
            (*) type sqlfupd byaddr,  /* list of items returned       */
            pointer,                  /* SQLCA                        */
            char(*) varz byaddr)      /* database  alias              */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgddb');

 dcl sqlgrdb                          /* Reset Database Configuration */
     entry (fixed bin(16) unsigned,   /* database alias length        */
            pointer,                  /* SQLCA                        */
            char(*) varz byaddr)      /* database alias               */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrdb');

 dcl sqlgudb                          /* Update Database Configuration*/
     entry (fixed bin(16) unsigned,   /* database alias length        */
            fixed bin(16) unsigned,   /* count                        */
            (*) fixed bin(16) unsigned byaddr, /* List of item lengths*/
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer,                  /* SQLCA                        */
            char(*) varz byaddr)      /* database                     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgudb');

 dcl sqlgxdb                          /* Get Database Configuration   */
     entry (fixed bin(16) unsigned,   /* database alias length        */
            fixed bin(16) unsigned,   /* count of items being returned*/
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer,                  /* SQLCA                        */
            char(*) varz byaddr)      /* database alias               */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgxdb');

 dcl sqlgdsys                         /* Get Database Manager         */
                                      /* Configuration Defaults       */
     entry (fixed bin(16) unsigned,   /* count of items being returned*/
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgdsys');

 dcl sqlgbkp                          /* Backup Database              */
     entry (fixed bin(16) unsigned,   /* database alias length        */
            fixed bin(16) unsigned,   /* user name length             */
            fixed bin(16) unsigned,   /* password length              */
            pointer,                  /* reserved for future use      */
            char(*) varz byaddr,      /* database alias               */
            type sqluint32,           /* buffer size in 4K units      */
            type sqluint32,           /* online or offline            */
            type sqluint32,           /* 0 - full dB; 3 - tablespace  */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr,      /* application ID.              */
            char(*) varz byaddr,      /* timestamp returned           */
            type sqluint32,           /* number of buffers to use     */
            type sqlu_tablespace_bkrst_list byaddr,
                                      /* list of tablespace names     */
            type sqlu_media_list byaddr,/* list of media targets      */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            type sqluint32,           /* Degree of parallelism        */
            type sqluint32 byaddr,    /* Size of backup               */
            pointer,                  /* reserved for vendor use      */
            pointer,                  /* reserved for future use      */
            pointer)                  /* sqlca structure              */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgbkp');

 dcl sqlgbkup                         /* Backup Database              */
     entry (fixed bin(16) unsigned,   /* database alias length        */
            fixed bin(16) unsigned,   /* user name length             */
            fixed bin(16) unsigned,   /* password length              */
            pointer,                  /* reserved for future use      */
            char(*) varz byaddr,      /* database alias               */
            type sqluint32,           /* buffer size in 4K units      */
            type sqluint32,           /* online or offline            */
            type sqluint32,           /* 0 - full dB; 3 - tablespace  */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr,      /* application ID.              */
            char(*) varz byaddr,      /* timestamp returned           */
            type sqluint32,           /* number of buffers to use     */
            type sqlu_tablespace_bkrst_list byaddr,
                                      /* list of tablespace names     */
            type sqlu_media_list byaddr,/* list of media targets      */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            pointer,                  /* reserved for future use      */
            pointer)                  /* sqlca structure              */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgbkup');

 dcl sqlgdsdb                         /* Describe Database            */
     entry (fixed bin(16) unsigned,   /* Target path length           */
            char(*) varz byaddr,      /* Target path                 */
            pointer)                  /* SQLCA                       */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgdsdb');

 dcl sqlghcls                         /* Close Recovery History File  */
                                      /* Scan                         */
     entry (fixed bin(16) unsigned,   /* handle returned from open    */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlghcls');

 dcl sqlghgne                         /* Get Next Recovery History    */
                                      /* File Entry                   */
     entry (fixed bin(16) unsigned,   /* handle returned from open    */
            type sqluhadm byaddr,     /* special handling of command  */
                                      /* text                         */
            type sqluhinfo byaddr,    /* pointer to the address of the*/
                                      /* history file entry info      */
                                      /* buffer                       */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlghgne');

 dcl sqlghget                         /* Get Next Recovery History    */
                                      /* File Entry - Enhanced for    */
                                      /* V5.2                         */
     entry (fixed bin(16) unsigned,   /* handle returned from open    */
            fixed bin(16) unsigned,   /* special handling of DDL data */
            type sqluint32,           /* reserved for future use      */
            type sqluhinfo byaddr,    /* pointer to entry             */
            type sqluhadm byaddr,     /* pointer to enhanced data     */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlghget');

 dcl sqlghops                         /* Open Recovery History File   */
                                      /* Scan                         */
     entry (fixed bin(16) unsigned,   /* database alias length        */
            fixed bin(16) unsigned,   /* timestamp length             */
            fixed bin(16) unsigned,   /* object name length           */
            char(*) varz byaddr,      /* database alias               */
            char(*) varz byaddr optional, /* timestamp used to select */
                                          /* records                  */
            char(*) varz byaddr optional, /* object name used to      */
                                          /* select records           */
            fixed bin(16) unsigned byaddr,/* return no. of matching   */
                                          /* history file entries     */
            fixed bin(16) unsigned byaddr,/* return handle used for   */
                                          /* future access            */
            fixed bin(16) unsigned,   /* '0' for backup               */
                                      /* '1' for history              */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlghops');

 dcl sqlghprn                         /* Prune Recovery History File  */
     entry (fixed bin(16) unsigned,   /* timestamp id length          */
            char(*) varz byaddr,      /* timestamp (whole or part)    */
            fixed bin(16) unsigned,   /* force option                 */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlghprn');

 dcl sqlghupd                         /* Update Recovery History File */
     entry (fixed bin(16) unsigned,   /* object_part length           */
            fixed bin(16) unsigned,   /* new_location length          */
            fixed bin(16) unsigned,   /* new_device_type length       */
            fixed bin(16) unsigned,   /* new_comment length           */
            char(*) varz byaddr optional, /* timestamp||(001 -> 999)  */
            char(*) varz byaddr optional, /* the new location         */
            char(*) varz byaddr optional, /* the new device type      */
            char(*) varz byaddr optional, /* new comment              */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlghupd');

 dcl sqlgroll                         /* Rollforward Database         */
     entry (type grfwd_input byaddr,  /* input structure              */
            type rfwd_output byaddr,  /* output structure             */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgroll');

 dcl sqlgrestore                      /* Restore Database             */
     entry (fixed bin(16) unsigned,   /* source database alias length */
            fixed bin(16) unsigned,   /* target database alias length */
            fixed bin(16) unsigned,   /* timestamp length             */
            fixed bin(16) unsigned,   /* target path length           */
            fixed bin(16) unsigned,   /* user name length             */
            fixed bin(16) unsigned,   /* password  length             */
            fixed bin(16) unsigned,   /* dl report length             */
            fixed bin(16) unsigned byaddr,/* nodename length          */
            char(*) varz byaddr,          /* source database alias    */
            char(*) varz byaddr optional, /* target database alias    */
            type sqluint32,           /* buffer size in 4K units      */
            type sqluint32,           /* 0 - roll forward             */
                                      /* 1 - do not roll forward      */
            type sqluint32,           /* 0 - with datalinks           */
                                      /* 1 - without datalinks        */
            type sqluint32,           /* 0 - normal restore           */
                                      /* 3 - online restore for       */
                                      /* tablespace only              */
                                      /* 5 - history file only        */
            type sqluint32,           /* Online/Offline               */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr optional, /* application id returned  */
            char(*) varz byaddr optional, /* timestamp of backup      */
            char(*) varz byaddr optional, /* target: new path         */
            type sqluint32,           /* number of buffers to use     */
            char(*) varz byaddr optional, /* Report filename          */
            (*) type sqlu_tablespace_bkrst_list byaddr optional,
                                      /* reserved for future use.     */
            (*) type sqlu_media_list byaddr optional,
                                      /* list of media sources        */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* Degree of parallelism        */
            fixed bin(16) unsigned,   /* reserved                     */
            pointer,                  /* reserved                     */
            fixed bin(16) unsigned,   /* Size of Container/Page       */
                                      /* restore list                 */
            pointer,                  /* Container/Page restore list  */
            type sqlint32,            /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            pointer,                  /* Restore Log Path             */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrestore');

 dcl sqlgrst                          /* Restore Database             */
     entry (fixed bin(16) unsigned,   /* source database alias length */
            fixed bin(16) unsigned,   /* target database alias length */
            fixed bin(16) unsigned,   /* timestamp length             */
            fixed bin(16) unsigned,   /* target path length           */
            fixed bin(16) unsigned,   /* user name length             */
            fixed bin(16) unsigned,   /* password  length             */
            fixed bin(16) unsigned byaddr,/* nodename length          */
            char(*) varz byaddr,          /* source database alias    */
            char(*) varz byaddr optional, /* target database alias    */
            type sqluint32,           /* buffer size in 4K units      */
            type sqluint32,           /* 0 - roll forward             */
                                      /* 1 - do not roll forward      */
            type sqluint32,           /* 0 - normal restore           */
                                      /* 3 - online restore for       */
                                      /* tablespace only              */
                                      /* 5 - history file only        */
            type sqluint32,           /* Online/Offline               */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr optional, /* application id returned  */
            char(*) varz byaddr optional, /* timestamp of backup      */
            char(*) varz byaddr optional, /* target: new path         */
            type sqluint32,           /* number of buffers to use     */
            (*) type sqlu_tablespace_bkrst_list byaddr optional,
                                      /* reserved for future use.     */
            (*) type sqlu_media_list byaddr optional,
                                      /* list of media sources        */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* Degree of parallelism        */
            fixed bin(16) unsigned,   /* reserved                     */
            pointer,                  /* reserved                     */
            fixed bin(16) unsigned,   /* Size of Container/Page       */
                                      /* restore list                 */
            pointer,                  /* Container/Page restore list  */
            type sqlint32,            /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            pointer,                  /* Restore Log Path             */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrst');

 dcl sqlgrsto                         /* Restore Database             */
     entry (fixed bin(16) unsigned,   /* source database alias length */
            fixed bin(16) unsigned,   /* target database alias length */
            fixed bin(16) unsigned,   /* timestamp length             */
            fixed bin(16) unsigned,   /* target path length           */
            fixed bin(16) unsigned,   /* user name length             */
            fixed bin(16) unsigned,   /* password  length             */
            fixed bin(16) unsigned byaddr,/* nodename length          */
            char(*) varz byaddr,          /* source database alias    */
            char(*) varz byaddr optional, /* target database alias    */
            type sqluint32,           /* buffer size in 4K units      */
            type sqluint32,           /* 0 - roll forward             */
                                      /* 1 - do not roll forward      */
            type sqluint32,           /* 0 - normal restore           */
                                      /* 3 - online restore           */
                                      /*     for tablespace only      */
            type sqluint32,           /* caller action                */
            char(*) varz byaddr optional, /* application id returned  */
            char(*) varz byaddr optional, /* timestamp of backup      */
            char(*) varz byaddr optional, /* target: new path         */
            type sqluint32,           /* number of buffers to use     */
            (*) type sqlu_tablespace_bkrst_list byaddr optional,
                                      /* reserved for future use.     */
            (*) type sqlu_media_list byaddr optional,
                                      /* list of media sources        */
            char(*) varz byaddr optional, /* user name                */
            char(*) varz byaddr optional, /* password                 */
            pointer,                  /* reserved for future use      */
            type sqluint32,           /* size of options field        */
            pointer,                  /* reserved for vendor use      */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrsto');

 dcl sqlgrcon                         /* Reconcile Table              */
     entry (fixed bin(16) unsigned,   /* length of table_name         */
            char(*) varz byaddr,      /* fully qualified table name   */
            fixed bin(16) unsigned,   /* length of exception table    */
                                      /* name                         */
            char(*) varz byaddr,      /* fully qualified exception    */
                                      /* table name                   */
            fixed bin(16) unsigned,   /* length of report file name   */
            char(*) varz byaddr,      /* REPORT file name             */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrcon');

 dcl sqlgvqdp                         /* Quiesce Tablespaces for Table*/
     entry (fixed bin(16) unsigned,   /* length of table_name         */
            char(*) varz byaddr,      /* table name                   */
            type sqlint32,            /* 0 for share                  */
                                      /* 1 for intent to update       */
                                      /* 2 for exclusive              */
                                      /* 9 to reset                   */
            pointer,                  /* reserved for future use      */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgvqdp');

 dcl sqlgdrdt                         /* Data Redistribution          */
     entry (fixed bin(16) unsigned,   /* Length of nodegroup name     */
            fixed bin(16) unsigned,   /* Length of target partition   */
                                      /* map file name                */
            fixed bin(16) unsigned,   /* Length of data distribution  */
                                      /* file name                    */
            char(*) varz byaddr,      /* Nodegroup name               */
            char(*) varz byaddr,      /* Target partition map file    */
                                      /* name                         */
            char(*) varz byaddr,      /* Data distribution file name  */
            (*) type SQL_PDB_NODE_TYPE byaddr optional,
                                      /* List of nodes to be added    */
            fixed bin(16) unsigned,   /* No. of nodes to be added     */
            (*) type SQL_PDB_NODE_TYPE byaddr optional,
                                      /* List of nodes to be dropped  */
            fixed bin(16) unsigned,   /* No. of nodes to be dropped   */
            char(1),                  /* Data redistribution option   */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgdrdt');

 dcl sqlgexpr                         /* EXPORT FROM                  */
     entry (fixed bin(16) unsigned,   /* data file name length        */
            fixed bin(16) unsigned,   /* file type length             */
            fixed bin(16) unsigned,   /* msg file name length         */
            char(*) varz byaddr,      /* data file                    */
            type sqlu_media_list byaddr optional, /* lob paths        */
            type sqlu_media_list byaddr optional, /* lob file names   */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* file type                    */
            type sqlchar byaddr optional, /* file type mod            */
            char(*) varz byaddr,      /* msg file name                */
            fixed bin(15),            /* caller action                */
            type sqluexpt_out byaddr, /* rows exported                */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgexpr');

 dcl sqlgexpt                         /* Export                       */
     entry (fixed bin(16) unsigned,   /* message file name length     */
            fixed bin(16) unsigned,   /* file type length             */
            fixed bin(16) unsigned,   /* data file name length        */
            pointer,                  /* SQLCA                        */
            type sqluexpt_out byaddr, /* rows exported                */
            fixed bin(15),            /* caller action                */
            char(*) varz byaddr,      /* message file name            */
            type sqlchar byaddr optional, /* ptr to file type mod     */
            char(*) varz byaddr,          /* ptr to filetype          */
            type sqlchar byaddr optional, /* ptr to tcolstrg          */
            type sqldcol byaddr,          /* ptr to dcoldata          */
            char(*) varz byaddr)      /* data file name               */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgexpt');

 dcl sqlgimpr                         /* Import                       */
     entry (fixed bin(16) unsigned,   /* datafile length              */
            fixed bin(16) unsigned,   /* file type length             */
            fixed bin(16) unsigned,   /* msgfile length               */
            char(*) varz byaddr,      /* data file name               */
            type sqlu_media_list byaddr optional, /* lobpaths         */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* filetype                     */
            type sqlchar byaddr optional, /* filetmod                 */
            char(*) varz byaddr,      /* message file name            */
            fixed bin(15),            /* caller action                */
            type sqluimpt_in byaddr,  /* input parms                  */
            type sqluimpt_out byaddr, /* output parms                 */
            (*) type sqlint32 byaddr optional,    /* nullind          */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgimpr');

 dcl sqlggrpi                         /* Get Row Partitioning         */
                                      /* Information                  */
     entry (fixed bin(16) unsigned,   /* Number of pointers           */
            (*) pointer byaddr,       /* An array of pointers         */
            (*) fixed bin(16) unsigned byaddr,
                                      /* An array of string lengths   */
            fixed bin(16) unsigned,   /* Countrycode                  */
            fixed bin(16) unsigned,   /* Codepage                     */
            type sqlupi byaddr,       /* Partitioning Information     */
            fixed bin(16) unsigned byaddr, /* Partition number        */
            type SQL_PDB_NODE_TYPE byaddr optional, /* Node number    */
            fixed bin(16) unsigned,   /* Check level                  */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlggrpi');

 dcl sqlggrpn                         /* Get Row Partitioning Number  */
     entry (fixed bin(16) unsigned,   /* Number of pointers           */
            (*) pointer byaddr,       /* An array of pointers         */
            (*) fixed bin(16) unsigned byaddr,
                                      /* An array of string lengths   */
            fixed bin(16) unsigned,   /* Countrycode                  */
            fixed bin(16) unsigned,   /* Codepage                     */
            type sqlupi byaddr,       /* Partitioning Information     */
            fixed bin(16) unsigned byaddr, /* Partition number        */
            type SQL_PDB_NODE_TYPE byaddr optional, /* Node number    */
            fixed bin(16) unsigned,   /* Check level                  */
            pointer,                  /* SQLCA                        */
            fixed bin(15),            /* data format                  */
            pointer,                  /* reserved for future use      */
            pointer)                  /* reserved for future use      */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlggrpn');

 dcl sqlggtpi                         /* Get Table Partitioning       */
                                      /* Information                  */
     entry (fixed bin(16) unsigned,   /* Length of table name         */
            char (*) varz byaddr,     /* Table name                   */
            type sqlupi byaddr,       /* Partitioning Information     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlggtpi');

 dcl sqlgimpt                         /* Import                       */
     entry (fixed bin(16) unsigned,   /* message file name length     */
            fixed bin(16) unsigned,   /* file type length             */
            fixed bin(16) unsigned,   /* data file name length        */
            pointer,                  /* SQLCA                        */
            type sqluimpt_out byaddr, /* output parms                 */
            type sqluimpt_in byaddr,  /* input parms                  */
            fixed bin(15),            /* caller action                */
            char(*) varz byaddr,      /* message file name            */
            type sqlchar byaddr optional, /* file mode description    */
            char(*) varz byaddr,      /* file type                    */
            type sqlchar byaddr,      /* ptr to table/column          */
            type sqldcol byaddr,      /* ptr to column data           */
            char(*) varz byaddr)      /* data file name               */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgimp');

 dcl sqlgload                         /* Load                         */
     entry (fixed bin(16) unsigned,   /* file type length             */
            fixed bin(16) unsigned,   /* message file length          */
            fixed bin(16) unsigned,   /* remote file length           */
            type sqlu_media_list byaddr optional,/* data file name    */
            type sqlu_media_list byaddr optional,/* lobpaths          */
            type sqldcol byaddr,      /* dcoldata                     */
            type sqlchar byaddr,      /* tcolstrg                     */
            char(*) varz byaddr,      /* file type                    */
            type sqlchar byaddr optional, /* filetmod                 */
            char(*) varz byaddr,      /* message file name            */
            char(*) varz byaddr,      /* remote file name             */
            fixed bin(15),            /* caller action                */
            type sqluload_in byaddr,  /* input                        */
            type sqluload_out byaddr, /* output                       */
            type sqlu_media_list byaddr optional, /* work directory   */
            type sqlu_media_list byaddr,          /* copy target      */
            (*) type sqlint32 byaddr optional,    /* null ind         */
            pointer,                  /* reserved                     */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgload');

 dcl sqlgqry                          /* Query                        */
     entry (fixed bin(16) unsigned,   /* lf_length                    */
            fixed bin(16) unsigned,   /* rf_length                    */
            char(*) varz byaddr,      /* local file                   */
            char(*) varz byaddr,      /* remote file                  */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgqry');

 dcl sqlgreot                         /* Reorganize Table             */
     entry (fixed bin(16) unsigned,   /* tablespace length            */
            fixed bin(16) unsigned,   /* index name length            */
            fixed bin(16) unsigned,   /* table name length            */
            pointer,                  /* SQLCA                        */
            char(*) varz byaddr optional, /* tablespace               */
            char(*) varz byaddr optional, /* index name               */
            char(*) varz byaddr)          /* table name               */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgreot');

 dcl sqlgstat                         /* Run Statistics               */
     entry (fixed bin(16) unsigned,   /* table name length            */
            fixed bin(16) unsigned,   /* number of indices            */
            char(1),                  /* stats option                 */
            char(1),                  /* share level                  */
            (*) fixed bin(16) unsigned byaddr optional,
                                      /* index lengths                */
            pointer,                  /* SQLCA                        */
            (*) pointer byaddr optional, /* index list                */
            char(*) varz byaddr)      /* table name                   */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgstat');

 dcl sqlgdref                         /* Dereference Address          */
     entry (fixed bin(32) unsigned,   /* number of bytes to transfer  */
            pointer,                  /* target area for transfer     */
            pointer byaddr)           /* source area for transfer     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgdref');

 dcl sqlgmcpy                         /* Copy Memory                  */
     entry (pointer,                  /* area into which to move the  */
                                      /* data                         */
            pointer,                  /* area from which to move the  */
                                      /* data                         */
            type sqluint32)           /* number of bytes to move      */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgmcpy');

 dcl sqlgaddr                         /* Return address              */
     entry (* byaddr,                 /* variable                    */
            pointer byaddr)           /* ptr to an area containing   */
                                      /* the address                 */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgaddr');


 /* Configuration Utility Commands */

 dcl sqlfrsys                         /* Reset Database Manager       */
                                      /* Configuration                */
     entry (pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfrsys');

 dcl sqlfrdb                          /* Reset Database Configuration */
     entry (char(*) varz byaddr,      /* database alias               */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfrdb');

 dcl sqlfusys                         /* Update Database Manager      */
                                      /* Configuration                */
     entry (fixed bin(16) unsigned,   /* count of entries being       */
                                      /* modified                     */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfusys');

 dcl sqlfudb                          /* Update Database Configuration*/
     entry (char(*) varz byaddr,      /* database alias               */
            fixed bin(16) unsigned,   /* count of entries being       */
                                      /* modified                     */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfudb');

 dcl sqlfxsys                         /* Get Database Manager         */
                                      /* Configuration                */
     entry (fixed bin(16) unsigned,   /* count of entries being       */
                                      /* returned                     */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfxsys');

 dcl sqlfxdb                          /* Get Database Configuration   */
     entry (char(*) varz byaddr,      /* database alias               */
            fixed bin(16) unsigned,   /* count of entries being       */
                                      /* returned                     */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfxdb');

 dcl sqlfdsys                         /* Get Database Manager         */
                                      /* Configuration Defaults       */
     entry (fixed bin(16) unsigned,   /* count of items being returned*/
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfdsys');

 dcl sqlfddb                          /* Get Database Configuration   */
                                      /* Defaults                     */
     entry (char(*) varz byaddr,      /* database alias               */
            fixed bin(16) unsigned,   /* count of entries to return   */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfddb');

 dcl sqlgrsys                         /* Reset Database Manager       */
                                      /* Configuration                */
     entry (pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrsys');

 dcl sqlgusys                         /* Update Database Manager      */
                                      /* Configuration                */
     entry (fixed bin(16) unsigned,   /* count of entries being       */
                                      /* modified                     */
            (*) fixed bin(16) unsigned byaddr,/* list of item lengths */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgusys');

 dcl sqlgxsys                         /* Get Database Manager         */
                                      /* Configuration                */
     entry (fixed bin(16) unsigned,   /* count of entries being       */
                                      /* returned                     */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgxsys');

 dcl sqlgstpq                         /* Single TableSpace Query      */
     entry (pointer,
            type sqluint32,                /* in: tableSpace id       */
            type SQLB_TBSPQRY_DATA byaddr, /* out: tableSpace data    */
            type sqluint32)                /* in: SQLB_RESERVED1      */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgstpq');

 dcl sqlgotsq                         /* Open TableSpace Query        */
     entry (pointer,
            type sqluint32,           /* in: processing options:      */
                                      /* SQLB_TBS_OPEN_xxx            */
            type sqluint32 byaddr)    /* out: # tablespaces           */
                                      /* defined in db                */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgotsq');

 dcl sqlgftpq                         /* Fetch TableSpace Query       */
     entry (pointer,
            type sqluint32,           /* size of output area          */
            type SQLB_TBSPQRY_DATA byaddr, /* out: array of length    */
                                           /* maxTbs                  */
            type sqluint32 byaddr)         /* out: #data entries      */
                                           /* returned                */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgftpq');

 dcl sqlgctsq                         /* Close TableSpace Query       */
     entry (pointer)
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgctsq');

 dcl sqlgmtsq                         /* TableSpace Query             */
     entry (pointer,
            type sqluint32,           /* out: total number of         */
                                      /* table spaces                 */
            pointer byaddr,           /* out: mem returned to         */
                                      /* application                  */
            type sqluint32,           /* in: SQLB_RESERVED1           */
            type sqluint32)           /* in: SQLB_RESERVED2           */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgmtsq');

 dcl sqlgotcq                         /* Open Tablespace              */
                                      /* Container Query              */
     entry (pointer,
            type sqluint32,           /* in: id tbs or SQLB_ALL       */
                                      /* TABLESPACES                  */
            type sqluint32 byaddr)    /* out:  output...the number of */
                                      /* containers for table space   */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgotcq');

 dcl sqlgftcq                         /* Fetch Tablespace             */
                                      /* Container Query              */
     entry (pointer,
            type sqluint32,           /* in:  max # entries to        */
                                      /* return in 'data'             */
            (*) type SQLB_TBSCONTQRY_DATA byaddr, /* out: array of    */
                                                  /* 'maxCont' entries*/
            type sqluint32 byaddr)    /* out: # data entries          */
                                      /* returned on this query       */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgftcq');

 dcl sqlgctcq                         /* Close Tablespace             */
                                      /* Container Query              */
     entry (pointer)
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgctcq');

 dcl sqlgtcq                          /* Tablespace Container Query   */
     entry (pointer,
            type sqluint32,           /* in: id a tbs or SQLB_ALL     */
                                      /* TABLESPACES                  */
            type sqluint32 byaddr,    /* out: # entries returned      */
            handle SQLB_TBSCONTQRY_DATA byaddr)
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgtcq');

 dcl sqlgstsc                         /* Set TableSpace Containers    */
     entry (pointer,
            type sqluint32,           /* in: processing options:      */
                                      /* SQLB_SET_CONT_xxx            */
            type sqluint32,           /* in: table space which is     */
                                      /* to be changed                */
            type sqluint32,           /* in:#containers in the        */
                                      /* list                         */
            handle SQLB_TBSCONTQRY_DATA) /* container                 */
                                         /* specifications            */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgstsc');

 dcl sqlggtss                         /* Get TableSpace Statistics    */
     entry (pointer,
            type sqluint32,
            type SQLB_TBS_STATS byaddr)
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlggtss');

 dcl sqlgauth                         /* Get Authorizations           */
     entry (pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgauth');

 dcl sqlgtbau                         /* Get table authorizations     */
     entry (fixed bin(16) unsigned,   /* table name length            */
            char(*) varz byaddr,      /* fully-qualified table name   */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgtbau');

 dcl sqldzcfg                         /* Manipulate the datalinks     */
                                      /* configuration file           */
     entry (fixed bin(16) unsigned,   /* Action field                 */
            pointer,                  /* SQLCA                        */
            type sqlint32 byaddr,     /* number of entries            */
            (*) type sqldz_serverinfo byaddr) /* list of fileservers  */
                                              /* and port numbers     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqldzcfg');


 /* SQL Return Codes in SQLCODE for UTILITY/CONFIGURATION Commands */

 %dcl #SQL_RC_OK char ext;
 %if #SQL_RC_OK = '' %then %do;
 %#SQL_RC_OK = 'Y';
 dcl SQL_RC_OK fixed bin (31) value(0);  /* everything is OK */
 %end;

 %dcl #SQL_RC_INVALID_SQLCA char ext;
 %if #SQL_RC_INVALID_SQLCA = '' %then %do;
 %#SQL_RC_INVALID_SQLCA = 'Y';
 dcl SQL_RC_INVALID_SQLCA fixed bin (31) value (-1); /* invalid sqlca */
 %end;

 /* ROLL FORWARD Return Codes - more in the 4900's              */

 dcl SQLU_RC_NOLFH                    fixed bin(31) value(-1258);
                                      /* Log Control file not        */
                                      /* found.                      */
 dcl SQLU_RC_IOELFH                   fixed bin(31) value(-1259);
                                      /* I/O Error accessing LFH.    */
 dcl SQLU_RC_RFNOTEN                  fixed bin(31) value(-1260);
                                      /* DB not enabled for Roll     */
                                      /* Fwd                         */
 dcl SQLU_RC_RFNOTP                   fixed bin(31) value(-1261);
                                      /* Roll Forward is not         */
                                      /* Pending                     */
 dcl SQLU_RC_BADPIT                   fixed bin(31) value(-1262);
                                      /* Bad Point in Time           */
                                      /* specified                   */
 dcl SQLU_RC_INVEXT                   fixed bin(31) value(-1263);
                                      /* Invalid Log Extent file     */
 dcl SQLU_RC_NOTEXT                   fixed bin(31) value(-1264);
                                      /* Log Extent file does not    */
                                      /* belong to DB                */
 dcl SQLU_RC_IVREXT                   fixed bin(31) value(-1265);
                                      /* Log extent file is          */
                                      /* incorrect version           */
 dcl SQLU_RC_PRTIME                   fixed bin(31) value(-1266);
                                      /* Time specified is before    */
                                      /* previous roll-forward time  */
 dcl SQLU_RC_UEXIT_ERR                fixed bin(31) value(-1268);
                                      /* User exit encountered an    */
                                      /* error (other than retry)    */
                                      /* while attempting to         */
                                      /* retrieve a log extent file  */
                                      /* for roll forward            */
 dcl SQLU_RC_RFINPRG                  fixed bin(31) value(-1269);
                                      /* Rollforward by tablespace   */
                                      /* in progress.                */
 dcl SQLU_RC_RCVIOERR                 fixed bin(31) value(1271);
                                      /* Roll forward complete but   */
                                      /* I/O errors encountered      */
 dcl SQLU_RC_RFSTOP                   fixed bin(31) value(-1272);
                                      /* Rollforward by tablespace   */
                                      /* has stopped.                */
 dcl SQLU_RC_MISSING_EXT              fixed bin(31) value(-1273);
                                      /* Missing log extent file.    */
 dcl SQLU_RC_INVTSP_STOPTIME          fixed bin(31) value(-1274);
                                      /* Invalid stop time for       */
                                      /* tablespace rollforward.     */
 dcl SQLU_INVRFR_STOPTIME             fixed bin(31) value(-1275);
                                      /* invalid stop time           */
                                      /* specified                   */
 dcl SQLU_INVRFR_STOP                 fixed bin(31) value(-1276);
                                      /* invalid time to issue a     */
                                      /* stop                        */
 dcl SQLUD_INACCESSABLE_CONTAINER     fixed bin(31) value(1277);
                                      /* Restore found one or more   */
                                      /* containers are              */
                                      /* inaccessable                */
 dcl SQLU_RC_TBSROLLBK                fixed bin(31) value(1278);
                                      /* Roll forward complete but   */
                                      /* rollback required           */
 dcl SQL_RC_RECREATE_INDEXES          fixed bin(31) value(1279);
                                      /* Restart complete but not    */
                                      /* all invalid  indexes were   */
                                      /* recreated                   */
 dcl SQLU_INVRFR_TBSPITTIME           fixed bin(31) value(-1280);
                                      /* invalid stop time           */
                                      /* specified for tablespace    */
                                      /* rollforward                 */

 dcl SQLF_RC_INV_CLIENT_COMM          fixed bin(31) value(-1290);
                                      /* invalid client comm.        */
                                      /* protocols                   */
 dcl SQLF_RC_INV_DIR_FIELD            fixed bin(31) value(-1296);
                                      /* invalid directory services  */
                                      /* field                       */

 dcl SQLCC_RC_UNKNOWN_HOST            fixed bin(31) value(-1336);
                                      /* hostname in node dir        */
                                      /* unknown                     */
 dcl SQLCC_RC_UNKNOWN_SERVICE         fixed bin(31) value(-1337);
                                      /* service name in node        */
                                      /* directory is unknown        */
 dcl SQLCC_RC_UNKNOWN_SYM_DEST_NAME   fixed bin(31) value(-1338);
                                      /* CPI-C symdestname is        */
                                      /* unknown                     */
 dcl SQLCC_RC_NNAME_NOTFOUND          fixed bin(31) value(-1341);
                                      /* wrkstn name (nname)         */

 dcl SQLCC_RC_NO_SOCKS_ENV_VAR        fixed bin(31) value(-1460);
                                      /* SOCKS env vars not found    */
 dcl SQLCC_RC_SOCKADDR_IN_USE         fixed bin(31) value(-5040);
                                      /* socket address in use       */
 dcl SQLCC_RC_COMM_SUPPORT_FAILED     fixed bin(31) value(-5042 );
                                      /* general failure in          */
                                      /* servercommunications        */
                                      /* support                     */

 dcl SQLF_RC_INV_DISCOVER_TYPE        fixed bin(31) value(-1480);
                                      /* invalid discover type       */
 dcl SQLF_RC_INV_DISCOVER_COMM        fixed bin(31) value(-1481);
                                      /* invalid discover comm       */

 dcl SQLF_WARNING_BUFFPAGE            fixed bin(31) value(1482);
                                      /* buffpage may be ignored     */

 /* GENERAL UTILITY Return Codes */

 dcl SQLU_BAD_DRIVE                   fixed bin(31) value(-2000);
                                      /* Invalid output drive        */
 dcl SQLU_USER_TERM                   fixed bin(31) value(-2001);
                                      /* Backup terminated by user   */
 dcl SQLU_NOT_LOCAL                   fixed bin(31) value(-2002);
                                      /* database not local          */
 dcl SQLU_DOS_ERROR                   fixed bin(31) value(-2003);
                                      /* base op system error        */
 dcl SQLU_SQL_ERROR                   fixed bin(31) value(-2004);
                                      /* SQL error occurred          */
 dcl SQLU_READ_ERROR                  fixed bin(31) value(-2005);
                                      /* read wrong # of bytes       */
 dcl SQLU_BUFF_TOO_SMALL              fixed bin(31) value(-2007);
                                      /* too few buffers for         */
                                      /* pagesize                    */
 dcl SQLU_INVALID_ACTION              fixed bin(31) value(-2008);
                                      /* call out of sequence        */
 dcl SQLU_INSUFF_MEMORY               fixed bin(31) value(-2009);
                                      /* insufficient memory         */
 dcl SQLU_STRD_ERROR                  fixed bin(31) value(-2010);
                                      /* error in Start Using        */
 dcl SQLU_STPD_ERROR                  fixed bin(31) value(-2011);
                                      /* error in Stop Using         */
 dcl SQLU_DIR_ERROR                   fixed bin(31) value(-2013);
                                      /* directory Scan error        */
 dcl SQLU_INVALID_DBNAME              fixed bin(31) value(-2015);
                                      /* invalid database name       */
 dcl SQLU_INVALID_PATH                fixed bin(31) value(-2016);
                                      /* invalid path in             */
                                      /* environment                 */
 dcl SQLU_START_SESSION               fixed bin(31) value(-2017);
                                      /* Start Session failed        */
 dcl SQLU_INVALID_AUTHS               fixed bin(31) value(-2018);
                                      /* invalid authorizations      */
 dcl SQLU_AUTOBIND                    fixed bin(31) value(-2019);
                                      /* invalid authorizations      */
 dcl SQLU_TIMESTAMP                   fixed bin(31) value(-2020);
                                      /* conflict after auto-bind    */
                                      /* control file                */
 dcl SQLU_IO_ERROR_LFH                fixed bin(31) value(-2023);
                                      /* I/O error in accessing the  */
                                      /* log                         */
 dcl SQLU_IO_ERROR_BRG                fixed bin(31) value(-2024);
                                      /* I/O error in accessing the  */
                                      /* Backup/Restore flag file    */
 dcl SQLU_IO_ERROR                    fixed bin(31) value(-2025);
                                      /* System I/O error occurred   */
 dcl SQLU_PAUSE_ERROR                 fixed bin(31) value(-2026);
                                      /* error in PAUSE the started  */
                                      /* DB                          */
 dcl SQLU_CONT_ERROR                  fixed bin(31) value(-2027);
                                      /* error in CONTINUE the       */
                                      /* stoped DB                   */
 dcl SQLU_INT_INST_ERR                fixed bin(31) value(-2028);
                                      /* interruption installing     */
                                      /* error                       */
 dcl SQLU_UEXIT_RC                    fixed bin(31) value(-2029);
                                      /* user exit returned non      */
                                      /* zero rc                     */

 dcl SQLU_FIRST_TAPE_WARNING          fixed bin(31) value(2031);
                                      /* warning to mount tape       */
 dcl SQLU_INVALID_PARM                fixed bin(31) value(-2032);
                                      /* parameter to utility        */
                                      /* incorrect                   */
 dcl SQLU_TSM_ERROR                   fixed bin(31) value(-2033);
                                      /* TSM reported error          */
 dcl SQLU_INVALID_PARM_ADDRESS        fixed bin(31) value(-2034);
                                      /* address of parameter        */
                                      /* incorrect                   */
 dcl SQLU_NOINT_ERROR                 fixed bin(31) value(-2035);
                                      /* error during nointerrupt    */
                                      /* action                      */
 dcl SQLU_PATH_ERROR                  fixed bin(31) value(-2036);
                                      /* directory does not exist    */
 dcl SQLU_LOAD_TSM_ERROR              fixed bin(31) value(-2037);
                                      /* unable to load TSM         */
 dcl SQLU_DBSYSTEM_ERROR              fixed bin(31) value(-2038);
                                      /* database system error       */
 dcl SQLU_NO_APP_ERROR                fixed bin(31) value(-2039);
                                      /* application terminated      */
 dcl SQLU_ALIAS_ERROR                 fixed bin(31) value(-2040);
                                      /* alias parameter error       */
 dcl SQLU_BUFFSIZE_ERROR              fixed bin(31) value(-2041);
                                      /* buff_size parameter error   */
 dcl SQLU_IO_WARNING                  fixed bin(31) value(2042);
                                      /* I/O error during change     */
                                      /* tape                        */
 dcl SQLU_SPAWN_EDU_ERROR             fixed bin(31) value(-2043);
                                      /* Spawn child process error   */
 dcl SQLU_QUEUE_ERROR                 fixed bin(31) value(-2044);
                                      /* Message queue error         */
 dcl SQLU_OBJECT_ACCESS_ERROR         fixed bin(31) value(-2048);
                                      /* Object access error         */
 dcl SQLU_CORRUPT_IMAGE_ERROR         fixed bin(31) value(-2054);
                                      /* Bad backup image            */
 dcl SQLU_MEMORY_ACCESS_ERROR         fixed bin(31) value(-2055);
                                      /* Unable to access memory     */
                                      /* set                         */
 dcl SQLU_UNKNOWN_MEDIA_TYPE          fixed bin(31) value(-2056);
                                      /* device path point to        */
                                      /* unknown device type         */
 dcl SQLU_MEDIA_CANNOT_BE_SHARED      fixed bin(31) value(-2057);
                                      /* device or file already      */
                                      /* opened by other process     */
 dcl SQLU_END_OF_MEDIA_WARNING        fixed bin(31) value(2058);
                                      /* End of tape or file         */
                                      /* encountered during read     */
 dcl SQLU_DEVICE_FULL_WARNING         fixed bin(31) value(2059);
                                      /* Device is full during       */
                                      /* write                       */
 dcl SQLU_MEDIA_EMPTY_WARNING         fixed bin(31) value(2060);
                                      /* Empty device or file not    */
                                      /* found during read           */
 dcl SQLU_MEDIA_ACCESS_DENIED         fixed bin(31) value(-2061);
                                      /* Access denied due to        */
                                      /* authority level             */
 dcl SQLU_MEDIA_ACCESS_ERROR          fixed bin(31) value(-2062);
                                      /* Access error                */
 dcl SQLU_TERM_LAST_MEDIA_WARNING     fixed bin(31) value(2065);
                                      /* Terminate last Media IO.    */
 dcl SQLU_BAD_TABLESPACE_NAME         fixed bin(31) value(-2066);
                                      /* Invalid tablespace name     */
 dcl SQLU_NO_MEDIA_HEADER             fixed bin(31) value(-2068);
                                      /* Could not locate media      */
                                      /* header in backup or copy    */
                                      /* image                       */
 dcl SQLU_INCORRECT_DBALIAS           fixed bin(31) value(-2069);
                                      /* Mismatch alias name from    */
                                      /* media                       */
 dcl SQLU_INCORRECT_TIMESTAMP         fixed bin(31) value(-2070);
                                      /* Mismatch timestamp read     */
                                      /* from media                  */

 dcl SQLU_SHR_LIB_ACCESS_ERROR        fixed bin(31) value(-2071);
                                      /* Shared library access       */
                                      /* error                       */
 dcl SQLU_BIND_SHR_LIB_ERROR          fixed bin(31) value(-2072);
                                      /* Bind shared library error   */

 dcl SQLU_DATALINK_INTERNAL_ERROR     fixed bin(31) value(-2073);
                                      /* Error at DB2 or DLFM        */
 dcl SQLU_DATALINK_DB_ERROR           fixed bin(31) value(-2074);
                                      /* Error at DB2 end            */
 dcl SQLU_DATALINK_DLFM_ERROR         fixed bin(31) value(-2075);
                                      /* Error at DLFM end           */
 dcl SQLU_REGISTER_DLFM_WARNING       fixed bin(31) value(2076);
                                      /* Unable to register DLM      */
                                      /* Server                      */
 dcl SQLU_RECONCILE_DLM_PEND_WARN     fixed bin(31) value(2077);
                                      /* DLMs down during reconcile  */
 dcl SQLUD_TSP_RESTORE_OUT_OF_SEQ     fixed bin(31) value(-2154);
                                      /* Out of sequence tablespace  */
                                      /* restore                     */
 /* ARCHIVE LOG Return Codes */
 dcl SQLU_ARCHIVELOG_NONRECOV_DB      fixed bin(31) value(-2417);
                                      /* Database is not in          */
                                      /* recoverable mode.           */

 /* HISTORY TABLE Return Codes */
 dcl SQLUH_SCAN_UPDATED_WARNING       fixed bin(31) value(2155);
                                      /* Changes were made to        */
                                      /* historyfile during update.  */
 dcl SQLUH_MAX_SCANS_EXCEEDED         fixed bin(31) value(-2157);
                                      /* MAX # open scans exceeded   */
 dcl SQLUH_FILE_REPLACED_WARNING      fixed bin(31) value(2160);
                                      /* History file fixed          */
 dcl SQLUH_DAMAGED_FILE               fixed bin(31) value(-2161);
                                      /* History file is unfixable   */
 dcl SQLUH_SQLUHINFO_VARS_WARNING     fixed bin(31) value(2165);
                                      /* number of tablespaces       */
                                      /* changed                     */
 dcl SQLUH_DUPLICATE_ENTRY            fixed bin(31) value(-2170);
                                      /* Duplicate timestamp found   */
 dcl SQLUH_ENTRY_NOT_FOUND            fixed bin(31) value(-2171);
                                      /* Entry not found on update   */
 dcl SQLU_ACCESS_HIST_WARNING         fixed bin(31) value(2172);
                                      /* Access history file         */
                                      /* warning                     */

 /* PRUNE command return codes */
 dcl SQLU_PRUNE_LOG_NOT_ALLOWED       fixed bin(31) value(-1206);
                                      /* PRUNE LOGFILE not allowed   */
                                      /* in this database            */
                                      /* configuration               */

 /* REORGANIZE TABLE Return Codes */
 dcl SQLUR_INVALID_AUTHID             fixed bin(31) value(-2200);
                                      /* invalid authid on index     */
                                      /* name                        */
 dcl SQLUR_INVALID_TABLENAME          fixed bin(31) value(-2203);
                                      /* invalid tablename syntax    */
 dcl SQLUR_INVALID_INDEXNAME          fixed bin(31) value(-2204);
                                      /* invalid indexname syntax    */
 dcl SQLUR_INDEX_NOT_FOUND            fixed bin(31) value(-2205);
                                      /* index doesn't exist         */
 dcl SQLUR_INVALID_FILEPATH           fixed bin(31) value(-2207);
                                      /* invalid filepath pointer    */
 dcl SQLUR_INVALID_TABLESPACE         fixed bin(31) value(-2208);
                                      /* invalid tablespace pointer  */
 dcl SQLUR_TABLE_NOT_FOUND            fixed bin(31) value(-2211);
                                      /* table does not exist        */
 dcl SQLUR_VIEW_ERROR                 fixed bin(31) value(-2212);
                                      /* cannot reorg a view         */
 dcl SQLUR_INCORRECT_TABLESPACE       fixed bin(31) value(-2213);
                                      /* Incorrect tablespace type   */
 dcl SQLUR_INSAUTH                    fixed bin(31) value(-2214);
                                      /* insuffic authority          */
 dcl SQLUR_SQLERR_COMPREV             fixed bin(31) value(-2215);
                                      /* SQL error commiting prev    */
                                      /* work                        */
 dcl SQLUR_SQLERR_REORG               fixed bin(31) value(-2216);
                                      /* SQL error during            */
                                      /* reorganization              */
 dcl SQLUR_INV_TEMP                   fixed bin(31) value(-2217);
                                      /* Invalid temp tablespace     */
                                      /* for reorg table             */

 /* RUN STATISTICS Return Codes */
 dcl SQLUS_INVALID_AUTHID             fixed bin(31) value(-2300);
                                      /* invalid authid              */
 dcl SQLUS_INVALID_TABLE_NAME         fixed bin(31) value(-2301);
                                      /* invalid table name          */
 dcl SQLUS_INVALID_INDEX_LIST         fixed bin(31) value(-2302);
                                      /* invalid index pointer       */
 dcl SQLUS_INVALID_STATS_OPT          fixed bin(31) value(-2303);
                                      /* statsopt parameter invalid  */
 dcl SQLUS_INVALID_SHARE_LEV          fixed bin(31) value(-2304);
                                      /* sharelev parameter invalid  */
 dcl SQLUS_VIEWS_NOT_ALLOWED          fixed bin(31) value(-2305);
                                      /* table specified is a view   */
 dcl SQLUS_OBJ_DOES_NOT_EXIST         fixed bin(31) value(-2306);
                                      /* object doesn't exist        */
 dcl SQLUS_SYS_TABLE_NOT_ALLOWED      fixed bin(31) value(-2307);
                                      /* system table not allowed    */
 dcl SQLUS_INVALID_INDEX_AUTHID       fixed bin(31) value(-2308);
                                      /* index authid invalid        */
 dcl SQLUS_INVALID_INDEX_NAME         fixed bin(31) value(-2309);
                                      /* index name invalid          */
 dcl SQLUS_ERROR_STAT                 fixed bin(31) value(-2310);
                                      /* error running statistics    */
 dcl SQLUS_INSAUTH                    fixed bin(31) value(-2311);
                                      /* insuffic authority for      */
                                      /* runstats                    */
 dcl SQLUS_STATS_HEAP_TOO_SMALL       fixed bin(31) value(-2312);
                                      /* statistics heap is too      */
                                      /* small                       */
 dcl SQLUS_PARTIAL_SUCCESS            fixed bin(31) value(2313);
                                      /* incomplete statistics       */
                                      /* collected                   */
 dcl SQLUS_INCONSISTENT_STATS         fixed bin(31) value(2314);
                                      /* Statistics are in an        */
                                      /* inconsistent state          */

 dcl SQLUD_RST_NOROLLFWD              fixed bin(31) value(3);
                                      /* Rst DB turn off roll fwd    */
                                      /* pend, old OS/2 API only     */

 /* Old OS/2 Backup calling action values */
 dcl SQLU_BACK_ALL                    fixed bin(15) value('0'xn);
                                      /* backup entire database      */
 dcl SQLU_BACK_CHANGES                fixed bin(15) value('1'xn);
                                      /* backup changes only         */
 dcl SQLU_BACK_QUIESCE                fixed bin(15) value('800'xn);
                                      /* quiesce during backup       */
 dcl SQLU_NEW_UOW_RETURN_ERROR        fixed bin(15) value('400'xn);
                                      /* New UOW return error immed  */

 dcl SQLU_DBM_ERROR                   fixed bin(31) value(-2014);
                                      /* pause or Continue or        */
                                      /* migration error             */
 dcl SQLU_WRONG_DISKETTE              fixed bin(31) value(-2021);
                                      /* Wrong diskette inserted     */
 dcl SQLU_DISK_FULL                   fixed bin(31) value(-2030);
                                      /* a specific fixed disk is    */
                                      /* full                        */

 dcl SQLUB_BAD_TYPE                   fixed bin(31) value(-2400);
                                      /* invalid type                */
 dcl SQLUB_TYPE_MUSTBE_DB             fixed bin(31) value(-2401);
                                      /* type must be database       */
 dcl SQLUB_USER_NOT_AUTH              fixed bin(31) value(-2403);
                                      /* insufficient auth for       */
                                      /* backup                      */
 dcl SQLUB_MEDIA_FULL                 fixed bin(31) value(-2404);
                                      /* The target disk/diskette    */
                                      /* is full                     */
 dcl SQLUB_BR_INPROG                  fixed bin(31) value(-2407);
                                      /* The Backup can't run        */
                                      /* because B/R flag file       */
                                      /* existed and read I/O error  */
                                      /* occurred                    */
 dcl SQLUB_DEL_BRG_ERR                fixed bin(31) value(2408);
                                      /* Backup process is           */
                                      /* successful, but unable to   */
                                      /* delete BRG file             */
 dcl SQLUB_WRONG_BASE_IMAGE           fixed bin(31) value(-2409);
                                      /* 'change-only' is only       */
                                      /* applied to the most recent  */
                                      /* base image                  */
 dcl SQLUB_NO_CHG_NSD                 fixed bin(31) value(-2410);
                                      /* change only, backup not     */
                                      /* allowed to user exit        */
 dcl SQLUB_IO_ERROR                   fixed bin(31) value(-2411);
                                      /* I/O error during backup     */
 dcl SQLUD_BIND_WARNING               fixed bin(31) value(2507);
                                      /* Restore utility not bound   */
 dcl SQLUD_DROP_ERROR                 fixed bin(31) value(-2511);
                                      /* error dropping database     */

 /* BACKUP Return Codes */
 dcl SQLUB_RST_IN_PROG                fixed bin(31) value(-2405);
                                      /* The backup can't run        */
                                      /* because the Restore is in   */
                                      /* progress                    */
 dcl SQLUB_ROLLFWD_PENDING            fixed bin(31) value(-2406);
                                      /* The Backup can't run        */
                                      /* because roll forward is     */
                                      /* pending                     */
 dcl SQLUB_CORRUPT_PAGE               fixed bin(31) value(-2412);
                                      /* data page encountered       */
                                      /* during backup is corrupted  */
 dcl SQLUB_LOGRETAIN_ONLINE_ERROR     fixed bin(31) value(-2413);
                                      /* retain req'd for online     */
                                      /* backup                      */
 dcl SQLUB_INSUF_SPACE_WARNING        fixed bin(31) value(2414);
                                      /* no space for control info   */
 dcl SQLUB_NEXT_TAPE_WARNING          fixed bin(31) value(2416);
                                      /* tape full, mount another    */
 dcl SQLUB_DBASE_DOES_NOT_EXIST       fixed bin(31) value(-2418);
                                      /* database does not exist     */
 dcl SQLUB_DISK_FULL_ERROR            fixed bin(31) value(-2419);
                                      /* disk full during backup     */

 dcl SQLUB_FIRST_TAPE_ERROR           fixed bin(31) value(-2420);
                                      /* first tape cannot hold      */
                                      /* header                      */
 dcl SQLUB_LOGRETAIN_TBS_ERROR        fixed bin(31) value(-2421);
                                      /* retain req'd for tbs        */
                                      /* backup                      */
 dcl SQLUB_DB_UNSUPPORTED_BY_API      fixed bin(31) value(-2422);
                                      /* the backup API used does    */
                                      /* not support this format of  */
                                      /* database                    */
 dcl SQLUB_MISSING_INDEX              fixed bin(31) value(-2423);
                                      /* A required index is         */
                                      /* missing during an offline   */
                                      /* backup                      */
 dcl SQLUB_COPY_IN_PROGRESS           fixed bin(31) value(-2424);
                                      /* Copy operation at DLFMend   */
                                      /* is still in progress        */
 dcl SQLUB_TRACKMOD_INCR_ERROR        fixed bin(31) value(-2426);
                                      /* TRACKMOD req'd for          */
                                      /* incremental backup          */

 /* RESTORE Return Codes */
 dcl SQLUD_CANNOT_RESTORE             fixed bin(31) value(-2501);
                                      /* can't read restored         */
                                      /* database                    */
 dcl SQLUD_DISKETTE_ERROR             fixed bin(31) value(-2502);
                                      /* error reading backup        */
                                      /* diskette                    */
 dcl SQLUD_WRONG_DATABASE             fixed bin(31) value(-2503);
                                      /* wrong backup diskette       */
 dcl SQLUD_DISKETTE_PROMPT            fixed bin(31) value(2504);
                                      /* prompt for backup diskette  */
 dcl SQLUD_DROP_WARNING               fixed bin(31) value(2505);
                                      /* warn that drop will be      */
                                      /* done                        */
 dcl SQLUD_DATABASE_WARNING           fixed bin(31) value(2506);
                                      /* Restore worked, but not     */
                                      /* cleanup                     */
 dcl SQLUD_INVALID_TIMESTAMP          fixed bin(31) value(-2508);
                                      /* timestamp incorrectly       */
                                      /* specified                   */
 dcl SQLUD_INVALID_DBDRV              fixed bin(31) value(-2509);
                                      /* invalid database drive      */
 dcl SQLUD_SEM_ERROR                  fixed bin(31) value(-2510);
                                      /* semaphore error             */
 dcl SQLUD_CREATE_ERROR               fixed bin(31) value(-2512);
                                      /* error creating database     */
 dcl SQLUD_REN_ERROR                  fixed bin(31) value(-2513);
                                      /* error renaming database     */
 dcl SQLUD_BAD_VERSION                fixed bin(31) value(-2514);
                                      /* restored database wrong     */
                                      /* version                     */
 dcl SQLUD_INSAUTH                    fixed bin(31) value(-2515);
                                      /* insuffic authority to       */
                                      /* restore                     */
 dcl SQLUD_DBACT                      fixed bin(31) value(-2516);
                                      /* a database active           */
 dcl SQLUD_MIGRATED                   fixed bin(31) value(2517);
                                      /* database migrated           */
 dcl SQLUD_RST_DBCONG_ERR             fixed bin(31) value(-2518);
                                      /* error in restoring DB       */
                                      /* config.                     */
 dcl SQLUD_MIGRATE_ERROR              fixed bin(31) value(-2519);
                                      /* error in migrating the      */
                                      /* database                    */
 dcl SQLUD_DBCON_WARN                 fixed bin(31) value(2520);
                                      /* DBCON file is restored      */
                                      /* using the backup version    */
 dcl SQLUD_DEL_BRG_ERR                fixed bin(31) value(2521);
                                      /* Restore process is          */
                                      /* successful, but unable to   */
                                      /* delete BRG file             */
 dcl SQLUD_TOO_MANY_BACKUP_FILES      fixed bin(31) value(-2522);
                                      /* more than one file match    */
 dcl SQLUD_MEDIA_CORRUPT              fixed bin(31) value(-2530);
                                      /* corrupted backup image      */
 dcl SQLUD_WRGIMAGE_ERROR             fixed bin(31) value(-2532);
                                      /* image of wrong database     */
 dcl SQLUD_WRGIMAGE_WARNING           fixed bin(31) value(2533);
                                      /* image of wrong database     */
 dcl SQLUD_WRONGSEQ_WARNING           fixed bin(31) value(2536);
                                      /* seq number of backup        */
                                      /* incorrect                   */
 dcl SQLUD_MUST_ROLLFWD               fixed bin(31) value(-2537);
                                      /* roll forward required       */
 dcl SQLUD_UNEXPECT_EOF_ERROR         fixed bin(31) value(-2538);
                                      /* end of file reached         */
                                      /* unexpectedly                */
 dcl SQLUD_NOINT_WARNING              fixed bin(31) value(2540);
                                      /* noint type restore had      */
                                      /* warning                     */
 dcl SQLUD_CLOSE_MEDIA_WARNING        fixed bin(31) value(2541);
                                      /* unable to close backup      */
                                      /* file                        */
 dcl SQLUD_NO_BACKUP_FILE_MATCH       fixed bin(31) value(-2542);
                                      /* no backup file match found  */
 dcl SQLUD_DB_DIR_ERROR               fixed bin(31) value(-2543);
                                      /* invalid directory for new   */
                                      /* dbase                       */
 dcl SQLUD_DISK_FULL_ERROR            fixed bin(31) value(-2544);
                                      /* disk full during restore    */
 dcl SQLUD_NOT_FIRST_IMAGE            fixed bin(31) value(-2546);
                                      /* restore requires first      */
                                      /* image first                 */
 dcl SQLUD_OLD_ONLINE_IMAGE_ERROR     fixed bin(31) value(-2547);
                                      /* cannot restore online       */
                                      /* backup from a previous      */
                                      /* release                     */
 dcl SQLUD_IMAGE_DB_CP_MISMATCH       fixed bin(31) value(-2548);
                                      /* backup has diff codepage    */
                                      /* from disk DB                */
 dcl SQLUD_ALL_TBLSPACES_SKIPPED      fixed bin(31) value(-2549);
                                      /* all tablespaces skipped     */
                                      /* during restore              */
 dcl SQLUD_WRONG_NODE                 fixed bin(31) value(-2550);
                                      /* backup from a different     */
                                      /* node                        */
 dcl SQLUD_WRONG_CAT_NODE             fixed bin(31) value(-2551);
                                      /* backup of a database with   */
                                      /* a different catalog node    */
 dcl SQLUD_REPORTFILE_ERROR           fixed bin(31) value(-2552);
                                      /* Report filename length      */
                                      /* >255                        */
 dcl SQLU_RECONCILE_GENERIC_ERROR     fixed bin(31) value(-2554);
                                      /* Reconcile Genereic Error    */

 /********************************************************************/
 /**  the meaning of the following 8 warnings :                      */
 /**        A -> database alias                                      */
 /**        N -> database name                                       */
 /**        S -> database seed                                       */
 /**        0 -> target db value DOES NOT matches backup image value */
 /**        1 -> target db value matches backup image value          */
 /**                                                                 */
 /********************************************************************/
 dcl SQLUD_A0N0S0_WARNING             fixed bin(31) value(2529);
 dcl SQLUD_A0N0S1_WARNING             fixed bin(31) value(2528);
 dcl SQLUD_A0N1S0_WARNING             fixed bin(31) value(2525);
 dcl SQLUD_A0N1S1_WARNING             fixed bin(31) value(2524);
 dcl SQLUD_A1N0S0_WARNING             fixed bin(31) value(2527);
 dcl SQLUD_A1N0S1_WARNING             fixed bin(31) value(2526);
 dcl SQLUD_A1N1S0_WARNING             fixed bin(31) value(2523);
 dcl SQLUD_A1N1S1_WARNING             fixed bin(31) value(2539);
 dcl SQLUD_TBLSP_TO_OTHER_DB          fixed bin(31) value(-2560);
                                      /* restore tablespace to a     */
                                      /* non original database.      */
 dcl SQLUD_TBLSP_TO_NEW_DB            fixed bin(31) value(2561);
                                      /* restore tablespace to a     */
                                      /* new data base.              */
 dcl SQLUD_TBLSP_FR_FULL_BKUP         fixed bin(31) value(-2562);
                                      /* restore tablespace from     */
                                      /* full backup image.          */
 dcl SQLUD_NOTALL_TBS_RESTORED        fixed bin(31) value(2563);
                                      /* Not all tablespases were    */
                                      /* restored                    */
 dcl SQLUD_DB_MISMATCH                fixed bin(31) value(2565);
                                      /* Mismatch between restore    */
                                      /* image and database          */
                                      /* restored to                 */
 dcl SQLUD_TBS_DATALINK_PENDING       fixed bin(31) value(2566);
                                      /* Tables in tablespaces are   */
                                      /* in DRP/RNP state            */
 dcl SQLUD_WRONG_PLATFORM             fixed bin(31) value(-2570);
                                      /* Image is being restored on  */
                                      /* the wrong platform          */
 dcl SQLU_HEADER_WRITE_ERR            fixed bin(31) value(2045);
                                      /* Problem on first media      */
                                      /* write                       */
 dcl SQLUD_INCR_HISTORY_ERROR         fixed bin(31) value(-2571);
                                      /* Complete incremental        */
                                      /* history not available       */
 dcl SQLUD_INCR_RESTORE_OUT_OF_SEQ    fixed bin(31) value(-2572);
                                      /* Incremental restore out of  */
                                      /* sequence                    */
 dcl SQLUD_NON_INCR_RESTORE           fixed bin(31) value(-2573);
                                      /* Incremental image being     */
                                      /* restored non-incrementally  */
 dcl SQLUD_INCR_TOO_NEW               fixed bin(31) value(-2574);
                                      /* Incremental image being     */
                                      /* restored is newer than      */
                                      /* target image                */
 dcl SQLUD_INCR_TOO_OLD               fixed bin(31) value(-2575);
                                      /* Incremental image being     */
                                      /* restored is older than      */
                                      /* previous image              */
 dcl SQLUD_MISSING_INCR_CLAUSE        fixed bin(31) value(-2576);
                                      /* Incremental restore is      */
                                      /* missing "incremental"       */
                                      /* clause                      */

 /* sqlgadau and sqluadau Return codes */
 dcl SQLUA_BAD_INPUT_PARAMETER        fixed bin(31) value(-2600);
                                      /* sql_authorizations parm is  */
                                      /* bad                         */

 /* Asynchronous Read Log SQLCODES */
 dcl SQLU_RLOG_INVALID_PARM           fixed bin(31) value(-2650);
                                      /* invalid parameter(s)        */
                                      /* detected                    */
 dcl SQLU_RLOG_DB_NOT_READABLE        fixed bin(31) value(-2651);
                                      /* database has circular logs  */
 dcl SQLU_RLOG_INSUFF_MEMORY          fixed bin(31) value(-2652);
                                      /* insufficient memory for     */
                                      /* internal buffer             */
 dcl SQLU_RLOG_LSNS_REUSED            fixed bin(31) value(2653);
                                      /* log sequence numbers        */
                                      /* reused                      */
 dcl SQLU_RLOG_READ_TO_CURRENT        fixed bin(31) value(2654);
                                      /* read to end of database     */
                                      /* log                         */
 dcl SQLU_RLOG_EXTDB_INCORRECT        fixed bin(31) value(-2655);
                                      /* log extent not for this     */
                                      /* database                    */
 dcl SQLU_RLOG_INVALID_EXTENT         fixed bin(31) value(-2656);
                                      /* invalid extent encountered  */
 dcl SQLU_RLOG_EXTENT_REQUIRED        fixed bin(31) value(-2657);
                                      /* log reader requires an      */
                                      /* extent not in the log path  */

 /* DB2SPLIT Return codes                                            */
 dcl SQLUSP_CMD_LINE_OPT_ERR          fixed bin(31) value(-2701);
                                      /* invalid command line        */
                                      /* options                     */
 dcl SQLUSP_OPEN_CFG_FILE_ERR         fixed bin(31) value(-2702);
                                      /* fail to open config file    */
 dcl SQLUSP_OPEN_LOG_FILE_ERR         fixed bin(31) value(-2703);
                                      /* fail to open log file       */
 dcl SQLUSP_OPEN_IN_DATA_FILE_ERR     fixed bin(31) value(-2704);
                                      /* fail to open input data     */
                                      /* file                        */
 dcl SQLUSP_OPEN_INPUT_MAP_FILE_ERR   fixed bin(31) value(-2705);
                                      /* fail to open input          */
                                      /* partition map file          */
 dcl SQLUSP_OPEN_OUTMAP_FILE_ERR      fixed bin(31) value(-2706);
                                      /* fail to open output         */
                                      /* partition map file          */
 dcl SQLUSP_OPEN_DIST_FILE_ERR        fixed bin(31) value(-2707);
                                      /* fail to open distribution   */
                                      /* file                        */
 dcl SQLUSP_OPEN_OUTDATA_FILE_ERR     fixed bin(31) value(-2708);
                                      /* fail to open output data    */
                                      /* file                        */
 dcl SQLUSP_CFG_SYNTAX_ERR            fixed bin(31) value(-2709);
                                      /* syntax error in config      */
                                      /* file                        */
 dcl SQLUSP_INVALID_CFG_KEYWORD       fixed bin(31) value(-2710);
                                      /* invalid keyword in config   */
                                      /* file                        */
 dcl SQLUSP_INVALID_COL_DELIMITER     fixed bin(31) value(-2711);
                                      /* column delimiter can't be   */
                                      /* a blank                     */
 dcl SQLUSP_INVALID_STR_DELIMITER     fixed bin(31) value(-2712);
                                      /* string delimiter can't be   */
                                      /* a period                    */
 dcl SQLUSP_INVALID_RUNTYPE           fixed bin(31) value(-2713);
                                      /* invalid run type in config  */
                                      /* file                        */
 dcl SQLUSP_INVALID_MSG_LEVEL         fixed bin(31) value(-2714);
                                      /* invalid Message Level in    */
                                      /* config file                 */
 dcl SQLUSP_INVALID_CHK_LEVEL         fixed bin(31) value(-2715);
                                      /* invalid Check Level in      */
                                      /* config file                 */
 dcl SQLUSP_INVALID_REC_LEN           fixed bin(31) value(-2716);
                                      /* record length out of range  */
 dcl SQLUSP_INVALID_NODE              fixed bin(31) value(-2717);
                                      /* invalid node specification  */
 dcl SQLUSP_INVALID_OUTPUTNODE        fixed bin(31) value(-2718);
                                      /* invalid output node         */
                                      /* specification               */
 dcl SQLUSP_INVALID_OUTPUTTYPE        fixed bin(31) value(-2719);
                                      /* invalid output type         */
 dcl SQLUSP_TOO_MANY_PTITN_KEYS       fixed bin(31) value(-2720);
                                      /* too many partitioning keys  */
 dcl SQLUSP_INVALID_PTITN_KEYS        fixed bin(31) value(-2721);
                                      /* invalid partition key       */
                                      /* specification               */
 dcl SQLUSP_INVALID_LOG_FILE          fixed bin(31) value(-2722);
                                      /* invalid log file            */
                                      /* specification               */
 dcl SQLUSP_INVALID_TRACE             fixed bin(31) value(-2723);
                                      /* invalid trace               */
                                      /* specification               */
 dcl SQLUSP_NODE_ERR                  fixed bin(31) value(-2724);
                                      /* specify one and only one:   */
                                      /* MAPFILI or NODE             */
 dcl SQLUSP_NO_OUTMAP                 fixed bin(31) value(-2725);
                                      /* Output partition map is     */
                                      /* needed                      */
 dcl SQLUSP_NO_PTITN_KEY              fixed bin(31) value(-2726);
                                      /* no partitioning key         */
                                      /* defined                     */
 dcl SQLUSP_KEY_OUT_RANGE             fixed bin(31) value(-2727);
                                      /* key exceeds record length   */
 dcl SQLUSP_NODE_NOT_EXISTED          fixed bin(31) value(-2728);
                                      /* output node list is not a   */
                                      /* subset of node list         */
 dcl SQLUSP_INPUT_MAP_ERR             fixed bin(31) value(-2729);
                                      /* invalid data entry in       */
                                      /* input map                   */
 dcl SQLUSP_WRITE_HEAD_ERR            fixed bin(31) value(-2730);
                                      /* error writing header of     */
                                      /* out data file               */
 dcl SQLUSP_DATA_READ_ERR             fixed bin(31) value(-2731);
                                      /* error processing input      */
                                      /* data file                   */
 dcl SQLUSP_DATA_BIN_ERR              fixed bin(31) value(-2732);
                                      /* binary data if VMMVS        */
 dcl SQLUSP_NO_RUNTYPE                fixed bin(31) value(-2733);
                                      /* run type not specified      */
 dcl SQLUSP_32KLIMIT_DEF_ERR          fixed bin(31) value(-2734);
                                      /* 32kLimit definition error   */
 dcl SQLUSP_DISCARD_REC_WARN          fixed bin(31) value(2735);
                                      /* discard empty record        */
 dcl SQLUSP_GRPI_ERR                  fixed bin(31) value(-2736);
                                      /* error from sqlugrpi or      */
                                      /* sqlugrpn                    */
 dcl SQLUSP_DATA_WRITE_ERR            fixed bin(31) value(-2737);
                                      /* error writing data file     */
 dcl SQLUSP_DATA_WRITE_WARN           fixed bin(31) value(2738);
                                      /* data is truncated in        */
                                      /* writing                     */
 dcl SQLUSP_BIN_NO_RECLEN             fixed bin(31) value(-2739);
                                      /* reclen must be defined for  */
                                      /* BIN                         */
 dcl SQLUSP_FLOAT_NOT_ALLOWED         fixed bin(31) value(-2740);
                                      /* FLOAT is not supported for  */
                                      /* DEL/ASC                     */
 dcl SQLUSP_FILETYPE_DEF_ERR          fixed bin(31) value(-2741);
                                      /* invalid file type           */
 dcl SQLUSP_DECIMAL_LEN_NOT_MATCH     fixed bin(31) value(-2742);
                                      /* decimal len not match its   */
                                      /* precision                   */
 dcl SQLUSP_DATA_LEN_NOT_MATCH        fixed bin(31) value(-2743);
                                      /* len not match for binary    */
                                      /* type data                   */
 dcl SQLUSP_ILLEGAL_FILENAME          fixed bin(31) value(-2744);
                                      /* illegal filename in cfg     */
                                      /* file                        */
 dcl SQLUSP_NEWLINE_DEF_ERR           fixed bin(31) value(-2745);
                                      /* Invalid NEWLINE flag in     */
                                      /* cfg file                    */
 dcl SQLUSP_INCOMPLETE_RECORD         fixed bin(31) value(-2746);
                                      /* Incomplete record in input  */
                                      /* data file                   */
 dcl SQLUSP_RECORD_TOO_LONG           fixed bin(31) value(-2747);
                                      /* ASC record must be no       */
                                      /* longer than 32K             */
 dcl SQLUSP_RECORD_TOO_SHORT          fixed bin(31) value(-2748);
                                      /* ASC record not long enough  */
 dcl SQLUSP_KEY_NOT_IN_32K            fixed bin(31) value(-2749);
                                      /* partition key not in the    */
                                      /* first 32k bytes of the      */
                                      /* record.                     */
 dcl SQLUSP_CFG_LINE_TOO_LONG         fixed bin(31) value(-2750);
                                      /* line too long in cfg file   */
 dcl SQLUSP_REC_LEN_ERR               fixed bin(31) value(-2751);
                                      /* expected reclen not         */
                                      /* matching actual reclen      */
 dcl SQLUSP_INVALID_CODEPAGE          fixed bin(31) value(-2752);
                                      /* invalid codepage            */
                                      /* specification               */
 dcl SQLUSP_APP_CODEPAGE_ERR          fixed bin(31) value(-2753);
                                      /* failed to get application   */
                                      /* CP                          */
 dcl SQLUSP_CODEPAGE_NOTABLE          fixed bin(31) value(-2754);
                                      /* codepages not convertable   */
 dcl SQLUSP_DELIMITER_ERROR           fixed bin(31) value(-2755);
                                      /* codepage-related delimiter  */
                                      /* error                       */
 dcl SQLUSP_CP_DATA_TO_DB             fixed bin(31) value(-2756);
                                      /* error converting data to    */
                                      /* DB CP                       */
 dcl SQLUSP_EBCDIC_NO_BIN             fixed bin(31) value(-2757);
                                      /* binary numerics not         */
                                      /* allowed in EBCDIC data      */

 /* DB2GPMAP Return Codes                                             */
 dcl SQLUGPMAP_TBL_AND_NDGRP          fixed bin(31) value(-2761);
                                      /* Specify only tbl or         */
                                      /* nodegrp                     */
 dcl SQLUGPMAP_NO_INST_PATH           fixed bin(31) value(-2762);
                                      /* fail to find DB install     */
                                      /* path                        */
 dcl SQLUGPMAP_TBL_NOT_FOUND          fixed bin(31) value(-2763);
                                      /* tbl not found               */
 dcl SQLUGPMAP_NODEGRP_NOT_FOUND      fixed bin(31) value(-2764);
                                      /* nodegrp not found           */
 dcl SQLUGPMAP_OPEN_OUTMAPFILE_WARN   fixed bin(31) value(2765);
                                      /* fail to open file           */
 dcl SQLUGPMAP_PTITN_MAP_ERR          fixed bin(31) value(-2766);
                                      /* incorrect ptitn map size    */
 dcl SQLUGPMAP_INVALID_CMD_OPT        fixed bin(31) value(-2767);
                                      /* invalid cmd line option     */

 /* IMPORT/EXPORT Return codes */
 dcl SQLUE_DFO                        fixed bin(31) value(-3001);
                                      /* error opening output file   */
 dcl SQLUE_IOE                        fixed bin(31) value(-3002);
                                      /* i/o error writing output    */
                                      /* file                        */
 dcl SQLUE_CLS                        fixed bin(31) value(-3003);
                                      /* i/o error closing output    */
                                      /* file                        */
 dcl SQLUE_IFT                        fixed bin(31) value(-3004);
                                      /* invalid filetype parameter  */
 dcl SQLUE_CBI                        fixed bin(31) value(-3005);
                                      /* function interrupted        */
 dcl SQLUE_MFO                        fixed bin(31) value(-3006);
                                      /* i/o error opening message   */
                                      /* file                        */
 dcl SQLUE_MFW                        fixed bin(31) value(-3007);
                                      /* i/o error writing message   */
                                      /* file                        */
 dcl SQLUE_STA                        fixed bin(31) value(-3008);
                                      /* start using database        */
                                      /* failed                      */
 dcl SQLUE_STR                        fixed bin(31) value(-3009);
                                      /* invalid tcolstrg            */
 dcl SQLUE_COL                        fixed bin(31) value(-3010);
                                      /* invalid dcoldata            */

 dcl SQLUE_MEM                        fixed bin(31) value(-3011);
                                      /* memory allocation error     */
 dcl SQLUE_SYSERR                     fixed bin(31) value(-3012);
                                      /* system error                */
 dcl SQLUE_FTMOD                      fixed bin(31) value(-3013);
                                      /* invalid filetmod            */
 dcl SQLUE_MFC                        fixed bin(31) value(-3014);
                                      /* failure on closing message  */
                                      /* file                        */
 dcl SQLUE_SQLERR                     fixed bin(31) value(-3015);
                                      /* SQL error occurred          */
 dcl SQLUE_FMODNK                     fixed bin(31) value(-3016);
                                      /* no keywords found           */
 dcl SQLUE_FMODID                     fixed bin(31) value(-3017);
                                      /* invalid delimiter or        */
                                      /* duplicate                   */
 dcl SQLUE_FMODDEC                    fixed bin(31) value(-3018);
                                      /* decimal used for char       */
                                      /* delimiter                   */
 dcl SQLUE_NTS                        fixed bin(31) value(-3019);
                                      /* no tcolstrg                 */
 dcl SQLUE_RC_INSAUTH                 fixed bin(31) value(-3020);
                                      /* insufficient authority for  */
                                      /* exp.                        */

 dcl SQLUI_RC_INSAUTH                 fixed bin(31) value(-3021);
                                      /* insufficient authority for  */
                                      /* imp.                        */
 dcl SQLUE_SQL_PREP_ERR               fixed bin(31) value(-3022);
                                      /* SQL error on input string   */
 dcl SQLUE_DATABASE                   fixed bin(31) value(-3023);
                                      /* invalid database name       */
 dcl SQLUE_DATAFILE                   fixed bin(31) value(-3025);
                                      /* invalid datafile            */
 dcl SQLUE_MSGFILE                    fixed bin(31) value(-3026);
                                      /* invalid msgfile             */
 dcl SQLUE_DCOLMETH                   fixed bin(31) value(-3028);
                                      /* Export method indicator     */
                                      /* not n/d                     */
 dcl SQLUE_NUL_FTYPE                  fixed bin(31) value(-3029);
                                      /* filetype is null            */

 dcl SQLUI_DFO                        fixed bin(31) value(-3030);
                                      /* error opening input data    */
                                      /* file                        */
 dcl SQLUI_IOE                        fixed bin(31) value(-3031);
                                      /* i/o error reading input     */
                                      /* file                        */
 dcl SQLUI_DCOLMETH                   fixed bin(31) value(-3032);
                                      /* Import method not n/d/p     */
 dcl SQLUI_TINSERT                    fixed bin(31) value(-3033);
                                      /* invalid insert in tcolstrg  */
 dcl SQLUI_TINTO                      fixed bin(31) value(-3034);
                                      /* invalid into in tcolstrg    */
 dcl SQLUI_TABLENAME                  fixed bin(31) value(-3035);
                                      /* invalid tablename in        */
                                      /* tcolstrg                    */
 dcl SQLUI_CPAREN                     fixed bin(31) value(-3036);
                                      /* close paren not in          */
                                      /* tcolstrg                    */
 dcl SQLUE_SQL_PREP_INSERT            fixed bin(31) value(-3037);
                                      /* SQL error on insert string  */
 dcl SQLUI_TCOLJUNK                   fixed bin(31) value(-3038);
                                      /* tcolstrg invalid            */
 dcl SQLU_REDUCE_CPUPAR               fixed bin(31) value(3039);
                                      /* load parallelism reduced    */
 dcl SQLUE_LOBFILE_ERROR              fixed bin(31) value(-3040);
                                      /* lob file error              */

 dcl SQLUI_DL_ILLEGAL_LINKTYPE        fixed bin(31) value(-3042);
                                      /* LINKTYPE is not URL         */
 dcl SQLUI_DL_COL_JUNK                fixed bin(31) value(-3043);
                                      /* dl_specification invalid    */
 dcl SQLUI_DL_COL_DUP_PREFIX          fixed bin(31) value(-3044);
                                      /* multiple prefix decl per    */
                                      /* col                         */

 dcl SQLUIC_BAD_DCOL_POS              fixed bin(31) value(-3045);
                                      /* invalid dcol position for   */
                                      /* CSV                         */
 dcl SQLUI_NONDEF_DCOL_NOCOLS         fixed bin(31) value(-3046);
                                      /* non-default dcol and no     */
                                      /* cols                        */
 dcl SQLUI_BAD_DCOL_METH              fixed bin(31) value(-3047);
                                      /* dcolinfo has invalid        */
                                      /* method                      */
 dcl SQLUI_NODCOL_FOR_NONNULL_DBCOL   fixed bin(31) value(-3048);
                                      /* non nullable column         */
 dcl SQLUIC_UNSUPTYP_NONULLS          fixed bin(31) value(-3049);
                                      /* unsupported column type     */

 dcl SQLUII_CONVERSION                fixed bin(31) value(3050);
                                      /* conversion for cdpg         */
 dcl SQLUE_ROWCT_TOOBIG               fixed bin(31) value(-3053);
                                      /* too many rows for WSF       */
                                      /* export                      */
 dcl SQLUII_HEOF                      fixed bin(31) value(-3054);
                                      /* eof reading first rec in    */
                                      /* IXF                         */
 dcl SQLUII_HLEN_CONV                 fixed bin(31) value(-3055);
                                      /* length of 'H' rec not       */
                                      /* numeric                     */
 dcl SQLUII_HLEN_SHORT                fixed bin(31) value(-3056);
                                      /* first record too short      */
 dcl SQLUII_HTYP                      fixed bin(31) value(-3057);
                                      /* first IXF rec is not 'H'    */
 dcl SQLUII_HID                       fixed bin(31) value(-3058);
                                      /* no IXF identifier in 'H'    */
 dcl SQLUII_HVERS                     fixed bin(31) value(-3059);
                                      /* invalid version field in    */
                                      /* 'H'                         */

 dcl SQLUII_HCNT                      fixed bin(31) value(-3060);
                                      /* HCNT in 'H' not numeric     */
 dcl SQLUII_HSBCP_BAD                 fixed bin(31) value(-3061);
                                      /* SBCP in 'H' not numeric     */
 dcl SQLUII_HDBCP_BAD                 fixed bin(31) value(-3062);
                                      /* DBCP in 'H' not numeric     */
 dcl SQLUII_HSBCP_CMP                 fixed bin(31) value(-3063);
                                      /* 'H' SBCP not compat w/data  */
                                      /* SBCP                        */
 dcl SQLUII_HDBCP_CMP                 fixed bin(31) value(-3064);
                                      /* 'H' DBCP not compat w/data  */
                                      /* DBCP                        */
 dcl SQLUII_DB_CODEPG                 fixed bin(31) value(-3065);
                                      /* can't get codepages         */
 dcl SQLUII_TEOF                      fixed bin(31) value(-3066);
                                      /* eof reading/looking for     */
                                      /* 'T' rec                     */
 dcl SQLUII_TLEN_CONV                 fixed bin(31) value(-3067);
                                      /* length of 'T' rec not       */
                                      /* numeric                     */
 dcl SQLUII_TLEN_SHORT                fixed bin(31) value(-3068);
                                      /* 'T' record is too short     */
 dcl SQLUII_TTYP                      fixed bin(31) value(-3069);
                                      /* first non-'A' rec not 'T'   */
                                      /* rec                         */

 dcl SQLUII_ALEN_BAD                  fixed bin(31) value(-3070);
                                      /* invalid rec length of 'A'   */
                                      /* rec                         */
 dcl SQLUII_TCONV                     fixed bin(31) value(-3071);
                                      /* invalid data convention in  */
                                      /* 'T'                         */
 dcl SQLUII_TFORM                     fixed bin(31) value(-3072);
                                      /* invalid data format in 'T'  */
 dcl SQLUII_TMFRM                     fixed bin(31) value(-3073);
                                      /* invalid machine form in     */
                                      /* 'T'                         */
 dcl SQLUII_TLOC                      fixed bin(31) value(-3074);
                                      /* invalid data location in    */
                                      /* 'T'                         */
 dcl SQLUII_TCCNT                     fixed bin(31) value(-3075);
                                      /* 'C' rec cnt in 'T' not      */
                                      /* numeric                     */
 dcl SQLUII_TNAML                     fixed bin(31) value(-3076);
                                      /* name len fld in 'T' not     */
                                      /* numeric                     */
 dcl SQLUII_CCNT_HIGH                 fixed bin(31) value(-3077);
                                      /* too many 'C' records        */
 dcl SQLUII_ALEN_CONV                 fixed bin(31) value(-3078);
                                      /* length of 'A' rec not       */
                                      /* numeric                     */
 dcl SQLUII_CLEN_CONV                 fixed bin(31) value(-3079);
                                      /* length of 'C' rec not       */
                                      /* numeric                     */

 dcl SQLUII_CLEN_SHORT                fixed bin(31) value(-3080);
                                      /* 'C' record is too short     */
 dcl SQLUII_CTYP                      fixed bin(31) value(-3081);
                                      /* wrong rec type / 'C'        */
                                      /* expected                    */
 dcl SQLUII_CEOF                      fixed bin(31) value(-3082);
                                      /* EOF while processing 'C'    */
                                      /* recs                        */
 dcl SQLUII_CDRID                     fixed bin(31) value(-3083);
                                      /* 'D' rec id field not        */
                                      /* numeric                     */
 dcl SQLUII_CPOSN                     fixed bin(31) value(-3084);
                                      /* 'D' rec posn field not      */
                                      /* numeric                     */
 dcl SQLUII_CIDPOS                    fixed bin(31) value(-3085);
                                      /* 'D' id/position not         */
                                      /* consistent                  */
 dcl SQLUII_NOCREC_FOR_NONNULL_DBCOL  fixed bin(31) value(-3086);
                                      /* IXF column does not exist   */
 dcl SQLUII_INVCREC_NONNULL_DBCOL     fixed bin(31) value(-3087);
                                      /* IXF column not valid        */
 dcl SQLUII_CRECCOMP_NONNULL_DBCOL    fixed bin(31) value(-3088);
                                      /* IXF column not compatible   */
 dcl SQLUII_DTYP                      fixed bin(31) value(-3089);
                                      /* wrong rec type / 'D'        */
                                      /* expected                    */

 dcl SQLUII_DLEN_CONV                 fixed bin(31) value(-3090);
                                      /* length of 'D' rec not       */
                                      /* numeric                     */
 dcl SQLUII_DLEN_RANGE                fixed bin(31) value(-3091);
                                      /* length of 'D' rec not       */
                                      /* valid                       */
 dcl SQLUII_DID                       fixed bin(31) value(-3092);
                                      /* invalid id field in 'D'     */
                                      /* rec                         */
 dcl SQLUIW_IFILE_INV                 fixed bin(31) value(-3093);
                                      /* import file not valid WSF   */
 dcl SQLUIW_NNCOL_LOST                fixed bin(31) value(-3094);
                                      /* DOS non-nullable name not   */
                                      /* found                       */
 dcl SQLUIW_PCOL_INV                  fixed bin(31) value(-3095);
                                      /* col position out of range   */
 dcl SQLUIW_UCOLTYP_NONUL             fixed bin(31) value(-3096);
                                      /* unsup col type - not        */
                                      /* nullable                    */
 dcl SQLUIW_RECLEN_INV                fixed bin(31) value(-3097);
                                      /* record length invalid       */
 dcl SQLUIW_INROW_INV                 fixed bin(31) value(-3098);
                                      /* row number out of range     */
 dcl SQLUIW_INCOL_INV                 fixed bin(31) value(-3099);
                                      /* col number out of range     */

 dcl SQLUE_COL_TOOBIG                 fixed bin(31) value(3100);
                                      /* column longer than 254      */
                                      /* chars                       */
 dcl SQLUE_DATA_CHARDEL               fixed bin(31) value(3101);
                                      /* column has char delimiter   */
 dcl SQLUE_DCNUM_HIGH                 fixed bin(31) value(3102);
                                      /* dcol column nbr > tcol      */
                                      /* number                      */
 dcl SQLUE_DCNUM_LOW                  fixed bin(31) value(3103);
                                      /* dcol column nbr < tcol      */
                                      /* number                      */
 dcl SQLUE_WARNING                    fixed bin(31) value(3107);
                                      /* warning message issued      */

 dcl SQLUI_DLFM_LINK                  fixed bin(31) value(3108);
                                      /* file not linked             */

 dcl SQLUI_FEWER_DCOLS_DBCOLS_NULLED  fixed bin(31) value(3112);
                                      /* extra database cols         */
 dcl SQLUIC_UNSUPTYP_NULLABLE         fixed bin(31) value(3113);
                                      /* column will be nulled       */
 dcl SQLUIC_IGNORED_CHAR              fixed bin(31) value(3114);
                                      /* character ignored           */
 dcl SQLUIC_FIELD_TOO_LONG            fixed bin(31) value(3115);
                                      /* input CSV field too long    */
 dcl SQLUIC_CF_REQFIELD_MISSING       fixed bin(31) value(3116);
                                      /* field value missing         */
 dcl SQLUIC_CFINT2_NULLED             fixed bin(31) value(3117);
                                      /* smallint field nulled       */
 dcl SQLUIC_CFINT2_ROWREJ             fixed bin(31) value(3118);
                                      /* smallint field error        */
 dcl SQLUIC_CFINT4_NULLED             fixed bin(31) value(3119);
                                      /* int field nulled            */

 dcl SQLUIC_CFINT4_ROWREJ             fixed bin(31) value(3120);
                                      /* int field error             */
 dcl SQLUIC_CFFLOAT_NULLED            fixed bin(31) value(3121);
                                      /* float field nulled          */
 dcl SQLUIC_CFFLOAT_ROWREJ            fixed bin(31) value(3122);
                                      /* float field error           */
 dcl SQLUIC_CFDEC_NULLED              fixed bin(31) value(3123);
                                      /* decimal field nulled        */
 dcl SQLUIC_CFDEC_ROWREJ              fixed bin(31) value(3124);
                                      /* decimal field error         */
 dcl SQLUIC_CFTRUNC                   fixed bin(31) value(3125);
                                      /* char field truncated        */

 dcl SQLUIC_CFCHAR_NULLED             fixed bin(31) value(3126);
                                      /* char field nulled           */
 dcl SQLUIC_CFCHAR_ROWREJ             fixed bin(31) value(3127);
                                      /* char field error            */
 dcl SQLUIC_CFDATETRUNC               fixed bin(31) value(3128);
                                      /* date field truncated        */
 dcl SQLUIC_CFDTPAD                   fixed bin(31) value(3129);
                                      /* date/time/stamp field       */
                                      /* padded                      */

 dcl SQLUIC_CFTIMETRUNC               fixed bin(31) value(3130);
                                      /* time field truncated        */
 dcl SQLUIC_CFSTAMPTRUNC              fixed bin(31) value(3131);
                                      /* stamp field truncated       */
 dcl SQLUE_TRUNCATE                   fixed bin(31) value(3132);
                                      /* char field truncated        */
 dcl SQLUI_DATALINK_NULLED            fixed bin(31) value(3133);
                                      /* Datalink field nulled       */
 dcl SQLUI_DATALINK_ROWREJ            fixed bin(31) value(3134);
                                      /* Datalink field error        */
 dcl SQLUIC_ROWTOOSHORT               fixed bin(31) value(3137);
                                      /* not enough columns          */
 dcl SQLUIC_EOF_IN_CHARDELS           fixed bin(31) value(3138);
                                      /* end of input data file      */
 dcl SQLUE_SQLSTPDB_ERR               fixed bin(31) value(3139);
                                      /* stop using database failed  */

 dcl SQLUE_WSFLAB_LEN                 fixed bin(31) value(3142);
                                      /* WSF label too big           */
 dcl SQLUE_CHAR_MTRUNC                fixed bin(31) value(3143);
                                      /* WSF char type length too    */
                                      /* long                        */
 dcl SQLUE_CHAR_WTRUNC                fixed bin(31) value(3144);
                                      /* WSF char type length too    */
                                      /* long                        */
 dcl SQLUE_CHAR_ITRUNC                fixed bin(31) value(3145);
                                      /* WSF char truncated at 240   */
 dcl SQLUE_ROWCT_LARGE                fixed bin(31) value(3147);
                                      /* row count exceeds 2048      */
 dcl SQLUE_3148                       fixed bin(31) value(3148);
                                      /* row not inserted            */

 dcl SQLUII_TCNTCMP                   fixed bin(31) value(3154);
                                      /* 'H' hcnt not equal 'T' rec  */
                                      /* ccnt                        */
 dcl SQLUII_CNAML                     fixed bin(31) value(3155);
                                      /* invalid name length in 'C'  */
                                      /* rec                         */
 dcl SQLUII_CNULL                     fixed bin(31) value(3156);
                                      /* invalid null field in 'C'   */
                                      /* rec                         */
 dcl SQLUII_CTYPE                     fixed bin(31) value(3157);
                                      /* invalid type field in 'C'   */
                                      /* rec                         */
 dcl SQLUII_CSBCP                     fixed bin(31) value(3158);
                                      /* invalid SBCP field in 'C'   */
                                      /* rec                         */
 dcl SQLUII_CDBCP                     fixed bin(31) value(3159);
                                      /* invalid DBCP field in 'C'   */
                                      /* rec                         */

 dcl SQLUII_CLENG                     fixed bin(31) value(3160);
                                      /* invalid col len fld in 'C'  */
                                      /* rec                         */
 dcl SQLUII_CPREC                     fixed bin(31) value(3161);
                                      /* invalid precision in 'C'    */
                                      /* rec                         */
 dcl SQLUII_CSCAL                     fixed bin(31) value(3162);
                                      /* invalid scale field in 'C'  */
                                      /* rec                         */
 dcl SQLUII_CFLOAT_BLANKLENG          fixed bin(31) value(3163);
                                      /* use 00008 for float col     */
                                      /* length                      */
 dcl SQLUII_CFLOAT_BADLENG            fixed bin(31) value(3164);
                                      /* invalid float col len in    */
                                      /* 'C'.                        */
 dcl SQLUII_CUTYPE                    fixed bin(31) value(3165);
                                      /* 'C' record has invalid      */
                                      /* type                        */
 dcl SQLUII_NOCREC_FOR_NULL_DBCOL     fixed bin(31) value(3166);
                                      /* IXF col does not exist      */
 dcl SQLUII_INVCREC_FOR_NULL_DBCOL    fixed bin(31) value(3167);
                                      /* IXF col is invalid          */
 dcl SQLUII_CRECCOMP_NULL_DBCOL       fixed bin(31) value(3168);
                                      /* IXF col not compatible      */

 dcl SQLUII_DEOF_INROW                fixed bin(31) value(3170);
                                      /* EOF found in row of data    */
 dcl SQLUIW_NONLAB_HDR                fixed bin(31) value(3171);
                                      /* non-label cell in hdr row   */
 dcl SQLUIW_NCOL_LOST                 fixed bin(31) value(3172);
                                      /* nullable colnam not found   */
 dcl SQLUIW_UCOLTYP_NULL              fixed bin(31) value(3174);
                                      /* unsup col type - nullable   */
 dcl SQLUIW_INTYPE_INV                fixed bin(31) value(3175);
                                      /* wrong rec type for db col   */
 dcl SQLUIW_DATE_INV                  fixed bin(31) value(3176);
                                      /* date value out of range     */
 dcl SQLUIW_TIME_INV                  fixed bin(31) value(3177);
                                      /* time value out of range     */
 dcl SQLUIW_INTIME_INV                fixed bin(31) value(3178);
                                      /* int rec for time invalid    */
 dcl SQLUIW_NODATA_NNULL              fixed bin(31) value(3179);
                                      /* no data / non nullable col  */

 dcl SQLUE_INSERT_DISK                fixed bin(31) value(3180);
                                      /* insert diskette request     */
 dcl SQLUII_AE_NOTFOUND               fixed bin(31) value(3181);
                                      /* file ended before AE rec    */
 dcl SQLUII_INSERT_DISK_RETRY         fixed bin(31) value(3182);
                                      /* retry to insert diskette    */
 dcl SQLUEC_NOBLANK_B4KW              fixed bin(31) value(3183);
                                      /* mult del o'rides/no blanks  */
 dcl SQLUI_PREVMESG_ROWNO             fixed bin(31) value(3185);
                                      /* row of previous warning     */
 dcl SQLUI_LOGFULL_INSWARN            fixed bin(31) value(3186);
                                      /* log full inserting row      */
 dcl SQLUI_INDEX_WARN                 fixed bin(31) value(3187);
                                      /* error creating index        */
 dcl SQLUI_TRUNCATE_TABLE             fixed bin(31) value(-3188);
                                      /* error truncating table      */

 dcl SQLUI_INDEXIXF                   fixed bin(31) value(-3190);
                                      /* invalid INDEXIXF option     */
 dcl SQLUI_VIEW_ERROR                 fixed bin(31) value(-3193);
                                      /* cannot import to this view  */
 dcl SQLUI_SYSTBL_ERROR               fixed bin(31) value(-3194);
                                      /* cannot import system table  */
 dcl SQLUE_RETRY_DISK                 fixed bin(31) value(3195);
                                      /* not enough space            */
 dcl SQLUI_IN_NOTFD                   fixed bin(31) value(-3196);
                                      /* input file not found        */
 dcl SQLUI_IMPBUSY                    fixed bin(31) value(-3197);
                                      /* import/export in use        */

 dcl SQLUI_REPL_PAR                   fixed bin(31) value(-3201);
                                      /* cant replace parent table   */
 dcl SQLUI_IUOPT_NOPK                 fixed bin(31) value(-3203);
                                      /* cant update without PK's    */
 dcl SQLUI_IUOPT_NOVIEW               fixed bin(31) value(-3204);
                                      /* cant update views           */
 dcl SQLUI_VIEW_REF                   fixed bin(31) value(-3205);
                                      /* cant replace ref cons view  */
 dcl SQLUI_VIEW_SQUERY                fixed bin(31) value(-3206);
                                      /* cant replace subquery view  */

 dcl SQLU_INVALID_TABLES_LIST         fixed bin(31) value(-3207);
                                      /* Invalid table list          */
 dcl SQLU_TYPED_IMPORT_INTO_REGULAR   fixed bin(31) value(3208);
                                      /* Import Typed-table to Reg   */
 dcl SQLU_CANT_RENAM_SUBTAB_OR_ATTR   fixed bin(31) value(-3209);
                                      /* Cannot rename sub-table     */
                                      /* attr                        */
 dcl SQLU_INCOMPATIBLE_HIERARCHY      fixed bin(31) value(-3210);
                                      /* Options incompatible w/     */
                                      /* hier                        */
 dcl SQLU_LOAD_DOESNT_SUPP_RT         fixed bin(31) value(-3211);
                                      /* Load doesn't supp RT        */
 dcl SQLU_NOSUPP_LD_TERM_OP           fixed bin(31) value(-3212);
                                      /* not supported Load          */
                                      /* Terminate operation         */

 dcl SQLU_INXMODE_INFO                fixed bin(31) value(3213);
                                      /* Load indexing mode          */
 dcl SQLU_INXMODE_DEFBUTUNIQUE        fixed bin(31) value(-3214);
                                      /* Deferred indexing, but      */
                                      /* unique inx                  */
 dcl SQLU_INXMODE_DMS_RESTRICTION     fixed bin(31) value(3215);
                                      /* Load incrmental indexing +  */
                                      /* DMS + copy + same TS        */
 dcl SQLU_INXMODE_INC_BUTBADINX       fixed bin(31) value(3216);
                                      /* Load incrmental indexing    */
                                      /* but inx invalid             */
 dcl SQLU_INXMODE_INC_BUTNOTINSERT    fixed bin(31) value(3217);
                                      /* Load incrmental indexing    */
                                      /* but not insert              */

 dcl SQLUE_PROVIDE_FILE_PART          fixed bin(31) value(3220);
                                      /* AIX req next file           */
 dcl SQLUI_START_COMMIT               fixed bin(31) value(3221);
                                      /* start commit                */
 dcl SQLUI_FINISH_COMMIT              fixed bin(31) value(3222);
                                      /* finish commit               */
 dcl SQLUI_BAD_STRUCT_PARM            fixed bin(31) value(-3223);
                                      /* bad input parms             */
 dcl SQLUI_SKIPPED_ALL_ROWS           fixed bin(31) value(-3225);
                                      /* restartcnt too big          */
 dcl SQLUI_COMPOUND_ERR               fixed bin(31) value(-3250);
                                      /* compound=x error            */

 dcl SQLUIW_RCSEQ_INV                 fixed bin(31) value(-3300);
                                      /* row/col sequence invalid    */
 dcl SQLUIW_BOF_INV                   fixed bin(31) value(-3301);
                                      /* BOF in middle of WSF file   */
 dcl SQLUIW_EARLY_EOF                 fixed bin(31) value(-3302);
                                      /* unexpected EOF              */
 dcl SQLUI_IXFONLY                    fixed bin(31) value(-3303);
                                      /* filetype not ixf            */
 dcl SQLUI_DELTABLE                   fixed bin(31) value(-3304);
                                      /* table does not exist        */
 dcl SQLUI_CREATE_ERR                 fixed bin(31) value(-3305);
                                      /* table already exists        */
 dcl SQLUI_EXECUTE_ERR                fixed bin(31) value(-3306);
                                      /* SQL error during insert     */
 dcl SQLUI_INC_COL                    fixed bin(31) value(-3307);
                                      /* incomplete col info         */
 dcl SQLUI_CP_MISMATCH                fixed bin(31) value(-3308);
                                      /* codepage mismatch           */
 dcl SQLUI_DBLDATA                    fixed bin(31) value(-3309);
                                      /* double byte data found      */

 dcl SQLUI_UNREC_CTYPE                fixed bin(31) value(-3310);
                                      /* unrec col type              */
 dcl SQLUI_INVCREC_FOR_CREATE         fixed bin(31) value(-3310);
                                      /* invalid IXF column          */

 dcl SQLUE_DISK_FULL_DB2OS2           fixed bin(31) value(-3313);
                                      /* disk full - OS/2            */
 dcl SQLUE_DISK_FULL_DB2NT            fixed bin(31) value(-3313);
                                      /* disk full - Windows NT      */
 dcl SQLUE_DISK_FULL_DB2DOS           fixed bin(31) value(-3313);
                                      /* disk full - DOS             */
 dcl SQLUE_DISK_FULL_DB2WIN           fixed bin(31) value(-3313);
                                      /* disk full - Windows         */
 dcl SQLUE_DISK_FULL_DB2AIX           fixed bin(31) value(-10018);
                                      /* disk full - AIX             */
 dcl SQLUE_DISK_FULL_DB2MAC           fixed bin(31) value(-3313);
                                      /* disk full - MacOS           */

 dcl SQLUE_DISK_FULL        fixed bin(31) value(SQLUE_DISK_FULL_DB2NT);

 dcl SQLUII_ASTAMP_NOMATCH            fixed bin(31) value(-3314);
                                      /* 'A' data/ time not as 'H'.  */
 dcl SQLUII_ACREC_BADVOL              fixed bin(31) value(-3315);
                                      /* invalid volume info         */
 dcl SQLUII_CLOSE_NOTLAST             fixed bin(31) value(-3316);
                                      /* error closing IXF file      */
 dcl SQLUW_FTMOD_INV                  fixed bin(31) value(-3317);
                                      /* conflict in filetmod        */
 dcl SQLUEC_DUP_KEYWORD               fixed bin(31) value(-3318);
                                      /* keyword repeated/filetmod   */
 dcl SQLUI_ERR_CREATETAB              fixed bin(31) value(-3319);
                                      /* error creating table        */

 dcl SQLUEC_NOROOM_AFTERKW            fixed bin(31) value(-3320);
                                      /* keyword at end of filetmod  */
 dcl SQLUI_LOGFULL_INSERR             fixed bin(31) value(-3321);
                                      /* circular log full           */
 dcl SQLUE_SEM_ERROR                  fixed bin(31) value(-3322);
                                      /* semaphore error             */
 dcl SQLUE_INVCOLTYPE                 fixed bin(31) value(-3324);
                                      /* column type invalid         */
 dcl SQLUEW_IGNORED_ROW               fixed bin(31) value(3325);
                                      /* ignored WSF row             */
 dcl SQLUI_COL_LIST                   fixed bin(31) value(-3326);
                                      /* column list invalid         */
 dcl SQLUEI_SYSERROR                  fixed bin(31) value(-3327);
                                      /* system error                */

 dcl SQLUII_ODD2GRAPH                 fixed bin(31) value(3330);
                                      /* odd leng char -> graphic    */
 dcl SQLUE_OEACCESS                   fixed bin(31) value(-3331);
                                      /* permission denied           */
 dcl SQLUE_OEMFILE                    fixed bin(31) value(-3332);
                                      /* too many files open         */
 dcl SQLUE_OENOENT                    fixed bin(31) value(-3333);
                                      /* no such file or directory   */
 dcl SQLUE_OENOMEM                    fixed bin(31) value(-3334);
                                      /* not enough memory           */
 dcl SQLUE_OENOSPC                    fixed bin(31) value(-3335);
                                      /* no space left               */

 dcl SQLUIA_BAD_DCOL_METH             fixed bin(31) value(-3400);
                                      /* invalid method for ASC      */
 dcl SQLUI_DCOLM_ALL                  fixed bin(31) value(-3401);
                                      /* invalid import method       */
 dcl SQLUIA_NULLLOC                   fixed bin(31) value(-3402);
                                      /* invalid import method       */
 dcl SQLUIA_LOCPAIR                   fixed bin(31) value(-3403);
                                      /* invalid pair                */
 dcl SQLUIA_LOCNUM                    fixed bin(31) value(-3404);
                                      /* invalid pair for number     */
 dcl SQLUIA_LOCDATE                   fixed bin(31) value(-3405);
                                      /* invalid pair for date       */
 dcl SQLUIA_LOCTIME                   fixed bin(31) value(-3406);
                                      /* invalid pair for time       */
 dcl SQLUIA_LOCSTAMP                  fixed bin(31) value(-3407);
                                      /* invalid pair for timestamp  */
 dcl SQLUIA_LOCLONG                   fixed bin(31) value(3408);
                                      /* pair defines long field     */
 dcl SQLUIA_LOCSHORT                  fixed bin(31) value(3409);
                                      /* pair defines short field    */
 dcl SQLUIA_LOCODD                    fixed bin(31) value(-3410);
                                      /* invalid pair for graphic    */
 dcl SQLUIA_CFGRAPH_NULLED            fixed bin(31) value(3411);
                                      /* value not graphic--null     */
 dcl SQLUIA_CFGRAPH_ROWREJ            fixed bin(31) value(3412);
                                      /* value not graphic--not      */
                                      /* null                        */
 dcl SQLUIA_SHORTFLDNULLED            fixed bin(31) value(3413);
                                      /* field too short--nulled     */
 dcl SQLU_NO_LIFEBOAT                 fixed bin(31) value(-3414);
 dcl SQLUIA_CFCPCV_NULLED             fixed bin(31) value(3415);
                                      /* CPCV failed--null           */
 dcl SQLUIA_CFCPCV_ROWREJ             fixed bin(31) value(3416);
                                      /* CPCV failed--not null       */

 dcl SQLU_TOO_MANY_WARNINGS           fixed bin(31) value(3502);
                                      /* number of warnings hit      */
                                      /* threshold                   */
 dcl SQLU_ROWCNT                      fixed bin(31) value(3503);
                                      /* number of rows hit          */
                                      /* threshold                   */
 dcl SQLULA_INVALID_RECLEN            fixed bin(31) value(-3505);
                                      /* reclen > 32767              */
 dcl SQLULA_NULLIND_IGNORED           fixed bin(31) value(3506);
                                      /* null ind value not Y or N   */
 dcl SQLUI_NULLIND                    fixed bin(31) value(-3507);
                                      /* nullind column is invalid   */
 dcl SQLUL_FILE_ERROR                 fixed bin(31) value(-3508);
                                      /* file access error during    */
                                      /* load                        */
 dcl SQLUL_NUM_ROW_DELETED            fixed bin(31) value(3509);
                                      /* num of row deleted after    */
                                      /* load                        */
 dcl SQLU_SORT_WORK_DIR_ERROR         fixed bin(31) value(-3510);
                                      /* work directory is invalid   */
 dcl SQLU_NB_LOBFILE_MISSING          fixed bin(31) value(3511);
                                      /* lobfile missing but         */
                                      /* nullable col                */
 dcl SQLU_NNB_LOBFILE_MISSING         fixed bin(31) value(3512);
                                      /* lobfile missing,            */
                                      /* nonnullable col             */
 dcl SQLUL_UNMATCHED_CODEPAGE         fixed bin(31) value(-3513);
                                      /* codepage doesn't match db   */
 dcl SQLUL_SYSERR_WITH_REASON         fixed bin(31) value(-3514);
                                      /* system error with reason    */
                                      /* code                        */
 dcl SQLUL_UNEXPECTED_RECORD          fixed bin(31) value(-3517);
                                      /* unexpected rec in db2cs     */
 dcl SQLUL_INCOMPATIBLE_TABLE         fixed bin(31) value(-3518);
                                      /* coltype incompatible for    */
                                      /* db2cs                       */
 dcl SQLUL_FILE_NOT_FOUND             fixed bin(31) value(-3521);
                                      /* missing file                */
 dcl SQLUL_COPY_LOGRETAIN_OFF         fixed bin(31) value(-3522);
                                      /* copy spec, no logretain     */
                                      /* userexit                    */
 dcl SQLUL_NO_MESSAGES                fixed bin(31) value(3523);
                                      /* no messages to be           */
                                      /* retrieved                   */
 dcl SQLUL_FREESPACE_OPT              fixed bin(31) value(-3524);
                                      /* freespace option invalid    */
 dcl SQLU_INCOMPAT_OPT                fixed bin(31) value(-3525);
                                      /* incompatible options        */
 dcl SQLULA_INVALID_CODEPAGE          fixed bin(31) value(-3527);
                                      /* invalid codepage            */
 dcl SQLUL_DELIMITER_CONV_W           fixed bin(31) value(3528);
                                      /* delimiter may be converted  */
                                      /* from app to DB              */
 dcl SQLUL_UNSUPPORTED_DATA_TYPE      fixed bin(31) value(-3529);
                                      /* Unsupported data type       */
 dcl SQLUL_OBSOLETETE_SORT_PARM       fixed bin(31) value(3535);
                                      /* Load index creation         */
                                      /* parameter no longer         */
                                      /* supported                   */
 dcl SQLU_NEXT_TAPE_WARNING           fixed bin(31) value(3700);
                                      /* mount new tape              */
 dcl SQLU_LOBPATHS_IGNORED            fixed bin(31) value(3701);
                                      /* no lobs/longs but lobpath   */
                                      /* nonull                      */
 dcl SQLU_DEVICE_IGNORED              fixed bin(31) value(3702);
                                      /* device error but ignored    */
 dcl SQLU_NUM_BUFFERS                 fixed bin(31) value(-3704);
                                      /* invalid number of buffers   */
 dcl SQLU_BUFFER_SIZE_ERROR           fixed bin(31) value(-3705);
                                      /* invalid load/unload buffer  */
                                      /* size                        */
 dcl SQLUL_DISK_FULL                  fixed bin(31) value(-3706);
                                      /* copy target full            */
 dcl SQLU_SORT_BUFFSIZE_ERROR         fixed bin(31) value(-3707);
                                      /* invalid sort buffer size    */
 dcl SQLUE_NOSPACE_IN_HASH            fixed bin(31) value(-3708);
                                      /* Hash table is full          */

 /* Load / unload / load recovery SQLCODES */
 dcl SQLU_OPEN_COPY_LOC_FILE_ERROR    fixed bin(31) value(-3783);
 dcl SQLU_INV_COPY_LOC_FILE_INPUT     fixed bin(31) value(-3784);
 dcl SQLU_LOAD_RECOVERY_FAILED        fixed bin(31) value(-3785);
 dcl SQLU_INVALID_PARM_WARNING        fixed bin(31) value(3798);
 dcl SQLU_LOAD_RECOVERY_PENDING       fixed bin(31) value(3799);

 /* load recovery - copy location input error type */
 dcl SQLU_KEYWORD_CODE                fixed bin(31) value(1);
 dcl SQLU_OVERRIDE_CODE               fixed bin(31) value(2);
 dcl SQLU_UNEXPECTED_EOF_CODE         fixed bin(31) value(3);
 dcl SQLU_IOERROR_CODE                fixed bin(31) value(4);

 /* load recovery - Different Load recovery options */
 dcl SQLU_RECOVERABLE_LOAD            fixed bin(31) value(0);
 dcl SQLU_NON_RECOVERABLE_LOAD        fixed bin(31) value(1);

 /* Loadapi SQLCODES                               */
 dcl SQLU_INVALID_QUIESCEMODE         fixed bin(31) value(-3802);
 dcl SQLU_INVALID_INDEX               fixed bin(31) value(-3804);
 dcl SQLU_INVALID_LOADAPI_ACTION      fixed bin(31) value(-3805);
 dcl SQLU_CONSTRAINTS_NOT_OFF         fixed bin(31) value(-3806);

 /* Export SQLCODES                                */
 dcl SQLUE_MSG                        fixed bin(31) value(-3999);
                                      /* Export message              */

 /* Roll-Forward Recovery SQLCODES */
 dcl SQLU_INVALID_PARAM               fixed bin(31) value(-4904);
                                      /* invalid parameter           */
 dcl SQLU_INVALID_RANGE               fixed bin(31) value(-4905);
                                      /* invalid parameter range     */
 dcl SQLUM_INVALID_TPS_SET            fixed bin(31) value(-4906);
                                       /* invalid tablespace set      */
 dcl SQLUM_CHECK_PENDING_SET          fixed bin(31) value(4907);
                                       /* tables set to check         */
                                       /* pending state               */
 dcl SQLUM_TSP_NOT_READY              fixed bin(31) value(-4908);
                                       /* tablespace not ready to     */
                                       /* roll forward                */
 dcl SQLU_RFR_DATALINK_PENDING        fixed bin(31) value(4909);
                                       /* Tables in tablespaces are   */
                                       /* in DRP/RNP state            */
 dcl SQLU_INVALID_OFLOGPATH           fixed bin(31) value(-4910);
                                       /* Invalid overflow log path   */
 dcl SQLU_RC_MISSING_LOGFILES         fixed bin(31) value(-4970);
                                       /* missing log files           */
 dcl SQLU_RC_LOG_TRUNCATED            fixed bin(31) value(-4971);
                                       /* log truncation failed       */
 dcl SQLU_RC_LOGPATH_FULL             fixed bin(31) value(-4972);
                                       /* log path full               */
 dcl SQLU_RC_LOG_MISMATCH             fixed bin(31) value(-4973);
                                       /* log mismatch with catalog   */
                                       /* node                        */
 dcl SQLU_RC_QRY_ERR_WARN             fixed bin(31) value(4974);
                                       /* query status warning        */
 dcl SQLU_RC_CANCELED_WARN            fixed bin(31) value(4975);
                                       /* rollforward canceled        */
 dcl SQLU_RC_NOT_ON_CATALOG_NODE      fixed bin(31) value(-4976);
                                       /* not on catalog node         */
 dcl SQLU_RC_EXPORT_DIR               fixed bin(31) value(-4977);
                                       /* bad export directory        */
 dcl SQLU_RC_DROPPED_TBL              fixed bin(31) value(-4978);
                                       /* bad dropped table recovery  */
                                       /* option                      */
 dcl SQLU_RC_EXPORT_DATA              fixed bin(31) value(4979);
                                       /* error while exporting       */
                                       /* table data                  */

 /* Configuration SQLCODES         */
 dcl SQLF_RC_SYSAUTH                  fixed bin(31) value(-5001);
                                      /* only SYSADM_GROUP can       */
                                      /* change db2 configuration    */
                                      /* file                        */
 dcl SQLF_RC_SYSERR                   fixed bin(31) value(-5005);
                                      /* system error                */
 dcl SQLF_RC_PATHNAME                 fixed bin(31) value(-5010);
                                      /* path name error             */
 dcl SQLF_RC_INVNODENAME              fixed bin(31) value(-5020);
                                      /* invalid node name           */
 dcl SQLF_RC_REL                      fixed bin(31) value(-5030);
                                      /* invalid release number      */
 dcl SQLF_RC_NEEDMIG                  fixed bin(31) value(-5035);
                                      /* database needs migration;   */
                                      /* release number is back      */
                                      /* level                       */
 dcl SQLF_RC_INSMEM                   fixed bin(31) value(-5047);
                                      /* insufficient memory to      */
                                      /* support stack switching     */
 dcl SQLF_RC_SYSCSUM                  fixed bin(31) value(-5050);
                                      /* invalid db2 configuration   */
                                      /* file                        */
 dcl SQLF_RC_DBCSUM                   fixed bin(31) value(-5055);
                                      /* invalid db configuration    */
                                      /* file                        */
 dcl SQLF_RC_INVTKN                   fixed bin(31) value(-5060);
                                      /* invalid token parameter     */
 dcl SQLF_RC_INVTKN_STRUCT            fixed bin(31) value(-5061);
                                      /* invalid ptr to sqlfupd      */
 dcl SQLF_RC_INVTKN_PTR               fixed bin(31) value(-5062);
                                      /* invalid token ptr value     */
 dcl SQLF_RC_OLD_DB_CFG_TKN_TRUNC     fixed bin(31) value(5066);
                                      /* warning - truncated result  */
                                      /* due to obsolete db cfg      */
                                      /* token                       */
 dcl SQLF_RC_CNTINV                   fixed bin(31) value(-5070);
                                      /* invalid count parameter     */
 dcl SQLF_RC_INVNEWLOGP               fixed bin(31) value(-5099);
                                      /* invalid new log path        */

 dcl SQLF_RC_INV_BIT_VALUE            fixed bin(31) value(-5112);
                                      /* invalid bit value - must    */
                                      /* be 0 or 1                   */

 dcl SQLF_RC_INVDETS                  fixed bin(31) value(-5121);
                                      /* invalid DB configuration    */
                                      /* details                     */
 dcl SQLF_RC_PROTECT                  fixed bin(31) value(-5122);
                                      /* database is copy protected  */
 dcl SQLF_RC_LOGIO                    fixed bin(31) value(-5123);
                                      /* I/O Error with log header   */
 dcl SQLF_RC_INV_DBMENT               fixed bin(31) value(-5126);
                                      /* invalid db2 config file     */
                                      /* entry                       */
 dcl SQLF_RC_INV_RANGE                fixed bin(31) value(-5130);
                                      /* integer out of range        */
 dcl SQLF_RC_INV_RANGE_2              fixed bin(31) value(-5131);
                                      /* integer out of range (-1)   */
 dcl SQLF_RC_INV_STRING               fixed bin(31) value(-5132);
                                      /* string null or too long     */
 dcl SQLF_RC_INV_SET                  fixed bin(31) value(-5133);
                                      /* char/int not in set         */
 dcl SQLF_RC_INVTPNAME                fixed bin(31) value(-5134);
                                      /* tpname not valid            */
 dcl SQLF_RC_INV_DBPATH               fixed bin(31) value(-5136);
                                      /* dftdbpath not valid         */
 dcl SQLF_RC_INV_DIAGPATH             fixed bin(31) value(-5137);
                                      /* diagpath not valid          */
 dcl SQLF_RC_INV_AGENTPRI             fixed bin(31) value(-5131); /*?*/
                                      /* invalid agent priority      */
 dcl SQLF_RC_INV_RANGE_TOO_SMALL      fixed bin(31) value(-5150);
                                      /* out of range - value too    */
                                      /* small                       */
 dcl SQLF_RC_INV_RANGE_TOO_SMALL_2    fixed bin(31) value(-5151);
                                      /* out of range - value too    */
                                      /* small (-1 is allowed)       */
 dcl SQLF_RC_INV_RANGE_TOO_BIG        fixed bin(31) value(-5152);
                                      /* out of range - value too    */
                                      /* large                       */
 dcl SQLF_RC_INV_RANGE_CONDITION      fixed bin(31) value(-5153);
                                      /* out of range - condition    */
                                      /* violated                    */
 dcl SQLF_RC_INV_AUTH_TRUST           fixed bin(31) value(-5154);
                                      /* authentication must be      */
                                      /* CLIENT for trust_allcnts =  */
                                      /* NO or trust_clntauth =      */
                                      /* SERVER                      */
 dcl SQLF_RC_SORTHEAP_PERF            fixed bin(31) value(5155);
                                      /* sortheap performance        */
                                      /* warning                     */

 /* Data Redistribution Return Codes */
 dcl SQLUT_NGNAME_UNDEF               fixed bin(31) value(-204);
                                      /* nodegroup name is           */
                                      /* undefined                   */
 dcl SQLUT_NODE_DUP                   fixed bin(31) value(-265);
                                      /* node is a duplicate node    */
 dcl SQLUT_NODE_UNDEF                 fixed bin(31) value(-266);
                                      /* node is undefined           */
 dcl SQLUT_OVER_MAX_PARTNO            fixed bin(31) value(-269);
                                      /* max no. of part. map        */
                                      /* reached                     */
 dcl SQLUT_REDIST_UNDEF               fixed bin(31) value(-607);
                                      /* redist undefined for sys    */
                                      /* obj.                        */
 dcl SQLUT_INSAUTH                    fixed bin(31) value(-1092);
                                      /* insufficient authority      */
 dcl SQLUT_ACCESS_DENIED              fixed bin(31) value(-1326);
                                      /* file or dir access denied   */
 dcl SQLUT_NO_CONTAINERS              fixed bin(31) value(-1755);
                                      /* for tablespaces on a node   */
 dcl SQLUT_INVALID_AUTHS        fixed bin(31) value(SQLU_INVALID_AUTHS);
                                      /* invalid authorizations -2018*/
 dcl SQLUT_INVALID_PARM         fixed bin(31) value(SQLU_INVALID_PARM);
                                      /* parm to utility             */
                                      /* incorrect -2032             */
 dcl SQLUT_INVALID_PARM_ADDRESS fixed bin(31)
                                      value(SQLU_INVALID_PARM_ADDRESS);
                                      /* addr of parm incorrect -2034*/
 dcl SQLUT_CBI                  fixed bin(31) value(SQLUE_CBI );
                                      /* function interruption 3005  */
 dcl SQLUT_REDIST_NO_PARTKEY          fixed bin(31) value(-6047);
                                      /* redist failed - no part key  */
 dcl SQLUT_ERR_IN_FILE                fixed bin(31) value(-6053);
                                      /* error found in the input    */
                                      /* file                        */
 dcl SQLUT_RC_REDIST_ERR              fixed bin(31) value(-6056);
                                      /* redistribution not          */
                                      /* performed                   */
 dcl SQLU_DIFF_LOG_SIZE               fixed bin(31) value(-6063);
                                      /* Log Extent file size        */
                                      /* changed                     */
 dcl SQLUT_ERROR_REDIST               fixed bin(31) value(-6064);
                                      /* error during data           */
                                      /* redistbution                */
 dcl SQLUT_WRT_OUT_FILE               fixed bin(31) value(-6065);
                                      /* error writing output file   */

 /* Load Header Return Codes */
 dcl SQLU_PARTITIONMAP                fixed bin(31) value(-6100);
                                      /* Invalid partition map       */
 dcl SQLU_NODE_NUMBER                 fixed bin(31) value(-6101);
                                      /* Invalid node number         */
 dcl SQLU_FUTURE_PARM                 fixed bin(31) value(-6102);
                                      /* Parameter reserved for      */
                                      /* future                      */
 dcl SQLU_LOAD_SYSERR                 fixed bin(31) value(-6103);
                                      /* Unexpected load system      */
                                      /* error                       */
 dcl SQLU_NO_INDICES                  fixed bin(31) value(-6104);
                                      /* Load does not support       */
                                      /* indices                     */
 dcl SQLU_LOAD_COMPLETE               fixed bin(31) value(-6105);
                                      /* Load complete - backup NOW! */
 dcl SQLU_NOHEADER                    fixed bin(31) value(-6106);
                                      /* Invalid use of NOHEADER     */
 dcl SQLU_PARTITION_KEY               fixed bin(31) value(-6107);
                                      /* Invalid partitioning key    */
 dcl SQLU_PARTITION_KEY_NUM           fixed bin(31) value(-6108);
                                      /* Wrong number of partition   */
                                      /* keys                        */
 dcl SQLU_PARTITION_KEY_NAME          fixed bin(31) value(-6109);
                                      /* Unexpected partitioning     */
                                      /* key                         */
 dcl SQLU_PARTITION_KEY_TYPE          fixed bin(31) value(-6110);
                                      /* Unexpected partition key    */
                                      /* type                        */

 /* Repository for obsolete Return Codes */

 dcl SQLU_WRITE_ERROR                 fixed bin(31) value(-2006);
                                      /* wrote wrong # of bytes      */
 dcl SQLU_CONNECT_ERROR               fixed bin(31) value(-2010);
                                      /* error in Start Using        */
 dcl SQLU_INT_ERROR                   fixed bin(31) value(-2012);
                                      /* error in ints               */
 dcl SQLU_ADSM_ERROR         fixed bin(31) value(SQLU_TSM_ERROR);
                                      /* ADSM reported error  */
 dcl SQLU_LOAD_ADSM_ERROR    fixed bin(31) value(SQLU_LOAD_TSM_ERROR);
                                      /* unable to load  */
 dcl SQLUD_NO_MHEADER_ERROR           fixed bin(31) value(-2531);
                                      /* media header not present    */
 dcl SQLUD_NO_MHEADER_WARNING         fixed bin(31) value(2534);
                                      /* media header missing        */
 dcl SQLUD_NEXT_TAPE_WARNING          fixed bin(31) value(2535);
                                      /* another tape mount          */
                                      /* required                    */
 dcl SQLUD_TSM_MOUNT_WAIT             fixed bin(31) value(2545);
                                      /* waiting for TSM server to   */
                                      /* access data on removable    */
                                      /* media                       */
 dcl SQLUD_ADSM_MOUNT_WAIT   fixed bin(31) value(SQLUD_TSM_MOUNT_WAIT);
                                      /* waiting for ADSM server to  */
                                      /* access data on removable    */
                                      /* media                       */

 /********************************************************************/
 /* Configuration parameter obsolete return codes defines -          */
 /* Some configuration parameters had specific out of range return   */
 /* codes; these have been replaced by generic out of range messages */
 /* In these cases the old token names for the specific return codes */
 /* are given, but the values are replaced by the new values returned*/
 /* when out of range.                                               */
 /********************************************************************/

 dcl SQLF_RC_DBAUTH                   fixed bin(31) value(-5002);
                                      /* only SYSADM can             */
                                      /* changedatabase              */
                                      /* configuration file          */
 dcl SQLF_RC_INVNDB                   fixed bin(31) value(-5130);
                                      /* invalid # of concurrent db  */
 dcl SQLF_RC_INVRIO                   fixed bin(31) value(-5130);
                                      /* invalid req I/O blk size    */
 dcl SQLF_RC_INVSIO                   fixed bin(31) value(-5015);
                                      /* invalid serv I/O blk size   */
 dcl SQLF_RC_INVCHEAP                 fixed bin(31) value(-5016);
                                      /* invalid communications      */
                                      /* heap                        */
 dcl SQLF_RC_INVRSHEAP                fixed bin(31) value(-5017);
                                      /* invalid remote services     */
                                      /* heap                        */
 dcl SQLF_RC_INVSHPTHR                fixed bin(31) value(-5130);
                                      /* invalid sort heap           */
                                      /* threshold                   */
 dcl SQLCC_RC_BAD_DB2COMM             fixed bin(31) value(-5036);
                                      /* invalid DB2COMM value       */
 dcl SQLCC_RC_NO_SERV_IN_DBMCFG       fixed bin(31) value(-5037);
                                      /* service name not definein   */
                                      /* db2 config file             */
 dcl SQLCC_RC_SERV_NOT_FOUND          fixed bin(31) value(-5038);
                                      /* service name not found in   */
                                      /* etc/services file           */
 dcl SQLCC_RC_INT_PORT_NOT_FOUND      fixed bin(31) value(-5039);
                                      /* interrupt port not found    */
                                      /* in/etc/services file        */
 dcl SQLCC_RC_NO_TPN_IN_DBMCFG        fixed bin(31) value(-5041);
                                      /* trans program name not      */
                                      /* definedin db2               */
                                      /* configuration file          */
 dcl SQLF_RC_INVNLL                   fixed bin(31) value(-5130);
                                      /* invalid # of locklist       */
 dcl SQLF_RC_INVNBP                   fixed bin(31) value(-5130);
                                      /* invalid # bufr pool pages   */
 dcl SQLF_RC_INVNDBF                  fixed bin(31) value(-5130);
                                      /* invalid # of DB files open  */
 dcl SQLF_RC_INVSCP_DB2OS2            fixed bin(31) value(-5130);
                                      /* invalid soft check point    */
                                      /* value                       */
 dcl SQLF_RC_INVSCP_DB2AIX            fixed bin(31) value(-5130);
                                      /* invalid soft check point    */
                                      /* value                       */
 dcl SQLF_RC_INVSCP                   fixed bin(31) value(-5130);
                                      /* invalid soft check point    */
                                      /* value                       */
 dcl SQLF_RC_INVNAP                   fixed bin(31) value(-5130);
                                      /* invalid # of active appls   */
 dcl SQLF_RC_INVAHP                   fixed bin(31) value(-5130);
                                      /* invalid application heapsz  */
 dcl SQLF_RC_INVDHP                   fixed bin(31) value(-5130);
                                      /* invalid database heap size  */
 dcl SQLF_RC_INVDLT                   fixed bin(31) value(-5130);
                                      /* invalid deadlock detection  */
 dcl SQLF_RC_INVTAF                   fixed bin(31) value(-5130);
                                      /* invalid # of total files    */
                                      /* openper application         */
 dcl SQLF_RC_INVSHP                   fixed bin(31) value(-5130);
                                      /* invalid sortlist heap       */
 dcl SQLF_RC_INVMAL                   fixed bin(31) value(-5130);
                                      /* invalid maxlocks per        */
                                      /* application                 */
 dcl SQLF_RC_INVSTMHP                 fixed bin(31) value(-5130);
                                      /* invalid statement heap      */
 dcl SQLF_RC_INVLOGPRIM               fixed bin(31) value(-5130);
                                      /* invalid number primary log  */
                                      /* files                       */
 dcl SQLF_RC_INVLOG2ND                fixed bin(31) value(-5130);
                                      /* invalid number of           */
                                      /* secondary log files         */
 dcl SQLF_RC_INVLOGFSZ                fixed bin(31) value(-5130);
                                      /* invalid log file size       */
 dcl SQLF_RC_INVDB2                   fixed bin(31) value(-5102);
                                      /* incompatible file open      */
                                      /* parmeter                    */
 dcl SQLF_RC_INVK2                    fixed bin(31) value(-5104);
                                      /* no DB's / requestor only    */
 dcl SQLF_RC_INVK3                    fixed bin(31) value(-5126);
                                      /* standalone nodetype does    */
                                      /* notsupport nodename         */
 dcl SQLF_RC_RWS_EXIST                fixed bin(31) value(-5106);
                                      /* remote workstation has      */
                                      /* alreadybeen configured      */
 dcl SQLF_RC_RWS_SYSADM               fixed bin(31) value(-5107);
                                      /* <authid> does not           */
                                      /* haveauthority to add or     */
                                      /* drop a remote workstation   */
 dcl SQLF_RC_RWS_NOT_EXIST            fixed bin(31) value(-5108);
                                      /* remote workstation has      */
                                      /* notbeen previously setup    */
                                      /* using sqlarws               */
 dcl SQLF_RC_RWS_MACHINENAME          fixed bin(31) value(-5109);
                                      /* machine name is missing     */
                                      /* ors too long.               */
 dcl SQLF_RC_RWS_INV_OPT              fixed bin(31) value(-5110);
                                      /* configuration option is     */
                                      /* invalid                     */
 dcl SQLF_RC_ENV_VAR_NOTDEF           fixed bin(31) value(-5111);
                                      /* environment variable        */
                                      /* DB2WKSTPROF is not defined  */
 dcl SQLF_RC_INVDB3                   fixed bin(31) value(-5146);
                                      /* incompatible buffer pool    */
                                      /* and maximum # of            */
                                      /* applications                */
 dcl SQLF_RC_INV_QUERY_HEAP_SZ        fixed bin(31) value(-5143);
                                      /* invalid QUERY_HEAP_SZ       */
 dcl SQLF_RC_INV_RANGE_3              fixed bin(31) value(-5144);
                                      /* out of range - limited by   */
                                      /* a parm                      */
 dcl SQLF_RC_INV_RANGE_MAX_EXPR       fixed bin(31) value(-5144);
                                      /* out of range - maximum      */
                                      /* limited by an expression    */
 dcl SQLF_RC_INV_RANGE_MAX_EXPR_2     fixed bin(31) value(-5145);
                                      /* out of range - maximum      */
                                      /* limited by an expression    */
                                      /* (range includes -1)         */
 dcl SQLF_RC_INV_RANGE_MIN_EXPR       fixed bin(31) value(-5146);
                                      /* out of range - minimum      */
                                      /* limited by an expression    */
 dcl SQLF_RC_INV_RANGE_MIN_EXPR_2     fixed bin(31) value(-5147);
                                      /* out of range - minimum      */
                                      /* limited by an expression    */
                                      /* (range includes -1)         */
 dcl SQLF_RC_KCON                     fixed bin(31) value(-5025);
                                      /* not current db2             */
                                      /* configuration               */
 dcl SQLF_RC_INVILF                   fixed bin(31) value(-5083);
                                      /* invalid initial log size    */
 dcl SQLF_RC_INVLFE                   fixed bin(31) value(-5091);
                                      /* invalid logfile extention   */
 dcl SQLF_RC_INVNLE                   fixed bin(31) value(-5092);
                                      /* invalid # of log extention  */
 dcl SQLF_RC_INVDB1                   fixed bin(31) value(-5101);
                                      /* incompatible logfile        */
                                      /* parameter                   */
 dcl SQLF_RC_LF_1_3                   fixed bin(31) value(-5120);
                                      /* both R1 & R3 Log            */
                                      /* parameters may not be       */
                                      /* modified                    */
 dcl SQLF_RC_LOW_APPLS_AND_LOCKS      fixed bin(31) value(-5135);
                                      /* maxappls*maxlocks too low   */
 dcl SQLF_RC_MAX_ITEMS_EXCEEDED       fixed bin(31) value(-5139);
                                      /* To many items on update or  */
                                      /* get                         */
 dcl SQLF_RC_INV_AVG_APPLS            fixed bin(31) value(-5141);
                                      /* invalid AVG_APPLS           */
 dcl SQLF_RC_INVSYSIDX                fixed bin(31) value(-5021);
                                      /* invalid system flag         */
 dcl SQLF_RC_INVDBIDX                 fixed bin(31) value(-5022);
                                      /* invalid database flag       */
 dcl SQLF_RC_INVSYSADM                fixed bin(31) value(-5028);
                                      /* invalid sysadm_group        */
 dcl SQLF_RC_INVNT                    fixed bin(31) value(-5065);
                                      /* invalid node type           */
 dcl SQLF_RC_CNTBRK                   fixed bin(31) value(-5075);
                                      /* interrupt received          */
 dcl SQLF_RC_INV_AUTHENTICATION       fixed bin(31) value(-5140);
                                      /* invalid authentication      */
 dcl SQLF_RC_INV_TRUST_ALLCLNTS       fixed bin(31) value(-5156);
                                      /* invalid trust_allclnts      */
 dcl SQLU_ATLD_RESTARTCOUNT_WARN      fixed bin(31) value(6500);
                                      /* db2atld restartcount        */
                                      /* warning                     */
 dcl SQLU_ATLD_SAVECOUNT_ERROR        fixed bin(31) value(-6532);
                                      /* db2atld savecount error     */
 dcl SQLU_ATLD_RESTARTCOUNT_ERROR     fixed bin(31) value(-6533);
                                      /* db2atld restartcount error  */
 dcl SQLU_ATLD_SPLIT_NOT_NEEDED       fixed bin(31) value(-6535);
                                      /* db2atld does not need       */
                                      /* splitting                   */
 dcl SQLU_PMAP_OPEN_ERR               fixed bin(31) value(-6550);
                                      /* db2atld unable to open      */
                                      /* pmap                        */
 dcl SQLU_PMAP_WRITE_ERR              fixed bin(31) value(-6551);
                                      /* db2atld failed to write     */
                                      /* pmap                        */
 dcl SQLU_TEMPCFG_OPEN_ERR            fixed bin(31) value(-6552);
                                      /* db2atld failed to open      */
                                      /* temp file                   */
 dcl SQLU_TEMPCFG_WRITE_ERR           fixed bin(31) value(-6553);
                                      /* db2atld failed to write to  */
                                      /* tmp file                    */
 dcl SQLU_REXEC_ERR                   fixed bin(31) value(-6554);
                                      /* db2atld failed to spawn     */
                                      /* remote child                */
 dcl SQLU_ATLD_COMM_ERR               fixed bin(31) value(-6555);
                                      /* db2atld comm error          */
 dcl SQLU_ATLD_PARTIAL_REC            fixed bin(31) value(6556);
                                      /* db2atld partial record      */
                                      /* found                       */
 dcl SQLU_GET_DEFAULT_NODE_ERR        fixed bin(31) value(-6557);
                                      /* db2atld failed to get       */
                                      /* default node                */
 dcl SQLU_GET_CURDIR_ERR              fixed bin(31) value(-6558);
                                      /* db2atld unable to get cur   */
                                      /* working dir                 */
 dcl SQLU_ATLD_BAD_CLP_ERR            fixed bin(31) value(-6559);
                                      /* db2atld incorrect usage     */
 dcl SQLU_BAD_SPLIT_NODE              fixed bin(31) value(-6560);
                                      /* db2atld split node          */
                                      /* incorrect                   */
 dcl SQLU_BAD_LOAD_NODE               fixed bin(31) value(-6561);
                                      /* db2atld invalid load node   */
 dcl SQLU_GET_INSTANCE_ERR            fixed bin(31) value(-6562);
                                      /* db2atld failed to get       */
                                      /* instance                    */
 dcl SQLU_GET_UID_ERR                 fixed bin(31) value(-6563);
                                      /* db2atld failed to get cur   */
                                      /* UID                         */
 dcl SQLU_BAD_PASSWORD                fixed bin(31) value(-6564);
                                      /* db2atld invalid password    */
 dcl SQLU_ATLD_HELP                   fixed bin(31) value(6565);
                                      /* db2atld help msg            */
 dcl SQLU_MISSING_LOAD_COMMAND        fixed bin(31) value(-6566);
                                      /* db2atld load command not    */
                                      /* specified                   */
 dcl SQLU_ATLD_DUP_OPTION             fixed bin(31) value(-6567);
                                      /* db2atld option specified    */
                                      /* twice                       */
 dcl SQLU_STARTING_ALL_LOADS          fixed bin(31) value(6568);
                                      /* db2atld starting all the    */
                                      /* load jobs                   */
 dcl SQLU_STARTING_ALL_SPLITTERS      fixed bin(31) value(6569);
                                      /* db2atld starting all the    */
                                      /* splitters                   */
 dcl SQLU_WAITING_FOR_SPLITTERS       fixed bin(31) value(6570);
                                      /* db2atld waiting for         */
                                      /* splitters to finish         */
 dcl SQLU_WAITING_FOR_LOADS           fixed bin(31) value(6571);
                                      /* db2atld waiting for load    */
                                      /* to complete                 */
 dcl SQLU_LOAD_STARTED                fixed bin(31) value(6572);
                                      /* db2atld load has started    */
 dcl SQLU_SPLIT_RESULT                fixed bin(31) value(6573);
                                      /* db2atld splitters has       */
                                      /* finished                    */
 dcl SQLU_DATA_READ_STATUS            fixed bin(31) value(6574);
                                      /* db2atld Bytes read thus     */
                                      /* far                         */
 dcl SQLU_TOTAL_DATA_READ             fixed bin(31) value(6575);
                                      /* db2atld total size of data  */
                                      /* read                        */
 dcl SQLU_THREAD_ERR                  fixed bin(31) value(-6576);
                                      /* db2atld threading error     */
 dcl SQLU_ATLD_ROWCOUNT_ERROR         fixed bin(31) value(-6577);
                                      /* db2atld does not support    */
                                      /* rowcount                    */
 dcl SQLU_ATLD_WRT_NULL_DEV_ERR       fixed bin(31) value(-6578);
                                      /* db2atld can't open /dev     */
                                      /* null                        */
 dcl SQLU_ATLD_POPEN_ERROR            fixed bin(31) value(-6579);
                                      /* db2atld failed in popen     */
 dcl SQLU_ATLD_POPEN_READ_ERROR       fixed bin(31) value(-6580);
                                      /* db2atld failed in popen     */
 dcl SQLU_ATLD_TOO_MANY_SPLITTERS     fixed bin(31) value(-6581);
                                      /* too many splitters          */

 /* Flush Table API Return Codes */
 dcl SQLUF_TABLE_NOT_AT_NODE          fixed bin(31) value(-6024);
                                      /* Table not at this node      */

 /* sqlugrpi, sqlugrpn, and sqlugtpi return codes */
 dcl SQLUG_INVALID_AUTHID             fixed bin(31)
                                      value(SQLUS_INVALID_AUTHID);
                                      /* Invalid authid              */
 dcl SQLUG_INVALID_TABLE_NAME         fixed bin(31)
                                      value(SQLUS_INVALID_TABLE_NAME );
                                      /* invalid table               */
 dcl SQLUG_CBI                        fixed bin(31) value(SQLUE_CBI );
                                      /* Interrupt                   */
 dcl SQLUG_TABLE_NOT_FOUND            fixed bin(31)
                                      value(SQLUR_TABLE_NOT_FOUND );
                                      /* Table not exist             */
 dcl SQLUG_RC_INSAUTH                 fixed bin(31) value(-6023);
                                      /* Insufficient authorization  */
 dcl SQLUG_NULL_PARTKEY               fixed bin(31) value(-6038);
                                      /* No partitioning key         */
 dcl SQLUG_NULL_NOTALLOWED            fixed bin(31) value(-6039);
                                      /* Nulls not allowed           */
 dcl SQLUG_DECIMAL_FORMAT_CONFLICT    fixed bin(31) value(-2755);
                                      /* decimal format conflict     */
 dcl SQLUG_INVALID_SYNTAX             fixed bin(31) value(-6044);
                                      /* Invalid syntax              */
 dcl SQLUG_INVALID_DATATYPE           fixed bin(31) value(-6045);
                                      /* Invalid datatype            */
 dcl SQLF_RC_INVALID_DYNQUERYMGMT     fixed bin(31) value(-29000);
                                      /* Invalid dynamic query mgmt  */
                                      /* flag                        */

 /* obsolete database manager configuration parameter tokens */
 dcl SQLF_KTN_SVRIOBLK       fixed bin(31) value(3);
 dcl SQLF_KTN_SQLENSEG       fixed bin(31) value(5);
 dcl SQLF_KTN_COMHEAPSZ      fixed bin(31) value(8);
 dcl SQLF_KTN_RSHEAPSZ       fixed bin(31) value(9);
 dcl SQLF_KTN_NUMRC          fixed bin(31) value(10);
 dcl SQLF_KTN_CUINTERVAL     fixed bin(31) value(14);
 dcl SQLF_KTN_SQLSTMTSZ      fixed bin(31) value(17);
 dcl SQLF_KTN_COMHEAPSZ_P    fixed bin(31) value(50);
 dcl SQLF_KTN_RSHEAPSZ_P     fixed bin(31) value(51);
 dcl SQLF_KTN_IPX_FILESERVER fixed bin(31) value(SQLF_KTN_FILESERVER);
 dcl SQLF_KTN_IPX_OBJECTNAME fixed bin(31) value(SQLF_KTN_OBJECTNAME);
 dcl SQLF_KTN_ADSM_PASSWORD  fixed bin(31) value(93);
 dcl SQLF_KTN_ADSM_NODENAME  fixed bin(31) value(94);
 dcl SQLF_KTN_ADSM_OWNER     fixed bin(31) value(95);
 dcl SQLF_KTN_MAX_IDLEAGENTS fixed bin(31) value(60);

 /* obsolete database configuration parameter tokens */
 dcl SQLF_DBTN_LOGFILE       fixed bin(31) value(4);
 dcl SQLF_DBTN_MAXTOTFILOP   fixed bin(31) value(10);
 dcl SQLF_DBTN_LOGEXT        fixed bin(31) value(12);
 dcl SQLF_DBTN_LOGMAXEXT     fixed bin(31) value(13);
 dcl SQLF_DBTN_AGENTHEAP     fixed bin(31) value(14);
 dcl SQLF_DBTN_SEGPAGES      fixed bin(31) value(123);
 dcl SQLF_DBTN_BUFFPAGE      fixed bin(31) value(2);
 dcl SQLF_DBTN_SORTHEAP      fixed bin(31) value(91);
 dcl SQLF_DBTN_SORTHEAPSZ_P  fixed bin(31) value(SQLF_DBTN_SORT_HEAP);
 dcl SQLF_DBTN_DBHEAP        fixed bin(31) value(50);
 dcl SQLF_DBTN_DBHEAP_P      fixed bin(31) value(SQLF_DBTN_DBHEAP);
 dcl SQLF_DBTN_APPLHEAPSZ_P  fixed bin(31) value(SQLF_DBTN_APPLHEAPSZ);
 dcl SQLF_DBTN_STMTHEAPSZ_P  fixed bin(31) value(SQLF_DBTN_STMTHEAP);
 dcl SQLF_DBTN_LOGFILSIZ     fixed bin(31) value(18);
 dcl SQLF_DBTN_MULTIPGAL     fixed bin(31) value(504);
 dcl SQLF_DBTN_ADSM_PASSWD   fixed bin(31) value(501);
 dcl SQLF_DBTN_NEXTACTIVE    fixed bin(31) value(107);
 dcl SQLF_DBTN_DL_NUM_BACKUP fixed bin(31) value(352);
 dcl SQLF_DBTN_DETS          fixed bin(31) value(21);
 dcl SQLF_DBTN_INTFLAGS      fixed bin(31) value(104);
 dcl SQLF_DBTN_ADSM_PASSWORD fixed bin(31)
                             value(SQLF_DBTN_TSM_PASSWORD);
 dcl SQLF_DBTN_ADSM_OWNER    fixed bin(31) value(SQLF_DBTN_TSM_OWNER);
 dcl SQLF_DBTN_ADSM_NODENAME
                             fixed bin(31)
                             value(SQLF_DBTN_TSM_NODENAME);
 dcl SQLF_DBTN_ADSM_MGMTCLASS fixed bin(31)
                             value(SQLF_DBTN_TSM_MGMTCLASS);
 dcl SQLF_DBTN_LOCKLIST      fixed bin(31) value(1);

 /* obsolete config parm assorted defines */
 dcl SQLFDMCA    fixed bin(31) value(-1); /* Default maxcagents      */
 dcl SQLFDMXD    fixed bin(31) value(-1); /* Default maxdari         */
 dcl SQLFDAPR    fixed bin(31) value(-1); /* Default agentpri        */
 dcl SQLFMKPD    fixed bin(31) value(0);  /* keepdari - no           */
 dcl SQLFXKPD    fixed bin(31) value(1);  /* keepdari - yes          */

 /* obsolete defines for SQLF_DBTN_DETS */
 dcl SQLF_COPY_NOPROT         type sqluint32 value('0'xu);
                              /* xxxx xxxx xxxx xxx0                 */
 dcl SQLF_COPY_PROTECT        type sqluint32 value('1'xu);
                              /* xxxx xxxx xxxx xxx1                 */
 dcl SQLF_ENABLE_LOG_RETAIN   type sqluint32 value('2'xu);
                              /* xxxx xxxx xxxx xx1x                 */
 dcl SQLF_ENABLE_USER_EXIT    type sqluint32 value('4'xu);
                              /* xxxx xxxx xxxx x1xx                 */
 dcl SQLF_ENABLE_AUTO_RESTART type sqluint32 value('8'xu);
                              /* xxxx xxxx xxxx 1xxx                 */
 dcl SQLF_ENABLE_LOGRETAIN_CAPTURE type sqluint32 value('10'xu);
                              /* xxxx xxxx xxx1 xxxx                 */
 dcl SQLF_ENABLE_TRACKMOD     type sqluint32 value('20'xu);
                              /* xxxx xxxx xx1x xxxx                 */

 /* obsolete defines for SQLF_DBTN_INTFLAGS */
 dcl SQLF_CONSISTENT          type sqluint32 value('1'xu);
                              /* xxxx xxxx xxxx xxx1                 */
 dcl SQLF_BACKUP_PENDING      type sqluint32 value('4'xu);
                              /* xxxx xxxx xxxx x1xx                 */
 dcl SQLF_ROLLFWD_PENDING     type sqluint32 value('8'xu);
                              /* xxxx xxxx xxxx 1xxx                 */
 dcl SQLF_LOG_RETAIN          type sqluint32 value('10'xu);
                              /* xxxx xxxx xxx1 xxxx                 */
 dcl SQLF_USER_EXIT           type sqluint32 value('20'xu);
                              /* xxxx xxxx xx1x xxxx                 */
 dcl SQLF_TBS_ROLLFWD         type sqluint32 value('40'xu);
                              /* xxxx xxxx x1xx xxxx                 */
 dcl SQLF_RESTORE_PENDING     type sqluint32 value('80'xu);
                              /* xxxx xxxx 1xxx xxxx                 */

 /* Obsolete media types */
 dcl SQLU_ADSM_MEDIA          char value('A');   /* ADSM             */

 /* Repository for obsolete prototypes */

 dcl sqlfeudb
     entry (char (*) varz byaddr,     /* database                     */
            char (*) varz byaddr optional, /* password                */
            fixed bin(16) unsigned,   /* count                        */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfeudb');

                                      /* Update Database Configuration*/
 dcl sqlgeudb
     entry (fixed bin(16) unsigned, /* reserved                       */
            fixed bin(16) unsigned, /* database alias length          */
            fixed bin(16) unsigned, /* number of entries being        */
                                    /* modified                       */
            (*) fixed bin(16) unsigned byaddr, /* list of item lengths*/
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer,                  /* SQLCA                        */
            pointer,                  /* reserved                     */
            pointer)                  /* database alias               */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgeudb');


 dcl sqlgrdbc                         /* Reset Database Configuration */
     entry (fixed bin(16) unsigned,   /* Spare1                       */
            fixed bin(16) unsigned,   /* Database name length         */
            pointer,                  /* SQLCA                        */
            pointer,                  /* Spare2                       */
            char(*) varz byaddr)      /* database                     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgrdbc');


 dcl sqlgxdbc                         /* Return Database Configuration*/
     entry (fixed bin(16) unsigned,   /* Spare1                       */
            fixed bin(16) unsigned,   /* Database name length         */
            fixed bin(16) unsigned,   /* count                        */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer,                  /* SQLCA                        */
            pointer,                  /* Spare2                       */
            char(*) varz byaddr)      /* database                     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgxdbc');

 /*********************************************************************/
 /*                                                                   */
 /* The following functions and symbols are obsolete and may not be   */
 /* supported in future releases. The obsolete functions are provided */
 /* for backward compatibility and exported from DB2API.LIB.          */
 /* All applications should be migrated to use new APIs.              */
 /* Note: Some of the function parameters may be NO-OP.               */
 /*                                                                   */
 /*********************************************************************/

 dcl sqlfrdbc
     entry (char(*) varz byaddr,      /* database                     */
            char(*) varz byaddr optional, /* password                 */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfrdbc');

 dcl sqlfxdbc
     entry (char(*) varz byaddr,      /* database alias               */
            char(*) varz byaddr optional, /* password                 */
            fixed bin(16) unsigned,   /* count of entries being       */
                                      /* returned                     */
            (*) type sqlfupd byaddr,  /* list of items                */
            pointer)                  /* SQLCA                        */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlfxdbc');

 /* Provide info about a tableSpace in a database */
 define structure
   1 SQLB_TBSQRY_DATA,
     2 id           type sqluint32,/* internal id for the pool        */
     2 nameLen      type sqluint32,/* length of the name (for cobol   */
                                   /* and other nonC lang.)           */
     2 name        char(SQLB_MAX_TBS_NAME_SZ - 1) varz,
     2 totalPages   type sqluint32,/* DMS : Pages specified by CREATE */
                                   /*       TABLESPACE.               */
                                   /* SMS : N/A                       */
     2 useablePages type sqluint32,/* DMS : totalPages - overhead     */
                                   /* SMS : N/A                       */
     2 flags        type sqluint32,/* bit attributes for the pool --  */
                                   /* includes 'class' & other stuff  */
                                   /* to be defined                   */
     2 pageSize     type sqluint32,/* pagesize of tablespace (in      */
                                   /* bytes)..currently fixed at 4K   */
     2 extSize      type sqluint32,/* extent size (in pages)          */
     2 prefetchSize type sqluint32,/* prefetch size                   */
     2 nContainers  type sqluint32,/* number of containers            */
     2 tbsState     type sqluint32,/* SQLB_NORMAL, SQLB_LOAD_PENDING, */
                                   /* etc.                            */
     2 lifeLSN      char(6),       /* 'timestamp' identifying the     */
                                   /* origin of the tbs               */
     2 pad          char(2);       /* for alignment                   */

 dcl sqlgstsq                         /* Single TableSpace Query      */
     entry (pointer,                  /* SQLCA                        */
            type sqluint32,               /* in: tableSpace id        */
            type SQLB_TBSQRY_DATA byaddr) /* out: tableSpace data     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgstsq');

 dcl sqlgftsq                         /* Fetch TableSpace Query       */
     entry (pointer,
            type sqluint32,           /* size of output area          */
            (*) type SQLB_TBSQRY_DATA byaddr,
                                      /* out: array of length maxTbs  */
            type sqluint32 byaddr)    /* out: #data entries returned  */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgftsq');

 dcl sqlgtsq                          /* TableSpace Query             */
     entry (pointer,
            type sqluint32 byaddr,    /* out: total number of         */
                                      /* table spaces                 */
            handle SQLB_TBSQRY_DATA byaddr) /* out: mem returned to   */
                                            /* application            */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlgtsq');

 /* stsq - Single TableSpace Query                                    */
 dcl sqlbstsq                         /* Single Tablespace Query      */
     entry (pointer,                  /* SQLCA                        */
            type sqluint32,               /* in: tableSpace id        */
            type SQLB_TBSQRY_DATA byaddr) /* out: tableSpace data     */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbstsq');

 /* ftsq - Fetch TableSpace Query -> fetch the next block of tbs data */
 dcl sqlbftsq                         /* Fetch Tablespace Query       */
     entry (pointer,                  /* SQLCA                        */
            type sqluint32,           /* max num of tbs the           */
                                      /* output area can hold         */
            type SQLB_TBSQRY_DATA byaddr, /* out: array of length     */
                                          /* maxTbs                   */
            type sqluint32 byaddr)    /* out: #data entries returned  */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbftsq');

 /* tsq - TableSpace Query -> uses the above primitives to return the */
 /* FULL list of tablespaces in an array allocated and returned to    */
 /* the application.  The application should free this memory with    */
 /* the sqle api when it is finished with it. Even if this api fails  */
 /* with an 'insufficient memory' error, 'nTbs' is set to the number  */
 /* of tablespaces in the database. 'nTbs' is set to zero if we fail  */
 /* to sucessfully open a query. 'tbsData' is returned as NULL        */
 /* (0, no mem alloc) if we fail for any reason.                      */

 dcl sqlbtsq                          /* Tablespace Query             */
     entry (pointer,                  /* SQLCA                        */
            type sqlint32 byaddr,     /* out: total number of         */
                                      /* table spaces                 */
            handle SQLB_TBSQRY_DATA byaddr) /* out: mem returned to   */
                                            /* application            */
     returns (byvalue optional type SQL_API_RC)
     SQL_API_FN external('sqlbtsq');

 dcl DB2_DB_SUSPEND_NONE                 fixed bin(31) value(0);
                                         /* No action at all          */
 dcl DB2_DB_SUSPEND_WRITE                fixed bin(31) value(1);
                                         /* Set write suspend for     */
                                         /* database                  */
 dcl DB2_DB_RESUME_WRITE                 fixed bin(31) value(2);
                                         /* Set write resume for      */
                                         /* database                  */
 dcl DB2_TS_SUSPEND_WRITE                fixed bin(31) value(10);
                                         /* Set write suspend for     */
                                         /* tablespaces               */
 dcl DB2_TS_RESUME_WRITE                 fixed bin(31) value(20);
                                         /* Set write resume for      */
                                         /* tablespaces               */

 /* New API for suspended I/O: This function will be called by CLP    */
 /* command processor to initiate suspend or resume I/O write.        */

 dcl SLQUI_TINTO                      fixed bin(31) value(SQLUI_TINTO);
                                        /* invalid into in tcolstrg  */
 /********************************************************************/
 /*                                                                  */
 /* End of obsolete functions and symbols                            */
 /*                                                                  */
 /********************************************************************/

 %end; /* SQL_H_SQLUTIL */
