 /*********************************************************************/
 /*                                                                   */
 /*  winbase.cpy -- This module defines the 32-Bit Windows Base APIs  */
 /*                                                                   */
 /*  Copyright (c) 1990-1999, Microsoft Corp. All rights reserved.    */
 /*                                                                   */
 /*********************************************************************/

 %dcl #WINBASE_ char ext;
 %if #WINBASE_ = '' %then %do;
 %#WINBASE_ = 'Y';

 %dcl #WINDEF_ char ext;
 %if #WINDEF_ = '' %then %do;
 %include windef;
 %end;

 %dcl WINVER         fixed ext; /* 1024 = NT4, 1280 = Windows 2000 */
 %dcl #WIN32_WINNT   fixed ext; /* 1281 = Windows XP               */
 %dcl #WIN32_WINDOWS fixed ext;

 %if WINVER         = 0 %then %WINVER         = 1281;
 %if #WIN32_WINNT   = 0 %then %#WIN32_WINNT   = WINVER;
 %if #WIN32_WINDOWS = 0 %then %#WIN32_WINDOWS = WINVER;

 %dcl UNICODE char ext;

 /* Define API decoration for direct importing of DLL references. */

 %dcl WINADVAPI char ext;
 %WINADVAPI = '';

 %dcl WINBASEAPI char ext;
 %WINBASEAPI = '';

 %dcl ZAWPROXYAPI char ext;
 %ZAWPROXYAPI = '';

 /* Obsolete 16-bit APIS omitted */
 /* DefineHandleTable(w) */
 /* LimitEmsPages(dw)    */
 /* SetSwapAreaSize(w)   */
 /* LockSegment(w)       */
 /* UnlockSegment(w)     */


 GetCurrentTime: proc
                 returns (type DWORD byvalue)
                 options (inline reorder) internal;
   return (GetTickCount());
 end GetCurrentTime;

 Yield: proc options (inline reorder) internal;
   return; /* does nothing */
 end Yield;


 dcl INVALID_HANDLE_VALUE type HANDLE value(ptrvalue(-1));
 dcl INVALID_FILE_SIZE    type DWORD  value('ffffffff'xu);

 dcl FILE_BEGIN   fixed bin(31) value(0);
 dcl FILE_CURRENT fixed bin(31) value(1);
 dcl FILE_END     fixed bin(31) value(2);

 dcl TIME_ZONE_ID_INVALID type DWORD  value('FFFFFFFF'xu);

 dcl WAIT_FAILED          type DWORD  value('FFFFFFFF'xu);

 dcl WAIT_OBJECT_0        type DWORD value(STATUS_WAIT_0);

 dcl WAIT_ABANDONED       type DWORD value(STATUS_ABANDONED_WAIT_0 + 0);
 dcl WAIT_ABANDONED_0     type DWORD value(STATUS_ABANDONED_WAIT_0 + 0);

 dcl WAIT_TIMEOUT                       type DWORD
     value(STATUS_TIMEOUT);
 dcl WAIT_IO_COMPLETION                 type DWORD
     value(STATUS_USER_APC);
 dcl STILL_ACTIVE                       type DWORD
     value(STATUS_PENDING);
 dcl EXCEPTION_ACCESS_VIOLATION         type DWORD
     value(STATUS_ACCESS_VIOLATION);
 dcl EXCEPTION_DATATYPE_MISALIGNMENT    type DWORD
     value(STATUS_DATATYPE_MISALIGNMENT);
 dcl EXCEPTION_BREAKPOINT               type DWORD
     value(STATUS_BREAKPOINT);
 dcl EXCEPTION_SINGLE_STEP              type DWORD
     value(STATUS_SINGLE_STEP);
 dcl EXCEPTION_ARRAY_BOUNDS_EXCEEDED    type DWORD
     value(STATUS_ARRAY_BOUNDS_EXCEEDED);
 dcl EXCEPTION_FLT_DENORMAL_OPERAND     type DWORD
     value(STATUS_FLOAT_DENORMAL_OPERAND);
 dcl EXCEPTION_FLT_DIVIDE_BY_ZERO       type DWORD
     value(STATUS_FLOAT_DIVIDE_BY_ZERO);
 dcl EXCEPTION_FLT_INEXACT_RESULT       type DWORD
     value(STATUS_FLOAT_INEXACT_RESULT);
 dcl EXCEPTION_FLT_INVALID_OPERATION    type DWORD
     value(STATUS_FLOAT_INVALID_OPERATION);
 dcl EXCEPTION_FLT_OVERFLOW             type DWORD
     value(STATUS_FLOAT_OVERFLOW);
 dcl EXCEPTION_FLT_STACK_CHECK          type DWORD
     value(STATUS_FLOAT_STACK_CHECK);
 dcl EXCEPTION_FLT_UNDERFLOW            type DWORD
     value(STATUS_FLOAT_UNDERFLOW);
 dcl EXCEPTION_INT_DIVIDE_BY_ZERO       type DWORD
     value(STATUS_INTEGER_DIVIDE_BY_ZERO);
 dcl EXCEPTION_INT_OVERFLOW             type DWORD
     value(STATUS_INTEGER_OVERFLOW);
 dcl EXCEPTION_PRIV_INSTRUCTION         type DWORD
     value(STATUS_PRIVILEGED_INSTRUCTION);
 dcl EXCEPTION_IN_PAGE_ERROR            type DWORD
     value(STATUS_IN_PAGE_ERROR);
 dcl EXCEPTION_ILLEGAL_INSTRUCTION      type DWORD
     value(STATUS_ILLEGAL_INSTRUCTION);
 dcl EXCEPTION_NONCONTINUABLE_EXCEPTION type DWORD
     value(STATUS_NONCONTINUABLE_EXCEPTION);
 dcl EXCEPTION_STACK_OVERFLOW           type DWORD
     value(STATUS_STACK_OVERFLOW);
 dcl EXCEPTION_INVALID_DISPOSITION      type DWORD
     value(STATUS_INVALID_DISPOSITION);
 dcl EXCEPTION_GUARD_PAGE               type DWORD
     value(STATUS_GUARD_PAGE_VIOLATION);
 dcl EXCEPTION_INVALID_HANDLE           type DWORD
     value(STATUS_INVALID_HANDLE);
 dcl CONTROL_C_EXIT                     type DWORD
     value(STATUS_CONTROL_C_EXIT);

 %dcl MoveMemory char ext;
 %MoveMemory = 'RtlMoveMemory';
 %dcl CopyMemory char ext;
 %CopyMemory = 'RtlCopyMemory';
 %dcl FillMemory char ext;
 %FillMemory = 'RtlFillMemory';
 %dcl ZeroMemory char ext;
 %ZeroMemory = 'RtlZeroMemory';


 /* File creation flags must start at the high end since they */
 /* are combined with the attributes */

 dcl FILE_FLAG_WRITE_THROUGH      type DWORD value('80000000'xu);
 dcl FILE_FLAG_OVERLAPPED         type DWORD value('40000000'xu);
 dcl FILE_FLAG_NO_BUFFERING       type DWORD value('20000000'xu);
 dcl FILE_FLAG_RANDOM_ACCESS      type DWORD value('10000000'xu);
 dcl FILE_FLAG_SEQUENTIAL_SCAN    type DWORD value('08000000'xu);
 dcl FILE_FLAG_DELETE_ON_CLOSE    type DWORD value('04000000'xu);
 dcl FILE_FLAG_BACKUP_SEMANTICS   type DWORD value('02000000'xu);
 dcl FILE_FLAG_POSIX_SEMANTICS    type DWORD value('01000000'xu);
 dcl FILE_FLAG_OPEN_REPARSE_POINT type DWORD value('00200000'xu);
 dcl FILE_FLAG_OPEN_NO_RECALL     type DWORD value('00100000'xu);

 dcl CREATE_NEW        fixed bin(31) value(1);
 dcl CREATE_ALWAYS     fixed bin(31) value(2);
 dcl OPEN_EXISTING     fixed bin(31) value(3);
 dcl OPEN_ALWAYS       fixed bin(31) value(4);
 dcl TRUNCATE_EXISTING fixed bin(31) value(5);


 %if (#WIN32_WINNT >= 1024) %then %do;

 /* Define possible return codes from the CopyFileEx callback routine */

 dcl PROGRESS_CONTINUE fixed bin(31) value(0);
 dcl PROGRESS_CANCEL   fixed bin(31) value(1);
 dcl PROGRESS_STOP     fixed bin(31) value(2);
 dcl PROGRESS_QUIET    fixed bin(31) value(3);


 /* Define CopyFileEx callback routine state change values */

 dcl CALLBACK_CHUNK_FINISHED         type DWORD value('00000000'xu);
 dcl CALLBACK_STREAM_SWITCH          type DWORD value('00000001'xu);


 /* Define CopyFileEx option flags */

 dcl COPY_FILE_FAIL_IF_EXISTS        type DWORD value('00000001'xu);
 dcl COPY_FILE_RESTARTABLE           type DWORD value('00000002'xu);
 dcl COPY_FILE_OPEN_SOURCE_FOR_WRITE type DWORD value('00000004'xu);
 %end; /* #WIN32_WINNT >= 0x0400 */

 %if (#WIN32_WINNT >= 1024) %then %do;
 /* Define ReplaceFile option flags */

 dcl REPLACEFILE_WRITE_THROUGH       type DWORD value('00000001'xu);
 dcl REPLACEFILE_IGNORE_MERGE_ERRORS type DWORD value('00000002'xu);
 %end; /* #WIN32_WINNT >= 0x0500 */

 /* Define the NamedPipe definitions */

 /* Define the dwOpenMode values for CreateNamedPipe */

 dcl PIPE_ACCESS_INBOUND   type DWORD value('00000001'xu);
 dcl PIPE_ACCESS_OUTBOUND  type DWORD value('00000002'xu);
 dcl PIPE_ACCESS_DUPLEX    type DWORD value('00000003'xu);


 /* Define the Named Pipe End flags for GetNamedPipeInfo */

 dcl PIPE_CLIENT_END       type DWORD value('00000000'xu);
 dcl PIPE_SERVER_END       type DWORD value('00000001'xu);


 /* Define the dwPipeMode values for CreateNamedPipe */

 dcl PIPE_WAIT             type DWORD value('00000000'xu);
 dcl PIPE_NOWAIT           type DWORD value('00000001'xu);
 dcl PIPE_READMODE_BYTE    type DWORD value('00000000'xu);
 dcl PIPE_READMODE_MESSAGE type DWORD value('00000002'xu);
 dcl PIPE_TYPE_BYTE        type DWORD value('00000000'xu);
 dcl PIPE_TYPE_MESSAGE     type DWORD value('00000004'xu);


 /* Define the well known values for CreateNamedPipe nMaxInstances */

 dcl PIPE_UNLIMITED_INSTANCES fixed bin(31) value(255);


 /* Define the Security Quality of Service bits to be passed */
 /* into CreateFile                                          */

 dcl SECURITY_ANONYMOUS        fixed bin(31)
     value( raise2(binvalue(SecurityAnonymous),      16));
 dcl SECURITY_IDENTIFICATION   fixed bin(31)
     value( raise2(binvalue(SecurityIdentification), 16));
 dcl SECURITY_IMPERSONATION    fixed bin(31)
     value( raise2(binvalue(SecurityImpersonation),  16));
 dcl SECURITY_DELEGATION       fixed bin(31)
     value( raise2(binvalue(SecurityDelegation),     16));

 dcl SECURITY_CONTEXT_TRACKING fixed bin(31) value('00040000'xu);
 dcl SECURITY_EFFECTIVE_ONLY   fixed bin(31) value('00080000'xu);

 dcl SECURITY_SQOS_PRESENT     fixed bin(31) value('00100000'xu);
 dcl SECURITY_VALID_SQOS_FLAGS fixed bin(31) value('001F0000'xu);

 /*  File structures */

 define structure
   1 OVERLAPPED,
     2 Internal     type DWORD,
     2 InternalHigh type DWORD,
     2 Offset       type DWORD,
     2 OffsetHigh   type DWORD,
     2 hEvent       type HANDLE;
 define alias LPOVERLAPPED handle OVERLAPPED;

 define alias LPOVERLAPPED_COMPLETION_ROUTINE
        entry (type DWORD,
               type DWORD,
               type OVERLAPPED byaddr optional)
        limited WINAPI;

 %dcl #SECURITY_ATTRIBUTES_ char ext;
 %if #SECURITY_ATTRIBUTES_ = '' %then %do;
 %#SECURITY_ATTRIBUTES_ = 'Y';
 define structure
   1 SECURITY_ATTRIBUTES,
     2 nLength              type DWORD,
     2 lpSecurityDescriptor type LPVOID,
     2 bInheritHandle       type BOOL;
 define alias  PSECURITY_ATTRIBUTES handle SECURITY_ATTRIBUTES;
 define alias LPSECURITY_ATTRIBUTES handle SECURITY_ATTRIBUTES;
 %end; /* !_SECURITY_ATTRIBUTES_ */


 define structure
   1 PROCESS_INFORMATION,
     2 hProcess    type HANDLE,
     2 hThread     type HANDLE,
     2 dwProcessId type DWORD,
     2 dwThreadId  type DWORD;
 define alias  PPROCESS_INFORMATION handle PROCESS_INFORMATION;
 define alias LPPROCESS_INFORMATION handle PROCESS_INFORMATION;


 %dcl #FILETIME_ char ext;
 %if #FILETIME_ = '' %then %do;
 %#FILETIME_ = 'Y';
 /*  File System time stamps are represented with the following */
 /*  structure:                                                 */

 define structure
   1 FILETIME,
     2 dwLowDateTime  type DWORD,
     2 dwHighDateTime type DWORD;
 define alias  PFILETIME handle FILETIME;
 define alias LPFILETIME handle FILETIME;
 %end; /* !_FILETIME */

 %dcl #SYSTEMTIME_ char ext;
 %if #SYSTEMTIME_ = '' %then %do;
 %#SYSTEMTIME_ = 'Y';
 /* System time is represented with the following structure: */

 define structure
   1 SYSTEMTIME,
     2 wYear         type WORD,
     2 wMonth        type WORD,
     2 wDayOfWeek    type WORD,
     2 wDay          type WORD,
     2 wHour         type WORD,
     2 wMinute       type WORD,
     2 wSecond       type WORD,
     2 wMilliseconds type WORD;
 define alias  PSYSTEMTIME handle SYSTEMTIME;
 define alias LPSYSTEMTIME handle SYSTEMTIME;
 %end; /* !_SYSTEMTIME */


 define alias PTHREAD_START_ROUTINE
        entry (type LPVOID)
        returns (type DWORD optional byvalue)
        limited WINAPI;
 define alias LPTHREAD_START_ROUTINE type PTHREAD_START_ROUTINE;

 %if (#WIN32_WINNT >= 1024) %then %do;
 define alias PFIBER_START_ROUTINE
        entry (type LPVOID)
        limited WINAPI;
 define alias LPFIBER_START_ROUTINE type PFIBER_START_ROUTINE;
 %end; /* _WIN32_WINNT >= 0x0400 */

 define alias   CRITICAL_SECTION type RTL_CRITICAL_SECTION;
 define alias  PCRITICAL_SECTION type PRTL_CRITICAL_SECTION;
 define alias LPCRITICAL_SECTION type PRTL_CRITICAL_SECTION;

 define alias   CRITICAL_SECTION_DEBUG type RTL_CRITICAL_SECTION_DEBUG;
 define alias  PCRITICAL_SECTION_DEBUG type PRTL_CRITICAL_SECTION_DEBUG;
 define alias LPCRITICAL_SECTION_DEBUG type PRTL_CRITICAL_SECTION_DEBUG;

 define alias LPLDT_ENTRY type PLDT_ENTRY;

 dcl MUTEX_MODIFY_STATE fixed bin(31) value (MUTANT_QUERY_STATE);
 dcl MUTEX_ALL_ACCESS   fixed bin(31) value (MUTANT_ALL_ACCESS);


 /* Serial provider type. */

 dcl SP_SERIALCOMM type DWORD  value('00000001'xu);

 /* Provider SubTypes */

 dcl PST_UNSPECIFIED    type DWORD  value('00000000'xu);
 dcl PST_RS232          type DWORD  value('00000001'xu);
 dcl PST_PARALLELPORT   type DWORD  value('00000002'xu);
 dcl PST_RS422          type DWORD  value('00000003'xu);
 dcl PST_RS423          type DWORD  value('00000004'xu);
 dcl PST_RS449          type DWORD  value('00000005'xu);
 dcl PST_MODEM          type DWORD  value('00000006'xu);
 dcl PST_FAX            type DWORD  value('00000021'xu);
 dcl PST_SCANNER        type DWORD  value('00000022'xu);
 dcl PST_NETWORK_BRIDGE type DWORD  value('00000100'xu);
 dcl PST_LAT            type DWORD  value('00000101'xu);
 dcl PST_TCPIP_TELNET   type DWORD  value('00000102'xu);
 dcl PST_X25            type DWORD  value('00000103'xu);

 /* Provider capabilities flags. */

 dcl PCF_DTRDSR         type DWORD  value('0001'xu);
 dcl PCF_RTSCTS         type DWORD  value('0002'xu);
 dcl PCF_RLSD           type DWORD  value('0004'xu);
 dcl PCF_PARITY_CHECK   type DWORD  value('0008'xu);
 dcl PCF_XONXOFF        type DWORD  value('0010'xu);
 dcl PCF_SETXCHAR       type DWORD  value('0020'xu);
 dcl PCF_TOTALTIMEOUTS  type DWORD  value('0040'xu);
 dcl PCF_INTTIMEOUTS    type DWORD  value('0080'xu);
 dcl PCF_SPECIALCHARS   type DWORD  value('0100'xu);
 dcl PCF_16BITMODE      type DWORD  value('0200'xu);

 /* Comm provider settable parameters. */

 dcl SP_PARITY          type DWORD  value('0001'xu);
 dcl SP_BAUD            type DWORD  value('0002'xu);
 dcl SP_DATABITS        type DWORD  value('0004'xu);
 dcl SP_STOPBITS        type DWORD  value('0008'xu);
 dcl SP_HANDSHAKING     type DWORD  value('0010'xu);
 dcl SP_PARITY_CHECK    type DWORD  value('0020'xu);
 dcl SP_RLSD            type DWORD  value('0040'xu);

 /* Settable baud rates in the provider. */

 dcl BAUD_075           type DWORD  value('00000001'xu);
 dcl BAUD_110           type DWORD  value('00000002'xu);
 dcl BAUD_134_5         type DWORD  value('00000004'xu);
 dcl BAUD_150           type DWORD  value('00000008'xu);
 dcl BAUD_300           type DWORD  value('00000010'xu);
 dcl BAUD_600           type DWORD  value('00000020'xu);
 dcl BAUD_1200          type DWORD  value('00000040'xu);
 dcl BAUD_1800          type DWORD  value('00000080'xu);
 dcl BAUD_2400          type DWORD  value('00000100'xu);
 dcl BAUD_4800          type DWORD  value('00000200'xu);
 dcl BAUD_7200          type DWORD  value('00000400'xu);
 dcl BAUD_9600          type DWORD  value('00000800'xu);
 dcl BAUD_14400         type DWORD  value('00001000'xu);
 dcl BAUD_19200         type DWORD  value('00002000'xu);
 dcl BAUD_38400         type DWORD  value('00004000'xu);
 dcl BAUD_56K           type DWORD  value('00008000'xu);
 dcl BAUD_128K          type DWORD  value('00010000'xu);
 dcl BAUD_115200        type DWORD  value('00020000'xu);
 dcl BAUD_57600         type DWORD  value('00040000'xu);
 dcl BAUD_USER          type DWORD  value('10000000'xu);

 /* Settable Data Bits */

 dcl DATABITS_5         type WORD  value('0001'xu);
 dcl DATABITS_6         type WORD  value('0002'xu);
 dcl DATABITS_7         type WORD  value('0004'xu);
 dcl DATABITS_8         type WORD  value('0008'xu);
 dcl DATABITS_16        type WORD  value('0010'xu);
 dcl DATABITS_16X       type WORD  value('0020'xu);

 /* Settable Stop and Parity bits. */

 dcl STOPBITS_10        type WORD  value('0001'xu);
 dcl STOPBITS_15        type WORD  value('0002'xu);
 dcl STOPBITS_20        type WORD  value('0004'xu);
 dcl PARITY_NONE        type WORD  value('0100'xu);
 dcl PARITY_ODD         type WORD  value('0200'xu);
 dcl PARITY_EVEN        type WORD  value('0400'xu);
 dcl PARITY_MARK        type WORD  value('0800'xu);
 dcl PARITY_SPACE       type WORD  value('1000'xu);

 define structure
   1 COMMPROP,
     2 wPacketLength       type WORD,
     2 wPacketVersion      type WORD,
     2 dwServiceMask       type DWORD,
     2 dwReserved1         type DWORD,
     2 dwMaxTxQueue        type DWORD,
     2 dwMaxRxQueue        type DWORD,
     2 dwMaxBaud           type DWORD,
     2 dwProvSubType       type DWORD,
     2 dwProvCapabilities  type DWORD,
     2 dwSettableParams    type DWORD,
     2 dwSettableBaud      type DWORD,
     2 wSettableData       type WORD,
     2 wSettableStopParity type WORD,
     2 dwCurrentTxQueue    type DWORD,
     2 dwCurrentRxQueue    type DWORD,
     2 dwProvSpec1         type DWORD,
     2 dwProvSpec2         type DWORD,
     2 wcProvChar          WCHAR(1);
  define alias LPCOMMPROP handle COMMPROP;


 /* Set dwProvSpec1 to COMMPROP_INITIALIZED to indicate that     */
 /* wPacketLength is valid before a call to GetCommProperties(). */

 dcl COMMPROP_INITIALIZED type DWORD  value('E73CF52E'xu);

 define structure
   1 COMSTAT,
     2 *         bit(1) unaligned, /* note Intel byte order! */
     2 fTxim     bit(1) unaligned,
     2 fEof      bit(1) unaligned,
     2 fXoffSent bit(1) unaligned,
     2 fXoffHold bit(1) unaligned,
     2 fRlsdHold bit(1) unaligned,
     2 fDsrHold  bit(1) unaligned,
     2 fCtsHold  bit(1) unaligned,
     2 fReserved bit(24) unaligned, /* plus bit above! */
     2 cbInQue   type DWORD,
     2 cbOutQue  type DWORD;
 define alias LPCOMSTAT handle COMSTAT;


 /* DTR Control Flow Values. */

 dcl DTR_CONTROL_DISABLE   bit (2) value('00'b); /* 0 */
 dcl DTR_CONTROL_ENABLE    bit (2) value('01'b); /* 1 */
 dcl DTR_CONTROL_HANDSHAKE bit (2) value('10'b); /* 2 */


 /* RTS Control Flow Values */

 dcl RTS_CONTROL_DISABLE   bit (2) value('00'b); /* 0 */
 dcl RTS_CONTROL_ENABLE    bit (2) value('01'b); /* 1 */
 dcl RTS_CONTROL_HANDSHAKE bit (2) value('10'b); /* 2 */
 dcl RTS_CONTROL_TOGGLE    bit (2) value('11'b); /* 3 */

 define structure
   1 DCB,
     2 DCBlength     type DWORD,  /* sizeof(DCB) */
     2 BaudRate      type DWORD,  /* Baudrate at which running */
     2 fTXContinueOnXoff bit(1) unal, /* Continue TX when Xoff sent */
     2 fDsrSensitivity   bit(1) unal, /* DSR Sensitivity */
     2 fDtrControl   bit(2) unal, /* DTR Flow control */
     2 fOutxDsrFlow  bit(1) unal, /* DSR handshaking on output*/
     2 fOutxCtsFlow  bit(1) unal, /* CTS handshaking on output */
     2 fParity       bit(1) unal, /* Enable parity checking */
     2 fBinary       bit(1) unal, /* Binary Mode (skip EOF check)*/
     2 *             bit(1) unal, /* Reserved bit */
     2 fAbortOnError bit(1) unal,/*Abort all reads and writes on Error*/
     2 fRtsControl   bit(2) unal, /* Rts Flow control */
     2 fNull         bit(1) unal, /* Enable Null stripping  */
     2 fErrorChar    bit(1) unal, /* Enable Err Replacement */
     2 fInX          bit(1) unal, /* Enable input X-ON/X-OFF */
     2 fOutX         bit(1) unal, /* Enable output X-ON/X-OFF */
     2 fDummy2       bit(16) unal,/* Reserved, plus bit above */
     2 wReserved     type WORD,   /* Not currently used */
     2 XonLim        type WORD,   /* Transmit X-ON threshold */
     2 XoffLim       type WORD,   /* Transmit X-OFF threshold */
     2 ByteSize      type BYTE,   /* Number of bits/byte, 4-8 */
     2 Parity        type BYTE,   /* 0-4=None,Odd,Even,Mark,Space */
     2 StopBits      type BYTE,   /* 0,1,2 = 1, 1.5, 2 */
     2 XonChar       char(1),     /* Tx and Rx X-ON character */
     2 XoffChar      char(1),     /* Tx and Rx X-OFF character */
     2 ErrorChar     char(1),     /* Error replacement char */
     2 EofChar       char(1),     /* End of Input character */
     2 EvtChar       char(1),     /* Received Event character */
     2 wReserved1    type WORD;   /* Fill for now. */
 define alias LPDCB handle DCB;

 define structure
   1 COMMTIMEOUTS,
     2 ReadIntervalTimeout         type DWORD,
                                   /* Maximum time between read chars.*/
     2 ReadTotalTimeoutMultiplier  type DWORD,
                                   /* Multiplier of characters. */
     2 ReadTotalTimeoutConstant    type DWORD,
                                   /* Constant in milliseconds. */
     2 WriteTotalTimeoutMultiplier type DWORD,
                                   /* Multiplier of characters. */
     2 WriteTotalTimeoutConstant   type DWORD;
                                   /*Constant in milliseconds.  */
 define alias LPCOMMTIMEOUTS handle COMMTIMEOUTS;

 define structure
   1 COMMCONFIG,
     2 dwSize            type DWORD,/* Size of the entire struct */
     2 wVersion          type WORD, /* version of the structure */
     2 wReserved         type WORD, /* alignment */
     2 dcb               type DCB,  /* device control block */
     2 dwProviderSubType type DWORD,/* ordinal value for identifying*/
                           /* provider-defined data structure format*/
     2 dwProviderOffset  type DWORD,/* Specifies the offset of */
             /* provider specific data field in bytes from the start */
     2 dwProviderSize    type DWORD,/* size of the provider-specific */
                                    /* data field ("refer" field) */
     2 wcProviderData    WCHAR(1);  /* provider-specific data */
 define alias LPCOMMCONFIG handle COMMCONFIG;


 define structure
   1 SYSTEM_INFO,
     2 * union,
       3 dwOemId type DWORD, /* Obsolete field...do not use */
       3 * ,
         4 wProcessorArchitecture  type WORD,
         4 wReserved               type WORD,
     2 dwPageSize                  type DWORD,
     2 lpMinimumApplicationAddress type LPVOID,
     2 lpMaximumApplicationAddress type LPVOID,
     2 dwActiveProcessorMask       type DWORD,
     2 dwNumberOfProcessors        type DWORD,
     2 dwProcessorType             type DWORD,
     2 dwAllocationGranularity     type DWORD,
     2 wProcessorLevel             type WORD,
     2 wProcessorRevision          type WORD;
 define alias LPSYSTEM_INFO handle SYSTEM_INFO;

 /* ----------------------------------------*/

 FreeModule: proc (hLibModule)
             returns (type BOOL byvalue optional)
             options (inline reorder) internal;
   dcl hLibModule type HMODULE byvalue;
   return (FreeLibrary (hLibModule));
 end FreeModule;

 MakeProcInstance: proc (lpProc, hInstance)
                   returns (type FARPROC byvalue optional)
                   options (inline reorder) internal;
   dcl lpProc    type FARPROC byvalue,
       hInstance type HINSTANCE byvalue;
   return (lpProc);
 end MakeProcInstance;

 FreeProcInstance: proc (lpProc)
                   returns (type FARPROC byvalue optional)
                   options (inline reorder) internal;
   dcl lpProc    type FARPROC byvalue;
   return (lpProc);
 end FreeProcInstance;

 /* Global Memory Flags */
 dcl GMEM_FIXED          type UINT value('0000'xu);
 dcl GMEM_MOVEABLE       type UINT value('0002'xu);
 dcl GMEM_NOCOMPACT      type UINT value('0010'xu);
 dcl GMEM_NODISCARD      type UINT value('0020'xu);
 dcl GMEM_ZEROINIT       type UINT value('0040'xu);
 dcl GMEM_MODIFY         type UINT value('0080'xu);
 dcl GMEM_DISCARDABLE    type UINT value('0100'xu);
 dcl GMEM_NOT_BANKED     type UINT value('1000'xu);
 dcl GMEM_SHARE          type UINT value('2000'xu);
 dcl GMEM_DDESHARE       type UINT value('2000'xu);
 dcl GMEM_NOTIFY         type UINT value('4000'xu);
 dcl GMEM_LOWER          type UINT value(GMEM_NOT_BANKED);
 dcl GMEM_VALID_FLAGS    type UINT value('7F72'xu);
 dcl GMEM_INVALID_HANDLE type UINT value('8000'xu);

 dcl GHND type UINT value (ior (GMEM_MOVEABLE, GMEM_ZEROINIT));
 dcl GPTR type UINT value (ior (GMEM_FIXED,    GMEM_ZEROINIT));

 /* ----------------------------------------*/

 GlobalLRUNewest: proc (h)
                  returns (type HGLOBAL byvalue optional)
                  options (inline reorder) internal;
   dcl h type HGLOBAL byvalue;
   return (h);
 end GlobalLRUNewest;

 GlobalLROldest: proc (h)
                 returns (type HGLOBAL byvalue optional)
                 options (inline reorder) internal;
   dcl h type HGLOBAL byvalue;
   return (h);
 end GlobalLROldest;

 GlobalDiscard: proc (h)
                returns (type HGLOBAL byvalue optional)
                options (inline reorder) internal;
   dcl h type HGLOBAL byvalue;
   return (GlobalReAlloc (h, 0, GMEM_MOVEABLE));
 end GlobalDiscard;

 /* Flags returned by GlobalFlags (in addition to GMEM_DISCARDABLE) */
 dcl GMEM_DISCARDED type UINT value('4000'xu);
 dcl GMEM_LOCKCOUNT type UINT value('00FF'xu);

 define structure
   1 MEMORYSTATUS,
     2 dwLength        type DWORD,
     2 dwMemoryLoad    type DWORD,
     2 dwTotalPhys     type DWORD,
     2 dwAvailPhys     type DWORD,
     2 dwTotalPageFile type DWORD,
     2 dwAvailPageFile type DWORD,
     2 dwTotalVirtual  type DWORD,
     2 dwAvailVirtual  type DWORD;
 define alias LPMEMORYSTATUS handle MEMORYSTATUS;

 /* Local Memory Flags */
 dcl LMEM_FIXED          type UINT value('0000'xu);
 dcl LMEM_MOVEABLE       type UINT value('0002'xu);
 dcl LMEM_NOCOMPACT      type UINT value('0010'xu);
 dcl LMEM_NODISCARD      type UINT value('0020'xu);
 dcl LMEM_ZEROINIT       type UINT value('0040'xu);
 dcl LMEM_MODIFY         type UINT value('0080'xu);
 dcl LMEM_DISCARDABLE    type UINT value('0F00'xu);
 dcl LMEM_VALID_FLAGS    type UINT value('0F72'xu);
 dcl LMEM_INVALID_HANDLE type UINT value('8000'xu);

 dcl LHND  type UINT value (ior (LMEM_MOVEABLE, LMEM_ZEROINIT));
 dcl LPTR  type UINT value (ior (LMEM_FIXED,    LMEM_ZEROINIT));

 dcl NONZEROLHND type UINT value(LMEM_MOVEABLE);
 dcl NONZEROLPTR type UINT value(LMEM_FIXED);


 LocalDiscard: proc (h)
               returns (type HLOCAL byvalue optional)
               options (inline reorder) internal;
   dcl h type HLOCAL byvalue;
   return (LocalReAlloc (h, 0, LMEM_MOVEABLE));
 end LocalDiscard;

 /* Flags returned by LocalFlags (in addition to LMEM_DISCARDABLE) */
 dcl LMEM_DISCARDED type UINT value('4000'xu);
 dcl LMEM_LOCKCOUNT type UINT value('00FF'xu);


 /* dwCreationFlag values */

 dcl DEBUG_PROCESS                 type DWORD value('00000001'xu);
 dcl DEBUG_ONLY_THIS_PROCESS       type DWORD value('00000002'xu);

 dcl CREATE_SUSPENDED              type DWORD value('00000004'xu);

 dcl DETACHED_PROCESS              type DWORD value('00000008'xu);

 dcl CREATE_NEW_CONSOLE            type DWORD value('00000010'xu);

 dcl NORMAL_PRIORITY_CLASS         type DWORD value('00000020'xu);
 dcl IDLE_PRIORITY_CLASS           type DWORD value('00000040'xu);
 dcl HIGH_PRIORITY_CLASS           type DWORD value('00000080'xu);
 dcl REALTIME_PRIORITY_CLASS       type DWORD value('00000100'xu);

 dcl CREATE_NEW_PROCESS_GROUP      type DWORD value('00000200'xu);
 dcl CREATE_UNICODE_ENVIRONMENT    type DWORD value('00000400'xu);

 dcl CREATE_SEPARATE_WOW_VDM       type DWORD value('00000800'xu);
 dcl CREATE_SHARED_WOW_VDM         type DWORD value('00001000'xu);
 dcl CREATE_FORCEDOS               type DWORD value('00002000'xu);

 dcl CREATE_DEFAULT_ERROR_MODE     type DWORD value('04000000'xu);
 dcl CREATE_NO_WINDOW              type DWORD value('08000000'xu);

 dcl PROFILE_USER                  type DWORD value('10000000'xu);
 dcl PROFILE_KERNEL                type DWORD value('20000000'xu);
 dcl PROFILE_SERVER                type DWORD value('40000000'xu);

 dcl THREAD_PRIORITY_LOWEST        fixed bin(31)
     value(THREAD_BASE_PRIORITY_MIN);
 dcl THREAD_PRIORITY_BELOW_NORMAL  fixed bin(31)
     value(THREAD_PRIORITY_LOWEST+1);
 dcl THREAD_PRIORITY_NORMAL        fixed bin(31) value(0);
 dcl THREAD_PRIORITY_HIGHEST       fixed bin(31)
     value(THREAD_BASE_PRIORITY_MAX);
 dcl THREAD_PRIORITY_ABOVE_NORMAL  fixed bin(31)
     value(THREAD_PRIORITY_HIGHEST-1);
 dcl THREAD_PRIORITY_ERROR_RETURN  fixed bin(31) value(MAXLONG);

 dcl THREAD_PRIORITY_TIME_CRITICAL fixed bin(31)
     value(THREAD_BASE_PRIORITY_LOWRT);
 dcl THREAD_PRIORITY_IDLE          fixed bin(31)
     value(THREAD_BASE_PRIORITY_IDLE);


 /* Debug APIs */

 dcl EXCEPTION_DEBUG_EVENT      type DWORD value(1);
 dcl CREATE_THREAD_DEBUG_EVENT  type DWORD value(2);
 dcl CREATE_PROCESS_DEBUG_EVENT type DWORD value(3);
 dcl EXIT_THREAD_DEBUG_EVENT    type DWORD value(4);
 dcl EXIT_PROCESS_DEBUG_EVENT   type DWORD value(5);
 dcl LOAD_DLL_DEBUG_EVENT       type DWORD value(6);
 dcl UNLOAD_DLL_DEBUG_EVENT     type DWORD value(7);
 dcl OUTPUT_DEBUG_STRING_EVENT  type DWORD value(8);
 dcl RIP_EVENT                  type DWORD value(9);

 define structure
   1 EXCEPTION_DEBUG_INFO,
     2 ExceptionRecord   type EXCEPTION_RECORD,
     2 dwFirstChance     type DWORD;
 define alias LPEXCEPTION_DEBUG_INFO handle EXCEPTION_DEBUG_INFO;

 define structure
   1 CREATE_THREAD_DEBUG_INFO,
     2 hThread           type HANDLE,
     2 lpThreadLocalBase type LPVOID,
     2 lpStartAddress    type LPTHREAD_START_ROUTINE;
 define alias LPCREATE_THREAD_DEBUG_INFO
        handle CREATE_THREAD_DEBUG_INFO;

 define structure
   1 CREATE_PROCESS_DEBUG_INFO,
    2 hFile                 type HANDLE,
    2 hProcess              type HANDLE,
    2 hThread               type HANDLE,
    2 lpBaseOfImage         type LPVOID,
    2 dwDebugInfoFileOffset type DWORD,
    2 nDebugInfoSize        type DWORD,
    2 lpThreadLocalBase     type LPVOID,
    2 lpStartAddress        type LPTHREAD_START_ROUTINE,
    2 lpImageName           type LPVOID,
    2 fUnicode              type WORD;
 define alias LPCREATE_PROCESS_DEBUG_INFO
        handle CREATE_PROCESS_DEBUG_INFO;

 define structure
   1 EXIT_THREAD_DEBUG_INFO,
     2 dwExitCode type DWORD;
 define alias LPEXIT_THREAD_DEBUG_INFO handle EXIT_THREAD_DEBUG_INFO;

 define structure
   1 EXIT_PROCESS_DEBUG_INFO,
     2 dwExitCode type DWORD;
 define alias LPEXIT_PROCESS_DEBUG_INFO handle EXIT_PROCESS_DEBUG_INFO;

 define structure
   1 LOAD_DLL_DEBUG_INFO,
     2 hFile                 type HANDLE,
     2 lpBaseOfDll           type LPVOID,
     2 dwDebugInfoFileOffset type DWORD,
     2 nDebugInfoSize        type DWORD,
     2 lpImageName           type LPVOID,
     2 fUnicode              type WORD;
 define alias LPLOAD_DLL_DEBUG_INFO handle LOAD_DLL_DEBUG_INFO;

 define structure
   1 UNLOAD_DLL_DEBUG_INFO,
     2 lpBaseOfDll type LPVOID;
 define alias LPUNLOAD_DLL_DEBUG_INFO handle UNLOAD_DLL_DEBUG_INFO;

 define structure
   1 OUTPUT_DEBUG_STRING_INFO,
     2 lpDebugStringData  type LPSTR,
     2 fUnicode           type WORD,
     2 nDebugStringLength type WORD;
 define alias LPOUTPUT_DEBUG_STRING_INFO
        handle OUTPUT_DEBUG_STRING_INFO;

 define structure
   1 RIP_INFO,
     2 dwError type DWORD,
     2 dwType  type DWORD;
 define alias LPRIP_INFO handle RIP_INFO;

 define structure
   1 DEBUG_EVENT,
     2 dwDebugEventCode    type DWORD,
     2 dwProcessId         type DWORD,
     2 dwThreadId          type DWORD,
     2 u union,
       3 Exception         type EXCEPTION_DEBUG_INFO,
       3 CreateThread      type CREATE_THREAD_DEBUG_INFO,
       3 CreateProcessInfo type CREATE_PROCESS_DEBUG_INFO,
       3 ExitThread        type EXIT_THREAD_DEBUG_INFO,
       3 ExitProcess       type EXIT_PROCESS_DEBUG_INFO,
       3 LoadDll           type LOAD_DLL_DEBUG_INFO,
       3 UnloadDll         type UNLOAD_DLL_DEBUG_INFO,
       3 DebugString       type OUTPUT_DEBUG_STRING_INFO,
       3 RipInfo           type RIP_INFO;
 define alias LPDEBUG_EVENT handle DEBUG_EVENT;

 define alias LPCONTEXT            type PCONTEXT;
 define aliaS LPEXCEPTION_RECORD   type PEXCEPTION_RECORD;
 define alias LPEXCEPTION_POINTERS type PEXCEPTION_POINTERS;

 dcl DRIVE_UNKNOWN     fixed bin(31) value(0);
 dcl DRIVE_NO_ROOT_DIR fixed bin(31) value(1);
 dcl DRIVE_REMOVABLE   fixed bin(31) value(2);
 dcl DRIVE_FIXED       fixed bin(31) value(3);
 dcl DRIVE_REMOTE      fixed bin(31) value(4);
 dcl DRIVE_CDROM       fixed bin(31) value(5);
 dcl DRIVE_RAMDISK     fixed bin(31) value(6);


 GetFreeSpace: proc (w)
               returns (fixed bin (31) byvalue optional)
               options (inline reorder) internal;
   dcl w fixed bin (31) byvalue;
   return ('100000'xn);
 end GetFreeSpace;


 dcl FILE_TYPE_UNKNOWN type DWORD value('0000'xu);
 dcl FILE_TYPE_DISK    type DWORD value('0001'xu);
 dcl FILE_TYPE_CHAR    type DWORD value('0002'xu);
 dcl FILE_TYPE_PIPE    type DWORD value('0003'xu);
 dcl FILE_TYPE_REMOTE  type DWORD value('8000'xu);


 dcl STD_INPUT_HANDLE  type DWORD value('FFFFFFF6'xu /* -10 */);
 dcl STD_OUTPUT_HANDLE type DWORD value('FFFFFFF5'xu /* -11 */);
 dcl STD_ERROR_HANDLE  type DWORD value('FFFFFFF4'xu /* -12 */);

 dcl NOPARITY     type BYTE value(0);
 dcl ODDPARITY    type BYTE value(1);
 dcl EVENPARITY   type BYTE value(2);
 dcl MARKPARITY   type BYTE value(3);
 dcl SPACEPARITY  type BYTE value(4);

 dcl ONESTOPBIT   type BYTE value(0);
 dcl ONE5STOPBITS type BYTE value(1);
 dcl TWOSTOPBITS  type BYTE value(2);

 dcl IGNORE       type DWORD value(0);            /* Ignore signal */
 dcl INFINITE     type DWORD value('FFFFFFFF'xu); /* Infinite timeout */


 /* Baud rates at which the communication device operates */

 dcl CBR_110     type DWORD value(110);
 dcl CBR_300     type DWORD value(300);
 dcl CBR_600     type DWORD value(600);
 dcl CBR_1200    type DWORD value(1200);
 dcl CBR_2400    type DWORD value(2400);
 dcl CBR_4800    type DWORD value(4800);
 dcl CBR_9600    type DWORD value(9600);
 dcl CBR_14400   type DWORD value(14400);
 dcl CBR_19200   type DWORD value(19200);
 dcl CBR_38400   type DWORD value(38400);
 dcl CBR_56000   type DWORD value(56000);
 dcl CBR_57600   type DWORD value(57600);
 dcl CBR_115200  type DWORD value(115200);
 dcl CBR_128000  type DWORD value(128000);
 dcl CBR_256000  type DWORD value(256000);


 /* Error Flags */

 dcl CE_RXOVER   fixed bin(31) value('0001'xn);
     /* Receive Queue overflow */
 dcl CE_OVERRUN  fixed bin(31) value('0002'xn);
     /* Receive Overrun Error */
 dcl CE_RXPARITY fixed bin(31) value('0004'xn);
     /* Receive Parity Error */
 dcl CE_FRAME    fixed bin(31) value('0008'xn);
     /* Receive Framing error */
 dcl CE_BREAK    fixed bin(31) value('0010'xn);
     /* Break Detected */
 dcl CE_TXFULL   fixed bin(31) value('0100'xn);
     /* TX Queue is full */
 dcl CE_PTO      fixed bin(31) value('0200'xn);
     /* LPTx Timeout */
 dcl CE_IOE      fixed bin(31) value('0400'xn);
     /* LPTx I/O Error */
 dcl CE_DNS      fixed bin(31) value('0800'xn);
     /* LPTx Device not selected */
 dcl CE_OOP      fixed bin(31) value('1000'xn);
     /* LPTx Out-Of-Paper */
 dcl CE_MODE     fixed bin(31) value('8000'xn);
     /* Requested mode unsupported */

 dcl IE_BADID    fixed bin(31) value(-1); /* Invalid or unsupported id*/
 dcl IE_OPEN     fixed bin(31) value(-2); /* Device Already Open      */
 dcl IE_NOPEN    fixed bin(31) value(-3); /* Device Not Open          */
 dcl IE_MEMORY   fixed bin(31) value(-4); /* Unable to allocate queues*/
 dcl IE_DEFAULT  fixed bin(31) value(-5);/*Error in default parameters*/
 dcl IE_HARDWARE fixed bin(31) value(-10); /* Hardware Not Present    */
 dcl IE_BYTESIZE fixed bin(31) value(-11); /* Illegal Byte Size       */
 dcl IE_BAUDRATE fixed bin(31) value(-12); /* Unsupported BaudRate    */

 /* Events */

 dcl EV_RXCHAR   fixed bin(31) value('0001'xn);
     /* Any Character received */
 dcl EV_RXFLAG   fixed bin(31) value('0002'xn);
     /* Received certain character */
 dcl EV_TXEMPTY  fixed bin(31) value('0004'xn);
     /* Transmit Queue Empty */
 dcl EV_CTS      fixed bin(31) value('0008'xn); /* CTS changed state */
 dcl EV_DSR      fixed bin(31) value('0010'xn); /* DSR changed state */
 dcl EV_RLSD     fixed bin(31) value('0020'xn); /* RLSD changed state */
 dcl EV_BREAK    fixed bin(31) value('0040'xn); /* BREAK received */
 dcl EV_ERR      fixed bin(31) value('0080'xn);
     /* Line status error occurred */
 dcl EV_RING     fixed bin(31) value('0100'xn);
     /* Ring signal detected */
 dcl EV_PERR     fixed bin(31) value('0200'xn);
     /* Printer error occured */
 dcl EV_RX80FULL fixed bin(31) value('0400'xn);
     /* Receive buffer is 80 percent full */
 dcl EV_EVENT1   fixed bin(31) value('0800'xn);
     /* Provider specific event 1 */
 dcl EV_EVENT2   fixed bin(31) value('1000'xn);
     /* Provider specific event 2 */

 /* Escape Functions */

 dcl SETXOFF     type DWORD value(1); /* Simulate XOFF received       */
 dcl SETXON      type DWORD value(2); /* Simulate XON received        */
 dcl SETRTS      type DWORD value(3); /* Set RTS high                 */
 dcl CLRRTS      type DWORD value(4); /* Set RTS low                  */
 dcl SETDTR      type DWORD value(5); /* Set DTR high                 */
 dcl CLRDTR      type DWORD value(6); /* Set DTR low                  */
 dcl RESETDEV    type DWORD value(7); /* Reset device if possible     */
 dcl SETBREAK    type DWORD value(8); /* Set the device break line.   */
 dcl CLRBREAK    type DWORD value(9); /* Clear the device break line. */


 /* PURGE function flags. */

 dcl PURGE_TXABORT type DWORD value('0001'xu);
     /* Kill the pending/current writes to the comm port. */
 dcl PURGE_RXABORT type DWORD value('0002'xu);
     /* Kill the pending/current reads to the comm port. */
 dcl PURGE_TXCLEAR type DWORD value('0004'xu);
     /* Kill the transmit queue if there. */
 dcl PURGE_RXCLEAR type DWORD value('0008'xu);
     /* Kill the typeahead buffer if there. */

 dcl LPTx fixed bin(8) unsigned value('80'xu);
     /* Set if ID is for LPT device */


 /* Modem Status Flags */

 dcl MS_CTS_ON  type DWORD  value('0010'xn);
 dcl MS_DSR_ON  type DWORD  value('0020'xn);
 dcl MS_RING_ON type DWORD  value('0040'xn);
 dcl MS_RLSD_ON type DWORD  value('0080'xn);


 /* WaitSoundState() Constants */

 dcl S_QUEUEEMPTY   fixed bin(31) value(0);
 dcl S_THRESHOLD    fixed bin(31) value(1);
 dcl S_ALLTHRESHOLD fixed bin(31) value(2);


 /* Accent Modes */

 dcl S_NORMAL   fixed bin(31) value(0);
 dcl S_LEGATO   fixed bin(31) value(1);
 dcl S_STACCATO fixed bin(31) value(2);


 /* SetSoundNoise() Sources */

 dcl S_PERIOD512   fixed bin(31) value(0);
     /* Freq = N/512 high pitch, less coarse hiss */
 dcl S_PERIOD1024  fixed bin(31) value(1);
     /* Freq = N/1024 */
 dcl S_PERIOD2048  fixed bin(31) value(2);
     /* Freq = N/2048 low pitch, more coarse hiss */
 dcl S_PERIODVOICE fixed bin(31) value(3);
     /* Source is frequency from voice channel (3) */
 dcl S_WHITE512    fixed bin(31) value(4);
     /* Freq = N/512 high pitch, less coarse hiss */
 dcl S_WHITE1024   fixed bin(31) value(5);
     /* Freq = N/1024 */
 dcl S_WHITE2048   fixed bin(31) value(6);
     /* Freq = N/2048 low pitch, more coarse hiss */
 dcl S_WHITEVOICE  fixed bin(31) value(7);
     /* Source is frequency from voice channel (3) */

 dcl S_SERDVNA fixed bin(31) value( -1); /* Device not available */
 dcl S_SEROFM  fixed bin(31) value( -2); /* Out of memory */
 dcl S_SERMACT fixed bin(31) value( -3); /* Music active */
 dcl S_SERQFUL fixed bin(31) value( -4); /* Queue full */
 dcl S_SERBDNT fixed bin(31) value( -5); /* Invalid note */
 dcl S_SERDLN  fixed bin(31) value( -6); /* Invalid note length */
 dcl S_SERDCC  fixed bin(31) value( -7); /* Invalid note count */
 dcl S_SERDTP  fixed bin(31) value( -8); /* Invalid tempo */
 dcl S_SERDVL  fixed bin(31) value( -9); /* Invalid volume */
 dcl S_SERDMD  fixed bin(31) value(-10); /* Invalid mode */
 dcl S_SERDSH  fixed bin(31) value(-11); /* Invalid shape */
 dcl S_SERDPT  fixed bin(31) value(-12); /* Invalid pitch */
 dcl S_SERDFQ  fixed bin(31) value(-13); /* Invalid frequency */
 dcl S_SERDDR  fixed bin(31) value(-14); /* Invalid duration */
 dcl S_SERDSR  fixed bin(31) value(-15); /* Invalid source */
 dcl S_SERDST  fixed bin(31) value(-16); /* Invalid state */

 dcl NMPWAIT_WAIT_FOREVER     type DWORD value('ffffffff'xu);
 dcl NMPWAIT_NOWAIT           type DWORD value('00000001'xu);
 dcl NMPWAIT_USE_DEFAULT_WAIT type DWORD value('00000000'xu);

 dcl FS_CASE_IS_PRESERVED      type DWORD
     value(FILE_CASE_PRESERVED_NAMES);
 dcl FS_CASE_SENSITIVE         type DWORD
     value(FILE_CASE_SENSITIVE_SEARCH);
 dcl FS_UNICODE_STORED_ON_DISK type DWORD
     value(FILE_UNICODE_ON_DISK);
 dcl FS_PERSISTENT_ACLS        type DWORD
     value(FILE_PERSISTENT_ACLS);
 dcl FS_VOL_IS_COMPRESSED      type DWORD
     value(FILE_VOLUME_IS_COMPRESSED);
 dcl FS_FILE_COMPRESSION       type DWORD
     value(FILE_FILE_COMPRESSION);
 dcl FS_FILE_ENCRYPTION        type DWORD
     value(FILE_SUPPORTS_ENCRYPTION);


 dcl FILE_MAP_COPY       type DWORD value(SECTION_QUERY);
 dcl FILE_MAP_WRITE      type DWORD value(SECTION_MAP_WRITE);
 dcl FILE_MAP_READ       type DWORD value(SECTION_MAP_READ);
 dcl FILE_MAP_ALL_ACCESS type DWORD value(SECTION_ALL_ACCESS);

 dcl OF_READ             type UINT value('00000000'xu);
 dcl OF_WRITE            type UINT value('00000001'xu);
 dcl OF_READWRITE        type UINT value('00000002'xu);
 dcl OF_SHARE_COMPAT     type UINT value('00000000'xu);
 dcl OF_SHARE_EXCLUSIVE  type UINT value('00000010'xu);
 dcl OF_SHARE_DENY_WRITE type UINT value('00000020'xu);
 dcl OF_SHARE_DENY_READ  type UINT value('00000030'xu);
 dcl OF_SHARE_DENY_NONE  type UINT value('00000040'xu);
 dcl OF_PARSE            type UINT value('00000100'xu);
 dcl OF_DELETE           type UINT value('00000200'xu);
 dcl OF_VERIFY           type UINT value('00000400'xu);
 dcl OF_CANCEL           type UINT value('00000800'xu);
 dcl OF_CREATE           type UINT value('00001000'xu);
 dcl OF_PROMPT           type UINT value('00002000'xu);
 dcl OF_EXIST            type UINT value('00004000'xu);
 dcl OF_REOPEN           type UINT value('00008000'xu);

 dcl OFS_MAXPATHNAME fixed bin(31) value(128);
 define structure
   1 OFSTRUCT,
    2 cBytes     type BYTE,
    2 fFixedDisk type BYTE,
    2 nErrCode   type WORD,
    2 Reserved1  type WORD,
    2 Reserved2  type WORD,
    2 szPathName CHAR (OFS_MAXPATHNAME-1) varz;
 define alias LPOFSTRUCT handle OFSTRUCT;
 define alias  POFSTRUCT handle OFSTRUCT;

 %dcl #NTOS_ char ext;
 %if #NTOS_ = '' %then %do;
 dcl InterlockedIncrement
     entry (type LONG byaddr)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('InterlockedIncrement');

 dcl InterlockedDecrement
     entry (type LONG byaddr)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('InterlockedDecrement');

 dcl InterlockedExchange
     entry (type LONG byaddr,
            type LONG)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('InterlockedExchange');

 dcl InterlockedExchangeAdd
     entry (type LONG byaddr,
            type LONG)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('InterlockedExchangeAdd');

 dcl InterlockedCompareExchange
     entry (type LONG byaddr,
            type LONG,
            type LONG)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('InterlockedCompareExchange');


 InterlockedCompareExchangePointer:
     proc (Destination, ExChange, Comperand)
     returns (optional type PVOID byvalue)
     options (inline reorder) internal;
  dcl Destination type PVOID byaddr,
      ExChange    type PVOID byvalue,
      Comperand   type PVOID byvalue;
  dcl (addr, binvalue, ptrvalue) builtin;
  dcl lDestination type LONG based (addr (Destination));

  return (ptrvalue (InterlockedCompareExchange (lDestination,
                                                binvalue (ExChange),
                                                binvalue (Comperand))));
 end InterlockedCompareExchangePointer;
 %end;  /* NT_INCLUDED */


 dcl FreeResource
     entry (type HGLOBAL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FreeResource');

 dcl LockResource
     entry (type HGLOBAL)
     returns (optional type LPVOID byvalue )
     WINBASEAPI WINAPI ext ('LockResource');


 /* UnlockResource is obsolete */
 UnlockResource: proc (hResData)
                 returns (type BOOL byvalue optional)
                 options (inline reorder) internal;
   dcl hResData type HGLOBAL byvalue;
   return (0);
 end;


 dcl MAXINTATOM type ATOM value('C000'xu);

 /* to pass the result to a routine taking       */
 /* char(*) varz byaddr or WCHAR(*) varz byaddr, */
 /* use pli_p2z(MAKEINTATOM(i)) or pli_b2z(i)    */
 %dcl MAKEINTATOM entry;
 %MAKEINTATOM: proc (i) returns (char);
   dcl i char;
   return ('ptrvalue (iand (' || i || ', ''ffff''xu))');
 %end MAKEINTATOM;

 dcl INVALID_ATOM type ATOM value(0);


 define alias WinMain
        entry (type HINSTANCE,
               type HINSTANCE,
               pointer, /* to char (*) varz byaddr */
               fixed bin(31))
        returns (optional fixed bin(31) byvalue)
        WINAPI;

 dcl FreeLibrary
     entry (type HMODULE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FreeLibrary');

 dcl FreeLibraryAndExitThread
     entry (type HMODULE,
            type DWORD)
     WINBASEAPI WINAPI ext ('FreeLibraryAndExitThread');

 dcl DisableThreadLibraryCalls
     entry (type HMODULE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DisableThreadLibraryCalls');

 dcl GetProcAddress
     entry (type HMODULE,
            char(*) varz byaddr nonasgn)
     returns (entry limited byvalue)
     WINBASEAPI WINAPI ext ('GetProcAddress');

 dcl GetVersion
     entry ()
     returns (type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetVersion');

 dcl GlobalAlloc
     entry (type UINT,
            type DWORD)
     returns (type HGLOBAL byvalue)
     WINBASEAPI WINAPI ext ('GlobalAlloc');

 dcl GlobalReAlloc
     entry (type HGLOBAL,
            type DWORD,
            type UINT)
     returns (optional type HGLOBAL byvalue)
     WINBASEAPI WINAPI ext ('GlobalReAlloc');

 dcl GlobalSize
     entry (type HGLOBAL)
     returns (type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GlobalSize');

 dcl GlobalFlags
     entry (type HGLOBAL)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GlobalFlags');

 dcl GlobalLock
     entry (type HGLOBAL)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('GlobalLock');

 dcl GlobalHandle
     entry (type LPCVOID)
     returns (optional type HGLOBAL byvalue)
     WINBASEAPI WINAPI ext ('GlobalHandle');

 dcl GlobalUnlock
     entry (type HGLOBAL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GlobalUnlock');

 dcl GlobalFree
     entry (type HGLOBAL)
     returns (optional type HGLOBAL byvalue)
     WINBASEAPI WINAPI ext ('GlobalFree');

 dcl GlobalCompact
     entry (type DWORD)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GlobalCompact');

 dcl GlobalFix
     entry (type HGLOBAL)
     WINBASEAPI WINAPI ext ('GlobalFix');

 dcl GlobalUnfix
     entry (type HGLOBAL)
     WINBASEAPI WINAPI ext ('GlobalUnfix');

 dcl GlobalWire
     entry (type HGLOBAL)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('GlobalWire');

 dcl GlobalUnwire
     entry (type HGLOBAL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GlobalUnwire');

 dcl GlobalMemoryStatus
     entry (type MEMORYSTATUS byaddr)
     WINBASEAPI WINAPI ext ('GlobalMemoryStatus');

 define structure
   1 MEMORYSTATUSEX,
     2 dwLength         type DWORD,
     2 dwMemoryLoad     type DWORD,
     2 ullTotalPhys     type DWORDLONG,
     2 ullAvailPhys     type DWORDLONG,
     2 ullTotalPageFile type DWORDLONG,
     2 ullAvailPageFile type DWORDLONG,
     2 ullTotalVirtual  type DWORDLONG,
     2 ullAvailVirtual  type DWORDLONG,
     2 ullAvailExtendedVirtual type DWORDLONG;
 define alias LPMEMORYSTATUSEX handle MEMORYSTATUSEX;

 dcl GlobalMemoryStatusEx
     entry (type MEMORYSTATUSEX byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GlobalMemoryStatusEx');

 dcl LocalAlloc
     entry (type UINT,
            type UINT)
     returns (type HLOCAL byvalue)
     WINBASEAPI WINAPI ext ('LocalAlloc');

 dcl LocalReAlloc
     entry (type HLOCAL,
            type UINT,
            type UINT)
     returns (optional type HLOCAL byvalue)
     WINBASEAPI WINAPI ext ('LocalReAlloc');

 dcl LocalLock
     entry (type HLOCAL)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('LocalLock');

 dcl LocalHandle
     entry (type LPCVOID)
     returns (optional type HLOCAL byvalue)
     WINBASEAPI WINAPI ext ('LocalHandle');

 dcl LocalUnlock
     entry (type HLOCAL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('LocalUnlock');

 dcl LocalSize
     entry (type HLOCAL)
     returns (type UINT byvalue)
     WINBASEAPI WINAPI ext ('LocalSize');

 dcl LocalFlags
     entry (type HLOCAL)
     returns (type UINT byvalue)
     WINBASEAPI WINAPI ext ('LocalFlags');

 dcl LocalFree
     entry (type HLOCAL)
     returns (optional type HLOCAL byvalue)
     WINBASEAPI WINAPI ext ('LocalFree');

 dcl LocalShrink
     entry (type HLOCAL,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('LocalShrink');

 dcl LocalCompact
     entry (type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI  ext ('LocalCompact');

 dcl FlushInstructionCache
     entry (type HANDLE,
            type LPCVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FlushInstructionCache');

 dcl VirtualAlloc
     entry (type LPVOID,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('VirtualAlloc');

 dcl VirtualFree
     entry (type LPVOID,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualFree');

 dcl VirtualProtect
     entry (type LPVOID,
            type DWORD,
            type DWORD,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualProtect');

 dcl VirtualQuery
     entry (type LPCVOID,
            type MEMORY_BASIC_INFORMATION byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualQuery');

 dcl VirtualAllocEx
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('VirtualAllocEx');

 %if (#WIN32_WINDOWS > 1024) %then %do;

 dcl WRITE_WATCH_FLAG_RESET fixed bin (31)value(1);

 dcl GetWriteWatch
     entry (type DWORD,
            type LPVOID,
            type DWORD,
            (*) type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetWriteWatch');

 dcl ResetWriteWatch
     entry (type LPVOID,
            type DWORD)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('ResetWriteWatch');

 %end;

 dcl VirtualFreeEx
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualFreeEx');

 dcl VirtualProtectEx
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type DWORD,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualProtectEx');

 dcl VirtualQueryEx
     entry (type HANDLE,
            type LPCVOID,
            type MEMORY_BASIC_INFORMATION byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('VirtualQueryEx');

 dcl HeapCreate
     entry (type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('HeapCreate');

 dcl HeapDestroy
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('HeapDestroy');

 dcl HeapAlloc
     entry (type HANDLE,
            type DWORD,
            type DWORD)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('HeapAlloc');

 dcl HeapReAlloc
     entry (type HANDLE,
            type DWORD,
            type LPVOID,
            type DWORD)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('HeapReAlloc');

 dcl HeapFree
     entry (type HANDLE,
            type DWORD,
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('HeapFree');

 dcl HeapSize
     entry (type HANDLE,
            type DWORD,
            type LPCVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('HeapSize');

 dcl HeapValidate
     entry (type HANDLE,
            type DWORD,
            type LPCVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('HeapValidate');

 dcl HeapCompact
     entry (type HANDLE,
            type DWORD)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('HeapCompact');

 dcl GetProcessHeap
     entry ()
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('GetProcessHeap');

 define structure
   1 PROCESS_HEAP_ENTRY,
     2 lpData       type PVOID,
     2 cbData       type DWORD,
     2 cbOverhead   type BYTE,
     2 iRegionIndex type BYTE,
     2 wFlags       type WORD,
     2 * union,
       3 Block,
         5 hMem              type HANDLE,
         5 dwReserved (3)    type DWORD,
       3 Region,
         5 dwCommittedSize   type DWORD,
         5 dwUnCommittedSize type DWORD,
         5 lpFirstBlock      type LPVOID,
         5 lpLastBlock       type LPVOID;
 define alias LPPROCESS_HEAP_ENTRY handle PROCESS_HEAP_ENTRY;
 define alias  PPROCESS_HEAP_ENTRY handle PROCESS_HEAP_ENTRY;

 dcl PROCESS_HEAP_REGION            type WORD value('0001'xu);
 dcl PROCESS_HEAP_UNCOMMITTED_RANGE type WORD value('0002'xu);
 dcl PROCESS_HEAP_ENTRY_BUSY        type WORD value('0004'xu);
 dcl PROCESS_HEAP_ENTRY_MOVEABLE    type WORD value('0010'xu);
 dcl PROCESS_HEAP_ENTRY_DDESHARE    type WORD value('0020'xu);


 dcl HeapLock
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('HeapLock');

 dcl HeapUnlock
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('HeapUnlock');

 dcl HeapWalk
     entry (type HANDLE,
            type PROCESS_HEAP_ENTRY byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('HeapWalk');

 /* GetBinaryType return values. */

 dcl SCS_32BIT_BINARY type DWORD value(0);
 dcl SCS_DOS_BINARY   type DWORD value(1);
 dcl SCS_WOW_BINARY   type DWORD value(2);
 dcl SCS_PIF_BINARY   type DWORD value(3);
 dcl SCS_POSIX_BINARY type DWORD value(4);
 dcl SCS_OS216_BINARY type DWORD value(5);

 dcl GetBinaryTypeA
     entry (char(*) varz byaddr nonasgn,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetBinaryTypeA');

 dcl GetBinaryTypeW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetBinaryTypeW');

 %dcl GetBinaryType char ext;
 %if UNICODE ^= '' %then %do;
    %GetBinaryType='GetBinaryTypeW';
 %end; %else %do;
   %GetBinaryType='GetBinaryTypeA';
 %end;

 dcl GetShortPathNameA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetShortPathNameA');

 dcl GetShortPathNameW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetShortPathNameW');

 %dcl GetShortPathName char ext;
 %if UNICODE ^= '' %then %do;
   %GetShortPathName='GetShortPathNameW';
 %end; %else %do;
   %GetShortPathName='GetShortPathNameA';
 %end;

 dcl GetLongPathNameA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr optional,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetLongPathNameA');

 dcl GetLongPathNameW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr optional,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetLongPathNameW');

 %dcl GetLongPathName char ext;
 %if UNICODE ^= '' %then %do;
   %GetLongPathName='GetLongPathNameW';
 %end; %else %do;
   %GetLongPathName='GetLongPathNameA';
 %end;

 dcl GetProcessAffinityMask
     entry (type HANDLE,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetProcessAffinityMask');

 dcl SetProcessAffinityMask
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetProcessAffinityMask');

 dcl GetProcessTimes
     entry (type HANDLE,
            type FILETIME byaddr,
            type FILETIME byaddr,
            type FILETIME byaddr,
            type FILETIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetProcessTimes');

 dcl GetProcessWorkingSetSize
     entry (type HANDLE,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetProcessWorkingSetSize');

 dcl SetProcessWorkingSetSize
     entry (type HANDLE,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetProcessWorkingSetSize');

 dcl OpenProcess
     entry (type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenProcess');

 dcl GetCurrentProcess
     entry ()
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('GetCurrentProcess');

 dcl GetCurrentProcessId
     entry ()
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetCurrentProcessId');

 dcl ExitProcess
     entry (type UINT)
     WINBASEAPI WINAPI ext ('ExitProcess');

 dcl TerminateProcess
     entry (type HANDLE,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TerminateProcess');

 dcl GetExitCodeProcess
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetExitCodeProcess');

 dcl FatalExit
     entry (fixed bin(31))
     WINBASEAPI WINAPI ext ('FatalExit');

 dcl GetEnvironmentStrings
     entry ()
     returns (type LPSTR byvalue)
     WINBASEAPI WINAPI ext ('GetEnvironmentStrings');

 dcl GetEnvironmentStringsW
     entry ()
     returns (type LPWSTR byvalue)
     WINBASEAPI WINAPI ext ('GetEnvironmentStringsW');

 %dcl GetEnvironmentStrings char ext;
 %if UNICODE ^= '' %then %do;
   %GetEnvironmentStrings='GetEnvironmentStringsW';
 %end; %else %do;
   %GetEnvironmentStrings='GetEnvironmentStringsA';
 %end; /* !UNICODE */

 dcl FreeEnvironmentStringsA
     entry (type LPSTR)  /* as returned by GetEnvironmentStringsA */
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FreeEnvironmentStringsA');

 dcl FreeEnvironmentStringsW
     entry (type LPWSTR) /* as returned by GetEnvironmentStringsW */
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FreeEnvironmentStringsW');

 %dcl FreeEnvironmentStrings char ext;
 %if UNICODE ^= '' %then %do;
   %FreeEnvironmentStrings='FreeEnvironmentStringsW';
 %end; %else %do;
   %FreeEnvironmentStrings='FreeEnvironmentStringsA';
 %end; /* !UNICODE */

 dcl RaiseException
     entry (type DWORD,
            type DWORD,
            type DWORD,
            type DWORD byaddr nonasgn)
     WINBASEAPI WINAPI ext ('RaiseException');

 dcl UnhandledExceptionFilter
     entry (handle EXCEPTION_POINTERS)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('UnhandledExceptionFilter');

 define alias PTOP_LEVEL_EXCEPTION_FILTER
        entry (handle EXCEPTION_POINTERS)
        returns (optional type LONG byvalue)
        limited WINAPI;
 define alias LPTOP_LEVEL_EXCEPTION_FILTER
         type PTOP_LEVEL_EXCEPTION_FILTER;

 dcl SetUnhandledExceptionFilter
     entry (type LPTOP_LEVEL_EXCEPTION_FILTER optional byvalue)
     returns (optional type LPTOP_LEVEL_EXCEPTION_FILTER byvalue)
     WINBASEAPI WINAPI ext ('SetUnhandledExceptionFilter');

 %if #WIN32_WINNT >= 1024 %then %do;

 dcl CreateFiber
     entry (type DWORD,
            type LPFIBER_START_ROUTINE,
            type LPVOID)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('CreateFiber');

 dcl DeleteFiber
     entry (type LPVOID)
     WINBASEAPI WINAPI ext ('DeleteFiber');

 dcl ConvertThreadToFiber
     entry (type LPVOID)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('ConvertThreadToFiber');

 dcl SwitchToFiber
     entry (type LPVOID)
     WINBASEAPI WINAPI ext ('SwitchToFiber');

 dcl SwitchToThread
     entry ()
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SwitchToThread');

 %end; /* _WIN32_WINNT >= 0x0400 */

 %if #WIN32_WINNT >= 1280 %then %do;

 define alias WAITORTIMERCALLBACK type WAITORTIMERCALLBACKFUNC;

 dcl RegisterWaitForSingleObject
     entry (type HANDLE byaddr,
            type HANDLE,
            type WAITORTIMERCALLBACK,
            type PVOID,
            type ULONG,
            type ULONG)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('RegisterWaitForSingleObject');

 dcl RegisterWaitForSingleObjectEx
     entry (type HANDLE byaddr,
            type WAITORTIMERCALLBACK,
            type PVOID,
            type ULONG,
            type ULONG)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('RegisterWaitForSingleObjectEx');

 dcl UnregisterWait
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UnregisterWait');

 dcl UnregisterWaitEx
     entry (type HANDLE,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UnregisterWaitEx');

 dcl QueueUserWorkItem
     entry (type LPTHREAD_START_ROUTINE,
            type PVOID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('QueueUserWorkItem');

 dcl BindIoCompletionCallback
     entry (type HANDLE,
            type LPOVERLAPPED_COMPLETION_ROUTINE,
            type ULONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BindIoCompletionCallback');

 dcl CreateTimerQueue
     entry ()
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateTimerQueue');

 dcl CreateTimerQueueTimer
     entry (type HANDLE byaddr,
            type HANDLE,
            type WAITORTIMERCALLBACK,
            type PVOID,
            type DWORD,
            type DWORD,
            type ULONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateTimerQueueTimer');

 dcl ChangeTimerQueueTimer
     entry (type HANDLE,
            type HANDLE,
            type ULONG,
            type ULONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ChangeTimerQueueTimer');

 dcl DeleteTimerQueueTimer
     entry (type HANDLE,
            type HANDLE,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteTimerQueueTimer');

 dcl DeleteTimerQueueEx
     entry (type HANDLE,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteTimerQueueEx');

 dcl ThreadPoolCleanup
     entry (type ULONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ThreadPoolCleanup');

 dcl SetTimerQueueTimer
     entry (type HANDLE,
            type WAITORTIMERCALLBACK,
            type PVOID,
            type DWORD,
            type DWORD,
            type BOOL)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('SetTimerQueueTimer');

 dcl CancelTimerQueueTimer
     entry (type HANDLE,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CancelTimerQueueTimer');

 dcl DeleteTimerQueue
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteTimerQueue');

 %end; /* _WIN32_WINNT >= 0x0500 */


 dcl CreateThread
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD,
            type LPTHREAD_START_ROUTINE,
            type LPVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateThread');

 dcl CreateRemoteThread
     entry (type HANDLE,
            type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD,
            type LPTHREAD_START_ROUTINE,
            type LPVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateRemoteThread');

 dcl GetCurrentThread
     entry ()
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('GetCurrentThread');

 dcl GetCurrentThreadId
     entry ()
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetCurrentThreadId');

 dcl SetThreadAffinityMask
     entry (type HANDLE,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SetThreadAffinityMask');

 %if (#WIN32_WINNT >= 1024) %then %do;
 dcl SetThreadIdealProcessor
     entry (type HANDLE,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SetThreadIdealProcessor');
 %end; /* _WIN32_WINNT >= 0x0400 */

 dcl SetProcessPriorityBoost
     entry (type HANDLE,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetProcessPriorityBoost');

 dcl GetProcessPriorityBoost
     entry (type HANDLE,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetProcessPriorityBoost');

 dcl RequestWakeupLatency
     entry (type LATENCY_TIME)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('RequestWakeupLatency');

 dcl IsSystemResumeAutomatic
     entry ()
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsSystemResumeAutomatic');

 dcl OpenThread
     entry (type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenThread');

 dcl SetThreadPriority
     entry (type HANDLE,
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetThreadPriority');

 dcl SetThreadPriorityBoost
     entry (type HANDLE,
            type BOOL)
     returns (optional type BOOL)
     WINBASEAPI WINAPI ext ('SetThreadPriorityBoost');

 dcl GetThreadPriorityBoost
     entry (type HANDLE,
            type BOOL byaddr)
     returns (optional type BOOL)
     WINBASEAPI WINAPI ext ('GetThreadPriorityBoost');

 dcl GetThreadPriority
     entry (type HANDLE)
     returns (optional fixed bin(31))
     WINBASEAPI WINAPI ext ('GetThreadPriority');

 dcl GetThreadTimes
     entry (type HANDLE,
            type FILETIME byaddr,
            type FILETIME byaddr,
            type FILETIME byaddr,
            type FILETIME byaddr)
     returns (optional type BOOL)
     WINBASEAPI WINAPI ext ('GetThreadTimes');

 dcl ExitThread
     entry (type DWORD)
     WINBASEAPI WINAPI ext ('ExitThread');

 dcl TerminateThread
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL)
     WINBASEAPI WINAPI ext ('TerminateThread');

 dcl GetExitCodeThread
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL)
     WINBASEAPI WINAPI ext ('GetExitCodeThread');

 dcl GetThreadSelectorEntry
     entry (type HANDLE,
            type DWORD,
            type LDT_ENTRY byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetThreadSelectorEntry');

 dcl SetThreadExecutionState
     entry (type EXECUTION_STATE)
     returns (optional type EXECUTION_STATE byvalue)
     WINBASEAPI WINAPI ext ('SetThreadExecutionState');

 /* PL/I Note: In the C headers, dwErrCode is defined as type DWORD */
 /* At the same time, many errors are treated as signed             */
 /* This relies upon the equivalence of signed and unsigned in      */
 /* assignment and comparison operators in C.                       */
 /* To keep things manageabkle for PL/I programmers,                */
 /* dwErrCode is defined as fixed bin (31) here                     */

 dcl GetLastError
     entry ()
     returns (fixed bin(31) byvalue) /* C: type DWORD */
     WINBASEAPI WINAPI ext ('GetLastError');

 dcl SetLastError
     entry (fixed bin(31))           /* C: type DWORD */
     WINBASEAPI WINAPI ext ('SetLastError');

 %dcl WINBASE_DECLARE_RESTORE_LAST_ERROR char ext;
 %if WINBASE_DECLARE_RESTORE_LAST_ERROR ^= '' %then %do;

 dcl RestoreLastError
     entry (fixed bin(31))           /* C: type DWORD */
     WINBASEAPI WINAPI ext ('RestoreLastError');

 define alias PRESTORE_LAST_ERROR
              entry (fixed bin(31))  /* C: type DWORD */
              WINAPI limited;

 dcl RESTORE_LAST_ERROR_NAME_A  char value('RestoreLastError');
 dcl RESTORE_LAST_ERROR_NAME_W WCHAR value('RestoreLastError');
 dcl RESTORE_LAST_ERROR_NAME   TCHAR value('RestoreLastError');

 %end;

 HasOverlappedIoCompleted: proc (Overlapped)
                           returns (bit (1) aligned byvalue)
                           options (inline reorder) internal;
   dcl Overlapped type OVERLAPPED byaddr;
   return (Overlapped.Internal ^= STATUS_PENDING);
 end HasOverlappedIoCompleted;

 dcl GetOverlappedResult
     entry (type HANDLE,
            type OVERLAPPED byaddr,
            type DWORD byaddr,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetOverlappedResult');

 dcl CreateIoCompletionPort
     entry (type HANDLE,
            type HANDLE,
            type DWORD,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateIoCompletionPort');

 dcl GetQueuedCompletionStatus
     entry (type HANDLE,
            type DWORD byaddr,
            type DWORD byaddr,
            type LPOVERLAPPED byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetQueuedCompletionStatus');

 dcl PostQueuedCompletionStatus
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type OVERLAPPED byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('PostQueuedCompletionStatus');


 dcl SEM_FAILCRITICALERRORS     type UINT value('0001'xu);
 dcl SEM_NOGPFAULTERRORBOX      type UINT value('0002'xu);
 dcl SEM_NOALIGNMENTFAULTEXCEPT type UINT value('0004'xu);
 dcl SEM_NOOPENFILEERRORBOX     type UINT value('8000'xu);

 dcl SetErrorMode
     entry (type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('SetErrorMode');

 dcl ReadProcessMemory
     entry (type HANDLE,
            type LPCVOID,
            type LPVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReadProcessMemory');

 dcl WriteProcessMemory
     entry (type HANDLE,
            type LPVOID,
            type LPVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteProcessMemory');

 dcl GetThreadContext
     entry (type HANDLE,
            type CONTEXT byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetThreadContext');

 dcl SetThreadContext
     entry (type HANDLE,
            type CONTEXT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetThreadContext');

 dcl SuspendThread
     entry (type HANDLE)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SuspendThread');

 dcl ResumeThread
     entry (type HANDLE)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('ResumeThread');

 %if (#WIN32_WINNT >= 1024) %then %do;
 define alias PAPCFUNC
        entry (type DWORD)
        limited APIENTRY;

 dcl QueueUserAPC
     entry (type PAPCFUNC,
            type HANDLE,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('QueueUserAPC');
 %end; /* _WIN32_WINNT >= 0x0400 */

 %if #WIN32_WINNT >= 1024 | #WIN32_WINDOWS > 1024 %then %do;
 dcl IsDebuggerPresent
     entry ()
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsDebuggerPresent');
 %end;

 dcl DebugBreak
     entry ()
     WINBASEAPI WINAPI ext ('DebugBreak');

 dcl WaitForDebugEvent
     entry (type DEBUG_EVENT byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WaitForDebugEvent');

 dcl ContinueDebugEvent
     entry (type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ContinueDebugEvent');

 dcl DebugActiveProcess
     entry (type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DebugActiveProcess');

 dcl InitializeCriticalSection
     entry(type CRITICAL_SECTION byaddr)
     WINBASEAPI WINAPI ext ('InitializeCriticalSection');

 dcl EnterCriticalSection
     entry (type CRITICAL_SECTION byaddr)
     WINBASEAPI WINAPI ext ('EnterCriticalSection');

 dcl LeaveCriticalSection
     entry (type CRITICAL_SECTION byaddr)
     WINBASEAPI WINAPI ext ('LeaveCriticalSection');

 %if #WIN32_WINNT >= 1027 %then %do;
 dcl InitializeCriticalSectionAndSpinCount
     entry (type CRITICAL_SECTION byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('InitializeCriticalSectionAndSpinCount');

 dcl SetCriticalSectionSpinCount
     entry (type CRITICAL_SECTION byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SetCriticalSectionSpinCount');
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1024 %then %do;
 dcl TryEnterCriticalSection
     entry (type CRITICAL_SECTION byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TryEnterCriticalSection');
 %end; /* _WIN32_WINNT >= 0x0400 */

 dcl DeleteCriticalSection
     entry (type CRITICAL_SECTION byaddr)
     WINBASEAPI WINAPI ext ('DeleteCriticalSection');

 dcl SetEvent
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetEvent');

 dcl ResetEvent
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ResetEvent');

 dcl PulseEvent
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('PulseEvent');

 dcl ReleaseSemaphore
     entry (type HANDLE,
            type LONG,
            type LONG byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReleaseSemaphore');

 dcl ReleaseMutex
    entry (type HANDLE)
    returns (optional type BOOL byvalue)
    WINBASEAPI WINAPI ext ('ReleaseMutex');

 dcl WaitForSingleObject
     entry (type HANDLE,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WaitForSingleObject');

 dcl WaitForMultipleObjects
     entry (type DWORD,
            (*) type HANDLE byaddr nonasgn,
            type BOOL,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WaitForMultipleObjects');

 dcl Sleep
     entry (type DWORD)
     WINBASEAPI WINAPI ext ('Sleep');

 dcl LoadResource
     entry (type HMODULE,
            type HRSRC)
     returns (optional type HGLOBAL byvalue)
     WINBASEAPI WINAPI ext ('LoadResource');

 dcl SizeofResource
     entry (type HMODULE,
            type HRSRC)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SizeofResource');

 dcl GlobalDeleteAtom
     entry (type ATOM)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('GlobalDeleteAtom');

 dcl InitAtomTable
     entry (type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('InitAtomTable');

 dcl DeleteAtom
     entry (type ATOM)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('DeleteAtom');

 dcl SetHandleCount
     entry (type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('SetHandleCount');

 dcl GetLogicalDrives
     entry ()
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetLogicalDrives');

 dcl LockFile
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('LockFile');

 dcl UnlockFile
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UnlockFile');

 dcl LockFileEx
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('LockFileEx');


 dcl LOCKFILE_FAIL_IMMEDIATELY type DWORD value('00000001'xu);
 dcl LOCKFILE_EXCLUSIVE_LOCK   type DWORD value('00000002'xu);

 dcl UnlockFileEx
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UnlockFileEx');

 define structure
   1 BY_HANDLE_FILE_INFORMATION,
     2 dwFileAttributes     type DWORD,
     2 ftCreationTime       type FILETIME,
     2 ftLastAccessTime     type FILETIME,
     2 ftLastWriteTime      type FILETIME,
     2 dwVolumeSerialNumber type DWORD,
     2 nFileSizeHigh        type DWORD,
     2 nFileSizeLow         type DWORD,
     2 nNumberOfLinks       type DWORD,
     2 nFileIndexHigh       type DWORD,
     2 nFileIndexLow        type DWORD;
 define alias PBY_HANDLE_FILE_INFORMATION
              handle BY_HANDLE_FILE_INFORMATION;
 define alias LPBY_HANDLE_FILE_INFORMATION
              handle BY_HANDLE_FILE_INFORMATION;


 dcl GetFileInformationByHandle
     entry (type HANDLE,
            type BY_HANDLE_FILE_INFORMATION byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetFileInformationByHandle');

 dcl GetFileType
     entry (type HANDLE)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetFileType');

 dcl GetFileSize
     entry (type HANDLE,
            type DWORD byaddr optional)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetFileSize');

 dcl GetFileSizeEx
     entry (type HANDLE,
            type LARGE_INTEGER byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetFileSizeEx');

 dcl GetStdHandle
     entry (type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('GetStdHandle');

 dcl SetStdHandle
     entry (type DWORD,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetStdHandle');

 dcl WriteFile
     entry (type HANDLE,
            type LPCVOID,
            type DWORD,
            type DWORD byaddr optional,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteFile');

 dcl ReadFile
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type DWORD byaddr optional,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReadFile');

 dcl FlushFileBuffers
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FlushFileBuffers');

 dcl DeviceIoControl
     entry (type HANDLE,
            type DWORD,
            type LPVOID,
            type DWORD,
            type LPVOID,
            type DWORD,
            type DWORD byaddr optional,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeviceIoControl');

 dcl RequestDeviceWakeup
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('RequestDeviceWakeup');

 dcl CancelDeviceWakeupRequest
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CancelDeviceWakeupRequest');

 dcl GetDevicePowerState
     entry (type HANDLE,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDevicePowerState');

 dcl SetMessageWaitingIndicator
     entry (type HANDLE,
            type ULONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetMessageWaitingIndicator');

 dcl SetEndOfFile
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetEndOfFile');

 dcl SetFilePointer
     entry (type HANDLE,
            type LONG,
            type LONG byaddr optional,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SetFilePointer');

 dcl SetFilePointerEx
     entry (type HANDLE,
            type LARGE_INTEGER,
            type LARGE_INTEGER byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetFilePointerEx');

 dcl FindClose
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindClose');

 dcl GetFileTime
     entry (type HANDLE,
            type FILETIME byaddr optional,
            type FILETIME byaddr optional,
            type FILETIME byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetFileTime');

 dcl SetFileTime
     entry (type HANDLE,
            type FILETIME byaddr nonasgn optional,
            type FILETIME byaddr nonasgn optional,
            type FILETIME byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetFileTime');

 dcl CloseHandle
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CloseHandle');

 dcl DuplicateHandle
     entry (type HANDLE,
            type HANDLE,
            type HANDLE,
            type HANDLE byaddr,
            type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DuplicateHandle');

 dcl GetHandleInformation
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetHandleInformation');

 dcl SetHandleInformation
     entry (type HANDLE,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetHandleInformation');

 dcl HANDLE_FLAG_INHERIT            type DWORD value('00000001'xu);
 dcl HANDLE_FLAG_PROTECT_FROM_CLOSE type DWORD value('00000002'xu);

 dcl HINSTANCE_ERROR fixed bin(31) value(32);


 dcl LoadModule
     entry (char(*) varz byaddr nonasgn,
            type LPVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('LoadModule');

 dcl WinExec
     entry (char(*) varz byaddr nonasgn,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('WinExec');

 dcl ClearCommBreak
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ClearCommBreak');

 dcl ClearCommError
     entry (type HANDLE,
            type DWORD byaddr,
            type COMSTAT byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ClearCommError');

 dcl SetupComm
     entry (type HANDLE,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetupComm');

 dcl EscapeCommFunction
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EscapeCommFunction');

 dcl GetCommConfig
     entry (type HANDLE,
            type COMMCONFIG byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetCommConfig');

 dcl GetCommMask
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetCommMask');

 dcl GetCommProperties
     entry (type HANDLE,
            type COMMPROP byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetCommProperties');

 dcl GetCommModemStatus
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetCommModemStatus');

 dcl GetCommState
     entry (type HANDLE,
            type DCB byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetCommState');

 dcl GetCommTimeouts
     entry (type HANDLE,
            type COMMTIMEOUTS byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetCommTimeouts');

 dcl PurgeComm
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('PurgeComm');

 dcl SetCommBreak
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCommBreak');

 dcl SetCommConfig
     entry (type HANDLE,
            type COMMCONFIG byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCommConfig');

 dcl SetCommMask
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCommMask');

 dcl SetCommState
     entry (type HANDLE,
            type DCB byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCommState');

 dcl SetCommTimeouts
     entry (type HANDLE,
            type COMMTIMEOUTS byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCommTimeouts');

 dcl TransmitCommChar
     entry (type HANDLE,
            char)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TransmitCommChar');

 dcl WaitCommEvent
     entry (type HANDLE,
            type DWORD byaddr,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WaitCommEvent');


 dcl SetTapePosition
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SetTapePosition');

 dcl GetTapePosition
     entry (type HANDLE,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr optional)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTapePosition');

 dcl PrepareTape
     entry (type HANDLE,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('PrepareTape');

 dcl EraseTape
     entry (type HANDLE,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('EraseTape');

 dcl CreateTapePartition
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('CreateTapePartition');

 dcl WriteTapemark
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WriteTapemark');

 dcl GetTapeStatus
     entry (type HANDLE)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTapeStatus');

 dcl GetTapeParameters
     entry (type HANDLE,
            type DWORD,
            type DWORD byaddr,
            type LPVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTapeParameters');

 dcl GET_TAPE_MEDIA_INFORMATION type DWORD value(0);
 dcl GET_TAPE_DRIVE_INFORMATION type DWORD value(1);

 dcl SetTapeParameters
     entry (type HANDLE,
            type DWORD,
            type LPVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SetTapeParameters');


 dcl SET_TAPE_MEDIA_INFORMATION fixed bin(31) value(0);
 dcl SET_TAPE_DRIVE_INFORMATION fixed bin(31) value(1);

 dcl Beep
     entry (type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('Beep');

 dcl MulDiv
     entry (fixed bin(31),
            fixed bin(31),
            fixed bin(31))
     returns (fixed bin(31) byvalue)
     WINBASEAPI WINAPI ext ('MulDiv');

 dcl GetSystemTime
     entry (type SYSTEMTIME byaddr)
      WINBASEAPI WINAPI ext ('GetSystemTime');

 dcl GetSystemTimeAsFileTime
     entry (type FILETIME byaddr)
      WINBASEAPI WINAPI ext ('GetSystemTimeAsFileTime');

 dcl SetSystemTime
     entry (type SYSTEMTIME byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetSystemTime');

 dcl GetLocalTime
     entry (type SYSTEMTIME byaddr)
     WINBASEAPI WINAPI ext ('GetLocalTime');

 dcl SetLocalTime
     entry (type SYSTEMTIME byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetLocalTime');

 dcl GetSystemInfo
     entry (type SYSTEM_INFO byaddr)
     WINBASEAPI WINAPI ext ('GetSystemInfo');

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl GetNativeSystemInfo
     entry (type SYSTEM_INFO byaddr)
     WINBASEAPI WINAPI ext ('GetNativeSystemInfo');
 %end;

 define ordinal SYSTEMINFOCLASS
   ( SystemInfoRemoteBoot value (1)
   , SystemInfoRemoteBootServerPath
   ) prec (31);

 dcl GetSystemInfoExA
 entry (type SYSTEMINFOCLASS,
        type LPVOID,
        type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetSystemInfoExA');

 dcl GetSystemInfoExW
 entry (type SYSTEMINFOCLASS,
        type LPVOID,
        type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetSystemInfoExW');

 %dcl GetSystemInfoEx char ext;
 %if UNICODE ^= '' %then %do;
   %GetSystemInfoEx = 'GetSystemInfoExW';
 %end; %else %do;
   %GetSystemInfoEx = 'GetSystemInfoExA';
 %end; /* !UNICODE */

 dcl IsProcessorFeaturePresent
     entry (type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsProcessorFeaturePresent');


 define structure
   1 TIME_ZONE_INFORMATION,
     2 Bias type LONG,
     2 StandardName WCHAR(32) varz,
     2 StandardDate type SYSTEMTIME,
     2 StandardBias type LONG,
     2 DaylightName WCHAR(32) varz,
     2 DaylightDate type SYSTEMTIME,
     2 DaylightBias type LONG;
 define alias  PTIME_ZONE_INFORMATION handle TIME_ZONE_INFORMATION;
 define alias LPTIME_ZONE_INFORMATION handle TIME_ZONE_INFORMATION;

 dcl SystemTimeToTzSpecificLocalTime
     entry (type TIME_ZONE_INFORMATION byaddr optional,
            type SYSTEMTIME byaddr,
            type SYSTEMTIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SystemTimeToTzSpecificLocalTime');

 dcl GetTimeZoneInformation
     entry (type TIME_ZONE_INFORMATION byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTimeZoneInformation');

 dcl SetTimeZoneInformation
     entry (type TIME_ZONE_INFORMATION byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetTimeZoneInformation');


  /* Routines to convert back and forth between system time */
  /* and file time */

 dcl SystemTimeToFileTime
     entry (type SYSTEMTIME byaddr nonasgn,
            type FILETIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SystemTimeToFileTime');

 dcl FileTimeToLocalFileTime
     entry (type FILETIME byaddr nonasgn,
            type FILETIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FileTimeToLocalFileTime');

 dcl LocalFileTimeToFileTime
     entry (type FILETIME byaddr nonasgn,
            type FILETIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('LocalFileTimeToFileTime');

 dcl FileTimeToSystemTime
     entry (type FILETIME byaddr nonasgn,
            type SYSTEMTIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FileTimeToSystemTime');

 dcl CompareFileTime
     entry (type FILETIME byaddr nonasgn,
            type FILETIME byaddr nonasgn)
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('CompareFileTime');

 dcl FileTimeToDosDateTime
     entry (type FILETIME byaddr nonasgn,
            type WORD byaddr,
            type WORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FileTimeToDosDateTime');

 dcl DosDateTimeToFileTime
     entry (type WORD,
            type WORD,
            type FILETIME byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DosDateTimeToFileTime');

 dcl GetTickCount
     entry ()
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTickCount');

 dcl SetSystemTimeAdjustment
     entry (type DWORD,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetSystemTimeAdjustment');

 dcl GetSystemTimeAdjustment
     entry (type DWORD byaddr,
            type DWORD byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI  ext ('GetSystemTimeAdjustment');


 dcl FormatMessageA
     entry (type DWORD,
            type LPCVOID,
            fixed bin(31), /* type DWORD - reason: see GetLastError */
            type DWORD,
            type LPSTR,    /* either buffer to fill or for address */
            type DWORD,
            pointer)       /* as per flags */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('FormatMessageA');

 dcl FormatMessageW
     entry (type DWORD,
            type LPCVOID,
            fixed bin(31), /* type DWORD - reason: see GetLastError */
            type DWORD,
            type LPWSTR,   /* either buffer to fill or for address */
            type DWORD,
            pointer)       /* as per flags */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('FormatMessageW');

 %dcl FormatMessage char ext;
 %if UNICODE ^= '' %then %do;
   %FormatMessage='FormatMessageW';
 %end; %else %do;
   %FormatMessage='FormatMessageA';
 %end; /* !UNICODE */

 dcl FORMAT_MESSAGE_ALLOCATE_BUFFER type DWORD value('00000100'xu);
 dcl FORMAT_MESSAGE_IGNORE_INSERTS  type DWORD value('00000200'xu);
 dcl FORMAT_MESSAGE_FROM_STRING     type DWORD value('00000400'xu);
 dcl FORMAT_MESSAGE_FROM_HMODULE    type DWORD value('00000800'xu);
 dcl FORMAT_MESSAGE_FROM_SYSTEM     type DWORD value('00001000'xu);
 dcl FORMAT_MESSAGE_ARGUMENT_ARRAY  type DWORD value('00002000'xu);
 dcl FORMAT_MESSAGE_MAX_WIDTH_MASK  type DWORD value('000000FF'xu);

 dcl CreatePipe
     entry (type HANDLE byaddr,
            type HANDLE byaddr,
            type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreatePipe');

 dcl ConnectNamedPipe
     entry (type HANDLE,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ConnectNamedPipe');

 dcl DisconnectNamedPipe
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DisconnectNamedPipe');

 dcl SetNamedPipeHandleState
     entry (type HANDLE,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetNamedPipeHandleState');

 dcl GetNamedPipeInfo
     entry (type HANDLE,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNamedPipeInfo');

 dcl PeekNamedPipe
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('PeekNamedPipe');

 dcl TransactNamedPipe
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type LPVOID,
            type DWORD,
            type DWORD byaddr optional,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TransactNamedPipe');

 dcl CreateMailslotA
     entry (char(*) varz byaddr nonasgn,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateMailslotA');

 dcl CreateMailslotW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateMailslotW');

 %dcl CreateMailslot char ext;
 %if UNICODE ^= '' %then %do;
   %CreateMailslot='CreateMailslotW';
 %end; %else %do;
   %CreateMailslot='CreateMailslotA';
 %end; /* !UNICODE */

 dcl GetMailslotInfo
     entry (type HANDLE,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetMailslotInfo');

 dcl SetMailslotInfo
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetMailslotInfo');

 dcl MapViewOfFile
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('MapViewOfFile');

 dcl MapViewOfFileVlm
     entry (type HANDLE,
            type DWORD,
            type DWORDLONG,
            type DWORDLONG,
            type PVOID64)
     returns (optional type PVOID64 byvalue)
     WINBASEAPI WINAPI ext ('MapViewOfFileVlm');

 dcl FlushViewOfFile
     entry (type LPCVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FlushViewOfFile');

 dcl UnmapViewOfFile
     entry (type LPCVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UnmapViewOfFile');

 dcl UnmapViewOfFileVlm
     entry (type PVOID64)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UnmapViewOfFileVlm');

 /* File Encryption API */

 dcl EncryptFileA
     entry (char (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EncryptFileA');

 dcl EncryptFileW
     entry (WCHAR (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EncryptFileW');

 %dcl EncryptFile char ext;
 %if UNICODE ^= '' %then %do;
   %EncryptFile='EncryptFileW';
 %end; %else %do;
   %EncryptFile='EncryptFileA';
 %end; /* !UNICODE */

 dcl DecryptFileA
     entry (char (*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DecryptFileA');

 dcl DecryptFileW
     entry (WCHAR (*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DecryptFileW');

 %dcl DecryptFile char ext;
 %if UNICODE ^= '' %then %do;
   %DecryptFile='DecryptFileW';
 %end; %else %do;
   %DecryptFile='DecryptFileA';
 %end; /* !UNICODE */


 /*  Encryption Status Value */

 dcl FILE_ENCRYPTABLE                type DWORD value(0);
 dcl FILE_IS_ENCRYPTED               type DWORD value(1);
 dcl FILE_SYSTEM_ATTR                type DWORD value(2);
 dcl FILE_ROOT_DIR                   type DWORD value(3);
 dcl FILE_SYSTEM_DIR                 type DWORD value(4);
 dcl FILE_UNKNOWN                    type DWORD value(5);
 dcl FILE_SYSTEM_NOT_SUPPORT         type DWORD value(6);
 dcl FILE_USER_DISALLOWED            type DWORD value(7);
 dcl FILE_READ_ONLY                  type DWORD value(8);

 dcl FileEncryptionStatusA
     entry (char (*) varz byaddr nonasgn,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FileEncryptionStatusA');

 dcl FileEncryptionStatusW
     entry (WCHAR (*) varz byaddr nonasgn,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FileEncryptionStatusW');

 %dcl FileEncryptionStatus char ext;
 %if UNICODE ^= '' %then %do;
   %FileEncryptionStatus='FileEncryptionStatusW';
 %end; %else %do;
   %FileEncryptionStatus='FileEncryptionStatusA';
 %end; /* !UNICODE */


 /* Currently defined recovery flags */

 dcl EFS_USE_RECOVERY_KEYS  fixed bin(31) value('1'xn);


 define alias PFE_EXPORT_FUNC
        entry (type PBYTE,
               type PVOID,
               type ULONG)
        returns (type DWORD byvalue optional)
        limited CALLBACK; /* CALLBACK not in MS original! */

 define alias PFE_IMPORT_FUNC
        entry (type PBYTE,
               type PVOID,
               type ULONG)
        returns (type DWORD byvalue optional)
        limited CALLBACK; /* CALLBACK not in MS original! */

 /*  OpenRaw flag values */

 dcl CREATE_FOR_IMPORT fixed bin(31) value(1);
 dcl CREATE_FOR_DIR    fixed bin(31) value(2);


 dcl OpenEncryptedFileRawA
     entry (char (*) varz byaddr nonasgn,
            type ULONG,
            type PVOID byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('OpenEncryptedFileRawA');

 dcl OpenEncryptedFileRawW
     entry (WCHAR (*) varz byaddr nonasgn,
            type ULONG,
            type PVOID byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('OpenEncryptedFileRawW');

 %dcl OpenEncryptedFileRaw char ext;
 %if UNICODE ^= '' %then %do;
   %OpenEncryptedFileRaw='OpenEncryptedFileRawW';
 %end; %else %do;
   %OpenEncryptedFileRaw='OpenEncryptedFileRawA';
 %end; /* !UNICODE */

 dcl ReadEncryptedFileRaw
     entry (type PFE_EXPORT_FUNC,
            type PVOID,
            type PVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('ReadEncryptedFileRaw');

 dcl WriteEncryptedFileRaw
     entry (type PFE_IMPORT_FUNC,
            type PVOID,
            type PVOID)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WriteEncryptedFileRaw');

 dcl CloseEncryptedFileRaw
     entry (type PVOID)
     WINBASEAPI WINAPI ext ('CloseEncryptedFileRaw');


 /* _l Compat Functions */

 dcl lstrcmpA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional fixed bin(31) byvalue)
     WINBASEAPI WINAPI ext ('lstrcmpA');

 dcl lstrcmpW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional fixed bin(31) byvalue)
     WINBASEAPI WINAPI ext ('lstrcmpW');

 %dcl lstrcmp char ext;
 %if UNICODE ^= '' %then %do;
   %lstrcmp='lstrcmpW';
 %end; %else %do;
   %lstrcmp='lstrcmpA';
 %end; /* !UNICODE */

 dcl lstrcmpiA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional fixed bin(31) byvalue)
     WINBASEAPI WINAPI ext ('lstrcmpiA');

 dcl lstrcmpiW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional fixed bin(31) byvalue)
     WINBASEAPI WINAPI ext ('lstrcmpiW');

 %dcl lstrcmpi char ext;
 %if UNICODE ^= '' %then %do;
   %lstrcmpi='lstrcmpiW';
 %end; %else %do;
   %lstrcmpi='lstrcmpiA';
 %end; /* !UNICODE */

 dcl lstrcpynA
     entry (char(*) varz byaddr,
            char(*) varz byaddr nonasgn,
            fixed bin(31))
     returns (optional type LPSTR byvalue)
     WINBASEAPI WINAPI ext ('lstrcpynA');

 dcl lstrcpynW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr nonasgn,
            fixed bin(31))
     returns (optional type LPWSTR byvalue)
     WINBASEAPI WINAPI ext ('lstrcpynW');

 %dcl lstrcpyn char ext;
 %if UNICODE ^= '' %then %do;
   %lstrcpyn='lstrcpynW';
 %end; %else %do;
   %lstrcpyn='lstrcpynA';
 %end; /* !UNICODE */

 dcl lstrcpyA
     entry (char(*) varz byaddr,
            char(*) varz byaddr nonasgn)
     returns (optional type LPSTR byvalue)
     WINBASEAPI WINAPI ext ('lstrcpyA');

 dcl lstrcpyW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type LPWSTR byvalue)
     WINBASEAPI WINAPI ext ('lstrcpyW');

 %dcl lstrcpy char ext;
 %if UNICODE ^= '' %then %do;
   %lstrcpy='lstrcpyW';
 %end; %else %do;
   %lstrcpy='lstrcpyA';
 %end; /* !UNICODE */


 dcl lstrcatA
     entry (char(*) varz byaddr,
            char(*) varz byaddr nonasgn)
     returns (optional type LPSTR byvalue)
     WINBASEAPI WINAPI ext ('lstrcatA');

 dcl lstrcatW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type LPWSTR byvalue)
     WINBASEAPI WINAPI ext ('lstrcatW');

 %dcl lstrcat char ext;
 %if UNICODE ^= '' %then %do;
   %lstrcat='lstrcatW';
 %end; %else %do;
   %lstrcat='lstrcatA';
 %end; /* !UNICODE */

 dcl lstrlenA
     entry (char(*) varz byaddr nonasgn)
     returns (fixed bin (31) byvalue)
     WINBASEAPI WINAPI ext ('lstrlenA');

 dcl lstrlenW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (fixed bin (31) byvalue)
     WINBASEAPI WINAPI ext ('lstrlenW');

 %dcl lstrlen char ext;
 %if UNICODE ^= '' %then %do;
   %lstrlen='lstrlenW';
 %end; %else %do;
   %lstrlen='lstrlenA';
 %end; /* !UNICODE */


 dcl OpenFile    /* use CreateFile instead */
     entry (char(*) varz byaddr nonasgn,
            type OFSTRUCT byaddr,
            type UINT)
     returns (optional type HFILE byvalue)
     WINBASEAPI WINAPI ext ('OpenFile');

 dcl _lopen     /* use CreateFile instead */
     entry (char(*) varz byaddr nonasgn,
            fixed bin (31))
     returns (optional type HFILE byvalue)
     WINBASEAPI WINAPI ext ('_lopen');

 dcl _lcreat    /* use CreateFile instead */
     entry (char(*) varz byaddr nonasgn,
            fixed bin (31))
     returns (optional type HFILE byvalue)
     WINBASEAPI WINAPI ext ('_lcreate');

 dcl _lread     /* use ReadFile instead */
     entry (type HFILE,
            type LPVOID,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('_lread');

 dcl _lwrite    /* use WriteFile instead */
     entry (type HFILE,
            char(*) varz byaddr nonasgn,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('_lwrite');

 dcl _hread     /* use ReadFile instead */
     entry (type HFILE,
            type LPVOID,
            fixed bin (31))
     returns (optional fixed bin (31) byvalue)
     WINBASEAPI WINAPI ext ('_hread');

 dcl _hwrite    /* use WriteFile instead */
     entry (type HFILE,
            char(*) varz byaddr nonasgn,
            fixed bin (31))
     returns (optional fixed bin (31) byvalue)
     WINBASEAPI WINAPI ext ('_hwrite');

 dcl _lclose   /* use CloseFile instead */
     entry (type HFILE)
     returns (optional type HFILE byvalue)
     WINBASEAPI WINAPI ext ('_lclose');

 dcl _llseek   /* use SetFilePointer instead */
     entry (type HFILE,
            type LONG,
            fixed bin (31))
     returns (optional type LONG byvalue)
     WINBASEAPI WINAPI ext ('_llseek');


 dcl IsTextUnicode
     entry (type LPVOID,
            fixed bin(31),
            type INT byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('IsTextUnicode');

 dcl TlsAlloc
     entry ()
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('TlsAlloc');

 dcl TLS_OUT_OF_INDEXES type DWORD  value('ffffffff'xu);

 dcl TlsGetValue
     entry (type DWORD)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('TlsGetValue');

 dcl TlsSetValue
     entry (type DWORD,
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TlsSetValue');

 dcl TlsFree
     entry (type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TlsFree');

 dcl SleepEx
     entry (type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SleepEx');

 dcl WaitForSingleObjectEx
     entry (type HANDLE,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WaitForSingleObjectEx');

 dcl WaitForMultipleObjectsEx
     entry (type DWORD,
            (*) type HANDLE byaddr nonasgn,
            type BOOL,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WaitForMultipleObjectsEx');

 %if (#WIN32_WINNT >= 1024) %then %do;
 dcl SignalObjectAndWait
     entry (type HANDLE,
            type HANDLE,
            type DWORD,
            type BOOL)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SignalObjectAndWait');
 %end; /* _WIN32_WINNT >= 0x0400 */

 dcl ReadFileEx
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type OVERLAPPED byaddr optional,
            type LPOVERLAPPED_COMPLETION_ROUTINE optional byvalue)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReadFileEx');

 dcl WriteFileEx
     entry (type HANDLE,
            type LPCVOID,
            type DWORD,
            type OVERLAPPED byaddr optional,
            type LPOVERLAPPED_COMPLETION_ROUTINE optional byvalue)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteFileEx');

 dcl BackupRead
     entry (type HANDLE,
            type LPBYTE,
            type DWORD,
            type DWORD byaddr,
            type BOOL,
            type BOOL,
            type LPVOID byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BackupRead');

 dcl BackupSeek
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type LPVOID byaddr)
    returns (optional type BOOL byvalue)
    WINBASEAPI WINAPI ext ('BackupSeek');

 dcl BackupWrite
     entry (type HANDLE,
            type LPBYTE,
            type DWORD,
            type DWORD byaddr,
            type BOOL,
            type BOOL,
            type LPVOID byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BackupWrite');

 /* Stream id structure */

 define structure
   1 WIN32_STREAM_ID,
     2 dwStreamId         type DWORD,
     2 dwStreamAttributes type DWORD,
     2 Size               type LARGE_INTEGER,
     2 dwStreamNameSize   type DWORD,            /* "refer" target */
     2 cStreamName        WCHAR (ANYSIZE_ARRAY); /* "refer" */
 define alias LPWIN32_STREAM_ID handle WIN32_STREAM_ID;


 dcl BACKUP_INVALID        type DWORD value('00000000'xu);
 dcl BACKUP_DATA           type DWORD value('00000001'xu);
 dcl BACKUP_EA_DATA        type DWORD value('00000002'xu);
 dcl BACKUP_SECURITY_DATA  type DWORD value('00000003'xu);
 dcl BACKUP_ALTERNATE_DATA type DWORD value('00000004'xu);
 dcl BACKUP_LINK           type DWORD value('00000005'xu);
 dcl BACKUP_PROPERTY_DATA  type DWORD value('00000006'xu);
 dcl BACKUP_OBJECT_ID      type DWORD value('00000007'xu);
 dcl BACKUP_REPARSE_DATA   type DWORD value('00000008'xu);
 dcl BACKUP_SPARSE_BLOCK   type DWORD value('00000009'xu);


 /*  Stream Attributes */

 dcl STREAM_NORMAL_ATTRIBUTE    type DWORD value('00000000'xu);
 dcl STREAM_MODIFIED_WHEN_READ  type DWORD value('00000001'xu);
 dcl STREAM_CONTAINS_SECURITY   type DWORD value('00000002'xu);
 dcl STREAM_CONTAINS_PROPERTIES type DWORD value('00000004'xu);
 dcl STREAM_SPARSE_ATTRIBUTE    type DWORD value('00000008'xu);

 dcl ReadFileScatter
     entry (type HANDLE,
            (*) type FILE_SEGMENT_ELEMENT byaddr,
            type DWORD,
            type DWORD byaddr optional, /* reserved */
            type OVERLAPPED byaddr optional)
    returns (optional type BOOL byvalue)
    WINBASEAPI WINAPI ext ('ReadFileScatter');

 dcl WriteFileGather
     entry (type HANDLE,
            (*) type FILE_SEGMENT_ELEMENT byaddr,
            type DWORD,
            type LPDWORD, /* reserved */
            type OVERLAPPED byaddr optional)
    returns (optional type BOOL byvalue)
    WINBASEAPI WINAPI ext ('WriteFileGather');


 /* Dual Mode API below this line.      */
 /* Dual Mode Structures also included. */

 dcl STARTF_USESHOWWINDOW    type DWORD value('00000001'xu);
 dcl STARTF_USESIZE          type DWORD value('00000002'xu);
 dcl STARTF_USEPOSITION      type DWORD value('00000004'xu);
 dcl STARTF_USECOUNTCHARS    type DWORD value('00000008'xu);
 dcl STARTF_USEFILLATTRIBUTE type DWORD value('00000010'xu);
 dcl STARTF_RUNFULLSCREEN    type DWORD value('00000020'xu);
     /* ignored for non-x86 platforms */
 dcl STARTF_FORCEONFEEDBACK  type DWORD value('00000040'xu);
 dcl STARTF_FORCEOFFFEEDBACK type DWORD value('00000080'xu);
 dcl STARTF_USESTDHANDLES    type DWORD value('00000100'xu);

 %if (WINVER >= 1024) %then %do;
 dcl STARTF_USEHOTKEY        type DWORD value('00000200'xu);
 %end;

 define structure
   1 STARTUPINFOA,
     2 cb              type DWORD,
     2 lpReserved      type LPSTR,
     2 lpDesktop       type LPSTR,
     2 lpTitle         type LPSTR,
     2 dwX             type DWORD,
     2 dwY             type DWORD,
     2 dwXSize         type DWORD,
     2 dwYSize         type DWORD,
     2 dwXCountChars   type DWORD,
     2 dwYCountChars   type DWORD,
     2 dwFillAttribute type DWORD,
     2 dwFlags         type DWORD,
     2 wShowWindow     type WORD,
     2 cbReserved2     type WORD,
     2 lpReserved2     type LPBYTE,
     2 hStdInput       type HANDLE,
     2 hStdOutput      type HANDLE,
     2 hStdError       type HANDLE;
 define alias LPSTARTUPINFOA handle STARTUPINFOA;

 define structure
   1 STARTUPINFOW,
     2 cb              type DWORD,
     2 lpReserved      type LPWSTR,
     2 lpDesktop       type LPWSTR,
     2 lpTitle         type LPWSTR,
     2 dwX             type DWORD,
     2 dwY             type DWORD,
     2 dwXSize         type DWORD,
     2 dwYSize         type DWORD,
     2 dwXCountChars   type DWORD,
     2 dwYCountChars   type DWORD,
     2 dwFillAttribute type DWORD,
     2 dwFlags         type DWORD,
     2 wShowWindow     type WORD,
     2 cbReserved2     type WORD,
     2 lpReserved2     type LPBYTE,
     2 hStdInput       type HANDLE,
     2 hStdOutput      type HANDLE,
     2 hStdError       type HANDLE;
 define alias LPSTARTUPINFOW handle STARTUPINFOW;

 %if UNICODE ^= '' %then %do;
   define alias   STARTUPINFO type STARTUPINFOW;
   define alias LPSTARTUPINFO type LPSTARTUPINFOW;
 %end; %else %do;
   define alias   STARTUPINFO type STARTUPINFOA;
   define alias LPSTARTUPINFO type LPSTARTUPINFOA;
 %end; /* UNICODE */

 dcl SHUTDOWN_NORETRY type DWORD value('00000001'xu);

 define structure
   1 WIN32_FIND_DATAA,
     2 dwFileAttributes   type DWORD,
     2 ftCreationTime     type FILETIME,
     2 ftLastAccessTime   type FILETIME,
     2 ftLastWriteTime    type FILETIME,
     2 nFileSizeHigh      type DWORD,
     2 nFileSizeLow       type DWORD,
     2 dwReserved0        type DWORD,
     2 dwReserved1        type DWORD,
     2 cFileName          char (MAX_PATH -1) varz,
     2 cAlternateFileName char (14 -1) varz;
 define alias  PWIN32_FIND_DATAA handle WIN32_FIND_DATAA;
 define alias LPWIN32_FIND_DATAA handle WIN32_FIND_DATAA;

 define structure
   1 WIN32_FIND_DATAW,
     2 dwFileAttributes   type DWORD,
     2 ftCreationTime     type FILETIME,
     2 ftLastAccessTime   type FILETIME,
     2 ftLastWriteTime    type FILETIME,
     2 nFileSizeHigh      type DWORD,
     2 nFileSizeLow       type DWORD,
     2 dwReserved0        type DWORD,
     2 dwReserved1        type DWORD,
     2 cFileName          WCHAR(MAX_PATH - 1) varz,
     2 cAlternateFileName WCHAR(14 - 1) varz;
 define alias  PWIN32_FIND_DATAW handle WIN32_FIND_DATAW;
 define alias LPWIN32_FIND_DATAW handle WIN32_FIND_DATAW;

 %if UNICODE ^= '' %then %do;
   define alias   WIN32_FIND_DATA type   WIN32_FIND_DATAW;
   define alias  PWIN32_FIND_DATA type  PWIN32_FIND_DATAW;
   define alias LPWIN32_FIND_DATA type LPWIN32_FIND_DATAW;
 %end; %else %do;
   define alias   WIN32_FIND_DATA type   WIN32_FIND_DATAA;
   define alias  PWIN32_FIND_DATA type  PWIN32_FIND_DATAA;
   define alias LPWIN32_FIND_DATA type LPWIN32_FIND_DATAA;
 %end; /* UNICODE */

 define structure
   1 WIN32_FILE_ATTRIBUTE_DATA,
     2 dwFileAttributes type DWORD,
     2 ftCreationTime   type FILETIME,
     2 ftLastAccessTime type FILETIME,
     2 ftLastWriteTime  type FILETIME,
     2 nFileSizeHigh    type DWORD,
     2 nFileSizeLow     type DWORD;
 define alias LPWIN32_FILE_ATTRIBUTE_DATA
              handle WIN32_FILE_ATTRIBUTE_DATA;

 dcl CreateMutexA
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            char(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateMutexA');

 dcl CreateMutexW
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateMutexW');


 %dcl CreateMutex char ext;
 %if UNICODE ^= '' %then %do;
   %CreateMutex='CreateMutexW';
 %end; %else %do;
   %CreateMutex='CreateMutexA';
 %end; /* !UNICODE */

 dcl OpenMutexA
     entry (type DWORD,
            type BOOL,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenMutexA');

 dcl OpenMutexW
     entry (type DWORD,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenMutexW');

 %dcl OpenMutex char ext;
 %if UNICODE ^= '' %then %do;
   %OpenMutex='OpenMutexW';
 %end; %else %do;
   %OpenMutex='OpenMutexA';
 %end; /* !UNICODE */

 dcl CreateEventA
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            type BOOL,
            char(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateEventA');

 dcl CreateEventW
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateEventW');

 %dcl CreateEvent char ext;
 %if UNICODE ^= '' %then %do;
   %CreateEvent='CreateEventW';
 %end; %else %do;
   %CreateEvent='CreateEventA';
 %end; /* !UNICODE */

 dcl OpenEventA
     entry (type DWORD,
            type BOOL,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenEventA');

 dcl OpenEventW
     entry (type DWORD,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenEventW');

 %dcl OpenEvent char ext;
 %if UNICODE ^= '' %then %do;
   %OpenEvent='OpenEventW';
 %end; %else %do;
   %OpenEvent='OpenEventA';
 %end; /* !UNICODE */

 dcl CreateSemaphoreA
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type LONG,
            type LONG,
            char(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateSemaphoreA');

 dcl CreateSemaphoreW
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            type LONG,
            type LONG,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateSemaphoreW');

 %dcl CreateSemaphore char ext;
 %if UNICODE ^= '' %then %do;
   %CreateSemaphore='CreateSemaphoreW';
 %end; %else %do;
   %CreateSemaphore='CreateSemaphoreA';
 %end; /* !UNICODE */

 dcl OpenSemaphoreA
     entry (type DWORD,
            type BOOL,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenSemaphoreA');

 dcl OpenSemaphoreW
     entry (type DWORD,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenSemaphoreW');

 %dcl OpenSemaphore char ext;
 %if UNICODE ^= '' %then %do;
   %OpenSemaphore='OpenSemaphoreW';
 %end; %else %do;
   %OpenSemaphore='OpenSemaphoreA';
 %end; /* !UNICODE */

 %if (#WIN32_WINNT >= 1024) %then %do;
 define alias PTIMERAPCROUTINE
        entry (type LPVOID,
               type DWORD,
               type DWORD)
        limited APIENTRY;

 dcl CreateWaitableTimerA
     entry (type SECURITY_ATTRIBUTES byaddr nonasgn,
            type BOOL,
            char(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateWaitableTimerA');

 dcl CreateWaitableTimerW
     entry (type SECURITY_ATTRIBUTES byaddr nonasgn,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateWaitableTimerW');

 %dcl CreateWaitableTimer char ext;
 %if UNICODE ^= '' %then %do;
   %CreateWaitableTimer = 'CreateWaitableTimerW';
 %end; %else %do;
   %CreateWaitableTimer = 'CreateWaitableTimerA';
 %end; /* !UNICODE */

 dcl OpenWaitableTimerA
     entry (type DWORD,
            type BOOL,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenWaitableTimerA');

 dcl OpenWaitableTimerW
     entry (type DWORD,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenWaitableTimerW');

 %dcl OpenWaitableTimer char ext;
 %if UNICODE ^= '' %then %do;
   %OpenWaitableTimer = 'OpenWaitableTimerW';
 %end; %else %do;
   %OpenWaitableTimer = 'OpenWaitableTimerA';
 %end; /* !UNICODE */

 dcl SetWaitableTimer
    entry (type HANDLE,
           type LARGE_INTEGER byaddr nonasgn,
           type LONG,
           type PTIMERAPCROUTINE,
           type LPVOID,
           type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetWaitableTimer');

 dcl CancelWaitableTimer
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CancelWaitableTimer');
 %end; /* _WIN32_WINNT >= 0x0400 */


 dcl CreateFileMappingA
     entry (type HANDLE,
            type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD,
            type DWORD,
            type DWORD,
            char(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateFileMappingA');

 dcl CreateFileMappingW
     entry (type HANDLE,
            type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD,
            type DWORD,
            type DWORD,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateFileMappingW');

 %dcl CreateFileMapping char ext;
 %if UNICODE ^= '' %then %do;
   %CreateFileMapping='CreateFileMappingW';
 %end; %else %do;
   %CreateFileMapping='CreateFileMappingA';
 %end; /* !UNICODE */


 dcl OpenFileMappingA
     entry (type DWORD,
            type BOOL,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenFileMappingA');

 dcl OpenFileMappingW
     entry (type DWORD,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenFileMappingW');


 %dcl OpenFileMapping char ext;
 %if UNICODE ^= '' %then %do;
   %OpenFileMapping='OpenFileMappingW';
 %end; %else %do;
   %OpenFileMapping='OpenFileMappingA';
 %end; /* !UNICODE */

 dcl GetLogicalDriveStringsA
     entry (type DWORD,
            type LPSTR) /* to nul-terminated list of char(*) varz */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetLogicalDriveStringsA');

 dcl GetLogicalDriveStringsW
     entry (type DWORD,
            type LPWSTR) /* to nul-terminated list of WCHAR(*) varz */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetLogicalDriveStringsW');

 %dcl GetLogicalDriveStrings char ext;
 %if UNICODE ^= '' %then %do;
   %GetLogicalDriveStrings='GetLogicalDriveStringsW';
 %end; %else %do;
   %GetLogicalDriveStrings='GetLogicalDriveStringsA';
 %end; /* !UNICODE */

 %if #WIN32_WINNT >= 1281 %then %do;

 define ordinal MEMORY_RESOURCE_NOTIFICATION_TYPE
   (LowMemoryResourceNotification,
    HighMemoryResourceNotification
   ) prec(31);

 dcl CreateMemoryResourceNotification
     entry (type MEMORY_RESOURCE_NOTIFICATION_TYPE)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateMemoryResourceNotification');


 dcl QueryMemoryResourceNotification
     entry (type HANDLE,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('QueryMemoryResourceNotification');

 %end; /* _WIN32_WINNT >= 0x0501 */


 dcl LoadLibraryA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type HMODULE byvalue)
     WINBASEAPI WINAPI ext ('LoadLibraryA');

 dcl LoadLibraryW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type HMODULE byvalue)
     WINBASEAPI WINAPI ext ('LoadLibraryW');

 %dcl LoadLibrary char ext;
 %if UNICODE ^= '' %then %do;
   %LoadLibrary='LoadLibraryW';
 %end; %else %do;
   %LoadLibrary='LoadLibraryA';
 %end; /* !UNICODE */

 dcl LoadLibraryExA
     entry (char(*) varz byaddr nonasgn,
            type HANDLE,
            type DWORD)
     returns (optional type HMODULE byvalue)
     WINBASEAPI WINAPI ext ('LoadLibraryExA');

 dcl LoadLibraryExW
     entry (WCHAR(*) varz byaddr nonasgn,
            type HANDLE,
            type DWORD)
     returns (optional type HMODULE byvalue)
     WINBASEAPI WINAPI ext ('LoadLibraryExW');

 %dcl LoadLibraryEx char ext;
 %if UNICODE ^= '' %then %do;
   %LoadLibraryEx='LoadLibraryExW';
 %end; %else %do;
   %LoadLibraryEx='LoadLibraryExA';
 %end; /* !UNICODE */


 dcl DONT_RESOLVE_DLL_REFERENCES   type DWORD value('00000001'xu);
 dcl LOAD_LIBRARY_AS_DATAFILE      type DWORD value('00000002'xu);
 dcl LOAD_WITH_ALTERED_SEARCH_PATH type DWORD value('00000008'xu);


 dcl GetModuleFileNameA
     entry (type HMODULE,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetModuleFileNameA');

 dcl GetModuleFileNameW
     entry (type HMODULE,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetModuleFileNameW');

 %dcl GetModuleFileName char ext;
 %if UNICODE ^= '' %then %do;
   %GetModuleFileName='GetModuleFileNameW';
 %end; %else %do;
   %GetModuleFileName='GetModuleFileNameA';
 %end; /* !UNICODE */

 dcl GetModuleHandleA
     entry (char(*) varz byaddr nonasgn optional)
     returns (optional type HMODULE byvalue)
     WINBASEAPI WINAPI ext ('GetModuleHandleA');

 dcl GetModuleHandleW
     entry (WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HMODULE byvalue)
     WINBASEAPI WINAPI ext ('GetModuleHandleW');

 %dcl GetModuleHandle char ext;
 %if UNICODE ^= '' %then %do;
   %GetModuleHandle='GetModuleHandleW';
 %end; %else %do;
   %GetModuleHandle='GetModuleHandleA';
 %end; /* !UNICODE */

 dcl CreateProcessA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            type DWORD,
            type LPVOID,
            char(*) varz byaddr nonasgn optional,
            type STARTUPINFOA byaddr,
            type PROCESS_INFORMATION byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateProcessA');

 dcl CreateProcessW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            type DWORD,
            type LPVOID,
            WCHAR(*) varz byaddr nonasgn optional,
            type STARTUPINFOW byaddr,
            type PROCESS_INFORMATION byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateProcessW');

 %dcl CreateProcess char ext;
 %if UNICODE ^= '' %then %do;
   %CreateProcess='CreateProcessW';
 %end; %else %do;
   %CreateProcess='CreateProcessA';
 %end; /* !UNICODE */

 dcl SetProcessShutdownParameters
     entry (type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetProcessShutdownParameters');

 dcl GetProcessShutdownParameters
     entry (type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetProcessShutdownParameters');

 dcl GetProcessVersion
     entry (type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetProcessVersion');

 dcl FatalAppExitA
     entry (type UINT,
            char(*) varz byaddr nonasgn)
     WINBASEAPI WINAPI ext ('FatalAppExitA');
 dcl FatalAppExitW
     entry (type UINT,
            WCHAR(*) varz byaddr nonasgn)
     WINBASEAPI WINAPI ext ('FatalAppExitW');

 %dcl FatalAppExit char ext;
 %if UNICODE ^= '' %then %do;
   %FatalAppExit='FatalAppExitW';
 %end; %else %do;
   %FatalAppExit='FatalAppExitA';
 %end; /* !UNICODE */

 dcl GetStartupInfoA
     entry (type STARTUPINFOA byaddr)
     WINBASEAPI WINAPI ext ('GetStartupInfoA');
 dcl GetStartupInfoW
     entry (type STARTUPINFOW byaddr)
     WINBASEAPI WINAPI ext ('GetStartupInfoW');

 %dcl GetStartupInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetStartupInfo='GetStartupInfoW';
 %end; %else %do;
   %GetStartupInfo='GetStartupInfoA';
 %end; /* !UNICODE */


 dcl GetCommandLineA
     entry ()
     returns (optional type LPSTR byvalue)
     WINBASEAPI WINAPI ext ('GetCommandLineA');

 dcl GetCommandLineW
     entry ()
     returns (optional type LPWSTR byvalue)
     WINBASEAPI WINAPI ext ('GetCommandLineW');

 %dcl GetCommandLine char ext;
 %if UNICODE ^= '' %then %do;
   %GetCommandLine='GetCommandLineW';
 %end; %else %do;
   %GetCommandLine='GetCommandLineA';
 %end; /* !UNICODE */

 DCL GetEnvironmentVariableA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetEnvironmentVariableA');

 DCL GetEnvironmentVariableW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetEnvironmentVariableW');

 %dcl GetEnvironmentVariable char ext;
 %if UNICODE ^= '' %then %do;
   %GetEnvironmentVariable='GetEnvironmentVariableW';
 %end; %else %do;
   %GetEnvironmentVariable='GetEnvironmentVariableA';
 %end; /* !UNICODE */

 dcl SetEnvironmentVariableA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetEnvironmentVariableA');

 dcl SetEnvironmentVariableW
      entry (WCHAR(*) varz byaddr nonasgn,
             WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetEnvironmentVariableW');

 %dcl SetEnvironmentVariable char ext;
 %if UNICODE ^= '' %then %do;
   %SetEnvironmentVariable='SetEnvironmentVariableW';
 %end; %else %do;
   %SetEnvironmentVariable='SetEnvironmentVariableA';
 %end; /* !UNICODE */


 DCL ExpandEnvironmentStringsA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('ExpandEnvironmentStringsA');

 DCL ExpandEnvironmentStringsW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('ExpandEnvironmentStringsW');

 %dcl ExpandEnvironmentStrings char ext;
 %if UNICODE ^= '' %then %do;
   %ExpandEnvironmentStrings='ExpandEnvironmentStringsW';
 %end; %else %do;
   %ExpandEnvironmentStrings='ExpandEnvironmentStringsA';
 %end; /* !UNICODE */

 dcl OutputDebugStringA
     entry (char(*) varz byaddr nonasgn)
     WINBASEAPI WINAPI ext ('OutputDebugStringA');
 dcl OutputDebugStringW
     entry (WCHAR(*) varz byaddr nonasgn)
     WINBASEAPI WINAPI ext ('OutputDebugStringW');

 %dcl OutputDebugString char ext;
 %if UNICODE ^= '' %then %do;
   %OutputDebugString='OutputDebugStringW';
 %end; %else %do;
   %OutputDebugString='OutputDebugStringA';
 %end; /* !UNICODE */

 dcl FindResourceA
     entry (type HMODULE,
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            char(*) varz byaddr nonasgn)  /* for integer: use pli_b2z */
     returns (optional type HRSRC byvalue)
     WINBASEAPI WINAPI ext ('FindResourceA');

 dcl FindResourceW
     entry (type HMODULE,
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            WCHAR(*) varz byaddr nonasgn) /* for integer: use pli_b2z */
     returns (optional type HRSRC byvalue)
     WINBASEAPI WINAPI ext ('FindResourceW');

 %dcl FindResource char ext;
 %if UNICODE ^= '' %then %do;
   %FindResource='FindResourceW';
 %end; %else %do;
   %FindResource='FindResourceA';
 %end; /* !UNICODE */

 dcl FindResourceExA
     entry (type HMODULE,
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            type WORD)
     returns (optional type HRSRC byvalue)
     WINBASEAPI WINAPI ext ('FindResourceExA');

 dcl FindResourceExW
     entry (type HMODULE,
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            type WORD)
     returns (optional type HRSRC byvalue)
     WINBASEAPI WINAPI ext ('FindResourceExW');


 %dcl FindResourceEx char ext;
 %if UNICODE ^= '' %then %do;
   %FindResourceEx='FindResourceExW';
 %end; %else %do;
   %FindResourceEx='FindResourceExA';
 %end; /* !UNICODE */

 define alias ENUMRESTYPEPROC
        entry (type HMODULE,
               type LPTSTR, /* to TSTR */
               type LONG)
        returns (optional type BOOL byvalue)
        limited CALLBACK;

 define alias ENUMRESNAMEPROC
        entry (type HMODULE,
               type LPTSTR, /* to TSTR nonasgn */
               type LPTSTR, /* to TSTR */
               type LONG)
        returns (optional type BOOL byvalue)
        limited CALLBACK;

 define alias ENUMRESLANGPROC
        entry (type HMODULE,
               type LPTSTR, /* to TSTR nonasgn */
               type LPTSTR, /* to TSTR nonasgn */
               type WORD,
               type LONG)
        returns (optional type BOOL byvalue)
        limited CALLBACK;

 dcl EnumResourceTypesA
     entry (type HMODULE,
            type ENUMRESTYPEPROC,
            type LONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EnumResourceTypesA');

 dcl EnumResourceTypesW
     entry (type HMODULE,
            type ENUMRESTYPEPROC,
            type LONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EnumResourceTypesW');

 %dcl EnumResourceTypes char ext;
 %if UNICODE ^= '' %then %do;
   %EnumResourceTypes='EnumResourceTypesW';
 %end; %else %do;
   %EnumResourceTypes='EnumResourceTypesA';
 %end; /* !UNICODE */


 dcl EnumResourceNamesA
     entry (type HMODULE,
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            type ENUMRESNAMEPROC,
            type LONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EnumResourceNamesA');

 dcl EnumResourceNamesW
     entry (type HMODULE,
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            type ENUMRESNAMEPROC,
            type LONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EnumResourceNamesW');

 %dcl EnumResourceNames char ext;
 %if UNICODE ^= '' %then %do;
   %EnumResourceNames='EnumResourceNamesW';
 %end; %else %do;
   %EnumResourceNames='EnumResourceNamesA';
 %end; /* !UNICODE */

 dcl EnumResourceLanguagesA
     entry (type HMODULE,
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            char(*) varz byaddr nonasgn,
            type ENUMRESLANGPROC,
            type LONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EnumResourceLanguagesA');

 dcl EnumResourceLanguagesW
     entry (type HMODULE,
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            WCHAR(*) varz byaddr nonasgn,
            type ENUMRESLANGPROC,
            type LONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EnumResourceLanguagesW');

 %dcl EnumResourceLanguages char ext;
 %if UNICODE ^= '' %then %do;
   %EnumResourceLanguages='EnumResourceLanguagesW';
 %end; %else %do;
   %EnumResourceLanguages='EnumResourceLanguagesA';
 %end; /* !UNICODE */

 dcl BeginUpdateResourceA
     entry (char(*) varz byaddr nonasgn,
            type BOOL)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('BeginUpdateResourceA');

 dcl BeginUpdateResourceW
     entry (WCHAR(*) varz byaddr nonasgn,
            type BOOL)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('BeginUpdateResourceW');

 %dcl BeginUpdateResource char ext;
 %if UNICODE ^= '' %then %do;
   %BeginUpdateResource='BeginUpdateResourceW';
 %end; %else %do;
   %BeginUpdateResource='BeginUpdateResourceA';
 %end; /* !UNICODE */

 dcl UpdateResourceA
     entry (type HANDLE,
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            char(*) varz byaddr nonasgn,  /* for integer: use pli_b2z */
            type WORD,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UpdateResourceA');

 dcl UpdateResourceW
     entry (type HANDLE,
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            WCHAR(*) varz byaddr nonasgn, /* for integer: use pli_b2z */
            type WORD,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('UpdateResourceW');

 %dcl UpdateResource char ext;
 %if UNICODE ^= '' %then %do;
   %UpdateResource='UpdateResourceW';
 %end; %else %do;
   %UpdateResource='UpdateResourceA';
 %end; /* !UNICODE */

 dcl EndUpdateResourceA
     entry (type HANDLE,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EndUpdateResourceA');

 dcl EndUpdateResourceW
    entry (type HANDLE,
           type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('EndUpdateResourceW');

 %dcl EndUpdateResource char ext;
 %if UNICODE ^= '' %then %do;
   %endUpdateResource='EndUpdateResourceW';
 %end; %else %do;
   %endUpdateResource='EndUpdateResourceA';
 %end; /* !UNICODE */

 dcl GlobalAddAtomA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('GlobalAddAtomA');

 dcl GlobalAddAtomW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('GlobalAddAtomW');

 %dcl GlobalAddAtom char ext;
 %if UNICODE ^= '' %then %do;
   %GlobalAddAtom='GlobalAddAtomW';
 %end; %else %do;
   %GlobalAddAtom='GlobalAddAtomA';
 %end; /* !UNICODE */

 dcl GlobalFindAtomA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('GlobalFindAtomA');

 dcl GlobalFindAtomW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('GlobalFindAtomW');

 %dcl GlobalFindAtom char ext;
 %if UNICODE ^= '' %then %do;
   %GlobalFindAtom='GlobalFindAtomW';
 %end; %else %do;
   %GlobalFindAtom='GlobalFindAtomA';
 %end; /* !UNICODE */

 dcl GlobalGetAtomNameA
     entry (type ATOM,
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GlobalGetAtomNameA');

 dcl GlobalGetAtomNameW
     entry (type ATOM,
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GlobalGetAtomNameW');

 %dcl GlobalGetAtomName char ext;
 %if UNICODE ^= '' %then %do;
   %GlobalGetAtomName='GlobalGetAtomNameW';
 %end; %else %do;
   %GlobalGetAtomName='GlobalGetAtomNameA';
 %end; /* !UNICODE */

 dcl AddAtomA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('AddAtomA');

 dcl AddAtomW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('AddAtomW');

 %dcl AddAtom char ext;
 %if UNICODE ^= '' %then %do;
   %AddAtom='AddAtomW';
 %end; %else %do;
   %AddAtom='AddAtomA';
 %end; /* !UNICODE */

 dcl FindAtomA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('FindAtomA');

 dcl FindAtomW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type ATOM byvalue)
     WINBASEAPI WINAPI ext ('FindAtomW');

 %dcl FindAtom char ext;
 %if UNICODE ^= '' %then %do;
   %FindAtom='FindAtomW';
 %end; %else %do;
   %FindAtom='FindAtomA';
 %end; /* !UNICODE */

 dcl GetAtomNameA
    entry (type ATOM,
           char(*) varz byaddr,
           fixed bin(31))
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetAtomNameA');

 dcl GetAtomNameW
     entry (type ATOM,
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetAtomNameW');

 %dcl GetAtomName char ext;
 %if UNICODE ^= '' %then %do;
   %GetAtomName='GetAtomNameW';
 %end; %else %do;
   %GetAtomName='GetAtomNameA';
 %end; /* !UNICODE */

 dcl GetProfileIntA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type INT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetProfileIntA');

 dcl GetProfileIntW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type INT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetProfileIntW');

 %dcl GetProfileInt char ext;
 %if UNICODE ^= '' %then %do;
   %GetProfileInt='GetProfileIntW';
 %end; %else %do;
   %GetProfileInt='GetProfileIntA';
 %end; /* !UNICODE */

 dcl GetProfileStringA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetProfileStringA');

 dcl GetProfileStringW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetProfileStringW');

 %dcl GetProfileString char ext;
 %if UNICODE ^= '' %then %do;
   %GetProfileString='GetProfileStringW';
 %end; %else %do;
   %GetProfileString='GetProfileStringA';
 %end; /* !UNICODE */

 dcl WriteProfileStringA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteProfileStringA');

 dcl WriteProfileStringW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteProfileStringW');

 %dcl WriteProfileString char ext;
 %if UNICODE ^= '' %then %do;
   %WriteProfileString='WriteProfileStringW';
 %end; %else %do;
   %WriteProfileString='WriteProfileStringA';
 %end; /* !UNICODE */

 dcl GetProfileSectionA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetProfileSectionA');

 dcl GetProfileSectionW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetProfileSectionW');

 %dcl GetProfileSection char ext;
 %if UNICODE ^= '' %then %do;
   %GetProfileSection='GetProfileSectionW';
 %end; %else %do;
   %GetProfileSection='GetProfileSectionA';
 %end; /* !UNICODE */

 dcl WriteProfileSectionA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteProfileSectionA');

 dcl WriteProfileSectionW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteProfileSectionW');

 %dcl WriteProfileSection char ext;
 %if UNICODE ^= '' %then %do;
   %WriteProfileSection='WriteProfileSectionW';
 %end; %else %do;
   %WriteProfileSection='WriteProfileSectionA';
 %end; /* !UNICODE */

 dcl GetPrivateProfileIntA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type INT,
            char(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileIntA');

 dcl GetPrivateProfileIntW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type INT,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileIntW');

 %dcl GetPrivateProfileInt char ext;
 %if UNICODE ^= '' %then %do;
   %GetPrivateProfileInt='GetPrivateProfileIntW';
  %end; %else %do;
   %GetPrivateProfileInt='GetPrivateProfileIntA';
 %end; /* !UNICODE */

 dcl GetPrivateProfileStringA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD,
            char(*) varz byaddr nonasgn)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileStringA');

 dcl GetPrivateProfileStringW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileStringW');

 %dcl GetPrivateProfileString char ext;
 %if UNICODE ^= '' %then %do;
   %GetPrivateProfileString='GetPrivateProfileStringW';
 %end; %else %do;
   %GetPrivateProfileString='GetPrivateProfileStringA';
 %end; /* !UNICODE */

 DCL WritePrivateProfileStringA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WritePrivateProfileStringA');

 DCL WritePrivateProfileStringW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WritePrivateProfileStringW');

 %dcl WritePrivateProfileString char ext;
 %if UNICODE ^= '' %then %do;
   %WritePrivateProfileString='WritePrivateProfileStringW';
 %end; %else %do;
   %WritePrivateProfileString='WritePrivateProfileStringA';
 %end; /* !UNICODE */

 dcl GetPrivateProfileSectionA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD,
            char(*) varz byaddr nonasgn)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileSectionA');

 dcl GetPrivateProfileSectionW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileSectionW');

 %dcl GetPrivateProfileSection char ext;
 %if UNICODE ^= '' %then %do;
   %GetPrivateProfileSection='GetPrivateProfileSectionW';
 %end; %else %do;
   %GetPrivateProfileSection='GetPrivateProfileSectionA';
 %end; /* !UNICODE */

 dcl WritePrivateProfileSectionA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WritePrivateProfileSectionA');

 dcl WritePrivateProfileSectionW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WritePrivateProfileSectionW');

 %dcl WritePrivateProfileSection char ext;
 %if UNICODE ^= '' %then %do;
   %WritePrivateProfileSection='WritePrivateProfileSectionW';
 %end; %else %do;
   %WritePrivateProfileSection='WritePrivateProfileSectionA';
 %end; /* !UNICODE */


 DCL GetPrivateProfileSectionNamesA
     entry (char(*) varz byaddr,
            type DWORD,
            char(*) varz byaddr nonasgn optional)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileSectionNamesA');

 DCL GetPrivateProfileSectionNamesW
     entry (WCHAR(*) varz byaddr,
            type DWORD,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileSectionNamesW');

 %dcl GetPrivateProfileSectionNames char ext;
 %if UNICODE ^= '' %then %do;
   %GetPrivateProfileSectionNames='GetPrivateProfileSectionNamesW';
 %end; %else %do;
   %GetPrivateProfileSectionNames='GetPrivateProfileSectionNamesA';
 %end;
 /* !UNICODE */

 dcl GetPrivateProfileStructA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type LPVOID,
            type UINT,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileStructA');

 dcl GetPrivateProfileStructW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            type UINT,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetPrivateProfileStructW');

 %dcl GetPrivateProfileStruct char ext;
 %if UNICODE ^= '' %then %do;
   %GetPrivateProfileStruct='GetPrivateProfileStructW';
 %end; %else %do;
   %GetPrivateProfileStruct='GetPrivateProfileStructA';
 %end; /* !UNICODE */

 dcl WritePrivateProfileStructA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            type LPVOID,
            type UINT,
            char(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WritePrivateProfileStructA');

 dcl WritePrivateProfileStructW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            type LPVOID,
            type UINT,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WritePrivateProfileStructW');

 %dcl WritePrivateProfileStruct char ext;
 %if UNICODE ^= '' %then %do;
   %WritePrivateProfileStruct='WritePrivateProfileStructW';
 %end; %else %do;
   %WritePrivateProfileStruct='WritePrivateProfileStructA';
 %end; /* !UNICODE */


 dcl GetDriveTypeA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetDriveTypeA');

 dcl GetDriveTypeW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetDriveTypeW');

 %dcl GetDriveType char ext;
 %if UNICODE ^= '' %then %do;
   %GetDriveType='GetDriveTypeW';
 %end; %else %do;
   %GetDriveType='GetDriveTypeA';
 %end; /* !UNICODE */

 dcl GetSystemDirectoryA
     entry (char(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetSystemDirectoryA');

 dcl GetSystemDirectoryW
     entry (WCHAR(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetSystemDirectoryW');

 %dcl GetSystemDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %GetSystemDirectory='GetSystemDirectoryW';
 %end; %else %do;
   %GetSystemDirectory='GetSystemDirectoryA';
 %end; /* !UNICODE */

 dcl GetTempPathA
     entry (type DWORD,
            char(*) varz byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTempPathA');

 dcl GetTempPathW
     entry (type DWORD,
            WCHAR(*) varz byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetTempPathW');

 %dcl GetTempPath char ext;
 %if UNICODE ^= '' %then %do;
   %GetTempPath='GetTempPathW';
 %end; %else %do;
   %GetTempPath='GetTempPathA';
 %end; /* !UNICODE */

 dcl GetTempFileNameA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type UINT,
            char(*) varz byaddr)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetTempFileNameA');

 dcl GetTempFileNameW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type UINT,
            WCHAR(*) varz byaddr)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetTempFileNameW');

 %dcl GetTempFileName char ext;
 %if UNICODE ^= '' %then %do;
   %GetTempFileName='GetTempFileNameW';
 %end; %else %do;
   %GetTempFileName='GetTempFileNameA';
 %end; /* !UNICODE */

 dcl GetWindowsDirectoryA
     entry (char(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetWindowsDirectoryA');

 dcl GetWindowsDirectoryW
     entry (WCHAR(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetWindowsDirectoryW');

 %dcl GetWindowsDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %GetWindowsDirectory='GetWindowsDirectoryW';
 %end; %else %do;
   %GetWindowsDirectory='GetWindowsDirectoryA';
 %end; /* !UNICODE */

 dcl GetSystemWindowsDirectoryA
     entry (char(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetSystemWindowsDirectoryA');

 dcl GetSystemWindowsDirectoryW
     entry (WCHAR(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetSystemWindowsDirectoryW');

 %dcl GetSystemWindowsDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %GetSystemWindowsDirectory='GetSystemWindowsDirectoryW';
 %end; %else %do;
   %GetSystemWindowsDirectory='GetSystemWindowsDirectoryA';
 %end; /* !UNICODE */

 %dcl WINBASE_DECLARE_GET_SYSTEM_WOW64_DIRECTORY char ext;
 %if #WIN32_WINNT >= 1281 |
     WINBASE_DECLARE_GET_SYSTEM_WOW64_DIRECTORY ^= '' %then %do;
 dcl GetSystemWow64DirectoryA
     entry (char(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetSystemWow64DirectoryA');

 dcl GetSystemWow64DirectoryW
     entry (WCHAR(*) varz byaddr,
            type UINT)
     returns (optional type UINT byvalue)
     WINBASEAPI WINAPI ext ('GetSystemWow64DirectoryW');

 %dcl GetSystemWow64Directory char ext;
 %if UNICODE ^= '' %then %do;
   %GetSystemWow64Directory='GetSystemWow64DirectoryW';
 %end; %else %do;
   %GetSystemWow64Directory='GetSystemWow64DirectoryA';
 %end; /* !UNICODE */

 /* for GetProcAddress */

 define alias PGET_SYSTEM_WOW64_DIRECTORY_A
              entry (char(*) varz byaddr,
                     type UINT)
              returns (optional type UINT byvalue)
              WINAPI limited;

 define alias PGET_SYSTEM_WOW64_DIRECTORY_W
              entry (WCHAR(*) varz byaddr,
                     type UINT)
              returns (optional type UINT byvalue)
              WINAPI limited;

 /* GetProcAddress only accepts                                      */
 /* GET_SYSTEM_WOW64_DIRECTORY_NAME_A_A,                             */
 /* GET_SYSTEM_WOW64_DIRECTORY_NAME_W_A,                             */
 /* GET_SYSTEM_WOW64_DIRECTORY_NAME_T_A.                             */
 /* The others are if you want to use the strings in some other way. */

 dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_A_A  char
     value('GetSystemWow64DirectoryA');
 dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_A_W WCHAR
     value('GetSystemWow64DirectoryA');
 dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_A_T TCHAR
     value('GetSystemWow64DirectoryA');
 dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_W_A  char
     value('GetSystemWow64DirectoryW');
 dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_W_W WCHAR
     value('GetSystemWow64DirectoryW');
 dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_W_T TCHAR
     value('GetSystemWow64DirectoryW');

 %dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_T_A char ext;
 %dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_T_W char ext;
 %dcl GET_SYSTEM_WOW64_DIRECTORY_NAME_T_T char ext;
 %if UNICODE ^= '' %then %do;
   %GET_SYSTEM_WOW64_DIRECTORY_NAME_T_A
      = 'GET_SYSTEM_WOW64_DIRECTORY_NAME_W_A';
   %GET_SYSTEM_WOW64_DIRECTORY_NAME_T_W
      = 'GET_SYSTEM_WOW64_DIRECTORY_NAME_W_W';
   %GET_SYSTEM_WOW64_DIRECTORY_NAME_T_T
      = 'GET_SYSTEM_WOW64_DIRECTORY_NAME_W_T';
 %end; %else %do;
   %GET_SYSTEM_WOW64_DIRECTORY_NAME_T_A
      = 'GET_SYSTEM_WOW64_DIRECTORY_NAME_A_A';
   %GET_SYSTEM_WOW64_DIRECTORY_NAME_T_W
      = 'GET_SYSTEM_WOW64_DIRECTORY_NAME_A_W';
   %GET_SYSTEM_WOW64_DIRECTORY_NAME_T_T
      = 'GET_SYSTEM_WOW64_DIRECTORY_NAME_A_T';
 %end;

 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl SetCurrentDirectoryA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCurrentDirectoryA');

 dcl SetCurrentDirectoryW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetCurrentDirectoryW');

 %dcl SetCurrentDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %SetCurrentDirectory='SetCurrentDirectoryW';
 %end; %else %do;
   %SetCurrentDirectory='SetCurrentDirectoryA';
 %end; /* !UNICODE */

 dcl GetCurrentDirectoryA
     entry (type DWORD,
            char(*) varz byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetCurrentDirectoryA');

 dcl GetCurrentDirectoryW
     entry (type DWORD,
            WCHAR(*) varz byaddr)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetCurrentDirectoryW');

 %dcl GetCurrentDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %GetCurrentDirectory='GetCurrentDirectoryW';
 %end; %else %do;
   %GetCurrentDirectory='GetCurrentDirectoryA';
 %end; /* !UNICODE */

 dcl GetDiskFreeSpaceA
     entry (char(*) varz byaddr nonasgn optional,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDiskFreeSpaceA');

 dcl GetDiskFreeSpaceW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDiskFreeSpaceW');

 %dcl GetDiskFreeSpace char ext;
 %if UNICODE ^= '' %then %do;
   %GetDiskFreeSpace='GetDiskFreeSpaceW';
 %end; %else %do;
   %GetDiskFreeSpace='GetDiskFreeSpaceA';
 %end; /* !UNICODE */

 dcl GetDiskFreeSpaceExA
     entry (char(*) varz byaddr nonasgn optional,
            type ULARGE_INTEGER byaddr,
            type ULARGE_INTEGER byaddr,
            type PLARGE_INTEGER byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDiskFreeSpaceExA');

 dcl GetDiskFreeSpaceExW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type ULARGE_INTEGER byaddr,
            type ULARGE_INTEGER byaddr,
            type ULARGE_INTEGER byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDiskFreeSpaceExW');

 %dcl GetDiskFreeSpaceEx char ext;
 %if UNICODE ^= '' %then %do;
   %GetDiskFreeSpaceEx='GetDiskFreeSpaceExW';
 %end; %else %do;
   %GetDiskFreeSpaceEx='GetDiskFreeSpaceExA';
 %end; /* !UNICODE */

 dcl CreateDirectoryA
     entry (char(*) varz byaddr nonasgn,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateDirectoryA');

 dcl CreateDirectoryW
     entry (WCHAR(*) varz byaddr nonasgn,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateDirectoryW');

 %dcl CreateDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDirectory='CreateDirectoryW';
 %end; %else %do;
   %CreateDirectory='CreateDirectoryA';
 %end; /* !UNICODE */

 dcl CreateDirectoryExA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateDirectoryExA');

 dcl CreateDirectoryExW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateDirectoryExW');

 %dcl CreateDirectoryEx char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDirectoryEx='CreateDirectoryExW';
 %end; %else %do;
   %CreateDirectoryEx='CreateDirectoryExA';
 %end; /* !UNICODE */

 dcl RemoveDirectoryA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('RemoveDirectoryA');

 dcl RemoveDirectoryW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('RemoveDirectoryW');

 %dcl RemoveDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %RemoveDirectory='RemoveDirectoryW';
 %end; %else %do;
   %RemoveDirectory='RemoveDirectoryA';
 %end; /* !UNICODE */

 dcl GetFullPathNameA
     entry (char(*) varz byaddr nonasgn,
            type DWORD,
            char(*) varz byaddr,
            type LPSTR byaddr optional)  /* to file part in buffer */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetFullPathNameA');

 dcl GetFullPathNameW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            WCHAR(*) varz byaddr,
            type LPWSTR byaddr optional) /* to file part in buffer */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetFullPathNameW');

 %dcl GetFullPathName char ext;
 %if UNICODE ^= '' %then %do;
   %GetFullPathName='GetFullPathNameW';
 %end; %else %do;
   %GetFullPathName='GetFullPathNameA';
 %end; /* !UNICODE */


 dcl DDD_RAW_TARGET_PATH       type DWORD value('00000001'xu);
 dcl DDD_REMOVE_DEFINITION     type DWORD value('00000002'xu);
 dcl DDD_EXACT_MATCH_ON_REMOVE type DWORD value('00000004'xu);
 dcl DDD_NO_BROADCAST_SYSTEM   type DWORD value('00000008'xu);


 dcl DefineDosDeviceA
     entry (type DWORD,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DefineDosDeviceA');

 dcl DefineDosDeviceW
     entry (type DWORD,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DefineDosDeviceW');

 %dcl DefineDosDevice char ext;
 %if UNICODE ^= '' %then %do;
   %DefineDosDevice='DefineDosDeviceW';
 %end; %else %do;
   %DefineDosDevice='DefineDosDeviceA';
 %end; /* !UNICODE */

 dcl QueryDosDeviceA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('QueryDosDeviceA');

 dcl QueryDosDeviceW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('QueryDosDeviceW');

 %dcl QueryDosDevice char ext;
 %if UNICODE ^= '' %then %do;
   %QueryDosDevice='QueryDosDeviceW';
 %end; %else %do;
   %QueryDosDevice='QueryDosDeviceA';
 %end; /* !UNICODE */

 %dcl EXPAND_LOCAL_DRIVES char ext;
 %EXPAND_LOCAL_DRIVES = 'Y';

 dcl CreateFileA
     entry (char(*) varz byaddr nonasgn,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD,
            type DWORD,
            type HANDLE)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateFileA');

 dcl CreateFileW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional,
            type DWORD,
            type DWORD,
            type HANDLE)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateFileW');

 %dcl CreateFile char ext;
 %if UNICODE ^= '' %then %do;
   %CreateFile='CreateFileW';
 %end; %else %do;
   %CreateFile='CreateFileA';
 %end; /* !UNICODE */

 dcl SetFileAttributesA
     entry (char(*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetFileAttributesA');

 dcl SetFileAttributesW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetFileAttributesW');

 %dcl SetFileAttributes char ext;
 %if UNICODE ^= '' %then %do;
   %SetFileAttributes='SetFileAttributesW';
 %end; %else %do;
   %SetFileAttributes='SetFileAttributesA';
 %end; /* !UNICODE */

 dcl GetFileAttributesA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetFileAttributesA');

 dcl GetFileAttributesW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetFileAttributesW');

 %dcl GetFileAttributes char ext;
 %if UNICODE ^= '' %then %do;
   %GetFileAttributes='GetFileAttributesW';
 %end; %else %do;
   %GetFileAttributes='GetFileAttributesA';
 %end; /* !UNICODE */

 define ordinal
   GET_FILEEX_INFO_LEVELS
     ( GetFileExInfoStandard,
       GetFileExMaxInfoLevel) prec(31);

 dcl GetFileAttributesExA
     entry (char (*) varz byaddr nonasgn,
            type GET_FILEEX_INFO_LEVELS,
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetFileAttributesExA');

 dcl GetFileAttributesExW
     entry (WCHAR (*) varz byaddr nonasgn,
            type GET_FILEEX_INFO_LEVELS,
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetFileAttributesExW');

 %dcl GetFileAttributesEx char ext;
 %if UNICODE ^= '' %then %do;
   %GetFileAttributesEx='GetFileAttributesExW';
 %end; %else %do;
   %GetFileAttributesEx='GetFileAttributesExA';
 %end; /* !UNICODE */

 dcl GetCompressedFileSizeA
     entry (char(*) varz byaddr nonasgn,
            type DWORD byaddr optional)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetCompressedFileSizeA');

 dcl GetCompressedFileSizeW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD byaddr optional)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetCompressedFileSizeW');

 %dcl GetCompressedFileSize char ext;
 %if UNICODE ^= '' %then %do;
   %GetCompressedFileSize='GetCompressedFileSizeW';
 %end; %else %do;
   %GetCompressedFileSize='GetCompressedFileSizeA';
 %end; /* !UNICODE */

 dcl DeleteFileA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteFileA');

 dcl DeleteFileW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteFileW');

 %dcl DeleteFile char ext;
 %if UNICODE ^= '' %then %do;
   %DeleteFile='DeleteFileW';
 %end; %else %do;
   %DeleteFile='DeleteFileA';
 %end; /* !UNICODE */

 %if (#WIN32_WINNT >= 1024) %then %do;

 define ordinal
   FINDEX_INFO_LEVELS
   ( FindExInfoStandard,
     FindExInfoMaxInfoLevel) prec(31);

 define ordinal
   FINDEX_SEARCH_OPS
   ( FindExSearchNameMatch,
     FindExSearchLimitToDirectories,
     FindExSearchLimitToDevices,
     FindExSearchMaxSearchOp) prec(31);

 dcl FIND_FIRST_EX_CASE_SENSITIVE type DWORD value('00000001'xu);

 dcl FindFirstFileExA
     entry (char(*) varz byaddr nonasgn,
            type FINDEX_INFO_LEVELS,
            type LPVOID,
            type FINDEX_SEARCH_OPS,
            type LPVOID,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstFileExA');

 dcl FindFirstFileExW
     entry (WCHAR(*) varz byaddr nonasgn,
            type FINDEX_INFO_LEVELS,
            type LPVOID,
            type FINDEX_SEARCH_OPS,
            type LPVOID,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstFileExW');

 %dcl FindFirstFileEx char ext;
 %if UNICODE ^= '' %then %do;
   %FindFirstFileEx='FindFirstFileExW';
 %end; %else %do;
   %FindFirstFileEx='FindFirstFileExA';
 %end; /* !UNICODE */
 %end; /* _WIN32_WINNT >= 0x0400 */

 dcl FindFirstFileA
     entry (char(*) varz byaddr nonasgn,
            type WIN32_FIND_DATAA byaddr)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstFileA');

 dcl FindFirstFileW
     entry (WCHAR(*) varz byaddr nonasgn,
            type WIN32_FIND_DATAW byaddr)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstFileW');

 %dcl FindFirstFile char ext;
 %if UNICODE ^= '' %then %do;
   %FindFirstFile='FindFirstFileW';
 %end; %else %do;
   %FindFirstFile='FindFirstFileA';
 %end; /* !UNICODE */

 dcl FindNextFileA
     entry (type HANDLE,
            type WIN32_FIND_DATAA byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextFileA');

 dcl FindNextFileW
     entry (type HANDLE,
            type WIN32_FIND_DATAW byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextFileW');

 %dcl FindNextFile char ext;
 %if UNICODE ^= '' %then %do;
   %FindNextFile='FindNextFileW';
 %end; %else %do;
   %FindNextFile='FindNextFileA';
 %end; /* !UNICODE */

 dcl SearchPathA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            type DWORD,
            char(*) varz byaddr,
            type LPSTR byaddr optional)  /* to file part in buffer */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SearchPathA');

 dcl SearchPathW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            WCHAR(*) varz byaddr,
            type LPWSTR byaddr optional) /* to file part in buffer */
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('SearchPathW');

 %dcl SearchPath char ext;
 %if UNICODE ^= '' %then %do;
   %SearchPath='SearchPathW';
 %end; %else %do;
   %SearchPath='SearchPathA';
 %end; /* !UNICODE */

 dcl CopyFileA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CopyFileA');

 dcl CopyFileW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CopyFileW');

 %dcl CopyFile char ext;
 %if UNICODE ^= '' %then %do;
   %CopyFile='CopyFileW';
 %end; %else %do;
   %CopyFile='CopyFileA';
 %end; /* !UNICODE */

 %if (#WIN32_WINNT >= 1024) %then %do;

 define alias LPPROGRESS_ROUTINE
        entry (type LARGE_INTEGER,
               type LARGE_INTEGER,
               type LARGE_INTEGER,
               type LARGE_INTEGER,
               type DWORD,
               type DWORD,
               type HANDLE,
               type HANDLE,
               type LPVOID)
        returns (optional type DWORD byvalue)
        limited WINAPI;

 dcl CopyFileExA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type LPPROGRESS_ROUTINE optional byvalue,
            type LPVOID,
            type BOOL byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CopyFileExA');

 dcl CopyFileExW
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type LPPROGRESS_ROUTINE optional byvalue,
            type LPVOID,
            type BOOL byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CopyFileExW');

 %dcl CopyFileEx char ext;
 %if UNICODE ^= '' %then %do;
   %CopyFileEx='CopyFileExW';
 %end; %else %do;
   %CopyFileEx='CopyFileExA';
 %end; /* !UNICODE */
 %end; /* _WIN32_WINNT >= 0x0400 */

 dcl MoveFileA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MoveFileA');

 dcl MoveFileW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MoveFileW');

 %dcl MoveFile char ext;
 %if UNICODE ^= '' %then %do;
   %MoveFile='MoveFileW';
 %end; %else %do;
   %MoveFile='MoveFileA';
 %end; /* !UNICODE */

 dcl MoveFileExA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MoveFileExA');

 dcl MoveFileExW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MoveFileExW');

 %dcl MoveFileEx char ext;
 %if UNICODE ^= '' %then %do;
   %MoveFileEx='MoveFileExW';
 %end; %else %do;
   %MoveFileEx='MoveFileExA';
 %end; /* !UNICODE */

 %if #WIN32_WINNT >= 1280 %then %do;

 dcl MoveFileWithProgressA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            type LPPROGRESS_ROUTINE optional byvalue,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MoveFileWithProgressA');

 dcl MoveFileWithProgressW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            type LPPROGRESS_ROUTINE optional byvalue,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MoveFileWithProgressW');

 %dcl MoveFileWithProgress char ext;
 %if UNICODE ^= '' %then %do;
   %MoveFileWithProgress='MoveFileWithProgressW';
 %end; %else %do;
   %MoveFileWithProgress='MoveFileWithProgressA';
 %end; /* !UNICODE */

 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl MOVEFILE_REPLACE_EXISTING       type DWORD value('00000001'xu);
 dcl MOVEFILE_COPY_ALLOWED           type DWORD value('00000002'xu);
 dcl MOVEFILE_DELAY_UNTIL_REBOOT     type DWORD value('00000004'xu);
 dcl MOVEFILE_WRITE_THROUGH          type DWORD value('00000008'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl MOVEFILE_CREATE_HARDLINK        type DWORD value('00000010'xu);
 dcl MOVEFILE_FAIL_IF_NOT_TRACKABLE  type DWORD value('00000020'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl ReplaceFileA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPVOID,
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReplaceFileA');

 dcl ReplaceFileW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPVOID,
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReplaceFileW');
 %dcl ReplaceFile char ext;
 %if UNICODE ^= '' %then %do;
   %ReplaceFile='ReplaceFile';
 %end; %else %do;
   %ReplaceFile='ReplaceFile';
 %end;

 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1280 %then %do;
 /* API call to create hard links. */

 dcl CreateHardLinkA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateHardLinkA');

 dcl CreateHardLinkW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CreateHardLinkW');

 %dcl CreateHardLink char ext;
 %if UNICODE ^= '' %then %do;
   %CreateHardLink='CreateHardLinkW';
 %end; %else %do;
   %CreateHardLink='CreateHardLinkA';
 %end;

 %end; /* _WIN32_WINNT >= 0x0500 */


 dcl CreateNamedPipeA
     entry (char(*) varz byaddr nonasgn,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateNamedPipeA');

 dcl CreateNamedPipeW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateNamedPipeW');

 %dcl CreateNamedPipe char ext;
 %if UNICODE ^= '' %then %do;
   %CreateNamedPipe='CreateNamedPipeW';
 %end; %else %do;
   %CreateNamedPipe='CreateNamedPipeA';
 %end; /* !UNICODE */

 dcl GetNamedPipeHandleStateA
     entry (type HANDLE,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            char(*) varz byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNamedPipeHandleStateA');

 dcl GetNamedPipeHandleStateW
     entry (type HANDLE,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            type DWORD byaddr optional,
            WCHAR(*) varz byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNamedPipeHandleStateW');

 %dcl GetNamedPipeHandleState char ext;
 %if UNICODE ^= '' %then %do;
   %GetNamedPipeHandleState='GetNamedPipeHandleStateW';
 %end; %else %do;
   %GetNamedPipeHandleState='GetNamedPipeHandleStateA';
 %end; /* !UNICODE */

 dcl CallNamedPipeA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            type DWORD,
            type LPVOID,
            type DWORD,
            type DWORD byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CallNamedPipeA');

 dcl CallNamedPipeW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            type DWORD,
            type LPVOID,
            type DWORD,
            type DWORD byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CallNamedPipeW');

 %dcl CallNamedPipe char ext;
 %if UNICODE ^= '' %then %do;
   %CallNamedPipe='CallNamedPipeW';
 %end; %else %do;
   %CallNamedPipe='CallNamedPipeA';
 %end; /* !UNICODE */

 dcl WaitNamedPipeA
     entry (char(*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WaitNamedPipeA');

 dcl WaitNamedPipeW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WaitNamedPipeW');

 %dcl WaitNamedPipe char ext;
 %if UNICODE ^= '' %then %do;
   %WaitNamedPipe='WaitNamedPipeW';
 %end; %else %do;
   %WaitNamedPipe='WaitNamedPipeA';
 %end; /* !UNICODE */

 dcl SetVolumeLabelA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetVolumeLabelA');

 dcl SetVolumeLabelW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetVolumeLabelW');

 %dcl SetVolumeLabel char ext;
 %if UNICODE ^= '' %then %do;
   %SetVolumeLabel='SetVolumeLabelW';
 %end; %else %do;
   %SetVolumeLabel='SetVolumeLabelA';
 %end; /* !UNICODE */

 dcl SetFileApisToOEM
     entry ()
     WINBASEAPI WINAPI ext ('SetFileApisToOEM');

 dcl SetFileApisToANSI
     entry ()
     WINBASEAPI WINAPI ext ('SetFileApisToANSI');

 dcl AreFileApisANSI
     entry ()
     returns (type BOOL byvalue)
     WINBASEAPI WINAPI ext ('AreFileApisANSI');

 dcl GetVolumeInformationA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr optional,
            type DWORD,
            type DWORD byaddr optional,
            type DWORD byaddr,
            type DWORD byaddr,
            char(*) varz byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVolumeInformationA');

 dcl GetVolumeInformationW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr optional,
            type DWORD,
            type DWORD byaddr optional,
            type DWORD byaddr,
            type DWORD byaddr,
            WCHAR(*) varz byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVolumeInformationW');

 %dcl GetVolumeInformation char ext;
 %if UNICODE ^= '' %then %do;
   %GetVolumeInformation='GetVolumeInformationW';
 %end; %else %do;
   %GetVolumeInformation='GetVolumeInformationA';
 %end; /* !UNICODE */

 dcl CancelIo
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CancelIo');

 /* Event logging APIs */

 dcl ClearEventLogA
     entry (type HANDLE,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('ClearEventLogA');

 dcl ClearEventLogW
     entry (type HANDLE,
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ClearEventLogW');

 %dcl ClearEventLog char ext;
 %if UNICODE ^= '' %then %do;
   %ClearEventLog='ClearEventLogW';
 %end; %else %do;
   %ClearEventLog='ClearEventLogA';
 %end;  /* !UNICODE */

 dcl BackupEventLogA
     entry (type HANDLE,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('BackupEventLogA');

 dcl BackupEventLogW
     entry (type HANDLE,
             WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('BackupEventLogW');

 %dcl BackupEventLog char ext;
 %if UNICODE ^= '' %then %do;
   %BackupEventLog='BackupEventLogW';
 %end; %else %do;
   %BackupEventLog='BackupEventLogA';
 %end; /* !UNICODE */

 dcl CloseEventLog
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CloseEventLog');

 dcl DeregisterEventSource
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('DeregisterEventSource');

 dcl NotifyChangeEventLog
     entry (type HANDLE,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('NotifyChangeEventLog');

 dcl GetNumberOfEventLogRecords
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetNumberOfEventLogRecords');

 dcl GetOldestEventLogRecord
     entry (type HANDLE,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetOldestEventLogRecord');

 dcl OpenEventLogA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINADVAPI WINAPI ext ('OpenEventLogA');

 dcl OpenEventLogW
      entry (WCHAR(*) varz byaddr nonasgn,
             WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINADVAPI WINAPI ext ('OpenEventLogW');

 %dcl OpenEventLog char ext;
 %if UNICODE ^= '' %then %do;
   %OpenEventLog='OpenEventLogW';
 %end; %else %do;
   %OpenEventLog='OpenEventLogA';
 %end; /* !UNICODE */

 dcl RegisterEventSourceA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINADVAPI WINAPI ext ('RegisterEventSourceA');

 dcl RegisterEventSourceW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINADVAPI WINAPI ext ('RegisterEventSourceW');

 %dcl RegisterEventSource char ext;
 %if UNICODE ^= '' %then %do;
   %RegisterEventSource='RegisterEventSourceW';
 %end; %else %do;
   %RegisterEventSource='RegisterEventSourceA';
 %end; /* !UNICODE */

 dcl OpenBackupEventLogA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINADVAPI WINAPI ext ('OpenBackupEventLogA');

 dcl OpenBackupEventLogW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINADVAPI WINAPI ext ('OpenBackupEventLogW');

 %dcl OpenBackupEventLog char ext;
 %if UNICODE ^= '' %then %do;
   %OpenBackupEventLog='OpenBackupEventLogW';
 %end; %else %do;
   %OpenBackupEventLog='OpenBackupEventLogA';
 %end; /* !UNICODE */

 dcl ReadEventLogA
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type LPVOID,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ReadEventLogA');
 dcl ReadEventLogW
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type LPVOID,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ReadEventLogW');

 %dcl ReadEventLog char ext;
 %if UNICODE ^= '' %then %do;
   %ReadEventLog='ReadEventLogW';
 %end; %else %do;
   %ReadEventLog='ReadEventLogA';
 %end; /* !UNICODE */

 dcl ReportEventA
     entry (type HANDLE,
            type WORD,
            type WORD,
            type DWORD,
            type PSID,
            type WORD,
            type DWORD,
            (*) type LPCSTR byaddr nonasgn,  /* each to char(*) varz */
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ReportEventA');

 dcl ReportEventW
     entry (type HANDLE,
            type WORD,
            type WORD,
            type DWORD,
            type PSID,
            type WORD,
            type DWORD,
            (*) type LPCWSTR byaddr nonasgn, /* each to WCHAR(*) varz */
            type LPVOID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ReportEventW');

 %dcl ReportEvent char ext;
 %if UNICODE ^= '' %then %do;
   %ReportEvent='ReportEventW';
 %end; %else %do;
   %ReportEvent='ReportEventA';
 %end; /* !UNICODE */


 /* Security APIs */

 dcl DuplicateToken
     entry (type HANDLE,
            type SECURITY_IMPERSONATION_LEVEL,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('DuplicateToken');

 dcl GetKernelObjectSecurity
     entry (type HANDLE,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetKernelObjectSecurity');

 dcl ImpersonateNamedPipeClient
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ImpersonateNamedPipeClient');

 dcl ImpersonateSelf
     entry (type SECURITY_IMPERSONATION_LEVEL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ImpersonateSelf');

 dcl RevertToSelf
     entry ()
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('RevertToSelf');

 dcl SetThreadToken
     entry (type HANDLE byaddr,
     type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI APIENTRY ext ('SetThreadToken');

 dcl AccessCheck
     entry (type PSECURITY_DESCRIPTOR,
            type HANDLE,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type PRIVILEGE_SET byaddr,
            type DWORD byaddr,
            type DWORD byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AccessCheck');

 %if  #WIN32_WINNT >= 1280 %then %do;
 dcl AccessCheckByType
     entry (type PSECURITY_DESCRIPTOR,
            type PSID,
            type HANDLE,
            type DWORD,
            (*) type OBJECT_TYPE_LIST byaddr optional,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type PRIVILEGE_SET byaddr,
            type DWORD byaddr,
            type DWORD byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AccessCheckByType');

 dcl AccessCheckByTypeResultList
     entry (type PSECURITY_DESCRIPTOR,
            type PSID,
            type HANDLE,
            type DWORD,
            (*) type OBJECT_TYPE_LIST byaddr optional,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type PRIVILEGE_SET byaddr,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AccessCheckByTypeResultList');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl OpenProcessToken
     entry (type HANDLE,
            type DWORD,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('OpenProcessToken');

 dcl OpenThreadToken
     entry (type HANDLE,
            type DWORD,
            type BOOL,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('OpenThreadToken');

 dcl GetTokenInformation
     entry (type HANDLE,
            type TOKEN_INFORMATION_CLASS,
            type LPVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetTokenInformation');

 dcl SetTokenInformation
     entry (type HANDLE,
            type TOKEN_INFORMATION_CLASS,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetTokenInformation');

 dcl AdjustTokenPrivileges
     entry (type HANDLE,
            type BOOL,
            type TOKEN_PRIVILEGES byaddr optional,
            type DWORD,
            type TOKEN_PRIVILEGES byaddr optional,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AdjustTokenPrivileges');

 dcl AdjustTokenGroups
     entry (type HANDLE,
            type BOOL,
            type TOKEN_GROUPS byaddr optional,
            type DWORD,
            type TOKEN_GROUPS byaddr optional,
            type DWORD byaddr optional)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AdjustTokenGroups');

 dcl PrivilegeCheck
     entry (type HANDLE,
            type PRIVILEGE_SET byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('PrivilegeCheck');

 dcl AccessCheckAndAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            char(*) varz byaddr,
            char(*) varz byaddr,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type BOOL,
            type DWORD byaddr,
            type BOOL byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AccessCheckAndAuditAlarmA');

 dcl AccessCheckAndAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type BOOL,
            type DWORD byaddr,
            type BOOL byaddr,
            type BOOL byaddr)
    returns (optional type BOOL byvalue)
    WINADVAPI WINAPI ext ('AccessCheckAndAuditAlarmW');

 %dcl AccessCheckAndAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %AccessCheckAndAuditAlarm='AccessCheckAndAuditAlarmW';
 %end; %else %do;
   %AccessCheckAndAuditAlarm='AccessCheckAndAuditAlarmA';
 %end; /* !UNICODE */

 %if #WIN32_WINNT >= 1280 %then %do;

 dcl AccessCheckByTypeAndAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type PSECURITY_DESCRIPTOR,
            type PSID,
            type DWORD,
            type AUDIT_EVENT_TYPE,
            type DWORD,
            (*) type OBJECT_TYPE_LIST byaddr optional,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type BOOL,
            type DWORD byaddr,
            type BOOL byaddr,
            type BOOL byaddr)
    returns (optional type BOOL byvalue)
    WINADVAPI WINAPI ext ('AccessCheckByTypeAndAuditAlarmA');

 dcl AccessCheckByTypeAndAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type PSECURITY_DESCRIPTOR,
            type PSID,
            type DWORD,
            type AUDIT_EVENT_TYPE,
            type DWORD,
            (*) type OBJECT_TYPE_LIST byaddr optional,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type BOOL,
            type DWORD byaddr,
            type BOOL byaddr,
            type BOOL byaddr)
    returns (optional type BOOL byvalue)
    WINADVAPI WINAPI ext ('AccessCheckByTypeAndAuditAlarmW');

 %dcl AccessCheckByTypeAndAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %AccessCheckByTypeAndAuditAlarm='AccessCheckByTypeAndAuditAlarmW';
 %end; %else %do;
   %AccessCheckByTypeAndAuditAlarm='AccessCheckByTypeAndAuditAlarmA';
 %end; /* !UNICODE */

 dcl AccessCheckByTypeResultListAndAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type PSECURITY_DESCRIPTOR,
            type PSID,
            type DWORD,
            type AUDIT_EVENT_TYPE,
            type DWORD,
            (*) type OBJECT_TYPE_LIST byaddr optional,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type BOOL,
            type DWORD byaddr,
            type DWORD byaddr,
            type BOOL byaddr)
    returns (optional type BOOL byvalue)
    WINADVAPI WINAPI ext ('AccessCheckByTypeResultListAndAuditAlarmA');

 dcl AccessCheckByTypeResultListAndAuditAlarmW
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type PSECURITY_DESCRIPTOR,
            type PSID,
            type DWORD,
            type AUDIT_EVENT_TYPE,
            type DWORD,
            (*) type OBJECT_TYPE_LIST byaddr optional,
            type DWORD,
            type GENERIC_MAPPING byaddr,
            type BOOL,
            type DWORD byaddr,
            type DWORD byaddr,
            type BOOL byaddr)
    returns (optional type BOOL byvalue)
    WINADVAPI WINAPI ext ('AccessCheckByTypeResultListAndAuditAlarmW');

 %dcl AccessCheckByTypeResultListAndAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %AccessCheckByTypeResultListAndAuditAlarm
     ='AccessCheckByTypeResultListAndAuditAlarmW';
 %end; %else %do;
   %AccessCheckByTypeResultListAndAuditAlarm
     ='AccessCheckByTypeResultListAndAuditAlarmA';
 %end; /* !UNICODE */

 %end; /* (_WIN32_WINNT >= 0x0500) */

 dcl ObjectOpenAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            char(*) varz byaddr,
            char(*) varz byaddr,
            type PSECURITY_DESCRIPTOR,
            type HANDLE,
            type DWORD,
            type DWORD,
            type PRIVILEGE_SET byaddr optional,
            type BOOL,
            type BOOL,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectOpenAuditAlarmA');

 dcl ObjectOpenAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr,
            type PSECURITY_DESCRIPTOR,
            type HANDLE,
            type DWORD,
            type DWORD,
            type PRIVILEGE_SET byaddr optional,
            type BOOL,
            type BOOL,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectOpenAuditAlarmW');

 %dcl ObjectOpenAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %ObjectOpenAuditAlarm='ObjectOpenAuditAlarmW';
 %end; %else %do;
   %ObjectOpenAuditAlarm='ObjectOpenAuditAlarmA';
 %end; /* !UNICODE */


 dcl ObjectPrivilegeAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            type HANDLE,
            type DWORD,
            type PRIVILEGE_SET byaddr optional,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectPrivilegeAuditAlarmA');

 dcl ObjectPrivilegeAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            type HANDLE,
            type DWORD,
            type PRIVILEGE_SET byaddr optional,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectPrivilegeAuditAlarmW');

 %dcl ObjectPrivilegeAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %ObjectPrivilegeAuditAlarm='ObjectPrivilegeAuditAlarmW';
 %end; %else %do;
   %ObjectPrivilegeAuditAlarm='ObjectPrivilegeAuditAlarmA';
 %end; /* !UNICODE */


 dcl ObjectCloseAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectCloseAuditAlarmA');

 dcl ObjectCloseAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectCloseAuditAlarmW');

 %dcl ObjectCloseAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %ObjectCloseAuditAlarm='ObjectCloseAuditAlarmW';
 %end; %else  %do;
   %ObjectCloseAuditAlarm='ObjectCloseAuditAlarmA';
 %end; /* !UNICODE */

 dcl ObjectDeleteAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            type LPVOID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectDeleteAuditAlarmA');

 dcl ObjectDeleteAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            type LPVOID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ObjectDeleteAuditAlarmW');

 %dcl ObjectDeleteAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %ObjectDeleteAuditAlarm='ObjectDeleteAuditAlarmW';
 %end; %else %do;
   %ObjectDeleteAuditAlarm='ObjectDeleteAuditAlarmA';
 %end; /* !UNICODE */

 dcl PrivilegedServiceAuditAlarmA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type HANDLE,
            type PRIVILEGE_SET byaddr,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('PrivilegedServiceAuditAlarmA');

 dcl PrivilegedServiceAuditAlarmW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn,
            type HANDLE,
            type PRIVILEGE_SET byaddr,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('PrivilegedServiceAuditAlarmW');

 %dcl PrivilegedServiceAuditAlarm char ext;
 %if UNICODE ^= '' %then %do;
   %PrivilegedServiceAuditAlarm='PrivilegedServiceAuditAlarmW';
 %end; %else %do;
   %PrivilegedServiceAuditAlarm='PrivilegedServiceAuditAlarmA';
 %end; /* !UNICODE */

 %if #WIN32_WINNT >= 1281 %then %do;

 define ordinal
   WELL_KNOWN_SID_TYPE
     ( WinNullSid                                  value (0),
       WinWorldSid                                 value (1),
       WinLocalSid                                 value (2),
       WinCreatorOwnerSid                          value (3),
       WinCreatorGroupSid                          value (4),
       WinCreatorOwnerServerSid                    value (5),
       WinCreatorGroupServerSid                    value (6),
       WinNtAuthoritySid                           value (7),
       WinDialupSid                                value (8),
       WinNetworkSid                               value (9),
       WinBatchSid                                 value (10),
       WinInteractiveSid                           value (11),
       WinServiceSid                               value (12),
       WinAnonymousSid                             value (13),
       WinProxySid                                 value (14),
       WinEnterpriseControllersSid                 value (15),
       WinSelfSid                                  value (16),
       WinAuthenticatedUserSid                     value (17),
       WinRestrictedCodeSid                        value (18),
       WinTerminalServerSid                        value (19),
       WinRemoteLogonIdSid                         value (20),
       WinLogonIdsSid                              value (21),
       WinLocalSystemSid                           value (22),
       WinLocalServiceSid                          value (23),
       WinNetworkServiceSid                        value (24),
       WinBuiltinDomainSid                         value (25),
       WinBuiltinAdministratorsSid                 value (26),
       WinBuiltinUsersSid                          value (27),
       WinBuiltinGuestsSid                         value (28),
       WinBuiltinPowerUsersSid                     value (29),
       WinBuiltinAccountOperatorsSid               value (30),
       WinBuiltinSystemOperatorsSid                value (31),
       WinBuiltinPrintOperatorsSid                 value (32),
       WinBuiltinBackupOperatorsSid                value (33),
       WinBuiltinReplicatorSid                     value (34),
       WinBuiltinPreWindows2000CompatibleAccessSid value (35),
       WinBuiltinRemoteDesktopUsersSid             value (36),
       WinBuiltinNetworkConfigurationOperatorsSid  value (37),
       WinAccountAdministratorSid                  value (38),
       WinAccountGuestSid                          value (39),
       WinAccountKrbtgtSid                         value (40),
       WinAccountDomainAdminsSid                   value (41),
       WinAccountDomainUsersSid                    value (42),
       WinAccountDomainGuestsSid                   value (43),
       WinAccountComputersSid                      value (44),
       WinAccountControllersSid                    value (45),
       WinAccountCertAdminsSid                     value (46),
       WinAccountSchemaAdminsSid                   value (47),
       WinAccountEnterpriseAdminsSid               value (48),
       WinAccountPolicyAdminsSid                   value (49),
       WinAccountRasAndIasServersSid               value (50)
 ) prec (31);


 dcl IsWellKnownSid
     entry (type PSID,
            type WELL_KNOWN_SID_TYPE)
     returns (type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('IsWellKnownSid');

 dcl CreateWellKnownSid
     entry (type WELL_KNOWN_SID_TYPE,
            type PSID,
            type PSID,
            type DWORD byaddr optional)
     returns (type BOOL byvalue)
     WINADVAPI WINAPI ext ('CreateWellKnownSid');

 dcl EqualDomainSid
     entry (type PSID,
            type PSID,
            type BOOL byaddr optional)
     returns (type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('EqualDomainSid');

 dcl GetWindowsAccountDomainSid
     entry (type PSID,
            type PSID byaddr optional, /* byaddr not in original C */
            type DWORD byaddr)
     returns (type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('GetWindowsAccountDomainSid');

 %end; /* (_WIN32_WINNT >= 0x0501) */

 dcl IsValidSid
     entry (type PSID)
     returns (type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('IsValidSid');

 dcl EqualSid
     entry (type PSID,
            type PSID)
     returns (type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('EqualSid');

 dcl EqualPrefixSid
     entry (type PSID,
            type PSID)
     returns (type BOOL byvalue optional)
     WINADVAPI WINAPI ext ('EqualPrefixSid');

 dcl GetSidLengthRequired
     entry (type UCHAR)
     returns (optional type DWORD byvalue)
     WINADVAPI WINAPI ext ('GetSidLengthRequired');

 dcl AllocateAndInitializeSid
     entry (type PSID_IDENTIFIER_AUTHORITY,
            type BYTE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type PSID byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AllocateAndInitializeSid');

 dcl FreeSid
     entry (type PSID)
     returns (optional type PVOID byvalue)
     WINADVAPI WINAPI ext ('FreeSid');

 dcl InitializeSid
     entry (type PSID,
            type PSID_IDENTIFIER_AUTHORITY,
            type BYTE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('InitializeSid');

 dcl GetSidIdentifierAuthority
     entry (type PSID)
     returns (optional type PSID_IDENTIFIER_AUTHORITY byvalue)
     WINADVAPI WINAPI ext ('GetSidIdentifierAuthority');

 dcl GetSidSubAuthority
     entry (type PSID,
            type DWORD)
     returns (optional type PDWORD byvalue)
     WINADVAPI WINAPI ext ('GetSidSubAuthority');

 dcl GetSidSubAuthorityCount
     entry (type PSID)
     returns (optional type PUCHAR byvalue)
     WINADVAPI WINAPI ext ('GetSidSubAuthorityCount');

 dcl GetLengthSid
     entry (type PSID)
     returns (optional type DWORD byvalue)
     WINADVAPI WINAPI ext ('GetLengthSid');

 dcl CopySid
     entry (type DWORD,
            type PSID,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CopySid');

 dcl AreAllAccessesGranted
     entry (type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AreAllAccessesGranted');

 dcl AreAnyAccessesGranted
     entry (type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AreAnyAccessesGranted');

 dcl MapGenericMask
     entry (type DWORD byaddr,
            type GENERIC_MAPPING byaddr)
     WINADVAPI WINAPI ext ('MapGenericMask');

 dcl IsValidAcl
     entry (type ACL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('IsValidAcl');

 dcl InitializeAcl
     entry (type ACL byaddr,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('InitializeAcl');

 dcl GetAclInformation
     entry (type ACL byaddr,
            type LPVOID,
            type DWORD,
            type ACL_INFORMATION_CLASS)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetAclInformation');

 dcl SetAclInformation
     entry (type ACL byaddr,
            type LPVOID,
            type DWORD,
            type ACL_INFORMATION_CLASS)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetAclInformation');

 dcl AddAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAce');

 dcl DeleteAce
     entry (type ACL byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('DeleteAce');

 dcl GetAce
     entry (type ACL byaddr,
            type DWORD,
            pointer byaddr) /* to hold pointer to ACE */
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetAce');

 dcl AddAccessAllowedAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAccessAllowedAce');

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl AddAccessAllowedAceEx
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type DWORD,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAccessAllowedAceEx');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl AddAccessDeniedAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAccessDeniedAce');

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl AddAccessDeniedAceEx
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type DWORD,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAccessDeniedAceEx');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl AddAuditAccessAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type PSID,
            type BOOL,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAuditAccessAce');

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl AddAuditAccessAceEx
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type DWORD,
            type PSID,
            type BOOL,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAuditAccessAceEx');

 dcl AddAccessAllowedObjectAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type DWORD,
            type GUID byaddr,
            type GUID byaddr,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAccessAllowedObjectAce');

 dcl AddAccessDeniedObjectAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type DWORD,
            type GUID byaddr,
            type GUID byaddr,
            type PSID)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAccessDeniedObjectAce');

 dcl AddAuditAccessObjectAce
     entry (type ACL byaddr,
            type DWORD,
            type DWORD,
            type DWORD,
            type GUID byaddr,
            type GUID byaddr,
            type PSID,
            type BOOL,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AddAuditAccessObjectAce');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl FindFirstFreeAce
     entry (type ACL byaddr,
            pointer byaddr) /* to hold pointer to first free byte */
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('FindFirstFreeAce');

 dcl InitializeSecurityDescriptor
     entry (type PSECURITY_DESCRIPTOR,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('InitializeSecurityDescriptor');

 dcl IsValidSecurityDescriptor
     entry (type PSECURITY_DESCRIPTOR)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('IsValidSecurityDescriptor');

 dcl GetSecurityDescriptorLength
     entry (type PSECURITY_DESCRIPTOR)
     returns (optional type DWORD byvalue)
     WINADVAPI WINAPI ext ('GetSecurityDescriptorLength');

 dcl GetSecurityDescriptorControl
     entry (type PSECURITY_DESCRIPTOR,
            type SECURITY_DESCRIPTOR_CONTROL byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetSecurityDescriptorControl');

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl SetSecurityDescriptorControl
     entry (type PSECURITY_DESCRIPTOR,
            type SECURITY_DESCRIPTOR_CONTROL,
            type SECURITY_DESCRIPTOR_CONTROL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetSecurityDescriptorControl');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl SetSecurityDescriptorDacl
     entry (type PSECURITY_DESCRIPTOR,
            type BOOL,
            type ACL byaddr,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetSecurityDescriptorDacl');

 dcl GetSecurityDescriptorDacl
     entry (type PSECURITY_DESCRIPTOR,
            type BOOL byaddr,
            type PACL byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetSecurityDescriptorDacl');

 dcl SetSecurityDescriptorSacl
     entry (type PSECURITY_DESCRIPTOR,
            type BOOL,
            type ACL byaddr,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetSecurityDescriptorSacl');

 dcl GetSecurityDescriptorSacl
     entry (type PSECURITY_DESCRIPTOR,
            type BOOL byaddr,
            type PACL byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetSecurityDescriptorSacl');

 dcl SetSecurityDescriptorOwner
     entry (type PSECURITY_DESCRIPTOR,
            type PSID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetSecurityDescriptorOwner');

 dcl GetSecurityDescriptorOwner
     entry (type PSECURITY_DESCRIPTOR,
            type PSID byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetSecurityDescriptorOwner');

 dcl SetSecurityDescriptorGroup
     entry (type PSECURITY_DESCRIPTOR,
            type PSID,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetSecurityDescriptorGroup');

 dcl GetSecurityDescriptorGroup
     entry (type PSECURITY_DESCRIPTOR,
            type PSID byaddr,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetSecurityDescriptorGroup');

 dcl CreatePrivateObjectSecurity
     entry (type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR byaddr,
            type BOOL,
            type HANDLE,
            type GENERIC_MAPPING byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CreatePrivateObjectSecurity');

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl ConvertToAutoInheritPrivateObjectSecurity
     entry (type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR byaddr,
            type GUID byaddr,
            type BOOLEAN,
            type GENERIC_MAPPING byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ConvertToAutoInheritPrivateObjectSecurity');

 dcl CreatePrivateObjectSecurityEx
     entry (type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR byaddr,
            type GUID byaddr,
            type BOOL,
            type ULONG,
            type HANDLE,
            type GENERIC_MAPPING byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CreatePrivateObjectSecurityEx');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl SetPrivateObjectSecurity
     entry (type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR byaddr,
            type GENERIC_MAPPING byaddr,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetPrivateObjectSecurity');

 %if  #WIN32_WINNT >= 1280 %then %do;
 dcl SetPrivateObjectSecurityEx
     entry (type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR byaddr,
            type ULONG,
            type GENERIC_MAPPING byaddr,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetPrivateObjectSecurityEx');
 %end; /* _WIN32_WINNT >=  0x0500 */

 dcl GetPrivateObjectSecurity
     entry (type PSECURITY_DESCRIPTOR,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetPrivateObjectSecurity');

 dcl DestroyPrivateObjectSecurity
     entry (type PSECURITY_DESCRIPTOR byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('DestroyPrivateObjectSecurity');

 dcl MakeSelfRelativeSD
     entry (type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('MakeSelfRelativeSD');

 dcl MakeAbsoluteSD
     entry (type PSECURITY_DESCRIPTOR,
            type PSECURITY_DESCRIPTOR,
            type DWORD byaddr,
            type ACL byaddr,
            type DWORD byaddr,
            type ACL byaddr,
            type DWORD byaddr,
            type PSID,
            type DWORD byaddr,
            type PSID,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('MakeAbsoluteSD');

 dcl SetFileSecurityA
     entry (char(*) varz byaddr nonasgn,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetFileSecurityA');

 dcl SetFileSecurityW
     entry (WCHAR(*) varz byaddr nonasgn,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetFileSecurityW');

 %dcl SetFileSecurity char ext;
 %if UNICODE ^= '' %then %do;
   %SetFileSecurity='SetFileSecurityW';
 %end; %else %do;
   %SetFileSecurity='SetFileSecurityA';
 %end; /* !UNICODE */

 dcl GetFileSecurityA
     entry (char(*) varz byaddr nonasgn,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetFileSecurityA');

 dcl GetFileSecurityW
     entry (WCHAR(*) varz byaddr nonasgn,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetFileSecurityW');

 %dcl GetFileSecurity char ext;
 %if UNICODE ^= '' %then %do;
   %GetFileSecurity='GetFileSecurityW';
 %end; %else %do;
   %GetFileSecurity='GetFileSecurityA';
 %end; /* !UNICODE */


 dcl SetKernelObjectSecurity
     entry (type HANDLE,
            type SECURITY_INFORMATION,
            type PSECURITY_DESCRIPTOR)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('SetKernelObjectSecurity');

 dcl FindFirstChangeNotificationA
     entry (char(*) varz byaddr nonasgn,
            type BOOL,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstChangeNotificationA');

 dcl FindFirstChangeNotificationW
     entry (WCHAR(*) varz byaddr nonasgn,
            type BOOL,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstChangeNotificationW');

 %dcl FindFirstChangeNotification char ext;
 %if UNICODE ^= '' %then %do;
   %FindFirstChangeNotification='FindFirstChangeNotificationW';
 %end; %else %do;
   %FindFirstChangeNotification='FindFirstChangeNotificationA';
 %end; /* !UNICODE */

 dcl FindNextChangeNotification
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextChangeNotification');

 dcl FindCloseChangeNotification
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindCloseChangeNotification');

 %if (#WIN32_WINNT >= 1024) %then %do;
 dcl ReadDirectoryChangesW
     entry (type HANDLE,
            type LPVOID,
            type DWORD,
            type BOOL,
            type DWORD,
            type DWORD byaddr,
            type OVERLAPPED byaddr optional,
            type LPOVERLAPPED_COMPLETION_ROUTINE optional byvalue)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReadDirectoryChangesW');
 %end; /* _WIN32_WINNT >= 0x0400 */

 dcl VirtualLock
     entry (type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualLock');

 dcl VirtualUnlock
     entry (type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualUnlock');

 dcl MapViewOfFileEx
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type LPVOID)
     returns (optional type LPVOID byvalue)
     WINBASEAPI WINAPI ext ('MapViewOfFileEx');

 dcl SetPriorityClass
     entry (type HANDLE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetPriorityClass');


 dcl GetPriorityClass
     entry (type HANDLE)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('GetPriorityClass');

 dcl IsBadReadPtr
     entry (pointer,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadReadPtr');

 dcl IsBadWritePtr
     entry (pointer,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadWritePtr');

 dcl IsBadHugeReadPtr
     entry (pointer,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadHugeReadPtr');

 dcl IsBadHugeWritePtr
     entry (pointer,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadHugeWritePtr');

 dcl IsBadCodePtr
     entry (limited entry)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadCodePtr');

 dcl IsBadStringPtrA
     entry (pointer,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadStringPtrA');

 dcl IsBadStringPtrW
     entry (pointer,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsBadStringPtrW');

 %dcl IsBadStringPtr char ext;
 %if UNICODE ^= '' %then %do;
   %IsBadStringPtr='IsBadStringPtrW';
 %end; %else %do;
   %IsBadStringPtr='IsBadStringPtrA';
 %end; /* !UNICODE */

 dcl LookupAccountSidA
     entry (char(*) varz byaddr nonasgn optional,
            type PSID,
            char(*) varz byaddr,
            type DWORD byaddr,
            char(*) varz byaddr,
            type DWORD byaddr,
            type SID_NAME_USE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupAccountSidA');

 dcl LookupAccountSidW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type PSID,
            WCHAR(*) varz byaddr,
            type DWORD byaddr,
            WCHAR(*) varz byaddr,
            type DWORD byaddr,
            type SID_NAME_USE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupAccountSidW');

 %dcl LookupAccountSid char ext;
 %if UNICODE ^= '' %then  %do;
   %LookupAccountSid='LookupAccountSidW';
 %end; %else %do;
   %LookupAccountSid='LookupAccountSidA';
 %end; /* !UNICODE */

 dcl LookupAccountNameA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn,
            type PSID,
            type DWORD byaddr,
            char(*) varz byaddr,
            type DWORD byaddr,
            type SID_NAME_USE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupAccountNameA');

 dcl LookupAccountNameW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type PSID,
            type DWORD byaddr,
            WCHAR(*) varz byaddr,
            type DWORD byaddr,
            type SID_NAME_USE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupAccountNameW');

 %dcl LookupAccountName char ext;
 %if UNICODE ^= '' %then  %do;
   %LookupAccountName='LookupAccountNameW';
 %end; %else %do;
   %LookupAccountName='LookupAccountNameA';
 %end; /* !UNICODE */

 dcl LookupPrivilegeValueA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn,
            type LUID byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupPrivilegeValueA');

 dcl LookupPrivilegeValueW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type LUID byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupPrivilegeValueW');

 %dcl LookupPrivilegeValue char ext;
 %if UNICODE ^= '' %then %do;
   %LookupPrivilegeValue='LookupPrivilegeValueW';
 %end; %else %do;
   %LookupPrivilegeValue='LookupPrivilegeValueA';
 %end; /* !UNICODE */

 dcl LookupPrivilegeNameA
     entry (char(*) varz byaddr nonasgn optional,
            type LUID byaddr,
            char(*) varz byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupPrivilegeNameA');

 dcl LookupPrivilegeNameW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type LUID byaddr,
            WCHAR(*) varz byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupPrivilegeNameW');

 %dcl LookupPrivilegeName char ext;
 %if UNICODE ^= '' %then %do;
   %LookupPrivilegeName='LookupPrivilegeNameW';
 %end; %else %do;
   %LookupPrivilegeName='LookupPrivilegeNameA';
 %end; /* !UNICODE */

 dcl LookupPrivilegeDisplayNameA
     entry (char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupPrivilegeDisplayNameA');

 dcl LookupPrivilegeDisplayNameW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LookupPrivilegeDisplayNameW');

 %dcl LookupPrivilegeDisplayName char ext;
 %if UNICODE ^= '' %then %do;
   %LookupPrivilegeDisplayName='LookupPrivilegeDisplayNameW';
 %end; %else %do;
   %LookupPrivilegeDisplayName='LookupPrivilegeDisplayNameA';
 %end; /* !UNICODE */

 dcl AllocateLocallyUniqueId
     entry (type LUID byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('AllocateLocallyUniqueId');

 dcl BuildCommDCBA
     entry (char(*) varz byaddr nonasgn,
            type DCB byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BuildCommDCBA');

 dcl BuildCommDCBW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DCB byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BuildCommDCBW');

 %dcl BuildCommDCB char ext;
 %if UNICODE ^= '' %then %do;
   %BuildCommDCB='BuildCommDCBW';
 %end; %else %do;
   %BuildCommDCB='BuildCommDCBA';
 %end; /* !UNICODE */

 dcl BuildCommDCBAndTimeoutsA
     entry (char(*) varz byaddr nonasgn,
            type DCB byaddr,
            type COMMTIMEOUTS byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BuildCommDCBAndTimeoutsA');

 dcl BuildCommDCBAndTimeoutsW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DCB byaddr,
            type COMMTIMEOUTS byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('BuildCommDCBAndTimeoutsW');

 %dcl BuildCommDCBAndTimeouts char ext;
 %if UNICODE ^= '' %then %do;
   %BuildCommDCBAndTimeouts='BuildCommDCBAndTimeoutsW';
 %end; %else %do;
   %BuildCommDCBAndTimeouts='BuildCommDCBAndTimeoutsA';
 %end; /* !UNICODE */

 dcl CommConfigDialogA
     entry (char(*) varz byaddr nonasgn,
            type HWND,
            type COMMCONFIG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CommConfigDialogA');

 dcl CommConfigDialogW
     entry (WCHAR(*) varz byaddr nonasgn,
            type HWND,
            type COMMCONFIG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('CommConfigDialogW');

 %dcl CommConfigDialog char ext;
 %if UNICODE ^= '' %then %do;
   %CommConfigDialog='CommConfigDialogW';
 %end; %else %do;
   %CommConfigDialog='CommConfigDialogA';
 %end; /* !UNICODE */

 dcl GetDefaultCommConfigA
     entry (char(*) varz byaddr nonasgn,
            type COMMCONFIG byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDefaultCommConfigA');

 dcl GetDefaultCommConfigW
     entry (WCHAR(*) varz byaddr nonasgn,
            type COMMCONFIG byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetDefaultCommConfigW');

 %dcl GetDefaultCommConfig char ext;
 %if UNICODE ^= '' %then  %do;
   %GetDefaultCommConfig='GetDefaultCommConfigW';
 %end; %else %do;
   %GetDefaultCommConfig='GetDefaultCommConfigA';
 %end; /* !UNICODE */


 dcl SetDefaultCommConfigA
     entry (char(*) varz byaddr nonasgn,
            type COMMCONFIG byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetDefaultCommConfigA');

 dcl SetDefaultCommConfigW
     entry (WCHAR(*) varz byaddr nonasgn,
            type COMMCONFIG byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetDefaultCommConfigW');

 %dcl SetDefaultCommConfig char ext;
 %if UNICODE ^= '' %then %do;
   %SetDefaultCommConfig='SetDefaultCommConfigW';
 %end; %else %do;
   %SetDefaultCommConfig='SetDefaultCommConfigA';
 %end; /* !UNICODE */


 dcl MAX_COMPUTERNAME_LENGTH fixed bin(31) value(15);

 dcl GetComputerNameA
     entry (char(*) varz byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetComputerNameA');

 dcl GetComputerNameW
     entry (WCHAR(*) varz byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetComputerNameW');

 %dcl GetComputerName char ext;
 %if UNICODE ^= '' %then %do;
   %GetComputerName='GetComputerNameW';
 %end; %else %do;
   %GetComputerName='GetComputerNameA';
 %end; /* !UNICODE */

 dcl SetComputerNameA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetComputerNameA');

 dcl SetComputerNameW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetComputerNameW');

 %dcl SetComputerName char ext;
 %if UNICODE ^= '' %then %do;
   %SetComputerName='SetComputerNameW';
 %end; %else %do;
   %SetComputerName='SetComputerNameA';
 %end; /* !UNICODE */

 %if (#WIN32_WINNT >= 1280) %then %do;

 define ordinal COMPUTER_NAME_FORMAT
   ( ComputerNameNetBIOS
   , ComputerNameDnsHostname
   , ComputerNameDnsDomain
   , ComputerNameDnsFullyQualified
   , ComputerNamePhysicalNetBIOS
   , ComputerNamePhysicalDnsHostname
   , ComputerNamePhysicalDnsDomain
   , ComputerNamePhysicalDnsFullyQualified
   , ComputerNameMax
   ) prec (31);

 dcl GetComputerNameExA
     entry (type COMPUTER_NAME_FORMAT,
            char (*) varz byaddr optional,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetComputerNameExA');

 dcl GetComputerNameExW
     entry (type COMPUTER_NAME_FORMAT,
            WCHAR (*) varz byaddr optional,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetComputerNameExW');

 %dcl GetComputerNameEx char ext;
 %if UNICODE ^= '' %then %do;
   %GetComputerNameEx='GetComputerNameExW';
 %end; %else %do;
   %GetComputerNameEx='GetComputerNameExA';
 %end; /* !UNICODE */

 dcl SetComputerNameExA
     entry (type COMPUTER_NAME_FORMAT,
            char (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetComputerNameExA');

 dcl SetComputerNameExW
     entry (type COMPUTER_NAME_FORMAT,
            WCHAR (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetComputerNameExW');

 %dcl SetComputerNameEx char ext;
 %if UNICODE ^= '' %then %do;
   %SetComputerNameEx='SetComputerNameExW';
 %end; %else %do;
   %SetComputerNameEx='SetComputerNameExA';
 %end; /* !UNICODE */

 dcl DnsHostnameToComputerNameA
     entry (char (*) varz byaddr,
            char (*) varz byaddr optional,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DnsHostnameToComputerNameA');

 dcl DnsHostnameToComputerNameW
     entry (WCHAR (*) varz byaddr,
            WCHAR (*) varz byaddr optional,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DnsHostnameToComputerNameW');

 %dcl DnsHostnameToComputerName char ext;
 %if UNICODE ^= '' %then %do;
   %DnsHostnameToComputerName='DnsHostnameToComputerNameW';
 %end; %else %do;
   %DnsHostnameToComputerName='DnsHostnameToComputerNameA';
 %end; /* !UNICODE */

 %end; /* _WIN32_WINNT */


 dcl GetUserNameA
     entry (char(*) varz byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetUserNameA');

 dcl GetUserNameW
     entry (WCHAR(*) varz byaddr,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetUserNameW');

 %dcl GetUserName char ext;
 %if UNICODE ^= '' %then %do;
   %GetUserName='GetUserNameW';
 %end; %else %do;
   %GetUserName='GetUserNameA';
 %end; /* !UNICODE */


 /* Logon Support APIs */

 dcl LOGON32_LOGON_INTERACTIVE       type DWORD value(2);
 dcl LOGON32_LOGON_NETWORK           type DWORD value(3);
 dcl LOGON32_LOGON_BATCH             type DWORD value(4);
 dcl LOGON32_LOGON_SERVICE           type DWORD value(5);
 dcl LOGON32_LOGON_UNLOCK            type DWORD value(7);
 %if (#WIN32_WINNT >= 1280) %then %do;
 dcl LOGON32_LOGON_NETWORK_CLEARTEXT type DWORD value(8);
 dcl LOGON32_LOGON_NEW_CREDENTIALS   type DWORD value(9);
 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl LOGON32_PROVIDER_DEFAULT        type DWORD value(0);
 dcl LOGON32_PROVIDER_WINNT35        type DWORD value(1);
 %if (#WIN32_WINNT >= 1024) %then %do;
 dcl LOGON32_PROVIDER_WINNT40        type DWORD value(2);
 %end; /* _WIN32_WINNT >= 0x0400 */
 %if (#WIN32_WINNT >= 1280) %then %do;
 dcl LOGON32_PROVIDER_WINNT50        type DWORD value(3);
 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl LogonUserA
     entry (char(*) varz byaddr,
            char(*) varz byaddr optional,
            char(*) varz byaddr,
            type DWORD,
            type DWORD,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LogonUserA');

 dcl LogonUserW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr optional,
            WCHAR(*) varz byaddr,
            type DWORD,
            type DWORD,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('LogonUserW');

 %dcl LogonUser char ext;
 %if UNICODE ^= '' %then %do;
   %LogonUser='LogonUserW';
 %end; %else %do;
   %LogonUser='LogonUserA';
 %end; /* !UNICODE */

 dcl ImpersonateLoggedOnUser
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('ImpersonateLoggedOnUser');


 dcl CreateProcessAsUserA
     entry (type HANDLE,
            char(*) varz byaddr nonasgn optional,
            char(*) varz byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            type DWORD,
            type LPVOID,
            char(*) varz byaddr nonasgn optional,
            type STARTUPINFOA byaddr,
            type PROCESS_INFORMATION byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CreateProcessAsUserA');

 dcl CreateProcessAsUserW
     entry (type HANDLE,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type SECURITY_ATTRIBUTES byaddr optional,
            type BOOL,
            type DWORD,
            type LPVOID,
            WCHAR(*) varz byaddr nonasgn optional,
            type STARTUPINFOW byaddr,
            type PROCESS_INFORMATION byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CreateProcessAsUserW');

 %dcl CreateProcessAsUser char ext;
 %if UNICODE ^= '' %then %do;
   %CreateProcessAsUser='CreateProcessAsUserW';
 %end; %else %do;
   %CreateProcessAsUser='CreateProcessAsUserA';
 %end; /* !UNICODE */

 /* LogonFlags */

 %if (#WIN32_WINNT >= 1280) %then %do;

 dcl LOGON_WITH_PROFILE              type DWORD value('00000001'xu);
 dcl LOGON_NETCREDENTIALS_ONLY       type DWORD value('00000002'xu);

 dcl CreateProcessWithLogonW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr optional,
            type DWORD,
            type LPVOID,
            WCHAR(*) varz byaddr nonasgn optional,
            type STARTUPINFOW byaddr,
            type PROCESS_INFORMATION byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('CreateProcessWithLogonW');
 %end; /* _WIN32_WINNT >= 0x0500 */


 dcl ImpersonateAnonymousToken
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI APIENTRY ext ('ImpersonateAnonymousToken');

 dcl DuplicateTokenEx
     entry (type HANDLE,
            type DWORD,
            type LPSECURITY_ATTRIBUTES,
            type SECURITY_IMPERSONATION_LEVEL,
            type TOKEN_TYPE,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('DuplicateTokenEx');

 dcl CreateRestrictedToken
     entry (type HANDLE,
            type DWORD,
            type DWORD,
            (*) type SID_AND_ATTRIBUTES optional,
            type DWORD,
            (*) type LUID_AND_ATTRIBUTES optional,
            type DWORD,
            (*) type SID_AND_ATTRIBUTES optional,
            type HANDLE byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI APIENTRY ext ('CreateRestrictedToken');

 dcl IsProcessRestricted
     entry ()
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('IsProcessRestricted');

 dcl IsTokenRestricted
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('IsTokenRestricted');

 dcl GetSiteSidFromToken
     entry (type HANDLE)
     returns (optional type PSID byvalue)
     WINADVAPI WINAPI ext ('GetSiteSidFromToken');

 dcl GetSiteSidFromUrl
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type PSID byvalue)
     WINADVAPI WINAPI ext ('GetSiteSidFromUrl');

 dcl GetSiteNameFromSid
     entry (type PSID,
            type LPWSTR byaddr)  /* to WCHAR(*) varz */
     returns (optional type HRESULT byvalue)
     WINADVAPI WINAPI ext ('GetSiteNameFromSid');

 dcl GetMangledSiteSid
     entry (type PSID,
            type ULONG,
            type LPWSTR byaddr) /* to (*) WCHAR(*) varz */
     returns (optional type HRESULT byvalue)
     WINADVAPI WINAPI ext ('GetMangledSiteSid');

 dcl MAX_MANGLED_SITE    fixed bin(31) value(27);


 dcl GetSiteDirectoryA
     entry (type HANDLE,
            char (*) varz byaddr optional,
            type ULONG)
     returns (optional type ULONG byvalue)
     WINADVAPI WINAPI ext ('GetSiteDirectoryA');

 dcl GetSiteDirectoryW
     entry (type HANDLE,
            WCHAR (*) varz byaddr optional,
            type ULONG)
     returns (optional type ULONG byvalue)
     WINADVAPI WINAPI ext ('GetSiteDirectoryW');

 %dcl GetSiteDirectory char ext;
 %if UNICODE ^= '' %then %do;
   %GetSiteDirectory='GetSiteDirectoryW';
 %end; %else %do;
   %GetSiteDirectory='GetSiteDirectoryA';
 %end; /* !UNICODE */

 dcl CheckTokenMembership
     entry (type HANDLE,
            type PSID,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     APIENTRY ext ('CheckTokenMembership');


 %if (#WIN32_WINNT >= 1024) %then %do;
 /* Plug-and-Play API's */

 dcl HW_PROFILE_GUIDLEN      fixed bin (31) value(39);
                             /* 36-characters plus NULL terminator */
 dcl MAX_PROFILE_LEN         fixed bin (31) value(80);

 dcl DOCKINFO_UNDOCKED       type DWORD value('01'xu);
 dcl DOCKINFO_DOCKED         type DWORD value('02'xu);
 dcl DOCKINFO_USER_SUPPLIED  type DWORD value('04'xu);
 dcl DOCKINFO_USER_UNDOCKED  type DWORD
     value( ior (DOCKINFO_USER_SUPPLIED, DOCKINFO_UNDOCKED));
 dcl DOCKINFO_USER_DOCKED    type DWORD
     value( ior (DOCKINFO_USER_SUPPLIED, DOCKINFO_DOCKED));

 define structure
   1 HW_PROFILE_INFOA,
     2 dwDockInfo      type DWORD,
     2 szHwProfileGuid char (HW_PROFILE_GUIDLEN - 1) varz,
     2 szHwProfileName char (MAX_PROFILE_LEN - 1) varz;
 define alias LPHW_PROFILE_INFOA handle HW_PROFILE_INFOA;

 define structure
   1 HW_PROFILE_INFOW,
     2 dwDockInfo      type DWORD,
     2 szHwProfileGuid WCHAR (HW_PROFILE_GUIDLEN - 1) varz,
     2 szHwProfileName WCHAR (MAX_PROFILE_LEN - 1) varz;
 define alias LPHW_PROFILE_INFOW handle HW_PROFILE_INFOW;

 %if UNICODE ^= '' %then %do;
   define alias   HW_PROFILE_INFO type   HW_PROFILE_INFOW;
   define alias LPHW_PROFILE_INFO type LPHW_PROFILE_INFOW;
 %end; %else %do;
   define alias   HW_PROFILE_INFO type   HW_PROFILE_INFOA;
   define alias LPHW_PROFILE_INFO type LPHW_PROFILE_INFOA;
 %end; /* !UNICODE */


 dcl GetCurrentHwProfileA
     entry (type HW_PROFILE_INFOA byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetCurrentHwProfileA');

 dcl GetCurrentHwProfileW
     entry (type HW_PROFILE_INFOW byaddr)
     returns (optional type BOOL byvalue)
     WINADVAPI WINAPI ext ('GetCurrentHwProfileW');

 %dcl GetCurrentHwProfile char ext;
 %if UNICODE ^= '' %then %do;
   %GetCurrentHwProfile = 'GetCurrentHwProfileW';
 %end; %else %do;
   %GetCurrentHwProfile = 'GetCurrentHwProfileA';
 %end; /* !UNICODE */
 %end; /* _WIN32_WINNT >= 0x0400 */


 /* Performance counter API's */

 dcl QueryPerformanceCounter
     entry (type LARGE_INTEGER byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('QueryPerformanceCounter');

 dcl QueryPerformanceFrequency
     entry (type LARGE_INTEGER byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('QueryPerformanceFrequency');


 dcl GetVersionExA
     entry (type OSVERSIONINFOA byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVersionExA');

 dcl GetVersionExW
     entry (type OSVERSIONINFOW byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVersionExW');

 %dcl GetVersionEx char ext;
 %if UNICODE ^= '' %then %do;
   %GetVersionEx='GetVersionExW';
 %end; %else %do;
   %GetVersionEx='GetVersionExA';
 %end; /* !UNICODE */


 dcl VerifyVersionInfoA
     entry (type OSVERSIONINFOEXA byaddr nonasgn,
            type DWORD,
            type DWORDLONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VerifyVersionInfoA');

 dcl VerifyVersionInfoW
     entry (type OSVERSIONINFOEXW byaddr nonasgn,
            type DWORD,
            type DWORDLONG)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VerifyVersionInfoW');

 %dcl VerifyVersionInfo char ext;
 %if UNICODE ^= '' %then %do;
   %VerifyVersionInfo='VerifyVersionInfoW';
 %end; %else %do;
   %VerifyVersionInfo='VerifyVersionInfoA';
 %end; /* !UNICODE */

 /* DOS and OS/2 Compatible Error Code definitions returned */
 /* by the Win32 Base API functions.                        */

 %include winerror;

 /* Abnormal termination codes */

 dcl TC_NORMAL  fixed bin(31) value(0);
 dcl TC_HARDERR fixed bin(31) value(1);
 dcl TC_GP_TRAP fixed bin(31) value(2);
 dcl TC_SIGNAL  fixed bin(31) value(3);

 %if (WINVER >= 1024) %then %do;

 /* Power Management APIs */

 dcl AC_LINE_OFFLINE            type DWORD value('00'xu);
 dcl AC_LINE_ONLINE             type DWORD value('01'xu);
 dcl AC_LINE_BACKUP_POWER       type DWORD value('02'xu);
 dcl AC_LINE_UNKNOWN            type DWORD value('FF'xu);

 dcl BATTERY_FLAG_HIGH          type DWORD value('01'xu);
 dcl BATTERY_FLAG_LOW           type DWORD value('02'xu);
 dcl BATTERY_FLAG_CRITICAL      type DWORD value('04'xu);
 dcl BATTERY_FLAG_CHARGING      type DWORD value('08'xu);
 dcl BATTERY_FLAG_NO_BATTERY    type DWORD value('80'xu);
 dcl BATTERY_FLAG_UNKNOWN       type DWORD value('FF'xu);

 dcl BATTERY_PERCENTAGE_UNKNOWN type DWORD value('FF'xu);

 dcl BATTERY_LIFE_UNKNOWN       type DWORD value('FFFFFFFF'xu);

 define structure
   1 SYSTEM_POWER_STATUS,
     2 ACLineStatus        type BYTE,
     2 BatteryFlag         type BYTE,
     2 BatteryLifePercent  type BYTE,
     2 Reserved1           type BYTE,
     2 BatteryLifeTime     type DWORD,
     2 BatteryFullLifeTime type DWORD;
 define alias LPSYSTEM_POWER_STATUS handle SYSTEM_POWER_STATUS;

 dcl GetSystemPowerStatus
     entry (type SYSTEM_POWER_STATUS byaddr)
      returns (optional type BOOL byvalue)
      WINAPI ext ('GetSystemPowerStatus');

 dcl SetSystemPowerState
     entry (type BOOL,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINAPI ext ('SetSystemPowerState');

 %end; /* WINVER >= 0x0400 */


 /*************************************************************/
 /*                                                           */
 /*      Win Certificate API and Structures                   */
 /*                                                           */
 /*************************************************************/


 /* Structures */

 define structure
   1 WIN_CERTIFICATE,
     2 dwLength         type DWORD,
     2 wRevision        type WORD,
     2 wCertificateType type WORD,   /* WIN_CERT_TYPE_xxx */
     2 bCertificate (ANYSIZE_ARRAY) type BYTE;
 define alias LPWIN_CERTIFICATE handle WIN_CERTIFICATE;


 /* Currently, the only defined certificate revision is */
 /* WIN_CERT_REVISION_1_0                               */

 dcl WIN_CERT_REVISION_1_0 type WORD value('0100'xu);

 /* Possible certificate types are specified by the following values */

 dcl WIN_CERT_TYPE_X509             type WORD value('0001'xu);
     /* bCertificate contains an X.509 Certificate */
 dcl WIN_CERT_TYPE_PKCS_SIGNED_DATA type WORD value('0002'xu);
     /* bCertificate contains a PKCS SignedData structure */
 dcl WIN_CERT_TYPE_RESERVED_1       type WORD value('0003'xu);
     /* Reserved */


 /* API */

 dcl WinSubmitCertificate
     entry (type WIN_CERTIFICATE byaddr)
     returns (optional type BOOL byvalue)
     WINAPI ext ('WinSubmitCertificate');


 /*************************************************************/
 /*                                                           */
 /*             Trust API and Structures                      */
 /*                                                           */
 /*************************************************************/

 dcl WinVerifyTrust
     entry (type HWND,
            type GUID byaddr,
            type LPVOID)
     returns (optional type LONG byvalue)
     WINAPI ext ('WinVerifyTrust');

 dcl WinLoadTrustProvider
     entry (type GUID byaddr)
     returns (optional type BOOL byvalue)
     WINAPI ext ('WinLoadTrustProvider');


 /*************************************************************/
 /*                                                           */
 /*             Common Trust API Data Structures              */
 /*                                                           */
 /*************************************************************/


 /* Data type commonly used in ActionData structures */

 define alias WIN_TRUST_SUBJECT type LPVOID;


 /* Two commonly used ActionData structures */

 define structure
   1 WIN_TRUST_ACTDATA_CONTEXT_WITH_SUBJECT,
     2 hClientToken type HANDLE,
     2 SubjectType  handle GUID,
     2 Subject      type WIN_TRUST_SUBJECT;
 define alias LPWIN_TRUST_ACTDATA_CONTEXT_WITH_SUBJECT
              handle WIN_TRUST_ACTDATA_CONTEXT_WITH_SUBJECT;


 define structure
   1 WIN_TRUST_ACTDATA_SUBJECT_ONLY,
     2 SubjectType  handle GUID,
     2 Subject      type WIN_TRUST_SUBJECT;
 define alias LPWIN_TRUST_ACTDATA_SUBJECT_ONLY
              handle WIN_TRUST_ACTDATA_SUBJECT_ONLY;


 /******************************************************************/
 /*                                                                */
 /*      SUBJECT FORM DEFINITIONS                                  */
 /*                                                                */
 /******************************************************************/


 /******************************************************************/
 /*                                                                */
 /* Currently defined Subject Type Identifiers.  All of the below  */
 /* use the WIN_TRUST_SUBJECT_FILE subject form, defined below.    */
 /*                                                                */
 /******************************************************************/

 /* RawFile == 959dc450-8d9e-11cf-8736-00aa00a485eb */
 dcl 1 WIN_TRUST_SUBJTYPE_RAW_FILE static,            /* type GUID */
       2 Data1 type DWORD init ('959dc450'xu),
       2 Data2 type WORD  init ('8d9e'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);


 /* PeImage == 43c9a1e0-8da0-11cf-8736-00aa00a485eb */
 dcl 1 WIN_TRUST_SUBJTYPE_PE_IMAGE static,            /* type GUID */
       2 Data1 type DWORD init ('43c9a1e0'xu),
       2 Data2 type WORD  init ('8da0'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);

 /* JavaClass = 08ad3990-8da1-11cf-8736-00aa00a485eb */
 dcl 1 WIN_TRUST_SUBJTYPE_JAVA_CLASS static,          /* type GUID */
       2 Data1 type DWORD init ('08ad3990'xu),
       2 Data2 type WORD  init ('8da1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);

 /* Cabinet = d17c5374-a392-11cf-9df5-00aa00c184e0 */
 dcl 1 WIN_TRUST_SUBJTYPE_CABINET static,            /* type GUID */
       2 Data1 type DWORD init ('d17c5374'xu),
       2 Data2 type WORD  init ('a392'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('9d'x, 'f5'x, '00'x, 'aa'x,
                                '00'x, 'c1'x, '84'x, 'e0'x);

 /* Associated Subject Data Structure: */

 define structure
   1 WIN_TRUST_SUBJECT_FILE,
     2 hFile  type HANDLE,
     2 lpPath type LPCWSTR;
 define alias LPWIN_TRUST_SUBJECT_FILE handle WIN_TRUST_SUBJECT_FILE;


 /******************************************************************/
 /*                                                                */
 /* The following subject types use the                            */
 /* WIN_TRUST_SUBJECT_FILE_AND_DISPLAY subject type, defined       */
 /* below.                                                         */
 /*                                                                */
 /******************************************************************/

 dcl 1 WIN_TRUST_SUBJTYPE_RAW_FILEEX static,          /* type GUID */
       2 Data1 type DWORD init ('6f458110'xu),
       2 Data2 type WORD  init ('c2f1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('8a'x, '69'x, '00'x, 'aa'x,
                                '00'x, '6c'x, '37'x, '06'x);

 dcl 1 WIN_TRUST_SUBJTYPE_PE_IMAGEEX static,          /* type GUID */
       2 Data1 type DWORD init ('6f458111'xu),
       2 Data2 type WORD  init ('c2f1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('8a'x, '69'x, '00'x, 'aa'x,
                                '00'x, '6c'x, '37'x, '06'x);

 dcl 1 WIN_TRUST_SUBJTYPE_JAVA_CLASSEX static,        /* type GUID */
       2 Data1 type DWORD init ('6f458113'xu),
       2 Data2 type WORD  init ('c2f1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('8a'x, '69'x, '00'x, 'aa'x,
                                '00'x, '6c'x, '37'x, '06'x);

 dcl 1 WIN_TRUST_SUBJTYPE_CABINETEX static,           /* type GUID */
       2 Data1 type DWORD init ('6f458114'xu),
       2 Data2 type WORD  init ('c2f1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('8a'x, '69'x, '00'x, 'aa'x,
                                '00'x, '6c'x, '37'x, '06'x);


 /* Associated Subject Data Structure: */

 define structure
   1 WIN_TRUST_SUBJECT_FILE_AND_DISPLAY,
     2 hFile         type HANDLE,
                     /* handle to the open file if you got it     */
     2 lpPath        type LPCWSTR,
                     /* the path to open if you don't             */
     2 lpDisplayName type LPCWSTR;
                     /* (optional) display name to show to user   */
                     /*      in place of path                     */
 define alias LPWIN_TRUST_SUBJECT_FILE_AND_DISPLAY
              handle WIN_TRUST_SUBJECT_FILE_AND_DISPLAY;


 /******************************************************************/
 /*                                                                */
 /* Other subject types:                                           */
 /*                                                                */
 /******************************************************************/

 /* OleStorage == c257e740-8da0-11cf-8736-00aa00a485eb */
 dcl 1 WIN_TRUST_SUBJTYPE_OLE_STORAGE static,         /* type GUID */
       2 Data1 type DWORD init ('c257e740'xu),
       2 Data2 type WORD  init ('8da0'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);


 /******************************************************************/
 /*                                                                */
 /*      TRUST PROVIDER SPECIFIC DEFINITIONS                       */
 /*                                                                */
 /*                                                                */
 /*      Each trust provider will have the following               */
 /*      sections defined:                                         */
 /*                                                                */
 /*      Actions - What actions are supported by the trust         */
 /*          provider.                                             */
 /*                                                                */
 /*      SubjectForms - Subjects that may be evaluated by this     */
 /*          trust provider.                                       */
 /*                                                                */
 /*                     and                                        */
 /*                                                                */
 /*      Data structures to support the subject forms.             */
 /*                                                                */
 /*                                                                */
 /******************************************************************/


 /******************************************************************/
 /*                                                                */
 /*             Software Publisher Trust Provider                  */
 /*                                                                */
 /******************************************************************/


 /* Actions: */

 /* TrustedPublisher == 66426730-8da1-11cf-8736-00aa00a485eb */
 dcl 1 WIN_SPUB_ACTION_TRUSTED_PUBLISHER static,      /* type GUID */
       2 Data1 type DWORD init ('66426730'xu),
       2 Data2 type WORD  init ('8da1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);

 /* NtActivateImage == 8bc96b00-8da1-11cf-8736-00aa00a485eb */
 dcl 1 WIN_SPUB_ACTION_NT_ACTIVATE_IMAGE static,      /* type GUID */
       2 Data1 type DWORD init ('8bc96b00'xu),
       2 Data2 type WORD  init ('8da1'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);

 /* PublishedSoftware == 64b9d180-8da2-11cf-8736-00aa00a485eb */
 dcl 1 WIN_SPUB_ACTION_PUBLISHED_SOFTWARE static,     /* type GUID */
       2 Data1 type DWORD init ('64b9d180'xu),
       2 Data2 type WORD  init ('8da2'xu),
       2 Data3 type WORD  init ('11cf'xu),
       2 Data4 (8) char   init ('87'x, '36'x, '00'x, 'aa'x,
                                '00'x, 'a4'x, '85'x, 'eb'x);

 /* Data Structures: */

 /* WIN_SPUB_ACTION_TRUSTED_PUBLISHER:                  */
 /*                                                     */
 /*      Uses WIN_SPUB_TRUSTED_PUBLISHER_DATA           */
 /*                                                     */
 /* WIN_SPUB_ACTION_NT_ACTIVATE_IMAGE:                  */
 /*                                                     */
 /*      Uses WIN_TRUST_ACTDATA_CONTEXT_WITH_SUBJECT    */
 /*                                                     */
 /* WIN_SPUB_ACTION_PUBLISHED_SOFTWARE:                 */
 /*                                                     */
 /*      Uses WIN_TRUST_ACTDATA_CONTEXT_WITH_SUBJECT    */

 define structure
   1 WIN_SPUB_TRUSTED_PUBLISHER_DATA,
     2 hClientToken  type HANDLE,
     2 lpCertificate type LPWIN_CERTIFICATE;
 define alias LPWIN_SPUB_TRUSTED_PUBLISHER_DATA
              handle WIN_SPUB_TRUSTED_PUBLISHER_DATA;

 %if #WIN32_WINNT >= 1280 %then %do;

 /* Very Large Memory API Subset */

 dcl AllocateUserPhysicalPages
     entry (type HANDLE,
            type ULONG_PTR byaddr,
            (*) type ULONG_PTR byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('AllocateUserPhysicalPages');

 dcl FreeUserPhysicalPages
     entry (type HANDLE,
            type ULONG_PTR byaddr,
            (*) type ULONG_PTR byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FreeUserPhysicalPages');

 dcl MapUserPhysicalPages
     entry ((*) type PVOID byaddr,
            type ULONG_PTR,
            (*) type ULONG_PTR byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MapUserPhysicalPages');

 dcl MapUserPhysicalPagesScatter
     entry (type PVOID,
            type ULONG_PTR,
            (*) type ULONG_PTR byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('MapUserPhysicalPagesScatter');


 dcl VirtualAllocVlm
     entry (type HANDLE,
            type PVOID64,
            type DWORDLONG,
            type DWORD,
            type DWORD)
     returns (optional type PVOID64 byvalue)
     WINBASEAPI WINAPI ext ('VirtualAllocVlm');

 dcl VirtualFreeVlm
     entry (type HANDLE,
            type PVOID64,
            type DWORDLONG,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualFreeVlm');

 dcl VirtualProtectVlm
     entry (type HANDLE,
            type PVOID64,
            type DWORDLONG,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('VirtualProtectVlm');

 dcl VirtualQueryVlm
     entry (type HANDLE,
            type PVOID64,
            type MEMORY_BASIC_INFORMATION_VLM byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('VirtualQueryVlm');

 define structure
   1 MEMORYSTATUSVLM,
     2 dwLength                type DWORD,
     2 dwMemoryLoad            type DWORD,
     2 ullTotalPhys            type DWORDLONG,
     2 ullAvailPhys            type DWORDLONG,
     2 ullTotalPageFile        type DWORDLONG,
     2 ullAvailPageFile        type DWORDLONG,
     2 ullTotalVirtual         type DWORDLONG,
     2 ullAvailVirtual         type DWORDLONG,
     2 ullAvailExtendedVirtual type DWORDLONG;
 define alias LPMEMORYSTATUSVLM handle MEMORYSTATUSVLM;

 dcl ReadProcessMemoryVlm
     entry (type HANDLE,
            type PVOID64,
            type PVOID64,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReadProcessMemoryVlm');

 dcl WriteProcessMemoryVlm
     entry (type HANDLE,
            type PVOID64,
            type PVOID64,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteProcessMemoryVlm');

 dcl ReadFileVlm
     entry (type HANDLE,
            type PVOID64,
            type DWORD,
            type DWORD byaddr,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ReadFileVlm');

 dcl WriteFileVlm
     entry (type HANDLE,
            type PVOID64,
            type DWORD,
            type DWORD byaddr,
            type OVERLAPPED byaddr optional)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('WriteFileVlm');


 dcl CreateJobObjectA
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateJobObjectA');

 dcl CreateJobObjectW
     entry (type SECURITY_ATTRIBUTES byaddr optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('CreateJobObjectW');

 %dcl CreateJobObject char ext;
 %if UNICODE ^= '' %then %do;
   %CreateJobObject='CreateJobObjectW';
 %end; %else %do;
   %CreateJobObject='CreateJobObjectA';
 %end; /* !UNICODE */

 dcl OpenJobObjectA
     entry (type DWORD,
            type BOOL,
            char(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenJobObjectA');

 dcl OpenJobObjectW
     entry (type DWORD,
            type BOOL,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('OpenJobObjectW');

 %dcl OpenJobObject char ext;
 %if UNICODE ^= '' %then %do;
   %OpenJobObject='OpenJobObjectW';
 %end; %else %do;
   %OpenJobObject='OpenJobObjectA';
 %end; /* !UNICODE */

 dcl AssignProcessToJobObject
     entry (type HANDLE,
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('AssignProcessToJobObject');

 dcl TerminateJobObject
     entry (type HANDLE,
            type UINT)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('TerminateJobObject');

 dcl QueryInformationJobObject
     entry (type HANDLE,
            type JOBOBJECTINFOCLASS,
            type LPVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('QueryInformationJobObject');

 dcl SetInformationJobObject
     entry (type HANDLE,
            type JOBOBJECTINFOCLASS,
            type LPVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetInformationJobObject');

 /* New Volume Mount Point API. */

 dcl FindFirstVolumeA
     entry (char (*) varz byaddr,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstVolumeA');

 dcl FindFirstVolumeW
     entry (WCHAR (*) varz byaddr,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstVolumeW');

 %dcl FindFirstVolume char ext;
 %if UNICODE ^= '' %then %do;
   %FindFirstVolume='FindFirstVolumeA';
 %end; %else %do;
   %FindFirstVolume='FindFirstVolumeW';
 %end; /* !UNICODE */

 dcl FindNextVolumeA
     entry (type HANDLE,
            char (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextVolumeA');

 dcl FindNextVolumeW
     entry (type HANDLE,
            WCHAR (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextVolumeW');

 %dcl FindNextVolume char ext;
 %if UNICODE ^= '' %then %do;
   %FindNextVolume='FindNextVolumeA';
 %end; %else %do;
   %FindNextVolume='FindNextVolumeW';
 %end; /* !UNICODE */


 dcl FindVolumeClose
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindVolumeClose');

 dcl FindFirstVolumeMountPointA
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstVolumeMountPointA');

 dcl FindFirstVolumeMountPointW
     entry (WCHAR (*) varz byaddr nonasgn,
            WCHAR (*) varz byaddr,
            type DWORD)
     returns (optional type HANDLE byvalue)
     WINBASEAPI WINAPI ext ('FindFirstVolumeMountPointW');

 %dcl FindFirstVolumeMountPoint char ext;
 %if UNICODE ^= '' %then %do;
   %FindFirstVolumeMountPoint='FindFirstVolumeMountPointA';
 %end; %else %do;
   %FindFirstVolumeMountPoint='FindFirstVolumeMountPointW';
 %end; /* !UNICODE */

 dcl FindNextVolumeMountPointA
     entry (type HANDLE,
            char (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextVolumeMountPointA');

 dcl FindNextVolumeMountPointW
     entry (type HANDLE,
            WCHAR (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindNextVolumeMountPointW');

 %dcl FindNextVolumeMountPoint char ext;
 %if UNICODE ^= '' %then %do;
   %FindNextVolumeMountPoint='FindNextVolumeMountPointA';
 %end; %else %do;
   %FindNextVolumeMountPoint='FindNextVolumeMountPointW';
 %end; /* !UNICODE */

 dcl FindVolumeMountPointClose
     entry (type HANDLE)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('FindVolumeMountPointClose');

 dcl SetVolumeMountPointA
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetVolumeMountPointA');

 dcl SetVolumeMountPointW
     entry (WCHAR (*) varz byaddr nonasgn,
            WCHAR (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('SetVolumeMountPointW');

 %dcl SetVolumeMountPoint char ext;
 %if UNICODE ^= '' %then %do;
   %SetVolumeMountPoint='SetVolumeMountPointA';
 %end; %else %do;
   %SetVolumeMountPoint='SetVolumeMountPointW';
 %end; /* !UNICODE */

 dcl DeleteVolumeMountPointA
     entry (char (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteVolumeMountPointA');

 dcl DeleteVolumeMountPointW
     entry (WCHAR (*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('DeleteVolumeMountPointW');

 %dcl DeleteVolumeMountPoint char ext;
 %if UNICODE ^= '' %then %do;
   %DeleteVolumeMountPoint='DeleteVolumeMountPointA';
 %end; %else %do;
   %DeleteVolumeMountPoint='DeleteVolumeMountPointW';
 %end; /* !UNICODE */

 dcl GetVolumeNameForVolumeMountPointA
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVolumeNameForVolumeMountPointA');

 dcl GetVolumeNameForVolumeMountPointW
     entry (WCHAR (*) varz byaddr nonasgn,
            WCHAR (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVolumeNameForVolumeMountPointW');

 %dcl GetVolumeNameForVolumeMountPoint char ext;
 %if UNICODE ^= '' %then %do;
   %GetVolumeNameForVolumeMountPoint
     ='GetVolumeNameForVolumeMountPointA';
 %end; %else %do;
   %GetVolumeNameForVolumeMountPoint
     ='GetVolumeNameForVolumeMountPointW';
 %end; /* !UNICODE */

 dcl GetVolumePathNameA
     entry (char (*) varz byaddr nonasgn,
            char (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVolumePathNameA');

 dcl GetVolumePathNameW
     entry (WCHAR (*) varz byaddr nonasgn,
            WCHAR (*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetVolumePathNameW');

 %dcl GetVolumePathName char ext;
 %if UNICODE ^= '' %then %do;
   %GetVolumePathName='GetVolumePathNameA';
 %end; %else %do;
   %GetVolumePathName='GetVolumePathNameW';
 %end; /* !UNICODE */

 %end; /* (_WIN32_WINNT >= 0x0500) */

 dcl ProcessIdToSessionId
     entry (type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('ProcessIdToSessionId');

 %if #WIN32_WINNT >= 1281 %then %do;

 dcl WTSGetActiveConsoleSessionId
     entry ()
     returns (optional type DWORD byvalue)
     WINBASEAPI WINAPI ext ('WTSGetActiveConsoleSessionId');

 dcl IsWow64Process
     entry (type HANDLE,
            type BOOL byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('IsWow64Process');

 %end; /* (_WIN32_WINNT >= 0x0501) */

 /* NUMA Information routines. */

 dcl GetNumaHighestNodeNumber
     entry (type ULONG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNumaHighestNodeNumber');


 dcl GetNumaProcessorNode
     entry (type UCHAR,
            type UCHAR byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNumaProcessorNode');

 dcl GetNumaNodeProcessorMask
     entry (type UCHAR,
           type ULONGLONG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNumaNodeProcessorMask');

 dcl GetNumaProcessorMap
     entry (type SYSTEM_NUMA_INFORMATION byaddr,
            type ULONG,
            type ULONG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNumaProcessorMap');

 dcl GetNumaAvailableMemory
     entry (type SYSTEM_NUMA_INFORMATION byaddr,
            type ULONG,
            type ULONG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNumaAvailableMemory');

 dcl GetNumaAvailableMemoryNode
     entry (type UCHAR,
           type ULONGLONG byaddr)
     returns (optional type BOOL byvalue)
     WINBASEAPI WINAPI ext ('GetNumaAvailableMemoryNode');

 dcl NumaVirtualQueryNode
     entry (type ULONG,
            (*) type ULONG_PTR byaddr nonasgn,
            (*) type ULONG_PTR byaddr,
            type SIZE_T)
     returns (optional type ULONGLONG byvalue)
     WINBASEAPI WINAPI ext ('NumaVirtualQueryNode');

 %end; /* _WINBASE_ */
