 /*********************************************************************/
 /* winuser.cpy -- USER procedure declarations, constant definitions  */
 /* and macros                                                        */
 /* Copyright (c) 1985-1999, Microsoft Corp. All rights reserved.     */
 /*********************************************************************/
 %dcl #WINUSER_ char ext;
 %if #WINUSER_ = '' %then %do;
 %#WINUSER_ = 'Y';

 %dcl #INC_WINDOWSX char ext;
 %if #INC_WINDOWSX = 'Y' %then %do;
   %note ('WindowsX should be included AFTER WinUser, not before it',4);
 %end;

 %dcl #WINBASE_ char ext;
 %if #WINBASE_ = '' %then %do;
 %include winbase;
 %end;

 %dcl UNICODE char ext;
 %dcl #WIN64  char ext;

 /* Define API decoration for direct importing of DLL references. */

 %dcl #USER32_ char ext;
 %dcl WINUSERAPI char ext;
 %WINUSERAPI = '';

 %dcl WINVER fixed ext;
 %if WINVER = 0 %then %do;
 %WINVER = 1280; /* version 5.0 */
 %end; /* !WINVER */

 %dcl #WIN32_WINNT   fixed ext;
 %dcl #WIN32_WINDOWS fixed ext;

 %dcl #WINGDI_ char ext;

 %dcl NOGDI          char ext;
 %dcl NOMSG          char ext;
 %dcl NOWINMESSAGES  char ext;
 %dcl NOWINSTYLES    char ext;

 %dcl NOUSER char ext;
 %if NOUSER = '' %then %do;

 define alias HDWP type HANDLE;
 define alias MENUTEMPLATEA pointer;
 define alias MENUTEMPLATEW pointer;

 %if UNICODE ^= '' %then %do;
 define alias MENUTEMPLATE type MENUTEMPLATEW;
 %end; %else %do;
 define alias MENUTEMPLATE type MENUTEMPLATEA;
 %end; /* UNICODE */
 define alias LPMENUTEMPLATEA type PVOID;
 define alias LPMENUTEMPLATEW type PVOID;

 %if UNICODE ^= '' %then %do;
 define alias LPMENUTEMPLATE type LPMENUTEMPLATEW;
 %end; %else %do;
 define alias LPMENUTEMPLATE type LPMENUTEMPLATEA;
 %end;/* UNICODE */

 define alias WNDPROC
              entry (type HWND,
                     type UINT,
                     type WPARAM,
                     type LPARAM)
              returns (optional type LRESULT byvalue)
              limited CALLBACK;

 define alias DLGPROC
              entry (type HWND,
                     type UINT,
                     type WPARAM,
                     type LPARAM)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias TIMERPROC
              entry (type HWND,
                     type UINT,
                     type UINT,
                     type DWORD)
              limited CALLBACK;

 define alias GRAYSTRINGPROC
              entry (type HDC,
                     type LPARAM,
                     fixed bin(31))
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias WNDENUMPROC
              entry (type HWND,
                     type LPARAM)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias HOOKPROC
              entry (type HWND,
                     type UINT,
                     type DWORD,
                     type LRESULT)
              returns (optional type LRESULT byvalue)
              limited CALLBACK;

 define alias SENDASYNCPROC
              entry (type HWND,
                     type UINT,
                     type DWORD,
                     type LRESULT)
              limited CALLBACK;

 define alias PROPENUMPROCA
              entry (type HWND,
                     type LPCSTR, /* to char(*) varz byaddr nonasgn */
                     type HANDLE)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias PROPENUMPROCW
              entry (type HWND,
                     type LPCWSTR, /* to WCHAR(*) varz byaddr nonasgn */
                     type HANDLE)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias PROPENUMPROCEXA
              entry (type HWND,
                     type LPSTR, /* to char(*) varz byaddr */
                     type HANDLE,
                     type DWORD)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias PROPENUMPROCEXW
              entry (type HWND,
                     type LPWSTR, /* to WCHAR(*) varz byaddr */
                     type HANDLE,
                     type DWORD)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias EDITWORDBREAKPROCA
              entry (type LPSTR, /* to char(*) varz byaddr */
                     fixed bin(31),
                     fixed bin(31),
                     fixed bin(31))
              returns (optional fixed bin(31) byvalue)
              limited CALLBACK;

 define alias EDITWORDBREAKPROCW
              entry (type LPWSTR, /* to WCHAR(*) varz byaddr */
                     fixed bin(31),
                     fixed bin(31),
                     fixed bin(31))
              returns (optional fixed bin(31) byvalue)
              limited CALLBACK;

 %if WINVER >= 1024 %then %do;
 define alias DRAWSTATEPROC
              entry (type HDC,
                     type LPARAM,
                     type WPARAM,
                     fixed bin(31),
                     fixed bin(31))
              returns (optional type BOOL byvalue)
              limited CALLBACK;
 %end;  /* WINVER >= 0x0400 */


 %if UNICODE ^= '' %then %do;
 define alias PROPENUMPROC      type PROPENUMPROCW;
 define alias PROPENUMPROCEX    type PROPENUMPROCEXW;
 define alias EDITWORDBREAKPROC type EDITWORDBREAKPROCW;
 %end; %else %do;
 define alias PROPENUMPROC      type PROPENUMPROCA;
 define alias PROPENUMPROCEX    type PROPENUMPROCEXA;
 define alias EDITWORDBREAKPROC type EDITWORDBREAKPROCA;
 %end; /* UNICODE */

 define alias NAMEENUMPROCA
              entry (type LPSTR, /* to char(*) varz byaddr */
                     type LPARAM)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias NAMEENUMPROCW
              entry (type LPWSTR, /* to WCHAR(*) varz byaddr */
                     type LPARAM)
              returns (optional type BOOL byvalue)
              limited CALLBACK;

 define alias WINSTAENUMPROCA  type NAMEENUMPROCA;
 define alias DESKTOPENUMPROCA type NAMEENUMPROCA;
 define alias WINSTAENUMPROCW  type NAMEENUMPROCW;
 define alias DESKTOPENUMPROCW type NAMEENUMPROCW;

 %if UNICODE ^= '' %then %do;
 define alias WINSTAENUMPROC  type WINSTAENUMPROCW;
 define alias DESKTOPENUMPROC type DESKTOPENUMPROCW;
 %end; %else %do;
 define alias WINSTAENUMPROC  type WINSTAENUMPROCA;
 define alias DESKTOPENUMPROC type DESKTOPENUMPROCA;
 %end; /* UNICODE */

 %dcl MAKEINTRESOURCEA entry;
 %MAKEINTRESOURCEA: proc (i) returns (char);
   dcl i char;
   return ('ptrvalue(' || i || ')');
 %end MAKEINTRESOURCEA;

 %dcl MAKEINTRESOURCEW entry;
 %MAKEINTRESOURCEW: proc (i) returns (char);
   dcl i char;
   return ('ptrvalue(' || i || ')');
 %end MAKEINTRESOURCEW;

 %dcl MAKEINTRESOURCE entry;
 %MAKEINTRESOURCE: proc (i) returns (char);
   dcl i char;
   if UNICODE ^= '' then
     return (MAKEINTRESOURCEW(i));
   else
     return (MAKEINTRESOURCEA(i));
 %end MAKEINTRESOURCE;

 %dcl NORESOURCE char ext;
 %if NORESOURCE = '' %then %do;

 /* Predefined Resource Types   */
 dcl RT_CURSOR       pointer value(MAKEINTRESOURCE(1));
 dcl RT_BITMAP       pointer value(MAKEINTRESOURCE(2));
 dcl RT_ICON         pointer value(MAKEINTRESOURCE(3));
 dcl RT_MENU         pointer value(MAKEINTRESOURCE(4));
 dcl RT_DIALOG       pointer value(MAKEINTRESOURCE(5));
 dcl RT_STRING       pointer value(MAKEINTRESOURCE(6));
 dcl RT_FONTDIR      pointer value(MAKEINTRESOURCE(7));
 dcl RT_FONT         pointer value(MAKEINTRESOURCE(8));
 dcl RT_ACCELERATOR  pointer value(MAKEINTRESOURCE(9));
 dcl RT_RCDATA       pointer value(MAKEINTRESOURCE(10));
 dcl RT_MESSAGETABLE pointer value(MAKEINTRESOURCE(11));

 dcl DIFFERENCE      fixed bin(31) value(11);
 dcl RT_GROUP_CURSOR pointer
     value(MAKEINTRESOURCE (binvalue(RT_CURSOR) + DIFFERENCE));
 dcl RT_GROUP_ICON   pointer
     value(MAKEINTRESOURCE (binvalue(RT_ICON)   + DIFFERENCE));
 dcl RT_VERSION      pointer value(MAKEINTRESOURCE(16));
 dcl RT_DLGINCLUDE   pointer value(MAKEINTRESOURCE(17));

 %if WINVER >= 1024 %then %do;
 dcl RT_PLUGPLAY     pointer value(MAKEINTRESOURCE(19));
 dcl RT_VXD          pointer value(MAKEINTRESOURCE(20));
 dcl RT_ANICURSOR    pointer value(MAKEINTRESOURCE(21));
 dcl RT_ANIICON      pointer value(MAKEINTRESOURCE(22));
 %end; /* WINVER >= 0x0400 */
 dcl RT_HTML         pointer value(MAKEINTRESOURCE(23));

 %end; /* !NORESOURCE */

 %dcl VA_LIST_DEFINED char ext;
 %if VA_LIST_DEFINED = '' %then %do;
   %VA_LIST_DEFINED = 'Y';
   define alias va_list pointer;
 %end;

 dcl wvsprintfA
     entry (char (*) varz byaddr,
            char (*) varz byaddr,
            type va_list)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('wvsprintfA');
 dcl wvsprintfW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr,
            type va_list)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('wvsprintfW');

 %dcl wvsprintf char ext;
 %if UNICODE ^= '' %then %do;
   %wvsprintf='wvsprintfW';
 %end; %else %do;
   %wvsprintf='wvsprintfA';
 %end; /* !UNICODE */

 dcl wsprintfA
     entry (char (*) varz byaddr,
            char (*) varz byaddr nonasgn list)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPIV external('wsprintfA');
 dcl wsprintfW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr nonasgn list)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPIV external('wsprintfW');

 %dcl wsprintf char ext;
 %if UNICODE ^= '' %then %do;
   %wsprintf='wsprintfW';
 %end; %else %do;
   %wsprintf='wsprintfA';
 %end; /* !UNICODE */

 %dcl NOSCROLL char ext;
 %if NOSCROLL = '' %then %do;

 /* Scroll Bar Constants */
 dcl SB_HORZ fixed bin(31) value(0);
 dcl SB_VERT fixed bin(31) value(1);
 dcl SB_CTL  fixed bin(31) value(2);
 dcl SB_BOTH fixed bin(31) value(3);

 /* Scroll Bar Commands */
 dcl SB_LINEUP        fixed bin(31) value(0);
 dcl SB_LINELEFT      fixed bin(31) value(0);
 dcl SB_LINEDOWN      fixed bin(31) value(1);
 dcl SB_LINERIGHT     fixed bin(31) value(1);
 dcl SB_PAGEUP        fixed bin(31) value(2);
 dcl SB_PAGELEFT      fixed bin(31) value(2);
 dcl SB_PAGEDOWN      fixed bin(31) value(3);
 dcl SB_PAGERIGHT     fixed bin(31) value(3);
 dcl SB_THUMBPOSITION fixed bin(31) value(4);
 dcl SB_THUMBTRACK    fixed bin(31) value(5);
 dcl SB_TOP           fixed bin(31) value(6);
 dcl SB_LEFT          fixed bin(31) value(6);
 dcl SB_BOTTOM        fixed bin(31) value(7);
 dcl SB_RIGHT         fixed bin(31) value(7);
 dcl SB_ENDSCROLL     fixed bin(31) value(8);

 %end; /* !NOSCROLL */

 %dcl NOSHOWWINDOW char ext;
 %if NOSHOWWINDOW = '' %then %do;

 /*  ShowWindow() Commands */
 dcl SW_HIDE             fixed bin(31) value(0);
 dcl SW_SHOWNORMAL       fixed bin(31) value(1);
 dcl SW_NORMAL           fixed bin(31) value(1);
 dcl SW_SHOWMINIMIZED    fixed bin(31) value(2);
 dcl SW_SHOWMAXIMIZED    fixed bin(31) value(3);
 dcl SW_MAXIMIZE         fixed bin(31) value(3);
 dcl SW_SHOWNOACTIVATE   fixed bin(31) value(4);
 dcl SW_SHOW             fixed bin(31) value(5);
 dcl SW_MINIMIZE         fixed bin(31) value(6);
 dcl SW_SHOWMINNOACTIVE  fixed bin(31) value(7);
 dcl SW_SHOWNA           fixed bin(31) value(8);
 dcl SW_RESTORE          fixed bin(31) value(9);
 dcl SW_SHOWDEFAULT      fixed bin(31) value(10);
 dcl SW_MAX              fixed bin(31) value(10);

 /* Old ShowWindow() Commands  */
 dcl HIDE_WINDOW         fixed bin(31) value(0);
 dcl SHOW_OPENWINDOW     fixed bin(31) value(1);
 dcl SHOW_ICONWINDOW     fixed bin(31) value(2);
 dcl SHOW_FULLSCREEN     fixed bin(31) value(3);
 dcl SHOW_OPENNOACTIVATE fixed bin(31) value(4);

 /* Identifiers for the WM_SHOWWINDOW message  */
 dcl SW_PARENTCLOSING    fixed bin(31) value(1);
 dcl SW_OTHERZOOM        fixed bin(31) value(2);
 dcl SW_PARENTOPENING    fixed bin(31) value(3);
 dcl SW_OTHERUNZOOM      fixed bin(31) value(4);

 %end; /* !NOSHOWWINDOW */

 %if WINVER >= 1280 %then %do;
 /* AnimateWindow() Commands */
 dcl AW_HOR_POSITIVE     type DWORD value('00000001'xu);
 dcl AW_HOR_NEGATIVE     type DWORD value('00000002'xu);
 dcl AW_VER_POSITIVE     type DWORD value('00000004'xu);
 dcl AW_VER_NEGATIVE     type DWORD value('00000008'xu);
 dcl AW_CENTER           type DWORD value('00000010'xu);
 dcl AW_HIDE             type DWORD value('00010000'xu);
 dcl AW_ACTIVATE         type DWORD value('00020000'xu);
 dcl AW_SLIDE            type DWORD value('00040000'xu);
 dcl AW_BLEND            type DWORD value('00080000'xu);
 %end; /* WINVER >= 0x0500 */

 /* WM_KEYUP/DOWN/CHAR HIWORD(lParam) flags */
 dcl KF_EXTENDED         fixed bin(16) unsigned value('0100'xu);
 dcl KF_DLGMODE          fixed bin(16) unsigned value('0800'xu);
 dcl KF_MENUMODE         fixed bin(16) unsigned value('1000'xu);
 dcl KF_ALTDOWN          fixed bin(16) unsigned value('2000'xu);
 dcl KF_REPEAT           fixed bin(16) unsigned value('4000'xu);
 dcl KF_UP               fixed bin(16) unsigned value('8000'xu);

 %dcl NOVIRTUALKEYCODES char ext;
 %if NOVIRTUALKEYCODES = '' %then %do;

 /* Virtual Keys, Standard Set */
 dcl VK_LBUTTON             fixed bin(8) unsigned value('01'xu);
 dcl VK_RBUTTON             fixed bin(8) unsigned value('02'xu);
 dcl VK_CANCEL              fixed bin(8) unsigned value('03'xu);
 dcl VK_MBUTTON             fixed bin(8) unsigned value('04'xu);
     /* NOT contiguous with L & RBUTTON */

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl VK_XBUTTON1            fixed bin(8) unsigned value('05'xu);
     /* NOT contiguous with L & RBUTTON */
 dcl VK_XBUTTON2            fixed bin(8) unsigned value('06'xu);
     /* NOT contiguous with L & RBUTTON */
 %end; /* _WIN32_WINNT >= 0x0500 */

 /* 0x07 : unassigned */

 dcl VK_BACK                fixed bin(8) unsigned value('08'xu);
 dcl VK_TAB                 fixed bin(8) unsigned value('09'xu);

 /* 0x0A - 0x0B : reserved */

 dcl VK_CLEAR               fixed bin(8) unsigned value('0C'xu);
 dcl VK_RETURN              fixed bin(8) unsigned value('0D'xu);

 dcl VK_SHIFT               fixed bin(8) unsigned value('10'xu);
 dcl VK_CONTROL             fixed bin(8) unsigned value('11'xu);
 dcl VK_MENU                fixed bin(8) unsigned value('12'xu);
 dcl VK_PAUSE               fixed bin(8) unsigned value('13'xu);
 dcl VK_CAPITAL             fixed bin(8) unsigned value('14'xu);

 dcl VK_KANA                fixed bin(8) unsigned value('15'xu);
 dcl VK_HANGEUL             fixed bin(8) unsigned value('15'xu);
     /* old name - should be here for compatibility */
 dcl VK_HANGUL              fixed bin(8) unsigned value('15'xu);
 dcl VK_JUNJA               fixed bin(8) unsigned value('17'xu);
 dcl VK_FINAL               fixed bin(8) unsigned value('18'xu);
 dcl VK_HANJA               fixed bin(8) unsigned value('19'xu);
 dcl VK_KANJI               fixed bin(8) unsigned value('19'xu);

 dcl VK_ESCAPE              fixed bin(8) unsigned value('1B'xu);

 dcl VK_CONVERT             fixed bin(8) unsigned value('1C'xu);
 dcl VK_NONCONVERT          fixed bin(8) unsigned value('1D'xu);
 dcl VK_ACCEPT              fixed bin(8) unsigned value('1E'xu);
 dcl VK_MODECHANGE          fixed bin(8) unsigned value('1F'xu);

 dcl VK_SPACE               fixed bin(8) unsigned value('20'xu);
 dcl VK_PRIOR               fixed bin(8) unsigned value('21'xu);
 dcl VK_NEXT                fixed bin(8) unsigned value('22'xu);
 dcl VK_END                 fixed bin(8) unsigned value('23'xu);
 dcl VK_HOME                fixed bin(8) unsigned value('24'xu);
 dcl VK_LEFT                fixed bin(8) unsigned value('25'xu);
 dcl VK_UP                  fixed bin(8) unsigned value('26'xu);
 dcl VK_RIGHT               fixed bin(8) unsigned value('27'xu);
 dcl VK_DOWN                fixed bin(8) unsigned value('28'xu);
 dcl VK_SELECT              fixed bin(8) unsigned value('29'xu);
 dcl VK_PRINT               fixed bin(8) unsigned value('2A'xu);
 dcl VK_EXECUTE             fixed bin(8) unsigned value('2B'xu);
 dcl VK_SNAPSHOT            fixed bin(8) unsigned value('2C'xu);
 dcl VK_INSERT              fixed bin(8) unsigned value('2D'xu);
 dcl VK_DELETE              fixed bin(8) unsigned value('2E'xu);
 dcl VK_HELP                fixed bin(8) unsigned value('2F'xu);

 /* VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39) */
 /* VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A) */

 dcl VK_LWIN                fixed bin(8) unsigned value('5B'xu);
 dcl VK_RWIN                fixed bin(8) unsigned value('5C'xu);
 dcl VK_APPS                fixed bin(8) unsigned value('5D'xu);

 /* 0x5E : reserved */

 dcl VK_SLEEP               fixed bin(8) unsigned value('5F'xu);

 dcl VK_NUMPAD0             fixed bin(8) unsigned value('60'xu);
 dcl VK_NUMPAD1             fixed bin(8) unsigned value('61'xu);
 dcl VK_NUMPAD2             fixed bin(8) unsigned value('62'xu);
 dcl VK_NUMPAD3             fixed bin(8) unsigned value('63'xu);
 dcl VK_NUMPAD4             fixed bin(8) unsigned value('64'xu);
 dcl VK_NUMPAD5             fixed bin(8) unsigned value('65'xu);
 dcl VK_NUMPAD6             fixed bin(8) unsigned value('66'xu);
 dcl VK_NUMPAD7             fixed bin(8) unsigned value('67'xu);
 dcl VK_NUMPAD8             fixed bin(8) unsigned value('68'xu);
 dcl VK_NUMPAD9             fixed bin(8) unsigned value('69'xu);
 dcl VK_MULTIPLY            fixed bin(8) unsigned value('6A'xu);
 dcl VK_ADD                 fixed bin(8) unsigned value('6B'xu);
 dcl VK_SEPARATOR           fixed bin(8) unsigned value('6C'xu);
 dcl VK_SUBTRACT            fixed bin(8) unsigned value('6D'xu);
 dcl VK_DECIMAL             fixed bin(8) unsigned value('6E'xu);
 dcl VK_DIVIDE              fixed bin(8) unsigned value('6F'xu);
 dcl VK_F1                  fixed bin(8) unsigned value('70'xu);
 dcl VK_F2                  fixed bin(8) unsigned value('71'xu);
 dcl VK_F3                  fixed bin(8) unsigned value('72'xu);
 dcl VK_F4                  fixed bin(8) unsigned value('73'xu);
 dcl VK_F5                  fixed bin(8) unsigned value('74'xu);
 dcl VK_F6                  fixed bin(8) unsigned value('75'xu);
 dcl VK_F7                  fixed bin(8) unsigned value('76'xu);
 dcl VK_F8                  fixed bin(8) unsigned value('77'xu);
 dcl VK_F9                  fixed bin(8) unsigned value('78'xu);
 dcl VK_F10                 fixed bin(8) unsigned value('79'xu);
 dcl VK_F11                 fixed bin(8) unsigned value('7A'xu);
 dcl VK_F12                 fixed bin(8) unsigned value('7B'xu);
 dcl VK_F13                 fixed bin(8) unsigned value('7C'xu);
 dcl VK_F14                 fixed bin(8) unsigned value('7D'xu);
 dcl VK_F15                 fixed bin(8) unsigned value('7E'xu);
 dcl VK_F16                 fixed bin(8) unsigned value('7F'xu);
 dcl VK_F17                 fixed bin(8) unsigned value('80'xu);
 dcl VK_F18                 fixed bin(8) unsigned value('81'xu);
 dcl VK_F19                 fixed bin(8) unsigned value('82'xu);
 dcl VK_F20                 fixed bin(8) unsigned value('83'xu);
 dcl VK_F21                 fixed bin(8) unsigned value('84'xu);
 dcl VK_F22                 fixed bin(8) unsigned value('85'xu);
 dcl VK_F23                 fixed bin(8) unsigned value('86'xu);
 dcl VK_F24                 fixed bin(8) unsigned value('87'xu);

 /* 0x88 - 0x8F : unassigned */

 dcl VK_NUMLOCK             fixed bin(8) unsigned value('90'xu);
 dcl VK_SCROLL              fixed bin(8) unsigned value('91'xu);

 /* NEC PC-9800 kbd definitions */
 dcl VK_OEM_NEC_EQUAL       fixed bin(8) unsigned value('92'xu);
                            /* '=' key on numpad */

 /* Fujitsu/OASYS kbd definitions */
 dcl VK_OEM_FJ_JISHO        fixed bin(8) unsigned value('92'xu);
                            /* 'Dictionary' key */
 dcl VK_OEM_FJ_MASSHOU      fixed bin(8) unsigned value('93'xu);
                            /* 'Unregister word' key */
 dcl VK_OEM_FJ_TOUROKU      fixed bin(8) unsigned value('94'xu);
                            /* 'Register word' key */
 dcl VK_OEM_FJ_LOYA         fixed bin(8) unsigned value('95'xu);
                            /* 'Left OYAYUBI' key */
 dcl VK_OEM_FJ_ROYA         fixed bin(8) unsigned value('96'xu);
                            /* 'Right OYAYUBI' key */

 /* 0x97 - 0x9F : unassigned */

 /* VK_L* & VK_R* - left and right Alt, Ctrl and Shift virtual keys.*/
 /* Used only as parameters to GetAsyncKeyState() and GetKeyState().*/
 /* No other API or message will distinguish left and               */
 /* right keys in this way.                                         */
 /*                                                                 */
 dcl VK_LSHIFT              fixed bin(8) unsigned value('A0'xu);
 dcl VK_RSHIFT              fixed bin(8) unsigned value('A1'xu);
 dcl VK_LCONTROL            fixed bin(8) unsigned value('A2'xu);
 dcl VK_RCONTROL            fixed bin(8) unsigned value('A3'xu);
 dcl VK_LMENU               fixed bin(8) unsigned value('A4'xu);
 dcl VK_RMENU               fixed bin(8) unsigned value('A5'xu);

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl VK_BROWSER_BACK        fixed bin(8) unsigned value('A6'xu);
 dcl VK_BROWSER_FORWARD     fixed bin(8) unsigned value('A7'xu);
 dcl VK_BROWSER_REFRESH     fixed bin(8) unsigned value('A8'xu);
 dcl VK_BROWSER_STOP        fixed bin(8) unsigned value('A9'xu);
 dcl VK_BROWSER_SEARCH      fixed bin(8) unsigned value('AA'xu);
 dcl VK_BROWSER_FAVORITES   fixed bin(8) unsigned value('AB'xu);
 dcl VK_BROWSER_HOME        fixed bin(8) unsigned value('AC'xu);

 dcl VK_VOLUME_MUTE         fixed bin(8) unsigned value('AD'xu);
 dcl VK_VOLUME_DOWN         fixed bin(8) unsigned value('AE'xu);
 dcl VK_VOLUME_UP           fixed bin(8) unsigned value('AF'xu);
 dcl VK_MEDIA_NEXT_TRACK    fixed bin(8) unsigned value('B0'xu);
 dcl VK_MEDIA_PREV_TRACK    fixed bin(8) unsigned value('B1'xu);
 dcl VK_MEDIA_STOP          fixed bin(8) unsigned value('B2'xu);
 dcl VK_MEDIA_PLAY_PAUSE    fixed bin(8) unsigned value('B3'xu);
 dcl VK_LAUNCH_MAIL         fixed bin(8) unsigned value('B4'xu);
 dcl VK_LAUNCH_MEDIA_SELECT fixed bin(8) unsigned value('B5'xu);
 dcl VK_LAUNCH_APP1         fixed bin(8) unsigned value('B6'xu);
 dcl VK_LAUNCH_APP2         fixed bin(8) unsigned value('B7'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 /* 0xB8 - 0xB9 : reserved */

 dcl ( VK_OEM_1          value('BA'xu) /* ';:' for US */
     , VK_OEM_PLUS       value('BB'xu) /* '+' any country */
     , VK_OEM_COMMA      value('BC'xu) /* ',' any country */
     , VK_OEM_MINUS      value('BD'xu) /* '-' any country */
     , VK_OEM_PERIOD     value('BE'xu) /* '.' any country */
     , VK_OEM_2          value('BF'xu) /* '/?' for US */
     , VK_OEM_3          value('C0'xu) /* '`~' for US */
     ) fixed bin(8) unsigned;

 /* 0xC1 - 0xD7 : reserved */

 /* 0xD8 - 0xDA : unassigned */

 dcl ( VK_OEM_4          value('DB'xu) /* '[{' for US */
     , VK_OEM_5          value('DC'xu) /* '\|' for US */
     , VK_OEM_6          value('DD'xu) /* ']}' for US */
     , VK_OEM_7          value('DE'xu) /* ''"' for US */
     , VK_OEM_8          value('DF'xu)
     ) fixed bin(8) unsigned;

 /* 0xE0 : reserved */

 /* Various extended or enhanced keyboards */
 dcl ( VK_OEM_AX         value('E1'xu) /* 'AX' key on Japanese AX kbd */
     , VK_OEM_102        value('E2'xu) /* "<>" or "\|" on RT 102-key. */
     , VK_ICO_HELP       value('E3'xu) /* Help key on ICO */
     , VK_ICO_00         value('E4'xu) /* 00 key on ICO */
     ) fixed bin(8) unsigned;

 %if WINVER >= 1024 %then %do;
 dcl VK_PROCESSKEY          fixed bin(8) unsigned value('E5'xu);
 %end; /* WINVER >= 0x0400 */

 dcl VK_ICO_CLEAR           fixed bin(8) unsigned value('E6'xu);


 %if #WIN32_WINNT >= 1280 %then %do;
 dcl VK_PACKET              fixed bin(8) unsigned value('E7'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 /* 0xE8 : unassigned */

 /* Nokia/Ericsson definitions */
 dcl VK_OEM_RESET           fixed bin(8) unsigned value('E9'xu);
 dcl VK_OEM_JUMP            fixed bin(8) unsigned value('EA'xu);
 dcl VK_OEM_PA1             fixed bin(8) unsigned value('EB'xu);
 dcl VK_OEM_PA2             fixed bin(8) unsigned value('EC'xu);
 dcl VK_OEM_PA3             fixed bin(8) unsigned value('ED'xu);
 dcl VK_OEM_WSCTRL          fixed bin(8) unsigned value('EE'xu);
 dcl VK_OEM_CUSEL           fixed bin(8) unsigned value('EF'xu);
 dcl VK_OEM_ATTN            fixed bin(8) unsigned value('F0'xu);
 dcl VK_OEM_FINISH          fixed bin(8) unsigned value('F1'xu);
 dcl VK_OEM_COPY            fixed bin(8) unsigned value('F2'xu);
 dcl VK_OEM_AUTO            fixed bin(8) unsigned value('F3'xu);
 dcl VK_OEM_ENLW            fixed bin(8) unsigned value('F4'xu);
 dcl VK_OEM_BACKTAB         fixed bin(8) unsigned value('F5'xu);

 dcl VK_ATTN                fixed bin(8) unsigned value('F6'xu);
 dcl VK_CRSEL               fixed bin(8) unsigned value('F7'xu);
 dcl VK_EXSEL               fixed bin(8) unsigned value('F8'xu);
 dcl VK_EREOF               fixed bin(8) unsigned value('F9'xu);
 dcl VK_PLAY                fixed bin(8) unsigned value('FA'xu);
 dcl VK_ZOOM                fixed bin(8) unsigned value('FB'xu);
 dcl VK_NONAME              fixed bin(8) unsigned value('FC'xu);
 dcl VK_PA1                 fixed bin(8) unsigned value('FD'xu);
 dcl VK_OEM_CLEAR           fixed bin(8) unsigned value('FE'xu);

 /* 0xFF : reserved */

 %end; /* !NOVIRTUALKEYCODES */

 %dcl NOWH char ext;
 %if NOWH = '' %then %do;

 /* SetWindowsHook() codes   */
 dcl WH_MIN             fixed bin(31) value(-1);
 dcl WH_MSGFILTER       fixed bin(31) value(-1);
 dcl WH_JOURNALRECORD   fixed bin(31) value(0);
 dcl WH_JOURNALPLAYBACK fixed bin(31) value(1);
 dcl WH_KEYBOARD        fixed bin(31) value(2);
 dcl WH_GETMESSAGE      fixed bin(31) value(3);
 dcl WH_CALLWNDPROC     fixed bin(31) value(4);
 dcl WH_CBT             fixed bin(31) value(5);
 dcl WH_SYSMSGFILTER    fixed bin(31) value(6);
 dcl WH_MOUSE           fixed bin(31) value(7);
 dcl WH_HARDWARE        fixed bin(31) value(8);
 dcl WH_DEBUG           fixed bin(31) value(9);
 dcl WH_SHELL           fixed bin(31) value(10);
 dcl WH_FOREGROUNDIDLE  fixed bin(31) value(11);

 %if WINVER >= 1024 %then %do;
 dcl WH_CALLWNDPROCRET  fixed bin(31) value(12);
 %end; /* WINVER >= 0x0400 */

 %if #WIN32_WINNT >= 1024 %then %do;
 dcl WH_KEYBOARD_LL     fixed bin(31) value(13);
 dcl WH_MOUSE_LL        fixed bin(31) value(14);
 %end; /* (_WIN32_WINNT >= 0x0400) */

 %if WINVER >= 1024 %then %do;
 %if #WIN32_WINNT >= 1024 %then %do;
 dcl WH_MAX             fixed bin(31) value(14);
 %end; %else %do;
 dcl WH_MAX             fixed bin(31) value(12);
 %end;
 %end; %else %do;
 dcl WH_MAX             fixed bin(31) value(11);
 %end;
 dcl WH_MINHOOK         fixed bin(31) value(WH_MIN);
 dcl WH_MAXHOOK         fixed bin(31) value(WH_MAX);

 /* Hook Codes */
 dcl HC_ACTION          fixed bin(31) value(0);
 dcl HC_GETNEXT         fixed bin(31) value(1);
 dcl HC_SKIP            fixed bin(31) value(2);
 dcl HC_NOREMOVE        fixed bin(31) value(3);
 dcl HC_NOREM           fixed bin(31) value(HC_NOREMOVE);
 dcl HC_SYSMODALON      fixed bin(31) value(4);
 dcl HC_SYSMODALOFF     fixed bin(31) value(5);

 /* CBT Hook Codes  */
 dcl HCBT_MOVESIZE      fixed bin(31) value(0);
 dcl HCBT_MINMAX        fixed bin(31) value(1);
 dcl HCBT_QS            fixed bin(31) value(2);
 dcl HCBT_CREATEWND     fixed bin(31) value(3);
 dcl HCBT_DESTROYWND    fixed bin(31) value(4);
 dcl HCBT_ACTIVATE      fixed bin(31) value(5);
 dcl HCBT_CLICKSKIPPED  fixed bin(31) value(6);
 dcl HCBT_KEYSKIPPED    fixed bin(31) value(7);
 dcl HCBT_SYSCOMMAND    fixed bin(31) value(8);
 dcl HCBT_SETFOCUS      fixed bin(31) value(9);

 /* HCBT_CREATEWND parameters pointed to by lParam */
 define structure
   1 CBT_CREATEWNDA,
     2 lpcs            handle CREATESTRUCTA,
     2 hwndInsertAfter type HWND;
 define alias LPCBT_CREATEWNDA handle CBT_CREATEWNDA;

 /* HCBT_CREATEWND parameters pointed to by lParam */
 define structure
   1 CBT_CREATEWNDW,
     2 lpcs            handle CREATESTRUCTW,
     2 hwndInsertAfter type HWND;
 define alias LPCBT_CREATEWNDW handle CBT_CREATEWNDW;

 %if UNICODE ^= '' %then %do;
 define alias   CBT_CREATEWND type CBT_CREATEWNDW;
 define alias LPCBT_CREATEWND type LPCBT_CREATEWNDW;
 %end; %else %do;
 define alias   CBT_CREATEWND type CBT_CREATEWNDA;
 define alias LPCBT_CREATEWND type LPCBT_CREATEWNDA;
 %end; /* UNICODE */

 /* HCBT_ACTIVATE structure pointed to by lParam */
 define structure
   1 CBTACTIVATESTRUCT,
     2 fMouse     type BOOL,
     2 hWndActive type HWND;
 define alias LPCBTACTIVATESTRUCT handle CBTACTIVATESTRUCT;

 %if #WIN32_WINNT >= 1281 %then %do;
 /* WTSSESSION_NOTIFICATION struct pointed by lParam, */
 /* for WM_WTSSESSION_CHANGE                          */
 define structure
   1 WTSSESSION_NOTIFICATION,
     2 cbSize      type DWORD,
     2 dwSessionId type DWORD;

 define alias PWTSSESSION_NOTIFICATION handle WTSSESSION_NOTIFICATION;

 /* codes passed in WPARAM for WM_WTSSESSION_CHANGE */

 dcl WTS_CONSOLE_CONNECT    type WPARAM value ('1'xn);
 dcl WTS_CONSOLE_DISCONNECT type WPARAM value ('2'xn);
 dcl WTS_REMOTE_CONNECT     type WPARAM value ('3'xn);
 dcl WTS_REMOTE_DISCONNECT  type WPARAM value ('4'xn);
 dcl WTS_SESSION_LOGON      type WPARAM value ('5'xn);
 dcl WTS_SESSION_LOGOFF     type WPARAM value ('6'xn);
 dcl WTS_SESSION_LOCK       type WPARAM value ('7'xn);
 dcl WTS_SESSION_UNLOCK     type WPARAM value ('8'xn);

 %end; /* _WIN32_WINNT >= 0x0501 */

 /* WH_MSGFILTER Filter Proc Codes */
 dcl MSGF_DIALOGBOX  fixed bin(31) value(0);
 dcl MSGF_MESSAGEBOX fixed bin(31) value(1);
 dcl MSGF_MENU       fixed bin(31) value(2);
 dcl MSGF_MOVE       fixed bin(31) value(3);
 dcl MSGF_SIZE       fixed bin(31) value(4);
 dcl MSGF_SCROLLBAR  fixed bin(31) value(5);
 dcl MSGF_NEXTWINDOW fixed bin(31) value(6);
 dcl MSGF_MAINLOOP   fixed bin(31) value(8);
 dcl MSGF_MAX        fixed bin(31) value(8);    /* unused */
 dcl MSGF_USER       fixed bin(31) value(4096);

 /* Shell support  */
 dcl HSHELL_WINDOWCREATED       fixed bin(31) value(1);
 dcl HSHELL_WINDOWDESTROYED     fixed bin(31) value(2);
 dcl HSHELL_ACTIVATESHELLWINDOW fixed bin(31) value(3);

 %if WINVER >= 1024 %then %do;
 dcl HSHELL_WINDOWACTIVATED     fixed bin(31) value(4);
 dcl HSHELL_GETMINRECT          fixed bin(31) value(5);
 dcl HSHELL_REDRAW              fixed bin(31) value(6);
 dcl HSHELL_TASKMAN             fixed bin(31) value(7);
 dcl HSHELL_LANGUAGE            fixed bin(31) value(8);
 %end; /* WINVER >= 0x0400 */
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl HSHELL_ACCESSIBILITYSTATE  fixed bin(31) value(11);
 dcl HSHELL_APPCOMMAND          fixed bin(31) value(12);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl HSHELL_WINDOWREPLACED      fixed bin(31) value(13);
 %end;

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl ACCESS_STICKYKEYS                 fixed bin(31) value('0001'xn);
 dcl ACCESS_FILTERKEYS                 fixed bin(31) value('0002'xn);
 dcl ACCESS_MOUSEKEYS                  fixed bin(31) value('0003'xn);

 /* cmd for HSHELL_APPCOMMAND and WM_APPCOMMAND */
 dcl APPCOMMAND_BROWSER_BACKWARD       fixed bin(31) value( 1);
 dcl APPCOMMAND_BROWSER_FORWARD        fixed bin(31) value( 2);
 dcl APPCOMMAND_BROWSER_REFRESH        fixed bin(31) value( 3);
 dcl APPCOMMAND_BROWSER_STOP           fixed bin(31) value( 4);
 dcl APPCOMMAND_BROWSER_SEARCH         fixed bin(31) value( 5);
 dcl APPCOMMAND_BROWSER_FAVORITES      fixed bin(31) value( 6);
 dcl APPCOMMAND_BROWSER_HOME           fixed bin(31) value( 7);
 dcl APPCOMMAND_VOLUME_MUTE            fixed bin(31) value( 8);
 dcl APPCOMMAND_VOLUME_DOWN            fixed bin(31) value( 9);
 dcl APPCOMMAND_VOLUME_UP              fixed bin(31) value(10);
 dcl APPCOMMAND_MEDIA_NEXTTRACK        fixed bin(31) value(11);
 dcl APPCOMMAND_MEDIA_PREVIOUSTRACK    fixed bin(31) value(12);
 dcl APPCOMMAND_MEDIA_STOP             fixed bin(31) value(13);
 dcl APPCOMMAND_MEDIA_PLAY_PAUSE       fixed bin(31) value(14);
 dcl APPCOMMAND_LAUNCH_MAIL            fixed bin(31) value(15);
 dcl APPCOMMAND_LAUNCH_MEDIA_SELECT    fixed bin(31) value(16);
 dcl APPCOMMAND_LAUNCH_APP1            fixed bin(31) value(17);
 dcl APPCOMMAND_LAUNCH_APP2            fixed bin(31) value(18);
 dcl APPCOMMAND_BASS_DOWN              fixed bin(31) value(19);
 dcl APPCOMMAND_BASS_BOOST             fixed bin(31) value(20);
 dcl APPCOMMAND_BASS_UP                fixed bin(31) value(21);
 dcl APPCOMMAND_TREBLE_DOWN            fixed bin(31) value(22);
 dcl APPCOMMAND_TREBLE_UP              fixed bin(31) value(23);

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl APPCOMMAND_MICROPHONE_VOLUME_MUTE fixed bin(31) value(24);
 dcl APPCOMMAND_MICROPHONE_VOLUME_DOWN fixed bin(31) value(25);
 dcl APPCOMMAND_MICROPHONE_VOLUME_UP   fixed bin(31) value(26);
 dcl APPCOMMAND_HELP                   fixed bin(31) value(27);
 dcl APPCOMMAND_FIND                   fixed bin(31) value(28);
 dcl APPCOMMAND_NEW                    fixed bin(31) value(29);
 dcl APPCOMMAND_OPEN                   fixed bin(31) value(30);
 dcl APPCOMMAND_CLOSE                  fixed bin(31) value(31);
 dcl APPCOMMAND_SAVE                   fixed bin(31) value(32);
 dcl APPCOMMAND_PRINT                  fixed bin(31) value(33);
 dcl APPCOMMAND_UNDO                   fixed bin(31) value(34);
 dcl APPCOMMAND_REDO                   fixed bin(31) value(35);
 dcl APPCOMMAND_COPY                   fixed bin(31) value(36);
 dcl APPCOMMAND_CUT                    fixed bin(31) value(37);
 dcl APPCOMMAND_PASTE                  fixed bin(31) value(38);
 dcl APPCOMMAND_REPLY_TO_MAIL          fixed bin(31) value(39);
 dcl APPCOMMAND_FORWARD_MAIL           fixed bin(31) value(40);
 dcl APPCOMMAND_SEND_MAIL              fixed bin(31) value(41);
 dcl APPCOMMAND_SPELL_CHECK            fixed bin(31) value(42);
 dcl APPCOMMAND_DICTATE_OR_COMMAND_CONTROL_TOGGLE
                                       fixed bin(31) value(43);
 dcl APPCOMMAND_MIC_ON_OFF_TOGGLE      fixed bin(31) value(44);
 dcl APPCOMMAND_CORRECTION_LIST        fixed bin(31) value(45);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl FAPPCOMMAND_MOUSE                 type WORD value('8000'xu);
 dcl FAPPCOMMAND_KEY                   type WORD value(0);
 dcl FAPPCOMMAND_OEM                   type WORD value('1000'xu);
 dcl FAPPCOMMAND_MASK                  type WORD value('8000'xu);

 GET_APPCOMMAND_LPARAM: proc (lParam)
                        returns (fixed bin (15) byvalue)
                        options (inline reorder) internal;
   dcl lParam type LPARAM byvalue;
   dcl (iand, inot) builtin;
   return (iand (HIWORD (lParam), inot (FAPPCOMMAND_MASK)));
 end GET_APPCOMMAND_LPARAM;

 GET_DEVICE_LPARAM: proc (lParam)
                    returns (type WORD byvalue)
                    options (inline reorder) internal;
   dcl lParam type LPARAM byvalue;
   dcl iand builtin;
   return (iand (HIWORD (lParam), FAPPCOMMAND_MASK));
 end GET_DEVICE_LPARAM;

 %dcl GET_MOUSEORKEY_LPARAM char;
 %GET_MOUSEORKEY_LPARAM = 'GET_DEVICE_LPARAM';

 GET_FLAGS_LPARAM: proc (lParam)
                   returns (type WORD byvalue)
                   options (inline reorder) internal;
   dcl lParam type LPARAM byvalue;
   return (LOWORD (lParam));
 end GET_FLAGS_LPARAM;

 %dcl GET_KEYSTATE_LPARAM char;
 %GET_KEYSTATE_LPARAM = 'GET_FLAGS_LPARAM';

 %end; /* _WIN32_WINNT >= 0x0500 */

 /* Message Structure used in Journaling */
 define structure
   1 EVENTMSG,
     2 message type UINT,
     2 paramL  type UINT,
     2 paramH  type UINT,
     2 time    type DWORD,
     2 hwnd    type HWND;
 define alias  PEVENTMSGMSG handle EVENTMSG;
 define alias NPEVENTMSGMSG handle EVENTMSG;
 define alias LPEVENTMSGMSG handle EVENTMSG;

 define alias  PEVENTMSG    handle EVENTMSG;
 define alias NPEVENTMSG    handle EVENTMSG;
 define alias LPEVENTMSG    handle EVENTMSG;


 /* Message structure used by WH_CALLWNDPROC */
 define structure
   1 CWPSTRUCT,
     2 lParam  type LPARAM,
     2 wParam  type WPARAM,
     2 message type UINT,
     2 hwnd    type HWND;
 define alias  PCWPSTRUCT handle CWPSTRUCT;
 define alias NPCWPSTRUCT handle CWPSTRUCT;
 define alias LPCWPSTRUCT handle CWPSTRUCT;

 %if WINVER >= 1024 %then %do;
 /* Message structure used by WH_CALLWNDPROCRET */
 define structure
   1 CWPRETSTRUCT,
     2 lResult type LRESULT,
     2 lParam  type LPARAM,
     2 wParam  type WPARAM,
     2 message type UINT,
     2 hwnd    type HWND;
 define alias  PCWPRETSTRUCT handle CWPRETSTRUCT;
 define alias NPCWPRETSTRUCT handle CWPRETSTRUCT;
 define alias LPCWPRETSTRUCT handle CWPRETSTRUCT;
 %end; /* WINVER >= 0x0400 */

 %if #WIN32_WINNT >= 1024 %then %do;

 /* Low level hook flags */
 dcl LLKHF_EXTENDED      type DWORD value(isrl (KF_EXTENDED, 8));
 dcl LLKHF_INJECTED      type DWORD value('00000010'xu);
 dcl LLKHF_ALTDOWN       type DWORD value(isrl (KF_ALTDOWN, 8));
 dcl LLKHF_UP            type DWORD value(isrl (KF_UP, 8));

 dcl LLMHF_INJECTED      type DWORD value('00000001'xu);

 /* Structure used by WH_KEYBOARD_LL */
 define structure
   1 KBDLLHOOKSTRUCT,
     2 vkCode      type DWORD,
     2 scanCode    type DWORD,
     2 flags       type DWORD,
     2 time        type DWORD,
     2 dwExtraInfo type DWORD;
 define alias LPKBDLLHOOKSTRUCT handle KBDLLHOOKSTRUCT;
 define alias  PKBDLLHOOKSTRUCT handle KBDLLHOOKSTRUCT;

 /* Structure used by WH_MOUSE_LL*/
 define structure
   1 MSLLHOOKSTRUCT,
     2 pt          type POINT,
     2 mouseData   type DWORD,
     2 flags       type DWORD,
     2 time        type DWORD,
     2 dwExtraInfo type DWORD;
 define alias LPMSLLHOOKSTRUCT handle MSLLHOOKSTRUCT;
 define alias  PMSLLHOOKSTRUCT handle MSLLHOOKSTRUCT;

 %end; /* (_WIN32_WINNT >= 0x0400) */

 /* Structure used by WH_DEBUG */
 define structure
   1 DEBUGHOOKINFO,
     2 idThread          type DWORD,
     2 idThreadInstaller type DWORD,
     2 lParam            type LPARAM,
     2 wParam            type WPARAM,
     2 code              fixed bin(31);
 define alias  PDEBUGHOOKINFO handle DEBUGHOOKINFO;
 define alias NPDEBUGHOOKINFO handle DEBUGHOOKINFO;
 define alias LPDEBUGHOOKINFO handle DEBUGHOOKINFO;

 /* Structure used by WH_MOUSE */
 define structure
   1 MOUSEHOOKSTRUCT,
     2 pt           type POINT,
     2 hwnd         type HWND,
     2 wHitTestCode type UINT,
     2 dwExtraInfo  type DWORD;
 define alias LPMOUSEHOOKSTRUCT handle MOUSEHOOKSTRUCT;
 define alias  PMOUSEHOOKSTRUCT handle MOUSEHOOKSTRUCT;

 %if #WIN32_WINNT >= 1280 %then %do;
 define structure
   1 MOUSEHOOKSTRUCTEX,
     2 *         type MOUSEHOOKSTRUCT,
     2 mouseData type DWORD;
 define alias LPMOUSEHOOKSTRUCTEX handle MOUSEHOOKSTRUCTEX;
 define alias  PMOUSEHOOKSTRUCTEX handle MOUSEHOOKSTRUCTEX;
 %end; /* _WIN32_WINNT >= 0x0500 */


 %if WINVER >= 1024 %then %do;
 /* Structure used by WH_HARDWARE  */
 define structure
   1 HARDWAREHOOKSTRUCT,
     2 hwnd    type HWND,
     2 message type UINT,
     2 wParam  type WPARAM,
     2 lParam  type LPARAM;
 define alias LPHARDWAREHOOKSTRUCT handle HARDWAREHOOKSTRUCT;
 define alias  PHARDWAREHOOKSTRUCT handle HARDWAREHOOKSTRUCT;
 %end; /* WINVER >= 0x0400 */
 %end; /* !NOWH */

 /* Keyboard Layout API  */
 dcl HKL_PREV           fixed bin(31) value(0);
 dcl HKL_NEXT           fixed bin(31) value(1);

 dcl KLF_ACTIVATE       type UINT value('00000001'xu);
 dcl KLF_SUBSTITUTE_OK  type UINT value('00000002'xu);
 dcl KLF_REORDER        type UINT value('00000008'xu);
 %if WINVER >= 1024 %then %do;
 dcl KLF_REPLACELANG    type UINT value('00000010'xu);
 dcl KLF_NOTELLSHELL    type UINT value('00000080'xu);
 %end; /* WINVER >= 0x0400 */
 dcl KLF_SETFORPROCESS  type UINT value('00000100'xu);

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl KLF_SHIFTLOCK      type UINT value('00010000'xu);
 dcl KLF_RESET          type UINT value('40000000'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if WINVER >= 1280 %then %do;
 /* Bits in wParam of WM_INPUTLANGCHANGEREQUEST message */
 dcl INPUTLANGCHANGE_SYSCHARSET fixed bin(31) value('0001'xn);
 dcl INPUTLANGCHANGE_FORWARD    fixed bin(31) value('0002'xn);
 dcl INPUTLANGCHANGE_BACKWARD   fixed bin(31) value('0004'xn);
 %end; /* WINVER >= 0x0500 */


 /* Size of KeyboardLayoutName (number of characters),  */
 /* including null terminator                           */
 dcl KL_NAMELENGTH fixed bin(31) value(9);


 dcl LoadKeyboardLayoutA
     entry (char(*) varz byaddr nonasgn,
            type UINT)
     returns (optional type HKL byvalue)
     WINUSERAPI WINAPI external('LoadKeyboardLayoutA');
 dcl LoadKeyboardLayoutW
     entry (WCHAR(*) varz byaddr nonasgn,
            type UINT)
     returns (optional type HKL byvalue)
     WINUSERAPI WINAPI external('LoadKeyboardLayoutW');

 %dcl LoadKeyboardLayout char ext;
 %if UNICODE ^= '' %then %do;
   %LoadKeyboardLayout='LoadKeyboardLayoutW';
 %end; %else %do;
   %LoadKeyboardLayout='LoadKeyboardLayoutA';
 %end; /* !UNICODE */


 %if WINVER >= 1024 %then %do;
 dcl ActivateKeyboardLayout
     entry (type HKL,
            type UINT)
     returns (optional type HKL byvalue)
     WINUSERAPI WINAPI external('ActivateKeyboardLayout');
 %end; %else %do;
 dcl ActivateKeyboardLayout
     entry (type HKL,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ActivateKeyboardLayouts');
 %end; /* WINVER >= 0x0400 */


 %if WINVER >= 1024 %then %do;
 dcl ToUnicodeEx
     entry (type UINT,
            type UINT,
            (256) type BYTE byaddr,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            type UINT,
            type HKL)
     returns (optional fixed bin(31)  byvalue)
     WINUSERAPI WINAPI external('ToUnicodeEx');
 %end; /* WINVER >= 0x0400 */

 dcl UnloadKeyboardLayout
     entry (type HKL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnloadKeyboardLayout') ;

 dcl GetKeyboardLayoutNameA
     entry (char(*) varz byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetKeyboardLayoutNameA');
 dcl GetKeyboardLayoutNameW
     entry (WCHAR(*) varz byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetKeyboardLayoutNameW');

 %dcl GetKeyboardLayoutName char ext;
 %if UNICODE ^= '' %then %do;
   %GetKeyboardLayoutName='GetKeyboardLayoutNameW';
 %end; %else %do;
   %GetKeyboardLayoutName='GetKeyboardLayoutNameA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;
 dcl GetKeyboardLayoutList
     entry (fixed bin(31),
            (*) type HKL byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetKeyboardLayoutList');

 dcl GetKeyboardLayout
     entry (type DWORD)
     returns (optional type HKL byvalue)
     WINUSERAPI WINAPI external('GetKeyboardLayout');
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 define structure
   1 MOUSEMOVEPOINT,
     2 x           fixed bin(31),
     2 y           fixed bin(31),
     2 time        type DWORD,
     2 dwExtraInfo type ULONG_PTR;
 define alias  PMOUSEMOVEPOINT handle MOUSEMOVEPOINT;
 define alias LPMOUSEMOVEPOINT handle MOUSEMOVEPOINT;

 /* Values for resolution parameter of GetMouseMovePointsEx */
 dcl GMMP_USE_DISPLAY_POINTS   fixed bin(31) value(1);
 dcl GMMP_USE_DRIVER_POINTS    fixed bin(31) value(2);

 dcl GetMouseMovePointsEx
     entry (type UINT,
            type MOUSEMOVEPOINT byaddr,
            type MOUSEMOVEPOINT byaddr,
            fixed bin(31),
            type DWORD)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetMouseMovePointsEx');
 %end; /* WINVER >= 0x0500 */


 %dcl NODESKTOP char ext;
 %if NODESKTOP = '' %then %do;

 /* Desktop-specific access flags */

 dcl DESKTOP_READOBJECTS      type DWORD value('0001'xu);
 dcl DESKTOP_CREATEWINDOW     type DWORD value('0002'xu);
 dcl DESKTOP_CREATEMENU       type DWORD value('0004'xu);
 dcl DESKTOP_HOOKCONTROL      type DWORD value('0008'xu);
 dcl DESKTOP_JOURNALRECORD    type DWORD value('0010'xu);
 dcl DESKTOP_JOURNALPLAYBACK  type DWORD value('0020'xu);
 dcl DESKTOP_ENUMERATE        type DWORD value('0040'xu);
 dcl DESKTOP_WRITEOBJECTS     type DWORD value('0080'xu);
 dcl DESKTOP_SWITCHDESKTOP    type DWORD value('0100'xu);

 /* Desktop-specific control flags */

 dcl DF_ALLOWOTHERACCOUNTHOOK type DWORD value('0001'xu);

 %if #WINGDI_ ^= '' %then %do;
 %if NOGDI = '' %then %do;

 dcl CreateDesktopA
     entry (char(*) varz byaddr,
            char(*) varz byaddr optional,  /* must be omitted */
            type DEVMODEA byaddr optional, /* must be omitted */
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HDESK byvalue)
     WINUSERAPI WINAPI external('CreateDesktopA');

 dcl CreateDesktopW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr optional, /* must be omitted */
            type DEVMODEW byaddr optional, /* must be omitted */
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HDESK byvalue)
     WINUSERAPI WINAPI external('CreateDesktopW');

 %dcl CreateDesktop char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDesktop='CreateDesktopW';
 %end; %else %do;
   %CreateDesktop='CreateDesktopA';
 %end; /* !UNICODE */

 %end; /* NOGDI */
 %end; /* _WINGDI_ */

 dcl OpenDesktopA
     entry (char(*) varz byaddr,
            type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type HDESK byvalue)
     WINUSERAPI WINAPI external('OpenDesktopA');

 dcl OpenDesktopW
     entry (WCHAR(*) varz byaddr,
            type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type HDESK byvalue)
     WINUSERAPI WINAPI external('OpenDesktopW');

 %dcl OpenDesktop char ext;
 %if UNICODE ^= '' %then %do;
   %OpenDesktop='OpenDesktopW';
 %end; %else %do;
   %OpenDesktop='OpenDesktopA';
 %end; /* !UNICODE */

 dcl OpenInputDesktop
     entry (type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type HDESK byvalue)
     WINUSERAPI WINAPI external('OpenInputDesktop');

 dcl EnumDesktopsA
     entry (type HWINSTA,
            type DESKTOPENUMPROCA,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDesktopsA');

 dcl EnumDesktopsW
     entry (type HWINSTA,
            type DESKTOPENUMPROCW,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDesktopsW');

 %dcl EnumDesktops char ext;
 %if UNICODE ^= '' %then %do;
   %EnumDesktops='EnumDesktopsW';
 %end; %else %do;
 %EnumDesktops='EnumDesktopsA';
 %end; /* !UNICODE */

 dcl EnumDesktopWindows
     entry (type HDESK,
            type WNDENUMPROC,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDesktopWindows');

 dcl SwitchDesktop
     entry (type HDESK)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SwitchDesktop');

 dcl SetThreadDesktop
     entry (type HDESK)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetThreadDesktop');

 dcl CloseDesktop
     entry (type HDESK)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CloseDesktop');

 dcl GetThreadDesktop
     entry (type DWORD)
     returns (optional type HDESK byvalue)
     WINUSERAPI WINAPI external('GetThreadDesktop');

 %end; /* !NODESKTOP */

 %dcl NOWINDOWSTATION char ext;
 %if NOWINDOWSTATION = '' %then %do;
 /* Windowstation-specific access flags  */
 dcl WINSTA_ENUMDESKTOPS      type DWORD value('0001'xu);
 dcl WINSTA_READATTRIBUTES    type DWORD value('0002'xu);
 dcl WINSTA_ACCESSCLIPBOARD   type DWORD value('0004'xu);
 dcl WINSTA_CREATEDESKTOP     type DWORD value('0008'xu);
 dcl WINSTA_WRITEATTRIBUTES   type DWORD value('0010'xu);
 dcl WINSTA_ACCESSGLOBALATOMS type DWORD value('0020'xu);
 dcl WINSTA_EXITWINDOWS       type DWORD value('0040'xu);
 dcl WINSTA_ENUMERATE         type DWORD value('0100'xu);
 dcl WINSTA_READSCREEN        type DWORD value('0200'xu);

 /* Windowstation-specific attribute flags */
 dcl WSF_VISIBLE              type DWORD value('0001'xu);

 dcl CreateWindowStationA
     entry (char(*) varz byaddr optional,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
    returns (optional type HWINSTA byvalue)
    WINUSERAPI WINAPI external('CreateWindowStationA');

 dcl CreateWindowStationW
     entry (WCHAR(*) varz byaddr optional,
            type DWORD,
            type DWORD,
            type SECURITY_ATTRIBUTES byaddr optional)
     returns (optional type HWINSTA byvalue)
     WINUSERAPI WINAPI external('CreateWindowStationW');

 %dcl CreateWindowStation char ext;
 %if UNICODE ^= '' %then %do;
   %CreateWindowStation='CreateWindowStationW';
 %end; %else %do;
   %CreateWindowStation='CreateWindowStationA';
 %end; /* !UNICODE */

 dcl OpenWindowStationA
     entry (char(*) varz byaddr,
            type BOOL,
            type DWORD)
     returns (optional type HWINSTA byvalue)
     WINUSERAPI WINAPI external('OpenWindowStationA');

 dcl OpenWindowStationW
     entry (WCHAR(*) varz byaddr,
            type BOOL,
            type DWORD)
     returns (optional type HWINSTA byvalue)
     WINUSERAPI WINAPI external('OpenWindowStationW');

 %dcl OpenWindowStation char ext;
 %if UNICODE ^= '' %then %do;
   %OpenWindowStation='OpenWindowStationW';
 %end; %else %do;
   %OpenWindowStation='OpenWindowStationA';
 %end; /* !UNICODE */

 dcl EnumWindowStationsA
     entry (type WINSTAENUMPROCA,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumWindowStationsA');

 dcl EnumWindowStationsW
     entry (type WINSTAENUMPROCW,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI  external('EnumWindowStationsW');

 %dcl EnumWindowStations char ext;
 %if UNICODE ^= '' %then %do;
   %EnumWindowStations='EnumWindowStationsW';
 %end; %else %do;
   %EnumWindowStations='EnumWindowStationsA';
 %end; /* !UNICODE */

 dcl CloseWindowStation
     entry (type HWINSTA)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CloseWindowStation');

 dcl SetProcessWindowStation
     entry (type HWINSTA)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetProcessWindowStation');

 dcl GetProcessWindowStation
     entry ()
     returns (optional type HWINSTA byvalue)
     WINUSERAPI WINAPI external('GetProcessWindowStation');
 %end; /* !NOWINDOWSTATION */

 %dcl NOSECURITY char ext;
 %if NOSECURITY = '' %then %do;

 dcl SetUserObjectSecurity
     entry (type HANDLE,
            type SECURITY_INFORMATION byaddr,
            type PSECURITY_DESCRIPTOR)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetUserObjectSecurity');

 dcl GetUserObjectSecurity
     entry (type HANDLE,
            type SECURITY_INFORMATION byaddr,
            type PSECURITY_DESCRIPTOR,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetUserObjectSecurity');

 dcl UOI_FLAGS type DWORD value(1);
 dcl UOI_NAME  type DWORD value(2);
 dcl UOI_TYPE  type DWORD value(3);

 define structure
   1 USEROBJECTFLAGS,
     2 fInherit  type BOOL,
     2 fReserved type BOOL,
     2 dwFlags   type DWORD;
 define alias PUSEROBJECTFLAGS handle USEROBJECTFLAGS;

 dcl GetUserObjectInformationA
     entry (type HANDLE,
            fixed bin(31),
            type PVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetUserObjectInformationA');

 dcl GetUserObjectInformationW
     entry (type HANDLE,
            fixed bin(31),
            type PVOID,
            type DWORD,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetUserObjectInformationW');

 %dcl GetUserObjectInformation char ext;
 %if UNICODE ^= '' %then %do;
   %GetUserObjectInformation='GetUserObjectInformationW';
 %end; %else %do;
   %GetUserObjectInformation='GetUserObjectInformationA';
 %end; /* !UNICODE */

 dcl SetUserObjectInformationA
     entry (type HANDLE,
            fixed bin(31),
            type PVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetUserObjectInformationA');

 dcl SetUserObjectInformationW
     entry (type HANDLE,
            fixed bin(31),
            type PVOID,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetUserObjectInformationW');

 %dcl SetUserObjectInformation char ext;
 %if UNICODE ^= '' %then %do;
   %SetUserObjectInformation='SetUserObjectInformationW';
 %end; %else %do;
   %SetUserObjectInformation='SetUserObjectInformationA';
 %end; /* !UNICODE */

 %end; /* !NOSECURITY */

 %if WINVER >= 1024 %then %do;
 define structure
   1 WNDCLASSEXA,
     2 cbSize        type UINT,
     2 style         type UINT,
     2 lpfnWndProc   type WNDPROC,
     2 cbClsExtra    fixed bin(31),
     2 cbWndExtra    fixed bin(31),
     2 hInstance     type HINSTANCE,
     2 hIcon         type HICON,
     2 hCursor       type HCURSOR,
     2 hbrBackground type HBRUSH,
     2 lpszMenuName  type LPCSTR,
     2 lpszClassName type LPCSTR,
     2 hIconSm       type HICON;
 define alias  PWNDCLASSEXA handle WNDCLASSEXA;
 define alias NPWNDCLASSEXA handle WNDCLASSEXA;
 define alias LPWNDCLASSEXA handle WNDCLASSEXA;

 define structure
   1 WNDCLASSEXW,
     2 cbSize        type UINT,
     /* Win 3.x */
     2 style         type UINT,
     2 lpfnWndProc   type WNDPROC,
     2 cbClsExtra    fixed bin(31),
     2 cbWndExtra    fixed bin(31),
     2 hInstance     type HINSTANCE,
     2 hIcon         type HICON,
     2 hCursor       type HCURSOR,
     2 hbrBackground type HBRUSH,
     2 lpszMenuName  type LPCWSTR,
     2 lpszClassName type LPCWSTR,
     /* Win 4.0 */
     2 hIconSm       type HICON;
 define alias  PWNDCLASSEXW handle WNDCLASSEXW;
 define alias NPWNDCLASSEXW handle WNDCLASSEXW;
 define alias LPWNDCLASSEXW handle WNDCLASSEXW;

 %if UNICODE ^= '' %then %do;
 define alias   WNDCLASSEX type   WNDCLASSEXW;
 define alias  PWNDCLASSEX type  PWNDCLASSEXW;
 define alias NPWNDCLASSEX type NPWNDCLASSEXW;
 define alias LPWNDCLASSEX type LPWNDCLASSEXW;
 %end; %else %do;
 define alias   WNDCLASSEX type   WNDCLASSEXA;
 define alias  PWNDCLASSEX type  PWNDCLASSEXA;
 define alias NPWNDCLASSEX type NPWNDCLASSEXA;
 define alias LPWNDCLASSEX type LPWNDCLASSEXA;
 %end; /* UNICODE */
 %end; /* WINVER >= 0x0400 */

 define structure
   1 WNDCLASSA,
     2 style         type UINT,
     2 lpfnWndProc   type WNDPROC,
     2 cbClsExtra    fixed bin(31),
     2 cbWndExtra    fixed bin(31),
     2 hInstance     type HINSTANCE,
     2 hIcon         type HICON,
     2 hCursor       type HCURSOR,
     2 hbrBackground type HBRUSH,
     2 lpszMenuName  type LPCSTR,
     2 lpszClassName type LPCSTR;
 define alias  PWNDCLASSA handle WNDCLASSA;
 define alias NPWNDCLASSA handle WNDCLASSA;
 define alias LPWNDCLASSA handle WNDCLASSA;

 define structure
   1 WNDCLASSW,
     2 style         type UINT,
     2 lpfnWndProc   type WNDPROC,
     2 cbClsExtra    fixed bin(31),
     2 cbWndExtra    fixed bin(31),
     2 hInstance     type HINSTANCE,
     2 hIcon         type HICON,
     2 hCursor       type HCURSOR,
     2 hbrBackground type HBRUSH,
     2 lpszMenuName  type LPCWSTR,
     2 lpszClassName type LPCWSTR;
 define alias  PWNDCLASSW handle WNDCLASSW;
 define alias NPWNDCLASSW handle WNDCLASSW;
 define alias LPWNDCLASSW handle WNDCLASSW;

 %if UNICODE ^= '' %then %do;
 define alias   WNDCLASS type   WNDCLASSW;
 define alias  PWNDCLASS type  PWNDCLASSW;
 define alias NPWNDCLASS type NPWNDCLASSW;
 define alias LPWNDCLASS type LPWNDCLASSW;
 %end; %else %do;
 define alias   WNDCLASS type   WNDCLASSA;
 define alias  PWNDCLASS type  PWNDCLASSA;
 define alias NPWNDCLASS type NPWNDCLASSA;
 define alias LPWNDCLASS type LPWNDCLASSA;
 %end; /* UNICODE */


 %if NOMSG = '' %then %do;

 /* Message structure */
 define structure
   1 MSG,
     2 hwnd    type HWND,
     2 message type UINT,
     2 wParam  type WPARAM,
     2 lParam  type LPARAM,
     2 time    type DWORD,
     2 pt      type POINT;
 define alias  PMSG handle MSG;
 define alias NPMSG handle MSG;
 define alias LPMSG handle MSG;


 /* The MS documentation says it converts type POINTS to type POINT */
 /* but the body of the C macro treats points as a DWORD            */
 /* This is more useful, as it deals with LPARAM packed "POINTS".   */
 /* The PL/I implementation of the documentation is simply:         */
 /*   pt = pts, by name                                             */
 POINTSTOPOINT: proc (pt, pts)
                options (inline reorder) internal;
   dcl pt  type POINT byaddr,
       pts type DWORD byvalue;
   pt.x = LOWORD (pts);
   pt.y = HIWORD (pts);
 end POINTSTOPOINT;

 /* The MS documentation says it converts type POINT to type POINTS */
 /* but the body of the C macro converts a POINT to a DWORD         */
 /* This is more useful, as it deals with LPARAM packed "POINTS".   */
 /* The PL/I implementation of the documentation is simply:         */
 /*   pts = pt, by name                                             */
 POINTTOPOINTS: proc (pt)
                returns (type DWORD byvalue optional)
                options (inline reorder) internal;
   dcl pt type POINT byaddr nonasgn;
   return (MAKELONG (pt.x, pt.y));
 end POINTTOPOINTS;

 %dcl (MAKEWPARAM, MAKELPARAM, MAKELRESULT) entry;

 %MAKEWPARAM: proc (l, h) returns (char);
   dcl (l, h) char;
   return ('MAKELONG (' || l || ', ' || h || ')');
 %end MAKEWPARAM;

 %MAKELPARAM: proc (l, h) returns (char);
   dcl (l, h) char;
   return ('MAKELONG (' || l || ', ' || h || ')');
 %end MAKELPARAM;

 %MAKELRESULT: proc (l, h) returns (char);
   dcl (l, h) char;
   return ('MAKELONG (' || l || ', ' || h || ')');
 %end MAKELRESULT;

 %end; /* !NOMSG  */


 %dcl NOWINOFFSETS char ext;
 %if NOWINOFFSETS = '' %then %do;

 /* Window field offsets for GetWindowLong() */
 dcl GWL_WNDPROC       fixed bin (31) value( -4);
 dcl GWL_HINSTANCE     fixed bin (31) value( -6);
 dcl GWL_HWNDPARENT    fixed bin (31) value( -8);
 dcl GWL_STYLE         fixed bin (31) value(-16);
 dcl GWL_EXSTYLE       fixed bin (31) value(-20);
 dcl GWL_USERDATA      fixed bin (31) value(-21);
 dcl GWL_ID            fixed bin (31) value(-12);

 /* Class field offsets for GetClassLong() */
 dcl GCL_MENUNAME      fixed bin (31) value( -8);
 dcl GCL_HBRBACKGROUND fixed bin (31) value(-10);
 dcl GCL_HCURSOR       fixed bin (31) value(-12);
 dcl GCL_HICON         fixed bin (31) value(-14);
 dcl GCL_HMODULE       fixed bin (31) value(-16);
 dcl GCL_CBWNDEXTRA    fixed bin (31) value(-18);
 dcl GCL_CBCLSEXTRA    fixed bin (31) value(-20);
 dcl GCL_WNDPROC       fixed bin (31) value(-24);
 dcl GCL_STYLE         fixed bin (31) value(-26);
 dcl GCW_ATOM          fixed bin (31) value(-32);

 %if WINVER >= 1024 %then %do;
 dcl GCL_HICONSM fixed bin (31) value(-34);
 %end; /* WINVER >= 0x0400 */

 %end; /* !NOWINOFFSETS */

 %if NOWINMESSAGES = '' %then %do;

 /* Window Messages */

 dcl WM_NULL                   fixed bin(31) value('0000'xn);
 dcl WM_CREATE                 fixed bin(31) value('0001'xn);
 dcl WM_DESTROY                fixed bin(31) value('0002'xn);
 dcl WM_MOVE                   fixed bin(31) value('0003'xn);
 dcl WM_SIZE                   fixed bin(31) value('0005'xn);

 dcl WM_ACTIVATE               fixed bin(31) value('0006'xn);
 /* WM_ACTIVATE state values */
 dcl WA_INACTIVE               fixed bin(31) value(0);
 dcl WA_ACTIVE                 fixed bin(31) value(1);
 dcl WA_CLICKACTIVE            fixed bin(31) value(2);

 dcl WM_SETFOCUS               fixed bin(31) value('0007'xn);
 dcl WM_KILLFOCUS              fixed bin(31) value('0008'xn);
 dcl WM_ENABLE                 fixed bin(31) value('000A'xn);
 dcl WM_SETREDRAW              fixed bin(31) value('000B'xn);
 dcl WM_SETTEXT                fixed bin(31) value('000C'xn);
 dcl WM_GETTEXT                fixed bin(31) value('000D'xn);
 dcl WM_GETTEXTLENGTH          fixed bin(31) value('000E'xn);
 dcl WM_PAINT                  fixed bin(31) value('000F'xn);
 dcl WM_CLOSE                  fixed bin(31) value('0010'xn);
 dcl WM_QUERYENDSESSION        fixed bin(31) value('0011'xn);
 dcl WM_QUIT                   fixed bin(31) value('0012'xn);
 dcl WM_QUERYOPEN              fixed bin(31) value('0013'xn);
 dcl WM_ERASEBKGND             fixed bin(31) value('0014'xn);
 dcl WM_SYSCOLORCHANGE         fixed bin(31) value('0015'xn);
 dcl WM_ENDSESSION             fixed bin(31) value('0016'xn);
 dcl WM_SHOWWINDOW             fixed bin(31) value('0018'xn);
 dcl WM_WININICHANGE           fixed bin(31) value('001A'xn);
 %if WINVER >= 1024 %then %do;

 dcl WM_SETTINGCHANGE          fixed bin(31) value (WM_WININICHANGE);
 %end; /* WINVER >= 0x0400 */

 dcl WM_DEVMODECHANGE          fixed bin(31) value('001B'xn);
 dcl WM_ACTIVATEAPP            fixed bin(31) value('001C'xn);
 dcl WM_FONTCHANGE             fixed bin(31) value('001D'xn);
 dcl WM_TIMECHANGE             fixed bin(31) value('001E'xn);
 dcl WM_CANCELMODE             fixed bin(31) value('001F'xn);
 dcl WM_SETCURSOR              fixed bin(31) value('0020'xn);
 dcl WM_MOUSEACTIVATE          fixed bin(31) value('0021'xn);
 dcl WM_CHILDACTIVATE          fixed bin(31) value('0022'xn);
 dcl WM_QUEUESYNC              fixed bin(31) value('0023'xn);

 dcl WM_GETMINMAXINFO          fixed bin(31) value('0024'xn);

 /* Struct pointed to by WM_GETMINMAXINFO lParam */
 define structure
   1 MINMAXINFO,
     2 ptReserved     type POINT,
     2 ptMaxSize      type POINT,
     2 ptMaxPosition  type POINT,
     2 ptMinTrackSize type POINT,
     2 ptMaxTrackSize type POINT;
 define alias  PMINMAXINFO handle MINMAXINFO;
 define alias LPMINMAXINFO handle MINMAXINFO;

 dcl WM_PAINTICON              fixed bin(31) value('0026'xn);
 dcl WM_ICONERASEBKGND         fixed bin(31) value('0027'xn);
 dcl WM_NEXTDLGCTL             fixed bin(31) value('0028'xn);
 dcl WM_SPOOLERSTATUS          fixed bin(31) value('002A'xn);
 dcl WM_DRAWITEM               fixed bin(31) value('002B'xn);
 dcl WM_MEASUREITEM            fixed bin(31) value('002C'xn);
 dcl WM_DELETEITEM             fixed bin(31) value('002D'xn);
 dcl WM_VKEYTOITEM             fixed bin(31) value('002E'xn);
 dcl WM_CHARTOITEM             fixed bin(31) value('002F'xn);
 dcl WM_SETFONT                fixed bin(31) value('0030'xn);
 dcl WM_GETFONT                fixed bin(31) value('0031'xn);
 dcl WM_SETHOTKEY              fixed bin(31) value('0032'xn);
 dcl WM_GETHOTKEY              fixed bin(31) value('0033'xn);
 dcl WM_QUERYDRAGICON          fixed bin(31) value('0037'xn);
 dcl WM_COMPAREITEM            fixed bin(31) value('0039'xn);
 %if WINVER >= 1280 %then %do;
 dcl WM_GETOBJECT              fixed bin(31) value('003D'xn);
 %end; /* WINVER >= 0x0500 */

 dcl WM_COMPACTING             fixed bin(31) value('0041'xn);
 dcl WM_COMMNOTIFY             fixed bin(31) value('0044'xn);
     /* no longer supported */
 dcl WM_WINDOWPOSCHANGING      fixed bin(31) value('0046'xn);
 dcl WM_WINDOWPOSCHANGED       fixed bin(31) value('0047'xn);

 dcl WM_POWER                  fixed bin(31) value('0048'xn);
     /* wParam for WM_POWER window message */
     /* and DRV_POWER driver notification  */
 dcl PWR_OK                    fixed bin(31) value(1);
 dcl PWR_FAIL                  fixed bin(31) value(-1);
 dcl PWR_SUSPENDREQUEST        fixed bin(31) value(1);
 dcl PWR_SUSPENDRESUME         fixed bin(31) value(2);
 dcl PWR_CRITICALRESUME        fixed bin(31) value(3);

 dcl WM_COPYDATA               fixed bin(31) value('004A'xn);
 dcl WM_CANCELJOURNAL          fixed bin(31) value('004B'xn);

 /* lParam of WM_COPYDATA message points to... */
 define structure
   1 COPYDATASTRUCT,   /* no longer supported */
     2 dwData type DWORD,
     2 cbData type DWORD,
     2 lpData type PVOID;
 define alias PCOPYDATASTRUCT handle COPYDATASTRUCT;

 %if WINVER >= 1024 %then %do;
 define structure
   1 MDINEXTMENU,
     2 hmenuIn   type HMENU,
     2 hmenuNext type HMENU,
     2 hwndNext  type HWND;
 define alias  PMDINEXTMENU handle MDINEXTMENU;
 define alias LPMDINEXTMENU handle MDINEXTMENU;
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1024 %then %do;
 %dcl #WM_NOTIFY char ext;
 %if #WM_NOTIFY = '' %then %do;
 %#WM_NOTIFY = 'Y';
 dcl WM_NOTIFY                 fixed bin(31) value('004E'xn);
 %end;
 dcl WM_INPUTLANGCHANGEREQUEST fixed bin(31) value('0050'xn);
 dcl WM_INPUTLANGCHANGE        fixed bin(31) value('0051'xn);
 dcl WM_TCARD                  fixed bin(31) value('0052'xn);
 dcl WM_HELP                   fixed bin(31) value('0053'xn);
 dcl WM_USERCHANGED            fixed bin(31) value('0054'xn);
 dcl WM_NOTIFYFORMAT           fixed bin(31) value('0055'xn);

 dcl NFR_ANSI                  fixed bin(31) value(1);
 dcl NFR_UNICODE               fixed bin(31) value(2);
 dcl NF_QUERY                  fixed bin(31) value(3);
 dcl NF_REQUERY                fixed bin(31) value(4);

 %dcl #WM_CONTEXTMENU char ext;
 %if #WM_CONTEXTMENU = '' %then %do;
 %#WM_CONTEXTMENU = 'Y';
 dcl WM_CONTEXTMENU            fixed bin(31) value('007B'xn);
 %end;
 dcl WM_STYLECHANGING          fixed bin(31) value('007C'xn);
 dcl WM_STYLECHANGED           fixed bin(31) value('007D'xn);
 dcl WM_DISPLAYCHANGE          fixed bin(31) value('007E'xn);
 dcl WM_GETICON                fixed bin(31) value('007F'xn);
 dcl WM_SETICON                fixed bin(31) value('0080'xn);
 %end; /* WINVER >= 0x0400 */

 dcl WM_NCCREATE               fixed bin(31) value('0081'xn);
 dcl WM_NCDESTROY              fixed bin(31) value('0082'xn);
 dcl WM_NCCALCSIZE             fixed bin(31) value('0083'xn);
 dcl WM_NCHITTEST              fixed bin(31) value('0084'xn);
 dcl WM_NCPAINT                fixed bin(31) value('0085'xn);
 dcl WM_NCACTIVATE             fixed bin(31) value('0086'xn);
 dcl WM_GETDLGCODE             fixed bin(31) value('0087'xn);

 dcl WM_NCMOUSEMOVE            fixed bin(31) value('00A0'xn);
 dcl WM_NCLBUTTONDOWN          fixed bin(31) value('00A1'xn);
 dcl WM_NCLBUTTONUP            fixed bin(31) value('00A2'xn);
 dcl WM_NCLBUTTONDBLCLK        fixed bin(31) value('00A3'xn);
 dcl WM_NCRBUTTONDOWN          fixed bin(31) value('00A4'xn);
 dcl WM_NCRBUTTONUP            fixed bin(31) value('00A5'xn);
 dcl WM_NCRBUTTONDBLCLK        fixed bin(31) value('00A6'xn);
 dcl WM_NCMBUTTONDOWN          fixed bin(31) value('00A7'xn);
 dcl WM_NCMBUTTONUP            fixed bin(31) value('00A8'xn);
 dcl WM_NCMBUTTONDBLCLK        fixed bin(31) value('00A9'xn);

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WM_NCXBUTTONDOWN          fixed bin(31) value('00AB'xn);
 dcl WM_NCXBUTTONUP            fixed bin(31) value('00AC'xn);
 dcl WM_NCXBUTTONDBLCLK        fixed bin(31) value('00AD'xn);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl WM_INPUT                  fixed bin(31) value('00FF'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl WM_KEYFIRST               fixed bin(31) value('0100'xn);
 dcl WM_KEYDOWN                fixed bin(31) value('0100'xn);
 dcl WM_KEYUP                  fixed bin(31) value('0101'xn);
 dcl WM_CHAR                   fixed bin(31) value('0102'xn);
 dcl WM_DEADCHAR               fixed bin(31) value('0103'xn);
 dcl WM_SYSKEYDOWN             fixed bin(31) value('0104'xn);
 dcl WM_SYSKEYUP               fixed bin(31) value('0105'xn);
 dcl WM_SYSCHAR                fixed bin(31) value('0106'xn);
 dcl WM_SYSDEADCHAR            fixed bin(31) value('0107'xn);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl WM_UNICHAR                fixed bin(31) value('0109'xn);
 dcl WM_KEYLAST                fixed bin(31) value('0109'xn);
 dcl UNICODE_NOCHAR            fixed bin(31) value('FFFF'xn);
 %end; %else %do;
 dcl WM_KEYLAST                fixed bin(31) value('0108'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */


 %if WINVER >= 1024 %then %do;
 dcl WM_IME_STARTCOMPOSITION   fixed bin(31) value('010D'xn);
 dcl WM_IME_ENDCOMPOSITION     fixed bin(31) value('010E'xn);
 dcl WM_IME_COMPOSITION        fixed bin(31) value('010F'xn);
 dcl WM_IME_KEYLAST            fixed bin(31) value('010F'xn);
 %end; /* WINVER >= 0x0400 */

 dcl WM_INITDIALOG             fixed bin(31) value('0110'xn);
 dcl WM_COMMAND                fixed bin(31) value('0111'xn);
 dcl WM_SYSCOMMAND             fixed bin(31) value('0112'xn);
 dcl WM_TIMER                  fixed bin(31) value('0113'xn);
 dcl WM_HSCROLL                fixed bin(31) value('0114'xn);
 dcl WM_VSCROLL                fixed bin(31) value('0115'xn);
 dcl WM_INITMENU               fixed bin(31) value('0116'xn);
 dcl WM_INITMENUPOPUP          fixed bin(31) value('0117'xn);
 dcl WM_MENUSELECT             fixed bin(31) value('011F'xn);
 dcl WM_MENUCHAR               fixed bin(31) value('0120'xn);
 dcl WM_ENTERIDLE              fixed bin(31) value('0121'xn);
 %if WINVER >= 1280 %then %do;
 dcl WM_MENURBUTTONUP          fixed bin(31) value('0122'xn);
 dcl WM_MENUDRAG               fixed bin(31) value('0123'xn);
 dcl WM_MENUGETOBJECT          fixed bin(31) value('0124'xn);
 dcl WM_UNINITMENUPOPUP        fixed bin(31) value('0125'xn);
 dcl WM_MENUCOMMAND            fixed bin(31) value('0126'xn);

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WM_CHANGEUISTATE          fixed bin(31) value('0127'xn);
 dcl WM_UPDATEUISTATE          fixed bin(31) value('0128'xn);
 dcl WM_QUERYUISTATE           fixed bin(31) value('0129'xn);

 /* LOWORD(wParam) values in WM_*UISTATE* */
 dcl UIS_SET                   fixed bin(15) value(1);
 dcl UIS_CLEAR                 fixed bin(15) value(2);
 dcl UIS_INITIALIZE            fixed bin(15) value(3);

 /* HIWORD(wParam) values in WM_*UISTATE* */
 dcl UISF_HIDEFOCUS            fixed bin(15) value('1'xn);
 dcl UISF_HIDEACCEL            fixed bin(15) value('2'xn);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl UISF_ACTIVE               fixed bin(15) value('4'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */
 %end; /* _WIN32_WINNT >= 0x0500 */
 %end; /* WINVER >= 0x0500 */

 dcl WM_CTLCOLORMSGBOX         fixed bin(31) value('0132'xn);
 dcl WM_CTLCOLOREDIT           fixed bin(31) value('0133'xn);
 dcl WM_CTLCOLORLISTBOX        fixed bin(31) value('0134'xn);
 dcl WM_CTLCOLORBTN            fixed bin(31) value('0135'xn);
 dcl WM_CTLCOLORDLG            fixed bin(31) value('0136'xn);
 dcl WM_CTLCOLORSCROLLBAR      fixed bin(31) value('0137'xn);
 dcl WM_CTLCOLORSTATIC         fixed bin(31) value('0138'xn);

 dcl WM_MOUSEFIRST             fixed bin(31) value('0200'xn);
 dcl WM_MOUSEMOVE              fixed bin(31) value('0200'xn);
 dcl WM_LBUTTONDOWN            fixed bin(31) value('0201'xn);
 dcl WM_LBUTTONUP              fixed bin(31) value('0202'xn);
 dcl WM_LBUTTONDBLCLK          fixed bin(31) value('0203'xn);
 dcl WM_RBUTTONDOWN            fixed bin(31) value('0204'xn);
 dcl WM_RBUTTONUP              fixed bin(31) value('0205'xn);
 dcl WM_RBUTTONDBLCLK          fixed bin(31) value('0206'xn);
 dcl WM_MBUTTONDOWN            fixed bin(31) value('0207'xn);
 dcl WM_MBUTTONUP              fixed bin(31) value('0208'xn);
 dcl WM_MBUTTONDBLCLK          fixed bin(31) value('0209'xn);
 %if (#WIN32_WINNT >= 1024) | (#WIN32_WINDOWS > 1024) %then %do;
 dcl WM_MOUSEWHEEL             fixed bin(31) value('020A'xn);
 %end;
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WM_XBUTTONDOWN            fixed bin(31) value('020B'xn);
 dcl WM_XBUTTONUP              fixed bin(31) value('020C'xn);
 dcl WM_XBUTTONDBLCLK          fixed bin(31) value('020D'xn);
 %end;
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WM_MOUSELAST              fixed bin(31) value('020D'xn);
 %end; %else %if #WIN32_WINNT >= 1024 | #WIN32_WINDOWS > 1024 %then %do;
 dcl WM_MOUSELAST              fixed bin(31) value('020A'xn);
 %end; %else %do;
 dcl WM_MOUSELAST              fixed bin(31) value('0209'xn);
 %end; /* if (_WIN32_WINNT < 0x0400) */

 %if #WIN32_WINNT >= 1024 %then %do;
 dcl WHEEL_DELTA               fixed bin(31) value(120);
     /* Value for rolling one detent */
 GET_WHEEL_DELTA_WPARAM: proc (wParam)
                         returns (fixed bin (15) byvalue)
                         options (inline reorder) internal;
   dcl wParam type WPARAM byvalue;
   return (HIWORD (wParam));
 end GET_WHEEL_DELTA_WPARAM;

 dcl WHEEL_PAGESCROLL          fixed bin(31) value('ffffffff'xn);
     /* Scroll one page */
 %end; /* _WIN32_WINNT >= 0x0400 */

 %if #WIN32_WINNT >= 1280 %then %do;

 GET_KEYSTATE_WPARAM: proc (wParam)
                      returns (type WORD byvalue)
                      options (inline reorder) internal;
   dcl wParam type WPARAM byvalue;
   return (LOWORD (wParam));
 end GET_KEYSTATE_WPARAM;

 GET_NCHITTEST_WPARAM: proc (wParam)
                       returns (fixed bin (15) byvalue)
                       options (inline reorder) internal;
   dcl wParam type WPARAM byvalue;
   return (LOWORD (wParam));
 end GET_NCHITTEST_WPARAM;

 GET_XBUTTON_WPARAM: proc (wParam)
                     returns (type WORD byvalue)
                     options (inline reorder) internal;
   dcl wParam type WPARAM byvalue;
   return (HIWORD (wParam));
 end GET_XBUTTON_WPARAM;

 /* XButton values are WORD flags */
 dcl XBUTTON1                  type WORD value ('0001'xn);
 dcl XBUTTON2                  type WORD value ('0002'xn);
 /* Were there to be an XBUTTON3, it's value would be 0x0004 */
 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl WM_PARENTNOTIFY           fixed bin(31) value('0210'xn);
 dcl WM_ENTERMENULOOP          fixed bin(31) value('0211'xn);
 dcl WM_EXITMENULOOP           fixed bin(31) value('0212'xn);

 %if WINVER >= 1024 %then %do;

 dcl WM_NEXTMENU               fixed bin(31) value('0213'xn);

 dcl WM_SIZING                 fixed bin(31) value('0214'xn);
 dcl WM_CAPTURECHANGED         fixed bin(31) value('0215'xn);
 dcl WM_MOVING                 fixed bin(31) value('0216'xn);
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1024 %then %do;
 dcl WM_POWERBROADCAST         fixed bin(31) value('0218'xn);

 dcl PBT_APMQUERYSUSPEND       fixed bin(31) value('0000'xn);
 dcl PBT_APMQUERYSTANDBY       fixed bin(31) value('0001'xn);

 dcl PBT_APMQUERYSUSPENDFAILED fixed bin(31) value('0002'xn);
 dcl PBT_APMQUERYSTANDBYFAILED fixed bin(31) value('0003'xn);

 dcl PBT_APMSUSPEND            fixed bin(31) value('0004'xn);
 dcl PBT_APMSTANDBY            fixed bin(31) value('0005'xn);

 dcl PBT_APMRESUMECRITICAL     fixed bin(31) value('0006'xn);
 dcl PBT_APMRESUMESUSPEND      fixed bin(31) value('0007'xn);
 dcl PBT_APMRESUMESTANDBY      fixed bin(31) value('0008'xn);

 dcl PBTF_APMRESUMEFROMFAILURE fixed bin(31) value(00000001);

 dcl PBT_APMBATTERYLOW         fixed bin(31) value('0009'xn);
 dcl PBT_APMPOWERSTATUSCHANGE  fixed bin(31) value('000A'xn);

 dcl PBT_APMOEMEVENT           fixed bin(31) value('000B'xn);
 dcl PBT_APMRESUMEAUTOMATIC    fixed bin(31) value('0012'xn);
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1024 %then %do;
 dcl WM_DEVICECHANGE           fixed bin(31) value('0219'xn);
 %end; /* WINVER >= 0x0400 */

 dcl WM_MDICREATE              fixed bin(31) value('0220'xn);
 dcl WM_MDIDESTROY             fixed bin(31) value('0221'xn);
 dcl WM_MDIACTIVATE            fixed bin(31) value('0222'xn);
 dcl WM_MDIRESTORE             fixed bin(31) value('0223'xn);
 dcl WM_MDINEXT                fixed bin(31) value('0224'xn);
 dcl WM_MDIMAXIMIZE            fixed bin(31) value('0225'xn);
 dcl WM_MDITILE                fixed bin(31) value('0226'xn);
 dcl WM_MDICASCADE             fixed bin(31) value('0227'xn);
 dcl WM_MDIICONARRANGE         fixed bin(31) value('0228'xn);
 dcl WM_MDIGETACTIVE           fixed bin(31) value('0229'xn);

 dcl WM_MDISETMENU             fixed bin(31) value('0230'xn);
 dcl WM_ENTERSIZEMOVE          fixed bin(31) value('0231'xn);
 dcl WM_EXITSIZEMOVE           fixed bin(31) value('0232'xn);
 dcl WM_DROPFILES              fixed bin(31) value('0233'xn);
 dcl WM_MDIREFRESHMENU         fixed bin(31) value('0234'xn);

 %if WINVER >= 1024 %then %do;
 dcl WM_IME_SETCONTEXT         fixed bin(31) value('0281'xn);
 dcl WM_IME_NOTIFY             fixed bin(31) value('0282'xn);
 dcl WM_IME_CONTROL            fixed bin(31) value('0283'xn);
 dcl WM_IME_COMPOSITIONFULL    fixed bin(31) value('0284'xn);
 dcl WM_IME_SELECT             fixed bin(31) value('0285'xn);
 dcl WM_IME_CHAR               fixed bin(31) value('0286'xn);
 %end; /* WINVER >= 0x0400 */
 %if WINVER >= 1280 %then %do;
 dcl WM_IME_REQUEST            fixed bin(31) value('0288'xn);
 %end; /* WINVER >= 0x0500 */

 %if WINVER >= 1024 %then %do;
 dcl WM_IME_KEYDOWN            fixed bin(31) value('0290'xn);
 dcl WM_IME_KEYUP              fixed bin(31) value('0291'xn);
 %end; /* WINVER >= 0x0400 */

 %if #WIN32_WINNT >= 1024 | WINVER >= 1280 %then %do;
 %dcl #WM_MOUSEHOVER char ext;
 %if #WM_MOUSEHOVER = '' %then %do;
 %#WM_MOUSEHOVER = 'Y';
 dcl WM_MOUSEHOVER             fixed bin(31) value('02A1'xn);
 dcl WM_MOUSELEAVE             fixed bin(31) value('02A3'xn);
 %end;
 %end; /* _WIN32_WINNT >= 0x0400 */
 %if WINVER >= 1280 %then %do;
 dcl WM_NCMOUSEHOVER           fixed bin(31) value('02A0'xn);
 dcl WM_NCMOUSELEAVE           fixed bin(31) value('02A2'xn);
 %end; /* WINVER >= 0x0500 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl WM_WTSSESSION_CHANGE      fixed bin(31) value('02B1'xn);

 dcl WM_TABLET_FIRST           fixed bin(31) value('02c0'xn);
 dcl WM_TABLET_LAST            fixed bin(31) value('02df'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl WM_CUT                    fixed bin(31) value('0300'xn);
 dcl WM_COPY                   fixed bin(31) value('0301'xn);
 dcl WM_PASTE                  fixed bin(31) value('0302'xn);
 dcl WM_CLEAR                  fixed bin(31) value('0303'xn);
 dcl WM_UNDO                   fixed bin(31) value('0304'xn);
 dcl WM_RENDERFORMAT           fixed bin(31) value('0305'xn);
 dcl WM_RENDERALLFORMATS       fixed bin(31) value('0306'xn);
 dcl WM_DESTROYCLIPBOARD       fixed bin(31) value('0307'xn);
 dcl WM_DRAWCLIPBOARD          fixed bin(31) value('0308'xn);
 dcl WM_PAINTCLIPBOARD         fixed bin(31) value('0309'xn);
 dcl WM_VSCROLLCLIPBOARD       fixed bin(31) value('030A'xn);
 dcl WM_SIZECLIPBOARD          fixed bin(31) value('030B'xn);
 dcl WM_ASKCBFORMATNAME        fixed bin(31) value('030C'xn);
 dcl WM_CHANGECBCHAIN          fixed bin(31) value('030D'xn);
 dcl WM_HSCROLLCLIPBOARD       fixed bin(31) value('030E'xn);
 dcl WM_QUERYNEWPALETTE        fixed bin(31) value('030F'xn);
 dcl WM_PALETTEISCHANGING      fixed bin(31) value('0310'xn);
 dcl WM_PALETTECHANGED         fixed bin(31) value('0311'xn);
 dcl WM_HOTKEY                 fixed bin(31) value('0312'xn);

 %if WINVER >= 1024 %then %do;
 dcl WM_PRINT                  fixed bin(31) value('0317'xn);
 %dcl #WM_PRINTCLIENT char ext;
 %if #WM_PRINTCLIENT = '' %then %do;
 %#WM_PRINTCLIENT = 'Y';
 dcl WM_PRINTCLIENT            fixed bin(31) value('0318'xn);
 %end;
 %end; /* WINVER >= 0x0400 */

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WM_APPCOMMAND             fixed bin(31) value('0319'xn);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl WM_THEMECHANGED           fixed bin(31) value('031A'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 %if WINVER >= 1024 %then %do;
 dcl WM_HANDHELDFIRST          fixed bin(31) value('0358'xn);
 dcl WM_HANDHELDLAST           fixed bin(31) value('035F'xn);

 dcl WM_AFXFIRST               fixed bin(31) value('0360'xn);
 dcl WM_AFXLAST                fixed bin(31) value('037F'xn);
 %end; /* WINVER >= 0x0400 */

 dcl WM_PENWINFIRST            fixed bin(31) value('0380'xn);
 dcl WM_PENWINLAST             fixed bin(31) value('038F'xn);

 %if WINVER >= 1024 %then %do;
 dcl WM_APP                    fixed bin(31) value('8000'xn);
 %end; /* WINVER >= 0x0400 */

 /* NOTE: All Message Numbers below 0x0400 are RESERVED.  */

 /* Private Window Messages Start Here:                   */
 dcl WM_USER                   fixed bin(31) value('0400'xn);


 %if WINVER >= 1024 %then %do;
 /*  wParam for WM_SIZING message  */
 dcl WMSZ_LEFT        fixed bin(31) value(1);
 dcl WMSZ_RIGHT       fixed bin(31) value(2);
 dcl WMSZ_TOP         fixed bin(31) value(3);
 dcl WMSZ_TOPLEFT     fixed bin(31) value(4);
 dcl WMSZ_TOPRIGHT    fixed bin(31) value(5);
 dcl WMSZ_BOTTOM      fixed bin(31) value(6);
 dcl WMSZ_BOTTOMLEFT  fixed bin(31) value(7);
 dcl WMSZ_BOTTOMRIGHT fixed bin(31) value(8);
 %end; /* WINVER >= 0x0400 */

 %dcl NONCMESSAGES char ext;
 %if NONCMESSAGES = '' %then %do;

 /* WM_SYNCTASK Commands */
 dcl ST_BEGINSWP fixed bin(31) value(0);
 dcl ST_ENDSWP   fixed bin(31) value(1);

 /* WM_NCHITTEST and MOUSEHOOKSTRUCT Mouse Position Codes */
 dcl HTERROR       fixed bin(31) value(-2);
 dcl HTTRANSPARENT fixed bin(31) value(-1);
 dcl HTNOWHERE     fixed bin(31) value(0);
 dcl HTCLIENT      fixed bin(31) value(1);
 dcl HTCAPTION     fixed bin(31) value(2);
 dcl HTSYSMENU     fixed bin(31) value(3);
 dcl HTGROWBOX     fixed bin(31) value(4);
 dcl HTSIZE        fixed bin(31) value(HTGROWBOX);
 dcl HTMENU        fixed bin(31) value(5);
 dcl HTHSCROLL     fixed bin(31) value(6);
 dcl HTVSCROLL     fixed bin(31) value(7);
 dcl HTMINBUTTON   fixed bin(31) value(8);
 dcl HTMAXBUTTON   fixed bin(31) value(9);
 dcl HTLEFT        fixed bin(31) value(10);
 dcl HTRIGHT       fixed bin(31) value(11);
 dcl HTTOP         fixed bin(31) value(12);
 dcl HTTOPLEFT     fixed bin(31) value(13);
 dcl HTTOPRIGHT    fixed bin(31) value(14);
 dcl HTBOTTOM      fixed bin(31) value(15);
 dcl HTBOTTOMLEFT  fixed bin(31) value(16);
 dcl HTBOTTOMRIGHT fixed bin(31) value(17);
 dcl HTBORDER      fixed bin(31) value(18);
 dcl HTREDUCE      fixed bin(31) value(HTMINBUTTON);
 dcl HTZOOM        fixed bin(31) value(HTMAXBUTTON);
 dcl HTSIZEFIRST   fixed bin(31) value(HTLEFT);
 dcl HTSIZELAST    fixed bin(31) value(HTBOTTOMRIGHT);

 %if WINVER >= 1024 %then %do;
 dcl HTOBJECT      fixed bin(31) value(19);
 dcl HTCLOSE       fixed bin(31) value(20);
 dcl HTHELP        fixed bin(31) value(21);
 %end; /* WINVER >= 0x0400 */

 /* SendMessageTimeout values */
 dcl SMTO_NORMAL             fixed bin(31) value('0000'xn);
 dcl SMTO_BLOCK              fixed bin(31) value('0001'xn);
 dcl SMTO_ABORTIFHUNG        fixed bin(31) value('0002'xn);
 %if WINVER >= 1280 %then %do;
 dcl SMTO_NOTIMEOUTIFNOTHUNG fixed bin(31) value('0008'xn);
 %end; /* WINVER >= 0x0500 */

 %end; /* !NONCMESSAGES */

 /* WM_MOUSEACTIVATE Return Codes */
 dcl MA_ACTIVATE         fixed bin(31) value(1);
 dcl MA_ACTIVATEANDEAT   fixed bin(31) value(2);
 dcl MA_NOACTIVATE       fixed bin(31) value(3);
 dcl MA_NOACTIVATEANDEAT fixed bin(31) value(4);

 /* WM_SETICON / WM_GETICON Type Codes */
 dcl ICON_SMALL          fixed bin(31) value(0);
 dcl ICON_BIG            fixed bin(31) value(1);
 %if #WIN32_WINNT >= 1281 %then %do;
  dcl ICON_SMALL2        fixed bin(31) value(2);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl RegisterWindowMessageA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINAPI WINUSERAPI external('RegisterWindowMessageA');

 dcl RegisterWindowMessageW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINAPI WINUSERAPI external('RegisterWindowMessageW');

 %dcl RegisterWindowMessage char ext;
 %if UNICODE ^= '' %then %do;
   %RegisterWindowMessage='RegisterWindowMessageW';
 %end; %else %do;
   %RegisterWindowMessage='RegisterWindowMessageA';
 %end; /* !UNICODE */

 /* WM_SIZE message wParam values */
 dcl SIZE_RESTORED  fixed bin(31) value(0);
 dcl SIZE_MINIMIZED fixed bin(31) value(1);
 dcl SIZE_MAXIMIZED fixed bin(31) value(2);
 dcl SIZE_MAXSHOW   fixed bin(31) value(3);
 dcl SIZE_MAXHIDE   fixed bin(31) value(4);

 /* Obsolete constant names */
 dcl SIZENORMAL     fixed bin(31) value(SIZE_RESTORED);
 dcl SIZEICONIC     fixed bin(31) value(SIZE_MINIMIZED);
 dcl SIZEFULLSCREEN fixed bin(31) value(SIZE_MAXIMIZED);
 dcl SIZEZOOMSHOW   fixed bin(31) value(SIZE_MAXSHOW);
 dcl SIZEZOOMHIDE   fixed bin(31) value(SIZE_MAXHIDE);

 /* WM_WINDOWPOSCHANGING/CHANGED struct pointed to by lParam  */
 define structure
   1 WINDOWPOS,
     2 hwnd            type HWND,
     2 hwndInsertAfter type HWND,
     2 x               fixed bin(31),
     2 y               fixed bin(31),
     2 cx              fixed bin(31),
     2 cy              fixed bin(31),
     2 flags           type UINT;
 define alias LPWINDOWPOS handle WINDOWPOS;
 define alias  PWINDOWPOS handle WINDOWPOS;

 /* WM_NCCALCSIZE parameter structure */
 define structure
   1 NCCALCSIZE_PARAMS,
     2 rgrc (3) type RECT,
     2 lppos    type PWINDOWPOS;
 define alias LPNCCALCSIZE_PARAMS handle NCCALCSIZE_PARAMS;

 /* WM_NCCALCSIZE "window valid rect" return values */
 dcl WVR_ALIGNTOP    fixed bin(31) value('0010'xn);
 dcl WVR_ALIGNLEFT   fixed bin(31) value('0020'xn);
 dcl WVR_ALIGNBOTTOM fixed bin(31) value('0040'xn);
 dcl WVR_ALIGNRIGHT  fixed bin(31) value('0080'xn);
 dcl WVR_HREDRAW     fixed bin(31) value('0100'xn);
 dcl WVR_VREDRAW     fixed bin(31) value('0200'xn);
 dcl WVR_REDRAW      fixed bin(31) value(ior(WVR_HREDRAW, WVR_VREDRAW));

 dcl WVR_VALIDRECTS  fixed bin(31) value('0400'xn);

 %dcl NOKEYSTATES char ext;
 %if NOKEYSTATES = '' %then %do;

 /* Key State Masks for Mouse Messages */
 dcl MK_LBUTTON  fixed bin(31) value('0001'xn);
 dcl MK_RBUTTON  fixed bin(31) value('0002'xn);
 dcl MK_SHIFT    fixed bin(31) value('0004'xn);
 dcl MK_CONTROL  fixed bin(31) value('0008'xn);
 dcl MK_MBUTTON  fixed bin(31) value('0010'xn);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl MK_XBUTTON1 fixed bin(31) value('0020'xn);
 dcl MK_XBUTTON2 fixed bin(31) value('0040'xn);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %end; /* !NOKEYSTATES */

 %if #WIN32_WINNT >= 1024 %then %do;
 %dcl NOTRACKMOUSEEVENT char ext;
 %if NOTRACKMOUSEEVENT = '' %then %do;

 %dcl #TME_HOVER char ext;
 %if #TME_HOVER = '' %then %do;
 %#TME_HOVER = 'Y';
 dcl TME_HOVER       fixed bin(31) value('00000001'xn);
 dcl TME_LEAVE       fixed bin(31) value('00000002'xn);
 %if WINVER >= 1280 %then %do;
 dcl TME_NONCLIENT   fixed bin(31) value('00000010'xn);
 %end; /* WINVER >= 0x0500 */
 dcl TME_QUERY       fixed bin(31) value('40000000'xn);
 dcl TME_CANCEL      fixed bin(31) value('80000000'xn);


 dcl HOVER_DEFAULT   fixed bin(31) value('FFFFFFFF'xn);

 define structure
   1 TRACKMOUSEEVENT,
     2 cbSize      type DWORD,
     2 dwFlags     type DWORD,
     2 hwndTrack   type HWND,
     2 dwHoverTime type DWORD;
 define alias LPTRACKMOUSEEVENT handle TRACKMOUSEEVENT;

 %end; /* !TME_HOVER */

 dcl TrackMouseEvent
     entry (type TRACKMOUSEEVENT byaddr)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('TrackMouseEvent');

 %end; /* !NOTRACKMOUSEEVENT */
 %end; /* _WIN32_WINNT >= 0x0400 */

 %end; /* !NOWINMESSAGES */


 %if NOWINSTYLES = '' %then %do;

 /* Window Styles */
 dcl WS_OVERLAPPED        type DWORD value('00000000'xu);
 dcl WS_POPUP             type DWORD value('80000000'xu);
 dcl WS_CHILD             type DWORD value('40000000'xu);
 dcl WS_MINIMIZE          type DWORD value('20000000'xu);
 dcl WS_VISIBLE           type DWORD value('10000000'xu);
 dcl WS_DISABLED          type DWORD value('08000000'xu);
 dcl WS_CLIPSIBLINGS      type DWORD value('04000000'xu);
 dcl WS_CLIPCHILDREN      type DWORD value('02000000'xu);
 dcl WS_MAXIMIZE          type DWORD value('01000000'xu);
 dcl WS_CAPTION           type DWORD value('00C00000'xu);
     /* WS_BORDER | WS_DLGFRAME  */
 dcl WS_BORDER            type DWORD value('00800000'xu);
 dcl WS_DLGFRAME          type DWORD value('00400000'xu);
 dcl WS_VSCROLL           type DWORD value('00200000'xu);
 dcl WS_HSCROLL           type DWORD value('00100000'xu);
 dcl WS_SYSMENU           type DWORD value('00080000'xu);
 dcl WS_THICKFRAME        type DWORD value('00040000'xu);
 dcl WS_GROUP             type DWORD value('00020000'xu);
 dcl WS_TABSTOP           type DWORD value('00010000'xu);

 dcl WS_MINIMIZEBOX       type DWORD value('00020000'xu);
 dcl WS_MAXIMIZEBOX       type DWORD value('00010000'xu);

 dcl WS_TILED             type DWORD value(WS_OVERLAPPED);
 dcl WS_ICONIC            type DWORD value(WS_MINIMIZE);
 dcl WS_SIZEBOX           type DWORD value(WS_THICKFRAME);

 /* Common Window Styles  */

 dcl WS_OVERLAPPEDWINDOW  type DWORD
     value (ior (WS_OVERLAPPED, WS_CAPTION, WS_SYSMENU,
                 WS_THICKFRAME, WS_MINIMIZEBOX, WS_MAXIMIZEBOX));

 dcl WS_POPUPWINDOW       type DWORD
     value (ior (WS_POPUP, WS_BORDER, WS_SYSMENU));

 dcl WS_CHILDWINDOW       type DWORD value(WS_CHILD);

 dcl WS_TILEDWINDOW       type DWORD value(WS_OVERLAPPEDWINDOW);

 /*  Extended Window Styles  */
 dcl WS_EX_DLGMODALFRAME  type DWORD value('00000001'xu);
 dcl WS_EX_NOPARENTNOTIFY type DWORD value('00000004'xu);
 dcl WS_EX_TOPMOST        type DWORD value('00000008'xu);
 dcl WS_EX_ACCEPTFILES    type DWORD value('00000010'xu);
 dcl WS_EX_TRANSPARENT    type DWORD value('00000020'xu);

 %if WINVER >= 1024 %then %do;
 dcl WS_EX_MDICHILD         type DWORD value('00000040'xu);
 dcl WS_EX_TOOLWINDOW       type DWORD value('00000080'xu);
 dcl WS_EX_WINDOWEDGE       type DWORD value('00000100'xu);
 dcl WS_EX_CLIENTEDGE       type DWORD value('00000200'xu);
 dcl WS_EX_CONTEXTHELP      type DWORD value('00000400'xu);

 dcl WS_EX_RIGHT            type DWORD value('00001000'xu);
 dcl WS_EX_LEFT             type DWORD value('00000000'xu);
 dcl WS_EX_RTLREADING       type DWORD value('00002000'xu);
 dcl WS_EX_LTRREADING       type DWORD value('00000000'xu);
 dcl WS_EX_LEFTSCROLLBAR    type DWORD value('00004000'xu);
 dcl WS_EX_RIGHTSCROLLBAR   type DWORD value('00000000'xu);

 dcl WS_EX_CONTROLPARENT    type DWORD value('00010000'xu);
 dcl WS_EX_STATICEDGE       type DWORD value('00020000'xu);
 dcl WS_EX_APPWINDOW        type DWORD value('00040000'xu);

 dcl WS_EX_OVERLAPPEDWINDOW type DWORD
     value (ior(WS_EX_WINDOWEDGE, WS_EX_CLIENTEDGE));
 dcl WS_EX_PALETTEWINDOW    type DWORD
     value (ior (WS_EX_WINDOWEDGE, WS_EX_TOOLWINDOW, WS_EX_TOPMOST));

 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 dcl WS_EX_LAYERED          type DWORD value('00080000'xu);
 %end; /* WINVER >= 0x0500 */


 %if WINVER >= 1280 %then %do;
 dcl WS_EX_NOINHERITLAYOUT  type DWORD value('00100000'xu);
    /* Disable inheritence of mirroring by children */
 dcl WS_EX_LAYOUTRTL        type DWORD value('00400000'xu);
    /* Right to left mirroring */
 %end; /* WINVER >= 0x0500 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl WS_EX_COMPOSITED       type DWORD value('02000000'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WS_EX_NOACTIVATE       type DWORD value('08000000'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 /* Class styles  */
 dcl CS_VREDRAW         type DWORD value('0001'xu);
 dcl CS_HREDRAW         type DWORD value('0002'xu);
 dcl CS_KEYCVTWINDOW    type DWORD value('0004'xu);
 dcl CS_DBLCLKS         type DWORD value('0008'xu);
 dcl CS_OWNDC           type DWORD value('0020'xu);
 dcl CS_CLASSDC         type DWORD value('0040'xu);
 dcl CS_PARENTDC        type DWORD value('0080'xu);
 dcl CS_NOKEYCVT        type DWORD value('0100'xu);
 dcl CS_NOCLOSE         type DWORD value('0200'xu);
 dcl CS_SAVEBITS        type DWORD value('0800'xu);
 dcl CS_BYTEALIGNCLIENT type DWORD value('1000'xu);
 dcl CS_BYTEALIGNWINDOW type DWORD value('2000'xu);
 dcl CS_GLOBALCLASS     type DWORD value('4000'xu);

 dcl CS_IME             type DWORD value('00010000'xu);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl CS_DROPSHADOW      type DWORD value('00020000'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */

 %end; /* !NOWINSTYLES */
 %if WINVER >= 1024 %then %do;
 /* WM_PRINT flags */
 dcl PRF_CHECKVISIBLE type UINT value('00000001'xu);
 dcl PRF_NONCLIENT    type UINT value('00000002'xu);
 dcl PRF_CLIENT       type UINT value('00000004'xu);
 dcl PRF_ERASEBKGND   type UINT value('00000008'xu);
 dcl PRF_CHILDREN     type UINT value('00000010'xu);
 dcl PRF_OWNED        type UINT value('00000020'xu);

 /* 3D border styles */
 dcl BDR_RAISEDOUTER  type UINT value('0001'xu);
 dcl BDR_SUNKENOUTER  type UINT value('0002'xu);
 dcl BDR_RAISEDINNER  type UINT value('0004'xu);
 dcl BDR_SUNKENINNER  type UINT value('0008'xu);

 dcl BDR_OUTER        type UINT value('0003'xu);
 dcl BDR_INNER        type UINT value('000c'xu);
 dcl BDR_RAISED       type UINT value('0005'xu);
 dcl BDR_SUNKEN       type UINT value('000a'xu);
 dcl EDGE_RAISED      type UINT
     value (ior (BDR_RAISEDOUTER, BDR_RAISEDINNER));
 dcl EDGE_SUNKEN      type UINT
     value (ior (BDR_SUNKENOUTER, BDR_SUNKENINNER));
 dcl EDGE_ETCHED      type UINT
     value (ior (BDR_SUNKENOUTER, BDR_RAISEDINNER));
 dcl EDGE_BUMP        type UINT
     value (ior (BDR_RAISEDOUTER, BDR_SUNKENINNER));


 /* Border flags */
 dcl BF_LEFT        type UINT value('0001'xu);
 dcl BF_TOP         type UINT value('0002'xu);
 dcl BF_RIGHT       type UINT value('0004'xu);
 dcl BF_BOTTOM      type UINT value('0008'xu);


 dcl BF_TOPLEFT     type UINT value( ior (BF_TOP, BF_LEFT));
 dcl BF_TOPRIGHT    type UINT value( ior (BF_TOP, BF_RIGHT));
 dcl BF_BOTTOMLEFT  type UINT value( ior (BF_BOTTOM, BF_LEFT));
 dcl BF_BOTTOMRIGHT type UINT value( ior (BF_BOTTOM, BF_RIGHT));
 dcl BF_RECT        type UINT value( ior (BF_LEFT, BF_TOP,
                                              BF_RIGHT, BF_BOTTOM));

 dcl BF_DIAGONAL    type UINT value('0010'xu);

 /* For diagonal lines, the BF_RECT flags specify the end point of */
 /* the vector bounded by the rectangle parameter.                 */
 dcl BF_DIAGONAL_ENDTOPRIGHT    type UINT
     value (ior (BF_DIAGONAL, BF_TOP, BF_RIGHT));
 dcl BF_DIAGONAL_ENDTOPLEFT     type UINT
     value (ior (BF_DIAGONAL, BF_TOP, BF_LEFT));
 dcl BF_DIAGONAL_ENDBOTTOMLEFT  type UINT
     value (ior (BF_DIAGONAL, BF_BOTTOM, BF_LEFT));
 dcl BF_DIAGONAL_ENDBOTTOMRIGHT type UINT
     value (ior (BF_DIAGONAL, BF_BOTTOM, BF_RIGHT));


 dcl BF_MIDDLE type UINT value('0800'xu);
     /* Fill in the middle */
 dcl BF_SOFT   type UINT value('1000'xu);
     /* For softer buttons */
 dcl BF_ADJUST type UINT value('2000'xu);
     /* Calculate the space left over */
 dcl BF_FLAT   type UINT value('4000'xu);
     /* For flat rather than 3D borders */
 dcl BF_MONO   type UINT value('8000'xu);
     /* For monochrome borders */

 dcl DrawEdge
     entry (type HDC,
            type RECT byaddr,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('DrawEdge');


 /* flags for DrawFrameControl */

 dcl DFC_CAPTION              type UINT value(1);
 dcl DFC_MENU                 type UINT value(2);
 dcl DFC_SCROLL               type UINT value(3);
 dcl DFC_BUTTON               type UINT value(4);
 %if WINVER >= 1280 %then %do;
 dcl DFC_POPUPMENU            type UINT value(5);
 %end; /* WINVER >= 0x0500 */

 dcl DFCS_CAPTIONCLOSE        type UINT value('0000'xu);
 dcl DFCS_CAPTIONMIN          type UINT value('0001'xu);
 dcl DFCS_CAPTIONMAX          type UINT value('0002'xu);
 dcl DFCS_CAPTIONRESTORE      type UINT value('0003'xu);
 dcl DFCS_CAPTIONHELP         type UINT value('0004'xu);

 dcl DFCS_MENUARROW           type UINT value('0000'xu);
 dcl DFCS_MENUCHECK           type UINT value('0001'xu);
 dcl DFCS_MENUBULLET          type UINT value('0002'xu);
 dcl DFCS_MENUARROWRIGHT      type UINT value('0004'xu);

 dcl DFCS_SCROLLUP            type UINT value('0000'xu);
 dcl DFCS_SCROLLDOWN          type UINT value('0001'xu);
 dcl DFCS_SCROLLLEFT          type UINT value('0002'xu);
 dcl DFCS_SCROLLRIGHT         type UINT value('0003'xu);
 dcl DFCS_SCROLLCOMBOBOX      type UINT value('0005'xu);
 dcl DFCS_SCROLLSIZEGRIP      type UINT value('0008'xu);
 dcl DFCS_SCROLLSIZEGRIPRIGHT type UINT value('0010'xu);

 dcl DFCS_BUTTONCHECK         type UINT value('0000'xu);
 dcl DFCS_BUTTONRADIOIMAGE    type UINT value('0001'xu);
 dcl DFCS_BUTTONRADIOMASK     type UINT value('0002'xu);
 dcl DFCS_BUTTONRADIO         type UINT value('0004'xu);
 dcl DFCS_BUTTON3STATE        type UINT value('0008'xu);
 dcl DFCS_BUTTONPUSH          type UINT value('0010'xu);

 dcl DFCS_INACTIVE            type UINT value('0100'xu);
 dcl DFCS_PUSHED              type UINT value('0200'xu);
 dcl DFCS_CHECKED             type UINT value('0400'xu);
 %if WINVER >= 1280 %then %do;
 dcl DFCS_TRANSPARENT         type UINT value('0800'xu);
 dcl DFCS_HOT                 type UINT value('1000'xu);
 %end; /* WINVER >= 0x0500 */
 dcl DFCS_ADJUSTRECT          type UINT value('2000'xu);
 dcl DFCS_FLAT                type UINT value('4000'xu);
 dcl DFCS_MONO                type UINT value('8000'xu);

 dcl DrawFrameControl
     entry (type HDC,
            type RECT byaddr,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('DrawFrameControl');


 /* flags for DrawCaption */
 dcl DC_ACTIVE   type UINT value('0001'xu);
 dcl DC_SMALLCAP type UINT value('0002'xu);
 dcl DC_ICON     type UINT value('0004'xu);
 dcl DC_TEXT     type UINT value('0008'xu);
 dcl DC_INBUTTON type UINT value('0010'xu);
 %if WINVER >= 1280 %then %do;
 dcl DC_GRADIENT type UINT value('0020'xu);
 %end; /* WINVER >= 0x0500 */
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl DC_BUTTONS  type UINT value('1000'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl DrawCaption
     entry (type HWND,
            type HDC,
            type RECT byaddr nonasgn,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('DrawCaption');


 dcl IDANI_OPEN    fixed bin(31) value(1);
 dcl IDANI_CLOSE   fixed bin(31) value(2);
 dcl IDANI_CAPTION fixed bin(31) value(3);

 dcl DrawAnimatedRects
     entry (type HWND,
            fixed bin(31),
            type RECT byaddr nonasgn,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('DrawAnimatedRects');

 %end; /* WINVER >= 0x0400 */

 %dcl NOCLIPBOARD char ext;
 %if NOCLIPBOARD = '' %then %do;

 /* Predefined Clipboard Formats */
 dcl CF_TEXT            fixed bin(31) value(1);
 dcl CF_BITMAP          fixed bin(31) value(2);
 dcl CF_METAFILEPICT    fixed bin(31) value(3);
 dcl CF_SYLK            fixed bin(31) value(4);
 dcl CF_DIF             fixed bin(31) value(5);
 dcl CF_TIFF            fixed bin(31) value(6);
 dcl CF_OEMTEXT         fixed bin(31) value(7);
 dcl CF_DIB             fixed bin(31) value(8);
 dcl CF_PALETTE         fixed bin(31) value(9);
 dcl CF_PENDATA         fixed bin(31) value(10);
 dcl CF_RIFF            fixed bin(31) value(11);
 dcl CF_WAVE            fixed bin(31) value(12);
 dcl CF_UNICODETEXT     fixed bin(31) value(13);
 dcl CF_ENHMETAFILE     fixed bin(31) value(14);
 %if WINVER >= 1024 %then %do;
 dcl CF_HDROP           fixed bin(31) value(15);
 dcl CF_LOCALE          fixed bin(31) value(16);
 %end; /* WINVER >= 0x0400 */
 %if WINVER >= 1280 %then %do;
 dcl CF_DIBV5           fixed bin(31) value(17);
 %end; /* WINVER >= 0x0500 */
 %if WINVER >= 1280 %then %do;
 dcl CF_MAX             fixed bin(31) value(18);
 %end; %else %if WINVER >= 1024 %then %do;
 dcl CF_MAX             fixed bin(31) value(17);
 %end; %else %do;
 dcl CF_MAX             fixed bin(31) value(15);
 %end;

 dcl CF_OWNERDISPLAY    fixed bin(31) value('0080'xn);
 dcl CF_DSPTEXT         fixed bin(31) value('0081'xn);
 dcl CF_DSPBITMAP       fixed bin(31) value('0082'xn);
 dcl CF_DSPMETAFILEPICT fixed bin(31) value('0083'xn);
 dcl CF_DSPENHMETAFILE  fixed bin(31) value('008E'xn);

 /* "Private" formats don't get GlobalFree()'d */
 dcl CF_PRIVATEFIRST    fixed bin(31) value('0200'xn);
 dcl CF_PRIVATELAST     fixed bin(31) value('02FF'xn);

 /* "GDIOBJ" formats do get DeleteObject()'d */
 dcl CF_GDIOBJFIRST     fixed bin(31) value('0300'xn);
 dcl CF_GDIOBJLAST      fixed bin(31) value('03FF'xn);

 %end; /* !NOCLIPBOARD */

 /* Defines for the fVirt field of the Accelerator table structure. */
 dcl FVIRTKEY  type BYTE value(TRUE); /* Assumed to be == TRUE */
 dcl FNOINVERT type BYTE value('02'xu);
 dcl FSHIFT    type BYTE value('04'xu);
 dcl FCONTROL  type BYTE value('08'xu);
 dcl FALT      type BYTE value('10'xu);

 define structure
   1 ACCEL,
     2 fVirt type BYTE,/* Also called the flags field */
     2 key   type WORD,
     2 cmd   type WORD;
 define alias LPACCEL handle ACCEL;

 define structure
   1 PAINTSTRUCT,
     2 hdc         type HDC,
     2 fErase      type BOOL,
     2 rcPaint     type RECT,
     2 fRestore    type BOOL,
     2 fIncUpdate  type BOOL,
     2 rgbReserved (32) type BYTE;
 define alias  PPAINTSTRUCT handle PAINTSTRUCT;
 define alias NPPAINTSTRUCT handle PAINTSTRUCT;
 define alias LPPAINTSTRUCT handle PAINTSTRUCT;

 define structure
   1 CREATESTRUCTA,
     2 lpCreateParams type LPVOID,
     2 hInstance      type HINSTANCE,
     2 hMenu          type HMENU,
     2 hwndParent     type HWND,
     2 cy             fixed bin(31),
     2 cx             fixed bin(31),
     2 y              fixed bin(31),
     2 x              fixed bin(31),
     2 style          type LONG,
     2 lpszName       type LPCSTR,
     2 lpszClass      type LPCSTR,
     2 dwExStyle      type DWORD;
 define alias LPCREATESTRUCTA handle CREATESTRUCTA;

 define structure
   1 CREATESTRUCTW,
     2 lpCreateParams type LPVOID,
     2 hInstance      type HINSTANCE,
     2 hMenu          type HMENU,
     2 hwndParent     type HWND,
     2 cy             fixed bin(31),
     2 cx             fixed bin(31),
     2 y              fixed bin(31),
     2 x              fixed bin(31),
     2 style          type LONG,
     2 lpszName       type LPCWSTR,
     2 lpszClass      type LPCWSTR,
     2 dwExStyle      type DWORD;
 define alias LPCREATESTRUCTW handle CREATESTRUCTW;

 %if UNICODE ^= '' %then %do;
 define alias   CREATESTRUCT type   CREATESTRUCTW;
 define alias LPCREATESTRUCT type LPCREATESTRUCTW;
 %end; %else %do;
 define alias   CREATESTRUCT type   CREATESTRUCTA;
 define alias LPCREATESTRUCT type LPCREATESTRUCTA;
 %end; /* UNICODE */

 define structure
   1 WINDOWPLACEMENT,
     2 length           type UINT,
     2 flags            type UINT,
     2 showCmd          type UINT,
     2 ptMinPosition    type POINT,
     2 ptMaxPosition    type POINT,
     2 rcNormalPosition type RECT;
 define alias PWINDOWPLACEMENT handle WINDOWPLACEMENT;

 dcl WPF_SETMINPOSITION       fixed bin(31) value('0001'xn);
 dcl WPF_RESTORETOMAXIMIZED   fixed bin(31) value('0002'xn);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl WPF_ASYNCWINDOWPLACEMENT fixed bin(31) value('0004'xn);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if WINVER >= 1024 %then %do;
 define structure
   1 NMHDR,
      2 hwndFrom type HWND,
      2 idFrom   type UINT,
      2 code     type UINT; /* NM_ code */
 define alias LPNMHDR handle NMHDR;

 define structure
   1 STYLESTRUCT,
     2 styleOld type DWORD,
     2 styleNew type DWORD;
 define alias LPSTYLESTRUCT handle STYLESTRUCT;
 %end; /* WINVER >= 0x0400 */

 /* Owner draw control types */
 dcl ODT_MENU         type UINT value(1);
 dcl ODT_LISTBOX      type UINT value(2);
 dcl ODT_COMBOBOX     type UINT value(3);
 dcl ODT_BUTTON       type UINT value(4);
 %if WINVER >= 1024 %then %do;
 dcl ODT_STATIC       type UINT value(5);
 %end; /* WINVER >= 0x0400 */

 /* Owner draw actions */
 dcl ODA_DRAWENTIRE   type UINT value('0001'xu);
 dcl ODA_SELECT       type UINT value('0002'xu);
 dcl ODA_FOCUS        type UINT value('0004'xu);

 /* Owner draw state */
 dcl ODS_SELECTED     type UINT value('0001'xu);
 dcl ODS_GRAYED       type UINT value('0002'xu);
 dcl ODS_DISABLED     type UINT value('0004'xu);
 dcl ODS_CHECKED      type UINT value('0008'xu);
 dcl ODS_FOCUS        type UINT value('0010'xu);
 %if WINVER >= 1024 %then %do;
 dcl ODS_DEFAULT      type UINT value('0020'xu);
 dcl ODS_COMBOBOXEDIT type UINT value('1000'xu);
 %end; /* WINVER >= 0x0400 */
 %if WINVER >= 1280 %then %do;
 dcl ODS_HOTLIGHT     type UINT value('0040'xu);
 dcl ODS_INACTIVE     type UINT value('0080'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl ODS_NOACCEL      type UINT value('0100'xu);
 dcl ODS_NOFOCUSRECT  type UINT value('0200'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */
 %end; /* WINVER >= 0x0500 */

 /* MEASUREITEMSTRUCT for ownerdraw */
 define structure
   1 MEASUREITEMSTRUCT,
     2 CtlType    type UINT,
     2 CtlID      type UINT,
     2 itemID     type UINT,
     2 itemWidth  type UINT,
     2 itemHeight type UINT,
     2 itemData   type DWORD;
 define alias  PMEASUREITEMSTRUCT handle MEASUREITEMSTRUCT;
 define alias LPMEASUREITEMSTRUCT handle MEASUREITEMSTRUCT;

 /* DRAWITEMSTRUCT for ownerdraw */
 define structure
   1 DRAWITEMSTRUCT,
     2 CtlType    type UINT,
     2 CtlID      type UINT,
     2 itemID     type UINT,
     2 itemAction type UINT,
     2 itemState  type UINT,
     2 hwndItem   type HWND,
     2 hDC        type HDC,
     2 rcItem     type RECT,
     2 itemData   type DWORD;
 define alias  PDRAWITEMSTRUCT handle DRAWITEMSTRUCT;
 define alias LPDRAWITEMSTRUCT handle DRAWITEMSTRUCT;

 /* DELETEITEMSTRUCT for ownerdraw */
 define structure
   1 DELETEITEMSTRUCT,
     2 CtlType  type UINT,
     2 CtlID    type UINT,
     2 itemID   type UINT,
     2 hwndItem type HWND,
     2 itemData type UINT;
 define alias  PDELETEITEMSTRUCT handle DELETEITEMSTRUCT;
 define alias LPDELETEITEMSTRUCT handle DELETEITEMSTRUCT;

 /* COMPAREITEMSTUCT for ownerdraw sorting */
 define structure
   1 COMPAREITEMSTRUCT,
     2 CtlType    type UINT,
     2 CtlID      type UINT,
     2 hwndItem   type HWND,
     2 itemID1    type UINT,
     2 itemData1  type DWORD,
     2 itemID2    type UINT,
     2 itemData2  type DWORD,
     2 dwLocaleId type DWORD;
 define alias  PCOMPAREITEMSTRUCT handle COMPAREITEMSTRUCT;
 define alias LPCOMPAREITEMSTRUCT handle COMPAREITEMSTRUCT;


 %if NOMSG = '' %then %do;

 /* Message Function Templates */

 dcl GetMessageA
     entry (type MSG byaddr,
            type HWND,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('GetMessageA');

 dcl GetMessageW
     entry (type MSG byaddr,
            type HWND,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('GetMessageW');

 %dcl GetMessage char ext;
 %if UNICODE ^= '' %then %do;
   %GetMessage='GetMessageW';
 %end; %else %do;
   %GetMessage='GetMessageA';
 %end; /* !UNICODE */

 dcl TranslateMessage
     entry (type MSG byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('TranslateMessage');

 dcl DispatchMessageA
     entry (type MSG byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('DispatchMessageA');

 dcl DispatchMessageW
     entry (type MSG byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('DispatchMessageW');

 %dcl DispatchMessage char ext;
 %if UNICODE ^= '' %then %do;
   %DispatchMessage='DispatchMessageW';
 %end; %else %do;
   %DispatchMessage='DispatchMessageA';
 %end; /* !UNICODE */

 dcl SetMessageQueue   /* obsolete */
     entry (fixed bin(31))
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('SetMessageQueue');

 dcl PeekMessageA
     entry (type MSG byaddr,
            type HWND,
            type UINT,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('PeekMessageA');

 dcl PeekMessageW
     entry (type MSG byaddr,
            type HWND,
            type UINT,
            type UINT,
            type UINT )
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('PeekMessageW');

 %dcl PeekMessage char ext;
 %if UNICODE ^= '' %then %do;
   %PeekMessage='PeekMessageW';
 %end; %else %do;
   %PeekMessage='PeekMessageA';
 %end; /* !UNICODE */

 /* PeekMessage() Options */
 dcl PM_NOREMOVE       type UINT value('0000'xu);
 dcl PM_REMOVE         type UINT value('0001'xu);
 dcl PM_NOYIELD        type UINT value('0002'xu);
 /* PM_QS_* values are after QS_* value */
 %end; /* !NOMSG */

 dcl RegisterHotKey
     entry (type HWND,
            fixed bin (31),
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('RegisterHotKey');

 dcl UnregisterHotKey
     entry (type HWND,
            fixed bin (31))
     returns (optional type BOOL byvalue)
     WINAPI WINUSERAPI external('UnregisterHotKey');

 dcl MOD_ALT     type UINT value('0001'xu);
 dcl MOD_CONTROL type UINT value('0002'xu);
 dcl MOD_SHIFT   type UINT value('0004'xu);
 dcl MOD_WIN     type UINT value('0008'xu);

 dcl IDHOT_SNAPWINDOW  fixed bin(31) value(-1); /* SHIFT-PRINTSCRN */
 dcl IDHOT_SNAPDESKTOP fixed bin(31) value(-2); /* PRINTSCRN       */

 %dcl WIN_INTERNAL char ext;
 %if WIN_INTERNAL ^= '' %then %do;
   %dcl LSTRING char ext;
   %if LSTRING = '' %then %do;
     %dcl NOLSTRING char ext;
     %NOLSTRING = 'Y';
   %end; /* LSTRING */
   %dcl LFILEIO char ext;
   %if LFILEIO = '' %then %do;
     %dcl NOLFILEIO char ext;
     %NOLFILEIO = 'Y';
   %end; /* LFILEIO */
 %end; /* WIN_INTERNAL */

 %if WINVER >= 1024 %then %do;
 dcl EW_RESTARTWINDOWS type UINT value('0042'xu);
 dcl EW_REBOOTSYSTEM   type UINT value('0043'xu);
 dcl EW_EXITANDEXECAPP type UINT value('0044'xu);
 %end; /* WINVER >= 0x0400 */

 dcl EWX_LOGOFF        type UINT value('00000000'xu);
 dcl EWX_SHUTDOWN      type UINT value('00000001'xu);
 dcl EWX_REBOOT        type UINT value('00000002'xu);
 dcl EWX_FORCE         type UINT value('00000004'xu);
 dcl EWX_POWEROFF      type UINT value('00000008'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl EWX_FORCEIFHUNG   type UINT value('00000010'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */


 ExitWindows: proc (dwReserved, Code)
              returns (optional type BOOL byvalue)
              options (inline reorder) internal;
   dcl dwReserved type DWORD byvalue,
       Code       type UINT byvalue;
   return (ExitWindowsEx (EWX_LOGOFF, 'FFFFFFFF'xu));
 end ExitWindows;

 dcl ExitWindowsEx
     entry (type UINT,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ExitWindowsEx');

 dcl SwapMouseButton
     entry (type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SwapMouseButton');

 dcl GetMessagePos
     entry ()
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetMessagePos');

 dcl GetMessageTime
     entry ()
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('GetMessageTime');

 dcl GetMessageExtraInfo
     entry ()
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('GetMessageExtraInfo');

 %if WINVER >= 1024 %then %do;
 dcl SetMessageExtraInfo
     entry (type LPARAM)
     returns (optional type LPARAM byvalue)
     WINUSERAPI WINAPI external('SetMessageExtraInfo');
 %end; /* WINVER >= 0x0400 */

 dcl SendMessageA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('SendMessageA');

 dcl SendMessageW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
  WINUSERAPI WINAPI external('SendMessageW');

 %dcl SendMessage char ext;
 %if UNICODE ^= '' %then %do;
   %SendMessage='SendMessageW';
 %end; %else %do;
   %SendMessage='SendMessageA';
 %end; /* !UNICODE */

 dcl SendMessageTimeoutA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM,
            type UINT,
            type UINT,
            type DWORD byaddr)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('SendMessageTimeoutA');

 dcl SendMessageTimeoutW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM,
            type UINT,
            type UINT,
            type DWORD byaddr)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('SendMessageTimeoutW');

 %dcl SendMessageTimeout char ext;
 %if UNICODE ^= '' %then %do;
   %SendMessageTimeout='SendMessageTimeoutW';
 %end; %else %do;
   %SendMessageTimeout='SendMessageTimeoutA';
 %end; /* !UNICODE */

 dcl SendNotifyMessageA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SendNotifyMessageA');

 dcl SendNotifyMessageW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SendNotifyMessageW');

 %dcl SendNotifyMessage char ext;
 %if UNICODE ^= '' %then %do;
   %SendNotifyMessage='SendNotifyMessageW';
 %end; %else %do;
   %SendNotifyMessage='SendNotifyMessageA';
 %end; /* !UNICODE */


 dcl SendMessageCallbackA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM,
            type SENDASYNCPROC,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SendMessageCallbackA');

 dcl SendMessageCallbackW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM,
            type SENDASYNCPROC,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SendMessageCallbackW');

 %dcl SendMessageCallback char ext;
 %if UNICODE ^= '' %then %do;
   %SendMessageCallback='SendMessageCallbackW';
 %end; %else %do;
   %SendMessageCallback='SendMessageCallbackA';
 %end; /* !UNICODE */

 %if #WIN32_WINNT >= 1281 %then %do;
 define structure
   1 BSMINFO,
     2 cbSize type UINT,
     2 hdesk  type HDESK,
     2 hwnd   type HWND,
     2 luid   type LUID;
  define alias PBSMINFO handle BSMINFO;

 dcl BroadcastSystemMessageExA
     entry (type DWORD,
            type DWORD byaddr optional,
            type UINT,
            type WPARAM,
            type LPARAM,
            type BSMINFO byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('BroadcastSystemMessageExA');

 dcl BroadcastSystemMessageExW
     entry (type DWORD,
            type DWORD byaddr optional,
            type UINT,
            type WPARAM,
            type LPARAM,
            type BSMINFO byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('BroadcastSystemMessageExW');

 %dcl BroadcastSystemMessageEx char ext;
 %if UNICODE ^= '' %then %do;
   %BroadcastSystemMessageEx='BroadcastSystemMessageExW';
 %end; %else %do;
   %BroadcastSystemMessageEx='BroadcastSystemMessageExA';
 %end; /* !UNICODE */
 %end; /* _WIN32_WINNT >= 0x0501 */

 %if WINVER >= 1024 %then %do;
 %if #WIN32_WINNT > 0 %then %do;
 dcl BroadcastSystemMessageA
     entry (type DWORD,
            type DWORD byaddr optional,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('BroadcastSystemMessageA');

 dcl BroadcastSystemMessageW
     entry (type DWORD,
            type DWORD byaddr optional,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('BroadcastSystemMessageW');

 %dcl BroadcastSystemMessage char ext;
 %if UNICODE ^= '' %then %do;
   %BroadcastSystemMessage='BroadcastSystemMessageW';
 %end; %else %do;
   %BroadcastSystemMessage='BroadcastSystemMessageA';
 %end; /* !UNICODE */

 %end; %else %do;
 /* The Win95 version isn't A/W decorated */
 dcl BroadcastSystemMessage
     entry (type DWORD,
            type DWORD byaddr optional,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('BroadcastSystemMessage');
 %end;

 /* Broadcast Special Message Recipient list */
 dcl BSM_ALLCOMPONENTS      type DWORD value('00000000'xu);
 dcl BSM_VXDS               type DWORD value('00000001'xu);
 dcl BSM_NETDRIVER          type DWORD value('00000002'xu);
 dcl BSM_INSTALLABLEDRIVERS type DWORD value('00000004'xu);
 dcl BSM_APPLICATIONS       type DWORD value('00000008'xu);
 dcl BSM_ALLDESKTOPS        type DWORD value('00000010'xu);

 /* Broadcast Special Message Flags */
 dcl BSF_QUERY              type DWORD value('00000001'xu);
 dcl BSF_IGNORECURRENTTASK  type DWORD value('00000002'xu);
 dcl BSF_FLUSHDISK          type DWORD value('00000004'xu);
 dcl BSF_NOHANG             type DWORD value('00000008'xu);
 dcl BSF_POSTMESSAGE        type DWORD value('00000010'xu);
 dcl BSF_FORCEIFHUNG        type DWORD value('00000020'xu);
 dcl BSF_NOTIMEOUTIFNOTHUNG type DWORD value('00000040'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl BSF_ALLOWSFW           type DWORD value('00000080'xu);
 dcl BSF_SENDNOTIFYMESSAGE  type DWORD value('00000100'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl BSF_RETURNHDESK        type DWORD value('00000200'xu);
 dcl BSF_LUID               type DWORD value('00000400'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl BROADCAST_QUERY_DENY   type DWORD value('424D5144'xu);
     /* Return this value to deny a query. */
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 define alias  HDEVNOTIFY type PVOID;
 define alias PHDEVNOTIFY pointer;

 dcl DEVICE_NOTIFY_WINDOW_HANDLE         type DWORD value('00000000'xu);
 dcl DEVICE_NOTIFY_SERVICE_HANDLE        type DWORD value('00000001'xu);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl DEVICE_NOTIFY_ALL_INTERFACE_CLASSES type DWORD value('00000004'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl RegisterDeviceNotificationA
     entry (type HANDLE,
            type LPVOID,
            type DWORD)
     returns (optional type HDEVNOTIFY byvalue)
     WINUSERAPI WINAPI external('RegisterDeviceNotificationA');

 dcl RegisterDeviceNotificationW
     entry (type HANDLE,
            type LPVOID,
            type DWORD)
     returns (optional type HDEVNOTIFY byvalue)
     WINUSERAPI WINAPI external('RegisterDeviceNotificationW');

 %dcl RegisterDeviceNotification char ext;
 %if UNICODE ^= '' %then %do;
   %RegisterDeviceNotification='RegisterDeviceNotificationW';
 %end; %else %do;
   %RegisterDeviceNotification='RegisterDeviceNotificationA';
 %end; /* !UNICODE */

 dcl UnregisterDeviceNotification
     entry (type HDEVNOTIFY)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnregisterDeviceNotification');
 %end; /* WINVER >= 0x0500 */

 dcl PostMessageA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PostMessageA');

 dcl PostMessageW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
      returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PostMessageW');

 %dcl PostMessage char ext;
 %if UNICODE ^= '' %then %do;
   %PostMessage='PostMessageW';
 %end; %else %do;
   %PostMessage='PostMessageA';
 %end; /* !UNICODE */

 dcl PostThreadMessageA
     entry (type DWORD,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PostThreadMessageA');

 dcl PostThreadMessageW
     entry (type DWORD,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PostThreadMessageW');

 %dcl PostThreadMessage char ext;
 %if UNICODE ^= '' %then %do;
   %PostThreadMessage='PostThreadMessageW';
 %end; %else %do;
   %PostThreadMessage='PostThreadMessageA';
 %end; /* !UNICODE */

 PostAppMessageA: proc (idThread, wMsg, wParam, lParam)
                  returns (optional type BOOL byvalue)
                  options (inline reorder) internal;
   dcl idThread type DWORD byvalue,
       wMsg     type UINT byvalue,
       wParam   type WPARAM byvalue,
       lParam   type LPARAM byvalue;
   return (PostThreadMessageA (idThread, wMsg, wParam, lParam));
 end PostAppMessageA;

 PostAppMessageW: proc (idThread, wMsg, wParam, lParam)
                  returns (optional type BOOL byvalue)
                  options (inline reorder) internal;
   dcl idThread type DWORD byvalue,
       wMsg     type UINT byvalue,
       wParam   type WPARAM byvalue,
       lParam   type LPARAM byvalue;
   return (PostThreadMessageW (idThread, wMsg, wParam, lParam));
 end PostAppMessageW;

 %dcl PostAppMessage char ext;
 %if UNICODE ^= '' %then %do;
   %PostAppMessage = 'PostAppMessageW';
 %end; %else %do;
   %PostAppMessage = 'PostAppMessageA';
 %end; /* !UNICODE */


 /* Special HWND value for use with */
 /* PostMessage() and SendMessage() */
 dcl HWND_BROADCAST type HWND value (ptrvalue('ffff'xn));
 %if WINVER >= 1280 %then %do;
 dcl HWND_MESSAGE   type HWND value (ptrvalue(-3));
 %end; /* WINVER >= 0x0500 */

 dcl AttachThreadInput
     entry (type DWORD,
            type DWORD,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AttachThreadInput');

 dcl ReplyMessage
     entry (type LRESULT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ReplyMessage');

 dcl WaitMessage
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('WaitMessage');

 dcl WaitForInputIdle
     entry (type HANDLE,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('WaitForInputIdle');

 dcl DefWindowProcA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefWindowProcA');

 dcl DefWindowProcW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefWindowProcW');

 %dcl DefWindowProc char ext;
 %if UNICODE ^= '' %then %do;
   %DefWindowProc='DefWindowProcW';
 %end; %else %do;
   %DefWindowProc='DefWindowProcA';
 %end; /* !UNICODE */

 dcl PostQuitMessage
     entry (fixed bin (31))
     WINUSERAPI WINAPI  external('PostQuitMessage');

 dcl CallWindowProcA
     entry (type WNDPROC,
            type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('CallWindowProcA');

 dcl CallWindowProcW
     entry (type WNDPROC,
            type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('CallWindowProcW');

 %dcl CallWindowProc char ext;
 %if UNICODE ^= '' %then %do;
   %CallWindowProc='CallWindowProcW';
 %end; %else %do;
   %CallWindowProc='CallWindowProcA';
 %end; /* !UNICODE */

 dcl InSendMessage
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InSendMessage');

 %if WINVER >= 1280 %then %do;
 dcl InSendMessageEx
     entry (type LPVOID)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('InSendMessageEx');

 /* InSendMessageEx return value */
 dcl ISMEX_NOSEND      type DWORD value('00000000'xu);
 dcl ISMEX_SEND        type DWORD value('00000001'xu);
 dcl ISMEX_NOTIFY      type DWORD value('00000002'xu);
 dcl ISMEX_CALLBACK    type DWORD value('00000004'xu);
 dcl ISMEX_REPLIED     type DWORD value('00000008'xu);
 %end; /* WINVER >= 0x0500 */

 dcl GetDoubleClickTime
     entry ()
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetDoubleClickTime');

 dcl SetDoubleClickTime
     entry (type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetDoubleClickTime');

 dcl RegisterClassA
     entry (type WNDCLASSA byaddr)
     returns (optional type ATOM byvalue)
     WINUSERAPI WINAPI external('RegisterClassA');

 dcl RegisterClassW
     entry (type WNDCLASSW byaddr )
     returns (optional type ATOM byvalue)
     WINUSERAPI WINAPI external('RegisterClassW');

 %dcl RegisterClass char ext;
 %if UNICODE ^= '' %then %do;
   %RegisterClass='RegisterClassW';
 %end; %else %do;
   %RegisterClass='RegisterClassA';
 %end; /* !UNICODE */


 dcl UnregisterClassA
     entry (char(*) varz byaddr nonasgn,
            type HINSTANCE)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnregisterClassA');

 dcl UnregisterClassW
     entry (WCHAR(*) varz byaddr nonasgn,
            type HINSTANCE)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnregisterClassW');

 %dcl UnregisterClass char ext;
 %if UNICODE ^= '' %then %do;
   %UnregisterClass='UnregisterClassW';
 %end; %else %do;
   %UnregisterClass='UnregisterClassA';
 %end; /* !UNICODE */


 dcl GetClassInfoA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            type WNDCLASSA byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetClassInfoA');

 dcl GetClassInfoW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            type WNDCLASSW byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetClassInfoW');

 %dcl GetClassInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetClassInfo='GetClassInfoW';
 %end; %else %do;
   %GetClassInfo='GetClassInfoA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl RegisterClassExA
     entry (type WNDCLASSEXA byaddr)
     returns (optional type ATOM byvalue)
     WINUSERAPI WINAPI external('RegisterClassExA');

 dcl RegisterClassExW
     entry (type WNDCLASSEXA byaddr)
     returns (optional type ATOM byvalue)
     WINUSERAPI WINAPI external('RegisterClassExW');

 %dcl RegisterClassEx char ext;
 %if UNICODE ^= '' %then %do;
   %RegisterClassEx='RegisterClassExW';
 %end; %else %do;
   %RegisterClassEx='RegisterClassExA';
 %end; /* !UNICODE */


 dcl GetClassInfoExA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            type WNDCLASSEXA byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetClassInfoExA');

 dcl GetClassInfoExW
     entry (type HINSTANCE,
            wCHAR(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            type WNDCLASSEXW byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetClassInfoExW');

 %dcl GetClassInfoEx char ext;
 %if UNICODE ^= '' %then %do;
   %GetClassInfoEx='GetClassInfoExW';
 %end; %else %do;
 %GetClassInfoEx='GetClassInfoExA';
 %end; /* !UNICODE */

 %end; /* WINVER >= 0x0400 */

 dcl CW_USEDEFAULT fixed bin(31) value('80000000'xn);

 /* Special value for CreateWindow, et al. */
 dcl HWND_DESKTOP type HWND value (ptrvalue(0));

 %if #WIN32_WINNT >= 1281 %then %do;
 define alias PREGISTERCLASSNAMEW
              entry (type LPCWSTR)
              returns (optional type BOOLEAN byvalue)
              WINAPI;
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl CreateWindowExA
     entry (type DWORD,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            char(*) varz byaddr nonasgn,
            type DWORD,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type HWND,
            type HMENU,
            type HINSTANCE,
            type LPVOID)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateWindowExA');

 dcl CreateWindowExW
     entry (type DWORD,
            WCHAR(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type HWND,
            type HMENU,
            type HINSTANCE,
            type LPVOID)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateWindowExW');

 %dcl CreateWindowEx char ext;
 %if UNICODE ^= '' %then %do;
   %CreateWindowEx='CreateWindowExW';
 %end; %else %do;
 %CreateWindowEx='CreateWindowExA';
 %end; /* !UNICODE */

 CreateWindowA: proc (lpClassName, lpWindowName, dwStyle,
                      x, y, nWidth, nHeight,
                      hWndParent, hMenu, hInstance, lpParam)
                returns (optional type HWND byvalue)
                options (inline reorder) internal;
   dcl lpClassName  char(*) varz byaddr nonasgn, /* pli_b2z for atom */
       lpWindowName char(*) varz byaddr nonasgn,
       dwStyle      type DWORD byvalue,
       x            fixed bin(31) byvalue,
       y            fixed bin(31) byvalue,
       nWidth       fixed bin(31) byvalue,
       nHeight      fixed bin(31) byvalue,
       hWndParent   type HWND byvalue,
       hMenu        type HMENU byvalue,
       hInstance    type HINSTANCE byvalue,
       lpParam      type LPVOID byvalue;
   return (CreateWindowExA (0, lpClassName, lpWindowName, dwStyle,
                            x, y, nWidth, nHeight,
                            hWndParent, hMenu, hInstance, lpParam));
 end CreateWindowA;

 CreateWindowW: proc (lpClassName, lpWindowName, dwStyle,
                      x, y, nWidth, nHeight,
                      hWndParent, hMenu, hInstance, lpParam)
                returns (optional type HWND byvalue)
                options (inline reorder) internal;
   dcl lpClassName  WCHAR(*) varz byaddr nonasgn, /* pli_b2z for atom */
       lpWindowName WCHAR(*) varz byaddr nonasgn,
       dwStyle      type DWORD byvalue,
       x            fixed bin(31) byvalue,
       y            fixed bin(31) byvalue,
       nWidth       fixed bin(31) byvalue,
       nHeight      fixed bin(31) byvalue,
       hWndParent   type HWND byvalue,
       hMenu        type HMENU byvalue,
       hInstance    type HINSTANCE byvalue,
       lpParam      type LPVOID byvalue;
   return (CreateWindowExW (0, lpClassName, lpWindowName, dwStyle,
                            x, y, nWidth, nHeight,
                            hWndParent, hMenu, hInstance, lpParam));
 end CreateWindowW;

 %dcl CreateWindow char ext;
 %if UNICODE ^= '' %then %do;
   %CreateWindow='CreateWindowW';
 %end; %else %do;
   %CreateWindow='CreateWindowA';
 %end; /* !UNICODE */


 dcl IsWindow
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsWindow');

 dcl IsMenu
     entry (type HMENU)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsMenu');

 dcl IsChild
     entry (type HWND,
            type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsChild');

 dcl DestroyWindow
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DestroyWindow');

 dcl ShowWindow
     entry (type HWND,
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ShowWindow');

 %if WINVER >= 1280 %then %do;
 dcl AnimateWindow
     entry (type HWND,
            type DWORD,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AnimateWindow');
 %end; /* WINVER >= 0x0500 */

 %if #WIN32_WINNT >= 1280 %then %do;
 %if #WINGDI_ ^= '' & NOGDI = '' %then %do;
 dcl UpdateLayeredWindow
     entry (type HWND,
            type HDC,
            type POINT byaddr optional,
            type SIZE  byaddr optional,
            type HDC,
            type POINT byaddr optional,
            type COLORREF,
            type BLENDFUNCTION byaddr optional,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UpdateLayeredWindow');
 %end;

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl GetLayeredWindowAttributes
     entry (type HWND,
            type COLORREF byaddr,
            pointer,
            type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetLayeredWindowAttributes');

 dcl PW_CLIENTONLY type DWORD value ('00000001'xu);

 dcl PrintWindow
     entry (type HWND,
            type HDC,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PrintWindow');

 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl SetLayeredWindowAttributes
     entry (type HWND,
            type COLORREF,
            type BYTE,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetLayeredWindowAttributes');

 dcl LWA_COLORKEY type DWORD value('00000001'xu);
 dcl LWA_ALPHA    type DWORD value('00000002'xu);

 dcl ULW_COLORKEY type DWORD value('00000001'xu);
 dcl ULW_ALPHA    type DWORD value('00000002'xu);
 dcl ULW_OPAQUE   type DWORD value('00000004'xu);

 %end; /* _WIN32_WINNT >= 0x0500 */

 %if WINVER >= 1024 %then %do;
 dcl ShowWindowAsync
     entry (type HWND,
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ShowWindowAsync');
 %end; /* WINVER >= 0x0400 */

 dcl FlashWindow
     entry (type HWND,
            type DWORD) /* WINVER < 1280: type BOOL */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('FlashWindow');

 %if WINVER >= 1280 %then %do;
 define structure
   1 FLASHWINFO,
     2 cbSize    type UINT,
     2 hwnd      type HWND,
     2 dwFlags   type DWORD,
     2 uCount    type UINT,
     2 dwTimeout type DWORD;
 define alias PFLASHWINFO handle FLASHWINFO;

 dcl FlashWindowEx
     entry (type FLASHWINFO byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('FlashWindowEx');

 dcl FLASHW_STOP         type DWORD value (0);
 dcl FLASHW_CAPTION      type DWORD value ('00000001'xu);
 dcl FLASHW_TRAY         type DWORD value ('00000002'xu);
 dcl FLASHW_ALL          type DWORD
     value (ior (FLASHW_CAPTION, FLASHW_TRAY));
 dcl FLASHW_TIMER        type DWORD value ('00000004'xu);
 dcl FLASHW_TIMERNOFG    type DWORD value ('0000000C'xu);
 %end; /* WINVER >= 0x0500 */

 dcl ShowOwnedPopups
     entry (type HWND,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ShowOwnedPopups');

 dcl OpenIcon
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OpenIcon');

 dcl CloseWindow
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CloseWindow');

 dcl MoveWindow
     entry (type HWND,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('MoveWindow');

 dcl SetWindowPos
     entry (type HWND,
            type HWND,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetWindowPos');

 dcl GetWindowPlacement
     entry (type HWND,
            type WINDOWPLACEMENT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetWindowPlacement');

 dcl SetWindowPlacement
     entry (type HWND,
            type WINDOWPLACEMENT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetWindowPlacement');


 %dcl NODEFERWINDOWPOS char ext;
 %if NODEFERWINDOWPOS = '' %then %do;
 dcl BeginDeferWindowPos
     entry (fixed bin(31))
     returns (optional type HDWP byvalue)
     WINUSERAPI WINAPI external('BeginDeferWindowPos');

 dcl DeferWindowPos
     entry (type HDWP,
            type HWND,
            type HWND,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type HDWP byvalue)
     WINUSERAPI WINAPI external('DeferWindowPos');

 dcl EndDeferWindowPos
     entry (type HDWP)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EndDeferWindowPos');
 %end; /* !NODEFERWINDOWPOS */


 dcl IsWindowVisible
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsWindowVisible');

 dcl IsIconic
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsIconic');

 dcl AnyPopup
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AnyPopup');

 dcl BringWindowToTop
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('BringWindowToTop');

 dcl IsZoomed
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsZoomed');


 /* SetWindowPos Flags */
 dcl SWP_NOSIZE         type UINT value('0001'xu);
 dcl SWP_NOMOVE         type UINT value('0002'xu);
 dcl SWP_NOZORDER       type UINT value('0004'xu);
 dcl SWP_NOREDRAW       type UINT value('0008'xu);
 dcl SWP_NOACTIVATE     type UINT value('0010'xu);
 dcl SWP_FRAMECHANGED   type UINT value('0020'xu);
     /* The frame changed: send WM_NCCALCSIZE */
 dcl SWP_SHOWWINDOW     type UINT value('0040'xu);
 dcl SWP_HIDEWINDOW     type UINT value('0080'xu);
 dcl SWP_NOCOPYBITS     type UINT value('0100'xu);
 dcl SWP_NOOWNERZORDER  type UINT value('0200'xu);
     /* Don't do owner Z ordering */
 dcl SWP_NOSENDCHANGING type UINT value('0400'xu);
     /* Don't send WM_WINDOWPOSCHANGING */

 dcl SWP_DRAWFRAME      type UINT value(SWP_FRAMECHANGED);
 dcl SWP_NOREPOSITION   type UINT value(SWP_NOOWNERZORDER);

 %if WINVER >= 1024 %then %do;
 dcl SWP_DEFERERASE     type UINT value('2000'xu);
 dcl SWP_ASYNCWINDOWPOS type UINT value('4000'xu);
 %end; /* WINVER >= 0x0400 */

 dcl HWND_TOP       type HWND value(ptrvalue(0));
 dcl HWND_BOTTOM    type HWND value(ptrvalue(1));
 dcl HWND_TOPMOST   type HWND value(ptrvalue(-1));
 dcl HWND_NOTOPMOST type HWND value(ptrvalue(-2));


 %dcl NOCTLMGR char ext;
 %if NOCTLMGR = '' %then %do;

 /* WARNING:                                                          */
 /* The following structures must NOT be DWORD padded because they are*/
 /* followed by strings, etc that do not have to be DWORD aligned.    */

 /* original NT 32 bit dialog template:   */
 define structure
   1 DLGTEMPLATE,
     2 style           type DWORD,
     2 dwExtendedStyle type DWORD,
     2 cdit            type WORD,
     2 x               fixed bin(15),
     2 y               fixed bin(15),
     2 cx              fixed bin(15),
     2 cy              fixed bin(15);
 define alias LPDLGTEMPLATEA handle DLGTEMPLATE;
 define alias LPDLGTEMPLATEW handle DLGTEMPLATE;

 %if UNICODE ^= '' %then %do;
 define alias LPDLGTEMPLATE type LPDLGTEMPLATEW;
 %end; %else %do;
 define alias LPDLGTEMPLATE type LPDLGTEMPLATEA;
 %end; /* UNICODE */

 define alias LPCDLGTEMPLATEA handle DLGTEMPLATE;
 define alias LPCDLGTEMPLATEW handle DLGTEMPLATE;

 %if UNICODE ^= '' %then %do;
 define alias LPCDLGTEMPLATE type LPCDLGTEMPLATEW;
 %end; %else %do;
 define alias LPCDLGTEMPLATE type LPCDLGTEMPLATEA;
 %end; /* UNICODE */

 /* 32 bit Dialog item template.   */
 define structure
   1 DLGITEMTEMPLATE,
     2 style           type DWORD,
     2 dwExtendedStyle type DWORD,
     2 x               fixed bin(15),
     2 y               fixed bin(15),
     2 cx              fixed bin(15),
     2 cy              fixed bin(15),
     2 id              type WORD;
 define alias PDLGITEMTEMPLATEA handle DLGITEMTEMPLATE;
 define alias PDLGITEMTEMPLATEW handle DLGITEMTEMPLATE;
 %if UNICODE ^= '' %then %do;
 define alias PDLGITEMTEMPLATE type PDLGITEMTEMPLATEW;
 %end; %else %do;
 define alias PDLGITEMTEMPLATE type PDLGITEMTEMPLATEA;
 %end; /* UNICODE */
 define alias LPDLGITEMTEMPLATEA handle DLGITEMTEMPLATE;
 define alias LPDLGITEMTEMPLATEW handle DLGITEMTEMPLATE;

 %if UNICODE ^= '' %then %do;
 define alias LPDLGITEMTEMPLATE type LPDLGITEMTEMPLATEW;
 %end; %else %do;
 define alias LPDLGITEMTEMPLATE type LPDLGITEMTEMPLATEA;
 %end; /* UNICODE */


 dcl CreateDialogParamA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateDialogParamA');

 dcl CreateDialogParamW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateDialogParamW');

 %dcl CreateDialogParam char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDialogParam='CreateDialogParamW';
 %end; %else %do;
   %CreateDialogParam='CreateDialogParamA';
 %end; /* !UNICODE */


 dcl CreateDialogIndirectParamA
     entry (type HINSTANCE,
            pointer, /* to initial DLGTEMPLATEA */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateDialogIndirectParamA');

 dcl CreateDialogIndirectParamW
     entry (type HINSTANCE,
            pointer, /* to initial DLGTEMPLATEW */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateDialogIndirectParamW');

 %dcl CreateDialogIndirectParam char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDialogIndirectParam='CreateDialogIndirectParamW';
 %end; %else %do;
   %CreateDialogIndirectParam='CreateDialogIndirectParamA';
 %end; /* !UNICODE */

 CreateDialogA: proc (hInstance, lpName, hWndParent, lpDialogFunc)
                returns (optional type HWND byvalue)
                options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpName       char(*) varz byaddr nonasgn,  /* pli_b2z for atom */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (CreateDialogParamA (hInstance, lpName,
                               hWndParent, lpDialogFunc, 0));
 end CreateDialogA;

 CreateDialogW: proc (hInstance, lpName, hWndParent, lpDialogFunc)
                returns (optional type HWND byvalue)
                options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpName       WCHAR(*) varz byaddr nonasgn, /* pli_b2z for atom */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (CreateDialogParamW (hInstance, lpName,
                               hWndParent, lpDialogFunc, 0));
 end CreateDialogW;

 %dcl CreateDialog char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDialog='CreateDialogW';
 %end; %else %do;
   %CreateDialog='CreateDialogA';
 %end; /* !UNICODE */

 CreateDialogIndirectA: proc (hInstance, lpTemplate,
                              hWndParent, lpDialogFunc)
                        returns (optional type HWND byvalue)
                        options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpTemplate   pointer byvalue, /* to initial DLGTEMPLATEA */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (CreateDialogIndirectParamA (hInstance, lpTemplate,
                                       hWndParent, lpDialogFunc, 0));
 end CreateDialogIndirectA;

 CreateDialogIndirectW: proc (hInstance, lpTemplate,
                              hWndParent, lpDialogFunc)
                        returns (optional type HWND byvalue)
                        options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpTemplate   pointer byvalue, /* to initial DLGTEMPLATEW */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (CreateDialogIndirectParamW (hInstance, lpTemplate,
                                       hWndParent, lpDialogFunc, 0));
 end CreateDialogIndirectW;

 %dcl CreateDialogIndirect char ext;
 %if UNICODE ^= '' %then %do;
   %CreateDialogIndirect='CreateDialogIndirectW';
 %end; %else %do;
   %CreateDialogIndirect='CreateDialogIndirectA';
 %end; /* !UNICODE */

 dcl DialogBoxParamA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            type HWND,
            type DLGPROC,
            type LPARAM)
      returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DialogBoxParamA');

 dcl DialogBoxParamW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DialogBoxParamW');

 %dcl DialogBoxParam char ext;
 %if UNICODE ^= '' %then %do;
   %DialogBoxParam='DialogBoxParamW';
 %end; %else %do;
   %DialogBoxParam='DialogBoxParamA';
 %end; /* !UNICODE */

 dcl DialogBoxIndirectParamA
     entry (type HINSTANCE,
            pointer, /* to initial DLGTEMPLATEA */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DialogBoxIndirectParamA');

 dcl DialogBoxIndirectParamW
     entry (type HINSTANCE,
            pointer, /* to initial DLGTEMPLATEW */
            type HWND,
            type DLGPROC,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DialogBoxIndirectParamW');

 %dcl DialogBoxIndirectParam char ext;
 %if UNICODE ^= '' %then %do;
   %DialogBoxIndirectParam='DialogBoxIndirectParamW';
 %end; %else %do;
   %DialogBoxIndirectParam='DialogBoxIndirectParamA';
 %end; /* !UNICODE */

 DialogBoxA: proc (hInstance, lpTemplate, hWndParent, lpDialogFunc)
             returns (fixed bin(31) optional byvalue)
             options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpTemplate   char(*) varz byaddr nonasgn,  /* pli_b2z for atom */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (DialogBoxParamA (hInstance, lpTemplate,
                            hWndParent, lpDialogFunc, 0));
 end DialogBoxA;

 DialogBoxW: proc (hInstance, lpTemplate, hWndParent, lpDialogFunc)
             returns (fixed bin(31) optional byvalue)
             options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpTemplate   WCHAR(*) varz byaddr nonasgn, /* pli_b2z for atom */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (DialogBoxParamW (hInstance, lpTemplate,
                            hWndParent, lpDialogFunc, 0));
 end DialogBoxW;

 %dcl DialogBox char ext;
 %if UNICODE ^= '' %then %do;
   %DialogBox='DialogBoxW';
 %end; %else %do;
   %DialogBox='DialogBoxA';
 %end; /* !UNICODE */

 DialogBoxIndirectA: proc (hInstance, lpTemplate,
                           hWndParent, lpDialogFunc)
                     returns (fixed bin(31) optional byvalue)
                     options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpTemplate   pointer byvalue, /* to initial DLGTEMPLATEA */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (DialogBoxIndirectParamA (hInstance, lpTemplate,
                                    hWndParent, lpDialogFunc, 0));
 end DialogBoxIndirectA;

 DialogBoxIndirectW: proc (hInstance, lpTemplate,
                           hWndParent, lpDialogFunc)
                     returns (fixed bin(31) optional byvalue)
                     options (inline reorder) internal;
   dcl hInstance    type HINSTANCE byvalue,
       lpTemplate   pointer byvalue, /* to initial DLGTEMPLATEA */
       hWndParent   type HWND byvalue,
       lpDialogFunc type DLGPROC;
   return (DialogBoxIndirectParamW (hInstance, lpTemplate,
                                    hWndParent, lpDialogFunc, 0));
 end DialogBoxIndirectW;

 %dcl DialogBoxIndirect char ext;
 %if UNICODE ^= '' %then %do;
   %DialogBoxIndirect='DialogBoxIndirectW';
 %end; %else %do;
   %DialogBoxIndirect='DialogBoxIndirectA';
 %end; /* !UNICODE */

 dcl EndDialog
     entry (type HWND,
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EndDialog');

 dcl GetDlgItem
     entry (type HWND,
            fixed bin(31))
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetDlgItem');

 dcl SetDlgItemInt
     entry (type HWND,
            fixed bin(31),
            type UINT,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetDlgItemInt');

 dcl GetDlgItemInt
     entry (type HWND,
            fixed bin(31),
            type BOOL byaddr,
            type BOOL)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetDlgItemInt');

 dcl SetDlgItemTextA
     entry (type HWND,
            fixed bin(31),
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetDlgItemTextA');

 dcl SetDlgItemTextW
     entry (type HWND,
            fixed bin(31),
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetDlgItemTextW');

 %dcl SetDlgItemText char ext;
 %if UNICODE ^= '' %then %do;
   %SetDlgItemText='SetDlgItemTextW';
 %end; %else %do;
   %SetDlgItemText='SetDlgItemTextA';
 %end; /* !UNICODE */

 dcl GetDlgItemTextA
     entry (type HWND,
            fixed bin(31),
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetDlgItemTextA');

 dcl GetDlgItemTextW
     entry (type HWND,
            fixed bin(31),
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetDlgItemTextW');

 %dcl GetDlgItemText char ext;
 %if UNICODE ^= '' %then %do;
   %GetDlgItemText='GetDlgItemTextW';
 %end; %else %do;
   %GetDlgItemText='GetDlgItemTextA';
 %end; /* !UNICODE */

 dcl CheckDlgButton
     entry (type HWND,
            fixed bin(31),
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CheckDlgButton');

 dcl CheckRadioButton
     entry (type HWND,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CheckRadioButton');

 dcl IsDlgButtonChecked
     entry (type HWND,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('IsDlgButtonChecked');

 dcl SendDlgItemMessageA
     entry (type HWND,
            fixed bin (31),
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('SendDlgItemMessageA');

 dcl SendDlgItemMessageW
     entry (type HWND,
            fixed bin(31),
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('SendDlgItemMessageW');

 %dcl SendDlgItemMessage char ext;
 %if UNICODE ^= '' %then %do;
   %SendDlgItemMessage='SendDlgItemMessageW';
 %end; %else %do;
   %SendDlgItemMessage='SendDlgItemMessageA';
 %end; /* !UNICODE */

 dcl GetNextDlgGroupItem
     entry(type HWND,
           type HWND,
           type BOOL)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetNextDlgGroupItem');

 dcl GetNextDlgTabItem
     entry (type HWND,
            type HWND,
            type BOOL)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetNextDlgTabItem');

 dcl GetDlgCtrlID
     entry (type HWND)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetDlgCtrlID');

 dcl GetDialogBaseUnits
     entry ()
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetDialogBaseUnits') ;

 dcl DefDlgProcA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefDlgProcA');

 dcl DefDlgProcW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefDlgProcW');

 %dcl DefDlgProc char ext;
 %if UNICODE ^= '' %then %do;
   %DefDlgProc='DefDlgProcW';
 %end; %else %do;
   %DefDlgProc='DefDlgProcA';
 %end; /* !UNICODE */

 /* Window extra byted needed for private dialog classes.   */
 dcl DLGWINDOWEXTRA fixed bin(31) value(30);

 %end; /* !NOCTLMGR */


 %if NOMSG = '' %then %do;

 dcl CallMsgFilterA
     entry (type MSG byaddr,
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CallMsgFilterA');

 dcl CallMsgFilterW
     entry (type MSG byaddr,
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CallMsgFilterW');

 %dcl CallMsgFilter char ext;
 %if UNICODE ^= '' %then %do;
   %CallMsgFilter='CallMsgFilterW';
 %end; %else %do;
   %CallMsgFilter='CallMsgFilterA';
 %end; /* !UNICODE */

 %end; /* !NOMSG */

 %dcl NOCLIPBOARD char ext;
 %if NOCLIPBOARD = '' %then %do;

 /* Clipboard Manager Functions */

 dcl OpenClipboard
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OpenClipboard');

 dcl CloseClipboard
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CloseClipboard');

 %if WINVER >= 1280 %then %do;
 dcl GetClipboardSequenceNumber
     entry ()
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetClipboardSequenceNumber');
 %end; /* WINVER >= 0x0500 */

 dcl GetClipboardOwner
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetClipboardOwner');

 dcl SetClipboardViewer
     entry (type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('SetClipboardViewer');

 dcl GetClipboardViewer
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetClipboardViewer');

 dcl ChangeClipboardChain
     entry (type HWND,
            type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ChangeClipboardChain');

 dcl SetClipboardData
     entry (type UINT,
            type HANDLE)
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('SetClipboardData');

 dcl GetClipboardData
     entry (type UINT)
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('GetClipboardData');

 dcl RegisterClipboardFormatA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('RegisterClipboardFormatA');

 dcl RegisterClipboardFormatW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('RegisterClipboardFormatW');

 %dcl RegisterClipboardFormat char ext;
 %if UNICODE ^= '' %then %do;
   %RegisterClipboardFormat='RegisterClipboardFormatW';
 %end; %else %do;
   %RegisterClipboardFormat='RegisterClipboardFormatA';
 %end; /* !UNICODE */

 dcl CountClipboardFormats
     entry ()
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('CountClipboardFormats');

 dcl EnumClipboardFormats
     entry (type UINT)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('EnumClipboardFormats');

 dcl GetClipboardFormatNameA
     entry (type UINT,
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetClipboardFormatNameA');

 dcl GetClipboardFormatNameW
     entry (type UINT,
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetClipboardFormatNameW');

 %dcl GetClipboardFormatName char ext;
 %if UNICODE ^= '' %then %do;
   %GetClipboardFormatName='GetClipboardFormatNameW';
 %end; %else %do;
   %GetClipboardFormatName='GetClipboardFormatNameA';
 %end; /* !UNICODE */

 dcl EmptyClipboard
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EmptyClipboard');

 dcl IsClipboardFormatAvailable
     entry (type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsClipboardFormatAvailable');

 dcl GetPriorityClipboardFormat
     entry (type UINT,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetPriorityClipboardFormat');

 dcl GetOpenClipboardWindow
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetOpenClipboardWindow');

 %end; /* !NOCLIPBOARD */

 /* Character Translation Routines */

 dcl CharToOemA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CharToOemA') ;
 dcl CharToOemW
     entry (WCHAR(*) varz byaddr nonasgn,
            char(*) varz byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CharToOemW');

 %dcl CharToOem char ext;
 %if UNICODE ^= '' %then %do;
   %CharToOem='CharToOemW';
 %end; %else %do;
   %CharToOem='CharToOemA';
 %end; /* !UNICODE */

 dcl OemToCharA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OemToCharA') ;
 dcl OemToCharW
     entry (char(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OemToCharW');

 %dcl OemToChar char ext;
 %if UNICODE ^= '' %then %do;
   %OemToChar='OemToCharW';
 %end; %else %do;
   %OemToChar='OemToCharA';
 %end; /* !UNICODE */


 dcl CharToOemBuffA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CharToOemBuffA');

 dcl CharToOemBuffW
     entry (WCHAR(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CharToOemBuffW');

 %dcl CharToOemBuff char ext;
 %if UNICODE ^= '' %then %do;
   %CharToOemBuff='CharToOemBuffW';
 %end; %else %do;
   %CharToOemBuff='CharToOemBuffA';
 %end; /* !UNICODE */


 dcl OemToCharBuffA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OemToCharBuffA');

 dcl OemToCharBuffW
     entry (char(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OemToCharBuffW');

 %dcl OemToCharBuff char ext;
 %if UNICODE ^= '' %then %do;
   %OemToCharBuff='OemToCharBuffW';
 %end; %else %do;
   %OemToCharBuff='OemToCharBuffA';
 %end; /* !UNICODE */


 dcl CharUpperA
     entry (char(*) varz byaddr)
     returns (optional type LPSTR byvalue)
     WINUSERAPI WINAPI external('CharUpperA');

 dcl CharUpperW
     entry (WCHAR(*) varz byaddr)
     returns (optional type LPWSTR byvalue)
     WINUSERAPI WINAPI external('CharUpperW');

 %dcl CharUpper char ext;
 %if UNICODE ^= '' %then %do;
   %CharUpper='CharUpperW';
 %end; %else %do;
   %CharUpper='CharUpperA';
 %end; /* !UNICODE */


 dcl CharUpperBuffA
     entry (char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('CharUpperBuffA');

 dcl CharUpperBuffW
     entry (WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('CharUpperBuffW');

 %dcl CharUpperBuff char ext;
 %if UNICODE ^= '' %then %do;
   %CharUpperBuff='CharUpperBuffW';
 %end; %else %do;
   %CharUpperBuff='CharUpperBuffA';
 %end; /* !UNICODE */

 dcl CharLowerA
     entry (char(*) varz byaddr)
     returns (optional type LPSTR byvalue)
     WINUSERAPI WINAPI external('CharLowerA');

 dcl CharLowerW
     entry (WCHAR(*) varz byaddr)
     returns (optional type LPWSTR byvalue)
     WINUSERAPI WINAPI external('CharLowerW');

 %dcl CharLower char ext;
 %if UNICODE ^= '' %then %do;
   %CharLower='CharLowerW';
 %end; %else %do;
   %CharLower='CharLowerA';
 %end; /* !UNICODE */

 dcl CharLowerBuffA
     entry (char(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('CharLowerBuffA');

 dcl CharLowerBuffW
     entry (WCHAR(*) varz byaddr,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('CharLowerBuffW');

 %dcl CharLowerBuff char ext;
 %if UNICODE ^= '' %then %do;
   %CharLowerBuff='CharLowerBuffW';
 %end; %else %do;
   %CharLowerBuff='CharLowerBuffA';
 %end; /* !UNICODE */


 dcl CharNextA
     entry (char(*) varz byaddr nonasgn)
     returns (optional type LPSTR byvalue)
     WINUSERAPI WINAPI external('CharNextA');

 dcl CharNextW
     entry (WCHAR(*) varz byaddr nonasgn)
     returns (optional type LPWSTR byvalue)
     WINUSERAPI WINAPI external('CharNextW');

 %dcl CharNext char ext;
 %if UNICODE ^= '' %then %do;
   %CharNext='CharNextW';
 %end; %else %do;
   %CharNext='CharNextA';
 %end; /* !UNICODE */


 dcl CharPrevA
     entry (char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn)
     returns (optional type LPSTR byvalue)
     WINUSERAPI WINAPI external('CharPrevA');

 dcl CharPrevW
     entry (WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type LPWSTR byvalue)
     WINUSERAPI WINAPI external('CharPrevW');

 %dcl CharPrev char ext;
 %if UNICODE ^= '' %then %do;
   %CharPrev='CharPrevW';
 %end; %else %do;
   %CharPrev='CharPrevA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl CharNextExA
     entry (type WORD,
            char(*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type LPSTR byvalue)
     WINUSERAPI WINAPI external('CharNextExA');

 dcl CharPrevExA
     entry (type WORD,
            char(*) varz byaddr nonasgn,
            char(*) varz byaddr nonasgn,
            type DWORD)
     returns (optional type LPSTR byvalue)
     WINUSERAPI WINAPI external('CharPrevExA');

 %end; /* WINVER >= 0x0400 */

 /* Compatibility defines for character translation routines */
 %dcl AnsiToOem char ext;
 %AnsiToOem='CharToOemA';
 %dcl OemToAnsi char ext;
 %OemToAnsi='OemToCharA';
 %dcl AnsiToOemBuff char ext;
 %AnsiToOemBuff='CharToOemBuffA';
 %dcl OemToAnsiBuff char ext;
 %OemToAnsiBuff='OemToCharBuffA';
 %dcl AnsiUpper char ext;
 %AnsiUpper='CharUpperA';
 %dcl AnsiUpperBuff char ext;
 %AnsiUpperBuff='CharUpperBuffA';
 %dcl AnsiLower char ext;
 %AnsiLower='CharLowerA';
 %dcl AnsiLowerBuff char ext;
 %AnsiLowerBuff='CharLowerBuffA';
 %dcl AnsiNext char ext;
 %AnsiNext='CharNextA';
 %dcl AnsiPrev char ext;
 %AnsiPrev='CharPrevA';

 %dcl NOLANGUAGE char ext;
 %if NOLANGUAGE = '' %then %do;
 /*  Language dependent Routines */

 dcl IsCharAlphaA
     entry (char(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharAlphaA');

 dcl IsCharAlphaW
     entry (WCHAR(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharAlphaW');

 %dcl IsCharAlpha char ext;
 %if UNICODE ^= '' %then %do;
   %IsCharAlpha='IsCharAlphaW';
 %end; %else %do;
   %IsCharAlpha='IsCharAlphaA';
 %end; /* !UNICODE */


 dcl IsCharAlphaNumericA
     entry (CHAR(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharAlphaNumericA');

 dcl IsCharAlphaNumericW
     entry (WCHAR(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharAlphaNumericW');

 %dcl IsCharAlphaNumeric char ext;
 %if UNICODE ^= '' %then %do;
   %IsCharAlphaNumeric='IsCharAlphaNumericW';
 %end; %else %do;
   %IsCharAlphaNumeric='IsCharAlphaNumericA';
 %end; /* !UNICODE */


 dcl IsCharUpperA
     entry (char(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharUpperA');

 dcl IsCharUpperW
     entry (WCHAR(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharUpperW');

 %dcl IsCharUpper char ext;
 %if UNICODE ^= '' %then %do;
   %IsCharUpper='IsCharUpperW';
 %end; %else %do;
   %IsCharUpper='IsCharUpperA';
 %end; /* !UNICODE */


 dcl IsCharLowerA
     entry (char(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharLowerA');

 dcl IsCharLowerW
     entry (WCHAR(1))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsCharLowerW');

 %dcl IsCharLower char ext;
 %if UNICODE ^= '' %then %do;
   %IsCharLower='IsCharLowerW';
 %end; %else %do;
   %IsCharLower='IsCharLowerA';
 %end; /* !UNICODE */

 %end; /* !NOLANGUAGE */


 dcl SetFocus
     entry (type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('SetFocus');

 dcl GetActiveWindow
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetActiveWindow');

 dcl GetFocus
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetFocus');

 dcl GetKBCodePage
     entry ()
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetKBCodePage');

 dcl GetKeyState
     entry (fixed bin(31))
     returns (optional type SHORT byvalue)
     WINUSERAPI WINAPI external('GetKeyState');

 dcl GetAsyncKeyState
     entry (fixed bin(31))
     returns (optional type SHORT byvalue)
     WINUSERAPI WINAPI external('GetAsyncKeyState');

 dcl GetKeyboardState
     entry ((256) type BYTE byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetKeyboardState');

 dcl SetKeyboardState
     entry ((256) type BYTE byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetKeyboardState');

 dcl GetKeyNameTextA
     entry (type LONG,
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetKeyNameTextA');

 dcl GetKeyNameTextW
     entry (type LONG,
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetKeyNameTextW');

 %dcl GetKeyNameText char ext;
 %if UNICODE ^= '' %then %do;
   %GetKeyNameText='GetKeyNameTextW';
 %end; %else %do;
   %GetKeyNameText='GetKeyNameTextA';
 %end; /* !UNICODE */


 dcl GetKeyboardType
     entry (fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetKeyboardType');

 dcl ToAscii
     entry (type UINT,
            type UINT,
            (256) type BYTE byaddr,
            type WORD byaddr,
            type UINT)
   returns (optional fixed bin(31) byvalue)
  WINUSERAPI WINAPI external('ToAscii');


 %if WINVER >= 1024 %then %do;
 dcl ToAsciiEx
     entry (type UINT,
            type UINT,
            (256) type BYTE byaddr,
            type WORD byaddr,
            type UINT,
            type HKL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('ToAsciiEx');
 %end; /* WINVER >= 0x0400 */


 dcl ToUnicode
     entry (type UINT,
            type UINT,
            (256) type BYTE byaddr,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('ToUnicode');

 dcl OemKeyScan
     entry (type WORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('OemKeyScan');

 dcl VkKeyScanA
     entry (char(1))
     returns (optional type SHORT byvalue)
     WINUSERAPI WINAPI external('VkKeyScanA');

 dcl VkKeyScanW
     entry  (WCHAR(1))
     returns (optional type SHORT byvalue)
     WINUSERAPI WINAPI external('VkKeyScanW');

 %dcl VkKeyScan char ext;
 %if UNICODE ^= '' %then %do;
   %VkKeyScan='VkKeyScanW';
 %end; %else %do;
   %VkKeyScan='VkKeyScanA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl VkKeyScanExA
     entry (char(1),
            type HKL)
     returns (optional type SHORT byvalue)
     WINUSERAPI WINAPI external('VkKeyScanExA');

 dcl VkKeyScanExW
     entry (WCHAR(1),
            type HKL)
     returns (optional type SHORT byvalue)
     WINUSERAPI WINAPI external('VkKeyScanExW');

 %dcl VkKeyScanEx char ext;
 %if UNICODE ^= '' %then %do;
   %VkKeyScanEx='VkKeyScanExW';
 %end; %else %do;
   %VkKeyScanEx='VkKeyScanExA';
 %end; /* !UNICODE */
 %end; /* WINVER >= 0x0400 */

 dcl KEYEVENTF_EXTENDEDKEY   type DWORD value('0001'xu);
 dcl KEYEVENTF_KEYUP         type DWORD value('0002'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl KEYEVENTF_UNICODE       type DWORD value('0004'xu);
 dcl KEYEVENTF_SCANCODE      type DWORD value('0008'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl keybd_event
     entry (type BYTE,
            type BYTE,
            type DWORD,
            type ULONG_PTR)
     WINUSERAPI WINAPI external('keybd_event');


 dcl MOUSEEVENTF_MOVE        type DWORD value('0001'xu);
     /* mouse move */
 dcl MOUSEEVENTF_LEFTDOWN    type DWORD value('0002'xu);
     /* left button down */
 dcl MOUSEEVENTF_LEFTUP      type DWORD value('0004'xu);
     /* left button up */
 dcl MOUSEEVENTF_RIGHTDOWN   type DWORD value('0008'xu);
     /* right button down */
 dcl MOUSEEVENTF_RIGHTUP     type DWORD value('0010'xu);
     /* right button up */
 dcl MOUSEEVENTF_MIDDLEDOWN  type DWORD value('0020'xu);
     /* middle button down */
 dcl MOUSEEVENTF_MIDDLEUP    type DWORD value('0040'xu);
     /* middle button up */
 dcl MOUSEEVENTF_XDOWN       type DWORD value('0080'xu);
     /* x button down */
 dcl MOUSEEVENTF_XUP         type DWORD value('0100'xu);
     /* x button down */
 dcl MOUSEEVENTF_WHEEL       type DWORD value('0800'xu);
     /* wheel button rolled */
 dcl MOUSEEVENTF_VIRTUALDESK type DWORD value('4000'xu);
     /* map to entire virtual desktop */
 dcl MOUSEEVENTF_ABSOLUTE    type DWORD value('8000'xu);
     /* absolute move */

 dcl mouse_event
     entry (type DWORD,
            type DWORD,
            type DWORD,
            type DWORD,
            type ULONG_PTR)
     WINUSERAPI WINAPI external('mouse_event');

 %if #WIN32_WINNT >= 1024 %then %do;

 define structure
   1 MOUSEINPUT,
     2 dx          type LONG,
     2 dy          type LONG,
     2 mouseData   type DWORD,
     2 dwFlags     type DWORD,
     2 time        type DWORD,
     2 dwExtraInfo type ULONG_PTR;
 define alias  PMOUSEINPUT handle MOUSEINPUT;
 define alias LPMOUSEINPUT handle MOUSEINPUT;

 define structure
   1 KEYBDINPUT,
     2 wVk         type WORD,
     2 wScan       type WORD,
     2 dwFlags     type DWORD,
     2 time        type DWORD,
     2 dwExtraInfo type ULONG_PTR;
 define alias  PKEYBDINPUT handle KEYBDINPUT;
 define alias LPKEYBDINPUT handle KEYBDINPUT;


 define structure
   1 HARDWAREINPUT,
     2 uMsg        type DWORD,
     2 wParamL     type WORD,
     2 wParamH     type WORD,
     2 dwExtraInfo type ULONG_PTR;
 define alias  PHARDWAREINPUT handle HARDWAREINPUT;
 define alias LPHARDWAREINPUT handle HARDWAREINPUT;

 dcl INPUT_MOUSE    fixed bin (31) value (0);
 dcl INPUT_KEYBOARD fixed bin (31) value (1);
 dcl INPUT_HARDWARE fixed bin (31) value (2);

 define structure
   1 INPUT,
     2 type type DWORD,
     2 * union,
       3 mi type MOUSEINPUT,
       3 ki type KEYBDINPUT,
       3 hi type HARDWAREINPUT;
 define alias  PINPUT handle INPUT;
 define alias LPINPUT handle INPUT;

 dcl SendInput
     entry (type UINT,      /* number of inputs in the array */
            type LPINPUT,   /* array of inputs               */
            fixed bin (31)) /* sizeof(INPUT)                 */
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('SendInput');

 %end; /* (_WIN32_WINNT >= 1024) */

 %if #WIN32_WINNT >= 1280 %then %do;
 define structure
   1 LASTINPUTINFO,
     2 cbSize type UINT,
     2 dwTime type DWORD;
 define alias PLASTINPUTINFO handle LASTINPUTINFO;

 dcl GetLastInputInfo
     entry (type LASTINPUTINFO byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetLastInputInfo');
 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl MapVirtualKeyA
     entry (type UINT,
            type UINT)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('MapVirtualKeyA');

 dcl MapVirtualKeyW
     entry (type UINT,
            type UINT)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('MapVirtualKeyW');

 %dcl MapVirtualKey char ext;
 %if UNICODE ^= '' %then %do;
   %MapVirtualKey='MapVirtualKeyW';
 %end; %else %do;
   %MapVirtualKey='MapVirtualKeyA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl MapVirtualKeyExA
     entry (type UINT,
            type UINT,
            type HKL)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('MapVirtualKeyExA');

 dcl MapVirtualKeyExW
     entry (type UINT,
            type UINT,
            type HKL)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('MapVirtualKeyExW');

 %dcl MapVirtualKeyEx char ext;
 %if UNICODE ^= '' %then %do;
   %MapVirtualKeyEx='MapVirtualKeyExW';
 %end; %else %do;
   %MapVirtualKeyEx='MapVirtualKeyExA';
 %end; /* !UNICODE */

 %end; /* WINVER >= 0x0400 */


 dcl GetInputState
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetInputState');

 dcl GetQueueStatus
     entry (type UINT)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetQueueStatus');

 dcl GetCapture
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetCapture');

 dcl SetCapture
     entry (type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('SetCapture');

 dcl ReleaseCapture
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ReleaseCapture');

 dcl MsgWaitForMultipleObjects
     entry (type DWORD,
            type LPHANDLE, /* to type HANDLE or (*) type HANDLE */
            type BOOL,
            type DWORD,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('MsgWaitForMultipleObjects');

 dcl MsgWaitForMultipleObjectsEx
     entry (type DWORD,
            type LPHANDLE, /* to type HANDLE or (*) type HANDLE */
            type DWORD,
            type DWORD,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('MsgWaitForMultipleObjectsEx');

 dcl MWMO_WAITALL        type DWORD value('0001'xu);
 dcl MWMO_ALERTABLE      type DWORD value('0002'xu);
 dcl MWMO_INPUTAVAILABLE type DWORD value('0004'xu);

 /* Queue status flags for GetQueueStatus() */
 /* and MsgWaitForMultipleObjects()         */
 dcl QS_KEY            type UINT value('0001'xu);
 dcl QS_MOUSEMOVE      type UINT value('0002'xu);
 dcl QS_MOUSEBUTTON    type UINT value('0004'xu);
 dcl QS_POSTMESSAGE    type UINT value('0008'xu);
 dcl QS_TIMER          type UINT value('0010'xu);
 dcl QS_PAINT          type UINT value('0020'xu);
 dcl QS_SENDMESSAGE    type UINT value('0040'xu);
 dcl QS_HOTKEY         type UINT value('0080'xu);
 dcl QS_ALLPOSTMESSAGE type UINT value('0100'xu);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl QS_RAWINPUT       type UINT value('0400'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */
 dcl QS_MOUSE          type UINT
     value(ior (QS_MOUSEMOVE, QS_MOUSEBUTTON));
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl QS_INPUT          type UINT
     value(ior (QS_MOUSE, QS_KEY, QS_RAWINPUT));
 %end; %else %do;
 dcl QS_INPUT          type UINT
     value(ior (QS_MOUSE, QS_KEY));
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl QS_ALLEVENTS      type UINT
     value (ior (QS_INPUT, QS_POSTMESSAGE, QS_TIMER, QS_PAINT,
                 QS_HOTKEY));
 dcl QS_ALLINPUT       type UINT
     value (ior (QS_INPUT, QS_POSTMESSAGE, QS_TIMER, QS_PAINT,
                 QS_HOTKEY, QS_SENDMESSAGE));

 /* rest of PM_* values: */
 %if WINVER >= 1280 %then %do;
 dcl PM_QS_INPUT       type UINT value (raise2 (QS_INPUT, 16));
 dcl PM_QS_POSTMESSAGE type UINT
     value (raise2 (ior (QS_POSTMESSAGE, QS_HOTKEY, QS_TIMER), 16));
 dcl PM_QS_PAINT       type UINT value (raise2 (QS_PAINT, 16));
 dcl PM_QS_SENDMESSAGE type UINT value (raise2 (QS_SENDMESSAGE, 16));
 %end; /* WINVER >= 0x0500 */


 /* Windows Functions */

 dcl SetTimer
     entry (type HWND,
            type UINT,
            type UINT,
            type TIMERPROC optional byvalue)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('SetTimer');

 dcl KillTimer
     entry (type HWND,
            type UINT)
   returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('KillTimer');

 dcl IsWindowUnicode
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsWindowUnicode');

 dcl EnableWindow
     entry (type HWND,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnableWindow');

 dcl IsWindowEnabled
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsWindowEnabled');

 dcl LoadAcceleratorsA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn)  /* use pli_b2z for atom */
     returns (optional type HACCEL byvalue)
     WINUSERAPI WINAPI external('LoadAcceleratorsA');

 dcl LoadAcceleratorsW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HACCEL byvalue)
     WINUSERAPI WINAPI external('LoadAcceleratorsW');

 %dcl LoadAccelerators char ext;
 %if UNICODE ^= '' %then %do;
   %LoadAccelerators='LoadAcceleratorsW';
 %end; %else %do;
   %LoadAccelerators='LoadAcceleratorsA';
 %end; /* !UNICODE */


 dcl CreateAcceleratorTableA
     entry ((*) type ACCEL byaddr,
            fixed bin(31))
     returns (optional type HACCEL byvalue)
     WINUSERAPI WINAPI external('CreateAcceleratorTableA');

 dcl CreateAcceleratorTableW
     entry ((*) type ACCEL byaddr,
            fixed bin(31))
     returns (optional type HACCEL byvalue)
     WINUSERAPI WINAPI external('CreateAcceleratorTableW');

 %dcl CreateAcceleratorTable char ext;
 %if UNICODE ^= '' %then %do;
   %CreateAcceleratorTable='CreateAcceleratorTableW';
 %end; %else %do;
   %CreateAcceleratorTable='CreateAcceleratorTableA';
 %end; /* !UNICODE */

 dcl DestroyAcceleratorTable
     entry (type HACCEL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DestroyAcceleratorTable');

 dcl CopyAcceleratorTableA
     entry (type HACCEL,
            (*) type ACCEL byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('CopyAcceleratorTableA');

 dcl CopyAcceleratorTableW
     entry (type HACCEL,
            (*) type ACCEL byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('CopyAcceleratorTableW');

 %dcl CopyAcceleratorTable char ext;
 %if UNICODE ^= '' %then %do;
   %CopyAcceleratorTable='CopyAcceleratorTableW';
 %end; %else %do;
   %CopyAcceleratorTable='CopyAcceleratorTableA';
 %end; /* !UNICODE */


 %if NOMSG = '' %then %do;

 dcl TranslateAcceleratorA
     entry (type HWND,
            type HACCEL,
            type MSG byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('TranslateAcceleratorA');

 dcl TranslateAcceleratorW
     entry (type HWND,
            type HACCEL,
            type MSG byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('TranslateAcceleratorW');

 %dcl TranslateAccelerator char ext;
 %if UNICODE ^= '' %then %do;
   %TranslateAccelerator='TranslateAcceleratorW';
 %end; %else %do;
   %TranslateAccelerator='TranslateAcceleratorA';
 %end; /* !UNICODE */

 %end; /* !NOMSG */

 %dcl NOSYSMETRICS char ext;
 %if NOSYSMETRICS = '' %then %do;

 /* GetSystemMetrics() codes   */
 dcl SM_CXSCREEN          fixed bin(31) value(0);
 dcl SM_CYSCREEN          fixed bin(31) value(1);
 dcl SM_CXVSCROLL         fixed bin(31) value(2);
 dcl SM_CYHSCROLL         fixed bin(31) value(3);
 dcl SM_CYCAPTION         fixed bin(31) value(4);
 dcl SM_CXBORDER          fixed bin(31) value(5);
 dcl SM_CYBORDER          fixed bin(31) value(6);
 dcl SM_CXDLGFRAME        fixed bin(31) value(7);
 dcl SM_CYDLGFRAME        fixed bin(31) value(8);
 dcl SM_CYVTHUMB          fixed bin(31) value(9);
 dcl SM_CXHTHUMB          fixed bin(31) value(10);
 dcl SM_CXICON            fixed bin(31) value(11);
 dcl SM_CYICON            fixed bin(31) value(12);
 dcl SM_CXCURSOR          fixed bin(31) value(13);
 dcl SM_CYCURSOR          fixed bin(31) value(14);
 dcl SM_CYMENU            fixed bin(31) value(15);
 dcl SM_CXFULLSCREEN      fixed bin(31) value(16);
 dcl SM_CYFULLSCREEN      fixed bin(31) value(17);
 dcl SM_CYKANJIWINDOW     fixed bin(31) value(18);
 dcl SM_MOUSEPRESENT      fixed bin(31) value(19);
 dcl SM_CYVSCROLL         fixed bin(31) value(20);
 dcl SM_CXHSCROLL         fixed bin(31) value(21);
 dcl SM_DEBUG             fixed bin(31) value(22);
 dcl SM_SWAPBUTTON        fixed bin(31) value(23);
 dcl SM_RESERVED1         fixed bin(31) value(24);
 dcl SM_RESERVED2         fixed bin(31) value(25);
 dcl SM_RESERVED3         fixed bin(31) value(26);
 dcl SM_RESERVED4         fixed bin(31) value(27);
 dcl SM_CXMIN             fixed bin(31) value(28);
 dcl SM_CYMIN             fixed bin(31) value(29);
 dcl SM_CXSIZE            fixed bin(31) value(30);
 dcl SM_CYSIZE            fixed bin(31) value(31);
 dcl SM_CXFRAME           fixed bin(31) value(32);
 dcl SM_CYFRAME           fixed bin(31) value(33);
 dcl SM_CXMINTRACK        fixed bin(31) value(34);
 dcl SM_CYMINTRACK        fixed bin(31) value(35);
 dcl SM_CXDOUBLECLK       fixed bin(31) value(36);
 dcl SM_CYDOUBLECLK       fixed bin(31) value(37);
 dcl SM_CXICONSPACING     fixed bin(31) value(38);
 dcl SM_CYICONSPACING     fixed bin(31) value(39);
 dcl SM_MENUDROPALIGNMENT fixed bin(31) value(40);
 dcl SM_PENWINDOWS        fixed bin(31) value(41);
 dcl SM_DBCSENABLED       fixed bin(31) value(42);
 dcl SM_CMOUSEBUTTONS     fixed bin(31) value(43);

 %if WINVER >= 1024 %then %do;      /* win40 name changes */
 dcl SM_CXFIXEDFRAME      fixed bin(31) value(SM_CXDLGFRAME);
 dcl SM_CYFIXEDFRAME      fixed bin(31) value(SM_CYDLGFRAME);
 dcl SM_CXSIZEFRAME       fixed bin(31) value(SM_CXFRAME);
 dcl SM_CYSIZEFRAME       fixed bin(31) value(SM_CYFRAME);

 dcl SM_SECURE            fixed bin(31) value(44);
 dcl SM_CXEDGE            fixed bin(31) value(45);
 dcl SM_CYEDGE            fixed bin(31) value(46);
 dcl SM_CXMINSPACING      fixed bin(31) value(47);
 dcl SM_CYMINSPACING      fixed bin(31) value(48);
 dcl SM_CXSMICON          fixed bin(31) value(49);
 dcl SM_CYSMICON          fixed bin(31) value(50);
 dcl SM_CYSMCAPTION       fixed bin(31) value(51);
 dcl SM_CXSMSIZE          fixed bin(31) value(52);
 dcl SM_CYSMSIZE          fixed bin(31) value(53);
 dcl SM_CXMENUSIZE        fixed bin(31) value(54);
 dcl SM_CYMENUSIZE        fixed bin(31) value(55);
 dcl SM_ARRANGE           fixed bin(31) value(56);
 dcl SM_CXMINIMIZED       fixed bin(31) value(57);
 dcl SM_CYMINIMIZED       fixed bin(31) value(58);
 dcl SM_CXMAXTRACK        fixed bin(31) value(59);
 dcl SM_CYMAXTRACK        fixed bin(31) value(60);
 dcl SM_CXMAXIMIZED       fixed bin(31) value(61);
 dcl SM_CYMAXIMIZED       fixed bin(31) value(62);
 dcl SM_NETWORK           fixed bin(31) value(63);
 dcl SM_CLEANBOOT         fixed bin(31) value(67);
 dcl SM_CXDRAG            fixed bin(31) value(68);
 dcl SM_CYDRAG            fixed bin(31) value(69);
 %end; /* WINVER >= 0x0400 */

 dcl SM_SHOWSOUNDS        fixed bin(31) value(70);

 %if WINVER >= 1024 %then %do;
 dcl SM_CXMENUCHECK       fixed bin(31) value(71);
     /* Use instead of GetMenuCheckMarkDimensions()! */
 dcl SM_CYMENUCHECK       fixed bin(31) value(72);
 dcl SM_SLOWMACHINE       fixed bin(31) value(73);
 dcl SM_MIDEASTENABLED    fixed bin(31) value(74);
 %end;

 %if WINVER >= 1280 | #WIN32_WINNT >= 1024 %then %do;
 dcl SM_MOUSEWHEELPRESENT fixed bin(31) value(75);
 %end;
 %if WINVER >= 1280  %then %do;
 dcl SM_XVIRTUALSCREEN    fixed bin(31) value(76);
 dcl SM_YVIRTUALSCREEN    fixed bin(31) value(77);
 dcl SM_CXVIRTUALSCREEN   fixed bin(31) value(78);
 dcl SM_CYVIRTUALSCREEN   fixed bin(31) value(79);
 dcl SM_CMONITORS         fixed bin(31) value(80);
 dcl SM_SAMEDISPLAYFORMAT fixed bin(31) value(81);
 %end; /* WINVER >= 0x0500 */
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl SM_IMMENABLED        fixed bin(31) value(82);
 %end; /* _WIN32_WINNT >= 0x0500 */
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl SM_CXFOCUSBORDER     fixed bin(31) value(83);
 dcl SM_CYFOCUSBORDER     fixed bin(31) value(84);
 %end; /* _WIN32_WINNT >= 0x0501 */

 %if WINVER < 1280 | #WIN32_WINNT < 1024 %then %do;
 dcl SM_CMETRICS          fixed bin(31) value(76);
 %end;
 %else %do;
 dcl SM_CMETRICS          fixed bin(31) value(86);
 %end;

 %if WINVER >= 1280 %then %do;
 dcl SM_REMOTESESSION     fixed bin(31) value('1000'xn);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl SM_SHUTTINGDOWN      fixed bin(31) value('2000'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */
 %end; /* WINVER >= 0x0500 */

 dcl GetSystemMetrics
     entry (fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetSystemMetrics');

 %end; /* !NOSYSMETRICS */

 %dcl NOMENUS char ext;
 %if NOMENUS = '' %then %do;

 dcl LoadMenuA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn)  /* use pli_b2z for atom */
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('LoadMenuA');

 dcl LoadMenuW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('LoadMenuW');

 %dcl LoadMenu char ext;
 %if UNICODE ^= '' %then %do;
   %LoadMenu='LoadMenuW';
 %end; %else %do;
   %LoadMenu='LoadMenuA';
 %end; /* !UNICODE */

 dcl LoadMenuIndirectA
     entry (ptr) /* to initial MENUITEMTEMPLATEHEADER */
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('LoadMenuIndirectA');

 dcl LoadMenuIndirectW
     entry (ptr) /* to initial MENUITEMTEMPLATEHEADER */
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('LoadMenuIndirectW');

 %dcl LoadMenuIndirect char ext;
 %if UNICODE ^= '' %then %do;
   %LoadMenuIndirect='LoadMenuIndirectW';
 %end; %else %do;
   %LoadMenuIndirect='LoadMenuIndirectA';
 %end; /* !UNICODE */

 dcl GetMenu
     entry (type HWND)
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('GetMenu');

 dcl SetMenu
     entry (type HWND,type HMENU)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenu');

 dcl ChangeMenuA       /* obsolete and superceded */
     entry (type HMENU,
            type UINT,
            pointer,   /* to menu item content */
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ChangeMenuA');

 dcl ChangeMenuW       /* obsolete and superceded */
     entry (type HMENU,
            type UINT,
            pointer,   /* to menu item content */
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ChangeMenuW');

 %dcl ChangeMenu char ext;
 %if UNICODE ^= '' %then %do;
   %ChangeMenu='ChangeMenuW';
 %end; %else %do;
   %ChangeMenu='ChangeMenuA';
 %end; /* !UNICODE */

 dcl HiliteMenuItem
     entry (type HWND,
            type HMENU,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('HiliteMenuItem');

 dcl GetMenuStringA
     entry (type HMENU,
            type UINT,
            char (*) varz byaddr optional,
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetMenuStringA');

 dcl GetMenuStringW
     entry (type HMENU,
            type UINT,
            WCHAR (*) varz byaddr optional,
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetMenuStringW');

 %dcl GetMenuString char ext;
 %if UNICODE ^= '' %then %do;
   %GetMenuString='GetMenuStringW';
 %end; %else %do;
   %GetMenuString='GetMenuStringA';
 %end; /* !UNICODE */

 dcl GetMenuState
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetMenuState');

 dcl DrawMenuBar
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DrawMenuBar');

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl PMB_ACTIVE      type DWORD value ('00000001'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl GetSystemMenu
     entry (type HWND,
            type BOOL)
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('GetSystemMenu');

 dcl CreateMenu
     entry ()
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('CreateMenu');

 dcl CreatePopupMenu
     entry ()
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('CreatePopupMenu');

 dcl DestroyMenu
     entry (type HMENU)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DestroyMenu');

 dcl CheckMenuItem
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('CheckMenuItem');

 dcl EnableMenuItem
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnableMenuItem');

 dcl GetSubMenu
     entry (type HMENU,
            fixed bin(31))
     returns (optional type HMENU byvalue)
     WINUSERAPI WINAPI external('GetSubMenu');

 dcl GetMenuItemID
     entry (type HMENU,
            fixed bin(31))
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetMenuItemID');

 dcl GetMenuItemCount
     entry (type HMENU)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetMenuItemCount');

 dcl InsertMenuA
     entry (type HMENU,
            type UINT,
            type UINT,
            type UINT,
            pointer) /* to menu item content */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InsertMenuA');

 dcl InsertMenuW
     entry (type HMENU,
            type UINT,
            type UINT,
            type UINT,
            pointer) /* to menu item content */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InsertMenuW');

 %dcl InsertMenu char ext;
 %if UNICODE ^= '' %then %do;
   %InsertMenu='InsertMenuW';
 %end; %else %do;
   %InsertMenu='InsertMenuA';
 %end; /* !UNICODE */

 dcl AppendMenuA
     entry (type HMENU,
            type UINT,
            type UINT,
            pointer) /* to menu item content */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AppendMenuA');

 dcl AppendMenuW
     entry (type HMENU,
            type UINT,
            type UINT,
            pointer) /* to menu item content */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AppendMenuW');

 %dcl AppendMenu char ext;
 %if UNICODE ^= '' %then %do;
   %AppendMenu='AppendMenuW';
 %end; %else %do;
   %AppendMenu='AppendMenuA';
 %end; /* !UNICODE */

 dcl ModifyMenuA
     entry (type HMENU,
            type UINT,
            type UINT,
            type UINT,
            pointer) /* to menu item content */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ModifyMenuA');

 dcl ModifyMenuW
     entry (type HMENU,
            type UINT,
            type UINT,
            type UINT,
            pointer) /* to menu item content */
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ModifyMenuW');

 %dcl ModifyMenu char ext;
 %if UNICODE ^= '' %then %do;
   %ModifyMenu='ModifyMenuW';
 %end; %else %do;
   %ModifyMenu='ModifyMenuA';
 %end; /* !UNICODE */

 dcl RemoveMenu
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('RemoveMenu');

 dcl DeleteMenu
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DeleteMenu');

 dcl SetMenuItemBitmaps
     entry (type HMENU,
            type UINT,
            type UINT,
            type HBITMAP,
            type HBITMAP)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenuItemBitmaps');

 dcl GetMenuCheckMarkDimensions
     entry ()
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('GetMenuCheckMarkDimensions');

 dcl TrackPopupMenu
     entry (type HMENU,
            type UINT,
            fixed bin (31),
            fixed bin (31),
            fixed bin (31),
            type HWND,
            type RECT byaddr nonasgn optional)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('TrackPopupMenu');

 %if WINVER >= 1024 %then %do;
 /* return codes for WM_MENUCHAR */
 dcl MNC_IGNORE  fixed bin(31) value(0);
 dcl MNC_CLOSE   fixed bin(31) value(1);
 dcl MNC_EXECUTE fixed bin(31) value(2);
 dcl MNC_SELECT  fixed bin(31) value(3);

 define structure
   1 TPMPARAMS,
     2 cbSize    type UINT, /* Size of structure */
     2 rcExclude type RECT; /* Screen coordinates of rectangle*/
                            /* to exclude when positioning */

 define alias LPTPMPARAMS handle TPMPARAMS;

 dcl TrackPopupMenuEx
     entry (type HMENU,
            type UINT,
            fixed bin(31),
            fixed bin(31),
            type HWND,
            type TPMPARAMS byaddr optional)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('TrackPopupMenuEx');
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 dcl MNS_NOCHECK          type DWORD value('80000000'xu);
 dcl MNS_MODELESS         type DWORD value('40000000'xu);
 dcl MNS_DRAGDROP         type DWORD value('20000000'xu);
 dcl MNS_AUTODISMISS      type DWORD value('10000000'xu);
 dcl MNS_NOTIFYBYPOS      type DWORD value('08000000'xu);
 dcl MNS_CHECKORBMP       type DWORD value('04000000'xu);

 dcl MIM_MAXHEIGHT        type DWORD value('00000001'xu);
 dcl MIM_BACKGROUND       type DWORD value('00000002'xu);
 dcl MIM_HELPID           type DWORD value('00000004'xu);
 dcl MIM_MENUDATA         type DWORD value('00000008'xu);
 dcl MIM_STYLE            type DWORD value('00000010'xu);
 dcl MIM_APPLYTOSUBMENUS  type DWORD value('80000000'xu);

 define structure
   1 MENUINFO,
     2 cbSize          type DWORD,
     2 fMask           type DWORD,
     2 dwStyle         type DWORD,
     2 cyMax           type UINT,
     2 hbrBack         type HBRUSH,
     2 dwContextHelpID type ULONG_PTR,
     2 dwMenuData      type DWORD;
 define alias  LPMENUINFO handle MENUINFO;
 define alias LPCMENUINFO handle MENUINFO;

 dcl GetMenuInfo
      entry (type HMENU,
             type MENUINFO byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetMenuInfo');

 dcl SetMenuInfo
     entry (type HMENU,
            type MENUINFO byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenuInfo');

 dcl EndMenu
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EndMenu');

 /* WM_MENUDRAG return values. */
 dcl MND_CONTINUE       fixed bin(31) value(0);
 dcl MND_ENDMENU        fixed bin(31) value(1);

 define structure
   1 MENUGETOBJECTINFO,
     2 dwFlags type DWORD,
     2 uPos    type UINT,
     2 hmenu   type HMENU,
     2 riid    type PVOID,
     2 pvObj   type PVOID;
 define alias PMENUGETOBJECTINFO handle MENUGETOBJECTINFO;

 /* MENUGETOBJECTINFO dwFlags values */
 dcl MNGOF_GAP            type DWORD value('00000003'xu);

 /* WM_MENUGETOBJECT return values */
 dcl MNGO_NOINTERFACE     type DWORD value('00000000'xu);
 dcl MNGO_NOERROR         type DWORD value('00000001'xu);
 %end; /* WINVER >= 0x0500 */

 %if WINVER >= 1024 %then %do;

 dcl MIIM_STATE      type DWORD value('00000001'xu);
 dcl MIIM_ID         type DWORD value('00000002'xu);
 dcl MIIM_SUBMENU    type DWORD value('00000004'xu);
 dcl MIIM_CHECKMARKS type DWORD value('00000008'xu);
 dcl MIIM_TYPE       type DWORD value('00000010'xu);
 dcl MIIM_DATA       type DWORD value('00000020'xu);

 %if WINVER >= 1280 %then %do;
 dcl MIIM_STRING     type DWORD value('00000040'xu);
 dcl MIIM_BITMAP     type DWORD value('00000080'xu);
 dcl MIIM_FTYPE      type DWORD value('00000100'xu);

 dcl HBMMENU_CALLBACK            type HBITMAP value (ptrvalue(-1));
 dcl HBMMENU_SYSTEM              type HBITMAP value (ptrvalue( 1));
 dcl HBMMENU_MBAR_RESTORE        type HBITMAP value (ptrvalue( 2));
 dcl HBMMENU_MBAR_MINIMIZE       type HBITMAP value (ptrvalue( 3));
 dcl HBMMENU_MBAR_CLOSE          type HBITMAP value (ptrvalue( 5));
 dcl HBMMENU_MBAR_CLOSE_D        type HBITMAP value (ptrvalue( 6));
 dcl HBMMENU_MBAR_MINIMIZE_D     type HBITMAP value (ptrvalue( 7));
 dcl HBMMENU_POPUP_CLOSE         type HBITMAP value (ptrvalue( 8));
 dcl HBMMENU_POPUP_RESTORE       type HBITMAP value (ptrvalue( 9));
 dcl HBMMENU_POPUP_MAXIMIZE      type HBITMAP value (ptrvalue(10));
 dcl HBMMENU_POPUP_MINIMIZE      type HBITMAP value (ptrvalue(11));
 %end; /* WINVER >= 0x0500 */

 define structure
   1 MENUITEMINFOA,
     2 cbSize        type UINT,
     2 fMask         type UINT,
     2 fType         type UINT,   /* used if MIIM_TYPE */
     2 fState        type UINT,   /* used if MIIM_STATE */
     2 wID           type UINT,   /* used if MIIM_ID */
     2 hSubMenu      type HMENU,  /* used if MIIM_SUBMENU */
     2 hbmpChecked   type HBITMAP,/* used if MIIM_CHECKMARKS */
     2 hbmpUnchecked type HBITMAP,/* used if MIIM_CHECKMARKS */
     2 dwItemData    type ULONG_PTR, /* used if MIIM_DATA */
     2 dwTypeData    type LPSTR,  /* used if MIIM_TYPE */
     2 cch type      UINT         /* used if MIIM_TYPE */
 %if WINVER >= 1280 %then %do;
   , 2 hbmpItem      type HBITMAP /* used if MIIM_BITMAP */
 %end;
   ;
 define alias LPMENUITEMINFOA handle MENUITEMINFOA;

 define structure
   1 MENUITEMINFOW,
     2 cbSize        type UINT,
     2 fMask         type UINT,
     2 fType         type UINT,   /* used if MIIM_TYPE */
     2 fState        type UINT,   /* used if MIIM_STATE */
     2 wID           type UINT,   /* used if MIIM_ID */
     2 hSubMenu      type HMENU,  /* used if MIIM_SUBMENU */
     2 hbmpChecked   type HBITMAP,/* used if MIIM_CHECKMARKS */
     2 hbmpUnchecked type HBITMAP,/* used if MIIM_CHECKMARKS */
     2 dwItemData    type ULONG_PTR, /* used if MIIM_DATA */
     2 dwTypeData    type LPWSTR, /* used if MIIM_TYPE */
     2 cch           type UINT    /* used if MIIM_TYPE */
 %if WINVER >= 1280 %then %do;
   , 2 hbmpItem      type HBITMAP /* used if MIIM_BITMAP */
 %end;
   ;
 define alias LPMENUITEMINFOW handle MENUITEMINFOW;

 %if UNICODE ^= '' %then %do;
 define alias   MENUITEMINFO type   MENUITEMINFOW;
 define alias LPMENUITEMINFO type LPMENUITEMINFOW;
 %end; %else %do;
 define alias   MENUITEMINFO type   MENUITEMINFOA;
 define alias LPMENUITEMINFO type LPMENUITEMINFOA;
 %end; /* UNICODE */

 define alias LPCMENUITEMINFOA handle MENUITEMINFOA;
 define alias LPCMENUITEMINFOW handle MENUITEMINFOW;

 %if UNICODE ^= '' %then %do;
 define alias LPCMENUITEMINFO type LPCMENUITEMINFOW;
 %end; %else %do;
 define alias LPCMENUITEMINFO type LPCMENUITEMINFOA;
 %end; /* UNICODE */


 dcl InsertMenuItemA
      entry (type HMENU,
             type UINT,
             type BOOL,
             type MENUITEMINFOA byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InsertMenuItemA');

 dcl InsertMenuItemW
     entry (type HMENU,
            type UINT,
            type BOOL,
            type MENUITEMINFOW byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InsertMenuItemW');

 %dcl InsertMenuItem char ext;
 %if UNICODE ^= '' %then %do;
   %InsertMenuItem='InsertMenuItemW';
 %end; %else %do;
   %InsertMenuItem='InsertMenuItemA';
 %end; /* !UNICODE */

 dcl GetMenuItemInfoA
     entry (type HMENU,
            type UINT,
            type BOOL,
            type MENUITEMINFOA byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetMenuItemInfoA');

 dcl GetMenuItemInfoW
     entry (type HMENU,
            type UINT,
            type BOOL,
            type MENUITEMINFOW byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetMenuItemInfoW');

 %dcl GetMenuItemInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetMenuItemInfo='GetMenuItemInfoW';
 %end; %else %do;
   %GetMenuItemInfo='GetMenuItemInfoA';
 %end; /* !UNICODE */


 dcl SetMenuItemInfoA
     entry (type HMENU,
            type UINT,
            type BOOL,
            type MENUITEMINFOA byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenuItemInfoA');

 dcl SetMenuItemInfoW
     entry (type HMENU,
            type UINT,
            type BOOL,
            type MENUITEMINFOW byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenuItemInfoW');

 %dcl SetMenuItemInfo char ext;
 %if UNICODE ^= '' %then %do;
   %SetMenuItemInfo='SetMenuItemInfoW';
 %end; %else %do;
   %SetMenuItemInfo='SetMenuItemInfoA';
 %end; /* !UNICODE */

 dcl GMDI_USEDISABLED  type UINT value('0001'xu);
 dcl GMDI_GOINTOPOPUPS type UINT value('0002'xu);

 dcl GetMenuDefaultItem
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetMenuDefaultItem');

 dcl SetMenuDefaultItem
     entry (type HMENU,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenuDefaultItem');

 dcl GetMenuItemRect
     entry (type HWND,
            type HMENU,
            type UINT,
            type RECT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetMenuItemRect');

 dcl MenuItemFromPoint
     entry (type HWND,
            type HMENU,
            type POINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MenuItemFromPoint');

 %end; /* WINVER >= 0x0400 */

 /* Flags for TrackPopupMenu */
 dcl TPM_LEFTBUTTON      type UINT value('0000'xu);
 dcl TPM_RIGHTBUTTON     type UINT value('0002'xu);
 dcl TPM_LEFTALIGN       type UINT value('0000'xu);
 dcl TPM_CENTERALIGN     type UINT value('0004'xu);
 dcl TPM_RIGHTALIGN      type UINT value('0008'xu);

 %if WINVER >= 1024 %then %do;
 dcl TPM_TOPALIGN        type UINT value('0000'xu);
 dcl TPM_VCENTERALIGN    type UINT value('0010'xu);
 dcl TPM_BOTTOMALIGN     type UINT value('0020'xu);
 dcl TPM_HORIZONTAL      type UINT value('0000'xu);
     /* Horz alignment matters more */
 dcl TPM_VERTICAL        type UINT value('0040'xu);
     /* Vert alignment matters more */
 dcl TPM_NONOTIFY        type UINT value('0080'xu);
     /* Don't send any notification msgs */
 dcl TPM_RETURNCMD       type UINT value('0100'xu);
 %end; /* WINVER >= 0x0400 */
 %if WINVER >= 1280 %then %do;
 dcl TPM_RECURSE         type UINT value('0001'xu);
 dcl TPM_HORPOSANIMATION type UINT value('0400'xu);
 dcl TPM_VERPOSANIMATION type UINT value('1000'xu);
 dcl TPM_VERNEGANIMATION type UINT value('2000'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl TPM_NOANIMATION     type UINT value('4000'xu);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl TPM_LAYOUTRTL       type UINT value('8000'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */
 %end; /* _WIN32_WINNT >= 0x0500 */

 %end; /* WINVER >= 0x0500 */

 %end; /* !NOMENUS */

 %if WINVER >= 1024 %then %do;

 /* Drag-and-drop support */
 /* Obsolete - use OLE instead */

 define structure
   1 DROPSTRUCT,
     2 hwndSource    type HWND,
     2 hwndSink      type HWND,
     2 wFmt          type DWORD,
     2 dwData        type DWORD,
     2 ptDrop        type POINT,
     2 dwControlData type DWORD;
 define alias  PDROPSTRUCT handle DROPSTRUCT;
 define alias LPDROPSTRUCT handle DROPSTRUCT;

 dcl DOF_EXECUTABLE type DWORD value('8001'xu);
 dcl DOF_DOCUMENT   type DWORD value('8002'xu);
 dcl DOF_DIRECTORY  type DWORD value('8003'xu);
 dcl DOF_MULTIPLE   type DWORD value('8004'xu);
 dcl DOF_PROGMAN    type DWORD value('0001'xu);
 dcl DOF_SHELLDATA  type DWORD value('0002'xu);

 dcl DO_DROPFILE    type DWORD value('454C4946'xu);
 dcl DO_PRINTFILE   type DWORD value('544E5250'xu);


 dcl DragObject
     entry (type HWND,
            type HWND,
            type UINT,
            type DWORD,
            type HCURSOR)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('DragObject');

 dcl DragDetect
     entry (type HWND,
            type POINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DragDetect');

 %end; /* WINVER >= 0x0400 */


 dcl DrawIcon
     entry (type HDC,
            fixed bin(31),
            fixed bin(31),
            type HICON)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DrawIcon');

 %dcl NODRAWTEXT char ext;
 %if NODRAWTEXT = '' %then %do;

 /* DrawText() Format Flags */

 dcl DT_TOP                  type UINT value('00000000'xu);
 dcl DT_LEFT                 type UINT value('00000000'xu);
 dcl DT_CENTER               type UINT value('00000001'xu);
 dcl DT_RIGHT                type UINT value('00000002'xu);
 dcl DT_VCENTER              type UINT value('00000004'xu);
 dcl DT_BOTTOM               type UINT value('00000008'xu);
 dcl DT_WORDBREAK            type UINT value('00000010'xu);
 dcl DT_SINGLELINE           type UINT value('00000020'xu);
 dcl DT_EXPANDTABS           type UINT value('00000040'xu);
 dcl DT_TABSTOP              type UINT value('00000080'xu);
 dcl DT_NOCLIP               type UINT value('00000100'xu);
 dcl DT_EXTERNALLEADING      type UINT value('00000200'xu);
 dcl DT_CALCRECT             type UINT value('00000400'xu);
 dcl DT_NOPREFIX             type UINT value('00000800'xu);
 dcl DT_INTERNAL             type UINT value('00001000'xu);

 %if WINVER >= 1024 %then %do;
 dcl DT_EDITCONTROL          type UINT value('00002000'xu);
 dcl DT_PATH_ELLIPSIS        type UINT value('00004000'xu);
 dcl DT_END_ELLIPSIS         type UINT value('00008000'xu);
 dcl DT_MODIFYSTRING         type UINT value('00010000'xu);
 dcl DT_RTLREADING           type UINT value('00020000'xu);
 dcl DT_WORD_ELLIPSIS        type UINT value('00040000'xu);
 %if WINVER >= 1280 %then %do;
 dcl DT_NOFULLWIDTHCHARBREAK type UINT value('00080000'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl DT_HIDEPREFIX           type UINT value('00100000'xu);
 dcl DT_PREFIXONLY           type UINT value('00200000'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */
 %end; /* WINVER >= 0x0500 */

 define structure
   1 DRAWTEXTPARAMS,
     2 cbSize        type UINT,
     2 iTabLength    fixed bin(31),
     2 iLeftMargin   fixed bin(31),
     2 iRightMargin  fixed bin(31),
     2 uiLengthDrawn type UINT;
 define alias LPDRAWTEXTPARAMS handle DRAWTEXTPARAMS;
 %end; /* WINVER >= 0x0400 */


 dcl DrawTextA
     entry (type HDC,
            char(*) varz byaddr nonasgn,
            fixed bin(31),
            type RECT byaddr,
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DrawTextA');

 dcl DrawTextW
     entry (type HDC,
            WCHAR(*) varz byaddr nonasgn,
            fixed bin(31),
            type RECT byaddr,
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DrawTextW');

 %dcl DrawText char ext;
 %if UNICODE ^= '' %then %do;
   %DrawText='DrawTextW';
 %end; %else %do;
   %DrawText='DrawTextA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl DrawTextExA
     entry (type HDC,
            char(*) varz byaddr,
            fixed bin(31),
            type RECT byaddr,
            type UINT,
            type DRAWTEXTPARAMS byaddr optional)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DrawTextExA');

 dcl DrawTextExW
     entry (type HDC,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            type RECT byaddr,
            type UINT,
            type DRAWTEXTPARAMS byaddr optional)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DrawTextExW');

 %dcl DrawTextEx char ext;
 %if UNICODE ^= '' %then %do;
   %DrawTextEx='DrawTextExW';
 %end; %else %do;
   %DrawTextEx='DrawTextExA';
 %end; /* !UNICODE */
 %end; /* WINVER >= 0x0400 */

 %end; /* !NODRAWTEXT */


 dcl GrayStringA
     entry (type HDC,
            type HBRUSH,
            type GRAYSTRINGPROC optional byvalue,
            type LPARAM,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GrayStringA');

 dcl GrayStringW
     entry (type HDC,
            type HBRUSH,
            type GRAYSTRINGPROC optional byvalue,
            type LPARAM,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GrayStringW');

 %dcl GrayString char ext;
 %if UNICODE ^= '' %then %do;
   %GrayString='GrayStringW';
 %end; %else %do;
   %GrayString='GrayStringA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;
 /* Monolithic state-drawing routine */
 /* Image type */
 dcl DST_COMPLEX    type UINT value('0000'xu);
 dcl DST_TEXT       type UINT value('0001'xu);
 dcl DST_PREFIXTEXT type UINT value('0002'xu);
 dcl DST_ICON       type UINT value('0003'xu);
 dcl DST_BITMAP     type UINT value('0004'xu);

 /* State type */
 dcl DSS_NORMAL     type UINT value('0000'xu);
 dcl DSS_UNION      type UINT value('0010'xu);
 /* Gray string appearance */
 dcl DSS_DISABLED   type UINT value('0020'xu);
 dcl DSS_MONO       type UINT value('0080'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl DSS_HIDEPREFIX type UINT value('0200'xu);
 dcl DSS_PREFIXONLY type UINT value('0400'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */
 dcl DSS_RIGHT      type UINT value('8000'xu);


 dcl DrawStateA
     entry (type HDC,
            type HBRUSH,
            type DRAWSTATEPROC optional byvalue,
            type LPARAM,
            type WPARAM,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DrawStateA');

 dcl DrawStateW
     entry (type HDC,
            type HBRUSH,
            type DRAWSTATEPROC optional byvalue,
            type LPARAM,
            type WPARAM,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DrawState');

 %dcl DrawState char ext;
 %if UNICODE ^= '' %then %do;
 %DrawState='DrawStateW';
 %end; %else %do;
   %DrawState='DrawStateA';
 %end; /* !UNICODE */
 %end; /* WINVER >= 0x0400 */


 dcl TabbedTextOutA
     entry (type HDC,
            fixed bin(31),
            fixed bin(31),
            char(*) varz byaddr nonasgn,
            fixed bin(31),
            fixed bin(31),
            (*) fixed bin (31) byaddr optional,
            fixed bin(31))
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('TabbedTextOutA');

 dcl TabbedTextOutW
     entry (type HDC,
            fixed bin(31),
            fixed bin(31),
            WCHAR(*) varz byaddr nonasgn,
            fixed bin(31),
            fixed bin(31),
            (*) fixed bin (31) byaddr optional,
            fixed bin(31))
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('TabbedTextOutW');

 %dcl TabbedTextOut char ext;
 %if UNICODE ^= '' %then %do;
   %TabbedTextOut='TabbedTextOutW';
 %end; %else %do;
   %TabbedTextOut='TabbedTextOutA';
 %end; /* !UNICODE */

 dcl GetTabbedTextExtentA
     entry (type HDC,
            char(*) varz byaddr nonasgn,
            fixed bin(31),
            fixed bin(31),
            (*) fixed bin (31) byaddr optional)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetTabbedTextExtentA');

 dcl GetTabbedTextExtentW
     entry (type HDC,
            WCHAR(*) varz byaddr nonasgn,
            fixed bin(31),
            fixed bin(31),
            (*) fixed bin (31) byaddr optional)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetTabbedTextExtentW');

 %dcl GetTabbedTextExtent char ext;
 %if UNICODE ^= '' %then %do;
   %GetTabbedTextExtent='GetTabbedTextExtentW';
 %end; %else %do;
   %GetTabbedTextExtent='GetTabbedTextExtentA';
 %end; /* !UNICODE */


 dcl UpdateWindow
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UpdateWindow');

 dcl GetForegroundWindow
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetForegroundWindow');

 %if WINVER >= 1024 %then %do;
 dcl PaintDesktop
     entry (type HDC)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PaintDesktop');
 %end; /* WINVER >= 0x0400 */


 dcl SetForegroundWindow
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetForegroundWindow');

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl AllowSetForegroundWindow
     entry (type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AllowSetForegroundWindow');

 dcl ASFW_ANY    type DWORD value('ffffffff'xu);

 dcl LockSetForegroundWindow
     entry (type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('LockSetForegroundWindow');

 dcl LSFW_LOCK   type UINT value(1);
 dcl LSFW_UNLOCK type UINT value(2);

 %end; /* _WIN32_WINNT >= 0x0500 */

 dcl WindowFromDC
     entry (type HDC)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('WindowFromDC');

 dcl GetDC
     entry (type HWND)
     returns (optional type HDC byvalue)
     WINUSERAPI WINAPI external('GetDC');

 dcl GetDCEx
     entry (type HWND,
            type HRGN,
            type DWORD)
     returns (optional type HDC byvalue)
     WINUSERAPI WINAPI external('GetDCEx');

 /* GetDCEx() flags */
 dcl DCX_WINDOW           type DWORD value('00000001'xu);
 dcl DCX_CACHE            type DWORD value('00000002'xu);
 dcl DCX_NORESETATTRS     type DWORD value('00000004'xu);
 dcl DCX_CLIPCHILDREN     type DWORD value('00000008'xu);
 dcl DCX_CLIPSIBLINGS     type DWORD value('00000010'xu);
 dcl DCX_PARENTCLIP       type DWORD value('00000020'xu);

 dcl DCX_EXCLUDERGN       type DWORD value('00000040'xu);
 dcl DCX_INTERSECTRGN     type DWORD value('00000080'xu);

 dcl DCX_EXCLUDEUPDATE    type DWORD value('00000100'xu);
 dcl DCX_INTERSECTUPDATE  type DWORD value('00000200'xu);

 dcl DCX_LOCKWINDOWUPDATE type DWORD value('00000400'xu);

 dcl DCX_VALIDATE         type DWORD value('00200000'xu);


 dcl GetWindowDC
     entry (type HWND)
     returns (optional type HDC byvalue)
     WINUSERAPI WINAPI external('GetWindowDC');

 dcl ReleaseDC
     entry (type HWND,
            type HDC)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('ReleaseDC');

 dcl BeginPaint
     entry (type HWND,
            type PAINTSTRUCT byaddr)
     returns (optional type HDC byvalue)
     WINUSERAPI WINAPI external('BeginPaint');

 dcl EndPaint
     entry (type HWND,
            type PAINTSTRUCT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EndPaint');

 dcl GetUpdateRect
     entry (type HWND,
            type RECT byaddr optional,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetUpdateRect');

 dcl GetUpdateRgn
     entry (type HWND,
            type HRGN,
            type BOOL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetUpdateRgn');

 dcl SetWindowRgn
     entry (type HWND,
            type HRGN,
            type BOOL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('SetWindowRgn');

 dcl GetWindowRgn
     entry (type HWND,
            type HRGN)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetWindowRgn');

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl GetWindowRgnBox
     entry (type HWND,
            type RECT byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetWindowRgnBox');
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl ExcludeUpdateRgn
     entry (type HDC,
            type HWND)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('ExcludeUpdateRgn');

 dcl InvalidateRect
     entry (type HWND,
            type RECT byaddr nonasgn,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InvalidateRect');

 dcl ValidateRect
     entry (type HWND,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ValidateRect');

 dcl InvalidateRgn
     entry (type HWND,
            type HRGN,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InvalidateRgn');

 dcl ValidateRgn
     entry (type HWND,
            type HRGN)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ValidateRgn');

 dcl RedrawWindow
     entry (type HWND,
            type RECT byaddr nonasgn,
            type HRGN,
            type UINT)
    returns (optional type BOOL byvalue)
    WINUSERAPI WINAPI external('RedrawWindow');

 /* RedrawWindow() flags */
 dcl RDW_INVALIDATE      type UINT value('0001'xu);
 dcl RDW_INTERNALPAINT   type UINT value('0002'xu);
 dcl RDW_ERASE           type UINT value('0004'xu);

 dcl RDW_VALIDATE        type UINT value('0008'xu);
 dcl RDW_NOINTERNALPAINT type UINT value('0010'xu);
 dcl RDW_NOERASE         type UINT value('0020'xu);

 dcl RDW_NOCHILDREN      type UINT value('0040'xu);
 dcl RDW_ALLCHILDREN     type UINT value('0080'xu);

 dcl RDW_UPDATENOW       type UINT value('0100'xu);
 dcl RDW_ERASENOW        type UINT value('0200'xu);

 dcl RDW_FRAME           type UINT value('0400'xu);
 dcl RDW_NOFRAME         type UINT value('0800'xu);

 /* LockWindowUpdate API */

 dcl LockWindowUpdate
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('LockWindowUpdate');

 dcl ScrollWindow
     entry (type HWND,
            fixed bin(31),
            fixed bin(31),
            type RECT byaddr nonasgn optional,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ScrollWindow');

 dcl ScrollDC
     entry (type HDC,
            fixed bin(31),
            fixed bin(31),
            type RECT byaddr nonasgn,
            type RECT byaddr nonasgn,
            type HRGN,
            type RECT byaddr optional)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ScrollDC');

 dcl ScrollWindowEx
     entry (type HWND,
            fixed bin(31),
            fixed bin(31),
            type RECT byaddr nonasgn optional,
            type RECT byaddr nonasgn,
            type HRGN,
            type RECT byaddr optional,
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('ScrollWindowEx');


 dcl SW_SCROLLCHILDREN fixed bin(31) value('0001'xn);
     /* Scroll children within lprcScroll. */
 dcl SW_INVALIDATE     fixed bin(31) value('0002'xn);
     /* Invalidate after scrolling */
 dcl SW_ERASE          fixed bin(31) value('0004'xn);
     /* If SW_INVALIDATE, don't send WM_ERASEBACKGROUND */
 %if WINVER >= 1280 %then %do;
 dcl SW_SMOOTHSCROLL   fixed bin(31) value('0010'xn);
     /* Use smooth scrolling */
 %end; /* WINVER >= 0x0500 */

 %dcl NOSCROLL char ext;
 %if NOSCROLL = '' %then %do;

 dcl SetScrollPos
     entry (type HWND,
            fixed bin(31),
            fixed bin(31),
            type BOOL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('SetScrollPos');

 dcl GetScrollPos
     entry (type HWND,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetScrollPos');

 dcl SetScrollRange
     entry (type HWND,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetScrollRange');

 dcl GetScrollRange
     entry (type HWND,
            fixed bin(31),
            fixed bin(31) byaddr,
            fixed bin(31) byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetScrollRange');

 dcl ShowScrollBar
     entry (type HWND,
            fixed bin(31),
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ShowScrollBar');

 dcl EnableScrollBar
     entry (type HWND,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnableScrollBar');

 /* EnableScrollBar() flags */
 dcl ESB_ENABLE_BOTH   fixed bin(31) value('0000'xn);
 dcl ESB_DISABLE_BOTH  fixed bin(31) value('0003'xn);

 dcl ESB_DISABLE_LEFT  fixed bin(31) value('0001'xn);
 dcl ESB_DISABLE_RIGHT fixed bin(31) value('0002'xn);

 dcl ESB_DISABLE_UP    fixed bin(31) value('0001'xn);
 dcl ESB_DISABLE_DOWN  fixed bin(31) value('0002'xn);

 dcl ESB_DISABLE_LTUP  fixed bin(31) value(ESB_DISABLE_LEFT);
 dcl ESB_DISABLE_RTDN  fixed bin(31) value(ESB_DISABLE_RIGHT);

 %end;  /* !NOSCROLL */

 dcl SetPropA
     entry (type HWND,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetPropA');

 dcl SetPropW
     entry (type HWND,
            WCHAR(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            type HANDLE)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetPropW');

 %dcl SetProp char ext;
 %if UNICODE ^= '' %then %do;
   %SetProp='SetPropW';
 %end; %else %do;
   %SetProp='SetPropA';
 %end; /* !UNICODE */


 dcl GetPropA
     entry (type HWND,
            char(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('GetPropA');

 dcl GetPropW
     entry (type HWND,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('GetPropW');

 %dcl GetProp char ext;
 %if UNICODE ^= '' %then %do;
   %GetProp='GetPropW';
 %end; %else %do;
   %GetProp='GetPropA';
 %end; /* !UNICODE */


 dcl RemovePropA
     entry (type HWND,
            char(*) varz byaddr nonasgn)  /* use pli_b2z for atom */
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('RemovePropA');

 dcl RemovePropW
     entry (type HWND,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('RemovePropW');

 %dcl RemoveProp char ext;
 %if UNICODE ^= '' %then %do;
   %RemoveProp='RemovePropW';
 %end; %else %do;
   %RemoveProp='RemovePropA';
 %end; /* !UNICODE */

 dcl EnumPropsExA
     entry (type HWND,
            type PROPENUMPROCEXA,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('EnumPropsExA');

 dcl EnumPropsExW
     entry (type HWND,
            type PROPENUMPROCEXW,
            type LPARAM)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('EnumPropsExW');

 %dcl EnumPropsEx char ext;
 %if UNICODE ^= '' %then %do;
   %EnumPropsEx='EnumPropsExW';
 %end; %else %do;
   %EnumPropsEx='EnumPropsExA';
 %end; /* !UNICODE */


 dcl EnumPropsA
     entry (type HWND,
            type PROPENUMPROCA)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('EnumPropsA');

 dcl EnumPropsW
     entry (type HWND,
            type PROPENUMPROCW)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('EnumPropsW');

 %dcl EnumProps char ext;
 %if UNICODE ^= '' %then %do;
   %EnumProps='EnumPropsW';
 %end; %else %do;
   %EnumProps='EnumPropsA';
 %end; /* !UNICODE */

 dcl SetWindowTextA
     entry (type HWND,
            char(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetWindowTextA');

 dcl SetWindowTextW
     entry (type HWND,
            WCHAR(*) varz byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetWindowTextW');

 %dcl SetWindowText char ext;
 %if UNICODE ^= '' %then %do;
   %SetWindowText='SetWindowTextW';
 %end; %else %do;
   %SetWindowText='SetWindowTextA';
 %end; /* !UNICODE */

 dcl GetWindowTextA
    entry (type HWND,
           char(*) varz byaddr,
           fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetWindowTextA');

 dcl GetWindowTextW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetWindowTextW');

 %dcl GetWindowText char ext;
 %if UNICODE ^= '' %then %do;
   %GetWindowText='GetWindowTextW';
 %end; %else %do;
   %GetWindowText='GetWindowTextA';
 %end; /* !UNICODE */

 dcl GetWindowTextLengthA
     entry (type HWND)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetWindowTextLengthA');

 dcl GetWindowTextLengthW
     entry (type HWND)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetWindowTextLengthW');

 %dcl GetWindowTextLength char ext;
 %if UNICODE ^= '' %then %do;
   %GetWindowTextLength='GetWindowTextLengthW';
 %end; %else %do;
   %GetWindowTextLength='GetWindowTextLengthA';
 %end; /* !UNICODE */


 dcl GetClientRect
     entry (type HWND,
            type RECT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetClientRect');

 dcl GetWindowRect
     entry (type HWND,
            type RECT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetWindowRect');

 dcl AdjustWindowRect
     entry (type RECT byaddr,
            type DWORD,
            type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AdjustWindowRect');

 dcl AdjustWindowRectEx
     entry (type RECT byaddr,
            type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('AdjustWindowRectEx');


 %if WINVER >= 1024 %then %do;
 dcl HELPINFO_WINDOW   fixed bin(31) value('0001'xn);
 dcl HELPINFO_MENUITEM fixed bin(31) value('0002'xn);

 define structure
   1 HELPINFO,           /* Structure pointed to by lParam of WM_HELP */
    2 cbSize       type UINT,    /* Size in bytes of this struct      */
    2 iContextType fixed bin(31),/* Either HELPINFO_WINDOW            */
                                 /*  or HELPINFO_MENUITEM             */
    2 iCtrlId      fixed bin(31),/* Control Id or a Menu item Id.     */
    2 hItemHandle  type HANDLE,  /* hWnd of control or hMenu.         */
    2 dwContextId  type DWORD,/* Context Id associated with this item */
    2 MousePos     type POINT;/* Mouse Position in screen co-ordinates*/
 define alias LPHELPINFO handle HELPINFO;

 dcl SetWindowContextHelpId
     entry (type HWND,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetWindowContextHelpId');

 dcl GetWindowContextHelpId
     entry (type HWND)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetWindowContextHelpId');

 dcl SetMenuContextHelpId
     entry (type HMENU,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetMenuContextHelpId');

 dcl GetMenuContextHelpId
     entry (type HMENU)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetMenuContextHelpId');

 %end; /* WINVER >= 0x0400 */

 %dcl NOMB char ext;
 %if NOMB = '' %then %do;

 /* MessageBox() Flags  */
 dcl MB_OK                   type DWORD value('00000000'xn);
 dcl MB_OKCANCEL             type DWORD value('00000001'xn);
 dcl MB_ABORTRETRYIGNORE     type DWORD value('00000002'xn);
 dcl MB_YESNOCANCEL          type DWORD value('00000003'xn);
 dcl MB_YESNO                type DWORD value('00000004'xn);
 dcl MB_RETRYCANCEL          type DWORD value('00000005'xn);

 %if WINVER >= 1280 %then %do;
 dcl MB_CANCELTRYCONTINUE    type DWORD value('00000006'xn);
 %end; /* WINVER >= 0x0500 */

 dcl MB_ICONHAND             type DWORD value('00000010'xn);
 dcl MB_ICONQUESTION         type DWORD value('00000020'xn);
 dcl MB_ICONEXCLAMATION      type DWORD value('00000030'xn);
 dcl MB_ICONASTERISK         type DWORD value('00000040'xn);

 %if WINVER >= 1024 %then %do;
 dcl MB_USERICON             type DWORD value('00000080'xn);
 dcl MB_ICONWARNING          type DWORD value(MB_ICONEXCLAMATION);
 dcl MB_ICONERROR            type DWORD value(MB_ICONHAND);
 %end; /* WINVER >= 0x0400 */

 dcl MB_ICONINFORMATION      type DWORD value(MB_ICONASTERISK);
 dcl MB_ICONSTOP             type DWORD value(MB_ICONHAND);

 dcl MB_DEFBUTTON1           type DWORD value('00000000'xn);
 dcl MB_DEFBUTTON2           type DWORD value('00000100'xn);
 dcl MB_DEFBUTTON3           type DWORD value('00000200'xn);
 %if WINVER >= 1024 %then %do;
 dcl MB_DEFBUTTON4           type DWORD value('00000300'xn);
 %end; /* WINVER >= 0x0400 */

 dcl MB_APPLMODAL            type DWORD value('00000000'xn);
 dcl MB_SYSTEMMODAL          type DWORD value('00001000'xn);
 dcl MB_TASKMODAL            type DWORD value('00002000'xn);
 %if WINVER >= 1024 %then %do;
 dcl MB_HELP                 type DWORD value('00004000'xn);
     /* Help Button */
 %end; /* WINVER >= 0x0400 */

 dcl MB_NOFOCUS              type DWORD value('00008000'xn);
 dcl MB_SETFOREGROUND        type DWORD value('00010000'xn);
 dcl MB_DEFAULT_DESKTOP_ONLY type DWORD value('00020000'xn);

 %if WINVER >= 1024 %then %do;
 dcl MB_TOPMOST              type DWORD value('00040000'xn);
 dcl MB_RIGHT                type DWORD value('00080000'xn);
 dcl MB_RTLREADING           type DWORD value('00100000'xn);
 %end;  /* WINVER >= 0x0400 */

 %if #WIN32_WINNT > 0 %then %do;
 %if #WIN32_WINNT >= 1024 %then %do;
 dcl MB_SERVICE_NOTIFICATION type DWORD value('00200000'xn);
 %end; %else %do;
 dcl MB_SERVICE_NOTIFICATION type DWORD value('00040000'xn);
 %end;
 dcl MB_SERVICE_NOTIFICATION_NT3X type DWORD value('00040000'xn);
 %end;

 dcl MB_TYPEMASK             type DWORD value('0000000F'xn);
 dcl MB_ICONMASK             type DWORD value('000000F0'xn);
 dcl MB_DEFMASK              type DWORD value('00000F00'xn);
 dcl MB_MODEMASK             type DWORD value('00003000'xn);
 dcl MB_MISCMASK             type DWORD value('0000C000'xn);

 dcl MessageBoxA
     entry (type HWND,
            char (*) varz byaddr nonasgn,
            char (*) varz byaddr nonasgn optional,
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MessageBoxA');

 dcl MessageBoxW
     entry (type HWND,
            WCHAR (*) varz byaddr nonasgn,
            WCHAR (*) varz byaddr nonasgn optional,
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MessageBoxW');

 %dcl MessageBox char ext;
 %if UNICODE ^= '' %then %do;
   %MessageBox='MessageBoxW';
 %end; %else %do;
   %MessageBox='MessageBoxA';
 %end; /* !UNICODE */

 dcl MessageBoxExA
     entry (type HWND,
            char (*) varz byaddr nonasgn,
            char (*) varz byaddr nonasgn optional,
            type UINT,
            type WORD)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MessageBoxExA');

 dcl MessageBoxExW
     entry (type HWND,
            WCHAR (*) varz byaddr nonasgn,
            WCHAR (*) varz byaddr nonasgn optional,
            type UINT,
            type WORD)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MessageBoxExW');

 %dcl MessageBoxEx char ext;
 %if UNICODE ^= '' %then %do;
   %MessageBoxEx='MessageBoxExW';
 %end; %else %do;
   %MessageBoxEx='MessageBoxExA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 define alias MSGBOXCALLBACK
        entry (type HELPINFO byaddr)
        limited CALLBACK;

 define structure
   1 MSGBOXPARAMSA,
     2 cbSize             type UINT,
     2 hwndOwner          type HWND,
     2 hInstance          type HINSTANCE,
     2 lpszText           type LPCSTR,
     2 lpszCaption        type LPCSTR,
     2 dwStyle            type DWORD,
     2 lpszIcon           type LPCSTR,
     2 dwContextHelpId    type DWORD_PTR,
     2 lpfnMsgBoxCallback type MSGBOXCALLBACK,
     2 dwLanguageId       type DWORD;
 define alias  PMSGBOXPARAMSA handle MSGBOXPARAMSA;
 define alias LPMSGBOXPARAMSA handle MSGBOXPARAMSA;

 define structure
   1 MSGBOXPARAMSW,
     2 cbSize             type UINT,
     2 hwndOwner          type HWND,
     2 hInstance          type HINSTANCE,
     2 lpszText           type LPCWSTR,
     2 lpszCaption        type LPCWSTR,
     2 dwStyle            type DWORD,
     2 lpszIcon           type LPCWSTR,
     2 dwContextHelpId    type DWORD_PTR,
     2 lpfnMsgBoxCallback type MSGBOXCALLBACK,
     2 dwLanguageId       type DWORD;
 define alias  PMSGBOXPARAMSW handle MSGBOXPARAMSW;
 define alias LPMSGBOXPARAMSW handle MSGBOXPARAMSW;

 %if UNICODE ^= '' %then %do;
 define alias   MSGBOXPARAMS type   MSGBOXPARAMSW;
 define alias  PMSGBOXPARAMS type  PMSGBOXPARAMSW;
 define alias LPMSGBOXPARAMS type LPMSGBOXPARAMSW;
 %end; %else %do;
 define alias   MSGBOXPARAMS type   MSGBOXPARAMSA;
 define alias  PMSGBOXPARAMS type  PMSGBOXPARAMSA;
 define alias LPMSGBOXPARAMS type LPMSGBOXPARAMSA;
 %end; /* UNICODE */


 dcl MessageBoxIndirectA
     entry (type MSGBOXPARAMSA byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MessageBoxIndirectA');

 dcl MessageBoxIndirectW
     entry (type MSGBOXPARAMSW byaddr)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MessageBoxIndirectW');

 %dcl MessageBoxIndirect char ext;
 %if UNICODE ^= '' %then %do;
   %MessageBoxIndirect='MessageBoxIndirectW';
 %end; %else %do;
   %MessageBoxIndirect='MessageBoxIndirectA';
 %end; /* !UNICODE */
 %end; /* WINVER >= 0x0400 */


 dcl MessageBeep
     entry (type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('MessageBeep');

 %end; /* !NOMB */


 dcl ShowCursor
     entry (type BOOL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('ShowCursor');

 dcl SetCursorPos
     entry (fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetCursorPos');

 dcl SetCursor
     entry (type HCURSOR)
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('SetCursor');

 dcl GetCursorPos
     entry (type POINT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetCursorPos');

 dcl ClipCursor
     entry (type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ClipCursor');

 dcl GetClipCursor
     entry (type RECT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetClipCursor');

 dcl GetCursor
     entry ()
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('GetCursor');

 dcl CreateCaret
     entry (type HWND,
            type HBITMAP,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CreateCaret');

 dcl GetCaretBlinkTime
     entry ()
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('GetCaretBlinkTime');

 dcl SetCaretBlinkTime
     entry (type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetCaretBlinkTime');

 dcl DestroyCaret
     entry ()
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DestroyCaret');

 dcl HideCaret
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('HideCaret');

 dcl ShowCaret
     entry (type HWND)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ShowCaret');

 dcl SetCaretPos
     entry (fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetCaretPos');

 dcl GetCaretPos
     entry (type POINT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetCaretPos');

 dcl ClientToScreen
     entry (type HWND,
            type POINT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ClientToScreen');

 dcl ScreenToClient
     entry (type HWND,
            type POINT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('ScreenToClient');

 dcl MapWindowPoints
     entry (type HWND,
            type HWND,
            (*) type POINT byaddr,
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('MapWindowPoints');

 dcl WindowFromPoint
     entry (type POINT)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('WindowFromPoint');

 dcl ChildWindowFromPoint
     entry (type HWND,
            type POINT)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('ChildWindowFromPoint');

 %if WINVER >= 1024 %then %do;
 dcl CWP_ALL             type UINT value('0000'xu);
 dcl CWP_SKIPINVISIBLE   type UINT value('0001'xu);
 dcl CWP_SKIPDISABLED    type UINT value('0002'xu);
 dcl CWP_SKIPTRANSPARENT type UINT value('0004'xu);


 dcl ChildWindowFromPointEx
     entry (type HWND,
            type POINT,
            type UINT)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('ChildWindowFromPointEx');

 %end; /* WINVER >= 0x0400 */

 %dcl NOCOLOR char ext;
 %if NOCOLOR = '' %then %do;

 /* Color Types */
 dcl CTLCOLOR_MSGBOX                 fixed bin(31) value(0);
 dcl CTLCOLOR_EDIT                   fixed bin(31) value(1);
 dcl CTLCOLOR_LISTBOX                fixed bin(31) value(2);
 dcl CTLCOLOR_BTN                    fixed bin(31) value(3);
 dcl CTLCOLOR_DLG                    fixed bin(31) value(4);
 dcl CTLCOLOR_SCROLLBAR              fixed bin(31) value(5);
 dcl CTLCOLOR_STATIC                 fixed bin(31) value(6);
 dcl CTLCOLOR_MAX                    fixed bin(31) value(7);

 dcl COLOR_SCROLLBAR                 fixed bin(31) value(0);
 dcl COLOR_BACKGROUND                fixed bin(31) value(1);
 dcl COLOR_ACTIVECAPTION             fixed bin(31) value(2);
 dcl COLOR_INACTIVECAPTION           fixed bin(31) value(3);
 dcl COLOR_MENU                      fixed bin(31) value(4);
 dcl COLOR_WINDOW                    fixed bin(31) value(5);
 dcl COLOR_WINDOWFRAME               fixed bin(31) value(6);
 dcl COLOR_MENUTEXT                  fixed bin(31) value(7);
 dcl COLOR_WINDOWTEXT                fixed bin(31) value(8);
 dcl COLOR_CAPTIONTEXT               fixed bin(31) value(9);
 dcl COLOR_ACTIVEBORDER              fixed bin(31) value(10);
 dcl COLOR_INACTIVEBORDER            fixed bin(31) value(11);
 dcl COLOR_APPWORKSPACE              fixed bin(31) value(12);
 dcl COLOR_HIGHLIGHT                 fixed bin(31) value(13);
 dcl COLOR_HIGHLIGHTTEXT             fixed bin(31) value(14);
 dcl COLOR_BTNFACE                   fixed bin(31) value(15);
 dcl COLOR_BTNSHADOW                 fixed bin(31) value(16);
 dcl COLOR_GRAYTEXT                  fixed bin(31) value(17);
 dcl COLOR_BTNTEXT                   fixed bin(31) value(18);
 dcl COLOR_INACTIVECAPTIONTEXT       fixed bin(31) value(19);
 dcl COLOR_BTNHIGHLIGHT              fixed bin(31) value(20);

 %if WINVER >= 1024 %then %do;
 dcl COLOR_3DDKSHADOW                fixed bin(31) value(21);
 dcl COLOR_3DLIGHT                   fixed bin(31) value(22);
 dcl COLOR_INFOTEXT                  fixed bin(31) value(23);
 dcl COLOR_INFOBK                    fixed bin(31) value(24);
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 dcl COLOR_HOTLIGHT                  fixed bin(31) value(26);
 dcl COLOR_GRADIENTACTIVECAPTION     fixed bin(31) value(27);
 dcl COLOR_GRADIENTINACTIVECAPTION   fixed bin(31) value(28);
 %if WINVER >= 1281 %then %do;
 dcl COLOR_MENUHILIGHT               fixed bin(31) value(29);
 dcl COLOR_MENUBAR                   fixed bin(31) value(30);
 %end; /* WINVER >= 0x0501 */
 %end; /* WINVER >= 0x0500 */

 %if WINVER >= 1024 %then %do;
 dcl COLOR_DESKTOP             fixed bin(31) value(COLOR_BACKGROUND);
 dcl COLOR_3DFACE              fixed bin(31) value(COLOR_BTNFACE);
 dcl COLOR_3DSHADOW            fixed bin(31) value(COLOR_BTNSHADOW);
 dcl COLOR_3DHIGHLIGHT         fixed bin(31) value(COLOR_BTNHIGHLIGHT);
 dcl COLOR_3DHILIGHT           fixed bin(31) value(COLOR_BTNHIGHLIGHT);
 dcl COLOR_BTNHILIGHT          fixed bin(31) value(COLOR_BTNHIGHLIGHT);
 %end; /* WINVER >= 0x0400 */


 dcl GetSysColor
     entry (fixed bin(31))
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetSysColor');

 %if WINVER >= 1024 %then %do;
 dcl GetSysColorBrush
     entry (fixed bin(31))
     returns (optional type HBRUSH byvalue)
     WINUSERAPI WINAPI external('GetSysColorBrush');
 %end; /* WINVER >= 0x0400 */

 dcl SetSysColors
     entry (fixed bin(31),
            (*) fixed bin(31) byaddr nonasgn,
            (*) type COLORREF byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetSysColors');

 %end; /* !NOCOLOR */


 dcl DrawFocusRect
     entry (type HDC,
            type RECT byaddr nonasgn)
    returns (optional type BOOL byvalue)
    WINUSERAPI WINAPI external('DrawFocusRect');

 dcl FillRect
     entry (type HDC,
            type RECT byaddr nonasgn,
            type HBRUSH)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('FillRect');

 dcl FrameRect
     entry (type HDC,
            type RECT byaddr nonasgn,
            type HBRUSH)
      returns (optional fixed bin(31) byvalue)
    WINUSERAPI WINAPI external('FrameRect');

 dcl InvertRect
     entry (type HDC,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InvertRect');

 dcl SetRect
     entry (type RECT byaddr,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetRect');

 dcl SetRectEmpty
     entry (type RECT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetRectEmpty');

 dcl CopyRect
     entry (type LPRECT,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CopyRect');

 dcl InflateRect
     entry (type RECT byaddr,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('InflateRect');

 dcl IntersectRect
     entry (type RECT byaddr,
            type RECT byaddr nonasgn,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IntersectRect');

 dcl UnionRect
     entry (type RECT byaddr,
            type RECT byaddr nonasgn,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnionRect');

 dcl SubtractRect
     entry (type RECT byaddr,
            type RECT byaddr nonasgn,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SubtractRect');

 dcl OffsetRect
     entry (type RECT byaddr,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('OffsetRect');

 dcl IsRectEmpty
     entry (type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsRectEmpty');

 dcl EqualRect
     entry (type RECT byaddr nonasgn,
            type RECT byaddr nonasgn)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EqualRect');

 dcl PtInRect
     entry (type RECT byaddr nonasgn,
            type POINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('PtInRect');

 %dcl NOWINOFFSETS char ext;
 %if NOWINOFFSETS = '' %then %do;

 dcl GetWindowWord
     entry (type HWND,
            fixed bin(31))
     returns (optional type WORD byvalue)
     WINUSERAPI WINAPI external('GetWindowWord');

 dcl SetWindowWord
     entry (type HWND,
            fixed bin(31),
            type WORD)
     returns (optional type WORD byvalue)
     WINUSERAPI WINAPI external('SetWindowWord');

 dcl GetWindowLongA
     entry (type HWND,
            fixed bin(31))
   returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('GetWindowLongA');

 dcl GetWindowLongW
     entry (type HWND,
            fixed bin(31))
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('GetWindowLongW');

 %dcl GetWindowLong char ext;
 %if UNICODE ^= '' %then %do;
   %GetWindowLong='GetWindowLongW';
 %end; %else %do;
   %GetWindowLong='GetWindowLongA';
 %end; /* !UNICODE */

 dcl SetWindowLongA
     entry (type HWND,
            fixed bin(31),
            type LONG)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('SetWindowLongA');

 dcl SetWindowLongW
     entry (type HWND,
            fixed bin(31),
            type LONG)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('SetWindowLongW');

 %dcl SetWindowLong char ext;
 %if UNICODE ^= '' %then %do;
   %SetWindowLong='SetWindowLongW';
 %end; %else %do;
   %SetWindowLong='SetWindowLongA';
 %end; /* !UNICODE */


 dcl GetClassWord
     entry (type HWND,
            fixed bin(31))
     returns (optional type WORD byvalue)
     WINUSERAPI WINAPI external('GetClassWord');

 dcl SetClassWord
     entry (type HWND,
            fixed bin(31),
            type WORD)
     returns (optional type WORD byvalue)
     WINUSERAPI WINAPI external('SetClassWord');

 dcl GetClassLongA
     entry (type HWND,
            fixed bin(31))
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetClassLongA');

 dcl GetClassLongW
     entry (type HWND,
            fixed bin(31))
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetClassLongW');

 %dcl GetClassLong char ext;
 %if UNICODE ^= '' %then %do;
   %GetClassLong='GetClassLongW';
 %end; %else %do;
   %GetClassLong='GetClassLongA';
 %end; /* !UNICODE */

 dcl SetClassLongA
     entry (type HWND,
            fixed bin(31),
            type LONG)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('SetClassLongA');

 dcl SetClassLongW
     entry (type HWND,
            fixed bin(31),
            type LONG)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('SetClassLongW');

 %dcl SetClassLong char ext;
 %if UNICODE ^= '' %then %do;
   %SetClassLong='SetClassLongW';
 %end; %else %do;
   %SetClassLong='SetClassLongA';
 %end; /* !UNICODE */


 %if #WIN64 ^= '' %then %do;

 dcl GetClassLongPtrA
     entry (type HWND,
            fixed bin (31))
     returns (optional type ULONG_PTR byvalue)
     WINUSERAPI WINAPI external('GetClassLongPtrA');

 dcl GetClassLongPtrW
     entry (type HWND,
            fixed bin (31))
     returns (optional type ULONG_PTR byvalue)
     WINUSERAPI WINAPI external('GetClassLongPtrW');

 %dcl GetClassLongPtr char ext;
 %if UNICODE ^= '' %then %do;
   %GetClassLongPtr = GetClassLongPtrW;
 %end; %else %do;
   %GetClassLongPtr = GetClassLongPtrA;
 %end; /* !UNICODE */

 dcl SetClassLongPtrA
     entry (type HWND,
            fixed bin (31),
            type LONG_PTR)
     returns (optional type ULONG_PTR byvalue)
     WINUSERAPI WINAPI external('SetClassLongPtrA');

 dcl SetClassLongPtrW
     entry (type HWND,
            fixed bin (31),
            type LONG_PTR)
     returns (optional type ULONG_PTR byvalue)
     WINUSERAPI WINAPI external('SetClassLongPtrW');

 %dcl SetClassLongPtr char ext;
 %if UNICODE ^= '' %then %do;
   %SetClassLongPtr = SetClassLongPtrW;
 %end; %else %do;
   %SetClassLongPtr = SetClassLongPtrA;
 %end; /* !UNICODE */

 %end; %else %do;
 %dcl GetClassLongPtrA char ext;
 %GetClassLongPtrA='GetClassLongA';
 %dcl GetClassLongPtrW char ext;
 %GetClassLongPtrW='GetClassLongW';
 %dcl GetClassLongPtr char ext;
 %if UNICODE ^= '' %then %do;
   %GetClassLongPtr = GetClassLongPtrW;
 %end; %else %do;
   %GetClassLongPtr = GetClassLongPtrA;
 %end; /* !UNICODE */

 %dcl SetClassLongPtrA char ext;
 %SetClassLongPtrA='SetClassLongA';
 %dcl SetClassLongPtrW char ext;
 %SetClassLongPtrW='SetClassLongW';
 %dcl SetClassLongPtr char ext;
 %if UNICODE ^= '' %then %do;
   %SetClassLongPtr = SetClassLongPtrW;
 %end; %else %do;
   %SetClassLongPtr = SetClassLongPtrA;
 %end; /* !UNICODE */
 %end; /* _WIN64 */

 %end; /* !NOWINOFFSETS */

 %if WINVER >= 1280 %then %do;
 dcl GetProcessDefaultLayout
     entry (type DWORD byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetProcessDefaultLayout');

 dcl SetProcessDefaultLayout
     entry (type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetProcessDefaultLayout');
 %end; /* WINVER >= 0x0500 */

 dcl GetDesktopWindow
     entry ()
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetDesktopWindow');

 dcl GetParent
     entry (type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetParent');

 dcl SetParent
     entry (type HWND,
            type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('SetParent');

 dcl EnumChildWindows
     entry (type HWND,
            type WNDENUMPROC,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumChildWindows');

 dcl FindWindowA
     entry (char(*) varz byaddr nonasgn,  /* use pli_b2z for atom */
            char(*) varz byaddr nonasgn optional)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('FindWindowA');

 dcl FindWindowW
     entry (Wchar(*) varz byaddr nonasgn, /* use pli_b2z for atom */
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('FindWindowW');

 %dcl FindWindow char ext;
 %if UNICODE ^= '' %then %do;
   %FindWindow='FindWindowW';
 %end; %else %do;
   %FindWindow='FindWindowA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl FindWindowExA
     entry (type HWND,
            type HWND,
            char(*) varz byaddr nonasgn,  /* use pli_b2z for */
            char(*) varz byaddr nonasgn optional)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('FindWindowExA');

 dcl FindWindowExW
     entry (type HWND,
            type HWND,
            WCHAR(*) varz byaddr nonasgn,  /* use pli_b2z for */
            WCHAR(*) varz byaddr nonasgn optional)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('FindWindowExW');

 %dcl FindWindowEx char ext;
 %if UNICODE ^= '' %then %do;
   %FindWindowEx='FindWindowExW';
 %end; %else %do;
   %FindWindowEx='FindWindowExA';
 %end; /* !UNICODE */

 %end; /* WINVER >= 0x0400 */


 dcl EnumWindows
     entry (type WNDENUMPROC,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumWindows');

 dcl EnumThreadWindows
     entry (type DWORD,
            type WNDENUMPROC,
            type LPARAM)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumThreadWindows');

 dcl GetClassNameA
     entry (type HWND,
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetClassNameA');

 dcl GetClassNameW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('GetClassNameW');

 %dcl GetClassName char ext;
 %if UNICODE ^= '' %then %do;
   %GetClassName='GetClassNameW';
 %end; %else %do;
   %GetClassName='GetClassNameA';
 %end; /* !UNICODE */

 dcl GetTopWindow
     entry (type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetTopWindow');

 GetNextWindow: proc (hWnd, wCmd)
                returns (type HWND optional byvalue)
                options (inline reorder) internal;
   dcl hWnd type HWND byvalue,
       wCmd type UINT byvalue;
   return (GetWindow(hWnd, wCmd));
 end GetNextWindow;

 GetSysModalWindow: proc
                    returns (type HWND optional)
                    options (inline reorder) internal;
   dcl sysnull builtin;
   return (sysnull());
 end GetSysModalWindow;

 SetSysModalWindow: proc (hWnd)
                    returns (type BOOL optional byvalue)
                    options (inline reorder) internal;
   dcl hWnd type HWND byvalue;
   return (0);
 end SetSysModalWindow;

 dcl GetWindowThreadProcessId
     entry (type HWND,
            type DWORD byaddr optional)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetWindowThreadProcessId');

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl IsGUIThread
     entry (type BOOL)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsGUIThread');
 %end; /* _WIN32_WINNT >= 0x0501 */

 GetWindowTask: proc (hWnd)
                returns (type HANDLE optional)
                options (inline reorder) internal;
   dcl hWnd type HWND byvalue;
   dcl ptrvalue builtin;
   return (ptrvalue (GetWindowThreadProcessId (hWnd, *)));
 end GetWindowTask;

 dcl GetLastActivePopup
     entry (type HWND)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetLastActivePopup');

 /* GetWindow() Constants   */
 dcl GW_HWNDFIRST    fixed bin(31) value(0);
 dcl GW_HWNDLAST     fixed bin(31) value(1);
 dcl GW_HWNDNEXT     fixed bin(31) value(2);
 dcl GW_HWNDPREV     fixed bin(31) value(3);
 dcl GW_OWNER        fixed bin(31) value(4);
 dcl GW_CHILD        fixed bin(31) value(5);
 %if #WIN32_WINNT <= 1024 %then %do;
 dcl GW_MAX          fixed bin(31) value(5);
 %end; %else %do;
 dcl GW_ENABLEDPOPUP fixed bin(31) value(6);
 dcl GW_MAX          fixed bin(31) value(6);
 %end;


 dcl GetWindow
     entry (type HWND,
            type UINT)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('GetWindow');

 %dcl NOWH char ext;
 %if NOWH = '' %then %do;

 dcl SetWindowsHookA
     entry (fixed bin(31),
            type HOOKPROC)
     returns (optional type HHOOK byvalue)
     WINUSERAPI WINAPI external('SetWindowsHookA');

 dcl SetWindowsHookW
     entry (fixed bin(31),
            type HOOKPROC)
     returns (optional type HHOOK byvalue)
     WINUSERAPI WINAPI external('SetWindowsHookW');

 %dcl SetWindowsHook char ext;
 %if UNICODE ^= '' %then %do;
   %SetWindowsHook='SetWindowsHookW';
 %end; %else %do;
   %SetWindowsHook='SetWindowsHookA';
 %end; /* !UNICODE */

 dcl UnhookWindowsHook
     entry (fixed bin(31),
            type HOOKPROC)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnhookWindowsHook');

 dcl SetWindowsHookExA
     entry (fixed bin(31),
            type HOOKPROC,
            type HINSTANCE,
            type DWORD)
     returns (optional type HHOOK byvalue)
     WINUSERAPI WINAPI external('SetWindowsHookExA');

 dcl SetWindowsHookExW
     entry (fixed bin(31),
            type HOOKPROC,
            type HINSTANCE,
            type DWORD)
     returns (optional type HHOOK byvalue)
    WINUSERAPI WINAPI external('SetWindowsHookExW');

 %dcl SetWindowsHookEx char ext;
 %if UNICODE ^= '' %then %do;
   %SetWindowsHookEx='SetWindowsHookExW';
 %end; %else %do;
   %SetWindowsHookEx='SetWindowsHookExA';
 %end; /* !UNICODE */

 dcl UnhookWindowsHookEx
     entry (type HHOOK)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('UnhookWindowsHookEx');

 dcl CallNextHookEx
     entry (type HHOOK,
            fixed bin(31),
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('CallNextHookEx');

 /* Macro for source-level compatibility with old functions. */

 DefHookProc: proc (nCode, wParam,lParam, phhk)
              returns (optional type LRESULT byvalue)
              options (inline reorder) internal;
  dcl nCode  fixed bin(31) byvalue,
      wParam type WPARAM byvalue,
      lParam type LPARAM byvalue,
      phhk   type HHOOK byaddr;

   return (CallNextHookEx (phhk, nCode, wParam, lParam));
 end DefHookProc;

 %end; /* !NOWH */

 %dcl NOMENUS char ext;
 %if NOMENUS = '' %then %do;

 /* win40  -- A lot of MF_* flags have          */
 /* been renamed as MFT_* and MFS_* flags       */
 /* Menu flags for Add/Check/EnableMenuItem()   */
 dcl MF_INSERT          fixed bin(31) value('00000000'xn);
 dcl MF_CHANGE          fixed bin(31) value('00000080'xn);
 dcl MF_APPEND          fixed bin(31) value('00000100'xn);
 dcl MF_DELETE          fixed bin(31) value('00000200'xn);
 dcl MF_REMOVE          fixed bin(31) value('00001000'xn);

 dcl MF_BYCOMMAND       fixed bin(31) value('00000000'xn);
 dcl MF_BYPOSITION      fixed bin(31) value('00000400'xn);

 dcl MF_SEPARATOR       fixed bin(31) value('00000800'xn);

 dcl MF_ENABLED         fixed bin(31) value('00000000'xn);
 dcl MF_GRAYED          fixed bin(31) value('00000001'xn);
 dcl MF_DISABLED        fixed bin(31) value('00000002'xn);

 dcl MF_UNCHECKED       fixed bin(31) value('00000000'xn);
 dcl MF_CHECKED         fixed bin(31) value('00000008'xn);
 dcl MF_USECHECKBITMAPS fixed bin(31) value('00000200'xn);

 dcl MF_STRING          fixed bin(31) value('00000000'xn);
 dcl MF_BITMAP          fixed bin(31) value('00000004'xn);
 dcl MF_OWNERDRAW       fixed bin(31) value('00000100'xn);

 dcl MF_POPUP           fixed bin(31) value('00000010'xn);
 dcl MF_MENUBARBREAK    fixed bin(31) value('00000020'xn);
 dcl MF_MENUBREAK       fixed bin(31) value('00000040'xn);

 dcl MF_UNHILITE        fixed bin(31) value('00000000'xn);
 dcl MF_HILITE          fixed bin(31) value('00000080'xn);

 %if WINVER >= 1024 %then %do;
 dcl MF_DEFAULT         fixed bin(31) value('00001000'xn);
 %end; /* WINVER >= 0x0400 */
 dcl MF_SYSMENU         fixed bin(31) value('00002000'xn);
 dcl MF_HELP            fixed bin(31) value('00004000'xn);
 %if WINVER >= 1024 %then %do;
 dcl MF_RIGHTJUSTIFY    fixed bin(31) value('00004000'xn);
 %end; /* WINVER >= 0x0400 */

 dcl MF_MOUSESELECT     fixed bin(31) value('00008000'xn);
 dcl MF_END             fixed bin(31) value('00000080'xn);
     /* Obsolete -- only used by old RES files */

 %if WINVER >= 1024 %then %do;
 dcl MFT_STRING         fixed bin(31) value(MF_STRING);
 dcl MFT_BITMAP         fixed bin(31) value(MF_BITMAP);
 dcl MFT_MENUBARBREAK   fixed bin(31) value(MF_MENUBARBREAK);
 dcl MFT_MENUBREAK      fixed bin(31) value(MF_MENUBREAK);
 dcl MFT_OWNERDRAW      fixed bin(31) value(MF_OWNERDRAW);
 dcl MFT_RADIOCHECK     fixed bin(31) value('00000200'xn);
 dcl MFT_SEPARATOR      fixed bin(31) value(MF_SEPARATOR);
 dcl MFT_RIGHTORDER     fixed bin(31) value('00002000'xn);
 dcl MFT_RIGHTJUSTIFY   fixed bin(31) value(MF_RIGHTJUSTIFY);

 /* Menu flags for Add/Check/EnableMenuItem() */
 dcl MFS_GRAYED         fixed bin(31) value('00000003'xn);
 dcl MFS_DISABLED       fixed bin(31) value(MFS_GRAYED);
 dcl MFS_CHECKED        fixed bin(31) value(MF_CHECKED);
 dcl MFS_HILITE         fixed bin(31) value(MF_HILITE);
 dcl MFS_ENABLED        fixed bin(31) value(MF_ENABLED);
 dcl MFS_UNCHECKED      fixed bin(31) value(MF_UNCHECKED);
 dcl MFS_UNHILITE       fixed bin(31) value(MF_UNHILITE);
 dcl MFS_DEFAULT        fixed bin(31) value(MF_DEFAULT);

 %if WINVER >= 1280 %then %do;
 dcl MFS_MASK           fixed bin(31) value('0000108B'xn);
 dcl MFS_HOTTRACKDRAWN  fixed bin(31) value('10000000'xn);
 dcl MFS_CACHEDBMP      fixed bin(31) value('20000000'xn);
 dcl MFS_BOTTOMGAPDROP  fixed bin(31) value('40000000'xn);
 dcl MFS_TOPGAPDROP     fixed bin(31) value('80000000'xn);
 dcl MFS_GAPDROP        fixed bin(31) value('C0000000'xn);
 %end; /* WINVER >= 0x0500 */
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1024 %then %do;
 dcl CheckMenuRadioItem
     entry (type HMENU,
            type UINT,
            type UINT,
            type UINT,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('CheckMenuRadioItem');
 %end; /* WINVER >= 0x0400 */

 /* Menu item resource format */
 define structure
   1 MENUITEMTEMPLATEHEADER,
     2 versionNumber type WORD,
     2 offset        type WORD;
 define alias PMENUITEMTEMPLATEHEADER handle MENUITEMTEMPLATEHEADER;

 define structure
   1 MENUITEMTEMPLATE,   /* version 0 */
     2 mtOption type WORD,
     2 mtID     type WORD,
     2 mtString WCHAR (1);
 define alias PMENUITEMTEMPLATE handle MENUITEMTEMPLATE;

 %end; /* !NOMENUS */

 %dcl NOSYSCOMMANDS char ext;
 %if NOSYSCOMMANDS = '' %then %do;

 /* System Menu Command Values  */
 dcl SC_SIZE         fixed bin(31) value('F000'xn);
 dcl SC_MOVE         fixed bin(31) value('F010'xn);
 dcl SC_MINIMIZE     fixed bin(31) value('F020'xn);
 dcl SC_MAXIMIZE     fixed bin(31) value('F030'xn);
 dcl SC_NEXTWINDOW   fixed bin(31) value('F040'xn);
 dcl SC_PREVWINDOW   fixed bin(31) value('F050'xn);
 dcl SC_CLOSE        fixed bin(31) value('F060'xn);
 dcl SC_VSCROLL      fixed bin(31) value('F070'xn);
 dcl SC_HSCROLL      fixed bin(31) value('F080'xn);
 dcl SC_MOUSEMENU    fixed bin(31 ) value('F090'xn);
 dcl SC_KEYMENU      fixed bin(31) value('F100'xn);
 dcl SC_ARRANGE      fixed bin(31) value('F110'xn);
 dcl SC_RESTORE      fixed bin(31) value('F120'xn);
 dcl SC_TASKLIST     fixed bin(31) value('F130'xn);
 dcl SC_SCREENSAVE   fixed bin(31) value('F140'xn);
 dcl SC_HOTKEY       fixed bin(31) value('F150'xn);
 %if WINVER >= 1024 %then %do;
 dcl SC_DEFAULT fixed bin(31) value('F160'xn);
 dcl SC_MONITORPOWER fixed bin(31) value('F170'xn);
 dcl SC_CONTEXTHELP  fixed bin(31) value('F180'xn);
 dcl SC_SEPARATOR    fixed bin(31) value('F00F'xn);
 %end; /* WINVER >= 0x0400 */
 /* Obsolete names  */
 dcl SC_ICON         fixed bin(31) value(SC_MINIMIZE);
 dcl SC_ZOOM         fixed bin(31) value(SC_MAXIMIZE);

 %end; /* !NOSYSCOMMANDS */

 /* Resource Loading Routines  */

 dcl LoadBitmapA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn)  /* use pli_b2z for atom */
     returns (optional type HBITMAP byvalue)
     WINUSERAPI WINAPI external('LoadBitmapA');

 dcl LoadBitmapW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HBITMAP byvalue)
     WINUSERAPI WINAPI external('LoadBitmapW');

 %dcl LoadBitmap char ext;
 %if UNICODE ^= '' %then %do;
   %LoadBitmap='LoadBitmapW';
 %end; %else %do;
   %LoadBitmap='LoadBitmapA';
 %end; /* !UNICODE */


 dcl LoadCursorA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn)  /* use pli_b2z for atom */
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('LoadCursorA');

 dcl LoadCursorW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('LoadCursorW');

 %dcl LoadCursor char ext;
 %if UNICODE ^= '' %then %do;
   %LoadCursor='LoadCursorW';
 %end; %else %do;
   %LoadCursor='LoadCursorA';
 %end; /* !UNICODE */

 dcl LoadCursorFromFileA
     entry (char(*) varz byaddr nonasgn)  /* string or pli_b2z(OCR_*) */
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('LoadCursorFromFileA');

 dcl LoadCursorFromFileW
     entry (WCHAR(*) varz byaddr nonasgn) /* string or pli_b2z(OCR_*) */
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('LoadCursorFromFileW');

 %dcl LoadCursorFromFile char ext;
 %if UNICODE ^= '' %then %do;
   %LoadCursorFromFile='LoadCursorFromFileW';
 %end; %else %do;
   %LoadCursorFromFile='LoadCursorFromFileA';
 %end; /* !UNICODE */


 dcl CreateCursor
     entry (type HINSTANCE,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            pointer,   /* to AND bitmask array */
            pointer)   /* to XOR bitmask array */
     returns (optional type HCURSOR byvalue)
     WINUSERAPI WINAPI external('CreateCursor');

 dcl DestroyCursor
     entry (type HCURSOR)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DestroyCursor');

 CopyCursor: proc (pcur)
             returns (type HCURSOR byvalue)
             options (inline reorder) internal;
   dcl pcur type HCURSOR byvalue;
   return (CopyIcon (pcur)); /* all Hxxx types are pointers in PL/I */
 end CopyCursor;

 /* Standard Cursor IDs  */
 dcl IDC_ARROW       pointer value(MAKEINTRESOURCE(32512));
 dcl IDC_IBEAM       pointer value(MAKEINTRESOURCE(32513));
 dcl IDC_WAIT        pointer value(MAKEINTRESOURCE(32514));
 dcl IDC_CROSS       pointer value(MAKEINTRESOURCE(32515));
 dcl IDC_UPARROW     pointer value(MAKEINTRESOURCE(32516));
 dcl IDC_SIZE        pointer value(MAKEINTRESOURCE(32640));
     /* OBSOLETE: use IDC_SIZEALL */
 dcl IDC_ICON        pointer value(MAKEINTRESOURCE(32641));
     /* OBSOLETE: use IDC_ARROW */
 dcl IDC_SIZENWSE    pointer value(MAKEINTRESOURCE(32642));
 dcl IDC_SIZENESW    pointer value(MAKEINTRESOURCE(32643));
 dcl IDC_SIZEWE      pointer value(MAKEINTRESOURCE(32644));
 dcl IDC_SIZENS      pointer value(MAKEINTRESOURCE(32645));
 dcl IDC_SIZEALL     pointer value(MAKEINTRESOURCE(32646));
 dcl IDC_NO          pointer value(MAKEINTRESOURCE(32648));
      /*not in win3.1 */
 %if WINVER >= 1280 %then %do;
 dcl IDC_HAND        pointer value(MAKEINTRESOURCE(32649));
 %end; /* WINVER >= 0x0500 */
 dcl IDC_APPSTARTING pointer value(MAKEINTRESOURCE(32650));
     /*not in win3.1 */
 %if WINVER >= 1024 %then %do;
 dcl IDC_HELP        pointer value(MAKEINTRESOURCE(32651));
 %end; /* WINVER >= 0x0400 */


 dcl SetSystemCursor
     entry (type HCURSOR,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SetSystemCursor');


 define structure
   1 ICONINFO,
     2 fIcon    type BOOL,
     2 xHotspot type DWORD,
     2 yHotspot type DWORD,
     2 hbmMask  type HBITMAP,
     2 hbmColor type HBITMAP;
 define alias PICONINFO handle ICONINFO;

 dcl LoadIconA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn)  /* use pli_b2z for atom */
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('LoadIconA');

 dcl LoadIconW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn) /* use pli_b2z for atom */
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('LoadIconW');

 %if UNICODE ^= '' %then %do;
 %dcl LoadIcon char ext;
 %LoadIcon='LoadIconW';
 %end; %else %do;
 %dcl LoadIcon char ext;
 %LoadIcon='LoadIconA';
 %end; /* !UNICODE */


 dcl CreateIcon
     entry (type HINSTANCE,
            fixed bin(31),
            fixed bin(31),
            type BYTE,
            type BYTE,
            pointer,   /* to AND bitmask array */
            pointer)   /* to XOR bitmask array */
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('CreateIcon');

 dcl DestroyIcon
     entry (type HICON)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DestroyIcon');

 dcl LookupIconIdFromDirectory
     entry (type PBYTE,
            type BOOL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('LookupIconIdFromDirectory');

 %if WINVER >= 1024 %then %do;
 dcl LookupIconIdFromDirectoryEx
     entry (type PBYTE,
            type BOOL,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('LookupIconIdFromDirectoryEx');
 %end; /* WINVER >= 0x0400 */


 dcl CreateIconFromResource
     entry (type PBYTE,
            type DWORD,
            type BOOL,
            type DWORD)
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('CreateIconFromResource');

 %if WINVER >= 1024 %then %do;

 dcl CreateIconFromResourceEx
     entry (type PBYTE,
            type DWORD,
            type BOOL,
            type DWORD,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('CreateIconFromResourceEx');

 /* Icon/Cursor header */
 define structure
   1 CURSORSHAPE,
     2 xHotSpot  fixed bin(31),
     2 yHotSpot  fixed bin(31),
     2 cx        fixed bin(31),
     2 cy        fixed bin(31),
     2 cbWidth   fixed bin(31),
     2 Planes    type BYTE,
     2 BitsPixel type BYTE;
 define alias LPCURSORSHAPE handle CURSORSHAPE;
 %end; /* WINVER >= 0x0400 */

 dcl IMAGE_BITMAP      fixed bin(31) value(0);
 dcl IMAGE_ICON        fixed bin(31) value(1);
 dcl IMAGE_CURSOR      fixed bin(31) value(2);
 %if WINVER >= 1024 %then %do;
 dcl IMAGE_ENHMETAFILE fixed bin(31) value(3);

 dcl LR_DEFAULTCOLOR     fixed bin(31) value('0000'xn);
 dcl LR_MONOCHROME       fixed bin(31) value('0001'xn);
 dcl LR_COLOR            fixed bin(31) value('0002'xn);
 dcl LR_COPYRETURNORG    fixed bin(31) value('0004'xn);
 dcl LR_COPYDELETEORG    fixed bin(31) value('0008'xn);
 dcl LR_LOADFROMFILE     fixed bin(31) value('0010'xn);
 dcl LR_LOADTRANSPARENT  fixed bin(31) value('0020'xn);
 dcl LR_DEFAULTSIZE      fixed bin(31) value('0040'xn);
 dcl LR_LOADMAP3DCOLORS  fixed bin(31) value('1000'xn);
 dcl LR_CREATEDIBSECTION fixed bin(31) value('2000'xn);
 dcl LR_COPYFROMRESOURCE fixed bin(31) value('4000'xn);
 dcl LR_SHARED           fixed bin(31) value('8000'xn);

 dcl LoadImageA
     entry (type HINSTANCE,
            char(*) varz byaddr nonasgn optional,
                          /* *, string or pli_b2z(OBM_*|OIC_*|OCR_*) */
            type UINT,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('LoadImageA');

 dcl LoadImageW
     entry (type HINSTANCE,
            WCHAR(*) varz byaddr nonasgn optional,
                         /* *, string or pli_b2z(OBM_*|OIC_*|OCR_*) */
            type UINT,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type HANDLE byvalue)
     WINUSERAPI WINAPI external('LoadImageW');

 %dcl LoadImage char ext;
 %if UNICODE ^= '' %then %do;
   %LoadImage='LoadImageW';
 %end; %else %do;
   %LoadImage='LoadImageA';
 %end; /* !UNICODE */

 dcl CopyImage
     entry (type HANDLE,
            type UINT,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional type HICON byvalue)
    WINUSERAPI WINAPI external('CopyImage');

 dcl DI_MASK        fixed bin(31) value('0001'xn);
 dcl DI_IMAGE       fixed bin(31) value('0002'xn);
 dcl DI_NORMAL      fixed bin(31) value('0003'xn);
 dcl DI_COMPAT      fixed bin(31) value('0004'xn);
 dcl DI_DEFAULTSIZE fixed bin(31) value('0008'xn);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl DI_NOMIRROR    fixed bin(31) value('0010'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl DrawIconEx
     entry (type HDC,
            fixed bin(31),
            fixed bin(31),
            type HICON,
            fixed bin(31),
            fixed bin(31),
            type UINT,
            type HBRUSH,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DrawIconEx');
 %end; /* WINVER >= 0x0400 */


 dcl CreateIconIndirect
     entry (type ICONINFO byaddr)
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('CreateIconIndirect');

 dcl CopyIcon
     entry (type HICON)
     returns (optional type HICON byvalue)
     WINUSERAPI WINAPI external('CopyIcon');

 dcl GetIconInfo
     entry (type HICON,
            type ICONINFO byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetIconInfo');


 %if WINVER >= 1024 %then %do;
 dcl RES_ICON   fixed bin(31) value(1);
 dcl RES_CURSOR fixed bin(31) value(2);
 %end; /* WINVER >= 0x0400 */

 %dcl OEMRESOURCE char ext;
 %if OEMRESOURCE ^= '' %then %do;

 /* OEM Resource Ordinal Numbers  */
 dcl OBM_CLOSE       fixed bin(31) value(32754);
 dcl OBM_UPARROW     fixed bin(31) value(32753);
 dcl OBM_DNARROW     fixed bin(31) value(32752);
 dcl OBM_RGARROW     fixed bin(31) value(32751);
 dcl OBM_LFARROW     fixed bin(31) value(32750);
 dcl OBM_REDUCE      fixed bin(31) value(32749);
 dcl OBM_ZOOM        fixed bin(31) value(32748);
 dcl OBM_RESTORE     fixed bin(31) value(32747);
 dcl OBM_REDUCED     fixed bin(31) value(32746);
 dcl OBM_ZOOMD       fixed bin(31) value(32745);
 dcl OBM_RESTORED    fixed bin(31) value(32744);
 dcl OBM_UPARROWD    fixed bin(31) value(32743);
 dcl OBM_DNARROWD    fixed bin(31) value(32742);
 dcl OBM_RGARROWD    fixed bin(31) value(32741);
 dcl OBM_LFARROWD    fixed bin(31) value(32740);
 dcl OBM_MNARROW     fixed bin(31) value(32739);
 dcl OBM_COMBO       fixed bin(31) value(32738);
 dcl OBM_UPARROWI    fixed bin(31) value(32737);
 dcl OBM_DNARROWI    fixed bin(31) value(32736);
 dcl OBM_RGARROWI    fixed bin(31) value(32735);
 dcl OBM_LFARROWI    fixed bin(31) value(32734);

 dcl OBM_OLD_CLOSE   fixed bin(31) value(32767);
 dcl OBM_SIZE        fixed bin(31) value(32766);
 dcl OBM_OLD_UPARROW fixed bin(31) value(32765);
 dcl OBM_OLD_DNARROW fixed bin(31) value(32764);
 dcl OBM_OLD_RGARROW fixed bin(31) value(32763);
 dcl OBM_OLD_LFARROW fixed bin(31) value(32762);
 dcl OBM_BTSIZE      fixed bin(31) value(32761);
 dcl OBM_CHECK       fixed bin(31) value(32760);
 dcl OBM_CHECKBOXES  fixed bin(31) value(32759);
 dcl OBM_BTNCORNERS  fixed bin(31) value(32758);
 dcl OBM_OLD_REDUCE  fixed bin(31) value(32757);
 dcl OBM_OLD_ZOOM    fixed bin(31) value(32756);
 dcl OBM_OLD_RESTORE fixed bin(31) value(32755);

 dcl OCR_NORMAL      fixed bin(31) value(32512);
 dcl OCR_IBEAM       fixed bin(31) value(32513);
 dcl OCR_WAIT        fixed bin(31) value(32514);
 dcl OCR_CROSS       fixed bin(31) value(32515);
 dcl OCR_UP          fixed bin(31) value(32516);
 dcl OCR_SIZE        fixed bin(31) value(32640);
     /* OBSOLETE: use OCR_SIZEALL */
 dcl OCR_ICON        fixed bin(31) value(32641);
     /* OBSOLETE: use OCR_NORMAL */
 dcl OCR_SIZENWSE    fixed bin(31) value(32642);
 dcl OCR_SIZENESW    fixed bin(31) value(32643);
 dcl OCR_SIZEWE      fixed bin(31) value(32644);
 dcl OCR_SIZENS      fixed bin(31) value(32645);
 dcl OCR_SIZEALL     fixed bin(31) value(32646);
 dcl OCR_ICOCUR      fixed bin(31) value(32647);
 /* OBSOLETE: use OIC_WINLOGO */
 dcl OCR_NO          fixed bin(31) value(32648);
 %if WINVER >= 1280 %then %do;
 dcl OCR_HAND        fixed bin(31) value(32649);
 %end; /* WINVER >= 0x0500 */
 %if WINVER >= 1024 %then %do;
 dcl OCR_APPSTARTING fixed bin(31) value(32650);
 %end; /* WINVER >= 0x0400 */

 dcl OIC_SAMPLE      fixed bin(31) value(32512);
 dcl OIC_HAND        fixed bin(31) value(32513);
 dcl OIC_QUES        fixed bin(31) value(32514);
 dcl OIC_BANG        fixed bin(31) value(32515);
 dcl OIC_NOTE        fixed bin(31) value(32516);
 %if WINVER >= 1024 %then %do;
 dcl OIC_WINLOGO     fixed bin(31) value(32517);
 dcl OIC_WARNING     fixed bin(31) value(OIC_BANG);
 dcl OIC_ERROR       fixed bin(31) value(OIC_HAND);
 dcl OIC_INFORMATION fixed bin(31) value(OIC_NOTE);
 %end; /* WINVER >= 0x0400 */

 %end; /* OEMRESOURCE */

 dcl ORD_LANGDRIVER fixed bin(31) value(1);
 /* The ordinal number for the entry point of language drivers. */

 %dcl NOICONS char ext;
 %if NOICONS = '' %then %do;

 /* Standard Icon IDs  */
 dcl IDI_APPLICATION pointer value(MAKEINTRESOURCE(32512));
 dcl IDI_HAND        pointer value(MAKEINTRESOURCE(32513));
 dcl IDI_QUESTION    pointer value(MAKEINTRESOURCE(32514));
 dcl IDI_EXCLAMATION pointer value(MAKEINTRESOURCE(32515));
 dcl IDI_ASTERISK    pointer value(MAKEINTRESOURCE(32516));
 %if WINVER >= 1024 %then %do;
 dcl IDI_WINLOGO     pointer value(MAKEINTRESOURCE(32517));
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1024 %then %do;
 dcl IDI_WARNING     pointer value(IDI_EXCLAMATION);
 dcl IDI_ERROR       pointer value(IDI_HAND);
 dcl IDI_INFORMATION pointer value(IDI_ASTERISK);
 %end; /* WINVER >= 0x0400 */

 %end; /* !NOICONS */


 dcl LoadStringA
     entry (type HINSTANCE,
            type UINT,
            char(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('LoadStringA');

 dcl LoadStringW
     entry (type HINSTANCE,
            type UINT,
            WCHAR(*) varz byaddr,
            fixed bin(31))
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('LoadStringW');

 %dcl LoadString char ext;
 %if UNICODE ^= '' %then %do;
   %LoadString='LoadStringW';
 %end; %else %do;
   %LoadString='LoadStringA';
 %end; /* !UNICODE */

 /* Dialog Box Command IDs  */
 dcl IDOK       fixed bin(31) value(1);
 dcl IDCANCEL   fixed bin(31) value(2);
 dcl IDABORT    fixed bin(31) value(3);
 dcl IDRETRY    fixed bin(31) value(4);
 dcl IDIGNORE   fixed bin(31) value(5);
 dcl IDYES      fixed bin(31) value(6);
 dcl IDNO       fixed bin(31) value(7);
 %if WINVER >= 1024 %then %do;
 dcl IDCLOSE    fixed bin(31) value(8);
 dcl IDHELP     fixed bin(31) value(9);
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 dcl IDTRYAGAIN fixed bin(31) value(10);
 dcl IDCONTINUE fixed bin(31) value(11);
 %end; /* WINVER >= 0x0500 */

 %if WINVER >= 1281 %then %do;
 dcl IDTIMEOUT fixed bin(31) value(32000);
 %end; /* WINVER >= 0x0501 */

 %dcl NOCTLMGR char ext;
 %if NOCTLMGR = '' %then %do;

 /* Control Manager Structures and Definitions  */

 %if NOWINSTYLES = '' %then %do;

 /* Edit Control Styles  */
 dcl ES_LEFT        type DWORD value('0000'xu);
 dcl ES_CENTER      type DWORD value('0001'xu);
 dcl ES_RIGHT       type DWORD value('0002'xu);
 dcl ES_MULTILINE   type DWORD value('0004'xu);
 dcl ES_UPPERCASE   type DWORD value('0008'xu);
 dcl ES_LOWERCASE   type DWORD value('0010'xu);
 dcl ES_PASSWORD    type DWORD value('0020'xu);
 dcl ES_AUTOVSCROLL type DWORD value('0040'xu);
 dcl ES_AUTOHSCROLL type DWORD value('0080'xu);
 dcl ES_NOHIDESEL   type DWORD value('0100'xu);
 dcl ES_OEMCONVERT  type DWORD value('0400'xu);
 dcl ES_READONLY    type DWORD value('0800'xu);
 dcl ES_WANTRETURN  type DWORD value('1000'xu);
 %if WINVER >= 1024 %then %do;
 dcl ES_NUMBER      type DWORD value('2000'xu);
 %end; /* WINVER >= 0x0400 */

 %end; /* !NOWINSTYLES */

 /*  Edit Control Notification Codes  */
 dcl EN_SETFOCUS     fixed bin(31) value('0100'xn);
 dcl EN_KILLFOCUS    fixed bin(31) value('0200'xn);
 dcl EN_CHANGE       fixed bin(31) value('0300'xn);
 dcl EN_UPDATE       fixed bin(31) value('0400'xn);
 dcl EN_ERRSPACE     fixed bin(31) value('0500'xn);
 dcl EN_MAXTEXT      fixed bin(31) value('0501'xn);
 dcl EN_HSCROLL      fixed bin(31) value('0601'xn);
 dcl EN_VSCROLL      fixed bin(31) value('0602'xn);

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl EN_ALIGN_LTR_EC fixed bin(31) value('0700'xn);
 dcl EN_ALIGN_RTL_EC fixed bin(31) value('0701'xn);
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if WINVER >= 1024 %then %do;
 /* Edit control EM_SETMARGIN parameters */
 dcl EC_LEFTMARGIN   fixed bin(31) value('0001'xn);
 dcl EC_RIGHTMARGIN  fixed bin(31) value('0002'xn);
 dcl EC_USEFONTINFO  fixed bin(31) value('ffff'xn);
 %end; /* WINVER >= 0x0400 */

 %if WINVER >= 1280 %then %do;
 /* wParam of EM_GET/SETIMESTATUS  */
 dcl EMSIS_COMPOSITIONSTRING        fixed bin(31) value('0001'xn);

 /* lParam for EMSIS_COMPOSITIONSTRING  */
 dcl EIMES_GETCOMPSTRATONCE         fixed bin(31) value('0001'xn);
 dcl EIMES_CANCELCOMPSTRINFOCUS     fixed bin(31) value('0002'xn);
 dcl EIMES_COMPLETECOMPSTRKILLFOCUS fixed bin(31) value('0004'xn);
 %end; /* WINVER >= 0x0500 */


 %if NOWINMESSAGES = '' %then %do;

 /* Edit Control Messages  */
 dcl EM_GETSEL              fixed bin(31) value('00B0'xn);
 dcl EM_SETSEL              fixed bin(31) value('00B1'xn);
 dcl EM_GETRECT             fixed bin(31) value('00B2'xn);
 dcl EM_SETRECT             fixed bin(31) value('00B3'xn);
 dcl EM_SETRECTNP           fixed bin(31) value('00B4'xn);
 dcl EM_SCROLL              fixed bin(31) value('00B5'xn);
 dcl EM_LINESCROLL          fixed bin(31) value('00B6'xn);
 %dcl #EM_SCROLLCARET char ext;
 %if #EM_SCROLLCARET = '' %then %do;
 %#EM_SCROLLCARET = 'Y';
 dcl EM_SCROLLCARET         fixed bin(31) value('00B7'xn);
 %end;
 dcl EM_GETMODIFY           fixed bin(31) value('00B8'xn);
 dcl EM_SETMODIFY           fixed bin(31) value('00B9'xn);
 dcl EM_GETLINECOUNT        fixed bin(31) value('00BA'xn);
 dcl EM_LINEINDEX           fixed bin(31) value('00BB'xn);
 dcl EM_SETHANDLE           fixed bin(31) value('00BC'xn);
 dcl EM_GETHANDLE           fixed bin(31) value('00BD'xn);
 dcl EM_GETTHUMB            fixed bin(31) value('00BE'xn);
 dcl EM_LINELENGTH          fixed bin(31) value('00C1'xn);
 dcl EM_REPLACESEL          fixed bin(31) value('00C2'xn);
 dcl EM_GETLINE             fixed bin(31) value('00C4'xn);
 dcl EM_LIMITTEXT           fixed bin(31) value('00C5'xn);
 dcl EM_CANUNDO             fixed bin(31) value('00C6'xn);
 dcl EM_UNDO                fixed bin(31) value('00C7'xn);
 dcl EM_FMTLINES            fixed bin(31) value('00C8'xn);
 dcl EM_LINEFROMCHAR        fixed bin(31) value('00C9'xn);
 dcl EM_SETTABSTOPS         fixed bin(31) value('00CB'xn);
 dcl EM_SETPASSWORDCHAR     fixed bin(31) value('00CC'xn);
 dcl EM_EMPTYUNDOBUFFER     fixed bin(31) value('00CD'xn);
 dcl EM_GETFIRSTVISIBLELINE fixed bin(31) value('00CE'xn);
 dcl EM_SETREADONLY         fixed bin(31) value('00CF'xn);
 dcl EM_SETWORDBREAKPROC    fixed bin(31) value('00D0'xn);
 dcl EM_GETWORDBREAKPROC    fixed bin(31) value('00D1'xn);
 dcl EM_GETPASSWORDCHAR     fixed bin(31) value('00D2'xn);
 %if WINVER >= 1024 %then %do;
 dcl EM_SETMARGINS          fixed bin(31) value('00D3'xn);
 dcl EM_GETMARGINS          fixed bin(31) value('00D4'xn);
 dcl EM_SETLIMITTEXT        fixed bin(31) value(EM_LIMITTEXT);
     /* win40 Name change */
 %dcl #EM_GETLIMITTEXT char ext;
 %if #EM_GETLIMITTEXT = '' %then %do;
 %#EM_GETLIMITTEXT = 'Y';
 dcl EM_GETLIMITTEXT        fixed bin(31) value('00D5'xn);
 %end;
 %dcl #EM_POSFROMCHAR char ext;
 %if #EM_POSFROMCHAR = '' %then %do;
 %#EM_POSFROMCHAR = 'Y';
 dcl EM_POSFROMCHAR         fixed bin(31) value('00D6'xn);
 dcl EM_CHARFROMPOS         fixed bin(31) value('00D7'xn);
 %end;
 %end; /* WINVER >= 0x0400 */
 %if WINVER >= 1280 %then %do;
 dcl EM_SETIMESTATUS        fixed bin(31) value('00D8'xn);
 dcl EM_GETIMESTATUS        fixed bin(31) value('00D9'xn);
 %end; /* WINVER >= 0x0500 */

 %end; /* !NOWINMESSAGES */

 /* EDITWORDBREAKPROC code values  */
 dcl WB_LEFT        fixed bin(31) value(0);
 dcl WB_RIGHT       fixed bin(31) value(1);
 dcl WB_ISDELIMITER fixed bin(31) value(2);

 /* Button Control Styles  */
 dcl BS_PUSHBUTTON      fixed bin(31) value('00000000'xn);
 dcl BS_DEFPUSHBUTTON   fixed bin(31) value('00000001'xn);
 dcl BS_CHECKBOX        fixed bin(31) value('00000002'xn);
 dcl BS_AUTOCHECKBOX    fixed bin(31) value('00000003'xn);
 dcl BS_RADIOBUTTON     fixed bin(31) value('00000004'xn);
 dcl BS_3STATE          fixed bin(31) value('00000005'xn);
 dcl BS_AUTO3STATE      fixed bin(31) value('00000006'xn);
 dcl BS_GROUPBOX        fixed bin(31) value('00000007'xn);
 dcl BS_USERBUTTON      fixed bin(31) value('00000008'xn);
 dcl BS_AUTORADIOBUTTON fixed bin(31) value('00000009'xn);
 dcl BS_OWNERDRAW       fixed bin(31) value('0000000B'xn);
 dcl BS_LEFTTEXT        fixed bin(31) value('00000020'xn);
 %if WINVER >= 1024 %then %do;
 dcl BS_TEXT            fixed bin(31) value('00000000'xn);
 dcl BS_ICON            fixed bin(31) value('00000040'xn);
 dcl BS_BITMAP          fixed bin(31) value('00000080'xn);
 dcl BS_LEFT            fixed bin(31) value('00000100'xn);
 dcl BS_RIGHT           fixed bin(31) value('00000200'xn);
 dcl BS_CENTER          fixed bin(31) value('00000300'xn);
 dcl BS_TOP             fixed bin(31) value('00000400'xn);
 dcl BS_BOTTOM          fixed bin(31) value('00000800'xn);
 dcl BS_VCENTER         fixed bin(31) value('00000C00'xn);
 dcl BS_PUSHLIKE        fixed bin(31) value('00001000'xn);
 dcl BS_MULTILINE       fixed bin(31) value('00002000'xn);
 dcl BS_NOTIFY          fixed bin(31) value('00004000'xn);
 dcl BS_FLAT            fixed bin(31) value('00008000'xn);
 dcl BS_RIGHTBUTTON     fixed bin(31) value(BS_LEFTTEXT);
 %end; /* WINVER >= 0x0400 */

 /* User Button Notification Codes  */
 dcl BN_CLICKED       fixed bin(31) value(0);
 dcl BN_PAINT         fixed bin(31) value(1);
 dcl BN_HILITE        fixed bin(31) value(2);
 dcl BN_UNHILITE      fixed bin(31) value(3);
 dcl BN_DISABLE       fixed bin(31) value(4);
 dcl BN_DOUBLECLICKED fixed bin(31) value(5);
 %if WINVER >= 1024 %then %do;
 dcl BN_PUSHED        fixed bin(31) value(BN_HILITE);
 dcl BN_UNPUSHED      fixed bin(31) value(BN_UNHILITE);
 dcl BN_DBLCLK        fixed bin(31) value(BN_DOUBLECLICKED);
 dcl BN_SETFOCUS      fixed bin(31) value(6);
 dcl BN_KILLFOCUS     fixed bin(31) value(7);
 %end; /* WINVER >= 0x0400 */

 /* Button Control Messages */
 dcl BM_GETCHECK fixed bin(31) value('00F0'xn);
 dcl BM_SETCHECK fixed bin(31) value('00F1'xn);
 dcl BM_GETSTATE fixed bin(31) value('00F2'xn);
 dcl BM_SETSTATE fixed bin(31) value('00F3'xn);
 dcl BM_SETSTYLE fixed bin(31) value('00F4'xn);
 %if WINVER >= 1024 %then %do;
 dcl BM_CLICK    fixed bin(31) value('00F5'xn);
 dcl BM_GETIMAGE fixed bin(31) value('00F6'xn);
 dcl BM_SETIMAGE fixed bin(31) value('00F7'xn);

 dcl BST_UNCHECKED     fixed bin(31) value('0000'xn);
 dcl BST_CHECKED       fixed bin(31) value('0001'xn);
 dcl BST_INDETERMINATE fixed bin(31) value('0002'xn);
 dcl BST_PUSHED        fixed bin(31) value('0004'xn);
 dcl BST_FOCUS         fixed bin(31) value('0008'xn);
 %end; /* WINVER >= 0x0400 */

 /* Static Control Constants  */
 dcl SS_LEFT            fixed bin(31) value('00000000'xn);
 dcl SS_CENTER          fixed bin(31) value('00000001'xn);
 dcl SS_RIGHT           fixed bin(31) value('00000002'xn);
 dcl SS_ICON            fixed bin(31) value('00000003'xn);
 dcl SS_BLACKRECT       fixed bin(31) value('00000004'xn);
 dcl SS_GRAYRECT        fixed bin(31) value('00000005'xn);
 dcl SS_WHITERECT       fixed bin(31) value('00000006'xn);
 dcl SS_BLACKFRAME      fixed bin(31) value('00000007'xn);
 dcl SS_GRAYFRAME       fixed bin(31) value('00000008'xn);
 dcl SS_WHITEFRAME      fixed bin(31) value('00000009'xn);
 dcl SS_USERITEM        fixed bin(31) value('0000000A'xn);
 dcl SS_SIMPLE          fixed bin(31) value('0000000B'xn);
 dcl SS_LEFTNOWORDWRAP  fixed bin(31) value('0000000C'xn);
 %if WINVER >= 1024 %then %do;
 dcl SS_OWNERDRAW       fixed bin(31) value('0000000D'xn);
 dcl SS_BITMAP          fixed bin(31) value('0000000E'xn);
 dcl SS_ENHMETAFILE     fixed bin(31) value('0000000F'xn);
 dcl SS_ETCHEDHORZ      fixed bin(31) value('00000010'xn);
 dcl SS_ETCHEDVERT      fixed bin(31) value('00000011'xn);
 dcl SS_ETCHEDFRAME     fixed bin(31) value('00000012'xn);
 dcl SS_TYPEMASK        fixed bin(31) value('0000001F'xn);
 %end; /* WINVER >= 0x0400 */
 %if WINVER >= 1281 %then %do;
 dcl SS_REALSIZECONTROL fixed bin(31) value('00000040'xn);
 %end; /* WINVER >= 0x0501 */
 dcl SS_NOPREFIX        fixed bin(31) value('00000080'xn);
 /* Don't do "&" character translation */
 %if WINVER >= 1024 %then %do;
 dcl SS_NOTIFY          fixed bin(31) value('00000100'xn);
 dcl SS_CENTERIMAGE     fixed bin(31) value('00000200'xn);
 dcl SS_RIGHTJUST       fixed bin(31) value('00000400'xn);
 dcl SS_REALSIZEIMAGE   fixed bin(31) value('00000800'xn);
 dcl SS_SUNKEN          fixed bin(31) value('00001000'xn);
 dcl SS_ENDELLIPSIS     fixed bin(31) value('00004000'xn);
 dcl SS_PATHELLIPSIS    fixed bin(31) value('00008000'xn);
 dcl SS_WORDELLIPSIS    fixed bin(31) value('0000C000'xn);
 dcl SS_ELLIPSISMASK    fixed bin(31) value('0000C000'xn);
 %end; /* WINVER >= 0x0400 */


 %if NOWINMESSAGES = '' %then %do;
 /* Static Control Mesages  */
 dcl STM_SETICON  fixed bin(31) value('0170'xn);
 dcl STM_GETICON  fixed bin(31) value('0171'xn);
 dcl STM_SETIMAGE fixed bin(31) value('0172'xn);
 dcl STM_GETIMAGE fixed bin(31) value('0173'xn);
 %if WINVER >= 1024 %then %do;
 dcl STN_CLICKED  fixed bin(31) value(0);
 dcl STN_DBLCLK   fixed bin(31) value(1);
 dcl STN_ENABLE   fixed bin(31) value(2);
 dcl STN_DISABLE  fixed bin(31) value(3);
 %end; /* WINVER >= 0x0400 */
 dcl STM_MSGMAX   fixed bin(31) value('0174'xn);
 %end; /* !NOWINMESSAGES */

 /* Dialog window class  */
 dcl WC_DIALOG     pointer value(MAKEINTATOM('8002'xn));

 /* Get/SetWindowWord/Long offsets for use with WC_DIALOG windows */
 dcl DWL_MSGRESULT   fixed bin(31) value(0);
 dcl DWL_DLGPROC     fixed bin(31) value(4);
 dcl DWL_USER        fixed bin(31) value(8);

 dcl DWLP_MSGRESULT  fixed bin(31) value(0);
 dcl DWLP_DLGPROC    fixed bin(31) value(DWLP_MSGRESULT
                                         + size(: LRESULT :));
 dcl DWLP_USER       fixed bin(31) value(DWLP_DLGPROC
                                         + size(: DLGPROC :));

 /* Dialog Manager Routines  */

 %if NOMSG = '' %then %do;

 dcl IsDialogMessageA
     entry (type HWND,
            type MSG byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsDialogMessageA');

 dcl IsDialogMessageW
     entry (type HWND,
            type MSG byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('IsDialogMessageW');

 %dcl IsDialogMessage char ext;
 %if UNICODE ^= '' %then %do;
   %IsDialogMessage='IsDialogMessageW';
 %end; %else %do;
   %IsDialogMessage='IsDialogMessageA';
 %end; /* !UNICODE */

 %end; /* !NOMSG */


 dcl MapDialogRect
     entry (type HWND,
            type RECT byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('MapDialogRect');

 dcl DlgDirListA
     entry (type HWND,
            char(*) varz byaddr,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DlgDirListA');

 dcl DlgDirListW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DlgDirListW');

 %dcl DlgDirList char ext;
 %if UNICODE ^= '' %then %do;
   %DlgDirList='DlgDirListW';
 %end; %else %do;
   %DlgDirList='DlgDirListA';
 %end; /* !UNICODE */

 /* DlgDirList, DlgDirListComboBox flags values  */
 dcl DDL_READWRITE fixed bin(31) value('0000'xn);
 dcl DDL_READONLY  fixed bin(31) value('0001'xn);
 dcl DDL_HIDDEN    fixed bin(31) value('0002'xn);
 dcl DDL_SYSTEM    fixed bin(31) value('0004'xn);
 dcl DDL_DIRECTORY fixed bin(31) value('0010'xn);
 dcl DDL_ARCHIVE   fixed bin(31) value('0020'xn);

 dcl DDL_POSTMSGS  fixed bin(31) value('2000'xn);
 dcl DDL_DRIVES    fixed bin(31) value('4000'xn);
 dcl DDL_EXCLUSIVE fixed bin(31) value('8000'xn);

 dcl DlgDirSelectExA
     entry (type HWND,
            char(*) varz byaddr,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DlgDirSelectExA');

 dcl DlgDirSelectExW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DlgDirSelectExW');

 %dcl DlgDirSelectEx char ext;
 %if UNICODE ^= '' %then %do;
   %DlgDirSelectEx='DlgDirSelectExW';
 %end; %else %do;
   %DlgDirSelectEx='DlgDirSelectExA';
 %end; /* !UNICODE */

 dcl DlgDirListComboBoxA
     entry (type HWND,
            char(*) varz byaddr,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DlgDirListComboBoxA');

 dcl DlgDirListComboBoxW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            fixed bin(31),
            type UINT)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('DlgDirListComboBoxW');

 %dcl DlgDirListComboBox char ext;
 %if UNICODE ^= '' %then %do;
   %DlgDirListComboBox='DlgDirListComboBoxW';
 %end; %else %do;
   %DlgDirListComboBox='DlgDirListComboBoxA';
 %end; /* !UNICODE */

 dcl DlgDirSelectComboBoxExA
     entry (type HWND,
            char(*) varz byaddr,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DlgDirSelectComboBoxExA');

 dcl DlgDirSelectComboBoxExW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            fixed bin(31),
            fixed bin(31))
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('DlgDirSelectComboBoxExW');

 %dcl DlgDirSelectComboBoxEx char ext;
 %if UNICODE ^= '' %then %do;
   %DlgDirSelectComboBoxEx='DlgDirSelectComboBoxExW';
 %end; %else %do;
   %DlgDirSelectComboBoxEx='DlgDirSelectComboBoxExA';
 %end; /* !UNICODE */

 /* Dialog Styles  */
 dcl DS_ABSALIGN      fixed bin(31) value('01'xn);
 dcl DS_SYSMODAL      fixed bin(31) value('02'xn);
 dcl DS_LOCALEDIT     fixed bin(31) value('20'xn);
     /* Edit items get Local storage. */
 dcl DS_SETFONT       fixed bin(31) value('40'xn);
     /* User specified font for Dlg controls */
 dcl DS_MODALFRAME    fixed bin(31) value('80'xn);
     /* Can be combined with WS_CAPTION  */
 dcl DS_NOIDLEMSG     fixed bin(31) value('100'xn);
     /* WM_ENTERIDLE message will not be sent */
 dcl DS_SETFOREGROUND fixed bin(31) value('200'xn);
     /* not in win3.1 */

 %if WINVER >= 1024 %then %do;
 dcl DS_3DLOOK        fixed bin(31) value('0004'xn);
 dcl DS_FIXEDSYS      fixed bin(31) value('0008'xn);
 dcl DS_NOFAILCREATE  fixed bin(31) value('0010'xn);
 dcl DS_CONTROL       fixed bin(31) value('0400'xn);
 dcl DS_CENTER        fixed bin(31) value('0800'xn);
 dcl DS_CENTERMOUSE   fixed bin(31) value('1000'xn);
 dcl DS_CONTEXTHELP   fixed bin(31) value('2000'xn);
 %end; /* WINVER >= 0x0400 */

 dcl DM_GETDEFID      fixed bin(31) value(WM_USER+0);
 dcl DM_SETDEFID      fixed bin(31) value(WM_USER+1);

 %if WINVER >= 1024 %then %do;
 dcl DM_REPOSITION    fixed bin(31) value(WM_USER+2);
 %end; /* WINVER >= 0x0400 */
 /* Returned in HIWORD() of DM_GETDEFID  result if msg is supported */

 dcl DC_HASDEFID          fixed bin(31) value('534B'xn);

 /* Dialog Codes */
 dcl DLGC_WANTARROWS      fixed bin(31) value('0001'xn);
     /* Control wants arrow keys         */
 dcl DLGC_WANTTAB         fixed bin(31) value('0002'xn);
     /* Control wants tab keys           */
 dcl DLGC_WANTALLKEYS     fixed bin(31) value('0004'xn);
     /* Control wants all keys           */
 dcl DLGC_WANTMESSAGE     fixed bin(31) value('0004'xn);
     /* Pass message to control          */
 dcl DLGC_HASSETSEL       fixed bin(31) value('0008'xn);
     /* Understands EM_SETSEL message    */
 dcl DLGC_DEFPUSHBUTTON   fixed bin(31) value('0010'xn);
     /* Default pushbutton               */
 dcl DLGC_UNDEFPUSHBUTTON fixed bin(31) value('0020'xn);
     /* Non-default pushbutton           */
 dcl DLGC_RADIOBUTTON     fixed bin(31) value('0040'xn);
     /* Radio button                     */
 dcl DLGC_WANTCHARS       fixed bin(31) value('0080'xn);
     /* Want WM_CHAR messages            */
 dcl DLGC_STATIC          fixed bin(31) value('0100'xn);
     /* Static item: don't include       */
 dcl DLGC_BUTTON          fixed bin(31) value('2000'xn);
     /* Button item: can be checked      */

 dcl LB_CTLCODE  fixed bin(31) value (0);

 /* Listbox Return Values   */
 dcl LB_OKAY     fixed bin(31) value(0);
 dcl LB_ERR      fixed bin(31) value(-1);
 dcl LB_ERRSPACE fixed bin(31) value(-2);

 /* The idStaticPath parameter to DlgDirList can have the following   */
 /* values ORed if the list box should show other details of the      */
 /* files along with the name of the files.                           */
 /* All other details also will be returned.                          */

 /* Listbox Notification Codes */
 dcl LBN_ERRSPACE  fixed bin(31) value(-2);
 dcl LBN_SELCHANGE fixed bin(31) value(1);
 dcl LBN_DBLCLK    fixed bin(31) value(2);
 dcl LBN_SELCANCEL fixed bin(31) value(3);
 dcl LBN_SETFOCUS  fixed bin(31) value(4);
 dcl LBN_KILLFOCUS fixed bin(31) value(5);


 %if NOWINMESSAGES = '' %then %do;

 /* Listbox messages */
 dcl LB_ADDSTRING           fixed bin(31) value('0180'xn);
 dcl LB_INSERTSTRING        fixed bin(31) value('0181'xn);
 dcl LB_DELETESTRING        fixed bin(31) value('0182'xn);
 dcl LB_SELITEMRANGEEX      fixed bin(31) value('0183'xn);
 dcl LB_RESETCONTENT        fixed bin(31) value('0184'xn);
 dcl LB_SETSEL              fixed bin(31) value('0185'xn);
 dcl LB_SETCURSEL           fixed bin(31) value('0186'xn);
 dcl LB_GETSEL              fixed bin(31) value('0187'xn);
 dcl LB_GETCURSEL           fixed bin(31) value('0188'xn);
 dcl LB_GETTEXT             fixed bin(31) value('0189'xn);
 dcl LB_GETTEXTLEN          fixed bin(31) value('018A'xn);
 dcl LB_GETCOUNT            fixed bin(31) value('018B'xn);
 dcl LB_SELECTSTRING        fixed bin(31) value('018C'xn);
 dcl LB_DIR                 fixed bin(31) value('018D'xn);
 dcl LB_GETTOPINDEX         fixed bin(31) value('018E'xn);
 dcl LB_FINDSTRING          fixed bin(31) value('018F'xn);
 dcl LB_GETSELCOUNT         fixed bin(31) value('0190'xn);
 dcl LB_GETSELITEMS         fixed bin(31) value('0191'xn);
 dcl LB_SETTABSTOPS         fixed bin(31) value('0192'xn);
 dcl LB_GETHORIZONTALEXTENT fixed bin(31) value('0193'xn);
 dcl LB_SETHORIZONTALEXTENT fixed bin(31) value('0194'xn);
 dcl LB_SETCOLUMNWIDTH      fixed bin(31) value('0195'xn);
 dcl LB_ADDFILE             fixed bin(31) value('0196'xn);
 dcl LB_SETTOPINDEX         fixed bin(31) value('0197'xn);
 dcl LB_GETITEMRECT         fixed bin(31) value('0198'xn);
 dcl LB_GETITEMDATA         fixed bin(31) value('0199'xn);
 dcl LB_SETITEMDATA         fixed bin(31) value('019A'xn);
 dcl LB_SELITEMRANGE        fixed bin(31) value('019B'xn);
 dcl LB_SETANCHORINDEX      fixed bin(31) value('019C'xn);
 dcl LB_GETANCHORINDEX      fixed bin(31) value('019D'xn);
 dcl LB_SETCARETINDEX       fixed bin(31) value('019E'xn);
 dcl LB_GETCARETINDEX       fixed bin(31) value('019F'xn);
 dcl LB_SETITEMHEIGHT       fixed bin(31) value('01A0'xn);
 dcl LB_GETITEMHEIGHT       fixed bin(31) value('01A1'xn);
 dcl LB_FINDSTRINGEXACT     fixed bin(31) value('01A2'xn);
 dcl LB_SETLOCALE           fixed bin(31) value('01A5'xn);
 dcl LB_GETLOCALE           fixed bin(31) value('01A6'xn);
 dcl LB_SETCOUNT            fixed bin(31) value('01A7'xn);
 %if WINVER >= 1024 %then %do;
 dcl LB_INITSTORAGE         fixed bin(31) value('01A8'xn);
 dcl LB_ITEMFROMPOINT       fixed bin(31) value('01A9'xn);
 %end; /* WINVER >= 0x0400 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl LB_GETLISTBOXINFO      fixed bin(31) value('01B2'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl LB_MSGMAX              fixed bin(31) value('01B3'xn);
 %end; %else %if WINVER >= 1024 %then %do;
 dcl LB_MSGMAX              fixed bin(31) value('01B0'xn);
 %end; %else %do;
 dcl LB_MSGMAX              fixed bin(31) value('01A8'xn);
 %end;

 %end; /* !NOWINMESSAGES */


 %if NOWINSTYLES = '' %then %do;

 /* Listbox Styles */
 dcl LBS_NOTIFY            type DWORD value('0001'xu);
 dcl LBS_SORT              type DWORD value('0002'xu);
 dcl LBS_NOREDRAW          type DWORD value('0004'xu);
 dcl LBS_MULTIPLESEL       type DWORD value('0008'xu);
 dcl LBS_OWNERDRAWFIXED    type DWORD value('0010'xu);
 dcl LBS_OWNERDRAWVARIABLE type DWORD value('0020'xu);
 dcl LBS_HASSTRINGS        type DWORD value('0040'xu);
 dcl LBS_USETABSTOPS       type DWORD value('0080'xu);
 dcl LBS_NOINTEGRALHEIGHT  type DWORD value('0100'xu);
 dcl LBS_MULTICOLUMN       type DWORD value('0200'xu);
 dcl LBS_WANTKEYBOARDINPUT type DWORD value('0400'xu);
 dcl LBS_EXTENDEDSEL       type DWORD value('0800'xu);
 dcl LBS_DISABLENOSCROLL   type DWORD value('1000'xu);
 dcl LBS_NODATA            type DWORD value('2000'xu);
 %if WINVER >= 1024 %then %do;
 dcl LBS_NOSEL             type DWORD value('4000'xu);
 %end; /* WINVER >= 0x0400 */
 dcl LBS_STANDARD          type DWORD
     value (ior (LBS_NOTIFY, LBS_SORT, WS_VSCROLL, WS_BORDER));

 %end; /* !NOWINSTYLES */

 /* Combo Box return Values */
 dcl CB_OKAY     fixed bin(31) value(0);
 dcl CB_ERR      fixed bin(31) value(-1);
 dcl CB_ERRSPACE fixed bin(31) value(-2);

 /* Combo Box Notification Codes */
 dcl CBN_ERRSPACE     fixed bin(31) value(-1);
 dcl CBN_SELCHANGE    fixed bin(31) value(1);
 dcl CBN_DBLCLK       fixed bin(31) value(2);
 dcl CBN_SETFOCUS     fixed bin(31) value(3);
 dcl CBN_KILLFOCUS    fixed bin(31) value(4);
 dcl CBN_EDITCHANGE   fixed bin(31) value(5);
 dcl CBN_EDITUPDATE   fixed bin(31) value(6);
 dcl CBN_DROPDOWN     fixed bin(31) value(7);
 dcl CBN_CLOSEUP      fixed bin(31) value(8);
 dcl CBN_SELENDOK     fixed bin(31) value(9);
 dcl CBN_SELENDCANCEL fixed bin(31) value(10);

 /* Combo Box styles  */

 %if NOWINSTYLES = '' %then %do;
 dcl CBS_SIMPLE            type DWORD value('0001'xu);
 dcl CBS_DROPDOWN          type DWORD value('0002'xu);
 dcl CBS_DROPDOWNLIST      type DWORD value('0003'xu);
 dcl CBS_OWNERDRAWFIXED    type DWORD value('0010'xu);
 dcl CBS_OWNERDRAWVARIABLE type DWORD value('0020'xu);
 dcl CBS_AUTOHSCROLL       type DWORD value('0040'xu);
 dcl CBS_OEMCONVERT        type DWORD value('0080'xu);
 dcl CBS_SORT              type DWORD value('0100'xu);
 dcl CBS_HASSTRINGS        type DWORD value('0200'xu);
 dcl CBS_NOINTEGRALHEIGHT  type DWORD value('0400'xu);
 dcl CBS_DISABLENOSCROLL   type DWORD value('0800'xu);
 %if WINVER >= 1024 %then %do;
 dcl CBS_UPPERCASE         type DWORD value('2000'xu);
 dcl CBS_LOWERCASE         type DWORD value('4000'xu);
 %end; /* WINVER >= 0x0400 */
 %end; /* !NOWINSTYLES */

 /* Combo Box messages */

 %if NOWINMESSAGES = '' %then %do;
 dcl CB_GETEDITSEL            fixed bin(31) value('0140'xn);
 dcl CB_LIMITTEXT             fixed bin(31) value('0141'xn);
 dcl CB_SETEDITSEL            fixed bin(31) value('0142'xn);
 dcl CB_ADDSTRING             fixed bin(31) value('0143'xn);
 dcl CB_DELETESTRING          fixed bin(31) value('0144'xn);
 dcl CB_DIR                   fixed bin(31) value('0145'xn);
 dcl CB_GETCOUNT              fixed bin(31) value('0146'xn);
 dcl CB_GETCURSEL             fixed bin(31) value('0147'xn);
 dcl CB_GETLBTEXT             fixed bin(31) value('0148'xn);
 dcl CB_GETLBTEXTLEN          fixed bin(31) value('0149'xn);
 dcl CB_INSERTSTRING          fixed bin(31) value('014A'xn);
 dcl CB_RESETCONTENT          fixed bin(31) value('014B'xn);
 dcl CB_FINDSTRING            fixed bin(31) value('014C'xn);
 dcl CB_SELECTSTRING          fixed bin(31) value('014D'xn);
 dcl CB_SETCURSEL             fixed bin(31) value('014E'xn);
 dcl CB_SHOWDROPDOWN          fixed bin(31) value('014F'xn);
 dcl CB_GETITEMDATA           fixed bin(31) value('0150'xn);
 dcl CB_SETITEMDATA           fixed bin(31) value('0151'xn);
 dcl CB_GETDROPPEDCONTROLRECT fixed bin(31) value('0152'xn);
 dcl CB_SETITEMHEIGHT         fixed bin(31) value('0153'xn);
 dcl CB_GETITEMHEIGHT         fixed bin(31) value('0154'xn);
 dcl CB_SETEXTENDEDUI         fixed bin(31) value('0155'xn);
 dcl CB_GETEXTENDEDUI         fixed bin(31) value('0156'xn);
 dcl CB_GETDROPPEDSTATE       fixed bin(31) value('0157'xn);
 dcl CB_FINDSTRINGEXACT       fixed bin(31) value('0158'xn);
 dcl CB_SETLOCALE             fixed bin(31) value('0159'xn);
 dcl CB_GETLOCALE             fixed bin(31) value('015A'xn);
 %if WINVER >= 1024 %then %do;
 dcl CB_GETTOPINDEX           fixed bin(31) value('015b'xn);
 dcl CB_SETTOPINDEX           fixed bin(31) value('015c'xn);
 dcl CB_GETHORIZONTALEXTENT   fixed bin(31) value('015d'xn);
 dcl CB_SETHORIZONTALEXTENT   fixed bin(31) value('015e'xn);
 dcl CB_GETDROPPEDWIDTH       fixed bin(31) value('015f'xn);
 dcl CB_SETDROPPEDWIDTH       fixed bin(31) value('0160'xn);
 dcl CB_INITSTORAGE           fixed bin(31) value('0161'xn);
 %end; /* WINVER >= 0x0400 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl CB_GETCOMBOBOXINFO       fixed bin(31) value('0164'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl CB_MSGMAX                fixed bin(31) value('0165'xn);
 %end; %else %if WINVER >= 1024 %then %do;
 dcl CB_MSGMAX                fixed bin(31) value('0162'xn);
 %end; %else %do;
 dcl CB_MSGMAX                fixed bin(31) value('015B'xn);
 %end;
 %end; /* !NOWINMESSAGES */


 %if NOWINSTYLES = '' %then %do;

 /* Scroll Bar Styles */
 dcl SBS_HORZ                    type DWORD value('0000'xu);
 dcl SBS_VERT                    type DWORD value('0001'xu);
 dcl SBS_TOPALIGN                type DWORD value('0002'xu);
 dcl SBS_LEFTALIGN               type DWORD value('0002'xu);
 dcl SBS_BOTTOMALIGN             type DWORD value('0004'xu);
 dcl SBS_RIGHTALIGN              type DWORD value('0004'xu);
 dcl SBS_SIZEBOXTOPLEFTALIGN     type DWORD value('0002'xu);
 dcl SBS_SIZEBOXBOTTOMRIGHTALIGN type DWORD value('0004'xu);
 dcl SBS_SIZEBOX                 type DWORD value('0008'xu);
 %if WINVER >= 1024 %then %do;
 dcl SBS_SIZEGRIP                type DWORD value('0010'xu);
 %end; /* WINVER >= 0x0400 */
 %end; /* !NOWINSTYLES */

 /* Scroll bar messages */

 %if NOWINMESSAGES = '' %then %do;
 dcl SBM_SETPOS          fixed bin(31) value('00E0'xn);/*not in win3.1*/
 dcl SBM_GETPOS          fixed bin(31) value('00E1'xn);/*not in win3.1*/
 dcl SBM_SETRANGE        fixed bin(31) value('00E2'xn);/*not in win3.1*/
 dcl SBM_SETRANGEREDRAW  fixed bin(31) value('00E6'xn);/*not in win3.1*/
 dcl SBM_GETRANGE        fixed bin(31) value('00E3'xn);/*not in win3.1*/
 dcl SBM_ENABLE_ARROWS   fixed bin(31) value('00E4'xn);/*not in win3.1*/
 %if WINVER >= 1024 %then %do;
 dcl SBM_SETSCROLLINFO    fixed bin(31) value('00E9'xn);
 dcl SBM_GETSCROLLINFO    fixed bin(31) value('00EA'xn);

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl SBM_GETSCROLLBARINFO fixed bin(31) value('00EB'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl SIF_RANGE            fixed bin(31) value('0001'xn);
 dcl SIF_PAGE             fixed bin(31) value('0002'xn);
 dcl SIF_POS              fixed bin(31) value('0004'xn);
 dcl SIF_DISABLENOSCROLL  fixed bin(31) value('0008'xn);
 dcl SIF_TRACKPOS         fixed bin(31) value('0010'xn);

 dcl SIF_ALL              fixed bin(31)
     value (ior (SIF_RANGE, SIF_PAGE, SIF_POS, SIF_TRACKPOS));

 define structure
   1 SCROLLINFO,
     2 cbSize    type UINT,
     2 fMask     type UINT,
     2 nMin      fixed bin(31),
     2 nMax      fixed bin(31),
     2 nPage     type UINT,
     2 nPos      fixed bin(31),
     2 nTrackPos fixed bin(31);
 define alias LPSCROLLINFO handle SCROLLINFO;


 dcl SetScrollInfo
     entry (type HWND,
            fixed bin(31),
            type SCROLLINFO byaddr,
            type BOOL)
     returns (optional fixed bin(31) byvalue)
     WINUSERAPI WINAPI external('SetScrollInfo');

 dcl GetScrollInfo
     entry (type HWND,
            fixed bin(31),
            type SCROLLINFO byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('GetScrollInfo');

 %end; /* WINVER >= 0x0400 */
 %end; /* !NOWINMESSAGES */
 %end; /* !NOCTLMGR */

 %dcl NOMDI char ext;
 %if NOMDI = '' %then %do;

 /* MDI client style bits   */
 dcl MDIS_ALLCHILDSTYLES  fixed bin(31) value('0001'xn);

 /* wParam Flags for WM_MDITILE and WM_MDICASCADE messages. */
 dcl MDITILE_VERTICAL     fixed bin(31) value('0000'xn); /* not in */
 dcl MDITILE_HORIZONTAL   fixed bin(31) value('0001'xn); /* win3.1 */
 dcl MDITILE_SKIPDISABLED fixed bin(31) value('0002'xn); /*   "    */
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl MDITILE_ZORDER       fixed bin(31) value('0004'xn);
 %end; /* _WIN32_WINNT >= 0x0500 */

 define structure
   1 MDICREATESTRUCTA,
     2 szClass type LPCSTR,
     2 szTitle type LPCSTR,
     2 hOwner  type HANDLE,
     2 x       fixed bin(31),
     2 y       fixed bin(31),
     2 cx      fixed bin(31),
     2 cy      fixed bin(31),
     2 style   type DWORD,
     2 lParam  type LPARAM; /* app-defined stuff */
 define alias LPMDICREATESTRUCTA handle MDICREATESTRUCTA;

 define structure
   1 MDICREATESTRUCTW,
     2 szClass type LPCWSTR,
     2 szTitle type LPCWSTR,
     2 hOwner  type HANDLE,
     2 x       fixed bin(31),
     2 y       fixed bin(31),
     2 cx      fixed bin(31),
     2 cy      fixed bin(31),
     2 style   type DWORD,
     2 lParam  type LPARAM; /* app-defined stuff */
 define alias LPMDICREATESTRUCTW handle MDICREATESTRUCTW;

 %if UNICODE ^= '' %then %do;
 define alias   MDICREATESTRUCT type MDICREATESTRUCTW;
 define alias LPMDICREATESTRUCT type LPMDICREATESTRUCTW;
 %end; %else %do;
 define alias   MDICREATESTRUCT type MDICREATESTRUCTA;
 define alias LPMDICREATESTRUCT type LPMDICREATESTRUCTA;
 %end; /* UNICODE */

 define structure
   1 CLIENTCREATESTRUCT,
     2 hWindowMenu  type HANDLE,
     2 idFirstChild type UINT;
 define alias LPCLIENTCREATESTRUCT handle CLIENTCREATESTRUCT;


 dcl DefFrameProcA
     entry (type HWND,
            type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefFrameProcA');

 dcl DefFrameProcW
     entry (type HWND,
            type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefFrameProcW');

 %dcl DefFrameProc char ext;
 %if UNICODE ^= '' %then %do;
   %DefFrameProc='DefFrameProcW';
 %end; %else %do;
   %DefFrameProc='DefFrameProcA';
 %end; /* !UNICODE */

 dcl DefMDIChildProcA
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefMDIChildProcA');

 dcl DefMDIChildProcW
     entry (type HWND,
            type UINT,
            type WPARAM,
            type LPARAM)
     returns (optional type LRESULT byvalue)
     WINUSERAPI WINAPI external('DefMDIChildProcW');

 %dcl DefMDIChildProc char ext;
 %if UNICODE ^= '' %then %do;
   %DefMDIChildProc='DefMDIChildProcW';
 %end; %else %do;
   %DefMDIChildProc='DefMDIChildProcA';
 %end; /* !UNICODE */


 %if NOMSG = '' %then %do;
 dcl TranslateMDISysAccel
     entry (type HWND,
            type MSG byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('TranslateMDISysAccel');
 %end; /* !NOMSG */


 dcl ArrangeIconicWindows
     entry (type HWND)
     returns (optional type UINT byvalue)
     WINUSERAPI WINAPI external('ArrangeIconicWindows');

 dcl CreateMDIWindowA
     entry (char(*) varz byaddr,
            char(*) varz byaddr,
            type DWORD,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type HWND,
            type HINSTANCE,
            type LPARAM)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateMDIWindowA');

 dcl CreateMDIWindowW
     entry (WCHAR(*) varz byaddr,
            WCHAR(*) varz byaddr,
            type DWORD,
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            fixed bin(31),
            type HWND,
            type HINSTANCE,
            type LPARAM)
     returns (optional type HWND byvalue)
     WINUSERAPI WINAPI external('CreateMDIWindowW');

 %dcl CreateMDIWindow char ext;
 %if UNICODE ^= '' %then %do;
   %CreateMDIWindow='CreateMDIWindowW';
 %end; %else %do;
   %CreateMDIWindow='CreateMDIWindowA';
 %end; /* !UNICODE */

 %if WINVER >= 1024 %then %do;

 dcl TileWindows
     entry (type HWND,
            type UINT,
            ptr,   /* type SMALL_RECT byaddr nonasgn optional */
            type UINT,
            (*) type HWND byaddr nonasgn optional)
     returns (optional type WORD byvalue)
     WINUSERAPI WINAPI external('TileWindows');

 dcl CascadeWindows
     entry (type HWND,
            type UINT,
            ptr,   /* type SMALL_RECT byaddr nonasgn optional */
            type UINT,
            (*) type HWND byaddr nonasgn optional)
     returns (optional type WORD byvalue)
     WINUSERAPI WINAPI external('CascadeWindows');

 %end; /* WINVER >= 0x0400 */
 %end; /* !NOMDI */

 %end; /* !NOUSER */

 /****** Help support **************/

 %dcl NOHELP char ext;
 %if NOHELP = '' %then %do;

 define alias HELPPOLY type DWORD;
 define structure
   1 MULTIKEYHELPA,
     2 mkSize      type DWORD,
     2 mkKeylist   CHAR,
     2 szKeyphrase CHAR(1);
 define alias  PMULTIKEYHELPA handle MULTIKEYHELPA;
 define alias LPMULTIKEYHELPA handle MULTIKEYHELPA;

 define structure
   1 MULTIKEYHELPW,
     2 mkSize      type DWORD,
     2 mkKeylist   WCHAR,
     2 szKeyphrase WCHAR(1);
 define alias  PMULTIKEYHELPW handle MULTIKEYHELPW;
 define alias LPMULTIKEYHELPW handle MULTIKEYHELPW;

 %if UNICODE ^= '' %then %do;
 define alias   MULTIKEYHELP type   MULTIKEYHELPW;
 define alias  PMULTIKEYHELP type  PMULTIKEYHELPW;
 define alias LPMULTIKEYHELP type LPMULTIKEYHELPW;
 %end; %else %do;
 define alias   MULTIKEYHELP type   MULTIKEYHELPA;
 define alias  PMULTIKEYHELP type  PMULTIKEYHELPA;
 define alias LPMULTIKEYHELP type LPMULTIKEYHELPA;
 %end; /* UNICODE */

 define structure
   1 HELPWININFOA,
     2 wStructSize fixed bin(31),
     2 x           fixed bin(31),
     2 y           fixed bin(31),
     2 dx          fixed bin(31),
     2 dy          fixed bin(31),
     2 wMax        fixed bin(31),
     2 rgchMember  char(2);
 define alias  PHELPWININFOA handle HELPWININFOA;
 define alias LPHELPWININFOA handle HELPWININFOA;

 define structure
   1 HELPWININFOW,
     2 wStructSize fixed bin(31),
     2 x           fixed bin(31),
     2 y           fixed bin(31),
     2 dx          fixed bin(31),
     2 dy          fixed bin(31),
     2 wMax        fixed bin(31),
     2 rgchMember  WCHAR(2);
 define alias  PHELPWININFOW handle HELPWININFOW;
 define alias LPHELPWININFOW handle HELPWININFOW;

 %if UNICODE ^= '' %then %do;
 define alias   HELPWININFO type   HELPWININFOW;
 define alias  PHELPWININFO type  PHELPWININFOW;
 define alias LPHELPWININFO type LPHELPWININFOW;
 %end; %else %do;
 define alias   HELPWININFO type   HELPWININFOA;
 define alias  PHELPWININFO type  PHELPWININFOA;
 define alias LPHELPWININFO type LPHELPWININFOA;
 %end; /* UNICODE */

 /* Commands to pass to WinHelp()   */
 dcl HELP_CONTEXT            fixed bin(31) value('0001'xn);
     /* Display topic in ulTopic */
 dcl HELP_QUIT               fixed bin(31) value('0002'xn);
     /* Terminate help */
 dcl HELP_INDEX              fixed bin(31) value('0003'xn);
     /* Display index */
 dcl HELP_CONTENTS           fixed bin(31) value('0003'xn);
 dcl HELP_HELPONHELP         fixed bin(31) value('0004'xn);
     /* Display help on using help */
 dcl HELP_SETINDEX           fixed bin(31) value('0005'xn);
     /* Set current Index for multi index help */
 dcl HELP_SETCONTENTS        fixed bin(31) value('0005'xn);
 dcl HELP_CONTEXTPOPUP       fixed bin(31) value('0008'xn);
 dcl HELP_FORCEFILE          fixed bin(31) value('0009'xn);
 dcl HELP_KEY                fixed bin(31) value('0101'xn);
     /* Display topic for keyword in offabData */
 dcl HELP_COMMAND            fixed bin(31) value('0102'xn);
 dcl HELP_PARTIALKEY         fixed bin(31) value('0105'xn);
 dcl HELP_MULTIKEY           fixed bin(31) value('0201'xn);
 dcl HELP_SETWINPOS          fixed bin(31) value('0203'xn);
 %if WINVER >= 1024 %then %do;
 dcl HELP_CONTEXTMENU        fixed bin(31) value('000a'xn);
 dcl HELP_FINDER             fixed bin(31) value('000b'xn);
 dcl HELP_WM_HELP            fixed bin(31) value('000c'xn);
 dcl HELP_SETPOPUP_POS       fixed bin(31) value('000d'xn);

 dcl HELP_TCARD              fixed bin(31) value('8000'xn);
 dcl HELP_TCARD_DATA         fixed bin(31) value('0010'xn);
 dcl HELP_TCARD_OTHER_CALLER fixed bin(31) value('0011'xn);

 /* These are in winhelp.h in Win95. */
 dcl IDH_NO_HELP             fixed bin(31) value(28440);
 dcl IDH_MISSING_CONTEXT     fixed bin(31) value(28441);
     /* Control doesn't have matching help context */
 dcl IDH_GENERIC_HELP_BUTTON fixed bin(31) value(28442);
     /* Property sheet help button */
 dcl IDH_OK                  fixed bin(31) value(28443);
 dcl IDH_CANCEL              fixed bin(31) value(28444);
 dcl IDH_HELP                fixed bin(31) value(28445);
 %end; /* WINVER >= 0x0400 */

 dcl WinHelpA
     entry (type HWND,
            char(*) varz byaddr nonasgn,
            type UINT,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('WinHelpA');

 dcl WinHelpW
     entry (type HWND,
            WCHAR(*) varz byaddr nonasgn,
            type UINT,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('WinHelpW');

 %dcl WinHelp char ext;
 %if UNICODE ^= '' %then %do;
   %WinHelp='WinHelpW';
 %end; %else %do;
   %WinHelp='WinHelpA';
 %end; /* !UNICODE */

 %end; /* !NOHELP */

 %if WINVER >= 1280 %then %do;
 dcl GR_GDIOBJECTS   fixed bin(31) value(0); /* Count of GDI  objects */
 dcl GR_USEROBJECTS  fixed bin(31) value(1); /* Count of USER objects */

 dcl GetGuiResources
     entry (type HANDLE,
            type DWORD)
     returns (optional type DWORD byvalue)
     WINUSERAPI WINAPI external('GetGuiResources'); /* linkage(cdecl)?*/
 %end; /* WINVER >= 0x0500 */

 %dcl NOSYSPARAMSINFO char ext;
 %if NOSYSPARAMSINFO = '' %then %do;

 /* Parameter for SystemParametersInfo()   */

 dcl SPI_GETBEEP               fixed bin(31) value(1);
 dcl SPI_SETBEEP               fixed bin(31) value(2);
 dcl SPI_GETMOUSE              fixed bin(31) value(3);
 dcl SPI_SETMOUSE              fixed bin(31) value(4);
 dcl SPI_GETBORDER             fixed bin(31) value(5);
 dcl SPI_SETBORDER             fixed bin(31) value(6);
 dcl SPI_GETKEYBOARDSPEED      fixed bin(31) value(10);
 dcl SPI_SETKEYBOARDSPEED      fixed bin(31) value(11);
 dcl SPI_LANGDRIVER            fixed bin(31) value(12);
 dcl SPI_ICONHORIZONTALSPACING fixed bin(31) value(13);
 dcl SPI_GETSCREENSAVETIMEOUT  fixed bin(31) value(14);
 dcl SPI_SETSCREENSAVETIMEOUT  fixed bin(31) value(15);
 dcl SPI_GETSCREENSAVEACTIVE   fixed bin(31) value(16);
 dcl SPI_SETSCREENSAVEACTIVE   fixed bin(31) value(17);
 dcl SPI_GETGRIDGRANULARITY    fixed bin(31) value(18);
 dcl SPI_SETGRIDGRANULARITY    fixed bin(31) value(19);
 dcl SPI_SETDESKWALLPAPER      fixed bin(31) value(20);
 dcl SPI_SETDESKPATTERN        fixed bin(31) value(21);
 dcl SPI_GETKEYBOARDDELAY      fixed bin(31) value(22);
 dcl SPI_SETKEYBOARDDELAY      fixed bin(31) value(23);
 dcl SPI_ICONVERTICALSPACING   fixed bin(31) value(24);
 dcl SPI_GETICONTITLEWRAP      fixed bin(31) value(25);
 dcl SPI_SETICONTITLEWRAP      fixed bin(31) value(26);
 dcl SPI_GETMENUDROPALIGNMENT  fixed bin(31) value(27);
 dcl SPI_SETMENUDROPALIGNMENT  fixed bin(31) value(28);
 dcl SPI_SETDOUBLECLKWIDTH     fixed bin(31) value(29);
 dcl SPI_SETDOUBLECLKHEIGHT    fixed bin(31) value(30);
 dcl SPI_GETICONTITLELOGFONT   fixed bin(31) value(31);
 dcl SPI_SETDOUBLECLICKTIME    fixed bin(31) value(32);
 dcl SPI_SETMOUSEBUTTONSWAP    fixed bin(31) value(33);
 dcl SPI_SETICONTITLELOGFONT   fixed bin(31) value(34);
 dcl SPI_GETFASTTASKSWITCH     fixed bin(31) value(35);
 dcl SPI_SETFASTTASKSWITCH     fixed bin(31) value(36);
 %if WINVER >= 1024 %then %do;
 dcl SPI_SETDRAGFULLWINDOWS    fixed bin(31) value(37);
 dcl SPI_GETDRAGFULLWINDOWS    fixed bin(31) value(38);
 dcl SPI_GETNONCLIENTMETRICS   fixed bin(31) value(41);
 dcl SPI_SETNONCLIENTMETRICS   fixed bin(31) value(42);
 dcl SPI_GETMINIMIZEDMETRICS   fixed bin(31) value(43);
 dcl SPI_SETMINIMIZEDMETRICS   fixed bin(31) value(44);
 dcl SPI_GETICONMETRICS        fixed bin(31) value(45);
 dcl SPI_SETICONMETRICS        fixed bin(31) value(46);
 dcl SPI_SETWORKAREA           fixed bin(31) value(47);
 dcl SPI_GETWORKAREA           fixed bin(31) value(48);
 dcl SPI_SETPENWINDOWS         fixed bin(31) value(49);

 dcl SPI_GETHIGHCONTRAST       fixed bin(31) value(66);
 dcl SPI_SETHIGHCONTRAST       fixed bin(31) value(67);
 dcl SPI_GETKEYBOARDPREF       fixed bin(31) value(68);
 dcl SPI_SETKEYBOARDPREF       fixed bin(31) value(69);
 dcl SPI_GETSCREENREADER       fixed bin(31) value(70);
 dcl SPI_SETSCREENREADER       fixed bin(31) value(71);
 dcl SPI_GETANIMATION          fixed bin(31) value(72);
 dcl SPI_SETANIMATION          fixed bin(31) value(73);
 dcl SPI_GETFONTSMOOTHING      fixed bin(31) value(74);
 dcl SPI_SETFONTSMOOTHING      fixed bin(31) value(75);
 dcl SPI_SETDRAGWIDTH          fixed bin(31) value(76);
 dcl SPI_SETDRAGHEIGHT         fixed bin(31) value(77);
 dcl SPI_SETHANDHELD           fixed bin(31) value(78);
 dcl SPI_GETLOWPOWERTIMEOUT    fixed bin(31) value(79);
 dcl SPI_GETPOWEROFFTIMEOUT    fixed bin(31) value(80);
 dcl SPI_SETLOWPOWERTIMEOUT    fixed bin(31) value(81);
 dcl SPI_SETPOWEROFFTIMEOUT    fixed bin(31) value(82);
 dcl SPI_GETLOWPOWERACTIVE     fixed bin(31) value(83);
 dcl SPI_GETPOWEROFFACTIVE     fixed bin(31) value(84);
 dcl SPI_SETLOWPOWERACTIVE     fixed bin(31) value(85);
 dcl SPI_SETPOWEROFFACTIVE     fixed bin(31) value(86);
 dcl SPI_SETCURSORS            fixed bin(31) value(87);
 dcl SPI_SETICONS              fixed bin(31) value(88);
 dcl SPI_GETDEFAULTINPUTLANG   fixed bin(31) value(89);
 dcl SPI_SETDEFAULTINPUTLANG   fixed bin(31) value(90);
 dcl SPI_SETLANGTOGGLE         fixed bin(31) value(91);
 dcl SPI_GETWINDOWSEXTENSION   fixed bin(31) value(92);
 dcl SPI_SETMOUSETRAILS        fixed bin(31) value(93);
 dcl SPI_GETMOUSETRAILS        fixed bin(31) value(94);
 dcl SPI_SCREENSAVERRUNNING    fixed bin(31) value(97);
 %end; /* WINVER >= 0x0400 */
 dcl SPI_GETFILTERKEYS         fixed bin(31) value(50);
 dcl SPI_SETFILTERKEYS         fixed bin(31) value(51);
 dcl SPI_GETTOGGLEKEYS         fixed bin(31) value(52);
 dcl SPI_SETTOGGLEKEYS         fixed bin(31) value(53);
 dcl SPI_GETMOUSEKEYS          fixed bin(31) value(54);
 dcl SPI_SETMOUSEKEYS          fixed bin(31) value(55);
 dcl SPI_GETSHOWSOUNDS         fixed bin(31) value(56);
 dcl SPI_SETSHOWSOUNDS         fixed bin(31) value(57);
 dcl SPI_GETSTICKYKEYS         fixed bin(31) value(58);
 dcl SPI_SETSTICKYKEYS         fixed bin(31) value(59);
 dcl SPI_GETACCESSTIMEOUT      fixed bin(31) value(60);
 dcl SPI_SETACCESSTIMEOUT      fixed bin(31) value(61);
 %if WINVER >= 1024 %then %do;
 dcl SPI_GETSERIALKEYS         fixed bin(31) value(62);
 dcl SPI_SETSERIALKEYS         fixed bin(31) value(63);
 %end; /* WINVER >= 0x0400 */
 dcl SPI_GETSOUNDSENTRY        fixed bin(31) value(64);
 dcl SPI_SETSOUNDSENTRY        fixed bin(31) value(65);

 %if #WIN32_WINNT >= 1024 | #WIN32_WINDOWS > 1024 %then %do;
 dcl SPI_GETMOUSEHOVERWIDTH    fixed bin(31) value( 98);
 dcl SPI_SETMOUSEHOVERWIDTH    fixed bin(31) value( 99);
 dcl SPI_GETMOUSEHOVERHEIGHT   fixed bin(31) value(100);
 dcl SPI_SETMOUSEHOVERHEIGHT   fixed bin(31) value(101);
 dcl SPI_GETMOUSEHOVERTIME     fixed bin(31) value(102);
 dcl SPI_SETMOUSEHOVERTIME     fixed bin(31) value(103);
 dcl SPI_GETWHEELSCROLLLINES   fixed bin(31) value(104);
 dcl SPI_SETWHEELSCROLLLINES   fixed bin(31) value(105);

 dcl SPI_GETSHOWIMEUI          fixed bin(31) value(110);
 dcl SPI_SETSHOWIMEUI          fixed bin(31) value(111);
 %end;

 %if WINVER >= 1280 %then %do;
 dcl SPI_GETMOUSESPEED         fixed bin(31) value(112);
 dcl SPI_SETMOUSESPEED         fixed bin(31) value(113);
 dcl SPI_GETSCREENSAVERRUNNING fixed bin(31) value(114);
 dcl SPI_GETDESKWALLPAPER      fixed bin(31) value(115);
 %end; /* WINVER >= 0x0500 */

 %if WINVER >= 1280 %then %do;
 dcl SPI_GETACTIVEWINDOWTRACKING         fixed bin(31) value('1000'xn);
 dcl SPI_SETACTIVEWINDOWTRACKING         fixed bin(31) value('1001'xn);
 dcl SPI_GETMENUANIMATION                fixed bin(31) value('1002'xn);
 dcl SPI_SETMENUANIMATION                fixed bin(31) value('1003'xn);
 dcl SPI_GETCOMBOBOXANIMATION            fixed bin(31) value('1004'xn);
 dcl SPI_SETCOMBOBOXANIMATION            fixed bin(31) value('1005'xn);
 dcl SPI_GETLISTBOXSMOOTHSCROLLING       fixed bin(31) value('1006'xn);
 dcl SPI_SETLISTBOXSMOOTHSCROLLING       fixed bin(31) value('1007'xn);
 dcl SPI_GETGRADIENTCAPTIONS             fixed bin(31) value('1008'xn);
 dcl SPI_SETGRADIENTCAPTIONS             fixed bin(31) value('1009'xn);
 dcl SPI_GETKEYBOARDCUES                 fixed bin(31) value('100A'xn);
 dcl SPI_SETKEYBOARDCUES                 fixed bin(31) value('100B'xn);
 dcl SPI_GETMENUUNDERLINES               fixed bin(31)
                                         value(SPI_GETKEYBOARDCUES);
 dcl SPI_SETMENUUNDERLINES               fixed bin(31)
                                         value(SPI_SETKEYBOARDCUES);
 dcl SPI_GETACTIVEWNDTRKZORDER           fixed bin(31) value('100C'xn);
 dcl SPI_SETACTIVEWNDTRKZORDER           fixed bin(31) value('100D'xn);
 dcl SPI_GETHOTTRACKING                  fixed bin(31) value('100E'xn);
 dcl SPI_SETHOTTRACKING                  fixed bin(31) value('100F'xn);
 dcl SPI_GETMENUFADE                     fixed bin(31) value('1012'xn);
 dcl SPI_SETMENUFADE                     fixed bin(31) value('1013'xn);
 dcl SPI_GETSELECTIONFADE                fixed bin(31) value('1014'xn);
 dcl SPI_SETSELECTIONFADE                fixed bin(31) value('1015'xn);
 dcl SPI_GETTOOLTIPANIMATION             fixed bin(31) value('1016'xn);
 dcl SPI_SETTOOLTIPANIMATION             fixed bin(31) value('1017'xn);
 dcl SPI_GETTOOLTIPFADE                  fixed bin(31) value('1018'xn);
 dcl SPI_SETTOOLTIPFADE                  fixed bin(31) value('1019'xn);
 dcl SPI_GETCURSORSHADOW                 fixed bin(31) value('101A'xn);
 dcl SPI_SETCURSORSHADOW                 fixed bin(31) value('101B'xn);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl SPI_GETMOUSESONAR                   fixed bin(31) value('101C'xn);
 dcl SPI_SETMOUSESONAR                   fixed bin(31) value('101D'xn);
 dcl SPI_GETMOUSECLICKLOCK               fixed bin(31) value('101E'xn);
 dcl SPI_SETMOUSECLICKLOCK               fixed bin(31) value('101F'xn);
 dcl SPI_GETMOUSEVANISH                  fixed bin(31) value('1020'xn);
 dcl SPI_SETMOUSEVANISH                  fixed bin(31) value('1021'xn);
 dcl SPI_GETFLATMENU                     fixed bin(31) value('1022'xn);
 dcl SPI_SETFLATMENU                     fixed bin(31) value('1023'xn);
 dcl SPI_GETDROPSHADOW                   fixed bin(31) value('1024'xn);
 dcl SPI_SETDROPSHADOW                   fixed bin(31) value('1025'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl SPI_GETUIEFFECTS                    fixed bin(31) value('103E'xn);
 dcl SPI_SETUIEFFECTS                    fixed bin(31) value('103F'xn);

 dcl SPI_GETFOREGROUNDLOCKTIMEOUT        fixed bin(31) value('2000'xn);
 dcl SPI_SETFOREGROUNDLOCKTIMEOUT        fixed bin(31) value('2001'xn);
 dcl SPI_GETACTIVEWNDTRKTIMEOUT          fixed bin(31) value('2002'xn);
 dcl SPI_SETACTIVEWNDTRKTIMEOUT          fixed bin(31) value('2003'xn);
 dcl SPI_GETFOREGROUNDFLASHCOUNT         fixed bin(31) value('2004'xn);
 dcl SPI_SETFOREGROUNDFLASHCOUNT         fixed bin(31) value('2005'xn);
 dcl SPI_GETCARETWIDTH                   fixed bin(31) value('2006'xn);
 dcl SPI_SETCARETWIDTH                   fixed bin(31) value('2007'xn);

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl SPI_GETMOUSECLICKLOCKTIME           fixed bin(31) value('2008'xn);
 dcl SPI_SETMOUSECLICKLOCKTIME           fixed bin(31) value('2009'xn);
 dcl SPI_GETFONTSMOOTHINGTYPE            fixed bin(31) value('200A'xn);
 dcl SPI_SETFONTSMOOTHINGTYPE            fixed bin(31) value('200B'xn);

 /* constants for SPI_GETFONTSMOOTHINGTYPE */
 /* and SPI_SETFONTSMOOTHINGTYPE:          */
 dcl FE_FONTSMOOTHINGSTANDARD            fixed bin(31) value('0001'xn);
 dcl FE_FONTSMOOTHINGCLEARTYPE           fixed bin(31) value('0002'xn);
 dcl FE_FONTSMOOTHINGDOCKING             fixed bin(31) value('8000'xn);

 dcl SPI_GETFONTSMOOTHINGCONTRAST        fixed bin(31) value('200C'xn);
 dcl SPI_SETFONTSMOOTHINGCONTRAST        fixed bin(31) value('200D'xn);

 dcl SPI_GETFOCUSBORDERWIDTH             fixed bin(31) value('200E'xn);
 dcl SPI_SETFOCUSBORDERWIDTH             fixed bin(31) value('200F'xn);
 dcl SPI_GETFOCUSBORDERHEIGHT            fixed bin(31) value('2010'xn);
 dcl SPI_SETFOCUSBORDERHEIGHT            fixed bin(31) value('2011'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */
 %end; /* WINVER >= 0x0500 */

 /* Flags */
 dcl SPIF_UPDATEINIFILE    fixed bin(31) value('0001'xn);
 dcl SPIF_SENDWININICHANGE fixed bin(31) value('0002'xn);
 dcl SPIF_SENDCHANGE       fixed bin(31) value(SPIF_SENDWININICHANGE);

 dcl  dcl fixed bin(31) value(-1);

 %if #WINGDI_ ^= '' %then %do;
 %if NOGDI = '' %then %do;
 define structure
   1 NONCLIENTMETRICSA,
     2 cbSize           type UINT,
     2 iBorderWidth     fixed bin(31),
     2 iScrollWidth     fixed bin(31),
     2 iScrollHeight    fixed bin(31),
     2 iCaptionWidth    fixed bin(31),
     2 iCaptionHeight   fixed bin(31),
     2 lfCaptionFont    type LOGFONTA,
     2 iSmCaptionWidth  fixed bin(31),
     2 iSmCaptionHeight fixed bin(31),
     2 lfSmCaptionFont  type LOGFONTA,
     2 iMenuWidth       fixed bin(31),
     2 iMenuHeight      fixed bin(31),
     2 lfMenuFont       type LOGFONTA,
     2 lfStatusFont     type LOGFONTA,
     2 lfMessageFont    type LOGFONTA;
 define alias  PNONCLIENTMETRICSA handle NONCLIENTMETRICSA;
 define alias LPNONCLIENTMETRICSA handle NONCLIENTMETRICSA;

 define structure
   1 NONCLIENTMETRICSW,
      2 cbSize           type UINT,
      2 iBorderWidth     fixed bin(31),
      2 iScrollWidth     fixed bin(31),
      2 iScrollHeight    fixed bin(31),
      2 iCaptionWidth    fixed bin(31),
      2 iCaptionHeight   fixed bin(31),
      2 lfCaptionFont    type LOGFONTW,
      2 iSmCaptionWidth  fixed bin(31),
      2 iSmCaptionHeight fixed bin(31),
      2 lfSmCaptionFont  type LOGFONTW,
      2 iMenuWidth       fixed bin(31),
      2 iMenuHeight      fixed bin(31),
      2 lfMenuFont       type LOGFONTW,
      2 lfStatusFont     type LOGFONTW,
      2 lfMessageFont    type LOGFONTW;
 define alias  PNONCLIENTMETRICSW handle NONCLIENTMETRICSW;
 define alias LPNONCLIENTMETRICSW handle NONCLIENTMETRICSW;

 %if UNICODE ^= '' %then %do;
 define alias   NONCLIENTMETRICS type   NONCLIENTMETRICSW;
 define alias  PNONCLIENTMETRICS type  PNONCLIENTMETRICSW;
 define alias LPNONCLIENTMETRICS type LPNONCLIENTMETRICSW;
 %end; %else %do;
 define alias   NONCLIENTMETRICS type NONCLIENTMETRICSA;
 define alias  PNONCLIENTMETRICS type PNONCLIENTMETRICSA;
 define alias LPNONCLIENTMETRICS type LPNONCLIENTMETRICSA;
 %end; /* UNICODE */
 %end; /* NOGDI */
 %end; /* _WINGDI_ */

 dcl ARW_BOTTOMLEFT  fixed bin(31) value('0000'xn);
 dcl ARW_BOTTOMRIGHT fixed bin(31) value('0001'xn);
 dcl ARW_TOPLEFT     fixed bin(31) value('0002'xn);
 dcl ARW_TOPRIGHT    fixed bin(31) value('0003'xn);
 dcl ARW_STARTMASK   fixed bin(31) value('0003'xn);
 dcl ARW_STARTRIGHT  fixed bin(31) value('0001'xn);
 dcl ARW_STARTTOP    fixed bin(31) value('0002'xn);

 dcl ARW_LEFT        fixed bin(31) value('0000'xn);
 dcl ARW_RIGHT       fixed bin(31) value('0000'xn);
 dcl ARW_UP          fixed bin(31) value('0004'xn);
 dcl ARW_DOWN        fixed bin(31) value('0004'xn);
 dcl ARW_HIDE        fixed bin(31) value('0008'xn);
 dcl ARW_VALID       fixed bin(31) value('000F'xn);

 define structure
   1 MINIMIZEDMETRICS,
     2 cbSize   type UINT,
     2 iWidth   fixed bin(31),
     2 iHorzGap fixed bin(31),
     2 iVertGap fixed bin(31),
     2 iArrange fixed bin(31);
 define alias  PMINIMIZEDMETRICS handle MINIMIZEDMETRICS;
 define alias LPMINIMIZEDMETRICS handle MINIMIZEDMETRICS;

 %if #WINGDI_ ^= '' %then %do;
 %if NOGDI = '' %then %do;
 define structure
   1 ICONMETRICSA,
     2 cbSize       type UINT,
     2 iHorzSpacing fixed bin(31),
     2 iVertSpacing fixed bin(31),
     2 iTitleWrap   fixed bin(31),
     2 lfFont       type LOGFONTA;
 define alias  PICONMETRICSA handle ICONMETRICSA;
 define alias LPICONMETRICSA handle ICONMETRICSA;

 define structure
   1 ICONMETRICSW,
     2 cbSize       type UINT,
     2 iHorzSpacing fixed bin(31),
     2 iVertSpacing fixed bin(31),
     2 iTitleWrap   fixed bin(31),
     2 lfFont       type LOGFONTW;
 define alias  PICONMETRICSW handle ICONMETRICSW;
 define alias LPICONMETRICSW handle ICONMETRICSW;

 %if UNICODE ^= '' %then %do;
 define alias   ICONMETRICS type   ICONMETRICSW;
 define alias  PICONMETRICS type  PICONMETRICSW;
 define alias LPICONMETRICS type LPICONMETRICSW;
 %end; %else %do;
 define alias   ICONMETRICS type   ICONMETRICSA;
 define alias  PICONMETRICS type  PICONMETRICSA;
 define alias LPICONMETRICS type LPICONMETRICSA;
 %end; /* UNICODE */
 %end; /* NOGDI */
 %end; /* _WINGDI_ */

 define structure
   1 ANIMATIONINFO,
     2 cbSize      type UINT,
     2 iMinAnimate fixed bin(31);
 define alias LPANIMATIONINFO handle ANIMATIONINFO;

 define structure
   1 SERIALKEYSA,
     2 cbSize         type UINT,
     2 dwFlags        type DWORD,
     2 lpszActivePort type LPSTR,
     2 lpszPort       type LPSTR,
     2 iBaudRate      type UINT,
     2 iPortState     type UINT,
     2 iActive        type UINT;
 define alias LPSERIALKEYSA handle SERIALKEYSA;

 define structure
   1 SERIALKEYSW,
     2 cbSize         type UINT,
     2 dwFlags        type DWORD,
     2 lpszActivePort type LPWSTR,
     2 lpszPort       type LPWSTR,
     2 iBaudRate      type UINT,
     2 iPortState     type UINT,
     2 iActive        type UINT;
 define alias LPSERIALKEYSW handle SERIALKEYSW;

 %if UNICODE ^= '' %then %do;
 define alias   SERIALKEYS type   SERIALKEYSW;
 define alias LPSERIALKEYS type LPSERIALKEYSW;
 %end; %else %do;
 define alias   SERIALKEYS type   SERIALKEYSA;
 define alias LPSERIALKEYS type LPSERIALKEYSA;
 %end; /* UNICODE */

 /* flags for SERIALKEYS dwFlags field */
 dcl SERKF_SERIALKEYSON fixed bin(31) value('00000001'xn);
 dcl SERKF_AVAILABLE    fixed bin(31) value('00000002'xn);
 dcl SERKF_INDICATOR    fixed bin(31) value('00000004'xn);

 define structure
   1 HIGHCONTRASTA,
     2 cbSize            type UINT,
     2 dwFlags           type DWORD,
     2 lpszDefaultScheme type LPSTR;
 define alias LPHIGHCONTRASTA handle HIGHCONTRASTA;

 define structure
   1 HIGHCONTRASTW,
     2 cbSize            type UINT,
     2 dwFlags           type DWORD,
     2 lpszDefaultScheme type LPWSTR;
 define alias LPHIGHCONTRASTW handle HIGHCONTRASTW;

 %if UNICODE ^= '' %then %do;
 define alias   HIGHCONTRAST type   HIGHCONTRASTW;
 define alias LPHIGHCONTRAST type LPHIGHCONTRASTW;
 %end; %else %do;
 define alias   HIGHCONTRAST type   HIGHCONTRASTA;
 define alias LPHIGHCONTRAST type LPHIGHCONTRASTA;
 %end; /* UNICODE */

 /* flags for HIGHCONTRAST dwFlags field */
 dcl HCF_HIGHCONTRASTON  type DWORD value('00000001'xu);
 dcl HCF_AVAILABLE       type DWORD value('00000002'xu);
 dcl HCF_HOTKEYACTIVE    type DWORD value('00000004'xu);
 dcl HCF_CONFIRMHOTKEY   type DWORD value('00000008'xu);
 dcl HCF_HOTKEYSOUND     type DWORD value('00000010'xu);
 dcl HCF_INDICATOR       type DWORD value('00000020'xu);
 dcl HCF_HOTKEYAVAILABLE type DWORD value('00000040'xu);

 /* Flags for ChangeDisplaySettings */
 dcl CDS_UPDATEREGISTRY  type DWORD value('00000001'xu);
 dcl CDS_TEST            type DWORD value('00000002'xu);
 dcl CDS_FULLSCREEN      type DWORD value('00000004'xu);
 dcl CDS_GLOBAL          type DWORD value('00000008'xu);
 dcl CDS_SET_PRIMARY     type DWORD value('00000010'xu);
 dcl CDS_RESET           type DWORD value('40000000'xu);
 dcl CDS_SETRECT         type DWORD value('20000000'xu);
 dcl CDS_NORESET         type DWORD value('10000000'xu);

 /* %include tvout */

 /* Return values */
 dcl DISP_CHANGE_SUCCESSFUL  fixed bin(31) value(0);
 dcl DISP_CHANGE_RESTART     fixed bin(31) value(1);
 dcl DISP_CHANGE_FAILED      fixed bin(31) value(-1);
 dcl DISP_CHANGE_BADMODE     fixed bin(31) value(-2);
 dcl DISP_CHANGE_NOTUPDATED  fixed bin(31) value(-3);
 dcl DISP_CHANGE_BADFLAGS    fixed bin(31) value(-4);
 dcl DISP_CHANGE_BADPARAM    fixed bin(31) value(-5);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl DISP_CHANGE_BADDUALVIEW fixed bin(31) value(-6);
 %end; /* _WIN32_WINNT >= 0x0501 */

 %if #WINGDI_ ^= '' %then %do;
 %if NOGDI = '' %then %do;

 dcl ChangeDisplaySettingsA
     entry (type DEVMODEA byaddr,
            type DWORD)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('ChangeDisplaySettingsA');

 dcl ChangeDisplaySettingsW
     entry (type DEVMODEW byaddr,
            type DWORD)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('ChangeDisplaySettingsW');

 %dcl ChangeDisplaySettings char ext;
 %if UNICODE ^= '' %then %do;
   %ChangeDisplaySettings='ChangeDisplaySettingsW';
 %end; %else %do;
   %ChangeDisplaySettings='ChangeDisplaySettingsA';
 %end; /* !UNICODE */

 dcl ChangeDisplaySettingsExA
     entry (char(*) varz byaddr nonasgn,
            type DEVMODEA byaddr,
            type HWND,
            type DWORD,
            type LPVOID)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('ChangeDisplaySettingsExA');

 dcl ChangeDisplaySettingsExW
     entry (WCHAR(*) varz byaddr nonasgn,
            type DEVMODEW byaddr,
            type HWND,
            type DWORD,
            type LPVOID)
     returns (optional type LONG byvalue)
     WINUSERAPI WINAPI external('ChangeDisplaySettingsExW');

 %dcl ChangeDisplaySettingsEx char ext;
 %if UNICODE ^= '' %then %do;
 %ChangeDisplaySettingsEx='ChangeDisplaySettingsExW';
 %end; %else %do;
 %ChangeDisplaySettingsEx='ChangeDisplaySettingsExA';
 %end; /* !UNICODE */

 dcl ENUM_CURRENT_SETTINGS   type DWORD value (iunsigned(bin(-1,31)));
 dcl ENUM_REGISTRY_SETTINGS  type DWORD value (iunsigned(bin(-2,31)));

 dcl EnumDisplaySettingsA
     entry (char(*) varz byaddr nonasgn optional,
            type DWORD,
            type DEVMODEA byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDisplaySettingsA');

 dcl EnumDisplaySettingsW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type DEVMODEW byaddr)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDisplaySettingsW');

 %dcl EnumDisplaySettings char ext;
 %if UNICODE ^= '' %then %do;
   %EnumDisplaySettings='EnumDisplaySettingsW';
 %end; %else %do;
   %EnumDisplaySettings='EnumDisplaySettingsA';
 %end; /* !UNICODE */

 %if WINVER >= 1280 %then %do;
 dcl EnumDisplaySettingsExA
     entry (char(*) varz byaddr nonasgn optional,
            type DWORD,
            type DEVMODEA byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDisplaySettingsExA');

 dcl EnumDisplaySettingsExW
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type DEVMODEW byaddr,
            type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDisplaySettingsExW');

 %dcl EnumDisplaySettingsEx char ext;
 %if UNICODE ^= '' %then %do;
   %EnumDisplaySettingsEx='EnumDisplaySettingsEx';
 %end; %else %do;
   %EnumDisplaySettingsEx='EnumDisplaySettingsEx';
 %end; /* !UNICODE */

 /* Flags for EnumDisplaySettingsEx */
 dcl EDS_RAWMODE     fixed bin(31) value('00000002'xn);

 dcl EnumDisplayDevicesA
    entry (char(*) varz byaddr nonasgn optional,
           type DWORD,
           type DISPLAY_DEVICEA byaddr,
           type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDisplayDevicesA');

 dcl EnumDisplayDevicesW
    entry (WCHAR(*) varz byaddr nonasgn optional,
           type DWORD,
           type DISPLAY_DEVICEW byaddr,
           type DWORD)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('EnumDisplayDevicesW');

 %dcl EnumDisplayDevices char ext;
 %if UNICODE ^= '' %then %do;
   %EnumDisplayDevices='EnumDisplayDevicesW';
 %end; %else %do;
   %EnumDisplayDevices='EnumDisplayDevicesA';
 %end; /* !UNICODE */
 %end; /* WINVER >= 0x0500 */

 %end; /* NOGDI */
 %end; /* _WINGDI_ */


 dcl SystemParametersInfoA
     entry (type UINT,
            type UINT,
            type PVOID,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SystemParametersInfoA');

 dcl SystemParametersInfoW
     entry (type UINT,
            type UINT,
            type PVOID,
            type UINT)
     returns (optional type BOOL byvalue)
     WINUSERAPI WINAPI external('SystemParametersInfoW');

 %dcl SystemParametersInfo char ext;
 %if UNICODE ^= '' %then %do;
   %SystemParametersInfo='SystemParametersInfoW';
 %end; %else %do;
   %SystemParametersInfo='SystemParametersInfoA';
 %end; /* !UNICODE */

 %end; /* !NOSYSPARAMSINFO  */

 /* Accessibility support */
 define structure
   1 FILTERKEYS,
     2 cbSize      type UINT,
     2 dwFlags     type DWORD,
     2 iWaitMSec   type DWORD, /* Acceptance Delay */
     2 iDelayMSec  type DWORD, /* Delay Until Repeat */
     2 iRepeatMSec type DWORD, /* Repeat Rate */
     2 iBounceMSec type DWORD; /* Debounce Time */
 define alias LPFILTERKEYS handle FILTERKEYS;

 /* FILTERKEYS dwFlags field  */
 dcl FKF_FILTERKEYSON  type DWORD value('00000001'xu);
 dcl FKF_AVAILABLE     type DWORD value('00000002'xu);
 dcl FKF_HOTKEYACTIVE  type DWORD value('00000004'xu);
 dcl FKF_CONFIRMHOTKEY type DWORD value('00000008'xu);
 dcl FKF_HOTKEYSOUND   type DWORD value('00000010'xu);
 dcl FKF_INDICATOR     type DWORD value('00000020'xu);
 dcl FKF_CLICKON       type DWORD value('00000040'xu);

 define structure
   1 STICKYKEYS,
     2 cbSize  type UINT,
     2 dwFlags type DWORD;
 define alias LPSTICKYKEYS handle STICKYKEYS;

 /* STICKYKEYS dwFlags field */
 dcl SKF_STICKYKEYSON    type DWORD value('00000001'xu);
 dcl SKF_AVAILABLE       type DWORD value('00000002'xu);
 dcl SKF_HOTKEYACTIVE    type DWORD value('00000004'xu);
 dcl SKF_CONFIRMHOTKEY   type DWORD value('00000008'xu);
 dcl SKF_HOTKEYSOUND     type DWORD value('00000010'xu);
 dcl SKF_INDICATOR       type DWORD value('00000020'xu);
 dcl SKF_AUDIBLEFEEDBACK type DWORD value('00000040'xu);
 dcl SKF_TRISTATE        type DWORD value('00000080'xu);
 dcl SKF_TWOKEYSOFF      type DWORD value('00000100'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl SKF_LALTLATCHED     type DWORD value('10000000'xu);
 dcl SKF_LCTLLATCHED     type DWORD value('04000000'xu);
 dcl SKF_LSHIFTLATCHED   type DWORD value('01000000'xu);
 dcl SKF_RALTLATCHED     type DWORD value('20000000'xu);
 dcl SKF_RCTLLATCHED     type DWORD value('08000000'xu);
 dcl SKF_RSHIFTLATCHED   type DWORD value('02000000'xu);
 dcl SKF_LWINLATCHED     type DWORD value('40000000'xu);
 dcl SKF_RWINLATCHED     type DWORD value('80000000'xu);
 dcl SKF_LALTLOCKED      type DWORD value('00100000'xu);
 dcl SKF_LCTLLOCKED      type DWORD value('00040000'xu);
 dcl SKF_LSHIFTLOCKED    type DWORD value('00010000'xu);
 dcl SKF_RALTLOCKED      type DWORD value('00200000'xu);
 dcl SKF_RCTLLOCKED      type DWORD value('00080000'xu);
 dcl SKF_RSHIFTLOCKED    type DWORD value('00020000'xu);
 dcl SKF_LWINLOCKED      type DWORD value('00400000'xu);
 dcl SKF_RWINLOCKED      type DWORD value('00800000'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 define structure
   1 MOUSEKEYS,
     2 cbSize          type UINT,
     2 dwFlags         type DWORD,
     2 iMaxSpeed       type DWORD,
     2 iTimeToMaxSpeed type DWORD,
     2 iCtrlSpeed      type DWORD,
     2 dwReserved1     type DWORD,
     2 dwReserved2     type DWORD;
 define alias LPMOUSEKEYS handle MOUSEKEYS;

 /* MOUSEKEYS dwFlags field  */
 dcl MKF_MOUSEKEYSON     type DWORD value('00000001'xu);
 dcl MKF_AVAILABLE       type DWORD value('00000002'xu);
 dcl MKF_HOTKEYACTIVE    type DWORD value('00000004'xu);
 dcl MKF_CONFIRMHOTKEY   type DWORD value('00000008'xu);
 dcl MKF_HOTKEYSOUND     type DWORD value('00000010'xu);
 dcl MKF_INDICATOR       type DWORD value('00000020'xu);
 dcl MKF_MODIFIERS       type DWORD value('00000040'xu);
 dcl MKF_REPLACENUMBERS  type DWORD value('00000080'xu);
 %if #WIN32_WINNT >= 1280 %then %do;
 dcl MKF_LEFTBUTTONSEL   type DWORD value('10000000'xu);
 dcl MKF_RIGHTBUTTONSEL  type DWORD value('20000000'xu);
 dcl MKF_LEFTBUTTONDOWN  type DWORD value('01000000'xu);
 dcl MKF_RIGHTBUTTONDOWN type DWORD value('02000000'xu);
 dcl MKF_MOUSEMODE       type DWORD value('80000000'xu);
 %end; /* _WIN32_WINNT >= 0x0500 */

 define structure
   1 ACCESSTIMEOUT,
     2 cbSize       type UINT,
     2 dwFlags      type DWORD,
     2 iTimeOutMSec type DWORD;
 define alias LPACCESSTIMEOUT handle ACCESSTIMEOUT;

 /* ACCESSTIMEOUT dwFlags field */
 dcl ATF_TIMEOUTON     type DWORD value('00000001'xu);
 dcl ATF_ONOFFFEEDBACK type DWORD value('00000002'xu);

 /* values for SOUNDSENTRY iFSGrafEffect field */
 dcl SSGF_NONE    fixed bin(31) value(0);
 dcl SSGF_DISPLAY fixed bin(31) value(3);

 /* values for SOUNDSENTRY iFSTextEffect field */
 dcl SSTF_NONE    fixed bin(31) value(0);
 dcl SSTF_CHARS   fixed bin(31) value(1);
 dcl SSTF_BORDER  fixed bin(31) value(2);
 dcl SSTF_DISPLAY fixed bin(31) value(3);

 /* values for SOUNDSENTRY iWindowsEffect field */
 dcl SSWF_NONE    fixed bin(31) value(0);
 dcl SSWF_TITLE   fixed bin(31) value(1);
 dcl SSWF_WINDOW  fixed bin(31) value(2);
 dcl SSWF_DISPLAY fixed bin(31) value(3);
 dcl SSWF_CUSTOM  fixed bin(31) value(4);

 define structure
   1 SOUNDSENTRYA,
     2 cbSize                 type UINT,
     2 dwFlags                type DWORD,
     2 iFSTextEffect          type DWORD,
     2 iFSTextEffectMSec      type DWORD,
     2 iFSTextEffectColorBits type DWORD,
     2 iFSGrafEffect          type DWORD,
     2 iFSGrafEffectMSec      type DWORD,
     2 iFSGrafEffectColor     type DWORD,
     2 iWindowsEffect         type DWORD,
     2 iWindowsEffectMSec     type DWORD,
     2 lpszWindowsEffectDLL   type LPSTR,
     2 iWindowsEffectOrdinal  type DWORD;
 define alias LPSOUNDSENTRYA handle SOUNDSENTRYA;

 define structure
   1 SOUNDSENTRYW,
     2 cbSize                 type UINT,
     2 dwFlags                type DWORD,
     2 iFSTextEffect          type DWORD,
     2 iFSTextEffectMSec      type DWORD,
     2 iFSTextEffectColorBits type DWORD,
     2 iFSGrafEffect          type DWORD,
     2 iFSGrafEffectMSec      type DWORD,
     2 iFSGrafEffectColor     type DWORD,
     2 iWindowsEffect         type DWORD,
     2 iWindowsEffectMSec     type DWORD,
     2 lpszWindowsEffectDLL   type LPWSTR,
     2 iWindowsEffectOrdinal  type DWORD;
 define alias LPSOUNDSENTRYW handle SOUNDSENTRYW;

 %if UNICODE ^= '' %then %do;
 define alias   SOUNDSENTRY type SOUNDSENTRYW;
 define alias LPSOUNDSENTRY type LPSOUNDSENTRYW;
 %end; %else %do;
 define alias   SOUNDSENTRY type SOUNDSENTRYA;
 define alias LPSOUNDSENTRY type LPSOUNDSENTRYA;
 %end; /* UNICODE */

 /* SOUNDSENTRY dwFlags field  */
 dcl SSF_SOUNDSENTRYON type DWORD value('00000001'xu);
 dcl SSF_AVAILABLE     type DWORD value('00000002'xu);
 dcl SSF_INDICATOR     type DWORD value('00000004'xu);

 define structure
   1 TOGGLEKEYS,
     2 cbSize  type UINT,
     2 dwFlags type DWORD;
 define alias LPTOGGLEKEYS handle TOGGLEKEYS;

 /* TOGGLEKEYS dwFlags field */
 dcl TKF_TOGGLEKEYSON  type DWORD value('00000001'xu);
 dcl TKF_AVAILABLE     type DWORD value('00000002'xu);
 dcl TKF_HOTKEYACTIVE  type DWORD value('00000004'xu);
 dcl TKF_CONFIRMHOTKEY type DWORD value('00000008'xu);
 dcl TKF_HOTKEYSOUND   type DWORD value('00000010'xu);
 dcl TKF_INDICATOR     type DWORD value('00000020'xu);

 /* Set debug level */

 dcl SetDebugErrorLevel
     entry (type DWORD)
     WINUSERAPI WINAPI external('SetDebugErrorLevel');


 /* SetLastErrorEx() types. */

 dcl SLE_ERROR      type DWORD value('00000001'xu);
 dcl SLE_MINORERROR type DWORD value('00000002'xu);
 dcl SLE_WARNING    type DWORD value('00000003'xu);

 dcl SetLastErrorEx
     entry (type DWORD,
            type DWORD)
     WINUSERAPI WINAPI external('SetLastErrorEx');


 %if WINVER >= 1280 %then %do;
 /* Multimonitor API. */

 dcl MONITOR_DEFAULTTONULL    type DWORD value('00000000'xu);
 dcl MONITOR_DEFAULTTOPRIMARY type DWORD value('00000001'xu);
 dcl MONITOR_DEFAULTTONEAREST type DWORD value('00000002'xu);

 dcl MonitorFromPoint
     entry (type POINT,
            type DWORD)
     returns (type HMONITOR byvalue optional)
     WINUSERAPI WINAPI external('MonitorFromPoint');

 dcl MonitorFromRect
     entry (type RECT byaddr nonasgn,
            type DWORD)
     returns (type HMONITOR byvalue optional)
     WINUSERAPI WINAPI external('MonitorFromRect');

 dcl MonitorFromWindow
     entry (type HWND,
            type DWORD)
     returns (type HMONITOR byvalue optional)
     WINUSERAPI WINAPI external('MonitorFromWindow');

 dcl MONITORINFOF_PRIMARY type DWORD value('00000001'xu);

 %dcl CCHDEVICENAME_DEFINED char ext;
 %if CCHDEVICENAME_DEFINED = '' %then %do;
 %CCHDEVICENAME_DEFINED = 'Y';
 dcl CCHDEVICENAME fixed bin(31) value(32);
 %end;

 define structure
   1 MONITORINFO,
     2 cbSize    type DWORD,
     2 rcMonitor type RECT,
     2 rcWork    type RECT,
     2 dwFlags   type DWORD;
 define alias LPMONITORINFO handle MONITORINFO;

 define structure
   1 MONITORINFOEXA,
     2 * type MONITORINFO,
     2 szDevice char (CCHDEVICENAME-1) varz;
 define alias LPMONITORINFOEXA handle MONITORINFOEXA;

 define structure
   1 MONITORINFOEXW,
     2 * type MONITORINFO,
     2 szDevice char(CCHDEVICENAME-1) varz;
 define alias LPMONITORINFOEXW handle MONITORINFOEXW;

 %if UNICODE ^= '' %then %do;
 define alias   MONITORINFOEX type   MONITORINFOEXW;
 define alias LPMONITORINFOEX type LPMONITORINFOEXW;
 %end; %else %do;
 define alias   MONITORINFOEX type   MONITORINFOEXA;
 define alias LPMONITORINFOEX type LPMONITORINFOEXA;
 %end; /* UNICODE */


 dcl GetMonitorInfoA
     entry (type HMONITOR,
            type MONITORINFO byaddr)
     returns (type BOOL byvalue optional)
     WINUSERAPI WINAPI external('GetMonitorInfoA');

 dcl GetMonitorInfoW
     entry (type HMONITOR,
            type MONITORINFO byaddr)
     returns (type BOOL byvalue optional)
     WINUSERAPI WINAPI external('GetMonitorInfoW');

 %dcl GetMonitorInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetMonitorInfo='GetMonitorInfoW';
 %end; %else %do;
   %GetMonitorInfo='GetMonitorInfoA';
 %end; /* !UNICODE */

 define alias MONITORENUMPROC
        entry  (type HMONITOR,
                type HDC,
                type RECT byaddr,
                type LPARAM)
        returns (type BOOL byvalue optional)
        limited CALLBACK;

 dcl EnumDisplayMonitors
     entry (type HDC,
            type RECT byaddr nonasgn,
            type MONITORENUMPROC,
            type LPARAM)
     returns (type BOOL byvalue optional)
     WINUSERAPI WINAPI external('EnumDisplayMonitors');


 %dcl NOWINABLE char ext;
 %if NOWINABLE = '' %then %do;

 /* WinEvents - Active Accessibility hooks */

 dcl NotifyWinEvent
     entry (type DWORD,
            type HWND,
            type LONG,
            type LONG)
     WINUSERAPI WINAPI external('NotifyWinEvent');

 define alias WINEVENTPROC
        entry (type HWINEVENTHOOK,
               type DWORD,
               type HWND,
               type LONG,
               type LONG,
               type DWORD,
               type DWORD)
        limited CALLBACK;

 dcl SetWinEventHook
     entry (type DWORD,
            type DWORD,
            type HMODULE,
            type WINEVENTPROC,
            type DWORD,
            type DWORD,
            type DWORD)
     returns (type HWINEVENTHOOK byvalue optional)
     WINUSERAPI WINAPI external('SetWinEventHook');

 %if #WIN32_WINNT >= 1281 %then %do;
 dcl IsWinEventHookInstalled
     entry (type DWORD)
     returns (type BOOL byvalue optional)
     WINUSERAPI WINAPI external('IsWinEventHookInstalled');
 %end; /* _WIN32_WINNT >= 0x0501 */

 /* dwFlags for SetWinEventHook */
 dcl WINEVENT_OUTOFCONTEXT   fixed bin(31) value('0000'xn);
     /* Events are ASYNC */
 dcl WINEVENT_SKIPOWNTHREAD  fixed bin(31) value('0001'xn);
     /* Don't call back for events on installer's thread */
 dcl WINEVENT_SKIPOWNPROCESS fixed bin(31) value('0002'xn);
     /* Don't call back for events on installer's process */
 dcl WINEVENT_INCONTEXT      fixed bin(31) value('0004'xn);
     /* Events are SYNC, this causes your dll to be injected */
     /* into every process                                   */

 dcl UnhookWinEvent
     entry (type HWINEVENTHOOK )
     returns (type BOOL byvalue optional)
     WINUSERAPI WINAPI external('UnhookWinEvent');

 /* idObject values for WinEventProc and NotifyWinEvent */

 /* hwnd + idObject can be used with OLEACC.DLL's                     */
 /* OleGetObjectFromWindow () to get an interface pointer to the      */
 /* container. indexChild is the item within the container in         */
 /* question. Setup a VARIANT with vt VT_I4 and lVal the indexChild   */
 /* and pass that in to all methods. Then you are raring to go.       */


 /* Common object IDs (cookies, only for sending WM_GETOBJECT to get  */
 /* at the thing in question). Positive IDs are reserved for apps     */
 /* (app specific), negative IDs are system things and are global,    */
 /* 0 means "just little old me".                                     */

 dcl CHILDID_SELF            fixed bin(31) value(0);
 dcl INDEXID_OBJECT          fixed bin(31) value(0);
 dcl INDEXID_CONTAINER       fixed bin(31) value(0);

 /* Reserved IDs for system objects */
 dcl OBJID_WINDOW            type DWORD value('00000000'xu);
 dcl OBJID_SYSMENU           type DWORD value('FFFFFFFF'xu);
 dcl OBJID_TITLEBAR          type DWORD value('FFFFFFFE'xu);
 dcl OBJID_MENU              type DWORD value('FFFFFFFD'xu);
 dcl OBJID_CLIENT            type DWORD value('FFFFFFFC'xu);
 dcl OBJID_VSCROLL           type DWORD value('FFFFFFFB'xu);
 dcl OBJID_HSCROLL           type DWORD value('FFFFFFFA'xu);
 dcl OBJID_SIZEGRIP          type DWORD value('FFFFFFF9'xu);
 dcl OBJID_CARET             type DWORD value('FFFFFFF8'xu);
 dcl OBJID_CURSOR            type DWORD value('FFFFFFF7'xu);
 dcl OBJID_ALERT             type DWORD value('FFFFFFF6'xu);
 dcl OBJID_SOUND             type DWORD value('FFFFFFF5'xu);
 dcl OBJID_QUERYCLASSNAMEIDX type DWORD value('FFFFFFF4'xu);
 dcl OBJID_NATIVEOM          type DWORD value('FFFFFFF0'xu);

 /* EVENT DEFINITION */
 dcl EVENT_MIN               type DWORD value('00000001'xu);
 dcl EVENT_MAX               type DWORD value('7FFFFFFF'xu);


 /* EVENT_SYSTEM_SOUND                                                */
 /* Sent when a sound is played.  Currently nothing is generating     */
 /* this, we generate this event when a system sound (for menus, etc) */
 /* is played.  Apps generate this, if accessible, when a private     */
 /* sound is played.  For example, if Mail plays a "New Mail" sound.  */
 /*                                                                   */
 /* System Sounds:                                                    */
 /* (Generated by PlaySoundEvent in USER itself)                      */
 /*     hwnd            is NULL                                       */
 /*     idObject        is OBJID_SOUND                                */
 /*     idChild         is sound child ID if one                      */
 /* App Sounds:                                                       */
 /* (PlaySoundEvent won't generate notification, up to app)           */
 /*     hwnd + idObject gets interface pointer to Sound object        */
 /*     idChild identifies the sound in question                      */
 /* are going to be cleaning up the SOUNDSENTRY feature in the control*/
 /* panel and will use this at that time. Applications implementing   */
 /* WinEvents are perfectly welcome to use it.                        */
 /* Clients of IAccessible* will simply turn around and get back a    */
 /* non-visual object that describes the sound.                       */

 dcl EVENT_SYSTEM_SOUND            fixed bin(31) value('0001'xn);

 /* EVENT_SYSTEM_ALERT                                                */
 /* System Alerts:                                                    */
 /* (Generated by MessageBox() calls for example)                     */
 /*      hwnd            is hwndMessageBox                            */
 /*      idObject        is OBJID_ALERT                               */
 /* App Alerts:                                                       */
 /* (Generated whenever)                                              */
 /*      hwnd+idObject gets interface pointer to Alert                */

 dcl EVENT_SYSTEM_ALERT            fixed bin(31) value('0002'xn);

 /* EVENT_SYSTEM_FOREGROUND                                           */
 /* Sent when the foreground (active) window changes, even if it is   */
 /* changing to another window in the same thread as the previous one.*/
 /*      hwnd            is hwndNewForeground                         */
 /*      idObject        is OBJID_WINDOW                              */
 /*      idChild    is INDEXID_OBJECT                                 */

 dcl EVENT_SYSTEM_FOREGROUND       fixed bin(31) value('0003'xn);

 /* Menu                                                              */
 /*      hwnd            is window (top level window or popup menu    */
 /*                                 window)                           */
 /*      idObject        is ID of control (OBJID_MENU, OBJID_SYSMENU, */
 /*                                        OBJID_SELF for popup)      */
 /*      idChild         is CHILDID_SELF                              */
 /*                                                                   */
 /* EVENT_SYSTEM_MENUSTART                                            */
 /* EVENT_SYSTEM_MENUEND                                              */
 /* For MENUSTART, hwnd+idObject+idChild refers to the control with   */
 /* the menu bar, or the control bringing up the context menu.        */
 /* Sent when entering into and leaving from menu mode (system,       */
 /* app bar, and track popups).                                       */

 dcl EVENT_SYSTEM_MENUSTART        fixed bin(31) value('0004'xn);
 dcl EVENT_SYSTEM_MENUEND          fixed bin(31) value('0005'xn);

 /* EVENT_SYSTEM_MENUPOPUPSTART                                       */
 /* EVENT_SYSTEM_MENUPOPUPEND                                         */
 /* Sent when a menu popup comes up and just before it is taken down. */
 /* Note that for a call to TrackPopupMenu(), a client will see       */
 /* EVENT_SYSTEM_MENUSTART followed almost immediately by             */
 /* EVENT_SYSTEM_MENUPOPUPSTART for the popup being shown.            */
 /*                                                                   */
 /* For MENUPOPUP, hwnd+idObject+idChild refers to the NEW popup      */
 /* coming up, not the parent item which is hierarchical. You can get */
 /* the parent menu/pop up by asking for the accParent object.        */

 dcl EVENT_SYSTEM_MENUPOPUPSTART   fixed bin(31) value('0006'xn);
 dcl EVENT_SYSTEM_MENUPOPUPEND     fixed bin(31) value('0007'xn);


 /* EVENT_SYSTEM_CAPTURESTART                                         */
 /* EVENT_SYSTEM_CAPTUREEND                                           */
 /* Sent when a window takes the capture and releases the capture.    */
 dcl EVENT_SYSTEM_CAPTURESTART     fixed bin(31) value('0008'xn);
 dcl EVENT_SYSTEM_CAPTUREEND       fixed bin(31) value('0009'xn);

 /* Move Size                                                         */
 /* EVENT_SYSTEM_MOVESIZESTART                                        */
 /* EVENT_SYSTEM_MOVESIZEEND                                          */
 /* Sent when a window enters and leaves move-size dragging mode.     */

 dcl EVENT_SYSTEM_MOVESIZESTART    fixed bin(31) value('000A'xn);
 dcl EVENT_SYSTEM_MOVESIZEEND      fixed bin(31) value('000B'xn);

 /* Context Help                                                      */
 /* EVENT_SYSTEM_CONTEXTHELPSTART                                     */
 /* EVENT_SYSTEM_CONTEXTHELPEND                                       */
 /* Sent when a window enters and leaves context sensitive help mode. */

 dcl EVENT_SYSTEM_CONTEXTHELPSTART fixed bin(31) value('000C'xn);
 dcl EVENT_SYSTEM_CONTEXTHELPEND   fixed bin(31) value('000D'xn);

 /* Drag & Drop                                                       */
 /* EVENT_SYSTEM_DRAGDROPSTART                                        */
 /* EVENT_SYSTEM_DRAGDROPEND                                          */
 /* Send the START notification just before going into drag&drop loop.*/
 /* Send the END notification just after canceling out.               */
 /* Note that it is up to apps and OLE to generate this, since the    */
 /* system doesn't know. Like EVENT_SYSTEM_SOUND, it will be a while  */
 /* before this is prevalent.                                         */

 dcl EVENT_SYSTEM_DRAGDROPSTART    fixed bin(31) value('000E'xn);
 dcl EVENT_SYSTEM_DRAGDROPEND      fixed bin(31) value('000F'xn);

 /* Dialog                                                            */
 /* Send the START notification right after the dialog is completely  */
 /* initialized and visible.  Send the END right before the dialog    */
 /* is hidden and goes away.                                          */
 /* EVENT_SYSTEM_DIALOGSTART                                          */
 /* EVENT_SYSTEM_DIALOGEND                                            */

 dcl EVENT_SYSTEM_DIALOGSTART      fixed bin(31) value('0010'xn);
 dcl EVENT_SYSTEM_DIALOGEND        fixed bin(31) value('0011'xn);

 /* EVENT_SYSTEM_SCROLLING                                            */
 /* EVENT_SYSTEM_SCROLLINGSTART                                       */
 /* EVENT_SYSTEM_SCROLLINGEND                                         */
 /* Sent when beginning and ending the tracking of a scrollbar in a   */
 /* window, and also for scrollbar controls.                          */

 dcl EVENT_SYSTEM_SCROLLINGSTART   fixed bin(31) value('0012'xn);
 dcl EVENT_SYSTEM_SCROLLINGEND     fixed bin(31) value('0013'xn);

 /* Alt-Tab Window                                                    */
 /* Send the START notification right after the switch window is      */
 /* initialized and visible.                                          */
 /* Send the END right before it is hidden and goes away.             */
 /* EVENT_SYSTEM_SWITCHSTART                                          */
 /* EVENT_SYSTEM_SWITCHEND                                            */

 dcl EVENT_SYSTEM_SWITCHSTART      fixed bin(31) value('0014'xn);
 dcl EVENT_SYSTEM_SWITCHEND        fixed bin(31) value('0015'xn);

 /* EVENT_SYSTEM_MINIMIZESTART                                        */
 /* EVENT_SYSTEM_MINIMIZEEND                                          */
 /* Sent when a window minimizes and just before it restores.         */
 dcl EVENT_SYSTEM_MINIMIZESTART    fixed bin(31) value('0016'xn);
 dcl EVENT_SYSTEM_MINIMIZEEND      fixed bin(31) value('0017'xn);


 %if #WIN32_WINNT >= 1281 %then %do;
 dcl EVENT_CONSOLE_CARET             fixed bin(31) value('4001'xn);
 dcl EVENT_CONSOLE_UPDATE_REGION     fixed bin(31) value('4002'xn);
 dcl EVENT_CONSOLE_UPDATE_SIMPLE     fixed bin(31) value('4003'xn);
 dcl EVENT_CONSOLE_UPDATE_SCROLL     fixed bin(31) value('4004'xn);
 dcl EVENT_CONSOLE_LAYOUT            fixed bin(31) value('4005'xn);
 dcl EVENT_CONSOLE_START_APPLICATION fixed bin(31) value('4006'xn);
 dcl EVENT_CONSOLE_END_APPLICATION   fixed bin(31) value('4007'xn);

 /* Flags for EVENT_CONSOLE_START/END_APPLICATION. */
 dcl CONSOLE_APPLICATION_16BIT       fixed bin(31) value('0001'xn);

 /* Flags for EVENT_CONSOLE_CARET */
 dcl CONSOLE_CARET_SELECTION         fixed bin(31) value('0001'xn);
 dcl CONSOLE_CARET_VISIBLE           fixed bin(31) value('0002'xn);
 %end; /* _WIN32_WINNT >= 0x0501 */

 /* Object events                                                     */
 /*                                                                   */
 /* The system AND apps generate these. The system generates these for*/
 /* real windows. Apps generate these for objects within their window */
 /* which act like a separate control, e.g. an item in a list view    */
 /*                                                                   */
 /* When the system generates them, dwParam2 is always                */
 /* WMOBJID_SELF. When apps generate them, apps put the               */
 /* has-meaning-to-the-app-only ID value in dwParam2.                 */
 /* For all events, if you want detailed accessibility information,   */
 /* callers should                                                    */
 /*      * Call AccessibleObjectFromWindow() with the hwnd, idObject  */
 /*        parameters of the event, and IID_IAccessible as the REFIID,*/
 /*        to get back an IAccessible* to talk to                     */
 /*      * Initialize and fill in a VARIANT as VT_I4 with lVal the    */
 /*        idChild parameter of the event.                            */
 /*      * If idChild isn't zero, call get_accChild() in the container*/
 /*        to see if the child is an object in its own right. If so,  */
 /*        you will get back an IDispatch* object for the child.      */
 /*        You should release the parent, and call QueryInterface()   */
 /*        on the child object to get its IAccessible*. Then you talk */
 /*        directly to the child. Otherwise, if get_accChild() returns*/
 /*        you nothing, you should continue to use the child VARIANT. */
 /*        You will ask the container for the properties of the child */
 /*        identified by the VARIANT.  In other words, the child in   */
 /*        this case is accessible but not a full-blown object.       */
 /*        Like a button on a titlebar which is 'small' and has no    */
 /*        children.                                                  */


 /* For all EVENT_OBJECT events,                                      */
 /*      hwnd is the dude to Send the WM_GETOBJECT message to (unless */
 /*          NULL, see above for system things)                       */
 /*      idObject is the ID of the object that can resolve any queries*/
 /*           a client might have. It's a way to deal with windowless */
 /*           controls, controls that are just drawn on the screen in */
 /*           some larger parent window (like SDM), or standard frame */
 /*           elements of a window.                                   */
 /*      idChild is the piece inside of the object that is affected.  */
 /*           This allows clients to access things that are too small */
 /*           to have full blown objects in their own right. Like the */
 /*           thumb of a scrollbar. The hwnd/idObject pair gets you   */
 /*           to the container, the dude you probably want to talk to */
 /*           most of the time anyway. The idChild can then be passed */
 /*           into the acc properties to get the name/value of it as  */
 /*           needed.                                                 */
 /*                                                                   */
 /* Example #1:                                                       */
 /*      System propagating a listbox selection change                */
 /*      EVENT_OBJECT_SELECTION                                       */
 /*          hwnd == listbox hwnd                                     */
 /*          idObject == OBJID_WINDOW                                 */
 /*          idChild == new selected item, or CHILDID_SELF if nothing */
 /*              now selected within container.                       */
 /*      Word '97 propagating a listbox selection change              */
 /*          hwnd == SDM window                                       */
 /*          idObject == SDM ID to get at listbox 'control'           */
 /*          idChild == new selected item, or CHILDID_SELF if nothing */
 /*                                                                   */
 /* Example #2:                                                       */
 /*      System propagating a menu item selection on the menu bar     */
 /*      EVENT_OBJECT_SELECTION                                       */
 /*          hwnd == top level window                                 */
 /*          idObject == OBJID_MENU                                   */
 /*          idChild == ID of child menu bar item selected            */
 /*                                                                   */
 /* Example #3:                                                       */
 /*      System propagating a dropdown coming off said menu bar item  */
 /*      EVENT_OBJECT_CREATE                                          */
 /*          hwnd == popup item                                       */
 /*          idObject == OBJID_WINDOW                                 */
 /*          idChild == CHILDID_SELF                                  */
 /*                                                                   */
 /* Example #4:                                                       */
 /*                                                                   */
 /* For EVENT_OBJECT_REORDER, the object referred to by hwnd/idObject */
 /* is the PARENT container in which the zorder is occurring. This is */
 /* because if one child is zordering, all of them are changing their */
 /* relative zorder.                                                  */

 dcl EVENT_OBJECT_CREATE          fixed bin(31) value('8000'xn);
     /* hwnd + ID + idChild is created item */
 dcl EVENT_OBJECT_DESTROY         fixed bin(31) value('8001'xn);
     /* hwnd + ID + idChild is destroyed item */
 dcl EVENT_OBJECT_SHOW            fixed bin(31) value('8002'xn);
     /* hwnd + ID + idChild is shown item */
 dcl EVENT_OBJECT_HIDE            fixed bin(31) value('8003'xn);
     /* hwnd + ID + idChild is hidden item */
 dcl EVENT_OBJECT_REORDER         fixed bin(31) value('8004'xn);
     /* hwnd + ID + idChild is parent of zordering children */

 /* NOTE:                                                             */
 /* Minimize the number of notifications!                             */
 /*                                                                   */
 /* When you are hiding a parent object, obviously all child objects  */
 /* are no longer visible on screen. They still have the same         */
 /* "visible" status, but are not truly visible. Hence do not send    */
 /* HIDE notifications for the children also. One implies all.        */
 /*  The same goes for SHOW.                                          */


 dcl EVENT_OBJECT_FOCUS           fixed bin(31) value('8005'xn);
     /* hwnd + ID + idChild is focused item */
 dcl EVENT_OBJECT_SELECTION       fixed bin(31) value('8006'xn);
     /* hwnd + ID + idChild is selected item (if only one), */
     /* or idChild is OBJID_WINDOW if complex               */
 dcl EVENT_OBJECT_SELECTIONADD    fixed bin(31) value('8007'xn);
     /* hwnd + ID + idChild is item added */
 dcl EVENT_OBJECT_SELECTIONREMOVE fixed bin(31) value('8008'xn);
     /* hwnd + ID + idChild is item removed */
 dcl EVENT_OBJECT_SELECTIONWITHIN fixed bin(31) value('8009'xn);
     /* hwnd + ID + idChild is parent of changed selected items */

 /* NOTES:                                                            */
 /* There is only one "focused" child item in a parent. This is the   */
 /* place keystrokes are going at a given moment. Hence only send a   */
 /* notification about where the NEW focus is going. A NEW item       */
 /* getting the focus already implies that the OLD item is losing it. */
 /*                                                                   */
 /* SELECTION however can be multiple.  Hence the different SELECTION */
 /* notifications.  Here's when to use each:                          */
 /*                                                                   */
 /* (1) Send a SELECTION notification in the simple single selection  */
 /*     case (like the focus) when the item with the selection is     */
 /*     merely moving to a different item within a container.         */
 /*     hwnd + ID is the container control, idChildItem is the new    */
 /*     child with the selection.                                     */
 /*                                                                   */
 /* (2) Send a SELECTIONADD notification when a new item has simply   */
 /*     been added to the selection within a container. This is       */
 /*     appropriate when the number of newly selected items is very   */
 /*     small. hwnd + ID is the container control, idChildItem is the */
 /*     new child added to the selection.                             */
 /*                                                                   */
 /* (3) Send a SELECTIONREMOVE notification when a new item has       */
 /*     simply been removed from the selection within a container.    */
 /*     This is appropriate when the number of newly selected items   */
 /*     is very small, just like SELECTIONADD. hwnd + ID is the       */
 /*     container control, idChildItem is the new child removed from  */
 /*     the selection.                                                */
 /*                                                                   */
 /* (4) Send a SELECTIONWITHIN notification when the selected items   */
 /*     within a control have changed substantially. Rather than      */
 /*     propagate a large number of changes to reflect removal for    */
 /*     some items, addition of others, just tell somebody who cares  */
 /*     that a lot happened. It will be faster anD easier for         */
 /*     somebody watching to just turn around and query the container */
 /*     control what the new bunch of selected items are.             */

 dcl EVENT_OBJECT_STATECHANGE     fixed bin(31) value('800A'xn);
 /* hwnd + ID + idChild is item w/ state change                       */
 /* Examples of when to send an EVENT_OBJECT_STATECHANGE include      */
 /*      * It is being enabled/disabled (USER does for windows)       */
 /*      * It is being pressed/released (USER does for buttons)       */
 /*      * It is being checked/unchecked (USER does for radio/check   */
 /*        buttons)                                                   */
 dcl EVENT_OBJECT_LOCATIONCHANGE  fixed bin(31) value('800B'xn);
     /* hwnd + ID + idChild is moved/sized item */

 /* Note:                                                             */
 /* A LOCATIONCHANGE is not sent for every child object when the      */
 /* parent changes shape/moves.  Send one notification for the        */
 /* topmost object that is changing. For example, if the user resizes */
 /* a top level window, USER will generate a LOCATIONCHANGE for it,   */
 /* but not for the menu bar, title bar, scrollbars, etc. that are    */
 /* also changing shape/moving.                                       */
 /*                                                                   */
 /* In other words, it only generates LOCATIONCHANGE notifications    */
 /* for real windows that are moving/sizing. It will not generate a   */
 /* LOCATIONCHANGE for every non-floating child window when the       */
 /* parent moves (the children are logically moving also on screen,   */
 /* but not relative to the parent).                                  */
 /*                                                                   */
 /* Now, if the app itself resizes child windows as a result of being */
 /* sized, USER will generate LOCATIONCHANGEs for those dudes also    */
 /* because it doesn't know better.                                   */
 /*                                                                   */
 /* Note also that USER will generate LOCATIONCHANGE notifications    */
 /* for two non-window sys objects:                                   */
 /*      (1) System caret                                             */
 /*      (2) Cursor                                                   */

 dcl EVENT_OBJECT_NAMECHANGE        fixed bin(31) value('800C'xn);
     /* hwnd + ID + idChild is item w/ name change */
 dcl EVENT_OBJECT_DESCRIPTIONCHANGE fixed bin(31) value('800D'xn);
     /* hwnd + ID + idChild is item w/ desc change */
 dcl EVENT_OBJECT_VALUECHANGE       fixed bin(31) value('800E'xn);
     /* hwnd + ID + idChild is item w/ value change */
 dcl EVENT_OBJECT_PARENTCHANGE      fixed bin(31) value('800F'xn);
     /* hwnd + ID + idChild is item w/ new parent */
 dcl EVENT_OBJECT_HELPCHANGE        fixed bin(31) value('8010'xn);
     /* hwnd + ID + idChild is item w/ help change */
 dcl EVENT_OBJECT_DEFACTIONCHANGE   fixed bin(31) value('8011'xn);
     /* hwnd + ID + idChild is item w/ def action change */
 dcl EVENT_OBJECT_ACCELERATORCHANGE fixed bin(31) value('8012'xn);
     /* hwnd + ID + idChild is item w/ keybd accel change */

 /* Child IDs */

 /* System Sounds (idChild of system SOUND notification) */
 dcl SOUND_SYSTEM_STARTUP       fixed bin(31) value(1);
 dcl SOUND_SYSTEM_SHUTDOWN      fixed bin(31) value(2);
 dcl SOUND_SYSTEM_BEEP          fixed bin(31) value(3);
 dcl SOUND_SYSTEM_ERROR         fixed bin(31) value(4);
 dcl SOUND_SYSTEM_QUESTION      fixed bin(31) value(5);
 dcl SOUND_SYSTEM_WARNING       fixed bin(31) value(6);
 dcl SOUND_SYSTEM_INFORMATION   fixed bin(31) value(7);
 dcl SOUND_SYSTEM_MAXIMIZE      fixed bin(31) value(8);
 dcl SOUND_SYSTEM_MINIMIZE      fixed bin(31) value(9);
 dcl SOUND_SYSTEM_RESTOREUP     fixed bin(31) value(10);
 dcl SOUND_SYSTEM_RESTOREDOWN   fixed bin(31) value(11);
 dcl SOUND_SYSTEM_APPSTART      fixed bin(31) value(12);
 dcl SOUND_SYSTEM_FAULT         fixed bin(31) value(13);
 dcl SOUND_SYSTEM_APPEND        fixed bin(31) value(14);
 dcl SOUND_SYSTEM_MENUCOMMAND   fixed bin(31) value(15);
 dcl SOUND_SYSTEM_MENUPOPUP     fixed bin(31) value(16);
 dcl CSOUND_SYSTEM              fixed bin(31) value(16);

    /* System Alerts (indexChild of system ALERT notification) */
 dcl ALERT_SYSTEM_INFORMATIONAL fixed bin(31) value(1);
    /* MB_INFORMATION */
 dcl ALERT_SYSTEM_WARNING       fixed bin(31) value(2);
    /* MB_WARNING */
 dcl ALERT_SYSTEM_ERROR         fixed bin(31) value(3);
    /* MB_ERROR */
 dcl ALERT_SYSTEM_QUERY         fixed bin(31) value(4);
    /* MB_QUESTION */
 dcl ALERT_SYSTEM_CRITICAL      fixed bin(31) value(5);
    /* HardSysErrBox */
 dcl CALERT_SYSTEM              fixed bin(31) value(6);


 define structure
   1 GUITHREADINFO,
     2 cbSize        type DWORD,
     2 flags         type DWORD,
     2 hwndActive    type HWND,
     2 hwndFocus     type HWND,
     2 hwndCapture   type HWND,
     2 hwndMenuOwner type HWND,
     2 hwndMoveSize  type HWND,
     2 hwndCaret     type HWND,
     2 rcCaret       type RECT;
 define alias PGUITHREADINFO handle GUITHREADINFO;

 dcl GUI_CARETBLINKING  type DWORD value('00000001'xu);
 dcl GUI_INMOVESIZE     type DWORD value('00000002'xu);
 dcl GUI_INMENUMODE     type DWORD value('00000004'xu);
 dcl GUI_SYSTEMMENUMODE type DWORD value('00000008'xu);
 dcl GUI_POPUPMENUMODE  type DWORD value('00000010'xu);
 %if #WIN32_WINNT >= 1281 %then %do;
 dcl GUI_16BITTASK      type DWORD value('00000020'xu);
 %end; /* _WIN32_WINNT >= 0x0501 */

 dcl GetGUIThreadInfo
     entry (type DWORD,
            type GUITHREADINFO byaddr)
     returns (type BOOL byvalue optional)
     WINUSERAPI WINAPI external('GetGUIThreadInfo');

 dcl GetWindowModuleFileNameA entry (
        type HWND,
        char(*) varz byaddr,
        type UINT)
     returns (type UINT byvalue optional)
     WINUSERAPI WINAPI external('GetWindowModuleFileNameA');

 dcl GetWindowModuleFileNameW
     entry (type HWND,
            WCHAR(*) varz byaddr,
            type UINT)
     returns (type UINT byvalue optional)
     WINUSERAPI WINAPI external('GetWindowModuleFileNameW');

 %dcl GetWindowModuleFileName char ext;
 %if UNICODE ^= '' %then %do;
   %GetWindowModuleFileName='GetWindowModuleFileNameW';
 %end; %else %do;
   %GetWindowModuleFileName='GetWindowModuleFileNameA';
 %end; /* !UNICODE */


 dcl STATE_SYSTEM_UNAVAILABLE     type DWORD value('00000001'xu);
     /* Disabled */
 dcl STATE_SYSTEM_SELECTED        type DWORD value('00000002'xu);
 dcl STATE_SYSTEM_FOCUSED         type DWORD value('00000004'xu);
 dcl STATE_SYSTEM_PRESSED         type DWORD value('00000008'xu);
 dcl STATE_SYSTEM_CHECKED         type DWORD value('00000010'xu);
 dcl STATE_SYSTEM_MIXED           type DWORD value('00000020'xu);
     /* 3-state checkbox or toolbar button */
 dcl STATE_SYSTEM_INDETERMINATE   type DWORD
     value(STATE_SYSTEM_MIXED);
 dcl STATE_SYSTEM_READONLY        type DWORD value('00000040'xu);
 dcl STATE_SYSTEM_HOTTRACKED      type DWORD value('00000080'xu);
 dcl STATE_SYSTEM_DEFAULT         type DWORD value('00000100'xu);
 dcl STATE_SYSTEM_EXPANDED        type DWORD value('00000200'xu);
 dcl STATE_SYSTEM_COLLAPSED       type DWORD value('00000400'xu);
 dcl STATE_SYSTEM_BUSY            type DWORD value('00000800'xu);
 dcl STATE_SYSTEM_FLOATING        type DWORD value('00001000'xu);
     /* Children "owned" not "contained" by parent */
 dcl STATE_SYSTEM_MARQUEED        type DWORD value('00002000'xu);
 dcl STATE_SYSTEM_ANIMATED        type DWORD value('00004000'xu);
 dcl STATE_SYSTEM_INVISIBLE       type DWORD value('00008000'xu);
 dcl STATE_SYSTEM_OFFSCREEN       type DWORD value('00010000'xu);
 dcl STATE_SYSTEM_SIZEABLE        type DWORD value('00020000'xu);
 dcl STATE_SYSTEM_MOVEABLE        type DWORD value('00040000'xu);
 dcl STATE_SYSTEM_SELFVOICING     type DWORD value('00080000'xu);
 dcl STATE_SYSTEM_FOCUSABLE       type DWORD value('00100000'xu);
 dcl STATE_SYSTEM_SELECTABLE      type DWORD value('00200000'xu);
 dcl STATE_SYSTEM_LINKED          type DWORD value('00400000'xu);
 dcl STATE_SYSTEM_TRAVERSED       type DWORD value('00800000'xu);
 dcl STATE_SYSTEM_MULTISELECTABLE type DWORD value('01000000'xu);
     /* Supports multiple selection */
 dcl STATE_SYSTEM_EXTSELECTABLE   type DWORD value('02000000'xu);
     /* Supports extended selection */
 dcl STATE_SYSTEM_ALERT_LOW       type DWORD value('04000000'xu);
     /* This information is of low priority */
 dcl STATE_SYSTEM_ALERT_MEDIUM    type DWORD value('08000000'xu);
     /* This information is of medium priority */
 dcl STATE_SYSTEM_ALERT_HIGH      type DWORD value('10000000'xu);
     /* This information is of high priority */
 dcl STATE_SYSTEM_PROTECTED       type DWORD value('20000000'xu);
     /* access to this is restricted */
 dcl STATE_SYSTEM_VALID           type DWORD value('3FFFFFFF'xu);

 dcl CCHILDREN_TITLEBAR  fixed bin(31) value(5);
 dcl CCHILDREN_SCROLLBAR fixed bin(31) value(5);

 /* Information about the global cursor. */
 define structure
   1 CURSORINFO,
     2 cbSize      type DWORD,
     2 flags       type DWORD,
     2 hCursor     type HCURSOR,
     2 ptScreenPos type POINT;
 define alias  PCURSORINFO handle CURSORINFO;
 define alias LPCURSORINFO handle CURSORINFO;

 dcl CURSOR_SHOWING fixed bin(31) value('00000001'xn);

 dcl GetCursorInfo
     entry (type CURSORINFO byaddr)
     returns (type BOOL byvalue optional)
     WINAPI external('GetCursorInfo');

 /* Window information snapshot */
 define structure
   1 WINDOWINFO,
     2 cbSize          type DWORD,
     2 rcWindow        type RECT,
     2 rcClient        type RECT,
     2 dwStyle         type DWORD,
     2 dwExStyle       type DWORD,
     2 dwOtherStuff    type DWORD,
     2 cxWindowBorders type UINT,
     2 cyWindowBorders type UINT,
     2 atomWindowType  type ATOM,
     2 wCreatorVersion type WORD;
 define alias  PWINDOWINFO handle WINDOWINFO;
 define alias LPWINDOWINFO handle WINDOWINFO;

 dcl WS_ACTIVECAPTION fixed bin(31) value('0001'xn);

 dcl GetWindowInfo
     entry (type HWND,
            type WINDOWINFO byaddr)
     returns (type BOOL byvalue optional)
     WINAPI external('GetWindowInfo');

 /* Titlebar information. */
 define structure
   1 TITLEBARINFO,
     2 cbSize     type DWORD,
     2 rcTitleBar type RECT,
     2 rgstate (CCHILDREN_TITLEBAR+1) type DWORD;
 define alias  PTITLEBARINFO handle TITLEBARINFO;
 define alias LPTITLEBARINFO handle TITLEBARINFO;

 dcl GetTitleBarInfo
     entry (type HWND,
            type TITLEBARINFO byaddr)
     returns (type BOOL byvalue optional)
     WINAPI external('GetTitleBarInfo');

 /* Menubar information */
 define structure
   1 MENUBARINFO,
     2 cbSize      type DWORD,
     2 rcBar       type RECT, /* rect of bar, popup, item */
     2 hMenu       type HMENU,/* real menu handle of bar, popup */
     2 hwndMenu    type HWND, /* hwnd of item submenu if one */
     2 *           bit(6),
     2 fFocused    bit(1),    /* item has the focus */
     2 fBarFocused bit(1),    /* bar, popup has the focus */
     2 *           bit(24);
 define alias  PMENUBARINFO handle MENUBARINFO;
 define alias LPMENUBARINFO handle MENUBARINFO;

 dcl GetMenuBarInfo
     entry (type HWND,
            type LONG,
            type LONG,
            type MENUBARINFO byaddr)
     returns (type BOOL byvalue optional)
     WINAPI external('GetMenuBarInfo');

 /* Scrollbar information */
 define structure
   1 SCROLLBARINFO,
     2 cbSize        type DWORD,
     2 rcScrollBar   type RECT,
     2 dxyLineButton fixed bin(31),
     2 xyThumbTop    fixed bin(31),
     2 xyThumbBottom fixed bin(31),
     2 bogus         fixed bin(31),
     2 rgstate (CCHILDREN_SCROLLBAR+1) type DWORD;
 define alias  PSCROLLBARINFO handle SCROLLBARINFO;
 define alias LPSCROLLBARINFO handle SCROLLBARINFO;

 dcl GetScrollBarInfo
     entry (type HWND,
            type LONG,
            type SCROLLBARINFO byaddr)
     returns (type BOOL byvalue optional)
     WINAPI external('GetScrollBarInfo');

 /* Combobox information */
 define structure
   1 COMBOBOXINFO,
     2 cbSize      type DWORD,
     2 rcItem      type RECT,
     2 rcButton    type RECT,
     2 stateButton type DWORD,
     2 hwndCombo   type HWND,
     2 hwndItem    type HWND,
     2 hwndList    type HWND;
 define alias  PCOMBOBOXINFO handle COMBOBOXINFO;
 define alias LPCOMBOBOXINFO handle COMBOBOXINFO;

 dcl GetComboBoxInfo
     entry (type HWND,
            type COMBOBOXINFO byaddr)
     returns (type BOOL byvalue optional)
     WINAPI external('GetComboBoxInfo');

 /* The "real" ancestor window */
 dcl GA_PARENT    fixed bin(31) value(1);
 dcl GA_ROOT      fixed bin(31) value(2);
 dcl GA_ROOTOWNER fixed bin(31) value(3);

 dcl GetAncestor
     entry (type HWND,
            type UINT)
     returns (type HWND byvalue optional)
     WINAPI external('GetAncestor');


 /* This gets the REAL child window at the point. If it is in the     */
 /* dead space of a group box, it will try a sibling behind it.       */
 /* But static fields will get returned. In other words, it is kind   */
 /* of a cross between ChildWindowFromPointEx and WindowFromPoint.    */
 dcl RealChildWindowFromPoint
     entry (type HWND,
            type POINT)
     returns (type HWND byvalue optional)
     WINAPI external('RealChildWindowFromPoint');


 /* This gets the name of the window TYPE, not class. This allows us  */
 /* to recognize ThunderButton32 et al.                               */
 dcl RealGetWindowClassA
     entry (type HWND,
            TCHAR(*) varz byaddr,
            type UINT)
     returns (type UINT byvalue optional)
     WINAPI external('RealGetWindowClassA');

 dcl RealGetWindowClassW
     entry (type HWND,
            TCHAR(*) varz byaddr,
            type UINT)
     returns (type UINT byvalue optional)
     WINAPI external('RealGetWindowClassW');

 %dcl RealGetWindowClass char ext;
 %if UNICODE ^= '' %then  %do;
   %RealGetWindowClass='RealGetWindowClassW';
 %end; %else %do;
   %RealGetWindowClass='RealGetWindowClassA';
 %end; /* !UNICODE */

 /* Alt-Tab Switch window information. */
 define structure
   1 ALTTABINFO,
     2 cbSize    type DWORD,
     2 cItems    fixed bin(31),
     2 cColumns  fixed bin(31),
     2 cRows     fixed bin(31),
     2 iColFocus fixed bin(31),
     2 iRowFocus fixed bin(31),
     2 cxItem    fixed bin(31),
     2 cyItem    fixed bin(31),
     2 ptStart   type POINT;
 define alias  PALTTABINFO handle ALTTABINFO;
 define alias LPALTTABINFO handle ALTTABINFO;

 dcl GetAltTabInfoA
     entry (type HWND,
            fixed bin(31),
            type ALTTABINFO byaddr,
            TCHAR(*) varz byaddr,
            type UINT)
     returns (type BOOL byvalue optional)
     WINAPI external('GetAltTabInfoA');

 dcl GetAltTabInfoW
     entry (type HWND,
            fixed bin(31),
            type ALTTABINFO byaddr,
            TCHAR(*) varz byaddr,
            type UINT)
     returns (type BOOL byvalue optional)
     WINAPI external('GetAltTabInfoW');

 %dcl GetAltTabInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetAltTabInfo='GetAltTabInfoW';
 %end; %else %do;
   %GetAltTabInfo='GetAltTabInfoA';
 %end; /* !UNICODE */

 /* Listbox information.                 */
 /* Returns the number of items per row. */
 dcl GetListBoxInfo
     entry (type HWND)
     returns (type DWORD byvalue optional)
     WINAPI external('GetListBoxInfo');

 %end; /* NOWINABLE */
 %end; /* WINVER >= 0x0500 */


 %if #WIN32_WINNT >= 1280 %then %do;
 dcl LockWorkStation
     entry ()
     returns (type BOOL byvalue optional)
     WINAPI WINUSERAPI external('LockWorkStation');
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1280 %then %do;
 dcl UserHandleGrantAccess
     entry (type HANDLE,
            type HANDLE)
     returns (type BOOL byvalue optional)
     WINAPI external('UserHandleGrantAccess');
 %end; /* _WIN32_WINNT >= 0x0500 */

 %if #WIN32_WINNT >= 1281 %then %do;

 /* Raw Input Messages. */

 DECLARE_HANDLE (HRAWINPUT);

 /* WM_INPUT wParam */

 /* Use this macro to get the input code from wParam. */

 GET_RAWINPUT_CODE_WPARAM: proc (wParam)
                           returns (type WPARAM byvalue)
                           options (inline reorder) internal;
   dcl wParam type WPARAM byvalue;
   dcl iand builtin;
   return (iand (wParam, 'ff'xu));
 end GET_RAWINPUT_CODE_WPARAM;

 /* The input is in the regular message flow, */
 /* the app is required to call DefWindowProc */
 /* so that the system can perform clean ups. */
 dcl RIM_INPUT      type DWORD value (0);

 /* The input is sink only. The app is expected    */
 /* to behave nicely, honoring RIM_FOREGROUND etc. */
 dcl RIM_INPUTSINK  type DWORD value (1);


 /* Raw Input data header */
 define structure
   1 RAWINPUTHEADER,
     2 dwType  type DWORD,
     2 dwSize  type DWORD,
     2 hDevice type HANDLE,
     2 wParam  type WPARAM;
 define alias  PRAWINPUTHEADER handle RAWINPUTHEADER;
 define alias LPRAWINPUTHEADER handle RAWINPUTHEADER;

 /* Type of the raw input */
 dcl RIM_TYPEMOUSE       type DWORD value (0);
 dcl RIM_TYPEKEYBOARD    type DWORD value (1);
 dcl RIM_TYPEHID         type DWORD value (2);

 /* Raw format of the mouse input */
 define structure
   1 RAWMOUSE,
     2 usFlags            type USHORT, /* Indicator flags. */
     2 * union,       /* The transition state of the mouse buttons. */
       3 ulButtons        type ULONG,
       3 *,
         4 usButtonFlags  type USHORT,
         4 usButtonData   type USHORT,
     2 ulRawButtons       type ULONG,
       /* The raw state of the mouse buttons.*/
     2 lLastX             type LONG,
       /* The signed relative or absolute motion in the X direction. */
     2 lLastY             type LONG,
       /* The signed relative or absolute motion in the Y direction. */
     2 ulExtraInformation type ULONG;
       /* Device-specific additional information for the event. */

 define alias  PRAWMOUSE handle RAWMOUSE;
 define alias LPRAWMOUSE handle RAWMOUSE;

 /* Define the mouse button state indicators. */

 dcl RI_MOUSE_LEFT_BUTTON_DOWN   type USHORT value ('0001'xu);
     /* Left Button changed to down. */
 dcl RI_MOUSE_LEFT_BUTTON_UP     type USHORT value ('0002'xu);
     /* Left Button changed to up.  */
 dcl RI_MOUSE_RIGHT_BUTTON_DOWN  type USHORT value ('0004'xu);
     /* Right Button changed to down.  */
 dcl RI_MOUSE_RIGHT_BUTTON_UP    type USHORT value ('0008'xu);
     /* Right Button changed to up.  */
 dcl RI_MOUSE_MIDDLE_BUTTON_DOWN type USHORT value ('0010'xu);
     /* Middle Button changed to down.  */
 dcl RI_MOUSE_MIDDLE_BUTTON_UP   type USHORT value ('0020'xu);
     /* Middle Button changed to up.  */

 dcl RI_MOUSE_BUTTON_1_DOWN      type USHORT
     value (RI_MOUSE_LEFT_BUTTON_DOWN);
 dcl RI_MOUSE_BUTTON_1_UP        type USHORT
     value (RI_MOUSE_LEFT_BUTTON_UP);
 dcl RI_MOUSE_BUTTON_2_DOWN      type USHORT
     value (RI_MOUSE_RIGHT_BUTTON_DOWN);
 dcl RI_MOUSE_BUTTON_2_UP        type USHORT
     value (RI_MOUSE_RIGHT_BUTTON_UP);
 dcl RI_MOUSE_BUTTON_3_DOWN      type USHORT
     value (RI_MOUSE_MIDDLE_BUTTON_DOWN);
 dcl RI_MOUSE_BUTTON_3_UP        type USHORT
     value (RI_MOUSE_MIDDLE_BUTTON_UP);

 dcl RI_MOUSE_BUTTON_4_DOWN      type USHORT value ('0040'xu);
 dcl RI_MOUSE_BUTTON_4_UP        type USHORT value ('0080'xu);
 dcl RI_MOUSE_BUTTON_5_DOWN      type USHORT value ('0100'xu);
 dcl RI_MOUSE_BUTTON_5_UP        type USHORT value ('0200'xu);

 /* If usButtonFlags has RI_MOUSE_WHEEL, the wheel delta is stored in */
 /* usButtonData. Take it as a signed value.                          */
 dcl RI_MOUSE_WHEEL              type USHORT value ('0400'xu);

 /* Define the mouse indicator flags. */
 dcl MOUSE_MOVE_RELATIVE         type USHORT value (0);
 dcl MOUSE_MOVE_ABSOLUTE         type USHORT value (1);
 dcl MOUSE_VIRTUAL_DESKTOP       type USHORT value ('02'xu);
     /* the coordinates are mapped to the virtual desktop */
 dcl MOUSE_ATTRIBUTES_CHANGED    type USHORT value ('04'xu);
     /* requery for mouse attributes */


 /* Raw format of the keyboard input */

 define structure
   1 RAWKEYBOARD,
     2 MakeCode type USHORT,
       /* The "make" scan code (key depression). */
     2 Flags    type USHORT,
       /* The flags field indicates a "break" (key release) and other */
       /* miscellaneous scan code information defined in ntddkbd.cpy. */
     2 Reserved type USHORT,
     2 VKey     type USHORT,
     2 Message  type UINT,
       /* Windows message compatible information */
     2 ExtraInformation type ULONG;
       /* Device-specific additional information for the event. */

 define alias  PRAWKEYBOARD handle RAWKEYBOARD;
 define alias LPRAWKEYBOARD handle RAWKEYBOARD;


 /* Define the keyboard overrun MakeCode. */

 dcl KEYBOARD_OVERRUN_MAKE_CODE type USHORT value ('FF'xu);

 /* Define the keyboard input data Flags. */
 dcl RI_KEY_MAKE                type USHORT value (0);
 dcl RI_KEY_BREAK               type USHORT value (1);
 dcl RI_KEY_E0                  type USHORT value (2);
 dcl RI_KEY_E1                  type USHORT value (4);
 dcl RI_KEY_TERMSRV_SET_LED     type USHORT value (8);
 dcl RI_KEY_TERMSRV_SHADOW      type USHORT value ('10'xu);


 /* Raw format of the input from Human Input Devices */
 define structure
   1 RAWHID,
     2 dwSizeHid   type DWORD,  /* byte size of each report */
     2 dwCount     type DWORD,  /* number of input packed   */
     2 bRawData(1) type BYTE;   /* actually REFERS */
 define alias  PRAWHID type RAWHID;
 define alias LPRAWHID type RAWHID;

 /* RAWINPUT data structure. */
 define structure
   1 RAWINPUT,
     2 header     type RAWINPUTHEADER,
     2 data union,
       3 mouse    type RAWMOUSE,
       3 keyboard type RAWKEYBOARD,
       3 hid      type RAWHID;

 define alias  PRAWINPUT handle RAWINPUT;
 define alias LPRAWINPUT handle RAWINPUT;


 %if #WIN64 ^= '' %then %do;
 RAWINPUT_ALIGN: proc (x) returns (type ULONG_PTR byvalue)
                 options (inline reorder) internal;
   dcl x type ULONG_PTR byvalue;
   dcl (iand, inot, iunsigned) builtin;
   return (iand (x + size (: QWORD :) - 1,
                 inot (size (: QWORD :) - 1)));
 end RAWINPUT_ALIGN;
 %end; %else %do;
 RAWINPUT_ALIGN: proc (x) returns (type ULONG_PTR byvalue)
                 options (inline reorder) internal;
   dcl x type ULONG_PTR byvalue;
   dcl (iand, inot, iunsigned) builtin;
   return (iand (x + size (: DWORD :) - 1,
                 inot (size (: DWORD :) - 1)));
 end RAWINPUT_ALIGN;
 %end; /* _WIN64 */

 NEXTRAWINPUTBLOCK: proc (p) returns (type PRAWINPUT byvalue)
                    options (inline reorder) internal;
   dcl p type PRAWINPUT byvalue;

   return (cast (: PRAWINPUT,  RAWINPUT_ALIGN (cast (: ULONG_PTR,
                  iunsigned (binvalue (p)) + p => header.dwSize :)) :));
 end NEXTRAWINPUTBLOCK;

 /* Flags for GetRawInputData */

 dcl RID_INPUT               type DWORD value ('10000003'xu);
 dcl RID_HEADER              type DWORD value ('10000005'xu);

 dcl GetRawInputData
     entry (type HRAWINPUT,
            type UINT,
            type LPVOID,
            type UINT byaddr,
            type UINT)
     returns (type UINT byvalue optional)
     WINAPI WINUSERAPI external('GetRawInputData');


 /* Raw Input Device Information */
 dcl RIDI_PREPARSEDDATA      type DWORD value ('20000005'xu);
 dcl RIDI_DEVICENAME         type DWORD value ('20000007'xu);
    /* the return valus is the character length, not the byte size */
 dcl RIDI_DEVICEINFO         type DWORD value ('2000000b'xu);

 define structure
   1 RID_DEVICE_INFO_MOUSE,
     2 dwId              type DWORD,
     2 dwNumberOfButtons type DWORD,
     2 dwSampleRate      type DWORD;

 define alias PRID_DEVICE_INFO_MOUSE handle RID_DEVICE_INFO_MOUSE;

 define structure
   1 RID_DEVICE_INFO_KEYBOARD,
     2 dwType                 type DWORD,
     2 dwSubType              type DWORD,
     2 dwKeyboardMode         type DWORD,
     2 dwNumberOfFunctionKeys type DWORD,
     2 dwNumberOfIndicators   type DWORD,
     2 dwNumberOfKeysTotal    type DWORD;
 define alias PRID_DEVICE_INFO_KEYBOARD handle RID_DEVICE_INFO_KEYBOARD;

 define structure
   1 RID_DEVICE_INFO_HID,
     2 dwVendorId      type DWORD,
     2 dwProductId     type DWORD,
     2 dwVersionNumber type DWORD,
     /* Top level collection UsagePage and Usage */
     2 usUsagePage     type USHORT,
     2 usUsage         type USHORT;
 define alias PRID_DEVICE_INFO_HID handle RID_DEVICE_INFO_HID;

 define structure
   1 RID_DEVICE_INFO,
     2 cbSize     type DWORD,
     2 dwType     type DWORD,
     2 * union,
       3 mouse    type RID_DEVICE_INFO_MOUSE,
       3 keyboard type RID_DEVICE_INFO_KEYBOARD,
       3 hid      type RID_DEVICE_INFO_HID;
 define alias  PRID_DEVICE_INFO handle RID_DEVICE_INFO;
 define alias LPRID_DEVICE_INFO handle RID_DEVICE_INFO;


 dcl GetRawInputDeviceInfoA
     entry (type HANDLE,
            type UINT,
            type LPVOID,
            type UINT byaddr)
     returns (type UINT byvalue optional)
     WINAPI WINUSERAPI external('GetRawInputDeviceInfoA');

 dcl GetRawInputDeviceInfoW
     entry (type HANDLE,
            type UINT,
            type LPVOID,
            type UINT byaddr)
     returns (type UINT byvalue optional)
     WINAPI WINUSERAPI external('GetRawInputDeviceInfoW');

 %dcl GetRawInputDeviceInfo char ext;
 %if UNICODE ^= '' %then %do;
   %GetRawInputDeviceInfo='GetRawInputDeviceInfoW';
 %end; %else %do;
   %GetRawInputDeviceInfo='GetRawInputDeviceInfoA';
 %end; /* !UNICODE */


 /* Raw Input Bulk Read: GetRawInputBuffer */
 dcl GetRawInputBuffer
     entry (type HRAWINPUT,
            type UINT byaddr,
            type UINT)
     returns (type UINT byvalue optional)
     WINAPI WINUSERAPI external('GetRawInputBuffer');

 /* Raw Input request APIs */
 define structure
   1 RAWINPUTDEVICE,
     2 usUsagePage type USHORT, /* Toplevel collection UsagePage */
     2 usUsage     type USHORT, /* Toplevel collection Usage */
     2 dwFlags     type DWORD,
     2 hwndTarget  type HWND;
                   /* Target hwnd. NULL = follows keyboard focus */
 define alias  PRAWINPUTDEVICE handle RAWINPUTDEVICE;
 define alias LPRAWINPUTDEVICE handle RAWINPUTDEVICE;
 define alias PCRAWINPUTDEVICE handle RAWINPUTDEVICE; /* const */


 dcl RIDEV_REMOVE            type DWORD value ('00000001'xu);
 dcl RIDEV_EXCLUDE           type DWORD value ('00000010'xu);
 dcl RIDEV_PAGEONLY          type DWORD value ('00000020'xu);
 dcl RIDEV_NOLEGACY          type DWORD value ('00000030'xu);
 dcl RIDEV_CAPTUREMOUSE      type DWORD value ('00000200'xu);
     /* effective when mouse nolegacy is specified, */
     /* otherwise it would be an error */
 dcl RIDEV_NOHOTKEYS         type DWORD value ('00000200'xu);
     /* effective for keyboard. */
 dcl RIDEV_EXMODEMASK        type DWORD value ('000000F0'xu);

 RIDEV_EXMODE: proc (mode)
               returns (type DWORD byvalue)
               options (inline reorder) internal;
   dcl mode type DWORD byvalue;
   dcl iand builtin;
   return  (iand (mode, RIDEV_EXMODEMASK));
 end RIDEV_EXMODE;

 dcl RegisterRawInputDevices
     entry ((*) type RAWINPUTDEVICE byaddr nonasgn,
           type UINT,
           type UINT)
     returns (type BOOL byvalue optional)
     WINAPI WINUSERAPI external('RegisterRawInputDevices');

 dcl GetRegisteredRawInputDevices
     entry ((*) type RAWINPUTDEVICE byaddr,
           type UINT byaddr,
           type UINT)
     returns (type UINT byvalue optional)
     WINAPI WINUSERAPI external('GetRegisteredRawInputDevices');

 define structure
   1 RAWINPUTDEVICELIST,
     2 hDevice type HANDLE,
     2 dwType  type DWORD;
 define alias PRAWINPUTDEVICELIST handle RAWINPUTDEVICELIST;

 dcl GetRawInputDeviceList
     entry ((*) type PRAWINPUTDEVICELIST byaddr,
           type UINT byaddr,
           type UINT)
     returns (type UINT byvalue optional)
     WINAPI WINUSERAPI external('GetRawInputDeviceList');


 dcl DefRawInputProc
     entry (type PRAWINPUT byaddr,
            type INT,
            type UINT)
     returns (type LRESULT byvalue optional)
     WINAPI WINUSERAPI external('DefRawInputProc');

 %end; /* _WIN32_WINNT >= 0x0501 */
 %end; /* !_WINUSER_ */

